/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-03-09 06:43:23 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_action_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `key` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=249 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_actions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` longtext COLLATE utf8mb4_unicode_ci,
  `key` longtext COLLATE utf8mb4_unicode_ci,
  `type` longtext COLLATE utf8mb4_unicode_ci,
  `active` tinyint(1) DEFAULT '1',
  `parent_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_chunks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) DEFAULT NULL,
  `value` longtext,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `wp_nf3_field_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `key` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=708 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label` longtext COLLATE utf8mb4_unicode_ci,
  `key` longtext COLLATE utf8mb4_unicode_ci,
  `type` longtext COLLATE utf8mb4_unicode_ci,
  `parent_id` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_form_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `key` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=222 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_forms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` longtext COLLATE utf8mb4_unicode_ci,
  `key` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT NULL,
  `views` int(11) DEFAULT NULL,
  `subs` int(11) DEFAULT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_object_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `key` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_objects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` longtext COLLATE utf8mb4_unicode_ci,
  `title` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_relationships` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `child_id` int(11) NOT NULL,
  `child_type` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` int(11) NOT NULL,
  `parent_type` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_nf3_upgrades` (
  `id` int(11) NOT NULL,
  `cache` longtext,
  `stage` int(11) NOT NULL DEFAULT '0',
  `maintenance` bit(1) DEFAULT b'0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=3846 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_podsrel` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `pod_id` int(10) unsigned DEFAULT NULL,
  `field_id` int(10) unsigned DEFAULT NULL,
  `item_id` bigint(20) unsigned DEFAULT NULL,
  `related_pod_id` int(10) unsigned DEFAULT NULL,
  `related_field_id` int(10) unsigned DEFAULT NULL,
  `related_item_id` bigint(20) unsigned DEFAULT NULL,
  `weight` smallint(5) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_item_idx` (`field_id`,`item_id`),
  KEY `rel_field_rel_item_idx` (`related_field_id`,`related_item_id`),
  KEY `field_rel_item_idx` (`field_id`,`related_item_id`),
  KEY `rel_field_item_idx` (`related_field_id`,`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3247 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=806 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("7", "IFF_2023_StarterUpdatedContent", "47c61ca36dae96615877_20230309064316", "21", "2023-03-09 06:43:23", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-09 06:43:16\";s:7:\"Version\";s:7:\"1.5.2.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:7;s:4:\"Name\";s:30:\"IFF_2023_StarterUpdatedContent\";s:4:\"Hash\";s:35:\"47c61ca36dae96615877_20230309064316\";s:8:\"NameHash\";s:66:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:76:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"20.8\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:78:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:97:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:693;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4851;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-09 06:43:16\";s:7:\"Version\";s:7:\"1.5.2.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:30:\"IFF_2023_StarterUpdatedContent\";s:4:\"Hash\";s:35:\"47c61ca36dae96615877_20230309064316\";s:8:\"NameHash\";s:66:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:84:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:111:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:79:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:209:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/backups-dup-lite/tmp/IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:106:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-admin\";i:1;s:109:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-includes\";i:2;s:118:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:97:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter\";i:1;s:97:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter\";i:2;s:108:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content\";i:3;s:116:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads\";i:4;s:116:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/plugins\";i:5;s:119:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/mu-plugins\";i:6;s:115:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:129:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_nf3_action_meta */
INSERT INTO `wp_nf3_action_meta` VALUES("1", "1", "label", "Save to Database");
INSERT INTO `wp_nf3_action_meta` VALUES("2", "1", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("3", "1", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("4", "1", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("5", "1", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("6", "1", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("7", "1", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("8", "1", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("9", "1", "to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("10", "1", "email_subject", "");
INSERT INTO `wp_nf3_action_meta` VALUES("11", "1", "email_message", "");
INSERT INTO `wp_nf3_action_meta` VALUES("12", "1", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("13", "1", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("14", "1", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("15", "1", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("16", "1", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("17", "1", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("18", "1", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("19", "1", "redirect_url", "");
INSERT INTO `wp_nf3_action_meta` VALUES("20", "1", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("21", "2", "label", "Email Confirmation");
INSERT INTO `wp_nf3_action_meta` VALUES("22", "2", "to", "{field:email}");
INSERT INTO `wp_nf3_action_meta` VALUES("23", "2", "subject", "This is an email action.");
INSERT INTO `wp_nf3_action_meta` VALUES("24", "2", "message", "Hello, Ninja Forms!");
INSERT INTO `wp_nf3_action_meta` VALUES("25", "2", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("26", "2", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("27", "2", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("28", "2", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:0:{}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("29", "2", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("30", "2", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("31", "2", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("32", "2", "email_subject", "Submission Confirmation ");
INSERT INTO `wp_nf3_action_meta` VALUES("33", "2", "email_message", "<p>{field:all_fields}<br></p>");
INSERT INTO `wp_nf3_action_meta` VALUES("34", "2", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("35", "2", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("36", "2", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("37", "2", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("38", "2", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("39", "2", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("40", "2", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("41", "2", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("42", "3", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("43", "3", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("44", "3", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("45", "3", "label", "Email Notification");
INSERT INTO `wp_nf3_action_meta` VALUES("46", "3", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("47", "3", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("48", "3", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("49", "3", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("50", "3", "to", "{system:admin_email}");
INSERT INTO `wp_nf3_action_meta` VALUES("51", "3", "email_subject", "New message from {field:name}");
INSERT INTO `wp_nf3_action_meta` VALUES("52", "3", "email_message", "<p>{field:message}</p><p>- {field:name} ( {field:email} )</p>");
INSERT INTO `wp_nf3_action_meta` VALUES("53", "3", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("54", "3", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("55", "3", "reply_to", "{field:email}");
INSERT INTO `wp_nf3_action_meta` VALUES("56", "3", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("57", "3", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("58", "3", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("59", "3", "attach_csv", "0");
INSERT INTO `wp_nf3_action_meta` VALUES("60", "3", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("61", "4", "label", "Success Message");
INSERT INTO `wp_nf3_action_meta` VALUES("62", "4", "message", "Thank you {field:name} for filling out my form!");
INSERT INTO `wp_nf3_action_meta` VALUES("63", "4", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("64", "4", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("65", "4", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("66", "4", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("67", "4", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("68", "4", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("69", "4", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("70", "4", "to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("71", "4", "email_subject", "");
INSERT INTO `wp_nf3_action_meta` VALUES("72", "4", "email_message", "");
INSERT INTO `wp_nf3_action_meta` VALUES("73", "4", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("74", "4", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("75", "4", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("76", "4", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("77", "4", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("78", "4", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("79", "4", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("80", "4", "redirect_url", "");
INSERT INTO `wp_nf3_action_meta` VALUES("81", "4", "success_msg", "<p>Form submitted successfully.</p><p>A confirmation email was sent to{field:email}.</p>");
INSERT INTO `wp_nf3_action_meta` VALUES("82", "4", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("83", "5", "label", "Save to Database");
INSERT INTO `wp_nf3_action_meta` VALUES("84", "5", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("85", "5", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("86", "5", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("87", "5", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("88", "5", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("89", "5", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("90", "5", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("91", "5", "to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("92", "5", "email_subject", "");
INSERT INTO `wp_nf3_action_meta` VALUES("93", "5", "email_message", "");
INSERT INTO `wp_nf3_action_meta` VALUES("94", "5", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("95", "5", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("96", "5", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("97", "5", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("98", "5", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("99", "5", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("100", "5", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("101", "5", "redirect_url", "");
INSERT INTO `wp_nf3_action_meta` VALUES("102", "5", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("103", "6", "label", "Email Confirmation");
INSERT INTO `wp_nf3_action_meta` VALUES("104", "6", "to", "{field:email}");
INSERT INTO `wp_nf3_action_meta` VALUES("105", "6", "subject", "This is an email action.");
INSERT INTO `wp_nf3_action_meta` VALUES("106", "6", "message", "Hello, Ninja Forms!");
INSERT INTO `wp_nf3_action_meta` VALUES("107", "6", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("108", "6", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("109", "6", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("110", "6", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:0:{}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("111", "6", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("112", "6", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("113", "6", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("114", "6", "email_subject", "Submission Confirmation ");
INSERT INTO `wp_nf3_action_meta` VALUES("115", "6", "email_message", "<p>{field:all_fields}<br></p>");
INSERT INTO `wp_nf3_action_meta` VALUES("116", "6", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("117", "6", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("118", "6", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("119", "6", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("120", "6", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("121", "6", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("122", "6", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("123", "6", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("124", "7", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("125", "7", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("126", "7", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("127", "7", "label", "Email Notification");
INSERT INTO `wp_nf3_action_meta` VALUES("128", "7", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("129", "7", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("130", "7", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("131", "7", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("132", "7", "to", "{system:admin_email}");
INSERT INTO `wp_nf3_action_meta` VALUES("133", "7", "email_subject", "New message from {field:name}");
INSERT INTO `wp_nf3_action_meta` VALUES("134", "7", "email_message", "<p>{field:message}</p><p>-Â {field:name} (Â {field:email} )</p>");
INSERT INTO `wp_nf3_action_meta` VALUES("135", "7", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("136", "7", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("137", "7", "reply_to", "{field:email}");
INSERT INTO `wp_nf3_action_meta` VALUES("138", "7", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("139", "7", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("140", "7", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("141", "7", "attach_csv", "0");
INSERT INTO `wp_nf3_action_meta` VALUES("142", "7", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("143", "8", "label", "Success Message");
INSERT INTO `wp_nf3_action_meta` VALUES("144", "8", "message", "Thank you {field:name} for filling out my form!");
INSERT INTO `wp_nf3_action_meta` VALUES("145", "8", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("146", "8", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("147", "8", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("148", "8", "conditions", "a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}");
INSERT INTO `wp_nf3_action_meta` VALUES("149", "8", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("150", "8", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("151", "8", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("152", "8", "to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("153", "8", "email_subject", "");
INSERT INTO `wp_nf3_action_meta` VALUES("154", "8", "email_message", "");
INSERT INTO `wp_nf3_action_meta` VALUES("155", "8", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("156", "8", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("157", "8", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("158", "8", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("159", "8", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("160", "8", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("161", "8", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("162", "8", "redirect_url", "");
INSERT INTO `wp_nf3_action_meta` VALUES("163", "8", "success_msg", "<p>Form submitted successfully.</p><p>A confirmation email was sent to{field:email}.</p>");
INSERT INTO `wp_nf3_action_meta` VALUES("164", "8", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("165", "9", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("166", "9", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("167", "9", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("168", "9", "label", "User Email Confirmation");
INSERT INTO `wp_nf3_action_meta` VALUES("169", "9", "to", "{field:email}");
INSERT INTO `wp_nf3_action_meta` VALUES("170", "9", "subject", "Ninja Forms Submission");
INSERT INTO `wp_nf3_action_meta` VALUES("171", "9", "message", "{field:all_fields}");
INSERT INTO `wp_nf3_action_meta` VALUES("172", "9", "order", "2");
INSERT INTO `wp_nf3_action_meta` VALUES("173", "9", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("174", "9", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("175", "9", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("176", "9", "email_subject", "Thank you for registering for our event");
INSERT INTO `wp_nf3_action_meta` VALUES("177", "9", "email_message", "<p>Your registration details are below:</p><p>{field:all_fields}<br></p>");
INSERT INTO `wp_nf3_action_meta` VALUES("178", "9", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("179", "9", "from_address", "{system:admin_email}");
INSERT INTO `wp_nf3_action_meta` VALUES("180", "9", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("181", "9", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("182", "9", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("183", "9", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("184", "9", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("185", "10", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("186", "10", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("187", "10", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("188", "10", "label", "Admin Email Notification");
INSERT INTO `wp_nf3_action_meta` VALUES("189", "10", "to", "{system:admin_email}");
INSERT INTO `wp_nf3_action_meta` VALUES("190", "10", "subject", "Ninja Forms Submission");
INSERT INTO `wp_nf3_action_meta` VALUES("191", "10", "message", "{field:all_fields}");
INSERT INTO `wp_nf3_action_meta` VALUES("192", "10", "order", "2");
INSERT INTO `wp_nf3_action_meta` VALUES("193", "10", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("194", "10", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("195", "10", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("196", "10", "email_subject", "New Event Registration from {field:firstname} {field:lastname}");
INSERT INTO `wp_nf3_action_meta` VALUES("197", "10", "email_message", "<p>Registration details are below:</p><p>{field:all_fields}<br></p>");
INSERT INTO `wp_nf3_action_meta` VALUES("198", "10", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("199", "10", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("200", "10", "reply_to", "{field:email}");
INSERT INTO `wp_nf3_action_meta` VALUES("201", "10", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("202", "10", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("203", "10", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("204", "10", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("205", "11", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("206", "11", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("207", "11", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("208", "11", "label", "Save Submission");
INSERT INTO `wp_nf3_action_meta` VALUES("209", "11", "order", "3");
INSERT INTO `wp_nf3_action_meta` VALUES("210", "11", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("211", "11", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("212", "11", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("213", "11", "to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("214", "11", "email_subject", "");
INSERT INTO `wp_nf3_action_meta` VALUES("215", "11", "email_message", "");
INSERT INTO `wp_nf3_action_meta` VALUES("216", "11", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("217", "11", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("218", "11", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("219", "11", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("220", "11", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("221", "11", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("222", "11", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("223", "11", "redirect_url", "");
INSERT INTO `wp_nf3_action_meta` VALUES("224", "12", "objectType", "Action");
INSERT INTO `wp_nf3_action_meta` VALUES("225", "12", "objectDomain", "actions");
INSERT INTO `wp_nf3_action_meta` VALUES("226", "12", "editActive", "");
INSERT INTO `wp_nf3_action_meta` VALUES("227", "12", "label", "Success Message");
INSERT INTO `wp_nf3_action_meta` VALUES("228", "12", "message", "Your form has been successfully submitted.");
INSERT INTO `wp_nf3_action_meta` VALUES("229", "12", "order", "1");
INSERT INTO `wp_nf3_action_meta` VALUES("230", "12", "payment_gateways", "");
INSERT INTO `wp_nf3_action_meta` VALUES("231", "12", "payment_total", "");
INSERT INTO `wp_nf3_action_meta` VALUES("232", "12", "tag", "");
INSERT INTO `wp_nf3_action_meta` VALUES("233", "12", "to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("234", "12", "email_subject", "");
INSERT INTO `wp_nf3_action_meta` VALUES("235", "12", "email_message", "");
INSERT INTO `wp_nf3_action_meta` VALUES("236", "12", "from_name", "");
INSERT INTO `wp_nf3_action_meta` VALUES("237", "12", "from_address", "");
INSERT INTO `wp_nf3_action_meta` VALUES("238", "12", "reply_to", "");
INSERT INTO `wp_nf3_action_meta` VALUES("239", "12", "email_format", "html");
INSERT INTO `wp_nf3_action_meta` VALUES("240", "12", "cc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("241", "12", "bcc", "");
INSERT INTO `wp_nf3_action_meta` VALUES("242", "12", "attach_csv", "");
INSERT INTO `wp_nf3_action_meta` VALUES("243", "12", "redirect_url", "");
INSERT INTO `wp_nf3_action_meta` VALUES("244", "12", "success_msg", "<p>Thank you for registering for our event.</p>");
INSERT INTO `wp_nf3_action_meta` VALUES("245", "12", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("246", "10", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("247", "9", "email_message_plain", "");
INSERT INTO `wp_nf3_action_meta` VALUES("248", "11", "email_message_plain", "");

/* INSERT TABLE DATA: wp_nf3_actions */
INSERT INTO `wp_nf3_actions` VALUES("1", "", "", "save", "1", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_actions` VALUES("2", "", "", "email", "1", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_actions` VALUES("3", "", "", "email", "1", "1", "2016-08-24 16:47:39", NULL);
INSERT INTO `wp_nf3_actions` VALUES("4", "", "", "successmessage", "1", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_actions` VALUES("5", "", "", "save", "1", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_actions` VALUES("6", "", "", "email", "1", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_actions` VALUES("7", "", "", "email", "1", "2", "2016-08-24 16:47:39", NULL);
INSERT INTO `wp_nf3_actions` VALUES("8", "", "", "successmessage", "1", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_actions` VALUES("9", "", "", "email", "1", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_actions` VALUES("10", "", "", "email", "1", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_actions` VALUES("11", "", "", "save", "1", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_actions` VALUES("12", "", "", "successmessage", "1", "3", "2016-08-28 16:16:05", NULL);

/* INSERT TABLE DATA: wp_nf3_field_meta */
INSERT INTO `wp_nf3_field_meta` VALUES("1", "1", "label_pos", "above");
INSERT INTO `wp_nf3_field_meta` VALUES("2", "1", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("3", "1", "order", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("4", "1", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("5", "1", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("6", "1", "wrapper_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("7", "1", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("8", "1", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("9", "1", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("10", "1", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("11", "1", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("12", "1", "input_limit", "");
INSERT INTO `wp_nf3_field_meta` VALUES("13", "1", "input_limit_type", "characters");
INSERT INTO `wp_nf3_field_meta` VALUES("14", "1", "input_limit_msg", "Character(s) left");
INSERT INTO `wp_nf3_field_meta` VALUES("15", "1", "manual_key", "");
INSERT INTO `wp_nf3_field_meta` VALUES("16", "1", "disable_input", "");
INSERT INTO `wp_nf3_field_meta` VALUES("17", "1", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("18", "1", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("19", "1", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("20", "1", "disable_browser_autocomplete", "");
INSERT INTO `wp_nf3_field_meta` VALUES("21", "1", "mask", "");
INSERT INTO `wp_nf3_field_meta` VALUES("22", "1", "custom_mask", "");
INSERT INTO `wp_nf3_field_meta` VALUES("23", "1", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("24", "1", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("25", "1", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("26", "1", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("27", "1", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("28", "1", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("29", "1", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("30", "1", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("31", "1", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("32", "1", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("33", "1", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("34", "1", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("35", "1", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("36", "1", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("37", "1", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("38", "1", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("39", "1", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("40", "1", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("41", "1", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("42", "1", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("43", "1", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("44", "1", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("45", "1", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("46", "1", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("47", "1", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("48", "1", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("49", "1", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("50", "1", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("51", "1", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("52", "1", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("53", "1", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("54", "1", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("55", "1", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("56", "1", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("57", "1", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("58", "1", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("59", "1", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("60", "1", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("61", "1", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("62", "1", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("63", "1", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("64", "1", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("65", "1", "cellcid", "c3277");
INSERT INTO `wp_nf3_field_meta` VALUES("66", "2", "label_pos", "above");
INSERT INTO `wp_nf3_field_meta` VALUES("67", "2", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("68", "2", "order", "2");
INSERT INTO `wp_nf3_field_meta` VALUES("69", "2", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("70", "2", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("71", "2", "wrapper_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("72", "2", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("73", "2", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("74", "2", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("75", "2", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("76", "2", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("77", "2", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("78", "2", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("79", "2", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("80", "2", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("81", "2", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("82", "2", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("83", "2", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("84", "2", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("85", "2", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("86", "2", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("87", "2", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("88", "2", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("89", "2", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("90", "2", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("91", "2", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("92", "2", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("93", "2", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("94", "2", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("95", "2", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("96", "2", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("97", "2", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("98", "2", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("99", "2", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("100", "2", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("101", "2", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("102", "2", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("103", "2", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("104", "2", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("105", "2", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("106", "2", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("107", "2", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("108", "2", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("109", "2", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("110", "2", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("111", "2", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("112", "2", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("113", "2", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("114", "2", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("115", "2", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("116", "2", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("117", "2", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("118", "2", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("119", "2", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("120", "2", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("121", "2", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("122", "2", "cellcid", "c3281");
INSERT INTO `wp_nf3_field_meta` VALUES("123", "3", "label_pos", "above");
INSERT INTO `wp_nf3_field_meta` VALUES("124", "3", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("125", "3", "order", "3");
INSERT INTO `wp_nf3_field_meta` VALUES("126", "3", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("127", "3", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("128", "3", "wrapper_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("129", "3", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("130", "3", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("131", "3", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("132", "3", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("133", "3", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("134", "3", "input_limit", "");
INSERT INTO `wp_nf3_field_meta` VALUES("135", "3", "input_limit_type", "characters");
INSERT INTO `wp_nf3_field_meta` VALUES("136", "3", "input_limit_msg", "Character(s) left");
INSERT INTO `wp_nf3_field_meta` VALUES("137", "3", "manual_key", "");
INSERT INTO `wp_nf3_field_meta` VALUES("138", "3", "disable_input", "");
INSERT INTO `wp_nf3_field_meta` VALUES("139", "3", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("140", "3", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("141", "3", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("142", "3", "disable_browser_autocomplete", "");
INSERT INTO `wp_nf3_field_meta` VALUES("143", "3", "textarea_rte", "");
INSERT INTO `wp_nf3_field_meta` VALUES("144", "3", "disable_rte_mobile", "");
INSERT INTO `wp_nf3_field_meta` VALUES("145", "3", "textarea_media", "");
INSERT INTO `wp_nf3_field_meta` VALUES("146", "3", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("147", "3", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("148", "3", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("149", "3", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("150", "3", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("151", "3", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("152", "3", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("153", "3", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("154", "3", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("155", "3", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("156", "3", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("157", "3", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("158", "3", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("159", "3", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("160", "3", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("161", "3", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("162", "3", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("163", "3", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("164", "3", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("165", "3", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("166", "3", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("167", "3", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("168", "3", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("169", "3", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("170", "3", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("171", "3", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("172", "3", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("173", "3", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("174", "3", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("175", "3", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("176", "3", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("177", "3", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("178", "3", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("179", "3", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("180", "3", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("181", "3", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("182", "3", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("183", "3", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("184", "3", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("185", "3", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("186", "3", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("187", "3", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("188", "3", "cellcid", "c3284");
INSERT INTO `wp_nf3_field_meta` VALUES("189", "4", "processing_label", "Processing");
INSERT INTO `wp_nf3_field_meta` VALUES("190", "4", "order", "5");
INSERT INTO `wp_nf3_field_meta` VALUES("191", "4", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("192", "4", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("193", "4", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("194", "4", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("195", "4", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("196", "4", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("197", "4", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("198", "4", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("199", "4", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("200", "4", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("201", "4", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("202", "4", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("203", "4", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("204", "4", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("205", "4", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("206", "4", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("207", "4", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("208", "4", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("209", "4", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("210", "4", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("211", "4", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("212", "4", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("213", "4", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("214", "4", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("215", "4", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("216", "4", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("217", "4", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("218", "4", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("219", "4", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("220", "4", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("221", "4", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("222", "4", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("223", "4", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("224", "4", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("225", "4", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("226", "4", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("227", "4", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("228", "4", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("229", "4", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("230", "4", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("231", "4", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("232", "4", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("233", "4", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("234", "4", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("235", "4", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("236", "4", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("237", "4", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("238", "4", "submit_element_hover_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("239", "4", "submit_element_hover_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("240", "4", "submit_element_hover_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("241", "4", "submit_element_hover_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("242", "4", "submit_element_hover_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("243", "4", "submit_element_hover_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("244", "4", "submit_element_hover_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("245", "4", "submit_element_hover_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("246", "4", "submit_element_hover_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("247", "4", "submit_element_hover_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("248", "4", "submit_element_hover_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("249", "4", "submit_element_hover_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("250", "4", "submit_element_hover_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("251", "4", "submit_element_hover_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("252", "4", "cellcid", "c3287");
INSERT INTO `wp_nf3_field_meta` VALUES("253", "5", "label_pos", "above");
INSERT INTO `wp_nf3_field_meta` VALUES("254", "5", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("255", "5", "order", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("256", "5", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("257", "5", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("258", "5", "wrapper_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("259", "5", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("260", "5", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("261", "5", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("262", "5", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("263", "5", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("264", "5", "input_limit", "");
INSERT INTO `wp_nf3_field_meta` VALUES("265", "5", "input_limit_type", "characters");
INSERT INTO `wp_nf3_field_meta` VALUES("266", "5", "input_limit_msg", "Character(s) left");
INSERT INTO `wp_nf3_field_meta` VALUES("267", "5", "manual_key", "");
INSERT INTO `wp_nf3_field_meta` VALUES("268", "5", "disable_input", "");
INSERT INTO `wp_nf3_field_meta` VALUES("269", "5", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("270", "5", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("271", "5", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("272", "5", "disable_browser_autocomplete", "");
INSERT INTO `wp_nf3_field_meta` VALUES("273", "5", "mask", "");
INSERT INTO `wp_nf3_field_meta` VALUES("274", "5", "custom_mask", "");
INSERT INTO `wp_nf3_field_meta` VALUES("275", "5", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("276", "5", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("277", "5", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("278", "5", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("279", "5", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("280", "5", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("281", "5", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("282", "5", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("283", "5", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("284", "5", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("285", "5", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("286", "5", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("287", "5", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("288", "5", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("289", "5", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("290", "5", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("291", "5", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("292", "5", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("293", "5", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("294", "5", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("295", "5", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("296", "5", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("297", "5", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("298", "5", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("299", "5", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("300", "5", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("301", "5", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("302", "5", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("303", "5", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("304", "5", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("305", "5", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("306", "5", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("307", "5", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("308", "5", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("309", "5", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("310", "5", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("311", "5", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("312", "5", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("313", "5", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("314", "5", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("315", "5", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("316", "5", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("317", "5", "cellcid", "c3277");
INSERT INTO `wp_nf3_field_meta` VALUES("318", "6", "label_pos", "above");
INSERT INTO `wp_nf3_field_meta` VALUES("319", "6", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("320", "6", "order", "2");
INSERT INTO `wp_nf3_field_meta` VALUES("321", "6", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("322", "6", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("323", "6", "wrapper_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("324", "6", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("325", "6", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("326", "6", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("327", "6", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("328", "6", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("329", "6", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("330", "6", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("331", "6", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("332", "6", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("333", "6", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("334", "6", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("335", "6", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("336", "6", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("337", "6", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("338", "6", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("339", "6", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("340", "6", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("341", "6", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("342", "6", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("343", "6", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("344", "6", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("345", "6", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("346", "6", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("347", "6", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("348", "6", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("349", "6", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("350", "6", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("351", "6", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("352", "6", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("353", "6", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("354", "6", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("355", "6", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("356", "6", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("357", "6", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("358", "6", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("359", "6", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("360", "6", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("361", "6", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("362", "6", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("363", "6", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("364", "6", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("365", "6", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("366", "6", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("367", "6", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("368", "6", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("369", "6", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("370", "6", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("371", "6", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("372", "6", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("373", "6", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("374", "6", "cellcid", "c3281");
INSERT INTO `wp_nf3_field_meta` VALUES("375", "7", "label_pos", "above");
INSERT INTO `wp_nf3_field_meta` VALUES("376", "7", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("377", "7", "order", "3");
INSERT INTO `wp_nf3_field_meta` VALUES("378", "7", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("379", "7", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("380", "7", "wrapper_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("381", "7", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("382", "7", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("383", "7", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("384", "7", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("385", "7", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("386", "7", "input_limit", "");
INSERT INTO `wp_nf3_field_meta` VALUES("387", "7", "input_limit_type", "characters");
INSERT INTO `wp_nf3_field_meta` VALUES("388", "7", "input_limit_msg", "Character(s) left");
INSERT INTO `wp_nf3_field_meta` VALUES("389", "7", "manual_key", "");
INSERT INTO `wp_nf3_field_meta` VALUES("390", "7", "disable_input", "");
INSERT INTO `wp_nf3_field_meta` VALUES("391", "7", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("392", "7", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("393", "7", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("394", "7", "disable_browser_autocomplete", "");
INSERT INTO `wp_nf3_field_meta` VALUES("395", "7", "textarea_rte", "");
INSERT INTO `wp_nf3_field_meta` VALUES("396", "7", "disable_rte_mobile", "");
INSERT INTO `wp_nf3_field_meta` VALUES("397", "7", "textarea_media", "");
INSERT INTO `wp_nf3_field_meta` VALUES("398", "7", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("399", "7", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("400", "7", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("401", "7", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("402", "7", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("403", "7", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("404", "7", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("405", "7", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("406", "7", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("407", "7", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("408", "7", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("409", "7", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("410", "7", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("411", "7", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("412", "7", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("413", "7", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("414", "7", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("415", "7", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("416", "7", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("417", "7", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("418", "7", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("419", "7", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("420", "7", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("421", "7", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("422", "7", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("423", "7", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("424", "7", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("425", "7", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("426", "7", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("427", "7", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("428", "7", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("429", "7", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("430", "7", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("431", "7", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("432", "7", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("433", "7", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("434", "7", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("435", "7", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("436", "7", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("437", "7", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("438", "7", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("439", "7", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("440", "7", "cellcid", "c3284");
INSERT INTO `wp_nf3_field_meta` VALUES("441", "8", "processing_label", "Processing");
INSERT INTO `wp_nf3_field_meta` VALUES("442", "8", "order", "5");
INSERT INTO `wp_nf3_field_meta` VALUES("443", "8", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("444", "8", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("445", "8", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("446", "8", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("447", "8", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("448", "8", "wrap_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("449", "8", "wrap_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("450", "8", "wrap_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("451", "8", "wrap_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("452", "8", "wrap_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("453", "8", "wrap_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("454", "8", "wrap_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("455", "8", "wrap_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("456", "8", "wrap_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("457", "8", "wrap_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("458", "8", "wrap_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("459", "8", "wrap_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("460", "8", "wrap_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("461", "8", "wrap_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("462", "8", "label_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("463", "8", "label_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("464", "8", "label_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("465", "8", "label_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("466", "8", "label_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("467", "8", "label_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("468", "8", "label_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("469", "8", "label_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("470", "8", "label_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("471", "8", "label_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("472", "8", "label_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("473", "8", "label_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("474", "8", "label_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("475", "8", "label_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("476", "8", "element_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("477", "8", "element_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("478", "8", "element_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("479", "8", "element_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("480", "8", "element_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("481", "8", "element_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("482", "8", "element_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("483", "8", "element_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("484", "8", "element_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("485", "8", "element_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("486", "8", "element_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("487", "8", "element_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("488", "8", "element_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("489", "8", "element_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("490", "8", "submit_element_hover_styles_background-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("491", "8", "submit_element_hover_styles_border", "");
INSERT INTO `wp_nf3_field_meta` VALUES("492", "8", "submit_element_hover_styles_border-style", "");
INSERT INTO `wp_nf3_field_meta` VALUES("493", "8", "submit_element_hover_styles_border-color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("494", "8", "submit_element_hover_styles_color", "");
INSERT INTO `wp_nf3_field_meta` VALUES("495", "8", "submit_element_hover_styles_height", "");
INSERT INTO `wp_nf3_field_meta` VALUES("496", "8", "submit_element_hover_styles_width", "");
INSERT INTO `wp_nf3_field_meta` VALUES("497", "8", "submit_element_hover_styles_font-size", "");
INSERT INTO `wp_nf3_field_meta` VALUES("498", "8", "submit_element_hover_styles_margin", "");
INSERT INTO `wp_nf3_field_meta` VALUES("499", "8", "submit_element_hover_styles_padding", "");
INSERT INTO `wp_nf3_field_meta` VALUES("500", "8", "submit_element_hover_styles_display", "");
INSERT INTO `wp_nf3_field_meta` VALUES("501", "8", "submit_element_hover_styles_float", "");
INSERT INTO `wp_nf3_field_meta` VALUES("502", "8", "submit_element_hover_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_field_meta` VALUES("503", "8", "submit_element_hover_styles_advanced", "");
INSERT INTO `wp_nf3_field_meta` VALUES("504", "8", "cellcid", "c3287");
INSERT INTO `wp_nf3_field_meta` VALUES("505", "1", "label", "Name");
INSERT INTO `wp_nf3_field_meta` VALUES("506", "1", "key", "name");
INSERT INTO `wp_nf3_field_meta` VALUES("507", "1", "type", "textbox");
INSERT INTO `wp_nf3_field_meta` VALUES("508", "1", "created_at", "2016-08-24 16:39:20");
INSERT INTO `wp_nf3_field_meta` VALUES("509", "2", "label", "Email");
INSERT INTO `wp_nf3_field_meta` VALUES("510", "2", "key", "email");
INSERT INTO `wp_nf3_field_meta` VALUES("511", "2", "type", "email");
INSERT INTO `wp_nf3_field_meta` VALUES("512", "2", "created_at", "2016-08-24 16:39:20");
INSERT INTO `wp_nf3_field_meta` VALUES("513", "3", "label", "Message");
INSERT INTO `wp_nf3_field_meta` VALUES("514", "3", "key", "message");
INSERT INTO `wp_nf3_field_meta` VALUES("515", "3", "type", "textarea");
INSERT INTO `wp_nf3_field_meta` VALUES("516", "3", "created_at", "2016-08-24 16:39:20");
INSERT INTO `wp_nf3_field_meta` VALUES("517", "4", "label", "Submit");
INSERT INTO `wp_nf3_field_meta` VALUES("518", "4", "key", "submit");
INSERT INTO `wp_nf3_field_meta` VALUES("519", "4", "type", "submit");
INSERT INTO `wp_nf3_field_meta` VALUES("520", "4", "created_at", "2016-08-24 16:39:20");
INSERT INTO `wp_nf3_field_meta` VALUES("521", "9", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("522", "9", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("523", "9", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("524", "9", "order", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("525", "9", "default", "<p>If you would like to take part in the <b>Langara College Imaginary Film Festival</b>, please fill in your details in this Event Registration Form below and you will be automatically registered. Event registration must be completed at least seven (7) days prior to the event.</p>");
INSERT INTO `wp_nf3_field_meta` VALUES("526", "9", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("527", "9", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("528", "10", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("529", "10", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("530", "10", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("531", "10", "order", "10");
INSERT INTO `wp_nf3_field_meta` VALUES("532", "10", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("533", "10", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("534", "10", "options", "a:7:{i:0;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:10:\"White wine\";s:5:\"value\";s:10:\"white-wine\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:8:\"Red wine\";s:5:\"value\";s:8:\"red-wine\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:1;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:4:\"Beer\";s:5:\"value\";s:4:\"beer\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:2;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:3;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:5:\"Water\";s:5:\"value\";s:5:\"water\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:4;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:4;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"Coke\";s:5:\"value\";s:4:\"coke\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:5;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:5;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:5:\"Juice\";s:5:\"value\";s:5:\"juice\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:6;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:6;s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:13:\"No Preference\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}");
INSERT INTO `wp_nf3_field_meta` VALUES("535", "10", "container_class", "one-half");
INSERT INTO `wp_nf3_field_meta` VALUES("536", "10", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("537", "10", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("538", "10", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("539", "10", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("540", "11", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("541", "11", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("542", "11", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("543", "11", "order", "11");
INSERT INTO `wp_nf3_field_meta` VALUES("544", "11", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("545", "11", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("553", "13", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("554", "13", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("555", "13", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("556", "13", "order", "13");
INSERT INTO `wp_nf3_field_meta` VALUES("557", "13", "processing_label", "Processing");
INSERT INTO `wp_nf3_field_meta` VALUES("558", "13", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("559", "13", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("560", "14", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("561", "14", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("562", "14", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("563", "14", "order", "2");
INSERT INTO `wp_nf3_field_meta` VALUES("564", "14", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("565", "14", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("566", "15", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("567", "15", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("568", "15", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("569", "15", "order", "3");
INSERT INTO `wp_nf3_field_meta` VALUES("570", "15", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("571", "15", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("572", "15", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("573", "15", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("574", "15", "container_class", "one-half first");
INSERT INTO `wp_nf3_field_meta` VALUES("575", "15", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("576", "15", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("577", "15", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("578", "15", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("579", "16", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("580", "16", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("581", "16", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("582", "16", "order", "4");
INSERT INTO `wp_nf3_field_meta` VALUES("583", "16", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("584", "16", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("585", "16", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("586", "16", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("587", "16", "container_class", "one-half");
INSERT INTO `wp_nf3_field_meta` VALUES("588", "16", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("589", "16", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("590", "16", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("591", "16", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("592", "17", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("593", "17", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("594", "17", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("595", "17", "order", "5");
INSERT INTO `wp_nf3_field_meta` VALUES("596", "17", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("597", "17", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("598", "17", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("599", "17", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("600", "17", "container_class", "one-half first");
INSERT INTO `wp_nf3_field_meta` VALUES("601", "17", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("602", "17", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("603", "17", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("604", "17", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("605", "18", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("606", "18", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("607", "18", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("608", "18", "order", "6");
INSERT INTO `wp_nf3_field_meta` VALUES("609", "18", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("610", "18", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("611", "18", "placeholder", "");
INSERT INTO `wp_nf3_field_meta` VALUES("612", "18", "default", "");
INSERT INTO `wp_nf3_field_meta` VALUES("613", "18", "container_class", "one-half");
INSERT INTO `wp_nf3_field_meta` VALUES("614", "18", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("615", "18", "input_limit", "");
INSERT INTO `wp_nf3_field_meta` VALUES("616", "18", "input_limit_type", "characters");
INSERT INTO `wp_nf3_field_meta` VALUES("617", "18", "input_limit_msg", "Character(s) left");
INSERT INTO `wp_nf3_field_meta` VALUES("618", "18", "manual_key", "");
INSERT INTO `wp_nf3_field_meta` VALUES("619", "18", "disable_input", "");
INSERT INTO `wp_nf3_field_meta` VALUES("620", "18", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("621", "18", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("622", "18", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("623", "18", "disable_browser_autocomplete", "");
INSERT INTO `wp_nf3_field_meta` VALUES("624", "18", "mask", "");
INSERT INTO `wp_nf3_field_meta` VALUES("625", "18", "custom_mask", "");
INSERT INTO `wp_nf3_field_meta` VALUES("626", "19", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("627", "19", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("628", "19", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("629", "19", "order", "7");
INSERT INTO `wp_nf3_field_meta` VALUES("630", "19", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("631", "19", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("632", "20", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("633", "20", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("634", "20", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("635", "20", "order", "8");
INSERT INTO `wp_nf3_field_meta` VALUES("636", "20", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("637", "20", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("638", "20", "options", "a:5:{i:0;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"0\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"None\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"1\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"2\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"3\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:4;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"4\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"Four\";s:5:\"value\";s:4:\"four\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}");
INSERT INTO `wp_nf3_field_meta` VALUES("639", "20", "container_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("640", "20", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("641", "20", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("642", "20", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("643", "20", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("644", "21", "objectType", "Field");
INSERT INTO `wp_nf3_field_meta` VALUES("645", "21", "objectDomain", "fields");
INSERT INTO `wp_nf3_field_meta` VALUES("646", "21", "editActive", "");
INSERT INTO `wp_nf3_field_meta` VALUES("647", "21", "order", "9");
INSERT INTO `wp_nf3_field_meta` VALUES("648", "21", "label_pos", "default");
INSERT INTO `wp_nf3_field_meta` VALUES("649", "21", "required", "1");
INSERT INTO `wp_nf3_field_meta` VALUES("650", "21", "options", "a:4:{i:0;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:5:\"Vegan\";s:5:\"value\";s:5:\"vegan\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:10:\"Vegitarian\";s:5:\"value\";s:10:\"vegetarian\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"1\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"2\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:11:\"Gluten Free\";s:5:\"value\";s:9:\"no-gluten\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:4:\"None\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"3\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}");
INSERT INTO `wp_nf3_field_meta` VALUES("651", "21", "container_class", "one-half first");
INSERT INTO `wp_nf3_field_meta` VALUES("652", "21", "element_class", "");
INSERT INTO `wp_nf3_field_meta` VALUES("653", "21", "admin_label", "");
INSERT INTO `wp_nf3_field_meta` VALUES("654", "21", "help_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("655", "21", "desc_text", "");
INSERT INTO `wp_nf3_field_meta` VALUES("656", "9", "label", "Event Intro Description");
INSERT INTO `wp_nf3_field_meta` VALUES("657", "9", "key", "event_intro_description");
INSERT INTO `wp_nf3_field_meta` VALUES("658", "9", "type", "html");
INSERT INTO `wp_nf3_field_meta` VALUES("659", "9", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("660", "14", "label", "Divider");
INSERT INTO `wp_nf3_field_meta` VALUES("661", "14", "key", "hr");
INSERT INTO `wp_nf3_field_meta` VALUES("662", "14", "type", "hr");
INSERT INTO `wp_nf3_field_meta` VALUES("663", "14", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("664", "15", "label", "First Name");
INSERT INTO `wp_nf3_field_meta` VALUES("665", "15", "key", "firstname");
INSERT INTO `wp_nf3_field_meta` VALUES("666", "15", "type", "firstname");
INSERT INTO `wp_nf3_field_meta` VALUES("667", "15", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("668", "16", "label", "Last Name");
INSERT INTO `wp_nf3_field_meta` VALUES("669", "16", "key", "lastname");
INSERT INTO `wp_nf3_field_meta` VALUES("670", "16", "type", "lastname");
INSERT INTO `wp_nf3_field_meta` VALUES("671", "16", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("672", "17", "label", "Email");
INSERT INTO `wp_nf3_field_meta` VALUES("673", "17", "key", "email");
INSERT INTO `wp_nf3_field_meta` VALUES("674", "17", "type", "email");
INSERT INTO `wp_nf3_field_meta` VALUES("675", "17", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("676", "18", "label", "Phone");
INSERT INTO `wp_nf3_field_meta` VALUES("677", "18", "key", "textbox");
INSERT INTO `wp_nf3_field_meta` VALUES("678", "18", "type", "textbox");
INSERT INTO `wp_nf3_field_meta` VALUES("679", "18", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("680", "19", "label", "Divider");
INSERT INTO `wp_nf3_field_meta` VALUES("681", "19", "key", "hr_1");
INSERT INTO `wp_nf3_field_meta` VALUES("682", "19", "type", "hr");
INSERT INTO `wp_nf3_field_meta` VALUES("683", "19", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("684", "20", "label", "How many friends will you bring along?");
INSERT INTO `wp_nf3_field_meta` VALUES("685", "20", "key", "how_many_friends_will_you_bring_along");
INSERT INTO `wp_nf3_field_meta` VALUES("686", "20", "type", "listselect");
INSERT INTO `wp_nf3_field_meta` VALUES("687", "20", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("688", "21", "label", "Any food requirements?");
INSERT INTO `wp_nf3_field_meta` VALUES("689", "21", "key", "any_food_requirements");
INSERT INTO `wp_nf3_field_meta` VALUES("690", "21", "type", "listradio");
INSERT INTO `wp_nf3_field_meta` VALUES("691", "21", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("692", "10", "label", "Preferred drink?");
INSERT INTO `wp_nf3_field_meta` VALUES("693", "10", "key", "preferred_drink");
INSERT INTO `wp_nf3_field_meta` VALUES("694", "10", "type", "listradio");
INSERT INTO `wp_nf3_field_meta` VALUES("695", "10", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("696", "11", "label", "Divider");
INSERT INTO `wp_nf3_field_meta` VALUES("697", "11", "key", "hr_2");
INSERT INTO `wp_nf3_field_meta` VALUES("698", "11", "type", "hr");
INSERT INTO `wp_nf3_field_meta` VALUES("699", "11", "created_at", "2016-08-28 16:16:05");
INSERT INTO `wp_nf3_field_meta` VALUES("704", "13", "label", "Register");
INSERT INTO `wp_nf3_field_meta` VALUES("705", "13", "key", "register");
INSERT INTO `wp_nf3_field_meta` VALUES("706", "13", "type", "submit");
INSERT INTO `wp_nf3_field_meta` VALUES("707", "13", "created_at", "2016-08-28 16:16:05");

/* INSERT TABLE DATA: wp_nf3_fields */
INSERT INTO `wp_nf3_fields` VALUES("1", "Name", "name", "textbox", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("2", "Email", "email", "email", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("3", "Message", "message", "textarea", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("4", "Submit", "submit", "submit", "1", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("5", "Name", "name", "textbox", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("6", "Email", "email", "email", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("7", "Message", "message", "textarea", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("8", "Submit", "submit", "submit", "2", "2016-08-24 16:39:20", NULL);
INSERT INTO `wp_nf3_fields` VALUES("9", "Event Intro Description", "event_intro_description", "html", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("10", "Preferred drink?", "preferred_drink", "listradio", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("11", "Divider", "hr_2", "hr", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("13", "Register", "register", "submit", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("14", "Divider", "hr", "hr", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("15", "First Name", "firstname", "firstname", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("16", "Last Name", "lastname", "lastname", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("17", "Email", "email", "email", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("18", "Phone", "textbox", "textbox", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("19", "Divider", "hr_1", "hr", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("20", "How many friends will you bring along?", "how_many_friends_will_you_bring_along", "listselect", "3", "2016-08-28 16:16:05", NULL);
INSERT INTO `wp_nf3_fields` VALUES("21", "Any food requirements?", "any_food_requirements", "listradio", "3", "2016-08-28 16:16:05", NULL);

/* INSERT TABLE DATA: wp_nf3_form_meta */
INSERT INTO `wp_nf3_form_meta` VALUES("1", "1", "default_label_pos", "above");
INSERT INTO `wp_nf3_form_meta` VALUES("2", "1", "_seq_num", "3");
INSERT INTO `wp_nf3_form_meta` VALUES("3", "1", "conditions", "a:0:{}");
INSERT INTO `wp_nf3_form_meta` VALUES("4", "1", "objectType", "Form Setting");
INSERT INTO `wp_nf3_form_meta` VALUES("5", "1", "editActive", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("6", "1", "show_title", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("7", "1", "clear_complete", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("8", "1", "hide_complete", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("9", "1", "wrapper_class", "");
INSERT INTO `wp_nf3_form_meta` VALUES("10", "1", "element_class", "");
INSERT INTO `wp_nf3_form_meta` VALUES("11", "1", "add_submit", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("12", "1", "logged_in", "");
INSERT INTO `wp_nf3_form_meta` VALUES("13", "1", "not_logged_in_msg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("14", "1", "sub_limit_number", "");
INSERT INTO `wp_nf3_form_meta` VALUES("15", "1", "sub_limit_msg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("16", "1", "calculations", "a:0:{}");
INSERT INTO `wp_nf3_form_meta` VALUES("17", "1", "formContentData", "a:4:{i:0;s:4:\"name\";i:1;s:5:\"email\";i:2;s:7:\"message\";i:3;s:6:\"submit\";}");
INSERT INTO `wp_nf3_form_meta` VALUES("18", "1", "container_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("19", "1", "container_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("20", "1", "container_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("21", "1", "container_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("22", "1", "container_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("23", "1", "container_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("24", "1", "container_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("25", "1", "container_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("26", "1", "container_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("27", "1", "container_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("28", "1", "container_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("29", "1", "container_styles_float", "");
INSERT INTO `wp_nf3_form_meta` VALUES("30", "1", "container_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("31", "1", "container_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("32", "1", "title_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("33", "1", "title_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("34", "1", "title_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("35", "1", "title_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("36", "1", "title_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("37", "1", "title_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("38", "1", "title_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("39", "1", "title_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("40", "1", "title_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("41", "1", "title_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("42", "1", "title_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("43", "1", "title_styles_float", "");
INSERT INTO `wp_nf3_form_meta` VALUES("44", "1", "title_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("45", "1", "title_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("46", "1", "row_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("47", "1", "row_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("48", "1", "row_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("49", "1", "row_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("50", "1", "row_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("51", "1", "row_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("52", "1", "row_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("53", "1", "row_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("54", "1", "row_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("55", "1", "row_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("56", "1", "row_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("57", "1", "row_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("58", "1", "row_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("59", "1", "row-odd_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("60", "1", "row-odd_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("61", "1", "row-odd_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("62", "1", "row-odd_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("63", "1", "row-odd_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("64", "1", "row-odd_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("65", "1", "row-odd_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("66", "1", "row-odd_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("67", "1", "row-odd_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("68", "1", "row-odd_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("69", "1", "row-odd_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("70", "1", "row-odd_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("71", "1", "row-odd_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("72", "1", "success-msg_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("73", "1", "success-msg_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("74", "1", "success-msg_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("75", "1", "success-msg_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("76", "1", "success-msg_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("77", "1", "success-msg_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("78", "1", "success-msg_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("79", "1", "success-msg_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("80", "1", "success-msg_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("81", "1", "success-msg_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("82", "1", "success-msg_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("83", "1", "success-msg_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("84", "1", "success-msg_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("85", "1", "error_msg_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("86", "1", "error_msg_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("87", "1", "error_msg_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("88", "1", "error_msg_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("89", "1", "error_msg_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("90", "1", "error_msg_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("91", "1", "error_msg_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("92", "1", "error_msg_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("93", "1", "error_msg_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("94", "1", "error_msg_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("95", "1", "error_msg_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("96", "1", "error_msg_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("97", "1", "error_msg_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("98", "2", "default_label_pos", "above");
INSERT INTO `wp_nf3_form_meta` VALUES("99", "2", "_seq_num", "3");
INSERT INTO `wp_nf3_form_meta` VALUES("100", "2", "conditions", "a:0:{}");
INSERT INTO `wp_nf3_form_meta` VALUES("101", "2", "objectType", "Form Setting");
INSERT INTO `wp_nf3_form_meta` VALUES("102", "2", "editActive", "");
INSERT INTO `wp_nf3_form_meta` VALUES("103", "2", "show_title", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("104", "2", "clear_complete", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("105", "2", "hide_complete", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("106", "2", "wrapper_class", "");
INSERT INTO `wp_nf3_form_meta` VALUES("107", "2", "element_class", "");
INSERT INTO `wp_nf3_form_meta` VALUES("108", "2", "add_submit", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("109", "2", "logged_in", "");
INSERT INTO `wp_nf3_form_meta` VALUES("110", "2", "not_logged_in_msg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("111", "2", "sub_limit_number", "");
INSERT INTO `wp_nf3_form_meta` VALUES("112", "2", "sub_limit_msg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("113", "2", "calculations", "a:0:{}");
INSERT INTO `wp_nf3_form_meta` VALUES("114", "2", "formContentData", "a:4:{i:0;a:2:{s:5:\"order\";s:1:\"0\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:4:\"name\";}s:5:\"width\";s:3:\"100\";}}}i:1;a:2:{s:5:\"order\";s:1:\"1\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:5:\"email\";}s:5:\"width\";s:3:\"100\";}}}i:2;a:2:{s:5:\"order\";s:1:\"2\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:7:\"message\";}s:5:\"width\";s:3:\"100\";}}}i:3;a:2:{s:5:\"order\";s:1:\"3\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:6:\"submit\";}s:5:\"width\";s:3:\"100\";}}}}");
INSERT INTO `wp_nf3_form_meta` VALUES("115", "2", "container_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("116", "2", "container_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("117", "2", "container_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("118", "2", "container_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("119", "2", "container_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("120", "2", "container_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("121", "2", "container_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("122", "2", "container_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("123", "2", "container_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("124", "2", "container_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("125", "2", "container_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("126", "2", "container_styles_float", "");
INSERT INTO `wp_nf3_form_meta` VALUES("127", "2", "container_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("128", "2", "container_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("129", "2", "title_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("130", "2", "title_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("131", "2", "title_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("132", "2", "title_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("133", "2", "title_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("134", "2", "title_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("135", "2", "title_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("136", "2", "title_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("137", "2", "title_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("138", "2", "title_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("139", "2", "title_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("140", "2", "title_styles_float", "");
INSERT INTO `wp_nf3_form_meta` VALUES("141", "2", "title_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("142", "2", "title_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("143", "2", "row_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("144", "2", "row_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("145", "2", "row_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("146", "2", "row_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("147", "2", "row_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("148", "2", "row_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("149", "2", "row_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("150", "2", "row_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("151", "2", "row_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("152", "2", "row_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("153", "2", "row_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("154", "2", "row_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("155", "2", "row_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("156", "2", "row-odd_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("157", "2", "row-odd_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("158", "2", "row-odd_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("159", "2", "row-odd_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("160", "2", "row-odd_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("161", "2", "row-odd_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("162", "2", "row-odd_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("163", "2", "row-odd_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("164", "2", "row-odd_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("165", "2", "row-odd_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("166", "2", "row-odd_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("167", "2", "row-odd_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("168", "2", "row-odd_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("169", "2", "success-msg_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("170", "2", "success-msg_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("171", "2", "success-msg_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("172", "2", "success-msg_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("173", "2", "success-msg_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("174", "2", "success-msg_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("175", "2", "success-msg_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("176", "2", "success-msg_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("177", "2", "success-msg_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("178", "2", "success-msg_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("179", "2", "success-msg_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("180", "2", "success-msg_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("181", "2", "success-msg_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("182", "2", "error_msg_styles_background-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("183", "2", "error_msg_styles_border", "");
INSERT INTO `wp_nf3_form_meta` VALUES("184", "2", "error_msg_styles_border-style", "");
INSERT INTO `wp_nf3_form_meta` VALUES("185", "2", "error_msg_styles_border-color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("186", "2", "error_msg_styles_color", "");
INSERT INTO `wp_nf3_form_meta` VALUES("187", "2", "error_msg_styles_height", "");
INSERT INTO `wp_nf3_form_meta` VALUES("188", "2", "error_msg_styles_width", "");
INSERT INTO `wp_nf3_form_meta` VALUES("189", "2", "error_msg_styles_font-size", "");
INSERT INTO `wp_nf3_form_meta` VALUES("190", "2", "error_msg_styles_margin", "");
INSERT INTO `wp_nf3_form_meta` VALUES("191", "2", "error_msg_styles_padding", "");
INSERT INTO `wp_nf3_form_meta` VALUES("192", "2", "error_msg_styles_display", "");
INSERT INTO `wp_nf3_form_meta` VALUES("193", "2", "error_msg_styles_show_advanced_css", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("194", "2", "error_msg_styles_advanced", "");
INSERT INTO `wp_nf3_form_meta` VALUES("195", "1", "changeEmailErrorMsg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("196", "1", "confirmFieldErrorMsg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("197", "1", "fieldNumberNumMinError", "");
INSERT INTO `wp_nf3_form_meta` VALUES("198", "1", "fieldNumberNumMaxError", "");
INSERT INTO `wp_nf3_form_meta` VALUES("199", "1", "fieldNumberIncrementBy", "");
INSERT INTO `wp_nf3_form_meta` VALUES("200", "1", "formErrorsCorrectErrors", "");
INSERT INTO `wp_nf3_form_meta` VALUES("201", "1", "validateRequiredField", "");
INSERT INTO `wp_nf3_form_meta` VALUES("202", "1", "honeypotHoneypotError", "");
INSERT INTO `wp_nf3_form_meta` VALUES("203", "1", "fieldsMarkedRequired", "");
INSERT INTO `wp_nf3_form_meta` VALUES("204", "1", "currency", "");
INSERT INTO `wp_nf3_form_meta` VALUES("205", "3", "objectType", "Form Setting");
INSERT INTO `wp_nf3_form_meta` VALUES("206", "3", "editActive", "");
INSERT INTO `wp_nf3_form_meta` VALUES("207", "3", "show_title", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("208", "3", "clear_complete", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("209", "3", "hide_complete", "1");
INSERT INTO `wp_nf3_form_meta` VALUES("210", "3", "default_label_pos", "above");
INSERT INTO `wp_nf3_form_meta` VALUES("211", "3", "wrapper_class", "");
INSERT INTO `wp_nf3_form_meta` VALUES("212", "3", "element_class", "");
INSERT INTO `wp_nf3_form_meta` VALUES("213", "3", "add_submit", "0");
INSERT INTO `wp_nf3_form_meta` VALUES("214", "3", "logged_in", "");
INSERT INTO `wp_nf3_form_meta` VALUES("215", "3", "not_logged_in_msg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("216", "3", "sub_limit_number", "");
INSERT INTO `wp_nf3_form_meta` VALUES("217", "3", "sub_limit_msg", "");
INSERT INTO `wp_nf3_form_meta` VALUES("218", "3", "calculations", "a:0:{}");
INSERT INTO `wp_nf3_form_meta` VALUES("219", "3", "formContentData", "a:12:{i:0;s:23:\"event_intro_description\";i:1;s:2:\"hr\";i:2;s:9:\"firstname\";i:3;s:8:\"lastname\";i:4;s:5:\"email\";i:5;s:7:\"textbox\";i:6;s:4:\"hr_1\";i:7;s:37:\"how_many_friends_will_you_bring_along\";i:8;s:21:\"any_food_requirements\";i:9;s:15:\"preferred_drink\";i:10;s:4:\"hr_2\";i:11;s:8:\"register\";}");
INSERT INTO `wp_nf3_form_meta` VALUES("220", "3", "currency", "");
INSERT INTO `wp_nf3_form_meta` VALUES("221", "3", "_seq_num", "2");

/* INSERT TABLE DATA: wp_nf3_forms */
INSERT INTO `wp_nf3_forms` VALUES("1", "Contact Us", "", "2016-08-24 16:39:20", NULL, NULL, NULL);
INSERT INTO `wp_nf3_forms` VALUES("2", "Contact Me", "", "2016-08-24 16:39:20", NULL, NULL, NULL);
INSERT INTO `wp_nf3_forms` VALUES("3", "Event Registration", "", "2016-08-28 16:16:05", NULL, NULL, NULL);

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Imaginary Film Festival", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "Vancouver, Canada: June 03 – June 17", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kmcmillan@langara.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "4", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:108:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:34:\"notice/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:44:\"notice/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:64:\"notice/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:59:\"notice/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:59:\"notice/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:40:\"notice/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:23:\"notice/([^/]+)/embed/?$\";s:39:\"index.php?notice=$matches[1]&embed=true\";s:27:\"notice/([^/]+)/trackback/?$\";s:33:\"index.php?notice=$matches[1]&tb=1\";s:35:\"notice/([^/]+)/page/?([0-9]{1,})/?$\";s:46:\"index.php?notice=$matches[1]&paged=$matches[2]\";s:42:\"notice/([^/]+)/comment-page-([0-9]{1,})/?$\";s:46:\"index.php?notice=$matches[1]&cpage=$matches[2]\";s:31:\"notice/([^/]+)(?:/([0-9]+))?/?$\";s:45:\"index.php?notice=$matches[1]&page=$matches[2]\";s:23:\"notice/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:33:\"notice/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:53:\"notice/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:48:\"notice/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:48:\"notice/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:29:\"notice/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\"[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:24:\"([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:22:\"[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:5:{i:0;s:30:\"advanced-custom-fields/acf.php\";i:1;s:43:\"custom-post-type-ui/custom-post-type-ui.php\";i:2;s:25:\"duplicator/duplicator.php\";i:3;s:33:\"kadence-blocks/kadence-blocks.php\";i:4;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "10", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("44", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("46", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("47", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("48", "db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("49", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("50", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("51", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("52", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("53", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("54", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("55", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("56", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("57", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("61", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("63", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("64", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("69", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("71", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("73", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("74", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("75", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("76", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("77", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "uninstall_plugins", "a:1:{s:27:\"ninja-forms/ninja-forms.php\";s:21:\"ninja_forms_uninstall\";}", "no");
INSERT INTO `wp_options` VALUES("82", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("83", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("86", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("88", "site_icon", "595", "yes");
INSERT INTO `wp_options` VALUES("89", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("90", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("91", "initial_db_version", "36686", "yes");
INSERT INTO `wp_options` VALUES("92", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:69:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;s:31:\"genesis_custom_block_edit_block\";b:1;s:32:\"genesis_custom_block_edit_blocks\";b:1;s:39:\"genesis_custom_block_edit_others_blocks\";b:1;s:35:\"genesis_custom_block_publish_blocks\";b:1;s:31:\"genesis_custom_block_read_block\";b:1;s:40:\"genesis_custom_block_read_private_blocks\";b:1;s:33:\"genesis_custom_block_delete_block\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("93", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("94", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("95", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("96", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("97", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("98", "sidebars_widgets", "a:2:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:12:\"categories-2\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("99", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("100", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("101", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("102", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("103", "cron", "a:11:{i:1678345676;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1678347839;a:1:{s:29:\"wp_session_garbage_collection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1678360157;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1678373171;a:1:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1678384911;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1678384924;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1678385331;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1678390902;a:1:{s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1678391120;a:2:{s:24:\"tribe_common_log_cleanup\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:16:\"tribe_daily_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1678416371;a:2:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("117", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:20:\"kmcmillan@langara.ca\";s:7:\"version\";s:5:\"6.0.3\";s:9:\"timestamp\";i:1678128825;}", "no");
INSERT INTO `wp_options` VALUES("139", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("143", "recently_activated", "a:2:{s:47:\"genesis-custom-blocks/genesis-custom-blocks.php\";i:1678307519;s:13:\"pods/init.php\";i:1678307519;}", "yes");
INSERT INTO `wp_options` VALUES("154", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("182", "theme_mods_twentysixteen", "a:3:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1521402295;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:1:{i:0;s:12:\"categories-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}s:18:\"nav_menu_locations\";a:2:{s:7:\"primary\";i:11;s:6:\"social\";i:13;}}", "yes");
INSERT INTO `wp_options` VALUES("242", "ninja_forms_version", "3.6.12", "yes");
INSERT INTO `wp_options` VALUES("243", "ninja_forms_settings", "a:10:{s:11:\"date_format\";s:5:\"m/d/Y\";s:8:\"currency\";s:3:\"USD\";s:18:\"recaptcha_site_key\";s:0:\"\";s:20:\"recaptcha_secret_key\";s:0:\"\";s:14:\"recaptcha_lang\";s:0:\"\";s:19:\"delete_on_uninstall\";i:0;s:21:\"disable_admin_notices\";i:0;s:20:\"recaptcha_site_key_3\";s:0:\"\";s:22:\"recaptcha_secret_key_3\";s:0:\"\";s:16:\"builder_dev_mode\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("246", "nf_form_1", "a:7:{s:2:\"id\";i:1;s:20:\"show_publish_options\";b:0;s:6:\"fields\";a:4:{i:0;a:2:{s:8:\"settings\";a:69:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"1\";s:5:\"label\";s:4:\"Name\";s:3:\"key\";s:4:\"name\";s:4:\"type\";s:7:\"textbox\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:9:\"label_pos\";s:5:\"above\";s:8:\"required\";s:1:\"1\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:11:\"input_limit\";s:0:\"\";s:16:\"input_limit_type\";s:10:\"characters\";s:15:\"input_limit_msg\";s:17:\"Character(s) left\";s:10:\"manual_key\";s:0:\"\";s:13:\"disable_input\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"disable_browser_autocomplete\";s:0:\"\";s:4:\"mask\";s:0:\"\";s:11:\"custom_mask\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3277\";}s:2:\"id\";s:1:\"1\";}i:1;a:2:{s:8:\"settings\";a:61:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"2\";s:5:\"label\";s:5:\"Email\";s:3:\"key\";s:5:\"email\";s:4:\"type\";s:5:\"email\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:9:\"label_pos\";s:5:\"above\";s:8:\"required\";s:1:\"1\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3281\";}s:2:\"id\";s:1:\"2\";}i:2;a:2:{s:8:\"settings\";a:70:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"3\";s:5:\"label\";s:7:\"Message\";s:3:\"key\";s:7:\"message\";s:4:\"type\";s:8:\"textarea\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:9:\"label_pos\";s:5:\"above\";s:8:\"required\";s:1:\"1\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:11:\"input_limit\";s:0:\"\";s:16:\"input_limit_type\";s:10:\"characters\";s:15:\"input_limit_msg\";s:17:\"Character(s) left\";s:10:\"manual_key\";s:0:\"\";s:13:\"disable_input\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"disable_browser_autocomplete\";s:0:\"\";s:12:\"textarea_rte\";s:0:\"\";s:18:\"disable_rte_mobile\";s:0:\"\";s:14:\"textarea_media\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3284\";}s:2:\"id\";s:1:\"3\";}i:3;a:2:{s:8:\"settings\";a:68:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"5\";s:5:\"label\";s:6:\"Submit\";s:3:\"key\";s:6:\"submit\";s:4:\"type\";s:6:\"submit\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:16:\"processing_label\";s:10:\"Processing\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:44:\"submit_element_hover_styles_background-color\";s:0:\"\";s:34:\"submit_element_hover_styles_border\";s:0:\"\";s:40:\"submit_element_hover_styles_border-style\";s:0:\"\";s:40:\"submit_element_hover_styles_border-color\";s:0:\"\";s:33:\"submit_element_hover_styles_color\";s:0:\"\";s:34:\"submit_element_hover_styles_height\";s:0:\"\";s:33:\"submit_element_hover_styles_width\";s:0:\"\";s:37:\"submit_element_hover_styles_font-size\";s:0:\"\";s:34:\"submit_element_hover_styles_margin\";s:0:\"\";s:35:\"submit_element_hover_styles_padding\";s:0:\"\";s:35:\"submit_element_hover_styles_display\";s:0:\"\";s:33:\"submit_element_hover_styles_float\";s:0:\"\";s:45:\"submit_element_hover_styles_show_advanced_css\";s:1:\"0\";s:36:\"submit_element_hover_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3287\";}s:2:\"id\";s:1:\"4\";}}s:7:\"actions\";a:4:{i:0;a:2:{s:8:\"settings\";a:25:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:4:\"save\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:5:\"label\";s:16:\"Save to Database\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:1;}i:1;a:2:{s:8:\"settings\";a:27:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:14:\"successmessage\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:5:\"label\";s:15:\"Success Message\";s:7:\"message\";s:47:\"Thank you {field:name} for filling out my form!\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:11:\"success_msg\";s:88:\"<p>Form submitted successfully.</p><p>A confirmation email was sent to{field:email}.</p>\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:4;}i:2;a:2:{s:8:\"settings\";a:26:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:5:\"label\";s:18:\"Email Confirmation\";s:2:\"to\";s:13:\"{field:email}\";s:7:\"subject\";s:24:\"This is an email action.\";s:7:\"message\";s:19:\"Hello, Ninja Forms!\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:0:{}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:13:\"email_subject\";s:24:\"Submission Confirmation \";s:13:\"email_message\";s:29:\"<p>{field:all_fields}<br></p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:2;}i:3;a:2:{s:8:\"settings\";a:24:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:47:39\";s:5:\"label\";s:18:\"Email Notification\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:20:\"{system:admin_email}\";s:13:\"email_subject\";s:29:\"New message from {field:name}\";s:13:\"email_message\";s:63:\"<p>{field:message}</p><p>- {field:name} ( {field:email} )</p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:13:\"{field:email}\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:1:\"0\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:3;}}s:8:\"settings\";a:110:{s:10:\"objectType\";s:12:\"Form Setting\";s:10:\"editActive\";b:1;s:5:\"title\";s:10:\"Contact Us\";s:3:\"key\";s:0:\"\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:17:\"default_label_pos\";s:5:\"above\";s:8:\"_seq_num\";s:1:\"3\";s:10:\"conditions\";a:0:{}s:10:\"show_title\";s:1:\"1\";s:14:\"clear_complete\";s:1:\"1\";s:13:\"hide_complete\";s:1:\"1\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"add_submit\";s:1:\"1\";s:9:\"logged_in\";s:0:\"\";s:17:\"not_logged_in_msg\";s:0:\"\";s:16:\"sub_limit_number\";s:0:\"\";s:13:\"sub_limit_msg\";s:0:\"\";s:12:\"calculations\";a:0:{}s:15:\"formContentData\";a:4:{i:0;s:4:\"name\";i:1;s:5:\"email\";i:2;s:7:\"message\";i:3;s:6:\"submit\";}s:33:\"container_styles_background-color\";s:0:\"\";s:23:\"container_styles_border\";s:0:\"\";s:29:\"container_styles_border-style\";s:0:\"\";s:29:\"container_styles_border-color\";s:0:\"\";s:22:\"container_styles_color\";s:0:\"\";s:23:\"container_styles_height\";s:0:\"\";s:22:\"container_styles_width\";s:0:\"\";s:26:\"container_styles_font-size\";s:0:\"\";s:23:\"container_styles_margin\";s:0:\"\";s:24:\"container_styles_padding\";s:0:\"\";s:24:\"container_styles_display\";s:0:\"\";s:22:\"container_styles_float\";s:0:\"\";s:34:\"container_styles_show_advanced_css\";s:1:\"0\";s:25:\"container_styles_advanced\";s:0:\"\";s:29:\"title_styles_background-color\";s:0:\"\";s:19:\"title_styles_border\";s:0:\"\";s:25:\"title_styles_border-style\";s:0:\"\";s:25:\"title_styles_border-color\";s:0:\"\";s:18:\"title_styles_color\";s:0:\"\";s:19:\"title_styles_height\";s:0:\"\";s:18:\"title_styles_width\";s:0:\"\";s:22:\"title_styles_font-size\";s:0:\"\";s:19:\"title_styles_margin\";s:0:\"\";s:20:\"title_styles_padding\";s:0:\"\";s:20:\"title_styles_display\";s:0:\"\";s:18:\"title_styles_float\";s:0:\"\";s:30:\"title_styles_show_advanced_css\";s:1:\"0\";s:21:\"title_styles_advanced\";s:0:\"\";s:27:\"row_styles_background-color\";s:0:\"\";s:17:\"row_styles_border\";s:0:\"\";s:23:\"row_styles_border-style\";s:0:\"\";s:23:\"row_styles_border-color\";s:0:\"\";s:16:\"row_styles_color\";s:0:\"\";s:17:\"row_styles_height\";s:0:\"\";s:16:\"row_styles_width\";s:0:\"\";s:20:\"row_styles_font-size\";s:0:\"\";s:17:\"row_styles_margin\";s:0:\"\";s:18:\"row_styles_padding\";s:0:\"\";s:18:\"row_styles_display\";s:0:\"\";s:28:\"row_styles_show_advanced_css\";s:1:\"0\";s:19:\"row_styles_advanced\";s:0:\"\";s:31:\"row-odd_styles_background-color\";s:0:\"\";s:21:\"row-odd_styles_border\";s:0:\"\";s:27:\"row-odd_styles_border-style\";s:0:\"\";s:27:\"row-odd_styles_border-color\";s:0:\"\";s:20:\"row-odd_styles_color\";s:0:\"\";s:21:\"row-odd_styles_height\";s:0:\"\";s:20:\"row-odd_styles_width\";s:0:\"\";s:24:\"row-odd_styles_font-size\";s:0:\"\";s:21:\"row-odd_styles_margin\";s:0:\"\";s:22:\"row-odd_styles_padding\";s:0:\"\";s:22:\"row-odd_styles_display\";s:0:\"\";s:32:\"row-odd_styles_show_advanced_css\";s:1:\"0\";s:23:\"row-odd_styles_advanced\";s:0:\"\";s:35:\"success-msg_styles_background-color\";s:0:\"\";s:25:\"success-msg_styles_border\";s:0:\"\";s:31:\"success-msg_styles_border-style\";s:0:\"\";s:31:\"success-msg_styles_border-color\";s:0:\"\";s:24:\"success-msg_styles_color\";s:0:\"\";s:25:\"success-msg_styles_height\";s:0:\"\";s:24:\"success-msg_styles_width\";s:0:\"\";s:28:\"success-msg_styles_font-size\";s:0:\"\";s:25:\"success-msg_styles_margin\";s:0:\"\";s:26:\"success-msg_styles_padding\";s:0:\"\";s:26:\"success-msg_styles_display\";s:0:\"\";s:36:\"success-msg_styles_show_advanced_css\";s:1:\"0\";s:27:\"success-msg_styles_advanced\";s:0:\"\";s:33:\"error_msg_styles_background-color\";s:0:\"\";s:23:\"error_msg_styles_border\";s:0:\"\";s:29:\"error_msg_styles_border-style\";s:0:\"\";s:29:\"error_msg_styles_border-color\";s:0:\"\";s:22:\"error_msg_styles_color\";s:0:\"\";s:23:\"error_msg_styles_height\";s:0:\"\";s:22:\"error_msg_styles_width\";s:0:\"\";s:26:\"error_msg_styles_font-size\";s:0:\"\";s:23:\"error_msg_styles_margin\";s:0:\"\";s:24:\"error_msg_styles_padding\";s:0:\"\";s:24:\"error_msg_styles_display\";s:0:\"\";s:34:\"error_msg_styles_show_advanced_css\";s:1:\"0\";s:25:\"error_msg_styles_advanced\";s:0:\"\";s:19:\"changeEmailErrorMsg\";s:0:\"\";s:20:\"confirmFieldErrorMsg\";s:0:\"\";s:22:\"fieldNumberNumMinError\";s:0:\"\";s:22:\"fieldNumberNumMaxError\";s:0:\"\";s:22:\"fieldNumberIncrementBy\";s:0:\"\";s:23:\"formErrorsCorrectErrors\";s:0:\"\";s:21:\"validateRequiredField\";s:0:\"\";s:21:\"honeypotHoneypotError\";s:0:\"\";s:20:\"fieldsMarkedRequired\";s:0:\"\";s:8:\"currency\";s:0:\"\";}s:14:\"deleted_fields\";a:0:{}s:15:\"deleted_actions\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("247", "widget_ninja_forms_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("248", "nf_admin_notice", "a:2:{s:16:\"one_week_support\";a:3:{s:5:\"start\";s:9:\"3/26/2017\";s:3:\"int\";i:7;s:9:\"dismissed\";i:1;}s:14:\"allow_tracking\";a:2:{s:5:\"start\";s:9:\"3/19/2017\";s:3:\"int\";i:0;}}", "yes");
INSERT INTO `wp_options` VALUES("249", "ninja_forms_do_not_allow_tracking", "1", "yes");
INSERT INTO `wp_options` VALUES("254", "nf_form_2", "a:4:{s:2:\"id\";s:1:\"2\";s:6:\"fields\";a:4:{i:0;a:2:{s:2:\"id\";s:1:\"5\";s:8:\"settings\";a:70:{s:5:\"label\";s:4:\"Name\";s:3:\"key\";s:4:\"name\";s:9:\"parent_id\";s:1:\"2\";s:4:\"type\";s:7:\"textbox\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:9:\"label_pos\";s:5:\"above\";s:8:\"required\";s:1:\"1\";s:5:\"order\";s:1:\"1\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:11:\"input_limit\";s:0:\"\";s:16:\"input_limit_type\";s:10:\"characters\";s:15:\"input_limit_msg\";s:17:\"Character(s) left\";s:10:\"manual_key\";s:0:\"\";s:13:\"disable_input\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"disable_browser_autocomplete\";s:0:\"\";s:4:\"mask\";s:0:\"\";s:11:\"custom_mask\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3277\";}}i:1;a:2:{s:2:\"id\";s:1:\"6\";s:8:\"settings\";a:62:{s:5:\"label\";s:5:\"Email\";s:3:\"key\";s:5:\"email\";s:9:\"parent_id\";s:1:\"2\";s:4:\"type\";s:5:\"email\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:9:\"label_pos\";s:5:\"above\";s:8:\"required\";s:1:\"1\";s:5:\"order\";s:1:\"2\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3281\";}}i:2;a:2:{s:2:\"id\";s:1:\"7\";s:8:\"settings\";a:71:{s:5:\"label\";s:7:\"Message\";s:3:\"key\";s:7:\"message\";s:9:\"parent_id\";s:1:\"2\";s:4:\"type\";s:8:\"textarea\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:9:\"label_pos\";s:5:\"above\";s:8:\"required\";s:1:\"1\";s:5:\"order\";s:1:\"3\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:11:\"input_limit\";s:0:\"\";s:16:\"input_limit_type\";s:10:\"characters\";s:15:\"input_limit_msg\";s:17:\"Character(s) left\";s:10:\"manual_key\";s:0:\"\";s:13:\"disable_input\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"disable_browser_autocomplete\";s:0:\"\";s:12:\"textarea_rte\";s:0:\"\";s:18:\"disable_rte_mobile\";s:0:\"\";s:14:\"textarea_media\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3284\";}}i:3;a:2:{s:2:\"id\";s:1:\"8\";s:8:\"settings\";a:69:{s:5:\"label\";s:6:\"Submit\";s:3:\"key\";s:6:\"submit\";s:9:\"parent_id\";s:1:\"2\";s:4:\"type\";s:6:\"submit\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:16:\"processing_label\";s:10:\"Processing\";s:5:\"order\";s:1:\"5\";s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";s:0:\"\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:28:\"wrap_styles_background-color\";s:0:\"\";s:18:\"wrap_styles_border\";s:0:\"\";s:24:\"wrap_styles_border-style\";s:0:\"\";s:24:\"wrap_styles_border-color\";s:0:\"\";s:17:\"wrap_styles_color\";s:0:\"\";s:18:\"wrap_styles_height\";s:0:\"\";s:17:\"wrap_styles_width\";s:0:\"\";s:21:\"wrap_styles_font-size\";s:0:\"\";s:18:\"wrap_styles_margin\";s:0:\"\";s:19:\"wrap_styles_padding\";s:0:\"\";s:19:\"wrap_styles_display\";s:0:\"\";s:17:\"wrap_styles_float\";s:0:\"\";s:29:\"wrap_styles_show_advanced_css\";s:1:\"0\";s:20:\"wrap_styles_advanced\";s:0:\"\";s:29:\"label_styles_background-color\";s:0:\"\";s:19:\"label_styles_border\";s:0:\"\";s:25:\"label_styles_border-style\";s:0:\"\";s:25:\"label_styles_border-color\";s:0:\"\";s:18:\"label_styles_color\";s:0:\"\";s:19:\"label_styles_height\";s:0:\"\";s:18:\"label_styles_width\";s:0:\"\";s:22:\"label_styles_font-size\";s:0:\"\";s:19:\"label_styles_margin\";s:0:\"\";s:20:\"label_styles_padding\";s:0:\"\";s:20:\"label_styles_display\";s:0:\"\";s:18:\"label_styles_float\";s:0:\"\";s:30:\"label_styles_show_advanced_css\";s:1:\"0\";s:21:\"label_styles_advanced\";s:0:\"\";s:31:\"element_styles_background-color\";s:0:\"\";s:21:\"element_styles_border\";s:0:\"\";s:27:\"element_styles_border-style\";s:0:\"\";s:27:\"element_styles_border-color\";s:0:\"\";s:20:\"element_styles_color\";s:0:\"\";s:21:\"element_styles_height\";s:0:\"\";s:20:\"element_styles_width\";s:0:\"\";s:24:\"element_styles_font-size\";s:0:\"\";s:21:\"element_styles_margin\";s:0:\"\";s:22:\"element_styles_padding\";s:0:\"\";s:22:\"element_styles_display\";s:0:\"\";s:20:\"element_styles_float\";s:0:\"\";s:32:\"element_styles_show_advanced_css\";s:1:\"0\";s:23:\"element_styles_advanced\";s:0:\"\";s:44:\"submit_element_hover_styles_background-color\";s:0:\"\";s:34:\"submit_element_hover_styles_border\";s:0:\"\";s:40:\"submit_element_hover_styles_border-style\";s:0:\"\";s:40:\"submit_element_hover_styles_border-color\";s:0:\"\";s:33:\"submit_element_hover_styles_color\";s:0:\"\";s:34:\"submit_element_hover_styles_height\";s:0:\"\";s:33:\"submit_element_hover_styles_width\";s:0:\"\";s:37:\"submit_element_hover_styles_font-size\";s:0:\"\";s:34:\"submit_element_hover_styles_margin\";s:0:\"\";s:35:\"submit_element_hover_styles_padding\";s:0:\"\";s:35:\"submit_element_hover_styles_display\";s:0:\"\";s:33:\"submit_element_hover_styles_float\";s:0:\"\";s:45:\"submit_element_hover_styles_show_advanced_css\";s:1:\"0\";s:36:\"submit_element_hover_styles_advanced\";s:0:\"\";s:7:\"cellcid\";s:5:\"c3287\";}}}s:7:\"actions\";a:4:{i:0;a:2:{s:2:\"id\";s:1:\"5\";s:8:\"settings\";a:25:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:4:\"save\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:5:\"label\";s:16:\"Save to Database\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";s:0:\"\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}}i:1;a:2:{s:2:\"id\";s:1:\"6\";s:8:\"settings\";a:26:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:5:\"label\";s:18:\"Email Confirmation\";s:2:\"to\";s:13:\"{field:email}\";s:7:\"subject\";s:24:\"This is an email action.\";s:7:\"message\";s:19:\"Hello, Ninja Forms!\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";s:0:\"\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:0:{}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:13:\"email_subject\";s:24:\"Submission Confirmation \";s:13:\"email_message\";s:29:\"<p>{field:all_fields}<br></p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}}i:2;a:2:{s:2:\"id\";s:1:\"7\";s:8:\"settings\";a:24:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:47:39\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";s:0:\"\";s:5:\"label\";s:18:\"Email Notification\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:20:\"{system:admin_email}\";s:13:\"email_subject\";s:29:\"New message from {field:name}\";s:13:\"email_message\";s:75:\"<p>{field:message}</p><p>-ÃÂ {field:name} (ÃÂ {field:email} )</p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:13:\"{field:email}\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:1:\"0\";s:19:\"email_message_plain\";s:0:\"\";}}i:3;a:2:{s:2:\"id\";s:1:\"8\";s:8:\"settings\";a:27:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:14:\"successmessage\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:5:\"label\";s:15:\"Success Message\";s:7:\"message\";s:47:\"Thank you {field:name} for filling out my form!\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";s:0:\"\";s:10:\"conditions\";a:6:{s:9:\"collapsed\";s:0:\"\";s:7:\"process\";s:1:\"1\";s:9:\"connector\";s:3:\"all\";s:4:\"when\";a:1:{i:0;a:6:{s:9:\"connector\";s:3:\"AND\";s:3:\"key\";s:0:\"\";s:10:\"comparator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"when\";}}s:4:\"then\";a:1:{i:0;a:5:{s:3:\"key\";s:0:\"\";s:7:\"trigger\";s:0:\"\";s:5:\"value\";s:0:\"\";s:4:\"type\";s:5:\"field\";s:9:\"modelType\";s:4:\"then\";}}s:4:\"else\";a:0:{}}s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:11:\"success_msg\";s:88:\"<p>Form submitted successfully.</p><p>A confirmation email was sent to{field:email}.</p>\";s:19:\"email_message_plain\";s:0:\"\";}}}s:8:\"settings\";a:100:{s:5:\"title\";s:10:\"Contact Me\";s:3:\"key\";s:0:\"\";s:10:\"created_at\";s:19:\"2016-08-24 16:39:20\";s:17:\"default_label_pos\";s:5:\"above\";s:8:\"_seq_num\";s:1:\"3\";s:10:\"conditions\";a:0:{}s:10:\"objectType\";s:12:\"Form Setting\";s:10:\"editActive\";s:0:\"\";s:10:\"show_title\";s:1:\"1\";s:14:\"clear_complete\";s:1:\"1\";s:13:\"hide_complete\";s:1:\"1\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"add_submit\";s:1:\"1\";s:9:\"logged_in\";s:0:\"\";s:17:\"not_logged_in_msg\";s:0:\"\";s:16:\"sub_limit_number\";s:0:\"\";s:13:\"sub_limit_msg\";s:0:\"\";s:12:\"calculations\";a:0:{}s:15:\"formContentData\";a:4:{i:0;a:2:{s:5:\"order\";s:1:\"0\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:4:\"name\";}s:5:\"width\";s:3:\"100\";}}}i:1;a:2:{s:5:\"order\";s:1:\"1\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:5:\"email\";}s:5:\"width\";s:3:\"100\";}}}i:2;a:2:{s:5:\"order\";s:1:\"2\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:7:\"message\";}s:5:\"width\";s:3:\"100\";}}}i:3;a:2:{s:5:\"order\";s:1:\"3\";s:5:\"cells\";a:1:{i:0;a:3:{s:5:\"order\";s:1:\"0\";s:6:\"fields\";a:1:{i:0;s:6:\"submit\";}s:5:\"width\";s:3:\"100\";}}}}s:33:\"container_styles_background-color\";s:0:\"\";s:23:\"container_styles_border\";s:0:\"\";s:29:\"container_styles_border-style\";s:0:\"\";s:29:\"container_styles_border-color\";s:0:\"\";s:22:\"container_styles_color\";s:0:\"\";s:23:\"container_styles_height\";s:0:\"\";s:22:\"container_styles_width\";s:0:\"\";s:26:\"container_styles_font-size\";s:0:\"\";s:23:\"container_styles_margin\";s:0:\"\";s:24:\"container_styles_padding\";s:0:\"\";s:24:\"container_styles_display\";s:0:\"\";s:22:\"container_styles_float\";s:0:\"\";s:34:\"container_styles_show_advanced_css\";s:1:\"0\";s:25:\"container_styles_advanced\";s:0:\"\";s:29:\"title_styles_background-color\";s:0:\"\";s:19:\"title_styles_border\";s:0:\"\";s:25:\"title_styles_border-style\";s:0:\"\";s:25:\"title_styles_border-color\";s:0:\"\";s:18:\"title_styles_color\";s:0:\"\";s:19:\"title_styles_height\";s:0:\"\";s:18:\"title_styles_width\";s:0:\"\";s:22:\"title_styles_font-size\";s:0:\"\";s:19:\"title_styles_margin\";s:0:\"\";s:20:\"title_styles_padding\";s:0:\"\";s:20:\"title_styles_display\";s:0:\"\";s:18:\"title_styles_float\";s:0:\"\";s:30:\"title_styles_show_advanced_css\";s:1:\"0\";s:21:\"title_styles_advanced\";s:0:\"\";s:27:\"row_styles_background-color\";s:0:\"\";s:17:\"row_styles_border\";s:0:\"\";s:23:\"row_styles_border-style\";s:0:\"\";s:23:\"row_styles_border-color\";s:0:\"\";s:16:\"row_styles_color\";s:0:\"\";s:17:\"row_styles_height\";s:0:\"\";s:16:\"row_styles_width\";s:0:\"\";s:20:\"row_styles_font-size\";s:0:\"\";s:17:\"row_styles_margin\";s:0:\"\";s:18:\"row_styles_padding\";s:0:\"\";s:18:\"row_styles_display\";s:0:\"\";s:28:\"row_styles_show_advanced_css\";s:1:\"0\";s:19:\"row_styles_advanced\";s:0:\"\";s:31:\"row-odd_styles_background-color\";s:0:\"\";s:21:\"row-odd_styles_border\";s:0:\"\";s:27:\"row-odd_styles_border-style\";s:0:\"\";s:27:\"row-odd_styles_border-color\";s:0:\"\";s:20:\"row-odd_styles_color\";s:0:\"\";s:21:\"row-odd_styles_height\";s:0:\"\";s:20:\"row-odd_styles_width\";s:0:\"\";s:24:\"row-odd_styles_font-size\";s:0:\"\";s:21:\"row-odd_styles_margin\";s:0:\"\";s:22:\"row-odd_styles_padding\";s:0:\"\";s:22:\"row-odd_styles_display\";s:0:\"\";s:32:\"row-odd_styles_show_advanced_css\";s:1:\"0\";s:23:\"row-odd_styles_advanced\";s:0:\"\";s:35:\"success-msg_styles_background-color\";s:0:\"\";s:25:\"success-msg_styles_border\";s:0:\"\";s:31:\"success-msg_styles_border-style\";s:0:\"\";s:31:\"success-msg_styles_border-color\";s:0:\"\";s:24:\"success-msg_styles_color\";s:0:\"\";s:25:\"success-msg_styles_height\";s:0:\"\";s:24:\"success-msg_styles_width\";s:0:\"\";s:28:\"success-msg_styles_font-size\";s:0:\"\";s:25:\"success-msg_styles_margin\";s:0:\"\";s:26:\"success-msg_styles_padding\";s:0:\"\";s:26:\"success-msg_styles_display\";s:0:\"\";s:36:\"success-msg_styles_show_advanced_css\";s:1:\"0\";s:27:\"success-msg_styles_advanced\";s:0:\"\";s:33:\"error_msg_styles_background-color\";s:0:\"\";s:23:\"error_msg_styles_border\";s:0:\"\";s:29:\"error_msg_styles_border-style\";s:0:\"\";s:29:\"error_msg_styles_border-color\";s:0:\"\";s:22:\"error_msg_styles_color\";s:0:\"\";s:23:\"error_msg_styles_height\";s:0:\"\";s:22:\"error_msg_styles_width\";s:0:\"\";s:26:\"error_msg_styles_font-size\";s:0:\"\";s:23:\"error_msg_styles_margin\";s:0:\"\";s:24:\"error_msg_styles_padding\";s:0:\"\";s:24:\"error_msg_styles_display\";s:0:\"\";s:34:\"error_msg_styles_show_advanced_css\";s:1:\"0\";s:25:\"error_msg_styles_advanced\";s:0:\"\";}}", "yes");
INSERT INTO `wp_options` VALUES("261", "nf_form_3", "a:7:{s:2:\"id\";i:3;s:20:\"show_publish_options\";b:0;s:6:\"fields\";a:12:{i:0;a:2:{s:8:\"settings\";a:11:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"1\";s:5:\"label\";s:23:\"Event Intro Description\";s:3:\"key\";s:23:\"event_intro_description\";s:4:\"type\";s:4:\"html\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:7:\"default\";s:281:\"<p>If you would like to take part in the <b>Langara College Imaginary Film Festival</b>, please fill in your details in this Event Registration Form below and you will be automatically registered. Event registration must be completed at least seven (7) days prior to the event.</p>\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}s:2:\"id\";s:1:\"9\";}i:1;a:2:{s:8:\"settings\";a:10:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"2\";s:5:\"label\";s:7:\"Divider\";s:3:\"key\";s:2:\"hr\";s:4:\"type\";s:2:\"hr\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}s:2:\"id\";s:2:\"14\";}i:2;a:2:{s:8:\"settings\";a:17:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"3\";s:5:\"label\";s:10:\"First Name\";s:3:\"key\";s:9:\"firstname\";s:4:\"type\";s:9:\"firstname\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:15:\"container_class\";s:14:\"one-half first\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}s:2:\"id\";s:2:\"15\";}i:3;a:2:{s:8:\"settings\";a:17:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"4\";s:5:\"label\";s:9:\"Last Name\";s:3:\"key\";s:8:\"lastname\";s:4:\"type\";s:8:\"lastname\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:15:\"container_class\";s:8:\"one-half\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}s:2:\"id\";s:2:\"16\";}i:4;a:2:{s:8:\"settings\";a:17:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"5\";s:5:\"label\";s:5:\"Email\";s:3:\"key\";s:5:\"email\";s:4:\"type\";s:5:\"email\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:15:\"container_class\";s:14:\"one-half first\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}s:2:\"id\";s:2:\"17\";}i:5;a:2:{s:8:\"settings\";a:25:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"6\";s:5:\"label\";s:5:\"Phone\";s:3:\"key\";s:7:\"textbox\";s:4:\"type\";s:7:\"textbox\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:15:\"container_class\";s:8:\"one-half\";s:13:\"element_class\";s:0:\"\";s:11:\"input_limit\";s:0:\"\";s:16:\"input_limit_type\";s:10:\"characters\";s:15:\"input_limit_msg\";s:17:\"Character(s) left\";s:10:\"manual_key\";s:0:\"\";s:13:\"disable_input\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"disable_browser_autocomplete\";s:0:\"\";s:4:\"mask\";s:0:\"\";s:11:\"custom_mask\";s:0:\"\";}s:2:\"id\";s:2:\"18\";}i:6;a:2:{s:8:\"settings\";a:10:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"7\";s:5:\"label\";s:7:\"Divider\";s:3:\"key\";s:4:\"hr_1\";s:4:\"type\";s:2:\"hr\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}s:2:\"id\";s:2:\"19\";}i:7;a:2:{s:8:\"settings\";a:16:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"8\";s:5:\"label\";s:38:\"How many friends will you bring along?\";s:3:\"key\";s:37:\"how_many_friends_will_you_bring_along\";s:4:\"type\";s:10:\"listselect\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"options\";a:5:{i:0;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"0\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"None\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"1\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"2\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"3\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:4;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"4\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"Four\";s:5:\"value\";s:4:\"four\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}s:2:\"id\";s:2:\"20\";}i:8;a:2:{s:8:\"settings\";a:16:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"9\";s:5:\"label\";s:22:\"Any food requirements?\";s:3:\"key\";s:21:\"any_food_requirements\";s:4:\"type\";s:9:\"listradio\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"options\";a:4:{i:0;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:5:\"Vegan\";s:5:\"value\";s:5:\"vegan\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:10:\"Vegitarian\";s:5:\"value\";s:10:\"vegetarian\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"1\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"2\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:11:\"Gluten Free\";s:5:\"value\";s:9:\"no-gluten\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:4:\"None\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"3\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}s:15:\"container_class\";s:14:\"one-half first\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}s:2:\"id\";s:2:\"21\";}i:9;a:2:{s:8:\"settings\";a:16:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:2:\"10\";s:5:\"label\";s:16:\"Preferred drink?\";s:3:\"key\";s:15:\"preferred_drink\";s:4:\"type\";s:9:\"listradio\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"options\";a:7:{i:0;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:10:\"White wine\";s:5:\"value\";s:10:\"white-wine\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:8:\"Red wine\";s:5:\"value\";s:8:\"red-wine\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:1;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:4:\"Beer\";s:5:\"value\";s:4:\"beer\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:2;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:3;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:5:\"Water\";s:5:\"value\";s:5:\"water\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:4;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:4;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"Coke\";s:5:\"value\";s:4:\"coke\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:5;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:5;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:5:\"Juice\";s:5:\"value\";s:5:\"juice\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:6;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:6;s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:13:\"No Preference\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}s:15:\"container_class\";s:8:\"one-half\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}s:2:\"id\";s:2:\"10\";}i:10;a:2:{s:8:\"settings\";a:10:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:2:\"11\";s:5:\"label\";s:7:\"Divider\";s:3:\"key\";s:4:\"hr_2\";s:4:\"type\";s:2:\"hr\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}s:2:\"id\";s:2:\"11\";}i:11;a:2:{s:8:\"settings\";a:11:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:2:\"13\";s:5:\"label\";s:8:\"Register\";s:3:\"key\";s:8:\"register\";s:4:\"type\";s:6:\"submit\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:16:\"processing_label\";s:10:\"Processing\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}s:2:\"id\";s:2:\"13\";}}s:7:\"actions\";a:4:{i:0;a:2:{s:8:\"settings\";a:27:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:14:\"successmessage\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:5:\"label\";s:15:\"Success Message\";s:7:\"message\";s:42:\"Your form has been successfully submitted.\";s:5:\"order\";s:1:\"1\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:11:\"success_msg\";s:47:\"<p>Thank you for registering for our event.</p>\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:12;}i:1;a:2:{s:8:\"settings\";a:26:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:5:\"label\";s:24:\"Admin Email Notification\";s:2:\"to\";s:20:\"{system:admin_email}\";s:7:\"subject\";s:22:\"Ninja Forms Submission\";s:7:\"message\";s:18:\"{field:all_fields}\";s:5:\"order\";s:1:\"2\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:13:\"email_subject\";s:62:\"New Event Registration from {field:firstname} {field:lastname}\";s:13:\"email_message\";s:67:\"<p>Registration details are below:</p><p>{field:all_fields}<br></p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:13:\"{field:email}\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:10;}i:2;a:2:{s:8:\"settings\";a:26:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:5:\"label\";s:23:\"User Email Confirmation\";s:2:\"to\";s:13:\"{field:email}\";s:7:\"subject\";s:22:\"Ninja Forms Submission\";s:7:\"message\";s:18:\"{field:all_fields}\";s:5:\"order\";s:1:\"2\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:13:\"email_subject\";s:39:\"Thank you for registering for our event\";s:13:\"email_message\";s:72:\"<p>Your registration details are below:</p><p>{field:all_fields}<br></p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:20:\"{system:admin_email}\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:9;}i:3;a:2:{s:8:\"settings\";a:25:{s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:4:\"save\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:5:\"label\";s:15:\"Save Submission\";s:5:\"order\";s:1:\"3\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}s:2:\"id\";i:11;}}s:8:\"settings\";a:19:{s:10:\"objectType\";s:12:\"Form Setting\";s:10:\"editActive\";s:0:\"\";s:5:\"title\";s:18:\"Event Registration\";s:3:\"key\";s:0:\"\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:10:\"show_title\";s:1:\"1\";s:14:\"clear_complete\";s:1:\"1\";s:13:\"hide_complete\";s:1:\"1\";s:17:\"default_label_pos\";s:5:\"above\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"add_submit\";s:1:\"0\";s:9:\"logged_in\";s:0:\"\";s:17:\"not_logged_in_msg\";s:0:\"\";s:16:\"sub_limit_number\";s:0:\"\";s:13:\"sub_limit_msg\";s:0:\"\";s:12:\"calculations\";a:0:{}s:15:\"formContentData\";a:12:{i:0;s:23:\"event_intro_description\";i:1;s:2:\"hr\";i:2;s:9:\"firstname\";i:3;s:8:\"lastname\";i:4;s:5:\"email\";i:5;s:7:\"textbox\";i:6;s:4:\"hr_1\";i:7;s:37:\"how_many_friends_will_you_bring_along\";i:8;s:21:\"any_food_requirements\";i:9;s:15:\"preferred_drink\";i:10;s:4:\"hr_2\";i:11;s:8:\"register\";}s:8:\"currency\";s:0:\"\";}s:14:\"deleted_fields\";a:1:{i:12;s:2:\"12\";}s:15:\"deleted_actions\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("264", "current_theme", "Twenty Twenty-Three", "yes");
INSERT INTO `wp_options` VALUES("265", "theme_mods_iff", "a:4:{i:0;b:0;s:18:\"custom_css_post_id\";i:-1;s:18:\"nav_menu_locations\";a:3:{s:14:\"menu-secondary\";i:12;s:9:\"menu-main\";i:11;s:11:\"menu-social\";i:13;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1659488160;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("266", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("278", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("321", "acf_version", "6.0.7", "yes");
INSERT INTO `wp_options` VALUES("383", "duplicator_version_plugin", "1.5.2.1", "yes");
INSERT INTO `wp_options` VALUES("482", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("606", "cptui_new_install", "false", "yes");
INSERT INTO `wp_options` VALUES("607", "cptui_post_types", "a:1:{s:6:\"notice\";a:34:{s:4:\"name\";s:6:\"notice\";s:5:\"label\";s:7:\"Notices\";s:14:\"singular_label\";s:6:\"Notice\";s:11:\"description\";s:104:\"This custom post type is for notices that will be put up on the site front page throughout the festival.\";s:6:\"public\";s:4:\"true\";s:18:\"publicly_queryable\";s:4:\"true\";s:7:\"show_ui\";s:4:\"true\";s:17:\"show_in_nav_menus\";s:4:\"true\";s:16:\"delete_with_user\";s:5:\"false\";s:12:\"show_in_rest\";s:5:\"false\";s:9:\"rest_base\";s:0:\"\";s:21:\"rest_controller_class\";s:0:\"\";s:14:\"rest_namespace\";s:0:\"\";s:11:\"has_archive\";s:5:\"false\";s:18:\"has_archive_string\";s:7:\"notices\";s:19:\"exclude_from_search\";s:5:\"false\";s:15:\"capability_type\";s:4:\"post\";s:12:\"hierarchical\";s:5:\"false\";s:10:\"can_export\";s:5:\"false\";s:7:\"rewrite\";s:4:\"true\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"rewrite_withfront\";s:4:\"true\";s:9:\"query_var\";s:4:\"true\";s:14:\"query_var_slug\";s:0:\"\";s:13:\"menu_position\";s:2:\"18\";s:12:\"show_in_menu\";s:4:\"true\";s:19:\"show_in_menu_string\";s:0:\"\";s:9:\"menu_icon\";s:17:\"dashicons-warning\";s:20:\"register_meta_box_cb\";N;s:8:\"supports\";a:3:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:9:\"thumbnail\";}s:10:\"taxonomies\";a:0:{}s:6:\"labels\";a:29:{s:9:\"menu_name\";s:7:\"Notices\";s:9:\"all_items\";s:11:\"All notices\";s:7:\"add_new\";s:14:\"Add New Notice\";s:12:\"add_new_item\";s:14:\"Add New Notice\";s:9:\"edit_item\";s:11:\"Edit Notice\";s:8:\"new_item\";s:10:\"New Notice\";s:9:\"view_item\";s:11:\"View Notice\";s:10:\"view_items\";s:12:\"View Notices\";s:12:\"search_items\";s:13:\"Search Notice\";s:9:\"not_found\";s:16:\"No Notices found\";s:18:\"not_found_in_trash\";s:25:\"No Notices found in Trash\";s:17:\"parent_item_colon\";s:0:\"\";s:14:\"featured_image\";s:0:\"\";s:18:\"set_featured_image\";s:0:\"\";s:21:\"remove_featured_image\";s:0:\"\";s:18:\"use_featured_image\";s:0:\"\";s:8:\"archives\";s:0:\"\";s:16:\"insert_into_item\";s:0:\"\";s:21:\"uploaded_to_this_item\";s:0:\"\";s:17:\"filter_items_list\";s:0:\"\";s:21:\"items_list_navigation\";s:0:\"\";s:10:\"items_list\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:14:\"name_admin_bar\";s:0:\"\";s:14:\"item_published\";s:0:\"\";s:24:\"item_published_privately\";s:0:\"\";s:22:\"item_reverted_to_draft\";s:0:\"\";s:14:\"item_scheduled\";s:0:\"\";s:12:\"item_updated\";s:0:\"\";}s:15:\"custom_supports\";s:0:\"\";s:16:\"enter_title_here\";s:0:\"\";}}", "yes");
INSERT INTO `wp_options` VALUES("648", "theme_mods_untouched", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:3:{s:6:\"menu-1\";i:11;s:6:\"menu-2\";i:12;s:11:\"menu-social\";i:13;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1490329173;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("667", "theme_mods_twentyfifteen", "a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:3:{s:6:\"menu-1\";i:11;s:6:\"menu-2\";i:12;s:11:\"menu-social\";i:13;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1490372538;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("681", "ninja_forms_optin_reported", "1", "yes");
INSERT INTO `wp_options` VALUES("698", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("699", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("700", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("701", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("702", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("717", "theme_mods_twentyfourteen", "a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:11;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1521402644;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:1:{i:0;s:12:\"categories-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("718", "widget_widget_twentyfourteen_ephemera", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("850", "widget_block", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("851", "wp_page_for_privacy_policy", "0", "yes");
INSERT INTO `wp_options` VALUES("852", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("853", "admin_email_lifespan", "1693680824", "yes");
INSERT INTO `wp_options` VALUES("854", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("855", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("856", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("857", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("858", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("859", "auto_update_core_major", "unset", "yes");
INSERT INTO `wp_options` VALUES("860", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("861", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("865", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("866", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("869", "ninja_forms_oauth_client_secret", "enmIQNV15uuMOGfgbrLB2zo41uq4BowQHq41kDfU", "yes");
INSERT INTO `wp_options` VALUES("870", "ninja_forms_db_version", "1.0", "no");
INSERT INTO `wp_options` VALUES("871", "ninja-forms-views-secret", "yM9HXQ4VZnqsTudCDP2UR3kVZX0FZt94XPskw6Fb", "yes");
INSERT INTO `wp_options` VALUES("872", "ninja_forms_required_updates", "a:1:{s:25:\"CacheFieldReconcilliation\";s:19:\"2022-05-12 02:46:47\";}", "yes");
INSERT INTO `wp_options` VALUES("873", "ninja_forms_zuul", "94", "no");
INSERT INTO `wp_options` VALUES("874", "ninja_forms_needs_updates", "1", "yes");
INSERT INTO `wp_options` VALUES("876", "nf_active_promotions", "{\"dashboard\":[{\"id\":\"personal-20\",\"location\":\"dashboard\",\"type\":\"personal\",\"content\":\"<a href=\\\"https:\\/\\/ninjaforms.com\\/personal-membership\\/?utm_source=ninja-forms-plugin&utm_medium=dashboard-banner-ad&utm_campaign=personal-banner-ad&utm_content=personal-20\\\" target=\\\"_blank\\\" class=\\\"nf-remove-promo-styling\\\"><img src=\\\"http:\\/\\/localhost:8888\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/wp-content\\/plugins\\/ninja-forms\\/assets\\/img\\/promotions\\/dashboard-banner-personal-20.png\\\"><\\/a>\",\"script\":\"\"},{\"id\":\"personal-50\",\"location\":\"dashboard\",\"type\":\"personal\",\"content\":\"<a href=\\\"https:\\/\\/ninjaforms.com\\/personal-membership\\/?utm_source=ninja-forms-plugin&utm_medium=dashboard-banner-ad&utm_campaign=personal-banner-ad&utm_content=personal-50\\\" target=\\\"_blank\\\" class=\\\"nf-remove-promo-styling\\\"><img src=\\\"http:\\/\\/localhost:8888\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/wp-content\\/plugins\\/ninja-forms\\/assets\\/img\\/promotions\\/dashboard-banner-personal-50.png\\\"><\\/a>\",\"script\":\"\"},{\"id\":\"sendwp-banner\",\"location\":\"dashboard\",\"content\":\"<span aria-label=\\\"SendWP. Getting WordPress email into an inbox shouldn\'t be that hard! Never miss another receipt, form submission, or any WordPress email ever again.\\\" style=\\\"cursor:pointer;width:800px;height:83px;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;background-image:url(\'http:\\/\\/localhost:8888\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/wp-content\\/plugins\\/ninja-forms\\/assets\\/img\\/promotions\\/dashboard-banner-sendwp.png\');display:block;\\\"><\\/span>\",\"type\":\"sendwp\",\"script\":\"\\n      setTimeout(function(){ \\/* Wait for services to init. *\\/\\n        var data = {\\n          width: 450,\\n          closeOnClick: \'body\',\\n          closeOnEsc: true,\\n          content: \'<p><h2>Frustrated that WordPress email isn\\u2019t being received?<\\/h2><p>Form submission notifications not hitting your inbox? Some of your visitors getting form feedback via email, others not? By default, your WordPress site sends emails through your web host, which can be unreliable. Your host has spent lots of time and money optimizing to serve your pages, not send your emails.<\\/p><h3>Sign up for SendWP today, and never deal with WordPress email issues again!<\\/h3><p>SendWP is an email service that removes your web host from the email equation.<\\/p><ul style=&quot;list-style-type:initial;margin-left: 20px;&quot;><li>Sends email through dedicated email service, increasing email deliverability.<\\/li><li>Keeps form submission emails out of spam by using a trusted email provider.<\\/li><li>On a shared web host? Don\\u2019t worry about emails being rejected because of blocked IP addresses.<\\/li><li><strong>$1 for the first month. $9\\/month after. Cancel anytime!<\\/strong><\\/li><\\/ul><\\/p><br \\/>\',\\n          btnPrimary: {\\n            text: \'Sign me up!\',\\n            callback: function() {\\n              var spinner = document.createElement(\'span\');\\n              spinner.classList.add(\'dashicons\', \'dashicons-update\', \'dashicons-update-spin\');\\n              var w = this.offsetWidth;\\n              this.innerHTML = spinner.outerHTML;\\n              this.style.width = w+\'px\';\\n              ninja_forms_sendwp_remote_install();\\n            }\\n          },\\n          btnSecondary: {\\n            text: \'Cancel\',\\n            callback: function() {\\n              sendwpModal.toggleModal(false);\\n            }\\n          }\\n        }\\n        var sendwpModal = new NinjaModal(data);\\n      }, 500);\\n    \"}]}", "no");
INSERT INTO `wp_options` VALUES("912", "theme_mods_twentytwentytwo", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1678299071;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("984", "user_count", "2", "no");
INSERT INTO `wp_options` VALUES("1003", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("1090", "theme_mods_starter-2022", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1659623880;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("1291", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("1397", "duplicate_post_show_notice", "0", "no");
INSERT INTO `wp_options` VALUES("1398", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("1399", "duplicate_post_copydate", "", "yes");
INSERT INTO `wp_options` VALUES("1400", "duplicate_post_copystatus", "", "yes");
INSERT INTO `wp_options` VALUES("1401", "duplicate_post_copyslug", "", "yes");
INSERT INTO `wp_options` VALUES("1402", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("1403", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("1404", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("1405", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("1406", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("1407", "duplicate_post_copyauthor", "", "yes");
INSERT INTO `wp_options` VALUES("1408", "duplicate_post_copypassword", "", "yes");
INSERT INTO `wp_options` VALUES("1409", "duplicate_post_copyattachments", "", "yes");
INSERT INTO `wp_options` VALUES("1410", "duplicate_post_copychildren", "", "yes");
INSERT INTO `wp_options` VALUES("1411", "duplicate_post_copycomments", "", "yes");
INSERT INTO `wp_options` VALUES("1412", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("1413", "duplicate_post_taxonomies_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("1414", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("1415", "duplicate_post_types_enabled", "a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:6:\"notice\";}", "yes");
INSERT INTO `wp_options` VALUES("1416", "duplicate_post_show_original_column", "", "yes");
INSERT INTO `wp_options` VALUES("1417", "duplicate_post_show_original_in_post_states", "", "yes");
INSERT INTO `wp_options` VALUES("1418", "duplicate_post_show_original_meta_box", "", "yes");
INSERT INTO `wp_options` VALUES("1419", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("1420", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("1421", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("1422", "duplicate_post_title_prefix", "", "yes");
INSERT INTO `wp_options` VALUES("1423", "duplicate_post_title_suffix", "", "yes");
INSERT INTO `wp_options` VALUES("1424", "duplicate_post_increase_menu_order_by", "", "yes");
INSERT INTO `wp_options` VALUES("1425", "duplicate_post_roles", "a:2:{i:0;s:13:\"administrator\";i:1;s:6:\"editor\";}", "yes");
INSERT INTO `wp_options` VALUES("1914", "wapt_google_limit", "a:2:{s:5:\"count\";i:10;s:7:\"expires\";i:1659421308;}", "yes");
INSERT INTO `wp_options` VALUES("1915", "wapt_plugin_activated", "1659421308", "yes");
INSERT INTO `wp_options` VALUES("1916", "wapt_plugin_version", "3.9.11", "yes");
INSERT INTO `wp_options` VALUES("2036", "theme_mods_start-pedalmania", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1659488148;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("2251", "theme_mods_twentytwentyone", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1659625267;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:12:\"categories-2\";}s:9:\"sidebar-1\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("2285", "theme_mods_ImaginaryFilmFestival-Canonical-2022", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1659627884;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:1:{i:0;s:12:\"categories-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("2307", "duplicator_exe_safe_mode", "", "yes");
INSERT INTO `wp_options` VALUES("2323", "duplicator_activated", "a:1:{s:4:\"lite\";i:1678128880;}", "yes");
INSERT INTO `wp_options` VALUES("2407", "duplicator_pro_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("2408", "duplicator_activate_plugins_after_installation", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("2432", "theme_mods_twentytwentythree", "a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;}", "yes");
INSERT INTO `wp_options` VALUES("2485", "site_logo", "595", "yes");
INSERT INTO `wp_options` VALUES("2536", "genesis_custom_blocks_example_post_id", "618", "yes");
INSERT INTO `wp_options` VALUES("2539", "pods_framework_upgraded_1_x", "2", "yes");
INSERT INTO `wp_options` VALUES("2540", "pods_framework_version_first", "2.9.11.1", "yes");
INSERT INTO `wp_options` VALUES("2545", "pods_component_settings", "{\"components\":{\"templates\":[],\"migrate-packages\":[]}}", "yes");
INSERT INTO `wp_options` VALUES("2546", "pods_framework_version", "2.9.11.1", "yes");
INSERT INTO `wp_options` VALUES("2547", "pods_framework_db_version", "2.3.5", "yes");
INSERT INTO `wp_options` VALUES("2570", "widget_pods_widget_single", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2571", "widget_pods_widget_list", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2572", "widget_pods_widget_field", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2573", "widget_pods_widget_form", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2574", "widget_pods_widget_view", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("2584", "wisdom_notification_times", "a:1:{s:4:\"pods\";i:1678304723;}", "yes");
INSERT INTO `wp_options` VALUES("2620", "wisdom_block_notice", "a:1:{s:4:\"pods\";s:4:\"pods\";}", "yes");
INSERT INTO `wp_options` VALUES("3592", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("3714", "stellarwp_telemetry_last_send", "", "yes");
INSERT INTO `wp_options` VALUES("3715", "stellarwp_telemetry", "a:1:{s:7:\"plugins\";a:1:{s:14:\"kadence-blocks\";a:2:{s:7:\"wp_slug\";s:33:\"kadence-blocks/kadence-blocks.php\";s:5:\"optin\";b:0;}}}", "yes");
INSERT INTO `wp_options` VALUES("3716", "stellarwp_telemetry_kadence-blocks_show_optin", "1", "yes");
INSERT INTO `wp_options` VALUES("3717", "kadenceblocks_data_settings", "a:4:{s:10:\"db_version\";i:0;s:15:\"version_history\";a:1:{i:0;s:3:\"new\";}s:13:\"prior_version\";s:3:\"new\";s:15:\"current_version\";s:6:\"3.0.23\";}", "yes");
INSERT INTO `wp_options` VALUES("3771", "kadence_blocks_config_blocks", "{\"kadence/posts\":{\"orderBy\":\"rand\",\"excludeTax\":\"exclude\",\"categories\":[{\"value\":24,\"label\":\"Spotlight\"}],\"imageRatio\":\"9-16\",\"authorImageSize\":33,\"readmoreLabel\":\"see more...\",\"titleFont\":[{\"level\":3,\"size\":[\"\",\"\",\"\"],\"sizeType\":\"px\",\"lineHeight\":[\"\",\"\",\"\"],\"lineType\":\"px\",\"letterSpacing\":[\"\",\"\",\"\"],\"letterType\":\"px\",\"textTransform\":\"\"}]}}", "yes");
INSERT INTO `wp_options` VALUES("3800", "duplicator_migration_data", "{\n    \"time\": 1678343789,\n    \"installType\": -1,\n    \"restoreBackupMode\": false,\n    \"recoveryMode\": false,\n    \"archivePath\": \"\\/Applications\\/MAMP\\/htdocs\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/20230309_imaginaryfilmfestival_2023_base_39527c29b77e4db62238_20230309063025_archive.zip\",\n    \"packageHash\": \"39527c2-09063025\",\n    \"installerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/installer.php\",\n    \"installerBootLog\": \"\\/Applications\\/MAMP\\/htdocs\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/dup-installer-bootlog__1f77ef9-09063025.txt\",\n    \"installerLog\": \"\\/Applications\\/MAMP\\/htdocs\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/dup-installer\\/dup-installer-log__1f77ef9-09063025.txt\",\n    \"dupInstallerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/dup-installer\",\n    \"origFileFolderPath\": \"\\/Applications\\/MAMP\\/htdocs\\/CanonicalExercises-FSE\\/ImaginaryFilmFestival-2023-UpdatedContentStarter\\/dup-installer\\/original_files_39527c2-09063025\",\n    \"safeMode\": 0,\n    \"cleanInstallerFiles\": true\n}", "no");
INSERT INTO `wp_options` VALUES("3805", "duplicator_settings", "a:17:{s:7:\"version\";s:7:\"1.5.2.1\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:7;}", "yes");
INSERT INTO `wp_options` VALUES("3806", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.1.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.1.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-6.1.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-6.1.1-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.1.1\";s:7:\"version\";s:5:\"6.1.1\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1678343796;s:15:\"version_checked\";s:5:\"6.1.1\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("3807", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1678343796;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:4:{s:30:\"advanced-custom-fields/acf.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:36:\"w.org/plugins/advanced-custom-fields\";s:4:\"slug\";s:22:\"advanced-custom-fields\";s:6:\"plugin\";s:30:\"advanced-custom-fields/acf.php\";s:11:\"new_version\";s:5:\"6.0.7\";s:3:\"url\";s:53:\"https://wordpress.org/plugins/advanced-custom-fields/\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/plugin/advanced-custom-fields.6.0.7.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/advanced-custom-fields/assets/icon-256x256.png?rev=1082746\";s:2:\"1x\";s:75:\"https://ps.w.org/advanced-custom-fields/assets/icon-128x128.png?rev=1082746\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:78:\"https://ps.w.org/advanced-custom-fields/assets/banner-1544x500.jpg?rev=1729099\";s:2:\"1x\";s:77:\"https://ps.w.org/advanced-custom-fields/assets/banner-772x250.jpg?rev=1729102\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.7\";}s:43:\"custom-post-type-ui/custom-post-type-ui.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:33:\"w.org/plugins/custom-post-type-ui\";s:4:\"slug\";s:19:\"custom-post-type-ui\";s:6:\"plugin\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:11:\"new_version\";s:6:\"1.13.4\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/custom-post-type-ui/\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/plugin/custom-post-type-ui.1.13.4.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-256x256.png?rev=2744389\";s:2:\"1x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-128x128.png?rev=2744389\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/custom-post-type-ui/assets/banner-1544x500.png?rev=2744389\";s:2:\"1x\";s:74:\"https://ps.w.org/custom-post-type-ui/assets/banner-772x250.png?rev=2744389\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.9\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:7:\"1.5.2.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicator.1.5.2.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2605836\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2605835\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:33:\"kadence-blocks/kadence-blocks.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/kadence-blocks\";s:4:\"slug\";s:14:\"kadence-blocks\";s:6:\"plugin\";s:33:\"kadence-blocks/kadence-blocks.php\";s:11:\"new_version\";s:6:\"3.0.23\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/kadence-blocks/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/kadence-blocks.3.0.23.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/kadence-blocks/assets/icon-256x256.png?rev=2502131\";s:2:\"1x\";s:67:\"https://ps.w.org/kadence-blocks/assets/icon-128x128.png?rev=2502131\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/kadence-blocks/assets/banner-1544x500.jpg?rev=1954109\";s:2:\"1x\";s:69:\"https://ps.w.org/kadence-blocks/assets/banner-772x250.jpg?rev=1954109\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}}}", "no");
INSERT INTO `wp_options` VALUES("3808", "_site_transient_timeout_theme_roots", "1678345597", "no");
INSERT INTO `wp_options` VALUES("3809", "_site_transient_theme_roots", "a:3:{s:15:\"twentytwentyone\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("3810", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1678343797;s:7:\"checked\";a:3:{s:15:\"twentytwentyone\";s:3:\"1.7\";s:17:\"twentytwentythree\";s:3:\"1.0\";s:15:\"twentytwentytwo\";s:3:\"1.3\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:3:{s:15:\"twentytwentyone\";a:6:{s:5:\"theme\";s:15:\"twentytwentyone\";s:11:\"new_version\";s:3:\"1.7\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentyone/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentyone.1.7.zip\";s:8:\"requires\";s:3:\"5.3\";s:12:\"requires_php\";s:3:\"5.6\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.0\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.0.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.3\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.3.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("3813", "_site_transient_timeout_wp_remote_block_patterns_3e3bcd3bc6f0a41b5f8a7672e63009d2", "1678347410", "no");
INSERT INTO `wp_options` VALUES("3814", "_site_transient_wp_remote_block_patterns_3e3bcd3bc6f0a41b5f8a7672e63009d2", "a:30:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3621:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-5\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-2\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-1\"><h1 class=\"has-link-color wp-block-site-title has-medium-font-size wp-elements-234e57400cf5587740bb7caa261d6fc4\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-4\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-3\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-3\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-3-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3783:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-10\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-white-color wp-block-site-title has-medium-font-size wp-elements-e24c80986e13ab3d929b38d6b46e3019\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-9\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-8\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-8\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-8-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-text-color has-white-color wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2845:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-4956719e1d36ae31d9fb9c185b0a148a is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-15\">\n<div class=\"wp-block-group is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-f1e98d6c897e424c7d4e8232ded39f0a\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-14\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-13\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-13\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-13-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1232:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2605:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-20\">\n<div class=\"wp-block-group is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-19\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-18\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-18\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-18-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3102:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-26\">\n<div class=\"wp-block-group is-layout-flex wp-container-23\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-22\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-25\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-24\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-24\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-24-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2444:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-30\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-29\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" data-micromodal-trigger=\"modal-28\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container hidden-by-default \" style=\"\" id=\"modal-28\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-28-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2701:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-33\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-contrast-color wp-block-site-title has-large-font-size wp-elements-9728cce79011b64628d7f6beff066787\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-center is-fallback wp-block-navigation is-content-justification-center is-layout-flex wp-container-32\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-31\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-31\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-31-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2532:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-37\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-36\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-35\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-35\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-35-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2707:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-41\">\n<div class=\"wp-block-group is-layout-flex wp-container-38\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-40\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-39\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-39\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-39-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:229123;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4078:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-45\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-44\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-43\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:82:\"Centered footer with the sentence \"Proudly powered by WordPress\" and social links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:25:\"core/group,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1993:\"\n<div class=\"wp-block-group alignfull is-layout-constrained\" style=\"padding-top:4em;padding-bottom:2em\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-50\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:100%\">\n<div class=\"wp-block-group alignwide is-layout-flow\"><form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"><label for=\"wp-block-search__input-46\" class=\"wp-block-search__label screen-reader-text\">Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input type=\"search\" id=\"wp-block-search__input-46\" class=\"wp-block-search__input\" name=\"s\" value=\"\" placeholder=\"\"  style=\"border-width: 1px\" required /><button type=\"submit\" class=\"wp-block-search__button has-icon wp-element-button\"  style=\"border-width: 1px\" aria-label=\"Search\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13.5 6C10.5 6 8 8.5 8 11.5c0 1.1.3 2.1.9 3l-3.4 3 1 1.1 3.4-2.9c1 .9 2.2 1.4 3.6 1.4 3 0 5.5-2.5 5.5-5.5C19 8.5 16.5 6 13.5 6zm0 9.5c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z\"></path>\n				</svg></button></div></form></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:100%\"></div>\n</div>\n\n\n\n<div style=\"height:140px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-bottom is-layout-flex wp-container-53\">\n<div class=\"wp-block-column is-vertically-aligned-bottom is-layout-flow\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-bottom is-layout-flow\">\n<p class=\"has-text-align-right has-small-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:90:\"core/column,core/columns,core/group,core/paragraph,core/search,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1727:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4em\",\"bottom\":\"2em\"}}},\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:4em;padding-bottom:2em\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"100%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:100%\"><!-- wp:group {\"align\":\"wide\"} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"100%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:100%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"140px\"} -->\n<div style=\"height:140px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"bottom\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-bottom\"><!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:site-title {\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"bottom\"} -->\n<div class=\"wp-block-column is-vertically-aligned-bottom\"><!-- wp:paragraph {\"align\":\"right\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-right has-small-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:742:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-56\">\n<div class=\"wp-block-group is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2572:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-61\">\n<div class=\"wp-block-group is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-59\" aria-label=\"\"><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-58\"><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-58\">\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\">\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\"><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-58-content\">\n							<ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:229139;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"Fullwidth footer with background color and three columns\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2592:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-9b8d4600cf36da05c1f90c6e6319e18d is-vertical is-content-justification-stretch is-layout-flex wp-container-71\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-69\">\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-align-center\">Location</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-align-center\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-center is-nowrap is-layout-flex wp-container-65\" aria-label=\"\"><ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-align-center\">Follow us</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-67\">\n<p><a href=\"#\">Facbook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-70\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"Text-only footer with background color and three columns.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3224:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Location</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Follow us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facbook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:229143;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4048:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-73\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-72\"><li class=\"wp-social-link wp-social-link-facebook wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4462:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-79\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-74\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-75 is-vertical is-content-justification-center is-layout-flex wp-container-76\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-77 is-content-justification-right is-nowrap is-layout-flex wp-container-78\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2499:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-89\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-81 is-vertical is-layout-flex wp-container-82\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-88\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-85\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-84\" aria-label=\"\"><ul class=\"wp-block-navigation__container\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-87\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-86\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1204:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-93\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:952:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-97\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2842:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-99\">\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-103\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-106\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1991:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-110\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-114\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1368:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1337:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-120\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1182:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-123\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:27;O:8:\"stdClass\":7:{s:2:\"id\";i:27;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Quote\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:673:\"\n<hr class=\"wp-block-separator is-style-default\" />\n\n\n\n<div class=\"wp-block-image is-style-rounded\"><figure class=\"aligncenter size-large is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure></div>\n\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><p>&#8220;Contributing makes me feel like I&#8217;m being useful to the planet.&#8221;</p><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator is-style-default\" />\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/quote\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:36:\"core/image,core/quote,core/separator\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1012:\"<!-- wp:separator {\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator is-style-default\" />\n<!-- /wp:separator -->\n\n<!-- wp:image {\"align\":\"center\",\"width\":150,\"height\":150,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-rounded\"} -->\n<div class=\"wp-block-image is-style-rounded\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:quote {\"align\":\"center\",\"className\":\"is-style-large\"} -->\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><p>\"Contributing makes me feel like I\'m being useful to the planet.\"</p><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:separator {\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator is-style-default\" />\n<!-- /wp:separator -->\";}i:28;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1424:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-126\">\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:29;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:717:\"\n<figure class=\"wp-block-gallery alignwide columns-2 is-cropped wp-block-gallery-127 is-layout-flex\"><ul class=\"blocks-gallery-grid\"><li class=\"blocks-gallery-item\"><figure><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" data-link=\"#\" /></figure></li><li class=\"blocks-gallery-item\"><figure><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" data-link=\"#\" /></figure></li></ul></figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/gallery\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:737:\"<!-- wp:gallery {\"ids\":[null,null],\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide columns-2 is-cropped\"><ul class=\"blocks-gallery-grid\"><li class=\"blocks-gallery-item\"><figure><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" data-link=\"#\" /></figure></li><li class=\"blocks-gallery-item\"><figure><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" data-full-url=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" data-link=\"#\" /></figure></li></ul></figure>\n<!-- /wp:gallery -->\";}}", "no");
INSERT INTO `wp_options` VALUES("3815", "_site_transient_timeout_wp_remote_block_patterns_7a1d9460627c7770660bc17a0fca1ae6", "1678347410", "no");
INSERT INTO `wp_options` VALUES("3816", "_site_transient_wp_remote_block_patterns_7a1d9460627c7770660bc17a0fca1ae6", "a:15:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6359:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-2\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:899:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-4\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3340:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-12\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-9b0ec38802488b5326b5833c551a99b8 is-layout-flow\" style=\"background-color:#ffe97d;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-6\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-9add2e813d78c88d00f9bd37bafd7af9 is-layout-flow\" style=\"background-color:#d1d1e1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-8\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2500c6475a3fa956c7c9f0264bdaf6c7 is-layout-flow\" style=\"background-color:#c0ebf1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-10\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:102:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/paragraph,core/separator\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"buttons\";i:1;s:7:\"columns\";i:2;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:5340:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#ffe97d;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for one adult</li><li>One free ticket per special exhibition</li><li>Two single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#d1d1e1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Four free tickets per special exhibition</li><li>Four single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"background-color:#c0ebf1;color:#000000;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><li>General admission and member discounts for two adults</li><li>Five free tickets per special exhibition</li><li>Six single-use guest passes per year</li></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2221:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1657:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:566;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Event announcement and details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1614:\"\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color wp-elements-b69341fa8ca2b5011df7156020136c46 is-layout-flow\" style=\"background-color:#d2cdc7\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n\n\n\n<h3 class=\"alignwide wp-block-heading\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-18\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:25%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:75%\">\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-21\">\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n</div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2622:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#d2cdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-group alignfull has-black-color has-text-color has-background has-link-color\" style=\"background-color:#d2cdc7\"><!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h2 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">HÉLÈNE DUMAS<br><em>FRAGMENTS</em></h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":3,\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"46px\",\"lineHeight\":\"1.1\",\"fontWeight\":\"400\"}}} -->\n<h3 class=\"alignwide\" style=\"font-size:46px;font-weight:400;line-height:1.1\">20/4 — 9/9/2021<br>SOUTH LONDON ART GALLERY</h3>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"75%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:image {\"id\":3173,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"https://mywptesting.site/wp-content/uploads/2021/06/Histoire_naturelle_..._-fragments-_-_Upper_cover_C108eee15-1.jpg\" alt=\"\" class=\"wp-image-3173\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p style=\"font-size:25px\">MORE INFO AT: WP.ORG · +44 21 1234 5678</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<p class=\"has-text-align-right\" style=\"font-size:25px\">INSTAGRAM · <a href=\"#\">TICKETS</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":50} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1628:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-27\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img decoding=\"async\" loading=\"lazy\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-25\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Offset images with descriptions.\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1754:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-30\">\n<div class=\"wp-block-column is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"\" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<p style=\"font-size:14px\"><strong>White Irises</strong><br>Ogawa Kazumasa</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p style=\"font-size:14px\"><strong>Cherry Blossom</strong><br>Ogawa Kazumasa</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"\" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:32:\"Offset images with descriptions.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:62:\"core/column,core/columns,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1175:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"\" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>White Irises</strong><br>Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cherry Blossom</strong><br>Ogawa Kazumasa</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"\" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1415:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-35\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-38\">\n<div class=\"wp-block-column is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1509:\"\n<figure class=\"wp-block-image alignwide size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-43\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#262626;color:#efefef\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1624:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"background-color:#262626;color:#efefef\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:952:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-47\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2840:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow\" style=\"background-color:#f8f4e4\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-49\">\n<div class=\"wp-block-column is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h6 class=\"has-text-color wp-block-heading\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-53\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-56\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:67%\">\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow\" style=\"flex-basis:33%\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3990:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f8f4e4\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f8f4e4\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h6 class=\"has-text-color\" id=\"ecosystem\" style=\"color:#000000\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"5vw\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:5vw;line-height:1.1\"><strong>Positive growth.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"5px\"} -->\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"67%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:67%\"><!-- wp:image {\"align\":\"right\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1181:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-60\">\n<div class=\"wp-block-column is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "no");
INSERT INTO `wp_options` VALUES("3817", "_site_transient_timeout_browser_08c86af9d1e51eabde3ca20c5e293308", "1678948676", "no");
INSERT INTO `wp_options` VALUES("3818", "_site_transient_browser_08c86af9d1e51eabde3ca20c5e293308", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"110.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("3819", "_site_transient_timeout_php_check_ecfa741d55b7b1a85bd61a2307877c8c", "1678948676", "no");
INSERT INTO `wp_options` VALUES("3820", "_site_transient_php_check_ecfa741d55b7b1a85bd61a2307877c8c", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("3821", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1678387343", "no");
INSERT INTO `wp_options` VALUES("3822", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("3823", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1678387078", "no");
INSERT INTO `wp_options` VALUES("3824", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 17:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.2-beta5-55484\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Your WordPress 6.2 Preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 17:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14573\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:179:\"Watch this ‘live product demo’ recording with release squad members Anne McCarthy and Rich Tabor as they share exciting enhancements anticipated for the WordPress 6.2 release.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:67245:\"\n<p>On March 2, release squad members <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> presented a live product demo of all the delights coming in WordPress 6.2, set to release on March 28, 2023.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-videopress wp-block-embed-videopress\"><div class=\"wp-block-embed__wrapper\">\n<iframe title=\"VideoPress Video Player\" aria-label=\'VideoPress Video Player\' width=\'500\' height=\'315\' src=\'https://video.wordpress.com/embed/5nQlEknZ?at=31&amp;hd=1&amp;cover=1\' frameborder=\'0\' allowfullscreen allow=\'clipboard-write\'></iframe><script src=\'https://v0.wordpress.com/js/next/videopress-iframe.js?m=1674852142\'></script>\n</div></figure>\n\n\n\n<p>A first-of-its-kind event in the world of WordPress releases, the showcase was moderated by fellow community member <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a> and joined by nearly 90 participants.&nbsp;</p>\n\n\n\n<p>During the demo, Anne and Rich highlighted some of the new features and enhancements that will continue to revolutionize the way you interact with WordPress. They gave a quick tour of the Site Editor’s refreshed interface, which lets you browse and preview templates before editing. They also covered all the new and highly anticipated ways to manage styles, as well as improvements to the Navigation block, new collections of header and footer patterns, the new distraction-free mode for focusing on writing, and plenty more.&nbsp;</p>\n\n\n\n<p>It was a jam-packed hour that sparked plenty of excitement—and a lively question and answer session that wrapped up the event on a high note. Any questions the presenters couldn’t get to will be collected and answered in a follow-up post on <a href=\"https://make.wordpress.org/core/\">Make.Wordpress.org/Core</a> and subsequently linked to this post.</p>\n\n\n\n<p>Watch the recording of the live demo in case you missed it, or want to relive the moment (and the funky fresh demo site designed by Rich). You can find a full transcript of the live demo below.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Referenced Resources</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/2https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/%201/6-2-live-product-demo/\">Live demo announcement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">6.2 release roadmap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Wrapping Phase 2 of the Gutenberg project</a><strong>&nbsp;</strong></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\">6.2 release enters Beta 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">Beta 4 and the latest call for testing</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/47043\">Fixed/sticky positioning GitHub issue</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">Learn WordPress</a></li>\n\n\n\n<li>FSE theme developers on Twitch: <a href=\"https://www.twitch.tv/daisyonwp\">daisyonwp</a> and <a href=\"https://www.twitch.tv/ryanwelchercodes\">ryanwelchercodes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://github.com/annezazu\">Anne McCarthy on GitHub</a></li>\n\n\n\n<li>Learn WP workshop: <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291813021/?isFirstPublish=true\">How to create a website on mobile</a></li>\n</ul>\n\n\n\n<p><em>Props to <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a> and <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> for co-authoring and editing this post, <a href=\'https://profiles.wordpress.org/evarlese/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>evarlese</a>, <a href=\'https://profiles.wordpress.org/courtneypk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>courtneypk</a>, and <a href=\'https://profiles.wordpress.org/mysweetcate/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mysweetcate</a> for captioning, and <a href=\'https://profiles.wordpress.org/robinwpdeveloper/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>robinwpdeveloper</a> for uploading the recording files to wordpress.tv.</em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14573\"></span>\n\n\n\n<pre class=\"wp-block-preformatted\"><strong>Nathan Wrigley </strong>0:22  <strong>\n</strong>How are we doing? Should we go for it?\n\n<strong>Anne McCarthy  </strong>0:24  <strong>\n</strong>I think we can start.\n\n<strong>Nathan Wrigley </strong> 0:26<strong> \n</strong>Why not? The recording has started. So let\'s get, let\'s get cracking.\n\nHello, welcome everybody to the WP 6.2 Live Demo outline. I\'m Nathan Wrigley. I do a few things around the WordPress community, mainly to do with video and podcasting and things like that. But it\'s not about me.\n\nToday, we\'ve got two fabulous guests. We\'ve got Anne McCarthy and Rich Tabor, and they\'re going to do a full on Product Demo. It\'s a little bit unlike things that you may have seen, because in the more recent past, lots of new features have been added. And so Rich, and Anne are going to spend the time on the screen in a moment, and they\'re going to show you all of the bits and pieces that you may find dropping into a WordPress install near you. Let\'s hope. There\'s been a lot that\'s been happening, so there really will be probably 20 or 30 minutes of live demos, so look forward to that. I\'ve got to get them to introduce themselves in a couple of moments.\n\nJust before that, though, a little bit of housekeeping. This is going to be recorded, so if you have to drop out halfway through and go elsewhere, completely fine. It\'s going to be posted at the Make/Core website, but it will also come fully complete with a transcript as well. So, if that\'s something that you\'re looking for, that will all be there. Also to say that if you want to post any questions, we\'d love that. In fact, there\'s a whole portion at the end when Rich and Anne have finished speaking, where we\'re going to field questions toward them. Now there\'s really two places to do that. If you\'re live with us on Zoom, then if you hit the Q&amp;A button at the bottom of the screen and post your questions in there, I guess specifity... specific... Whatever that word is, be specific. Help us out. Tell us exactly what you want to know and we\'ll get the questions to them. The other way to do that is to go into Slack. And there is a channel in there, #walkthrough. And if you want to post any questions in there as well, that would be great. So yeah, just to recap, Q&amp;A button if you\'re in Zoom, and use the Slack #walkthrough channel, if you are in the Making WordPress Slack. Okay, right. I think we\'ll take you guys one at a time if that\'s alright. First off a little bit of an introduction from both of you. Let\'s begin with with Anne McCarthy, shall we? Hello, Anne!\n\n<strong>Anne McCarthy  </strong>2:42<strong>\n</strong>Hello, hello. It\'s so good to be back on literally any sort of live stream with you.\n\nI appreciate that you\'re a part of this\n\n<strong>Nathan Wrigley </strong> 2:48<strong> \n</strong>Yeah, that\'s really nice.\n\n<strong>Anne McCarthy  </strong>2:49<strong>\n</strong>Well, I\'m Anne McCarthy. I\'m a product wrangler at Automattic. I live in Seattle. I also run the FSE Outreach Program, which is basically dedicated to testing all the latest and greatest of WordPress, which is part of why I\'m so excited to be part of this demo, is because so much neat stuff has come through this that I\'ve had the privilege of going through a little bit early on with the ever growing calls for testing. So that\'s a little bit about me, I\'ll pop it over to Rich.\n\n<strong>Nathan Wrigley  </strong>3:17<strong>\n</strong>Yeah. So Rich, if you want to take the baton there.\n\n<strong>Rich Tabor  </strong>3:21<strong>\n</strong>Yeah. Hey, everyone. I\'m Rich Tabor. I\'m a product manager at Automattic. And I work on WordPress and Gutenberg, in particular. From a little bit south of Atlanta, Georgia, in the US, and been building and tinkering with WordPress for I think, close to 11 years now. So it\'s, it\'s been a good run, and I\'m super stoked about where things are heading.\n\n<strong>Nathan Wrigley  </strong>3:43<strong>\n</strong>Yeah, and things definitely have been moving in a very much a forward direction, WordPress, 6.1. And WordPress 6.2. There\'s so much clear blue sky between the two of them. I think probably the best thing at this point is if we can have it, I don\'t know what whose screen is coming on. I think it might be Rich\'s, or maybe it\'s Anne\'s, I don\'t know.\n\n<strong>Rich Tabor  </strong>4:00<strong>\n</strong>Yeah.\n\n<strong>Nathan Wrigley  </strong>4:01<strong>\n</strong>If we can get that screen shared, then I will slide my way out of this call and say, Rich and Anne, it\'s... it\'s over to you. I\'ll be back soon as you\'re finished for any Q&amp;As.\n\n<strong>Anne McCarthy  </strong>4:14<strong>\n</strong>Awesome. Thank you.\n\n<strong>Rich Tabor  </strong>4:17<strong>\n</strong>Alright, everybody can see my screen right now?\n\n<strong>Anne McCarthy  </strong>4:19 <strong>\n</strong>Yes. Rich did an excellent job designing this. I do want to call this out that I love, absolutely love this.\n\n<strong>Rich Tabor  </strong>4:26<strong>\n</strong>Thanks, Anne. Yeah, this is actually running Twenty Twenty-Three. So it\'s kind of showcasing some of the things you can do just with the core theme. And some of the design tooling that we are, that has been built into 6.2. So this view here is the site editor. So I\'m going to orient you here. There\'s one big change here in particular, I want to call out visually, is this idea of the frame here on the right, and this will pull up the local template. So I\'m looking at my homepage of the site right now. If I navigate into other templates, I can pull those up here on the right as well. And then you can also navigate template parts. So this part\'s not very new to 6.2. But the idea of zooming in on different template parts and templates and having them appear here in the frame is. And that\'s important because of this concept of browse mode. And this is where you could dive into an actual page from the site editor. So here, I just pulled up the about page of the site, and I can click into it and actually start making changes. Now, the changes here within the post content block are going to be relative to this about page. But I can also modify the template which then changes the about, or changes the page on any instance of this particular template. So it\'s a new concept and how we can browse the site. But it\'s a very powerful, and really the first iteration of that way of managing a site.\n\n<strong>Anne McCarthy  </strong>5:50<strong>\n</strong>And also lightly introduced content editing in the site editor, as you mentioned. So it\'s a kind of a neat merging of the two worlds, which I know folks have long been wanting to see that unified. And same with the frame, it kind of adds a nice layer where instead of just being dropped in, like before, you kind of are given a more zoomed out view, which I think helps address a lot of the feedback that we saw around the orientation when you\'re entering the site editor.\n\n<strong>Rich Tabor  </strong>6:12 <strong>\n</strong>Yeah, exactly. And really, if we think a little bit further out than 6.2, this could also house setting to use. So we do have, you know, one view here that that is relative to 6.1, where you can see all of your different templates. But imagine if we had any other different types of settings and controls and different pages loaded within here, doesn\'t have to be just the front end templates and renders of your site.\n\nAlright, so we\'re gonna dive into this here. So you can go into it just by clicking on the frame. I\'ll do that one more time just to show, you just click on it. And now you entered right into it. You can edit it right off, so we can make changes, just as if we zoomed into it in the other way in 6.1. And then we have a bunch of styling tools that have been added to 6.2, so I want to kind of hone in on these. Like, this panel itself is not new. We have style variations, you can zoom in here, we\'ve got this new zoomed out view, where you can apply different ones at a time. And then we also have this icon here, which triggers the style book. Now the style book is a very interesting tool here that really lets you customize the theme\'s style guide, essentially. So I can go through each of these tabs, which are relative to the block categories, and see all of the blocks loaded on this particular site. So right here, I\'ve got like Button blocks and Columns block and whatnot. So if I click on one of these, it\'ll pull up the Style panel of that particular block. And then when I make changes over here, these are applied globally throughout my entire site. So if I want to change the way this button looks, let\'s say we do some smaller tags, maybe we\'ll add a little bit of letter spacing, and maybe make it capitalized. See, it\'s getting applied everywhere that the button is used. Also do some changes here to padding, perhaps. We\'ll do something custom here. I think that looks nice. And now...\n\n<strong>Anne McCarthy </strong> 8:13\nReal quick while you\'re doing this, I wanted to note that like this is something that folks have really struggled with previously with the site editor, where if you\'re editing a block that isn\'t in the template already, you\'re not able to see this. So as Rich is showing, you can actually look at any block that\'s being used in your theme and see how the change that you\'re making in styles will impact that. Where before, if the block wasn\'t present in that template that you were editing, it was hard to know exactly what was happening. And so now you have both the style book and this inline preview that you see in the Style section to rely upon, which is pretty neat.\n\n<strong>Rich Tabor</strong>  8:43\nYeah, exactly. And really, you could theoretically go in and design your entire theme with the style book. Now, I know there\'s some advantage to design in context of pages and whatnot. And I\'ll go into that in a bit. But the idea is that you really can quickly browse through all of the different blocks and tighten up what you want to within these controls. And it\'s not limited to the standard variation as well. There\'s also these style variations of each block that you can now manipulate as well. So we\'re gonna go in, say, we\'ll change the radius of this one. So we want it to be sharp like our other button. But we have these new controls. Like, this is a shadow control we\'ve added in 6.2, where you can apply, say, like this shadow here might be nice. This one here, and so some fallback shadows, within core that a theme can provide as well, its own values. But this now will apply for every single variation of the outline on my site here.\n\n<strong>Anne McCarthy  </strong>9:39 \nAnd you\'ll notice that it\'s not in the style book right now. And that\'s just part of the future feature development is showing the variations of blocks as well.\n\n<strong>Rich Tabor </strong> 9:47\nExactly, yes, I would imagine that this would this would show up the variations of the button block, yeah. Which is a nice way to really customize these, like it used to be only CSS would be used to manipulate these variations here. And now it kind of abstracts that away and you can do it within the editing experience. That\'s really nice. It really is. There\'s also this idea of block CSS, so you can add custom CSS that is scoped to a particular block. So if I add CSS here, it\'ll be applied for the button block wherever it\'s used. Now, I wouldn\'t recommend using additional CSS in most cases. I would, I would suggest using all the different controls that we\'ve built, that are built into 6.2. But the idea of using CSS to add a little pizzazz to this particular button block is fine. But just with that caveat that you wouldn\'t want to use it exclusively. Like I wouldn\'t apply a background color via CSS, I would rather use the background elements color here. There\'s also additional CSS, which emulates what was previously in the customizer. So we do have site wide CSS that can be applied within the site editor and also on the front end of your site. Again, I wouldn\'t emphasize using this exclusively, as there are a lot of new design tools that I would explore first, from the top level styles here where you can apply colors to the background, text and buttons. But if there was anything extra you wanted to add, you could do so within the stylesheet here.\n\n<strong>Anne McCarthy </strong> 11:21\nAnd I\'ll note we\'d love to hear feedback if there are certain things that you\'re repeatedly adding custom CSS for. So either commenting on a currently open issue, or if you don\'t find one, opening an issue would be super helpful, because it\'s neat to see what folks are using for CSS so we can fill those gaps.\n\n<strong>Rich Tabor </strong> 11:36\nYeah, exactly. So that\'s the global Style panel here. But there are some quite a few other improvements along with styling. So the first is the idea of pushing styles globally. So if I\'m in here, and I\'m designing, let\'s say I want to add a radius, I want to do some different typography as to appearance like this, like bold, italic look. And then we\'ll also...\n\n<strong>Anne McCarthy  </strong>12:07\nThat\'s cool.\n\n<strong>Rich Tabor  </strong>12:07\nThanks. Also, let me make the letter spacing, maybe we\'ll make it a little bit bigger, actually, and then, I think that\'ll work. Do these changes here and see I\'ve just styled this one particular block this button up here. And this button down here is still using the global styles that we designed earlier. But now I can go through my settings panel here and hit Apply globally. And I\'m going to here so we can see that happen. The styles are now pushed globally to all the other blocks. So this is really helpful for when you\'re designing in flow. And you don\'t necessarily want to abstract out into the style book and you want to push your changes that you just did here, because you like the way the button looks and want those applied everywhere, all at once. I think this is really powerful way to to quickly design within the editor. Another tool that is quite useful, I\'m going to take this heading here and manipulate this. It\'s the idea of copying and pasting styling. So we\'re going to use that same bold italic look, maybe we\'ll make that a little smaller, we can even manipulate this size to be a little bigger. Now we go here to copy styles. And then I can come all the way down here to this other heading that\'s very similar, and paste it in. And there we have that style applied just to these two headers. And you would do this when you don\'t necessarily want every single heading to have this effect. But perhaps there are like elements on this page that you want to push those changes to, specifically. So copying and pasting allows you to be very granular, whereas applying styling globally, lets you be more of a holistic design experience for pushing styles. Another neat...\n\n<strong>Anne McCarthy  </strong>13:57 \nOh, real quick, I just wanted to know like I think one of the things that\'s interesting is, as we\'ve added more design options to blocks like this is part of the experience of scaling things and making it easier to use. So when we think about like intuitive and delightful. Some of these tools coming into 6.2 really take you know, the tons of design tools that we\'ve added over the last couple releases and makes it easy so you can actually tweak things and then reuse. So I think that\'s one of the things I want to call out is it\'s kind of this crescendo. Where now the tools that are coming to 6.2 to really ease the experience and allow you to do a lot of neat stuff where rather than having to re-tweak everything through every single heading block. A lot of stuff is used. So...\n\n<strong>Rich Tabor  </strong>14:34\nYeah, exactly. WordPress is moving towards a design tool and less of like, what you see is what you can only have. It\'s more of an expression of creativity and it really does open up the doors for for designing beautiful pages on the web. I think it\'s really powerful.\n\nAnother cool bit that we\'ve added is the idea of sticky positioning. So headers would be nice sometimes if they stick to the top, so for top level group blocks, this is a group block here, there\'s this new position attribute where you can assign it to sticky. And as you can see, right in the editor, it\'s already showing me that this is sticky on the front end. And also here as well. It\'s only available for top level blocks for now, there\'s still some some odd stuff to figure out on how we communicate when something is not going to stick due to the the parent height of the elements around it. But for top level, it\'s still fine. So we have it here. But there are some iterations that are already happening for the next release that will kind of bring this into more, bring some more capabilities to this particular feature.\n\n<strong>Anne McCarthy  </strong>15:44 \nYeah, and I\'m very excited because one of the things I wanted to briefly call out was the how the header, the template part has that purple. So another neat thing coming to this release, that was a big part of feedback for the outreach program was having to look parts and reusable blocks having a different coloring, because there are different kinds of blocks are synced across the site, when you make little changes and impacts everything everywhere. So that\'s another neat thing that\'s coming with this release, is that you can kind of see those a bit differently in the List view as well as when you\'re in the editor. I see Nathan has his hand raised. Is that intentional? Oh, it\'s removed. Okay.\n\n<strong>Nathan Wrigley </strong> 16:23 \nIt was not intentional. That\'s my mistake. I\'m sorry.\n\n<strong>Rich Tabor </strong> 16:28 \nYeah, it helps you see quickly too like, what is the template part, particularly for headers and footers, it makes it easier to browse quickly.\n\nSo speaking of template parts, and patterns in particular, so headers and footers, are new patterns added within WordPress 6.2. And now that they\'re loaded, actually from the pattern directory, which is kind of neat. And I\'m going to show you how to replace a footer with one of those other patterns. So if you have your footer template parts selected, you can go to replace footer. Now this flow is not new to 6.2, but it\'s going to call out these other improvements. And then you just click one there, and you have it loaded here, that\'s the site logo that I\'m using up here as well. And you can modify this text without having to do any any funky PHP filters or moving actual templates. And if you want to change it again, you go back to replace say, let\'s pick this other one, let\'s try this one. It\'s kind of nice. And there\'s this focus view, or you can zoom in to just the footer itself. You can even check the responsiveness of it and see how it, how it reacts on mobile, and make any of your changes here and have those persist over to the actual template whenever you close it out. It\'s a nice way to really kind of clean up the editing experience. So you\'re not seeing this entire group of groups and instead kind of focusing on what you\'re actually wanting to complete. You can do the same for the header as well.\n\n<strong>Anne McCarthy  </strong>18:01\nYeah, and as Rich mentioned, there are some new patterns that are being bundled from the directory, which I think are really extensive. Regardless of what theme you\'re using, there\'s going to be some pattern for group patterns that help democratize design where you can use them in anything.\n\n<strong>Rich Tabor  </strong>18:15\nYes, that\'s right. All right. So navigation. Navigation has gone under a... quite a bit of work in the last a couple of months. And really, this is all about trying to make it easier to manage your site\'s navigation and also add pages and links and then even styling. So there\'s this new dedicated list view for the navigation block. So it\'s essentially emulating a little bit of what\'s available over here except for you had to kind of get down to it. Now it brings it top of mine and the surface area here. You can drag them around, move them up and down, even add submenu links and remove them as well. And then you can style it like normal. And now apply different styles via the styles tab to the block itself, or even individual page links and whatnot, you can dive into them and manage them all from here, instead of having to only manage them from up here. This really kind of abstracts the complexity from from this particular canvas interface into a more familiar interface here on the sidebar. It\'s really a great effort. And it\'s it\'s taken some time to refine but it\'s getting there and it\'s feels a lot nicer.\n\n<strong>Anne McCarthy  </strong>19:30 \nYeah, there\'s been a lot of good feedback about this as well just because it kind of is meant to marry the classic experience with bringing blocks into it. So it is in addition to being edit, editing on canvas, so if you really want to continue to edit as a block you still, you can continue to do that. But it does add a nice interface and the block settings where you\'re able to do it. And I\'ll briefly call out here the split settings, which we\'ll probably talk about later. But you\'ll see here for more complex blocks, there\'s some nice split settings making it a little bit easier, more intuitive to go through.\n\n<strong>Rich Tabor </strong> 20:02\nYeah, that\'s right. And if you take a look at navigation here, this is very similar to this component added here. And, and that\'s, that\'s purposeful, we want it to look and feel familiar. Either way you\'re managing navigation. So you can also add some menu items here, remove them and drag them around and reset them here, as well as browse into the individual pages. So that\'s what I have for the site editor portion of the demo. And did you have anything else you wanted to add to this, Anne?\n\n<strong>Anne McCarthy  </strong>20:37\nOh, could you resize the Browse mode for me? I just love the resizing. I think it\'s kind of cool. This is just like a fun, you know, thing to call out. But maybe you won\'t noticem but you can resize it. So as you\'re quickly going through your site, if you want to see how it looks in different ways, you can also do that. So that\'s the final thing I\'ll shout out.\n\n<strong>Rich Tabor  </strong>20:56\nYeah. So then, yeah, exactly. It\'s... there\'s a lot of fine, fine touches like that. Well, we can\'t obviously can\'t call them all out today. But it is really getting tightened up overall as an admin experience for the site.\n\n<strong>Anne McCarthy  </strong>21:12\nIt\'s such a great foundation in the future, for sure.\n\n<strong>Rich Tabor </strong> 21:15\nExactly, exactly. Alright, so if we press this back button here, it goes right back to the dashboard, I\'m gonna go and leave...\n\n<strong>Anne McCarthy </strong> 21:25\nThat back button was a big piece of feedback people had they would get into the site or not know how to get back out. So I appreciate you calling that out.\n\n<strong>Rich Tabor  </strong>21:32\nYeah, exactly. It\'s been through a number of iterations. And I think we\'ve settled on something that feels feels nice; it does feel nice.\n\n<strong>Anne McCarthy  </strong>21:41\nI agree.\n\n<strong>Rich Tabor  </strong>21:43\nSo...\n\n<strong>Anne McCarthy  </strong>21:44\nAh yes, the removal of the beta label.\n\n<strong>Rich Tabor  </strong>21:46\nYou want to talk to this, Anne?\n\n<strong>Anne McCarthy  </strong>21:48\nYeah, I would love to jump in on this actually. So you\'ll notice that the beta label is removed for this release. And part of why we wanted to show it now is to see how all the features, how the experience has changed, how much more you can do. And all of that has led to the removal of the beta label. And that doesn\'t mean that feature development is done that it\'s like, you know, gonna stay this way forever, it just means it\'s in a place where we invite you all to try to the site editor, it is out of beta. And a lot of development work has gone into testing this. So we\'ve had almost, I think, 20 calls for testing with the outreach program. It\'s been through multiple major WordPress release cycles, there is still more work to be done. But I\'m very excited to see the beta label removed, I think the features that are coming to 6.2. And the foundation that is set with 6.2 really marks a level of maturity. That is pretty exciting. So consider this an invitation to try out modern WordPress, and to check it out.\n\n<strong>Rich Tabor</strong>  22:43\nA hundred percent, I couldn\'t have said it better.\n\nAlright, so another neat part that\'s added recently for 6.2 is this idea of distraction free mode. So it\'s not turned on by default, but I have it on so we can see the results here. So you can go in and type right here. And then actually, I\'m gonna throw in some Lorem here. So you can see it in action. So this feels more like a text editor and less like a Block Editor. Whenever distraction free mode is on even the the multi block selection, it feels really nice. It doesn\'t there\'s not this idea of blocks, even it\'s kind of abstracted from here, there\'s less noise, there\'s less distraction. And just think that the idea is that it\'s just you and your words, it\'s just writing and publishing. And if you want to publish, you can hover over here, you\'ll see the toolbar come down, you can hit Publish or draft. And then this is how you would turn it off and back on here. And then you still have control of all the existing tool. And it\'s just a much simpler, streamlined interface. And you do have access to blocks, you can still add them if you\'d like to, but the idea is just being able to write without the distractions is really powerful. And a really nice publishing experience overall.\n\n<strong>Anne McCarthy  </strong>24:08 \nAnd this is for everyone. So this is like a lot of stuff we\'re coming to say it or using a block theme. This is available for anyone who\'s using the Block Editor. And to be honest, I use this for basically all my writing now. Especially for any post or page, I typically will go into this mode. So I\'m very excited about this. And I hope folks feel the same way.\n\n<strong>Rich Tabor  </strong>24:28\nYeah, exactly. I\'ve been using that too for quite a bit. But the thing is, is also not only for post editing, so I have a page here that I\'ve created. And I have distraction free mode turned on, which kind of removes all the extraneous tooling and it really lets me focus in on the actual blocks here so I can manipulate them to an extent. I can even drop in different imagery for these images here and modify the buttons and whatnot and even add more blocks but the idea is it\'s almost like a simplified editing experience for pages as well, not only for posts. And here, I\'ll come up here and turn off distraction free mode to see it all in real time.\n\n<strong>Anne McCarthy  </strong>25:13  \nAnd this isn\'t yet available for the site editor, but I have a feeling a number of folks are going to be keen to see that put in there as well.\n\n<strong>Rich Tabor </strong> 25:20  \nExactly, yeah, I don\'t see why it wouldn\'t work in the site editor as well. I think it\'d be very nice. Yeah. So we have some other improvements here that are fun. So this inserter here has gotten a couple of changes here. So blocks looks familiar, it\'s still the same, but patterns is where we started seeing some changes. Instead of having some featured patterns loaded in a block category selector, we\'ve split them out individually as their categories here, you\'re gonna load up some of the different header patterns that are loaded in WordPress 6.2. So you can load them here and see them in this tray, and then click to add them to your site. Which is really nice, it\'s a nice way to kind of go through them quickly and see a bunch of different ones. We also have the media tab up here, which is new, which splits out the images from your Media Library, videos, and audio as well, including the Openverse library. So this is a catalogue of, I believe, over 600 million free, openly licensed stock imagery. And you could search from right here in the inserter. So let\'s type in birds. And click on one, and it will add an image block with the image already added to it, we have got the caption down here. If you don\'t want the caption, you just turn it off right here, this little control that was added. And now you can manipulate it right off. So let\'s say this, drop it into here. Maybe we\'ll make these about the same size and move it over to something interesting.\n\n<strong>Anne McCarthy  </strong>26:53\nAnd I\'ll note that there was a GDPR concern around the images being properly uploaded rather than hotlinked. And I wanted to just note that that\'s been addressed. So the images are uploaded to your Media Library. That\'s why. So in case anyone has that question. Sorry, continue.\n\n<strong>Rich Tabor  </strong>27:08\nYeah, no, that\'s a good point. It\'s very important. A key benefit to have this flow here is that instead of instead of having to add an image block, and then open your Media Library, and then pick an image, and then you have it here, it\'s really this one flow of searching visually, and searching here, as well. And then having it added as an image block already. So it kind of skipping all the extra steps that you always have to do anyhow, it\'s really nice. And we have a couple of interface changes. So there\'s the settings icon up here that used to be a cog, and now it represents the sidebar itself. So when you open it, the sidebar is triggered, if that\'s closed. And that\'s changed for a couple of reasons. But one of the bigger reasons is, as I mentioned earlier, this idea of split tabs, so we have the cog for settings. And that\'s when a block has additional settings that are not per the norm of the styles that are available within WordPress, then you\'ll have a new settings tab pulled out here. And that\'s to keep the density nice whenever you\'re editing and it feels good instead of having everything kind of in your face all at once. Now for other blocks, like the paragraph block, there\'s not additional settings, so automatically not included. The tabs up top and just be everything top level. But  when a third party plugin adds like a different settings panel, or even if you extend one of these core blocks that does not have one, and a detects one should be auto added as well. So it\'s kind of just like a nice, fluid way to continue improving the experience of editing within WordPress.\n\n<strong>Anne McCarthy </strong> 28:49\nYeah, so plugin authors can also kind of make sure where they want settings and styles to show that it shows up correctly. And there\'s a dev note about that as well.\n\n<strong>Rich Tabor  </strong>28:58\nYes, that\'s right, you can you can decide as when you\'re extending or adding your own inspector controls. That\'s what these are called here, whether or not they\'re included within styles or settings as well. Yeah.\n\nThen another smaller change that\'s kind of nice is this idea of pulling the outline from its own toolbar item up here into the list view. It\'s because they\'re very relative, you know, a list of all the blocks on your page, also an outline of what\'s going on. So they\'re combined now into this one view. We also have time to read word count and character count here, which is nice. And then this is a little guide here that just helps you understand the structure of the importance of the structure of the document and making sure that it is properly structured. All right, was there anything else that we wanted to add you think, Anne?\n\n<strong>Anne McCarthy  </strong>29:51\nI\'ll add one last call out just because I\'m trying to think about like little dev tidbits if you want to disable it prefers there is a way to disable Openverse as well I know that\'s always a concern. We add something it\'s like, okay, how do we get rid of because I don\'t want a client getting into it, there is a way to disable that is documented as well. The other thing is the pattern. So there\'s new categories, the patterns. And so query is now posts, a couple of things were merged, there\'s no call to action. And there\'s also some lovely, which I\'m gonna brag on Rich, again, some new text based, query patterns. We have a lot of visual patterns for the query loop, and now there\'s wonderful, more text focused ones, which I think is really exciting. And just another great way where patterns have evolved and patterns is obviously a huge part of the future building with WordPress. So I\'m very excited about those and keen to see just more variation with query loop, I think it\'s really powerful block to make easier to use. So I\'m excited to see it. Otherwise, I think that\'s, I think that covers a lot of what we were trying to go through.\n\n<strong>Rich Tabor </strong> 30:57\nYeah, and there\'s certainly more. There\'s a lot of interesting, minute details that are, you know, quality of life improvements around editing and designing. And we can\'t cover them all today. But it\'s just, there\'s a lot of exploratory ideas and cool, interesting pieces that have been the result of lots of feedback and lots of testing, like I mentioned earlier. And, you know, it\'s really a testament to open source and contributing and really working together as a team to make this thing we call WordPress ours and making it a brilliant publishing experience. So just thank you to everyone who\'s put in time ideas, effort, code, design, marketing, copy, all of that, and more to making this what it is. It wouldn\'t be possible without you.\n\n<strong>Anne McCarthy  </strong>31:46\nTotally agree. And thank you, Rich, for doing such an excellent job building this site and demoing all this.\n\n<strong>Nathan Wrigley  </strong>31:51  \nYeah, indeed. Thank you, Rich. Thank you, Anne. Just to let you know that, in theory, there\'s possibly up to about 25 minutes left. If anybody wishes to pose a question, we\'re going to do our best to get the answer directly from Rich and Anne. Whether that means putting the screen back on, I don\'t really know. But we\'ve got a few that have come in. The place to put those, it would appear that some people have figured out how to do that in Zoom. But if you go to the walkthrough channel, in the making WordPress Slack, you can post some questions in there and all things being equal, we\'ll get them raised as quickly as we can. So we\'ve got a few. In all honesty, because they\'ve been copied and pasted from various different places, I can\'t necessarily say who the name of the person is that sent them. But first question I\'ve got over here for either of you. It says when you save globally, under the Advanced tab, does this change the stylesheet? Interesting.\n\n<strong>Rich Tabor  </strong>32:54 \nSo this will change the attributes of the blocks. So if I throw in that example, there, I pushed the attributes of that one block globally. So they\'re applied to every block. So it does affect some styles, but not writing any style sheet or writing to the core style sheets.\n\n<strong>Nathan Wrigley  </strong>33:11\nCan I ask the question? It\'s not something that\'s been submitted by anybody else, but it just occurred to me that as you were clicking the global button, I just wondered if there was a \"get out\" from there. In other words, if you inadvertently click the global button, is there an undo option in there? In other words, can you back away from all of the buttons suddenly changing or all of the H1s? \n\n<strong>Anne McCarthy  </strong>33:32 \nYou do have to hit save after. You can\'t just hit Apply globally. You have to hit save, and that\'s where the multi-entity saving pops up. The multi-entity saving is kind of strange in that it\'s not good at discarding changes. So you basically would just have to like leave. Like it would be like, Whoops, I hit that. You probably also have to hit the undo. Like there\'s - those are the two kind of options. So, yeah.\n\n<strong>Rich Tabor </strong> 33:54 \nYeah. The undo is like a global thing. It works there as well. Yes.\n\n<strong>Anne McCarthy</strong>  33:58 \nAnd there\'s a reason that feature is hidden, like under Advanced and collapsed. That\'s not necessarily for everyone. But for folks who do like to tinker, it is available.\n\n<strong>Rich Tabor  </strong>34:08  \nRight. And it\'s also only available in the site editor as well. So it\'s the more the global view of editing your site is where you can access that. \n\n<strong>Nathan Wrigley  </strong>34:17  \nPerfect.\n\nOkay, so I have a question from Zoom. Is copying and pasting styles as demonstrated just for core blocks? They go on to say more, which I\'ll read out. Some blocks collect, some block collections have their own C&amp;P, and I\'m curious what might carry over, if anything? And then there\'s a follow up. Also, if CSS classes are assigned to a block, will applying global styles to a block be to all of the same block, i.e. H2? Or, hopefully, will a custom class allow for a more granular global CSS? There\'s a lot in that question, but if we start with the: is copying and pasting styles demonstrated just for core blocks?\n\n<strong>Rich Tabor  </strong>34:56  \nSo it works for blocks that have leveraged the block support system within core. So if you have opted your block into using background color, and text color, link color, any of the layout settings, anything that was in the styles tab, then all of those would get pushed to or get copied or pasted or even pushed to the global application of styles as well. Now, if there\'s, if a block has done its own sort of background color attributes, I don\'t know that those would persist as well. But if you use what\'s available in core, it\'s really one or two lines of JSON will get you the background color support that you need. \n\n<strong>Nathan Wrigley</strong>  35:35\nAnything to add to that, Anne?\n\n<strong>Anne McCarthy  </strong>35:37  \nNo, just another reason to rely on what core is building. So it\'s a another great example of how these features will work together and how adoption helps whenever these new things come out.\n\n<strong>Nathan Wrigley  </strong>35:49  \nOkay, so we\'ll go on to the next question then. So this is from Zoom, and apologies, I don\'t know your name. Can we have this as a feature request? Can we have sticky sidebar block for some groups next release, please? \n\n<strong>Anne McCarthy </strong> 36:05 \nProbably would do a separate block, I\'m guessing. Yeah, do you have anything to add to that?\n\n<strong>Rich Tabor</strong>  36:11\nYeah, I would say we wouldn\'t need a sticky sidebar block. Right now that group lock in top level-only does support position sticky. And the only reason it was turned off like we did have it on for one of the Gutenberg releases for everything - for every group block - but it was turned off just because there was too much confusion around if you had a sticky element that wasn\'t didn\'t have enough space to stick for and enough height to stick. So it wouldn\'t actually be sticking. You wouldn\'t see a result of you applying a sticky position to it. So I think we can figure that out with some some UX to really clean that experience up so that you do expect and understand what\'s going on. When you apply that to a block. That\'s not the root level of the document. So it\'ll be there. It just takes a little bit more iteration.\n\n<strong>Nathan Wrigley</strong>  37:00\nOkay, another question. This time from Slack. When there are changes made in the site editor, are the templates still marked with the blue dots to indicate that the changes are in the database?\n\n<strong>Rich Tabor  </strong>37:14\nYes, from that Manage Templates view that I shared in the canvas, it will show up just like it did previously, when there are changes to one of the templates provided by the theme.\n\n<strong>Anne McCarthy </strong> 37:25\nYou can revert the changes, as well, as you\'re used to doing.\n\n<strong>Nathan Wrigley </strong> 37:30\nOkay, thank you. Anne\'s shared a link related to the question that we just posted. I don\'t know how Zoom works well enough to whether or not we can share the screen. \n\n<strong>Anne McCarthy  </strong>37:40\nI can briefly share my screen. \n\n<strong>Nathan Wrigley  </strong>37:42\nYeah, that\'d be great. Show us the GitHub.\n\n<strong>Anne McCarthy </strong> 37:43\nLet me try that. I just wanted to mention this in case people want to follow along in the follow up tasks related to this. I love to look at links. I\'m a nerd like that. So in case anyone else is, this is a lot of the follow up tasks and a great issue to chime in on or just follow if you\'re interested in this because there are some improvements to be made. But this is a neat report for now. So it\'s - oh, I just copied and pasted. So it\'s issue number 47043 in the GitHub repo.\n\n<strong>Nathan Wrigley </strong> 38:11\nSo 47043 related to the question that we just had. Okay, so another one from Zoom. This is Robin, who asked the question, can you show? It\'s just moved on my screen. There we go. Can you show us how to trigger the focus mode to view, say, for example, the footer on its own? So I guess we\'re back on the screen again.\n\n<strong>Rich Tabor  </strong>38:34\nSure. Everyone can see? Yep. So when you have a template part selected, you just hit the Edit button here and then it\'s focused into that as well. And then you have, again, the responsive controls here. All the existing controls, it\'s just localized to this template part.\n\n<strong>Nathan Wrigley  </strong>38:54\nHopefully that answers your question. Thank you, Robin. Just for anybody who\'s kind of lurking who has a question but hasn\'t yet posted it, please do. What are the chances that you\'re going to get Rich and Anne on the on the phone in the next few weeks? Pretty minimal, I\'d say, so make use of them while they\'re here. Ellen has done just that. She\'s in Slack. Ellen says, is there a plan to allow no title templates in the block editor as they are still included even in header and footer-only templates?\n\n<strong>Rich Tabor</strong>  39:28\nNo title templates. Like templates without a title? I\'m not quite.\n\n<strong>Anne McCarthy </strong> 39:35\nYou can just remove that block. \n\n<strong>Rich Tabor  </strong>39:36\nYeah, you can you can remove the post title block from a template. I\'m not quite sure if that\'s if that\'s what the question is asking.\n\n<strong>Nathan Wrigley  </strong>39:46\nEllen, if you\'re still in Slack and watching this, if you heard Rich and Anne queerying that, then if you can give some more clarity, we\'ll endeavor to get that answered.\n\n<strong>Anne McCarthy</strong>  39:57\nKnowing Ellen she knows exactly how to remove things. So I\'m like, I\'m curious. I\'m definitely - we\'re misinterpreting something because she\'s very - Not showing the title in the editor...?\n\n<strong>Nathan Wrigley  </strong>40:07\nYeah. Not showing the title in the editor. She says she\'s here. \n\n<strong>Anne McCarthy  </strong>40:12  \nI\'m like, \"Say more.\" \n\n<strong>Nathan Wrigley </strong> 40:14 \nYeah. Give us more. Give us more Ellen, and we\'ll get right back to you.\n\n<strong>Anne McCarthy  </strong>40:17\nLet\'s follow back up on that, because Ellen always has some good questions and good feedback.\n\n<strong>Nathan Wrigley</strong>  40:21\nAll right. We\'ll do just that. Again, another question from Zoom. This is posed by some anonymous person. Will the list views icon get the same treatment as settings?\n\n<strong>Rich Tabor  </strong>40:33\nI don\'t think it\'s in the plans. I don\'t think there are plans to change that. But list view icon, it\'s always the list view. So when you toggle it on and off, it\'s relative to what it is. Whereas on the other side, the settings can be block settings, page settings, template settings. Global styles is in that same area. So it\'s a little bit more context for the list view to stay a list view item.\n\n<strong>Anne McCarthy  </strong>40:58\nAnd I know that the question came up because the settings icon looks like there\'s that sidebar. And so there are who people have been asking like, will the same thing happened over here? Just for context. That was part of a discussion in a different GitHub issue.\n\n<strong>Nathan Wrigley </strong> 41:12\nOkay, thank you very much. I appreciate very much those people who are posing questions. That\'s really great. Again, just to prod you once more, feel free to add your own questions in no matter how big or small they are. We\'re here to help. So now we have a question on Zoom from Abdullah. And he coincides beautifully with a question I\'ve written down. Any good resources to learn FSE theme-based development? Can either of you point to a particularly good resource that you know of?\n\n<strong>Anne McCarthy  </strong>41:41\nYeah, Learn WordPress. There\'s tons of stuff on Learn WordPress that I would recommend. I also, Daisy Olson, who\'s Developer Relations at Automattic, has a Twitch stream going and some YouTube videos around block theme development. But I would recommend going to Learn WordPress. There\'s also some contributor-led initiatives. Carolina, who\'s one of the theme folks has, I think, it\'s fullsiteediting.com. And that was kind of like the original, go-to resource. And she\'s done an incredible job working on that and keeping it up to date. So yeah, there\'s tons of tons of resources. I will spare you from from sharing more, I don\'t know, Rich, you have more hands-on experience there. What\'s the most helpful for you?\n\n<strong>Rich Tabor</strong>  42:22\nYeah, there\'s some really great tutorials and guides on Learn that are relatively new, that are really helpful. And I see that the team there has been really cranking it out on the last year or two, like really putting a lot of effort into this. So I would, I would start there.\n\n<strong>Nathan Wrigley  </strong>42:38\nSo if you\'re not familiar with that, I guess it would be apropos to say go to your browser of choice and type in learn.wordpress.org and go and explore. Basically, there\'s a ton of materials that are getting updated on what feels like a daily basis at the moment. So, once more, learn.wordpress.org. Go and check that out. But also, Anne in the chat that we\'ve got going on here has linked to Daisy Olsen\'s Twitch channel, which - I\'m just going to read it out but hopefully I\'ll make it into the transcript. twitch.tv/DaisyonWP. And it\'s all one word. D-A-I-S-Y-O-N-W-P. Daisy on WP. So there\'s two great places to go. But the learn.wordpress.org is perfect.\n\n<strong>Anne McCarthy </strong> 43:24  \nI have to add one more thing, which is if you\'re not fully ready for block themes, one of the big things that I feel like needs to be emphasized more is you can gradually adopt. So all these features are being done. But maybe you want to only give access to a client to edit the header. You can do that. Maybe you want to leverage theme.json in your classic theme, you can do that. If you want to expose the template editor.\n\nBut use the rest of your themes across them, you can do that. So I want to also encourage folks to look into resources around gradual adoption, because it makes sense that this stuff isn\'t - From day one, there has been a focus on that. Adopt what you what you want, when you want and it\'s going to make sense to different people at different times. Matías once said that to me, and I think it rings really true. And so now that we\'re at this level of maturity, I think we\'re looking again and revisiting again, like okay, what can I use? What do I want to use? I think it\'s really important to mention. So if you\'re not ready to go all in, I encourage you not to just wipe it all away, but to think about how you can gradually adopt and also what would help you gradually adopt. So there is actually a label on GitHub started a couple months ago around - It\'s called blocks adoption. So if there\'s something that you see that you\'re trying to adopt the site editor, and it\'s preventing you from doing so, like we want to know about that. And you\'re welcome - I\'m going to just put this out here - @annezazu is my GitHub username, feel free to just like @ annezazu, \". This is blocking me from using the site editor.\" We want to know these things. Open issues. Please share, because that is also part of the phase of this work is making sure people can adopt as they can and that the tools are robust. There\'s a ton of resources as well. There\'s a page in the Theme Handbook around gradually adopting to block themes. So I just wanted to call that out.\n\n<strong>Nathan Wrigley </strong> 45:06 \nAnd just one more time, what was that? Give us, the give us the username.\n\n<strong>Anne McCarthy  </strong>45:11<strong>\n</strong>A-N-N-E-Z-A-Z-U. So like Zazu from The Lion King. It\'s an inside joke from middle school.\n\n<strong>Nathan Wrigley </strong> 45:19\nOkay, possibly the shortest question. This is from Sandy, I should say, Can Lotties be added to 6.2?\n\n<strong>Rich Tabor</strong>  45:28\nI would say that I did a quick search a few minutes ago and there are various blocks built by the community, which do allow you to add or embed LottieFiles to your site. I haven\'t tested any myself but feel free to dig into those. And if they\'re open source, they can contribute ideas or feedback on on those GitHub repos.\n\n<strong>Nathan Wrigley </strong> 45:49\nThank you very much. And Eagle has posted a question. When there are changes made in the site editor, are the templates still marked up - Did we have that one? We have, right? We\'ve done that. \n\n<strong>Anne McCarthy </strong> 46:01\nWe answered that one. Yeah.\n\n<strong>Nathan Wrigley</strong>  46:02\nI think we did. Okay, moving on directly then to Ian, what is - oh! Okay, what is the philosophy for mobile in the editor? Are there any plans to have a mobile view?\n\n<strong>Anne McCarthy </strong> 46:16\nThat\'s part of the dragging and resizing. And there\'s a lot of work being done around intrinsic design. And you can see on the developer.wordpress.org? What is the blog? I think it\'s /news. Do you hear audio?\n\n<strong>Nathan Wrigley  </strong>46:35\nI hear only your audio. I don\'t hear anything I don\'t wish.\n\n<strong>Anne McCarthy</strong>  46:36\nOkay, sorry. Something just started playing in the background out of nowhere and that just scared me. It\'s like all of a sudden, I was like, woah! Where was I?\n\n<strong>Nathan Wrigley </strong> 46:50\nSo we were talking about mobile views?\n\n<strong>Anne McCarthy </strong> 46:53\nYes, intrinsic design. There is a developer blog that if you\'re not following that, you definitely should, that addresses this around, basically showing that the mobile view points have exploded over time. It\'s now really not sustainable to try and have CSS and all this sort of stuff, mobile queries allowing for each view. So instead, how can we think about intrinsic design? And so that\'s like the best answer I can give. And for now, there is this nice resizing that you can do to kind of see how things scale. 6.1 introduced fluid typography, which was really exciting and part of this larger, intrinsic design set up. And I think we\'ll expect to see more of that over time. Sorry, for the brief mental break.\n\n<strong>Nathan Wrigley  </strong>47:36\nJust a quick reminder, we probably got 5, 6, 7 minutes or something like that before we start to wrap things up. So if you\'ve got any questions, please, please do post them in here. We have one from Paul who asks, is there any more work planned for pattern management in the future? And then WP Engine has released a plugin allowing easier management of patterns recently, I believe that was yesterday, it would be good to know if we should wait for core or assume that nothing else is coming soon.\n\n<strong>Rich Tabor  </strong>48:07\nYeah, I would say that pattern management is an important part of this new WordPress experience and having a way to create and manage local patterns, but also maybe push them to the pattern directory. And then on top of that, having a functionality built in where - it\'s kind of like a component based system where you have patterns where the design is the same across patterns, but content can change. All of that kind of falls into the same category of work. And that is something I believe WordPress will eventually do as well.\n\n<strong>Nathan Wrigley</strong>  48:41\nOkay, we\'ve got no more questions on the screen. So I\'m going to ask a question, if that\'s all right. You were demonstrating the distraction-free mode there where you could move things up, move things down, and resize pictures and images and so on. I was just wondering what the constraints on that are. So in the case of images, I could see that you could resize things. And with the text, I could see that you could, you know, highlight things and start typing wherever you wish. But I just wondered how the decisions had been made to set those parameters and those only. So yeah, around that, what\'s available in distraction-free mode? What limitations are there?\n\n<strong>Rich Tabor  </strong>49:17<strong>\n</strong>I would say, generally, it\'s what\'s available is what happens when you click on a block. The tooling is there available on the canvas before so resizing was available on the image but not the toolbar. So the resizing is still available when you\'re in distraction-free, but maybe not adding the caption piece or you know, those other toolings. It\'s almost like the content locking or content only locking API. It\'s very similar to that in a sense, but a little bit more tightened up.  Where just text and dropping in images - you can\'t necessarily open the Media Library from there unless you dive out of it. But you can drop another image onto that existing image to replace it. Some things like that.\n\n<strong>Nathan Wrigley  </strong>49:59<strong>\n</strong>It looks like a really excellent interface for people who just, well, want to concentrate on their writing. It sounds like Anne\'s all in on it.\n\n<strong>Anne McCarthy</strong>  50:05\nI use it every single day. It\'s amazing.\n\n<strong>Nathan Wrigley </strong> 50:09  \nIt almost felt like a Google doc minus all the bits and pieces at the top. Yeah, really, really nice. Okay, so we have some more questions. Weston is asking, what about optimizing the experience of editing using a mobile device on the web? So I guess that\'s a little bit maybe the question that we had earlier. How can... we how can we do things on a actual mobile device? \n\n<strong>Anne McCarthy </strong> 50:30\nThat\'s a great question. There are mobile apps. So there is the mobile team and using the mobile apps. I personally don\'t use mobile apps and sometimes will edit things from Safari on my iPhone SE 2.\n\nI actually was talking to someone - their username is Nomad Skateboarding. And from what I understand, he only builds client sites from his phone. And so one of the things I said to him, I was like, \"Give us your feedback. That\'s really cool. It\'s really unique. That\'s fantastic. Like, what pain points you\'re running into, what can we improve?\" Because there is obviously like, we are in a mobile first world. My phone is sitting right next to me. I would love to hear particular pain points folks have when trying to edit in that way. You can obviously use the apps. There are some quirks with the site editor, and that I know is partially being looked into and resolved. But yeah, I think there are probably - what we\'re building now should always translate back and there are teams trying to sync back and forth. And there was a recent post from the mobile team talking about what\'s the future of mobile editing. And so I would recommend - it\'s somewhere on Make/Core. I recommend digging that up and getting involved and honestly sharing your feedback. Because I don\'t think that is an experience that we talked about enough personally.\n\nIt\'s a great question. \n\n<strong>Nathan Wrigley  </strong>51:40\nRich, anything or should we move on?\n\n<strong>Rich Tabor  </strong>51:42 \nI think that was great.\n\n<strong>Nathan Wrigley </strong> 51:44 \nOkay, perfect. Um, um, um. Okay, we have an anonymous question. It says as page speed is a big challenge, how are we optimizing the blocks for better LCP score?\n\n<strong>Anne McCarthy</strong>  52:00 \nThere are, some interesting - sorry, Rich, I don\'t know if you wanted to jump in. I was going to start link dropping. \n\n<strong>Rich Tabor  </strong>52:05 \nYeah, you go ahead. Yeah. \n\n<strong>Anne McCarthy  </strong>52:07  \nYeah, there\'s some interesting work from André. Part of it involves actually adding tracking and making sure there\'s really good front end metrics. So there\'s kind of a twofer going on. In one fell swoop, we\'re focusing on better tracking and improving the tracking that we have for performance, particularly the front end. And then at the same time, also work is being done to optimize like style sheets. There\'s been some really neat stuff in previous releases that I bet I can pull up if you\'ll give me one moment.\n\n<strong>Nathan Wrigley  </strong>52:36\nYeah, whilst you try to find that, Anne, I think it\'s probably important to say that, if there are any questions which you wish to have answered which don\'t somehow get answered in the next few moments, then there will be posts created around this piece. So anything that goes missing, any question that is unanswered, there will be endeavours to get them answered. Right? Okay, show us what you got, Anne.\n\n<strong>Anne McCarthy  </strong>53:00  \nYeah. So this was a post I did for 5.9, in conjunction with a whole ton of folks who contributed and actually did this work, I just was kind of gathering it up. But you\'ll see sections here around block style sheets and CSS loading. And honestly, a lot of the work with the styles engine, which is part of the global styles project, can help give a lot of opportunity to actually improve this, I recommend checking out this post to see some of what\'s already been done. And then in the future, one of the discussions that we had recently with some folks across the community from Google, from Automattic, 10up, all over the place, including our lovely performance lead, Felix. We talked about some of this stuff and about how to talk about particularly themes and also just blocks in general. And thinking about some performance improvements and developer education and automated testing and all sorts of stuff. So I won\'t go too far into this. But I think a lot of work can be done. And some of it is being done around measuring more front end metrics and very recently, LCP was added and started to be tracked here, which I think is pretty exciting. \n\n<strong>Nathan Wrigley  </strong>54:05 \nI think following the performance team and Felix Arntz, in particular, would possibly get you quite a long way towards your answers there. Okay, a couple more. Firstly, there\'s a few people helping out in the Slack channel. So, appreciate that. We\'ve got Matías answering questions, and so on. So that\'s really amazing. Thank you. Another anonymous question, any plans to support CSS Grid?\n\n<strong>Rich Tabor  </strong>54:33 \nI think it\'s something worth exploring. Probably not the major priority coming up. But definitely some interesting aspects that we\'ve seen other... other building applications do that we can learn from for sure.\n\n<strong>Nathan Wrigley  </strong>54:47  \nOkay, we\'re very short on time now. I think we\'ve got to round it off at the top of the hour. So we\'ve got about four minutes left. I\'ve got to wrap it up a little bit. So try to get these last two done if we can. This is from Mary. What are the typography options as of 6.2? we have Google fonts and self-hosted. Any plans for solutions like Adobe Type and Monotype?\n\n<strong>Anne McCarthy  </strong>55:11 <strong>\n</strong>There\'s a Fonts API that got booted from 6.2 and is hopefully planned for 6.3. So I would just follow that effort. So right now, 6.2 is not introducing anything new or different there. Things are as they were. There\'s a private API that folks can can use with anything JSON. That\'s as concise as I can be.\n\n<strong>Nathan Wrigley </strong> 55:31\nNo, that\'s perfect. I think we\'re three minutes to go. That\'s probably the best time to wrap up the Q&amp;A. Apologies if you had a question and it didn\'t get answered. As I said, there will be a whole load of things created off the back of this. We will make sure that there\'s a transcript available and - just read something in the comment. Hopefully, any questions that have been asked but unanswered will be answered approaching that. Just very, very quickly, I have to say thank you to Anne and Rich in particular, for taking the time out of their busy schedules and demoing what 6.2 can do. It really looks like a transformational release. But also, thanks to Chloé and Jonathan and Lauren and Mary who are on the call, but, you know, you haven\'t necessarily seen them right now. So, appreciate them. That\'s really great. Following up off this, I\'ve got three points to mention. Following the 6.2 release on Make/Core for development updates and calls, there\'s going to be a post. It\'s make.wordpress.org/core/6-2. Also, if you\'ve been keeping a close eye on the Beta releases - I say beta, I know it\'s hysterical. The beta releases, we\'ve got version beta four has just been released. And anybody who wants to test that out would be most welcome. The URL for that is far too long for me to say out loud, but you can Google it, I\'m sure, and find out how to test for that. And also, if you are keen to follow WordPress, it\'s all over the social networks. And you can follow - basically, if you try to just follow @WordPress, then you\'ll get somewhere. So for example, on Twitter, it\'s WordPress - @WordPress. On LinkedIn, it\'s /company/WordPress. Instagram is @WordPress. And guess what? On Facebook, it\'s - what do you think it would be? It\'s @WordPress. So it\'s available all over there. And I think that\'s it. I think that\'s everything that we\'ve got to say. We\'re about one minute away from closing. So particular thanks to Rich and Anne, but thanks to everybody in the background making all of this happen. Thanks for showing up. If people don\'t show up, the work never gets done and the project never moves forward. So fully appreciate anybody who\'s given up their time to ask questions today and watch this presentation.\n\n<strong>Anne McCarthy </strong> 57:51 \nAnd thank you, Nathan. I want to call you out as being an excellent moderator and creating a safe space for us.\n\n<strong>Nathan Wrigley </strong> 57:57  \nVery, very welcome. I enjoyed doing it. I would gladly do it again. All right. I don\'t know how to end this call. So I\'m just gonna wave. Bye, everyone.\n</pre>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14573\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"The Month in WordPress – February 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 11:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14550\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:236:\"February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that\'s not all; read on for the latest project updates.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13671:\"\n<p>February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that&#8217;s not all; read on for the latest project updates.</p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<h2 class=\"wp-block-heading\">Get ready for WordPress 6.2</h2>\n\n\n\n<p><strong>WordPress 6.2 Beta 4</strong> arrived earlier this week and is <a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">ready for download and testing</a>. Work continues on track, with the first release candidate (RC1) due next week and the target for the final release on <strong>March 28, 2023</strong>—less than four weeks away!</p>\n\n\n\n<p>WordPress 6.2 is one of the last major releases planned for Phase 2 of Gutenberg, taking the Site Editor out of beta with a more polished user experience and refreshed interface.</p>\n\n\n\n<p>On March 2, members of the release squad hosted the <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 live product demo</a>. The recording and transcript will be available soon. In the meantime, these resources will give you a taste of what&#8217;s to come:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help test WordPress 6.2</a>. Your feedback is key to ensuring everything in this release is the best it can be.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Join WordPress&#8217; 20th anniversary celebrations</h2>\n\n\n\n<p>WordPress is turning 20, and the community is getting ready to celebrate!</p>\n\n\n\n<p>As part of the festivities, the project has released a <a href=\"https://wp20.wordpress.net/wordpresss-wapuu-joins-the-wp20-celebration/\">20th anniversary Wapuu</a>, a <a href=\"https://wp20.wordpress.net/download-the-wp20-commemorative-logos/\">set of commemorative logos</a>, and a <a href=\"https://wp20.wordpress.net/20-years-of-wordpress-jazz/\">special playlist with 46 tracks</a> from the jazz artists selected to represent WordPress releases. Official WP20 swag will also be available soon.</p>\n\n\n\n<p>In addition, the Museum of Block Art (MOBA) is <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\">calling all artists</a> to submit block art themed on “20 years of WordPress.”</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\">Find out how to organize and participate in the WP20 celebrations</a>.</p>\n\n\n\n<p></p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new in Gutenberg</h2>\n\n\n\n<p>Two new versions of Gutenberg have shipped in the last month:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-1-8-february/\"><strong>Gutenberg 15.1</strong></a> was released on February 8, 2023, with access to the Openverse library of openly-licensed media from the Editor. Other highlights include the ability to add custom CSS on a per-block basis and support for shadow presets in Global Styles. This is the last version of Gutenberg that will be <a href=\"https://developer.wordpress.org/block-editor/contributors/versions-in-wordpress/\">included in WordPress 6.2</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\"><strong>Gutenberg 15.2</strong></a><strong> </strong>is available for download as of February 22, 2023. Besides continued accessibility improvements, this release adds support for revisions when editing templates and template parts, and refines the navigation experience in the Site Editor.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"></a>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay on top of the latest enhancements.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates: Global community sponsors for 2023, contributor mentorship program, and more</h2>\n\n\n\n<ul>\n<li>The Community Team announced the <a href=\"https://make.wordpress.org/community/2023/02/08/2023-global-sponsors-announcement/\">global sponsors</a> that will support the WordPress community programs in 2023.</li>\n\n\n\n<li>A few months ago, Meetup.com removed an accessibility overlay in response to <a href=\"https://make.wordpress.org/community/2022/11/23/meetup-com-accessibility-overlay-update/\">some concerns</a> from the WordPress community. <a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/\">A recent update</a> reports that the company has conducted an assessment and plans to address the issues identified.</li>\n\n\n\n<li>The Training Team launched a <a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">new onboarding program</a> for contributors. In addition, they worked on numerous lesson plans, online workshops, and tutorials last month. <a href=\"https://make.wordpress.org/updates/2023/03/01/whats-new-on-learnwp-in-february-2023/\">Check out what&#8217;s new on Learn WordPress</a>.</li>\n\n\n\n<li>The Documentation Team shared <a href=\"https://make.wordpress.org/docs/2023/02/07/future-plans-for-helphub/\">future plans for HelpHub</a>.</li>\n\n\n\n<li>Openverse moved to a standalone domain, <a href=\"https://openverse.org/\">openverse.org</a>, with improvements to the site’s homepage, header, and footer.</li>\n\n\n\n<li>The Plugin Review Team posted a notice to inform about <a href=\"https://make.wordpress.org/plugins/2023/02/03/twitter-api-changes/\">the latest Twitter API changes</a> and the types of plugins that might be affected.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/polyglots/2023/02/16/polyglots-monthly-newsletter-february-2023/\">February edition of the Polyglots monthly newsletter</a> highlights some recent enhancements to GlotPress’ functionality and the <a href=\"https://translate.wordpress.org/\">translate.wordpress.org</a> platform.</li>\n\n\n\n<li>The latest <a href=\"https://make.wordpress.org/community/2023/02/15/meetup-organizer-newsletter-february-2023/\">Meetup Organizer newsletter</a> shares tips on how to help your meetup group stay connected and engaged between events.</li>\n\n\n\n<li>Check out <a href=\"https://developer.wordpress.org/news/2023/02/whats-new-for-developers-february-2023/\">What’s new for developers? (February 2023)</a>, the first edition of a new monthly series with features and resources developers should know about.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\">Hauwa Abashiya</a>.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Following discussions on <a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">improving the contributor journey</a>, a new <a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">WordPress contributor mentorship program</a> has been proposed to roll out this year.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>A new proposal from the Community Team seeks to <a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">modify the Events and News dashboard widget</a> to show topic-based meetups worldwide.</li>\n\n\n\n<li>Members of the Core Team suggested some <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">updates to the WordPress release cycle</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/03/mobile-team-update-march-2nd/\">Version 21.8</a> of the WordPress mobile app for iOS and Android is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Redesign work is <a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">well underway</a> on the WordPress Theme Directory. Contributors can follow along on <a href=\"https://github.com/WordPress/wporg-theme-directory/\">the GitHub repository</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events updates</h2>\n\n\n\n<ul>\n<li>Bangkok, Thailand, hosted a successful inaugural <a href=\"https://asia.wordcamp.org/2023/we-did-it/\">WordCamp Asia</a> on February 17-19. The event welcomed 1,299 attendees, and more than 600 participants joined the Contributor Day. At the event&#8217;s closure, organizers announced that <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia 2024</a> will take place in Taipei, Taiwan!</li>\n\n\n\n<li>The application to <a href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\">attend the 2023 Community Summit</a> is now open to WordPress contributors. Learn more about the ins and outs of this working event in <a href=\"https://wordpress.org/news/2023/02/episode-49-everything-you-need-to-know-about-the-community-summit/\">Episode 49 of WP Briefing</a>.</li>\n\n\n\n<li>WordCamp Europe 2023 is looking for <a href=\"https://europe.wordcamp.org/2023/call-for-media-partners-and-supporters/\">media partners and supporters</a>.</li>\n\n\n\n<li>Want to create diverse and inclusive WordPress events? Don’t miss <a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">this free #WPDiversity workshop</a> happening March 16, 2023.</li>\n\n\n\n<li>Many WordCamps are coming up in the next weeks:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1ec.png\" alt=\"🇺🇬\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://entebbe.wordcamp.org/2023/\">WordCamp Entebbe</a>, Uganda, on March 10-11, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://torrelodones.wordcamp.org/2023/\">WordCamp Torrelodones</a>, Madrid, Spain, on March 11-12, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a>, Arizona, USA, on March 24-25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://kerala.wordcamp.org/2023/\">WordCamp Kerala</a>, India, on March 25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1f4.png\" alt=\"🇨🇴\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://bogota.wordcamp.org/2023/\">WordCamp Bogotá</a>, Colombia, on March 31-April 1, 2023 (Online)</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1ed.png\" alt=\"🇨🇭\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><a href=\"https://switzerland.wordcamp.org/2023/\">WordCamp Switzerland</a> on April 1, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Join WordPress Executive Director Josepha Haden Chomphosy as she explores <a href=\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\">three interesting trends from WordCamp Asia</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this Month in WordPress: <a href=\'https://profiles.wordpress.org/ninianepress/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ninianepress</a>, <a href=\'https://profiles.wordpress.org/jpantani/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jpantani</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>.</em></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14550\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Let’s Party: Organize your WP20 Celebration!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 20:21:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:4:\"WP20\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14546\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:367:\"Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!\n\nRegardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Cate DeRosia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2716:\"\n<p>Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!</p>\n\n\n\n<p>Regardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.</p>\n\n\n\n<p>Whatever your style, celebrate in your time zone, your way. WordPress has some resources to help you party.</p>\n\n\n\n<p>The <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/\">Meetup Organizer handbook</a> has a section dedicated to helping you plan your meetup’s <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/\">anniversary celebration</a>. You’ll find email and Meetup.com templates that make sending your announcements and creating your events simple, as well as tips for planning a fun, safe, and inclusive event, in-person or online.&nbsp;</p>\n\n\n\n<p>The <a href=\"https://wp20.wordpress.net/\">20th anniversary website</a> will list events as they are announced and scheduled by organizers, so check back regularly to see if there’s one in your area you’d like to join or help organize.</p>\n\n\n\n<p>Meetup organizers, once your meetup’s WP20 Celebration is scheduled, email <a href=\"mailto:support@wordcamp.org\">support@wordcamp.org</a> using the subject <strong>WP20 Celebration</strong> and include a link to your meetup event. Events will be reviewed to ensure they have all the necessary details before inclusion on wp20.wordpress.net. </p>\n\n\n\n<p>And don’t forget the new swag!</p>\n\n\n\n<p>Starting in April, meetup organizers can <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/request-swag-for-in-person-anniversary-celebrations/\">order complimentary kits of official anniversary swag</a>, including limited-edition stickers, buttons, and pencils that can be shipped to your meetup at no cost to you. Additional items, such as pennants, shirts, hoodies, keychains, and more, are also available for purchase at the <a href=\"https://mercantile.wordpress.org/\">official WordPress store</a> while supplies last, beginning in early March.&nbsp;</p>\n\n\n\n<p>So, whether you’re sporting new anniversary swag or your old favorites from your closet, join WordPress enthusiasts on Saturday, May 27, for a globe-spanning WordPress celebration. Use hashtag #WP20 to share your passion for WordPress.</p>\n\n\n\n<p>Don’t have an active meetup in your area? It’s not too late to <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/getting-started/interest-form/\">start one</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14546\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"People of WordPress: Hauwa Abashiya\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2023 21:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14450\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:120:\"People of WordPress feature on Hauwa Abashiya, a project manager in UK and Nigeria, and her enthusiasm for open source. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:20165:\"\n<p><strong>This month we feature Hauwa Abashiya, a project manager in Nigeria and the UK, whose passion for community support led her to an adventure in open source.</strong></p>\n\n\n\n<p><strong>The&nbsp;<em>People of WordPress</em>&nbsp;series features inspiring stories of how people’s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=1014%2C627&#038;ssl=1\" alt=\"Hauwa portrait picture \" class=\"wp-image-14437\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?w=1014&amp;ssl=1 1014w, https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=300%2C186&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=768%2C475&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>As we travel through life, sometimes we are drawn to a particular cause, one to which we can get behind and join in. This cause, in whatever field it may be, can help lift us beyond our everyday lives and can help us take stock. This is the journey that depicts Hauwa’s finding a global sense of place and a way to re-look at her life and plans.&nbsp;</p>\n\n\n\n<p>That change agent was discovering and becoming part of open source through WordPress.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Learning development and WordPress</h2>\n\n\n\n<p>In 2017, Hauwa was working full time as an experienced and successful project manager, but was becoming increasingly aware that she did not feel the same excitement for projects as she once had. She was starting to feel bored. “I knew I still loved working with and in project management, but I needed to do something different.” she said.</p>\n\n\n\n<p>Hauwa enrolled in a web development course and studied HTML, CSS and some JavaScript. One of the course options was WordPress, which she elected to take. It was then that a course tutor encouraged her to attend a WordCamp, an event focused on the open source software and its global community.</p>\n\n\n\n<p>She felt that she needed to have a basic knowledge of the software before she arrived at the event, so started to learn WordPress. The first WordCamp she attended was in the seaside town of Brighton on the south coast of England. There she met people who would be friends and mentors for years to come. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;I was inspired by meeting people in the WordPress community.&#8221;</p>\n<cite>Hauwa Abashiya</cite></blockquote>\n\n\n\n<p>She said: “I was inspired by meeting people in the WordPress community. My life and my wish to support communities have been shaped for the better by some of the people I met, and I continue to be grateful for knowing them.”</p>\n\n\n\n<h2 class=\"wp-block-heading\">Global WordPress community: from Germany to Nigeria</h2>\n\n\n\n<p>After discovering a WordPress community in the UK, Hauwa wanted to see first hand just what a global connection it had. She had heard that WordCamp Europe was a flagship event and brought thousands from across the world together. She wanted to be part of this, and its organization appealed to her project management training. She applied to be a volunteer at the three day conference, which in 2019 was held in Berlin, Germany. At this event, Hauwa discovered both a global movement and an active local WordPress community in her home country of Nigeria. She was able to connect with all the different parts of this vast community from wherever she was working through an instant messaging tool.&nbsp;</p>\n\n\n\n<p>Inspired by people she met who were using WordPress to help improve people’s lives in Nigeria and other parts of Africa, Hauwa started to delve further into how this open source software and its global community could provide opportunities and improve understanding across cultures and continents.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"700\" height=\"937\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?resize=700%2C937&#038;ssl=1\" alt=\"Hauwa and her mother\" class=\"wp-image-14438\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?w=700&amp;ssl=1 700w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?resize=224%2C300&amp;ssl=1 224w\" sizes=\"(max-width: 700px) 100vw, 700px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Rosalind and Hauwa</em> <em>at an event in Nigeria.</em></figcaption></figure>\n\n\n\n<p>Hauwa’s father, Dr Audu Kwasau Abashiya and her mother Rosalind Zulai Abashiya, were both well known for their philanthropy, especially in giving practical support to people in Kaduna, in the north of Nigeria and Abuja in the center of the country. Hauwa explained: “My mum comes from a family who give and share their skills to give practical help. From friends I had got to know in WordPress, I saw that there were parts of the community that had this same ethos. This could be something I could be part of, and also take back to Nigeria in the future.”</p>\n\n\n\n<p>Her parents had established a charitable foundation focused on helping widows, orphans and children get access to education skills, from finance to music. It connects those who need help and those who can give support. </p>\n\n\n\n<p>Hauwa said: “Teaching people practical skills which can be used to raise an income or be re-shared with family and others in their local area is so important. Projects like this can help grow a community and keep it strong. Skills such as sewing and cookery are not just ones that can put clothing and food on the table, but also are about gaining independence and pride. They are examples of how micro-economies can grow and inspire others to have dreams that they can see becoming real. <br><br>&#8220;I had seen through my work and studies that technology used with care and an understanding of different needs can make a difference in local communities too. Projects like WordPress can be part of this empowerment through localized translations and software which can give a way to share ideas.”</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"675\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?resize=675%2C900&#038;ssl=1\" alt=\"Hauwa in Nigeria\" class=\"wp-image-14442\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?w=675&amp;ssl=1 675w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?resize=225%2C300&amp;ssl=1 225w\" sizes=\"(max-width: 675px) 100vw, 675px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>With her project management and IT background, Hauwa is getting more involved with how IT skills can be used for not just instilling a sense of community belonging, but also the practical longer term input into the local infrastructure and introduction of fast changing technology.</p>\n\n\n\n<p>She said: “I would love to see many of the people who have been helped by the foundation my parents started be able to share their ideas and their achievements to encourage others. One of the routes could be through open source software that is free to access and can work on mobile phones.  </p>\n\n\n\n<p>&#8220;As a previous volunteer team rep in the WordPress Training Team, I saw first-hand just how important it is for a non-technical end user to be able to use software to share their ideas, without having to become a developer. We can all help give people a voice, and if we are working in technology, we have a role to play in creating and pushing for genuine access of tools.”</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;If we are working in technology, we have a role to play in creating access to tools.&#8221;</p>\n</blockquote>\n\n\n\n<p>On Hauwa’s future wish list is to help African countries access software and technology in their local languages. She said: “This is part of identity, and respecting and valuing different cultures, and not expecting everything to be translated from the English as it is read. It makes it possible for older people to use the software or read content that&#8217;s published.”</p>\n\n\n\n<p>Hauwa learned Hausa (a language spoken across several African countries) and English at the same time as she grew up in Nigeria. She had a multi-location education, like her parents, studying and going on to work in different countries. At 16, she first studied computer science on what she describes as a ‘whim,’ not knowing it would be a significant part of her working life in the future.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"700\" height=\"974\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?resize=700%2C974&#038;ssl=1\" alt=\"Hauwa in a cafe in 2015\" class=\"wp-image-14441\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?w=700&amp;ssl=1 700w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?resize=216%2C300&amp;ssl=1 216w\" sizes=\"(max-width: 700px) 100vw, 700px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>She intended to go to university to study finance and sociology. When she went to say goodbye to her computer studies class, the teacher asked what she was going to study. On hearing it was finance and sociology, the teacher said: “You don’t want to be doing that, you want to be doing something in computing.” This conversation proved to be a turning point for Hauwa. She went on to study Computing and Information Systems and Object Oriented Information Systems for her Master’s degree in the UK.</p>\n\n\n\n<p>During her second year of university, she also worked with data entry and related areas as she was determined to learn as much as she could about the moving parts of a project. After she completed her master’s, she chose jobs that enabled her to work on systems, out of hours support, project management, supply chain, and procurement. She is an advocate for learning as many aspects of your subject as you can to give you as many tools to really understand what both clients need and how to help them reach workable and timely solutions. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;By contributing to community projects you can share your skills and keep them fresh.&#8221;</p>\n</blockquote>\n\n\n\n<p>These skills proved to be transferable in later years to give her time to support WordCamps, meetups, and the Training Team. She said: “Contributors to open source come from so many different professional and cultural backgrounds. Contributing is a great way to share your skills and keep them fresh and open to new learning opportunities.”</p>\n\n\n\n<p>Hauwa fascination for project management and learning continued, and she gained qualifications in the field, including Prince 2 and PMP. She continues her commitment to ongoing learning in her work today with Agile and other methodologies and draws parallels with this and her interest in community learning. </p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"724\" height=\"399\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?resize=724%2C399&#038;ssl=1\" alt=\"Hauwa at the reception desk at WordCamp London 2019\" class=\"wp-image-14440\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?w=724&amp;ssl=1 724w, https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?resize=300%2C165&amp;ssl=1 300w\" sizes=\"(max-width: 724px) 100vw, 724px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Hauwa welcomes attendees at WordCamp London in 2019</em></figcaption></figure>\n\n\n\n<p>Committed to supporting her local community in the UK too, Hauwa joined the London WordPress Meetup and in 2019 became an organizer for <a href=\"https://london.wordcamp.org/2019/\">WordCamp London</a> where she was able to use some of her project management expertise. During these events, she had many conversations to encourage others to develop their IT skills and share her own experiences.</p>\n\n\n\n<p>This interest in driving up the skills levels of others naturally led her to become further involved in the Contributor Teams. Inspired to share her skills by another contributor to the project, she joined the <a href=\"https://make.wordpress.org/training/\">Training Team</a> at a WordCamp Contributor Day. In this team, Hauwa found in it a group collaborating on easier online ways for people to keep up with the software, its features, and how they could grow the community in their own local area. </p>\n\n\n\n<p>At the heart of this, Hauwa felt accessibility should be key, and she gave time to better understand documentation. She felt this was essential to give people genuine access and identify where more work was needed. Her belief in this grew when she joined the WordPress <a href=\"https://wordpress.org/about/accessibility/\">Accessibility Team</a> for release 5.6, and she continued to contribute to the team in the area of documentation and training.</p>\n\n\n\n<p>Hauwa devoted many hours to supporting the <a href=\"https://make.wordpress.org/training/\">Training Team</a> for a number of years as part of her conviction that the right resources can really help communities globally use open source software. She also stressed the importance of materials being user-friendly and easy to translate as WordPress has such a large international usage.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Volunteering in open source can re-energize you </h2>\n\n\n\n<p>Through the combination of volunteering efforts in UK and Nigeria, and supporting contributors globally, Hauwa began to re-find her love for helping people with their planning and to achieve their goals. She was able to share her 15 years of project management experience in her volunteering role and encouraged others to consider it as a career.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"500\" height=\"500\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=500%2C500&#038;ssl=1\" alt=\"Hauwa at WordCamp Europe 2019\" class=\"wp-image-14443\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?w=500&amp;ssl=1 500w, https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=300%2C300&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=150%2C150&amp;ssl=1 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>She said: “Through volunteering you work alongside people. Project management is about people. It is about helping people achieve. This can be the same through volunteering, and you can learn much through meeting people from different places.&nbsp;</p>\n\n\n\n<p>“One of my drivers is using technology to solve problems. As a project manager, it is a privilege to help guide people and organizations to identify and reach goals. It is helping them gain that value. This is one of the reasons I was drawn to finding out tech communities and contributing to them. If this is something that drives people reading about my experience, there are vast opportunities to to share your skills. Find something that fits you for where you are now.”&nbsp;</p>\n\n\n\n<p>Hauwa encourages anyone working in technology to further their understanding of managing projects and working with different teams. “Project management skills are so important in whatever kind of project you are in. With long working hours over many years, I felt I had lost the connection with the people element. I was stuck in what seemed to be a repeat cycle. With the people I met in the WordPress community and my professional skills being used, I was reminded of my own values and how as a project manager I can support help others reach new heights or make something of value and quality that others can benefit from and use.”&nbsp;&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;Find an area that fits you and where you can make a difference.&#8221;</p>\n</blockquote>\n\n\n\n<p>In 2022, Hauwa returned to working full time for both national and international, medium and&nbsp; large scale projects. Though her volunteering time to global community building initiatives has reduced accordingly, she focuses on encouraging skills learning and on the community cultural side.</p>\n\n\n\n<p>“I will keep my interest in how open source like WordPress, working alongside other solutions, can help not-for-profit ground level and community building. For me, if there are technology-based solutions out there, we can all play some part in helping them grow and making a difference,&#8221; she said. </p>\n\n\n\n<p>&#8220;How we give to wider communities does not have to be the same throughout time. It is important to keep relooking at what is needed and the difference it can make.&#8221;<br><br>She added: &#8220;Find your central wish for the communities you are connected with, and there may be technologies that can support them. I am glad I started my journey.&#8221;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Hauwa Abashiya (<a href=\'https://profiles.wordpress.org/azhiyadev/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>azhiyadev</a>)&nbsp;for sharing her adventures in open source.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>) for interviews and writing the feature, and to Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>), Mary Baum (<a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a>), Nalini Thakor (<a href=\'https://profiles.wordpress.org/nalininonstopnewsuk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nalininonstopnewsuk</a>) and Maja Loncar (<a href=\'https://profiles.wordpress.org/majaloncar/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>majaloncar</a>) for work on photographs and review.</p>\n\n\n\n<p>The&nbsp;<em>People of WordPress</em>&nbsp;series thanks Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14450\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WP Briefing: Episode 50: 3 Interesting Trends from WordCamp Asia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Feb 2023 14:58:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14434\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"Join Josepha as she discusses her top 3 takeaways from the first-ever WordCamp Asia in Bangkok! \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/02/WP-Briefing-050.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:14353:\"\n<p>On Episode fifty of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she explores the three big trends from the inaugural WordCamp Asia. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/create-block-theme/\" data-type=\"URL\" data-id=\"https://wordpress.org/plugins/create-block-theme/\">Create Block Theme Plugin</a><br><a href=\"https://wordpress.org/news/2021/10/episode-17-wordpressing-your-way-to-digital-literacy/\" data-type=\"URL\" data-id=\"https://wordpress.org/news/2021/10/episode-17-wordpressing-your-way-to-digital-literacy/\">WordPressing Your Way to Digital Literacy</a><br><a href=\"https://twitter.com/corymiller303/status/1628422554972028933\" data-type=\"URL\" data-id=\"https://twitter.com/corymiller303/status/1628422554972028933\">PostStatus Networking Opportunities</a><br><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">WordPress 6.2 Live Demo will be held 2 March, 2023 at 17:00h UTC</a><br><a href=\"https://make.wordpress.org/docs/?p=23742\" data-type=\"URL\" data-id=\"https://make.wordpress.org/docs/?p=23742\">Future Plans for the HelpHub </a><br><a href=\"https://www.eventbrite.com/e/how-to-own-your-expertise-start-speaking-at-wordpress-events-ameremea-tickets-549285827697\" data-type=\"URL\" data-id=\"https://www.eventbrite.com/e/how-to-own-your-expertise-start-speaking-at-wordpress-events-ameremea-tickets-549285827697\">How to Own Your Expertise &amp; Start Speaking at WordPress Events WP Diversity Training 1 March 2023</a><br></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14434\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy.</p>\n\n\n\n<p>Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:40]&nbsp;</strong></p>\n\n\n\n<p>The inaugural WordCamp Asia happened a couple of weeks ago in Bangkok. There were almost 1300 people in attendance, and I was lucky to be able to talk with a lot of them about their thoughts around the WordPress project and community. So today, let&#8217;s talk about three of the most interesting trends that I heard from people: the future of themes, the future of work, and the future of contributions.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:00]&nbsp;</strong></p>\n\n\n\n<p>So first up, the future of themes. This one was not a surprise to me. Not only has it been on my mind lately, but every WordCamp I&#8217;ve ever attended in Asia or Australia has had themes as a central element. There are a lot of theme creators making a living in WordPress in this part of the world. So it&#8217;s natural that they want to know what to prepare for.</p>\n\n\n\n<p>Now, it&#8217;s hard to predict the future, but there are a couple of things you can do to kind of get a leg up on it. Firstly, the theme review team, if you know how to make block themes but are still struggling to understand what might make them high value to your users, donating a little bit of time to review them can help.</p>\n\n\n\n<p>While I was at the contributor day, the team rep who happened to also be there to represent the table told me that reviewing block themes is way faster than reviewing classic themes. So if it&#8217;s been a bit since you stopped by, I would encourage you to give it a shot. It&#8217;s a lot easier than it used to be for a lot of reasons, and they can always use a little bit of help.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:00]&nbsp;</strong></p>\n\n\n\n<p>The second thing is this plugin called the Create Block Theme plugin. If you don&#8217;t know how to make block themes, you know how to make classic themes. You don&#8217;t know how to make block themes. This is a wordpress.org maintained plugin that will make theme creation simpler. It&#8217;s a relatively new plugin, though, so if you&#8217;re the type of contributor who likes to create good tools for good people, you can also feel free to grab a ticket or two from their repo and help get that moving.</p>\n\n\n\n<p>The second thing that came up was the future of work. This was also not a surprise to me. There have been a lot of reports of layoffs in the tech industry and worries about the possibility of a recession.&nbsp;</p>\n\n\n\n<p>Since WordPress is not only a tool that folks use in their jobs but also a tool that empowers people to create jobs for themselves, it&#8217;s entirely expected for questions about career prospects to come up during a WordCamp. Here are a couple of thoughts on that. So I mentioned this briefly during the Q&amp;A session on that Sunday, but I&#8217;m gonna repeat it here because I believe it with every fiber of my being.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:06]&nbsp;</strong></p>\n\n\n\n<p>You can learn every 21st century skill that you need while contributing to an open source project.</p>\n\n\n\n<p>I talked about it in episode 17 of this podcast. I&#8217;ve talked about it at WordCamps and major event series outside of WordPress for years. Like I really, really believe this, and it&#8217;s not just like a WordPress only thing. Although obviously, that is my primary perspective, that&#8217;s true for contributing to almost any open source project.</p>\n\n\n\n<p>On top of that, if you are contributing to WordPress and you&#8217;re doing that in the way that we encourage folks to do, you&#8217;ve got public examples of proactive, asynchronous collaboration across cultures and time zones. And I don&#8217;t know about y&#8217;all, but sometimes it&#8217;s hard to explain what my job is. And so having examples of how the whatever it is that you were doing, however, you were collaborating or contributing or working on a project together, having concrete examples to be able to share with someone can never hurt.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:04]&nbsp;</strong></p>\n\n\n\n<p>I&#8217;m gonna give us a necessary side note here. I know that volunteering time is a privilege, and if you find yourself between jobs, the last thing you want to do is give up any more of your time for no money.</p>\n\n\n\n<p>But if you have contributed to any team in the past, that benefit still exists for you. Your contributions are not taken away just because you&#8217;re no longer with your employer.</p>\n\n\n\n<p>The second thought on that is actually one that Matt mentioned during the Q&amp;A on Sunday. He said in his experience that open source shines in recessionary times.</p>\n\n\n\n<p>I&#8217;ll have to take his word for that one since I discovered WordPress in 2009 or so and so after the last recession that I would have experienced in the US. However, I have heard from a lot of people in the WordPress ecosystem and in tech in general who have shared their stories from the last time that we all experienced a recession.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:00]&nbsp;</strong></p>\n\n\n\n<p>And certainly, when they suddenly found that they did not have a company to call the place that they were working, a company that they were working for, they were able to, at the very least, freelance until they found the next thing.&nbsp;</p>\n\n\n\n<p>I know that that&#8217;s cold comfort if you&#8217;re in the middle of things right now, but it certainly is something that people always have looked back to as like one of those turning points for them in the 2007-2008 era here in the US.</p>\n\n\n\n<p>Now I know that is sometimes not what anybody wants to hear. And also like, who am I to be speaking about observed experiences from other people? I did want to let you know that the folks over at PostStatus have opened up some networking opportunities for anyone that&#8217;s been caught up in the current downsizing around the ecosystem.</p>\n\n\n\n<p>I&#8217;ll link to that in the show notes here on wordpress.org/news, but also, if you&#8217;re a part of the PostStatus network, they&#8217;ve got it posted over there on their sites and things as well. So easy to find and definitely worthwhile if that&#8217;s a situation that you find yourself in right now.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:02]&nbsp;</strong></p>\n\n\n\n<p>And the third thing that I heard from a lot of folks about is the future of contributions. So 635 people attended the contributor day that happened ahead of WordCamp Asia, And at WordCamp Europe in Porto last June, it was 800 people or something, which was the biggest one on record. And so this is really close to that.</p>\n\n\n\n<p>There&#8217;s a lot of people. And a lot of them were attending for the first time. Over the course of the day, I checked in with quite a few of the table leads and heard some pretty consistent feedback, both about what we&#8217;re doing to help onboard contributors now but also about how we can help to onboard contributors in the future.</p>\n\n\n\n<p>Firstly, we all generally agree that documentation, which is our current problem to solve toward easier contributor onboarding, we all generally agree that that&#8217;s going pretty well. We now have a ton of our preferences and processes documented in various team handbooks, but with a ton of documentation comes the potential for overwhelm.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:00]&nbsp;</strong></p>\n\n\n\n<p>So across the board table leads shared the need for sort of a quick start guide for each of their teams. Secondly, we also generally seem to agree that mentorship plays a big role in the success of many long-term contributors. I&#8217;ve talked about it before. I had some mentors as I was getting started, and I would never have made it past organizing meetup events if it hadn&#8217;t been for their help.</p>\n\n\n\n<p>And so a bonus item I heard about is actually Meetup events. Meetup groups are one of our most resilient ways to contribute to WordPress, and they also happen to be one of the hardest working. If you&#8217;ve never been to one of these events, you may not know that you can learn a skill that&#8217;s new to you or teach a skill that you&#8217;ve had for a long time.</p>\n\n\n\n<p>You can also network to find the jobs that you want or network to hire the people you need. It&#8217;s where people learn how to use the CMS or learn how to become an entrepreneur.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:00]&nbsp;</strong></p>\n\n\n\n<p>But it&#8217;s also where they discover our community and eventually learn why we think that open source is an idea that will change our generation.</p>\n\n\n\n<p>So if you took nothing else away from this, I guess the takeaway is that you too can organize a Meetup event that will strengthen your local community and the world!</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:27]&nbsp;</strong></p>\n\n\n\n<p>Which brings us now to our small list of big things. So first up, we have a live product demo for WordPress 6.2 on March 2nd, that&#8217;s going to be at 17:00 UTC.</p>\n\n\n\n<p>There is a post that has gone up about it, which I&#8217;ll include in the show notes. This is an opportunity for folks to watch a live walkthrough of the current release with a collection of people from the release squad as well as avid contributors and testers. It&#8217;ll give you an idea of upcoming changes, but also we&#8217;ll probably expose a bug or two along the way.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:09:00]&nbsp;</strong></p>\n\n\n\n<p>Come with your questions, and we will see you there.&nbsp;</p>\n\n\n\n<p>Item number two is documentation. So apparently, that&#8217;s just half of what I wanna talk about today. Documentation, so wordpress.org, has docs that are specifically written for users and pulls in not only the documentation that we have but also information from the codex, the documentation space of yesteryear.</p>\n\n\n\n<p>There&#8217;s a bit more to do here, and I realize this project has been going on since 2015. It&#8217;s because there&#8217;s a lot of stuff we have to do. There&#8217;s a lot of documentation, and we have to kind of get it in order. But that is the area that we&#8217;re in now. We have launched the new documentation page, the new look and feel is out there.</p>\n\n\n\n<p>And so the next question is making sure that we have it organized in a way that&#8217;s easy to find and easy to learn from as you go. There is a whole working group that meets about it, and I will share a link to that in case you find that to be of interest to you as well.&nbsp;</p>\n\n\n\n<p>And last but not least, there is another speaker workshop coming up on March 1st.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:10:00]&nbsp;</strong></p>\n\n\n\n<p>If you have not heard of these yet, it&#8217;s a workshop that helps speakers learn the process of presentation brainstorming and creation. It is a great workshop. It was created over the course of many years within the WordPress project by Jill Binder and crew. It is a wonderful opportunity.&nbsp;</p>\n\n\n\n<p>It&#8217;s not a WordPress link that we&#8217;re on, but there is an event link that I will make sure that we all have access to here, in case that is something that you have always wanted to try, learning how to speak at WordPress events.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14434\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WP Briefing: Episode 49: Everything You Need to Know About the Community Summit!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://wordpress.org/news/2023/02/episode-49-everything-you-need-to-know-about-the-community-summit/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 13 Feb 2023 17:01:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14404\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"Tune in to learn everything you need to know about the 2023 Community Summit!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/02/WP-Briefing-049.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15600:\"\n<p>Episode forty-nine of the WordPress Briefing explores the What, Why, and Who behind the upcoming Community Summit in National Harbor, DC, USA, August 22-23, 2023. Join Executive Director Josepha Haden Chomphosy to learn the importance of the gathering to the WordPress project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<p><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/updates/2019/06/17/observations-on-wordpress-contributor-team-structure/\" target=\"_blank\">Observations on WordPress Contributor Team Structure</a></p>\n\n\n\n<p><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\" target=\"_blank\">Apply to attend the 2023 Community Summit</a></p>\n\n\n\n<p><a target=\"_blank\" href=\"https://communitysummit.wordcamp.org/2023/topic-submissions-for-2023-community-summit/\" rel=\"noreferrer noopener\">Topic Submissions for the 2023 Community Summit</a></p>\n\n\n\n<p><a target=\"_blank\" href=\"https://en.wikipedia.org/wiki/Tuckman%27s_stages_of_group_development\" rel=\"noreferrer noopener\">Tuckman&#8217;s Theory: Stages of Group Development</a></p>\n\n\n\n<p><a target=\"_blank\" href=\"https://en.wikipedia.org/wiki/Chatham_House_Rule\" rel=\"noreferrer noopener\">Chatham House Rules</a></p>\n\n\n\n<p><a target=\"_blank\" href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\" rel=\"noreferrer noopener\">Proposal for a project-wide mentorship program</a></p>\n\n\n\n<p><a target=\"_blank\" href=\"http://www.openverse.org\" rel=\"noreferrer noopener\">Openverse.org</a></p>\n\n\n\n<p><a rel=\"noreferrer noopener\" href=\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\" target=\"_blank\">6.2 Beta 1 is open for testing</a><br><br></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14404\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:40]&nbsp;&nbsp;</strong></p>\n\n\n\n<p>A couple of episodes ago, I mentioned the Community Summit in the small list of big things. That&#8217;s coming up on August 22nd and 23rd, right before WordCamp US. And for some of you, that made complete sense, and the only thought in your mind was, wow, our last one was in 2017, how could so many years have passed since then? And since so many years have passed, today we&#8217;re gonna talk a bit about the Community Summit, what it is, where it came from, and why it&#8217;s so important for the WordPress project.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:09]&nbsp;</strong></p>\n\n\n\n<p>First things first, let&#8217;s talk about what exactly the Community Summit is. The Community Summit is a small event where folks from around the WordPress project and community come together to work through some of the most difficult topics the project currently faces, many of which are easier or at least less fraught when we can be face-to-face.</p>\n\n\n\n<p>The Community Summit is usually done in an “<a href=\"https://en.wikipedia.org/wiki/Unconference\">unconference</a>” style, and when we were smaller, we left topic gathering and voting to the day of. That&#8217;s evolved a bit as our group of fearless contributors has grown over the years, and this year, we have been asking for topics ahead of time so that we can make sure we have the right folks in the room and are making the best use of everyone&#8217;s limited time.&nbsp;</p>\n\n\n\n<p>It&#8217;s easy to take a look at this event and think it&#8217;s like some fun exclusive thing with a who&#8217;s who of WordPress.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:00]&nbsp;</strong></p>\n\n\n\n<p>But I assure you it&#8217;s a working event. Decisions are not finalized during the event, but since we try very hard to account for many, many viewpoints, it ends up being two days of hard discussions, contentious viewpoints, and problem definition at a level of complexity you don&#8217;t really see every day.</p>\n\n\n\n<p>Hearing how hard this event is, you may be wondering why we put in that effort. There are a lot of reasons, but there are three that come to my mind immediately. So for starters, working across cultures is hard. Apart from the cultural differences, we tend to be aware of things like where we&#8217;re located or our lived experiences, things like that– working remotely or distributedly is a whole different set of skills than working in person. This helps remind everyone that we&#8217;re humans, that there are humans behind those comments and behind those messages in Slack. The second thing is that I&#8217;m a big supporter of Tuckman&#8217;s theory of group development.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:00]&nbsp;</strong></p>\n\n\n\n<p>If you don&#8217;t know what that is, you can look for it, we&#8217;ll put a link in the show notes, but it&#8217;s that forming, storming, norming, performing kind of concept of how groups come together. Because there are so many of us and our community has such a large footprint, there are little storms a-brewin all the time.</p>\n\n\n\n<p>Some get really big, some stay small. But at some point, most of them have to be addressed. And this is a space that is specifically designed to help us do that. Which brings us to the third reason that we do it. This event uses something called the Chatham House Rule, which creates a kind of temporal psychological safety.</p>\n\n\n\n<p>Right. Psychological safety, if you&#8217;re a leader, you know that that&#8217;s something that is built over time and requires a lot of trust and a lot of conversations with people that you&#8217;re working with, and we can&#8217;t quite do that.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:00]&nbsp;</strong></p>\n\n\n\n<p>And so Chatham House Rule builds an environment that helps create that suddenly in the moment and requires, you know, some, some faith in one another.</p>\n\n\n\n<p>But basically, no one can be quoted about what they said in those conversations. No one&#8217;s examples can be attributed to them. But the conversations can be summarized and published, which we do on the Community Summit website. And then, we publish those for our collective knowledge over time. This lets folks who are attending advocate for themselves and others fully without worrying over whether they&#8217;re gonna be taken out of context later.</p>\n\n\n\n<p>And finally, one of the biggest questions we get ahead of any Community Summit is why it is by invitation only. The most commonly cited reasons for keeping this small and invite only have everything to do with logistics and leadership. You want it to be large enough to have good representation but small enough to have high-quality interactions. It&#8217;s just a really narrow Goldilocks moment, if you will.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:00]</strong></p>\n\n\n\n<p>But that reason doesn&#8217;t necessarily address the need for invitations rather than letting it be first come, first served. The reason for that is more of a philosophical one and requires you to go on a mini historical journey with me.</p>\n\n\n\n<p>This also has changed a bit over the years. The first ever Community Summit, way back in 2012, was before my time, but if I recall my history correctly, it was truly by invitation only. The summit after that included a closed nomination process. The next included a team nomination process, and then the last two, 2017 and 2023, have included open nominations.</p>\n\n\n\n<p>Now, even in the nomination era of Community Summit organizing, there is still a selection process. The organizers review the list of suggested attendees and check for the same types of things we expect major WordCamp organizers to look for in their speaker selection.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:00]</strong></p>\n\n\n\n<p>Things like which teams they contribute to, what communities they advocate for, and how long they&#8217;ve been a member of the community.</p>\n\n\n\n<p>And then they adjust for balance. In addition to those things, there are also four types of voices that we always want represented at our Community Summit. So first is leading voices, people who are already in the community and kind of are helping us to make decisions. I am considered one of those leading voices; I have put in my application to be included in the Community Summit. Really hope we select me.&nbsp;</p>\n\n\n\n<p>The second one is future leading voices. Specifically, those are people who are active in the community already and are showing a lot of promise, either because they really understand the values that the WordPress open source project is putting forward or understand the basic processes of communicating and guiding people in such a complex ecosystem as the WordPress project represents. Or because they have said quite plainly they are interested in helping us to make sure that the WordPress project is able to move and continue to create and continue to support democratizing publishing.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:00]</strong></p>\n\n\n\n<p>So it&#8217;s a little bit potentially folks who are self-selecting for that. People who already are showing that they are doing that either in WordPress or in their local communities. That&#8217;s one of the types of voices we want to include. A third one that we want to include all the time is voices we need, so voices that we need to hear. People that specifically we are building WordPress for, people that have indicated to us that the CMS is not necessarily perfect for some of the use cases that they run into regularly.</p>\n\n\n\n<p>So the people and users and community organizers that can and are able to advocate for the types of user interactions, the types of community interactions that we absolutely want to be able to see.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:00]&nbsp;</strong></p>\n\n\n\n<p>And so that&#8217;s a third group of voices that we want to make sure we have represented.</p>\n\n\n\n<p>And then the fourth and final group that we always want to have represented is a group that I call voices we miss. And so those are the people that we want to be able to hear more from in our project that we don&#8217;t necessarily either have a good group of representative voices for, so it&#8217;s hard to hear them, or that we know are probably users of the CMS or they are attending events, they are somehow involved in the WordPress project.</p>\n\n\n\n<p>But we don&#8217;t necessarily have any way to have accounted for them while we were building solutions way back in 2012 or 2006 when things were being built for us. And so those are the four groups of people, the four types of voices that I absolutely want to have represented at our Community Summit.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:09:00]</strong></p>\n\n\n\n<p>And I ask organizers to go through this incredibly complicated selection process because we want not simply a microcosm of the WordPress community as we see it today and hope to see it in the future but also an equitably voiced forum during that critical problem definition phase.&nbsp;</p>\n\n\n\n<p>So TLDL. For, listen?! T L D Real Listen. Although if you didn&#8217;t make it through that, you definitely are not getting to this point. So a TLDR for folks who skimmed the transcript and got here, I guess we keep this invitation structure because we want to account for voices we don&#8217;t hear every day in the WordPress project. Not because we don&#8217;t value them but because we already hear them.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:09:44]&nbsp;</strong></p>\n\n\n\n<p>And now that brings us to our small list of big things. This week it&#8217;s actually kind of a big list of big things, but you know, there it is.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:10:00]&nbsp;</strong></p>\n\n\n\n<p>First things first. The applications for the Community Summit are now open. Those are the applications to attend. It&#8217;s pretty short. I filled mine out this morning and it&#8217;s three questions about who you are and your username on wordpress.org, and then three questions about the topics you are most interested in and the experience that you have in those conversations so far.</p>\n\n\n\n<p>Yeah. It took me, like, I think, 90 seconds. Like, a full minute and a half. So head on over there. We have a link in the show notes, but also, you&#8217;ll be able to find it in newsletters across the entire WordPress media ecosystem. I am pretty sure about that.&nbsp;</p>\n\n\n\n<p>The second thing is that there is a proposal out for a project-wide mentorship program.</p>\n\n\n\n<p>This is a huge potential win for us. It is aiming to fix some of our broken ladders. If you&#8217;re not familiar with my Broken Ladder Theory of the WordPress project, I&#8217;ll try to remember to find a link to that post and put that in the show notes.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:00]&nbsp;</strong></p>\n\n\n\n<p>Number three is that Openverse moved. I shared this last week that happened last week. They didn&#8217;t move very far, though. They have a new URL, you can find them at openverse.org. It&#8217;s the same team. It&#8217;s the same product. It&#8217;s the same group of excellent openly-licensed images and media that you have come to expect. It just has its own standalone URL now. Huge kudos to the contributors who got that done.&nbsp;</p>\n\n\n\n<p>Another thing that happened last week is that WordPress 6.2 has moved into its beta phase, and so now is the time to get out there and test.</p>\n\n\n\n<p>There also was an excellent, excellent write-up about how to test any given release. And I think it also includes how to file a good bug. And so we&#8217;ll send all of those things into the show notes. They&#8217;ll be easy to find. Get out there and do your testing.&nbsp;</p>\n\n\n\n<p>And number five, longest, small list of big things in recent history.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:12:00]&nbsp;</strong></p>\n\n\n\n<p>I got some interest on [a] women, and non-binary led release for 2023, and so since there was some interest shown for that, it is hereby verbally confirmed. Keep an eye out on make.wordpress.org for more information about what that process is gonna look like and how to volunteer your time for that if that is something that calls to you.</p>\n\n\n\n<p>Woo. And that, my friends, is your small list of big things, your big list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14404\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 6.2 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Feb 2023 19:32:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14375\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:307:\"WordPress 6.2 Beta 1 is here and ready for download and testing.\n\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Beta 1 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:7838:\"\n<p>WordPress 6.2 Beta 1 is ready for download and testing!</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, you should test Beta 1 on a test server and site.</p>\n\n\n\n<p>You can test WordPress 6.2 Beta 1 in three ways:</p>\n\n\n\n<p><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.2-beta1.zip\">Beta 1 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.2-beta1</code></p>\n\n\n\n<p>The current target for the final release is <strong>March 28, 2023</strong>, which is seven weeks away. Your help testing this version is vital to ensuring everything in this release is the best it can be.</p>\n\n\n\n<p>Get an overview of the <a href=\"https://make.wordpress.org/core/6-2/\">6.2 release cycle</a>, and check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-2/\">6.2-related posts</a> in the coming weeks for further details.</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>How you can help: testing!</strong></h2>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. This <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">detailed guide</a> is a great place to start if you’ve never tested a beta release. </p>\n\n\n\n<p>If you build products for WordPress, you probably realize that the sooner you can test this release with your themes, plugins, and patterns, the easier it will be for you to offer a seamless experience to your users.</p>\n\n\n\n<p>Want to know more about testing releases in general? You can follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you think you may have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Interested in Gutenberg features? Find out what’s been included since WordPress 6.1 (the last major release of WordPress). You will find more details in the currently available <em>What’s new in Gutenberg</em> posts for  <a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-0-18-january-2/\">15.1</a>, <a href=\"https://make.wordpress.org/core/2023/01/20/whats-new-in-gutenberg-15-0-18-january/\">15.0</a>, <a href=\"https://make.wordpress.org/core/2023/01/04/whats-new-in-gutenberg-14-9-4-january/\">14.9</a>, <a href=\"https://make.wordpress.org/core/2022/12/22/whats-new-in-gutenberg-14-8-21-december/\">14.8</a>, <a href=\"https://make.wordpress.org/core/2022/12/09/whats-new-in-gutenberg-14-7-7-december/\">14.7</a>, <a href=\"https://make.wordpress.org/core/2022/11/23/whats-new-in-gutenberg-14-6-23-november/\">14.6</a>, <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">14.5</a>, <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">14.4</a>, <a href=\"https://make.wordpress.org/core/2022/10/13/whats-new-in-gutenberg-14-3-12-october/\">14.3</a>, and <a href=\"https://make.wordpress.org/core/2022/09/30/whats-new-in-gutenberg-14-2-28-september/\">14.2</a>. </p>\n\n\n\n<p>This release contains more than 292 enhancements and 354 bug fixes for the editor, including more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.2&amp;group=component&amp;max=500&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">195 tickets for the WordPress 6.2 core</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>A major release for a major project milestone</strong></h2>\n\n\n\n<p>WordPress 6.2 is one of the last planned major releases of Phase 2 on the <a href=\"https://wordpress.org/about/roadmap/\">Gutenberg project’s roadmap</a>. The platform has come a long way in the past few years. The 6.2 release both celebrates that progress and looks toward a future of publishing that puts ever more powerful tools in your hands.&nbsp;</p>\n\n\n\n<p>Next stop: collaboration tools and more, in <a href=\"https://wordpress.org/news/2023/01/letter-from-wordpress-executive-director-2022/\">Phase 3</a>!</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Notable highlights</strong></h2>\n\n\n\n<p><em>Want to know what’s new in WordPress version 6.2? Read on for a taste of what’s coming.</em></p>\n\n\n\n<ul>\n<li>Beta label is gone—signaling that the Site Editor is stable and ready for anyone to explore, create, and experiment!</li>\n\n\n\n<li>Distraction-free mode for a clear, focused writing experience.</li>\n\n\n\n<li>A new Site Editor interface shows you previews of your templates and Template Parts first, so you can choose exactly where you want to start editing.</li>\n\n\n\n<li>Scaled block settings with split controls organize your Styles and Settings options to easily find what you need—and clearly see everything a block can do.&nbsp;</li>\n\n\n\n<li>Color-coded labels help you find your Template Parts and Reusable Blocks fast, everywhere you look: in the List View, the Block toolbar, even on the Canvas.</li>\n\n\n\n<li>An improved Navigation experience makes menus simple to create and manage—right from the block settings sidebar.</li>\n\n\n\n<li>Patterns are easier to find and insert—with even more categories to choose from like headers and footers!&nbsp;</li>\n\n\n\n<li>A new Style Book offers one place to see all your Styles across every block, for a complete overview of your site’s design details.</li>\n\n\n\n<li>Custom CSS support for specific blocks, or your whole site, for another level of control over how you want things to look.&nbsp;</li>\n\n\n\n<li>Openverse integration lets you pull free, openly-licensed media directly into your content as you work—along with a quicker way to insert media from your existing library.</li>\n\n\n\n<li>Widgets become Template Parts when you switch from a Classic to a Block Theme—making the transition that much smoother.</li>\n</ul>\n\n\n\n<p><em>Please note that the features in this list may change before the final release.</em></p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>A haiku for 6.2</strong></h2>\n\n\n\n<p>Last of Phase 2 now<br>Let’s get the party started<br>WordPress turns 20</p>\n\n\n\n<p><em>Thank you to the following contributors for collaborating on this post: </em><a href=\"https://profiles.wordpress.org/marybaum/\"><em>@marybaum</em></a><em> </em><a href=\"https://profiles.wordpress.org/laurlittle/\"><em>@laurlittle</em></a><em> </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>@cbringmann</em></a><em>, </em><a href=\"https://profiles.wordpress.org/webcommsat/\"><em>@webcommsat</em></a><em>, </em><a href=\"https://profiles.wordpress.org/audrasjb/\"><em>@audrasjb</em></a><em>, </em><a href=\"https://profiles.wordpress.org/annezazu/\"><em>@annezazu</em></a>, <a href=\"https://profiles.wordpress.org/bph/\"><em>@bhp</em></a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14375\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"The Month in WordPress – January 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2023/02/the-month-in-wordpress-january-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Feb 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14352\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:334:\"Welcome to the first 2023 edition of The Month in WordPress! January kicked off with an overview of WordPress&#8217; big goals for 2023 and new projects beginning to take shape. Moreover, work on the next major release, WordPress 6.2, continues with Beta 1 scheduled for next week. Read on for the latest news. WordPress 6.2 [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10208:\"\n<p>Welcome to the first 2023 edition of The Month in WordPress! January kicked off with an overview of <a href=\"https://make.wordpress.org/project/2023/01/18/big-picture-goals-2023/\">WordPress&#8217; big goals for 2023</a> and new projects beginning to take shape. Moreover, work on the next major release, WordPress 6.2, continues with Beta 1 scheduled for next week. Read on for the latest news.</p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.2 Beta 1 is on its way</h2>\n\n\n\n<p>The first beta release of WordPress 6.2 is <a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">scheduled</a> for next Tuesday,<strong> February 7, 2023</strong>.</p>\n\n\n\n<p>As you may have heard, this version will wrap up work on Gutenberg Phase 2 (Customization), but what does this mean in the larger context of the WordPress project?</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2023/01/episode-48-what-does-concluding-a-gutenberg-phase-really-mean/\">Tune in to Episode 48 of WP Briefing</a> to hear Executive Director Josepha Haden Chomphosy discuss what it means to conclude a Gutenberg phase.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new in Gutenberg</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2023/01/20/whats-new-in-gutenberg-15-0-18-january/\"><strong>Gutenberg 15.0</strong></a> was released on January 18, 2023. Some highlights include a new “paste styles” feature to easily create multiple blocks with identical styling, and a “sticky” option to keep a block at the top of the page while the rest of the content scrolls.</p>\n\n\n\n<p>In addition, block settings have been split into two tabs in the sidebar: Styles and Settings. This makes blocks with more controls, such as the Group block, easier to customize, and allows the interface to scale with the growing number of design tools.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"></a><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\">The latest “Core Editor Improvement” post</a> highlights the newest style features enhancements. Learn how they can help give your site a unique and cohesive look and feel.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates: Matrix exploration, WordPress.org redesign news, and more</h2>\n\n\n\n<ul>\n<li>WordPress and Matrix contributors published <a href=\"https://make.wordpress.org/meta/2023/01/25/a-meta-subproject-for-evaluating-matrix/\">a proposal to explore the open source chat system Matrix</a> as a possible replacement for the WordPress community&#8217;s Slack.</li>\n\n\n\n<li>Several sections of WordPress.org have been redesigned lately, including <a href=\"https://make.wordpress.org/docs/2023/01/24/new-look-new-site-new-helphub/\">Documentation (HelpHub)</a>, <a href=\"https://wordpress.org/enterprise/\">Enterprise</a>, and <a href=\"https://mercantile.wordpress.org/\">Mercantile</a> (the official WordPress swag store). Learn more about the <a href=\"https://make.wordpress.org/meta/2023/01/26/wordpress-org-redesign-recent-launches/\">latest redesign updates</a>.</li>\n\n\n\n<li>The implementation of the block editor in the WordPress.org forums is <a href=\"https://make.wordpress.org/support/2023/02/block-editor-live-in-most-forums/\">progressing well</a> and the feedback so far has been very positive.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/01/25/wordpress-community-support-wordpress-foundation-entity-structure/\">This comprehensive post</a> clarifies how WordPress Community Support (also known as WordCamp Central) and WordPress Foundation entities are set up and addresses some misconceptions about them.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">bug scrub schedule for WordPress 6.2</a> is now published. The goal of bug scrubs is to ensure tickets move towards a resolution—anyone can join these sessions to learn, help, or even <a href=\"https://make.wordpress.org/core/handbook/tutorials/leading-bug-scrubs/\">lead one</a>.</li>\n\n\n\n<li>Openverse <a href=\"https://make.wordpress.org/openverse/2023/02/03/openverse-is-moving/\">will be moving</a> from wordpress.org/openverse to openverse.org next week. Along with this move, new improvements are coming to the site&#8217;s homepage, header, and footer.</li>\n\n\n\n<li>The Plugin Review Team is looking for <a href=\"https://make.wordpress.org/plugins/2023/01/13/looking-for-your-intentionally-wrong-plugins/\">your (intentionally) wrong plugins</a>.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2023/01/people-of-wordpress-daniel-kossmann/\">Daniel Kossmann</a>, a software engineer from South America.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>As part of the discussion on <a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">improving the contributor journey</a>, Josepha wrote some thoughts on <a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">the Eternal September phenomenon in open source</a> and invites you to share yours.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>The Community Team is gathering feedback on a <a href=\"https://make.wordpress.org/community/2023/01/19/proposal-adopt-github-for-team-projects/\">proposed move to GitHub</a> for standardizing the project’s management tools.</li>\n\n\n\n<li>To mark WordPress&#8217; 20th anniversary milestone, Core Team contributors are organizing <a href=\"https://make.wordpress.org/core/2023/01/24/proposal-old-tickets-trac-triage-sessions/\">several bug scrub sessions</a> to tackle long-standing Trac tickets.&nbsp;</li>\n\n\n\n<li>Version 21.6 of the WordPress mobile app for <a href=\"https://make.wordpress.org/mobile/2023/01/24/call-for-testing-wordpress-for-ios-21-6/\">iOS</a> is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>The Training Team calls all WordPress users to complete <a href=\"https://learn.wordpress.org/individual-learner-survey/\">this short Individual Learner Survey</a> by February 20, 2023. Your feedback will help identify the most high-impact resources for <a href=\"https://learn.wordpress.org/\">Learn WordPress</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events updates</h2>\n\n\n\n<ul>\n<li>Would you like to be a speaker at WordCamp Europe 2023? <a href=\"https://europe.wordcamp.org/2023/call-for-speakers/\">Submit your application</a> by February 5, 2023. The organizing team released the&nbsp;<a rel=\"noreferrer noopener\" href=\"https://europe.wordcamp.org/2023/wceu-tickets-available-now/\" target=\"_blank\">first batch of tickets</a> and is also calling for&nbsp;<a rel=\"noreferrer noopener\" href=\"https://europe.wordcamp.org/2023/call-for-volunteers/\" target=\"_blank\">volunteers</a>&nbsp;and&nbsp;<a rel=\"noreferrer noopener\" href=\"https://europe.wordcamp.org/2023/call-for-photographers-is-now-open/\" target=\"_blank\">photographers</a>.</li>\n\n\n\n<li>The first WordCamp to be held in Africa in 2023, <a href=\"https://entebbe.wordcamp.org/2023/\">WordCamp Entebbe</a>, is <a href=\"https://central.wordcamp.org/news/2023/01/wordcamp-entebbe-first-wordcamp-to-happen-in-africa-in-2023-is-on/\">well underway</a> and set to take place on March 10-11.</li>\n\n\n\n<li>Don’t miss these other upcoming WordCamps:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://birmingham.wordcamp.org/2023/\">WordCamp Birmingham, Alabama</a>, USA on February 4-5, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f5-1f1ed.png\" alt=\"🇵🇭\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://cebu.wordcamp.org/2023/\">WordCamp Cebu</a>, Philippines on February 11, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://chiclana.wordcamp.org/2023/\">WordCamp Chiclana</a>, Spain, on March 3-4, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://asia.wordcamp.org/2023/\">WordCamp Asia 2023</a> in Bangkok, Thailand, is only two weeks away! Check out the <a href=\"https://asia.wordcamp.org/2023/schedule/livestream/\">livestream schedule</a> if you are attending virtually.</p>\n</blockquote>\n\n\n\n<div style=\"height:5px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em>The following folks contributed to this edition of The Month in WordPress: <em><a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a></em></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14352\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"People of WordPress: Daniel Kossmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2023/01/people-of-wordpress-daniel-kossmann/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 31 Jan 2023 23:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14226\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:133:\"The latest People of WordPress story features Daniel Kossmann, from Brazil, on his journey from video games fan to community builder.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:18412:\"\n<p><strong>This month we feature Daniel Kossmann, a software engineer from South America who shares his enthusiasm for WordPress at every opportunity.</strong></p>\n\n\n\n<p><strong>The <em>People of WordPress</em> series features inspiring stories of how people&#8217;s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo.jpg?resize=1014%2C627&#038;ssl=1\" alt=\"\" class=\"wp-image-14222\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo.jpg?w=1014&amp;ssl=1 1014w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo.jpg?resize=300%2C186&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo.jpg?resize=768%2C475&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Daniel&#8217;s adventure into WordPress began in 2009 when he needed a way to publish and share articles on films. From that small spark, he now enjoys an interesting and varied career in Brazil and beyond, and an ever-expanding community network. </p>\n\n\n\n<p>Following WordPress and its new features fascinates Daniel and he is always looking for ways to share what it has to offer with others. His initial focus on WordPress for content publishing soon became a wider appreciation of the platform’s capacity for building communities and careers.&nbsp; </p>\n\n\n\n<p>Daniel has served as a community organizer for seven years in Curitiba, Brazil and co-organized four annual <a href=\"https://wptranslationday.org/\">WordPress Translation Day</a> events in the city. Community building initiatives, like these, bring in new volunteers and help spur on local user groups.<br><br>Now working as a software engineer manager, Daniel maintains his interest in supporting the WordPress community through a newsletter in Brazilian Portuguese.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Finding WordPress to publish content can be life-changing</h2>\n\n\n\n<p>Daniel&#8217;s web development skills were initially self-taught, and built on his interest in technology and from his earlier interest in video games. He developed systems in ASP and PHP, and created online resources to teach others how to create websites. </p>\n\n\n\n<p>When the time came to choose his academic path, he had no doubt that it would be something related to computers and picked Computer Science at the Federal University of Paraná.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>“In order to focus more on content rather than coding, I ended up getting to know WordPress. It was love at first sight!” </p>\n</blockquote>\n\n\n\n<p>In 2009, he launched a public blog about films that became a hub for cultural content related to cinema, literature, and comics. The blog had collaborators from several cities in the country. He found WordPress an easy tool for publishing articles. It allowed him to spend more time on writing content rather than having to use his software engineering skills to write code.</p>\n\n\n\n<p>However, once he discovered the range and versatility of the software, he wanted to build themes and features to customize websites.</p>\n\n\n\n<p>As he searched for learning materials, he came across a WordPress event happening in his own city. This event, <a href=\"https://curitiba.wordcamp.org/2010/\">WordCamp Curitiba 2010</a>, had a deep impact on Daniel.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>“Other tech events I attended charged more than double this WordCamp, but hadn’t offered half of the things it did.” </p>\n</blockquote>\n\n\n\n<p>Daniel was inspired not only by the talks but also the kindness shown by others at the event. His inherent shyness meant he had to step out of his comfort zone to socialize. However, the friendliness of attendees and the welcome he received made this less foreboding. He was hooked by the community he met, and he pledged to volunteer at the next WordCamp and even apply as a speaker.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo-2.jpg?resize=1024%2C683&#038;ssl=1\" alt=\"Daniel giving a talk at WordCamp São Paulo 2018 \n\" class=\"wp-image-14223\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo-2.jpg?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo-2.jpg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo-2.jpg?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-saopaulo-2.jpg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Daniel giving a talk at WordCamp São Paulo 2018 about Gutenberg</em></figcaption></figure>\n\n\n\n<p>Less than two years later, Daniel helped to organize <a href=\"https://curitiba.wordcamp.org/2012/\">WordCamp in Curitiba 2012</a>, and this was where he gave his first public talk. It was an important moment in his journey. He is determined to keep improving his public speaking skills each time he presents, and help others to do so too. </p>\n\n\n\n<h2 class=\"wp-block-heading\">From WordPress user to entrepreneur</h2>\n\n\n\n<p>Daniel had dreamed of starting his own company since childhood. Following his university graduation in 2011, he decided to fulfil that dream. He started a web development company, envisioning it as a creative project lab.</p>\n\n\n\n<p>Initially, he worked with a variety of systems and programming languages. Soon, he realized that maintaining multiple solutions took considerable time and effort. So he opted to use a single platform, WordPress. It offered ease of use for his clients and the possibility of offering various types of websites. </p>\n\n\n\n<p>“This decision allowed me to dive even deeper into the system, making better and faster-to-deliver solutions for my clients,” said Daniel.&nbsp;&nbsp;</p>\n\n\n\n<p>As the company grew, he expanded the services it offered to include support, maintenance, courses, consulting, and optimized hosting for WordPress. This gave Daniel access to a wider range of clients and greater specialization in the WordPress platform.</p>\n\n\n\n<p>Even as a small company, Daniel wanted to give back to the WordPress community. Through using this open source software, the business had not faced the costs of using commercial platforms. He felt he should invest back into the software and its community it as much as he could, from sponsorship of events to collaborating in the Contributor Teams.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-floripa.jpg?resize=1024%2C768&#038;ssl=1\" alt=\"\" class=\"wp-image-14221\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-floripa.jpg?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-floripa.jpg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-floripa.jpg?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2018-wc-floripa.jpg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>His community contributions include speaking at meetups and WordCamps to share what what he has learned in his day-to-day work. “It was always and still is a big pleasure to be able to make these contributions,” he affirmed.</p>\n\n\n\n<p>In 2019, he decided to close his company after eight years and start a new chapter in Development Coordination. His focus continues to be on WordPress, both professionally and in the community.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Supporting local: re-energising the Curitiba’s WordPress community</h2>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2016-meetup-curitiba.jpg?resize=680%2C510&#038;ssl=1\" alt=\"Daniel speaking at a meetup in Curitiba in 2016.\" class=\"wp-image-14241\" width=\"680\" height=\"510\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2016-meetup-curitiba.jpg?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2016-meetup-curitiba.jpg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2016-meetup-curitiba.jpg?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2016-meetup-curitiba.jpg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 680px) 100vw, 680px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Daniel speaking at a meetup in Curitiba in 2016</em></figcaption></figure>\n\n\n\n<p>After WordCamp in Curitiba in 2012, the community there took a break from organizing events. Three years later, Daniel was eager to help restart meetups in Curitiba. He connected with others in the Brazilian community to find a way forward to support both end users of WordPress and firms using the platform. Through instant messaging tool Slack, a rebooted meetup was organized in August 2015. All the planning was done virtually and they only met for the first time in person on the day of the event.</p>\n\n\n\n<p>Although they did not have much initial experience in event planning, the meetup organizers were determined attendees should have fun and enjoy a relaxed atmosphere. They wanted people to feel comfortable socializing and to chat before and after the talks. The tips that attendees shared at every meeting were one of the most successful elements of these user-focused meetups.</p>\n\n\n\n<p>For Daniel, getting up in front of people to introduce the meetup was still not easy. However, he knew continuing to practice and improve his self-confidence was the only way to overcome his shyness. This determination and sense of achievement inspires him to encourage others to present talks and share the tips he uses when presenting.</p>\n\n\n\n<p>The <a href=\"https://www.meetup.com/wpcuritiba/\">Curitiba meetup</a> continues to flourish. Though Daniel has moved to supporting the community in new ways, he has a lasting fondness for it. It has made him an advocate for local groups at the heart of the WordPress community. He believes the shared interest and enthusiasm for learning at meetups helps to increase attendees&#8217; interest in both the software and its community, and their willingness to participate .</p>\n\n\n\n<h2 class=\"wp-block-heading\">Sharing the benefit of WordPress across Brazil</h2>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2019-meetup-curitiba-4.jpg?resize=680%2C411&#038;ssl=1\" alt=\"Daniel presenting at a Curitiba meetup in 2019.\" class=\"wp-image-14242\" width=\"680\" height=\"411\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2019-meetup-curitiba-4.jpg?w=991&amp;ssl=1 991w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2019-meetup-curitiba-4.jpg?resize=300%2C182&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/01/daniel-kossmann-2019-meetup-curitiba-4.jpg?resize=768%2C465&amp;ssl=1 768w\" sizes=\"(max-width: 680px) 100vw, 680px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Daniel presenting at a Curitiba meetup in 2019</em></figcaption></figure>\n\n\n\n<p>In June 2019, Daniel created a newsletter to spread content about WordPress in Brazilian Portuguese and inspire others to create content in the language. Translating, Daniel believes is a powerful way to make WordPress more accessible to people who do not speak English, which is the case for a lot of people in Brazil. In 2021, Daniel started writing regularly about WordPress on his blog too. He continues to publish weekly news, tutorials, tips, and share events. </p>\n\n\n\n<h2 class=\"wp-block-heading\">Advice to future WordPress contributors</h2>\n\n\n\n<p>Daniel believes that the WordPress community is a key strength of the platform. It attracts people with a range of technical skills and backgrounds, and strives to have a diverse and open space for exchange. </p>\n\n\n\n<p>There are so many ways to contribute to WordPress without working with the code. He said: “I&#8217;m a big evangelizer of learning in public. A great way to collaborate is to create your blog in WordPress itself and share your journey of using it, and to write about tips and useful resources. This will eventually lead you to the official WordPress documentation and, the more you use it, the more opportunities for improvements you will see. Then you can start contributing to improving it. Besides this, you can pick a plugin or theme that you use and help with its translation.&#8221;<br><br>He added: “My biggest advice for those who are starting to contribute to WordPress is to start with a small step, maybe solving an easy bug or fixing a typo, and create a routine to consistently work on it, like an hour every weekend.&#8221;</p>\n\n\n\n<p>Daniel has made several lasting friendships, received professional referrals through his participation in community events, and enjoys a career that continues to have variety and new things to learn. </p>\n\n\n\n<p>His final message is to join WordPress <a href=\"https://www.meetup.com/topics/wordpress/\">meetups locally</a> or online in other cities, and be inspired like he has been for 14 years and still counting. </p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Hauwa Abashiya (@azhiyadev) for sharing her adventures in open source.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>) for interviews and writing the feature, and to Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>), Mary Baum (@marybaum), Nalini Thakor (@nalininonstopnewsuk) and Maja Loncar (@mloncar) for work on photographs and review.</p>\n\n\n\n<p>The&nbsp;<em>People of WordPress</em>&nbsp;series thanks Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thank you to <a href=\'https://profiles.wordpress.org/kossmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>kossmann</a> for sharing his adventures in WordPress.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>), Larissa Murillo (<a href=\'https://profiles.wordpress.org/lmurillom/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lmurillom</a>), Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>) for research, interviews, and writing this feature article.</p>\n\n\n\n<p>The <em>People of WordPress</em> series thanks Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14226\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WP Briefing: Episode 48: What Does Concluding a Gutenberg Phase Really Mean?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wordpress.org/news/2023/01/episode-48-what-does-concluding-a-gutenberg-phase-really-mean/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 30 Jan 2023 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14213\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"Gutenberg\'s second phase is ending. Join Josepha as she reflects on what concluding a phase means in the project. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/01/WP-Briefing-048.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9472:\"\n<p>On episode forty-eight of the WordPress Briefing podcast, Executive Director Josepha Haden Chomphosy reflects on the closing of Gutenberg phase two, and what that means in the larger context of the project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<p><a href=\"https://www.google.com/url?q=https://github.com/WordPress/gutenberg/issues/39293&amp;sa=D&amp;source=docs&amp;ust=1674835876639227&amp;usg=AOvVaw3p5tCc9THqs-s4oFT7aXL8\" data-type=\"URL\" data-id=\"https://www.google.com/url?q=https://github.com/WordPress/gutenberg/issues/39293&amp;sa=D&amp;source=docs&amp;ust=1674835876639227&amp;usg=AOvVaw3p5tCc9THqs-s4oFT7aXL8\">Removing Block Editor Beta Label GitHub Issue</a><br><a href=\"https://www.google.com/url?q=https://make.wordpress.org/core/handbook/testing/reporting-bugs/&amp;sa=D&amp;source=docs&amp;ust=1674835876639741&amp;usg=AOvVaw26y93yfwo7kmKoajxvyYQC\" data-type=\"URL\" data-id=\"https://www.google.com/url?q=https://make.wordpress.org/core/handbook/testing/reporting-bugs/&amp;sa=D&amp;source=docs&amp;ust=1674835876639741&amp;usg=AOvVaw26y93yfwo7kmKoajxvyYQC\">Reporting Bugs</a><br><a href=\"https://www.make.wordpress.org/design\" data-type=\"URL\" data-id=\"www.make.wordpress.org/design\">make.wordpress.org/design</a><br><a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">Contribution Conversations: Improving the Contributor Journey</a><br><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Contribution Conversations: Ending the Eternal September</a><br><a href=\"https://make.wordpress.org/community/2023/01/20/proposal-dedicated-communication-place-for-wordcamp-mentors/\">Contribution Conversations: WordCamp Mentorship</a><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\"><br></a><a href=\"https://www.google.com/url?q=https://asia.wordcamp.org/2023/schedule/livestream/&amp;sa=D&amp;source=docs&amp;ust=1674835876640083&amp;usg=AOvVaw1ew_7Sux2HngWq8FSO__kW\" data-type=\"URL\" data-id=\"https://www.google.com/url?q=https://asia.wordcamp.org/2023/schedule/livestream/&amp;sa=D&amp;source=docs&amp;ust=1674835876640083&amp;usg=AOvVaw1ew_7Sux2HngWq8FSO__kW\">WordCamp Asia Livestream Info</a><br></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14213\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Jospeha Haden Chomphosy. Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:40]&nbsp;</strong></p>\n\n\n\n<p>We&#8217;ve barely gotten moving here in 2023, but even so, WordPress is already working toward its next major release– coming to us at the end of March. You&#8217;ve probably heard by now that with this release comes the “end of Phase 2.” But for a lot of folks, that&#8217;s raising some questions about what to expect.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:00]&nbsp;&nbsp;</strong></p>\n\n\n\n<p>So I&#8217;m gonna spend a little time today sharing what I currently know. Let&#8217;s start with what that phrase does mean. Firstly, all of the projects, with the exception of two, I believe, in the Phase 2 scoping ticket, will be shipped in the Gutenberg plugin before WordPress 6.2 release comes out. Barring any major breaking issues, those will then land in that major release in WordPress 6.2.</p>\n\n\n\n<p>So, like, 99% of the features we considered in scope for Phase 2 will be in core by April. It also means the block editor may finally shed its beta label. We&#8217;ve been discussing that possibility with the input of the community over the course of the last few major releases, and we&#8217;ll do the same as we get ready for the 6.2 release as well. That discussion is tracked over in GitHub, and I can share a link to that in the show notes. For anyone who is a little super nerd, like me, the ticket number is 39293.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:00]&nbsp;</strong></p>\n\n\n\n<p>So not only if you&#8217;re going to memorize it and be one of those cool WordPressers who can call tickets to mind based on the numbers. This is a good one because not only is it an important topic, to be able to recall, but also it&#8217;s a palindrome, so you get to be fancy and know that forever.&nbsp;</p>\n\n\n\n<p>But anyway, I&#8217;ll put a link to it in the show notes for all the rest of us. Fingers crossed that we get to remove that label this time around, but also, the acceptance criteria on it are pretty clear. So it&#8217;s really a matter of yes or no on all of the columns all the way down.</p>\n\n\n\n<p>So what does that phase <em>not</em> mean? Firstly, it does not mean that we will stop accepting user feedback or bug reports on any features up to this point. It is always encouraged to file a ticket on track or GitHub detailing any bugs that you&#8217;ve encountered. If you&#8217;ve never reported a bug before, don&#8217;t worry. We have all been there. I&#8217;ll gather a link or two with some information for first-timers.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:00]&nbsp;</strong></p>\n\n\n\n<p>If you ever run into me at a WordCamp, feel free to ask me about my first bug-reporting experience. And after you&#8217;ve heard that, you will immediately go and file that bug that has been sitting screenshotted on your desk for six months because it honestly cannot get any worse than my first one.</p>\n\n\n\n<p>Secondly, it definitely does not mean that we will stop shipping refinements to the user experience. As much as I&#8217;d like to say this isn&#8217;t true, I think all open source contributors know that no matter how much you test a solution, you can&#8217;t actually account for all possible use cases when you work on a project this size.</p>\n\n\n\n<p>So as we find things that we didn&#8217;t realize were a little rough to use, we will, of course, make the effort to smooth those workflows as quickly as possible. So that&#8217;s my little reassuring tl;dr for what that phrase means. If you are listening to this and haven&#8217;t spent much time in the block editor as it exists today, I encourage you to do so.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:00]&nbsp;</strong></p>\n\n\n\n<p>It has really changed substantially since it was first merged in 2018, and it represents thousands of hours of research and problem-solving and creation, and outreach. If you know someone who has contributed to the project or whose content helped you make sense of some inscrutable part of it, also maybe, drop them a line and let them know you appreciate their hard work.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:26]&nbsp;</strong></p>\n\n\n\n<p>That brings us now to our small list of big things. Firstly, we are thinking a lot right now about the paths to contribution. Both at the start of your contribution journey and as you grow into a long-term, seasoned contributor. There are a couple of different discussions related to that right now. So there are actually two project-wide discussions that are on make.wordpress.org/project.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:00]&nbsp;</strong></p>\n\n\n\n<p>And then there&#8217;s one that is specific to WordCamp membership, and that is on make.wordpress.org/community. You can head over to any of those and share your experiences, thoughts, and any wild ideas that you have.&nbsp;</p>\n\n\n\n<p>The second thing on my small list is that there are a lot of pages across wordpress.org that are getting shiny new designs.</p>\n\n\n\n<p>If you want to get involved in those discussions, or you just wanna catch early previews of what&#8217;s coming to the site, you can hop over to make.wordpress.org/design or join the design team meetings in Slack.&nbsp;</p>\n\n\n\n<p>And the last thing is that WordCamp Asia is coming quickly, my friends. This event is near and dear to my heart. I hope to see a lot of you in person, but if you won&#8217;t be able to make it in person, we still have you covered. There will be a live stream, and the schedule for that is already on the site. It shows the times for each session in your local time zone so you can easily decide which presentations you absolutely must see right in the moment.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:00]&nbsp;</strong></p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"14213\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 09 Mar 2023 06:37:58 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Mon, 06 Mar 2023 17:11:38 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20230306185210\";}", "no");
INSERT INTO `wp_options` VALUES("3825", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1678387078", "no");
INSERT INTO `wp_options` VALUES("3826", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1678343878", "no");
INSERT INTO `wp_options` VALUES("3827", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1678387079", "no");
INSERT INTO `wp_options` VALUES("3828", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: Lemmony: A Free WordPress Block Theme with 30+ Patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142506\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/lemmony-a-free-wordpress-block-theme-with-30-patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3302:\"<p><a href=\"https://wordpress.org/themes/lemmony/\">Lemmony</a> is a new WordPress block theme designed by the team at <a href=\"https://shufflehound.com/\">Shufflehound</a>, a theme development company based in Europe with commercial  products on Themeforest. This is the team&#8217;s first block theme on WordPress.org and it is a strong debut.</p>\n\n\n\n<p>Lemmony is a beautifully-designed multipurpose theme that would work well for businesses, agencies, and portfolio websites. It features the Plus Jakarta Sans font face for both headings and paragraph text, a geometric sans serif style, designed by Gumpita Rahayu from Tokotype.</p>\n\n\n\n<img />\n\n\n\n<p>The homepage includes bold, full-width immersive images offset with calls-to-action and blocks featuring a variety of different ways to present information. Scrolling the page reveals tasteful (and optional) animation that brings the content to life. </p>\n\n\n\n<p>Lemmony packages more than 30 custom block patterns to help users design and build pages. These include multiple heroes with lists and calls-to-action, heroes with images and titles, partner logos, query with a sidebar, services grid, services with video, team members, and more &#8211; nearly every kind of pattern that a business website might require.</p>\n\n\n\n<img />\n\n\n\n<p>Lemmony also packages five full-page patterns for services, gallery, contact, about, and the front page, making it easy to simply drop the pattern in place for the most common pages found on a brochure website. </p>\n\n\n\n<p>This theme offers a solid user experience for those who are just getting started building their websites. After installing and activating Lemmony on a fresh site, it will look nearly exactly like the <a href=\"https://lemmony.shufflehound.com/\">live demo</a>. Everything on the front page is in place with placeholder content, including different menu items, just waiting for the user to add, remove, or edit the blocks. The user doesn&#8217;t have to start from scratch do any guesswork about where things go in the design. This is the kind of experience that all block themes should provide.</p>\n\n\n\n<p>Lemmony comes with a companion plugin that includes additional customer blocks and other features, such as the custom icons seen in the demo. It will prompt the user after installing the theme to install the plugin as well to get more features. If the user is editing a page and inserts a pattern that includes icons, the theme will allow users to install the plugin directly from the editor. It&#8217;s a very smooth experience for including features that require an additional plugin. The plugin is optional and most of the designs seen in the demo work without it installed. </p>\n\n\n\n<img />\n\n\n\n<p>In the future, Lemmony&#8217;s creators plan to include more website templates, which would make it easier and faster to set up different kinds of sites. Overall, the theme feels snappy, has an unusually large variety of patterns, and is responsive and looks great on mobile. The installation experience is user-friendly and provides a good starting point for jumping into full-site editing. Check out the <a href=\"https://lemmony.shufflehound.com/\">live demo</a> and <a href=\"https://wordpress.org/themes/lemmony/\">download Lemmony for free</a> from the WordPress Themes Directory.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 04:20:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"Post Status: WordPress 6.2 Beta 5 • Dev Notes • Learning Path for WP Devs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=148046\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://poststatus.com/wordpress-6-2-beta-5-dev-notes-learning-path-for-wp-devs/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:20418:\"<h2 id=\"h-this-week-at-wordpress-org-march-6-2023\">This Week at WordPress.org (March 6, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.2 Beta 5 is out now, and RC1 will ship on Thursday, March 9. We\'re just a few weeks away from the final release on March 28. Have you been able to start testing yet? Read the latest from the DevNotes in our WordPress 6.2 section. <br /><br />A proposed learning pathway for beginning WordPress developers has been proposed. Weigh in with your feedback.  </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fe_video kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 Beta 5 • Demo Replay • Beginning WP Dev Curriculum</h2><p class=\"kt-blocks-info-box-text\">β  <a href=\"https://make.wordpress.org/core/2023/03/07/wordpress-6-2-beta-5/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress 6.2 Beta 5</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4fa.png\" alt=\"📺\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f469-1f3fb-200d-1f3eb.png\" alt=\"👩🏻‍🏫\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/training/2023/03/08/introduction-to-wordpress-development-a-proposed-learning-path/\">Introduction to WordPress Development: A proposed learning path</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\">Your WordPress 6.2 Preview</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-3 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/07/upcoming-wpdiversity-events-march-2023-2/\">Upcoming #WPDiversity Events: March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Proposal: Modify the Events and News widget to show topic-based meetups worldwide</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/a-week-in-core-march-6-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">A Week in Core – March 6, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">WordPress 6.2 RC1 postponed, additional Beta 5 added</a></li>\n</ul>\n\n\n\n<h2 id=\"h-do-action\"><a href=\"https://doaction.org/\">do_action</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://doaction.org/event/ruralhackers/\">Rural Hackers Do_Action 2023 in Anceu Spain</a></li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/requests-library-upgraded-to-2-0-5-in-wordpress-6-2/\">Requests library upgraded to 2.0.5 in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/patterns-api-expanded-to-include-template_types-property/\">Patterns API expanded to include template_types property</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introduction-of-block-inspector-tabs/\">Introduction of Block Inspector Tabs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/shadows-in-global-styles-with-wordpress-6-2/\">Shadows in Global Styles with WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-the-html-api-in-wordpress-6-2/\">Introducing the HTML API in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/miscellaneous-editor-changes-in-wordpress-6-2/\">Miscellaneous Editor changes in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/introducing-move_dir-in-wordpress-6-2/\">Introducing move_dir() in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/sticky-position-block-support/\">Sticky position block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/upgrading-to-react-18-and-common-pitfalls-of-concurrent-mode/\">Upgrading to React 18 and common pitfalls of concurrent mode</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/add-new-prop-to-serversiderender-component/\">Add new prop to ServerSideRender component</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/google-fonts-are-included-locally-in-bundled-themes/\">Google Fonts are included locally in bundled themes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/custom-css-for-global-styles-and-per-block/\">Custom CSS for global styles and per block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/minimum-height-dimensions-block-support/\">Minimum height dimensions block support</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/03/i18n-improvements-in-6-2/\">I18N Improvements in 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/custom-settings-wordpress-6-2/\">Customize settings for any block in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/19/style-book-preview-of-blocks-in-global-styles/\">Style Book preview of blocks in global styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/12/09/update-to-content-only-editing-filter-namespace/\">Update to content only editing filter namespace</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/08/dev-chat-agenda-march-8-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">Dev Chat Agenda, March 8, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/06/editor-chat-agenda-8-march-2023/\">Editor Chat Agenda: 8 March 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/03/converting-your-shortcodes-to-blocks/\">Converting your shortcodes to blocks</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/03/06/agenda-for-docs-team-bi-weekly-meeting-march-7-2023/\">Agenda for Docs Team bi-weekly meeting March 7, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/06/documentation-team-update-march-6-2023/\">Documentation Team Update – March 6, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/03/07/hosting-team-meeting-agenda-2023-03-08/\">Hosting Team meeting agenda 2023-03-08</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/01/notes-global-marketing-team-meeting-21-february-2023/\">Notes: Global Marketing Team meeting, 21 February 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/01/notes-global-marketing-team-meeting-14-february-2023/\">Notes: Global Marketing Team meeting, 14 February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/03/08/agenda-biweekly-matrix-chat-thu-march-9-2023-10am-utc/\">Agenda: Biweekly Matrix Chat – Thu, March 9, 2023 (10AM UTC)</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/08/priorities-meeting-recap-2023-03-08/\">Priorities Meeting Recap 2023-03-08</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/07/community-meeting-recap-7-march-2023/\">Community Meeting Recap (7 March 2023)</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/07/performance-chat-summary-07-march-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">Performance Chat Summary: 7 March 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/08/agenda-weekly-polyglots-chat-march-8-2023-700-utc8/\">Agenda: Weekly Polyglots Chat – March. 8, 2023 (7:00 UTC)8</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/06/updates-to-language-support-in-openverse/\">Updates to language support in Openverse</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/04/wordpress-6-2-ready-to-be-translated/\">WordPress 6.2 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/03/01/plugin-review-team-27-feb-2023/\"><a href=\"https://make.wordpress.org/updates/2023/03/07/plugin-review-team-status-6-march-23/\">Plugin Review Team Status: 6 March 23</a></a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/03/support-ticket-triage-session-march-22th-2023-at-1600-utc/\">Support ticket triage session – March 22th 2023 at 16:00 UTC</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/agenda-for-march-9th-support-meeting-2/\">Agenda for March 9th Support Meeting</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/03/01/themes-team-meeting-notes-february-28-2023/\">Themes Team Meeting Notes –&nbsp;February 28, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/02/28/themes-team-update-february-28-2023/\">Themes team update February 28, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/02/21/hallway-hangout-lets-chat-about-using-replay-io-in-the-fse-outreach-program/\">Hallway Hangout: Let’s chat about using Replay.io in the FSE Outreach Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/06/test-team-update-6-march-2023/\">Test Team Update: 6 March 2023</a></li>\n\n\n\n<li></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/03/08/introduction-to-wordpress-development-a-proposed-learning-path/\">Introduction to WordPress&nbsp;Development: A proposed learning path</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/06/meeting-agenda-for-march-7th-2023/\">Meeting Agenda for March 7th, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/recap-wordpress-6-2-beta-4-release-party-ride-along/\">Recap: WordPress 6.2 Beta 4 Release Party Ride Along</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/recap-sensei-pro-lms-demo-for-learn-wordpress/\">Recap: Sensei Pro LMS Demo for Learn WordPress</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/become-a-welcome-committee-member-today/\">Become a Welcome Committee member today!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/02/training-team-goals-for-2023/\">Training Team Goals for 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-create-a-website-on-mobile-part-1-2\">How to create a website on mobile (Part 1)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=caching-demystified-a-guide-for-the-non-techie\">Caching Demystified: A Guide for the Non-Techie</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=watch-party-6-2-product-demo\">Watch Party: 6.2 Product Demo</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-preventing-csrf-security-vulnerabilities\">Let’s code: Preventing CSRF Security Vulnerabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-developing-wordpress-user-roles-and-capabilities\">WP dev livestream: Developing WordPress user roles and capabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-bring-me-your-block-development-issues\">Live stream: Bring me your block development issues!</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-reviewing-developer-focused-features-in-gutenberg-15-3\">Live stream: Reviewing developer-focused features in Gutenberg 15.3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-wrapping-up-the-openai-integrated-block-that-generates-images\">Live stream: Wrapping up the OpenAI integrated block that generates images</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=organizing-diverse-inclusive-wordpress-events-amer-emea\">Organizing Diverse & Inclusive WordPress Events AMER/EMEA</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/displaying-testimonials-on-your-website/\">Displaying testimonials on your website</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/interacting-with-the-wordpress-rest-api/\">Interacting with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.3 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-3\">PHP 8.1.16 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.4\">Composer 2.5.4</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status\' <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It\'s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Mar 2023 01:25:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WPTavern: Jetpack 11.9 Adds Sharing Button for Mastodon, Updates Stats Dashboard Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142514\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wptavern.com/jetpack-11-9-adds-sharing-button-for-mastodon-updates-stats-dashboard-design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2392:\"<p><a href=\"https://jetpack.com/blog/jetpack-11-9-improvements-for-social-sharing-buttons-and-form-block/\">Jetpack 11.9</a> was released this week with support for sharing posts to Mastodon. The new button allows readers to click an icon to launch a sharing window that will ask the user to enter the full URL of the Mastodon instance where they want to share the post.</p>\n\n\n\n<img />\n\n\n\n<p>Adding the URL will update the window to automatically insert the link for the post and share from your account. </p>\n\n\n\n<img />\n\n\n\n<p>Mastodon makes its <a href=\"https://api.joinmastodon.org/statistics\">usage numbers</a> publicly accessible. As of March 8, 2023, the total user count is at 6,487,821, with 1,293,309 considered active users. Many WordPress community members who have moved over to Mastodon report having more quality interactions and higher engagement than on other social media platforms. This new sharing button gives your posts more opportunities to reach that audience. It can be enabled at Jetpack > Settings > Sharing in the admin.</p>\n\n\n\n<p>The Jetpack team is also looking at <a href=\"https://github.com/Automattic/jetpack/issues/7790\">adding Mastodon support to Publicize</a> so users can have their posts automatically shared when they are published. Many people have requested this feature on GitHub and it may land in the plugin sometime in the future.</p>\n\n\n\n<p>Jetpack 11.9 also updates the design of the Stats dashboard. In place of the dusty blue bar graphs and sections with referrers and top pages and posts, the updated design is now more in line with Jetpack&#8217;s green branding. It features 7-day highlights at the top and the trends shown are in comparison to the previous seven days. The UI is more modern than the previous version and provides a more mobile-friendly experience. It is enabled by default but can be disabled in the Settings for those who prefer the traditional Stats design.</p>\n\n\n\n<img />\n\n\n\n<p>Also included in version 11.9 is a new &#8220;Sync Fields&#8221; style option in the Forms block that allows users to ensure fields maintain the same style as the blocks are edited.</p>\n\n\n\n<p>This release includes more than a dozen bug fixes and compatibility updates. Check out the <a href=\"https://wordpress.org/plugins/jetpack/#developers\">changelog</a> for all the details on the Development tab on the plugin&#8217;s WordPress.org page.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Mar 2023 21:27:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"WPTavern: #66 – Sé Reed and Courtney Robertson on How the WP Community Collective Is Helping WordPress Contributors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142472\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:131:\"https://wptavern.com/podcast/66-se-reed-and-courtney-robertson-on-how-the-wp-community-collective-is-helping-wordpress-contributors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:52750:\"Transcript<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley. Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, enabling people to contribute to WordPress.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice. Or go to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you all your idea featured on the show. Had to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Sé Reed and Courtney Robertson, and they&#8217;re here to talk about the WP Community Collective, or WPCC for short. In a nutshell, the WPCC is a nonprofit that is hoping to fund contributors to the WordPress project.</p>\n\n\n\n<p>It&#8217;s been said before, but I&#8217;ll say it again, people who can afford to contribute to the WordPress project are the people who can literally afford to contribute to WordPress.</p>\n\n\n\n<p>This sounds obvious, but think about it for a moment. Most of us know WordPress is built on top of a dedicated base of volunteers. People give up their time and expertise to contribute towards the project, and in this way, make it free to download and use. But we all have to earn money at some point. Most are not in a position to donate their time completely freely. They have to put food on the table.</p>\n\n\n\n<p>Often contributors are sponsored by the companies that they work for, either part-time or full-time. There&#8217;s nothing wrong with this model, but what about the capable, willing volunteers who are not in this position? The people who have the skills and motivation to contribute, but not the time or finances to make that a reality.</p>\n\n\n\n<p>The WPCC wants to act as a go-between for companies or organizations who are willing to spend money improving WordPress, and the individuals who can implement those improvements.</p>\n\n\n\n<p>This enterprise will be done via the WPCC fellowships. A fellowship in a specific area of WordPress is created, for example, an accessibility fellowship. People apply for that fellowship, and if successful, get the finances they need to take on the work.</p>\n\n\n\n<p>This means that individuals don&#8217;t need to be working for an organization, which funds them directly, and the organizations which wish to contribute don&#8217;t need to fund only their own team members.</p>\n\n\n\n<p>We talk about where the WPCC is at with their fellowships, and how it&#8217;s set up so that all participants are fully aware of where the money is being invested.</p>\n\n\n\n<p>If you&#8217;re from a company who would like to assist contributors to WordPress, or an individual wishing to get involved, this episode is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Sé Reed and Courtney Robertson.</p>\n\n\n\n<p>I am joined on the podcast today by two wonderful people. I have Sé Reed and Courtney Robertson. Hello, both of you.</p>\n\n\n\n<p>[00:04:21] Sé Reed: Hi. Thanks for having us.</p>\n\n\n\n<p>[00:04:22] Courtney Robertson: Hey, Nathan.</p>\n\n\n\n<p>[00:04:23] Nathan Wrigley: Hello. Hello, hello. Well, welcome. We&#8217;re going to get into the meat and the bones of this subject today. We&#8217;re going to be talking about the WP Community Collective. I confess at the outset of this episode that I am going to be schooled. Most of the questions that I&#8217;m going to ask are from a point of view of ignorance, so forgive me. You&#8217;re going to educate me hopefully on this subject and we&#8217;ll learn together.</p>\n\n\n\n<p>But first of all, just to orientate the listeners. I wonder if in turn, shall we start with Sé? Just a quick little potted history of who you are and how you&#8217;ve come to be in the WordPress space.</p>\n\n\n\n<p>[00:04:56] Sé Reed: I&#8217;ve been using and building WordPress websites since 2007, which is wild to me because that&#8217;s, I think that&#8217;s 15, 16 years. I&#8217;ve been doing a WordPress podcast called WP Water Cooler since 2012. That is 10 years. And I have been part of the community, speaking at WordCamps, organizing WordCamps for I think also since 2012.</p>\n\n\n\n<p>I fell in love with WordCamps at WordCamp Phoenix. I live in California, but I went to Phoenix and just absolutely fell in love as people do with the WordPress community mostly. I already loved the software. But yeah, I&#8217;ve been part of it ever since. I took a little break to have a kid and then Courtney here brought me right back into the fold. So blame her. It&#8217;s her fault.</p>\n\n\n\n<p>[00:05:47] Nathan Wrigley: That seems like a perfect segue. That&#8217;s lovely. Thank you. And, let&#8217;s then segue to Courtney. Tell us about yourself.</p>\n\n\n\n<p>[00:05:55] Courtney Robertson: Hey there. So I have been in the WordPress community since, well, I started using the software I believe in 2005. It would be around version 2.5. Started contributing by checking guests in at WordCamp Mid-Atlantic in 2009, and joined the training team, thus beginning my actual team contributions. In 2014 have had several stints of being the training team co rep. And at this time, you could still find me within the training team as a WordPress faculty member. And when I&#8217;m not doing all of those wonderful things, I am a developer advocate at GoDaddy Pro, and a lot of that work involves working with the open source and specifically WordPress communities.</p>\n\n\n\n<p>[00:06:42] Nathan Wrigley: Wow. Really deep and rich, both of you.</p>\n\n\n\n<p>[00:06:44] Sé Reed: I forgot to say what I do, now. It&#8217;s all about the past. I was like, oh yeah, the present</p>\n\n\n\n<p>[00:06:49] Nathan Wrigley: Well tell us.</p>\n\n\n\n<p>[00:06:50] Sé Reed: Courtney reminded me with her awesome contribution. I just took on a co-team rep role as well on the make marketing team, for 2023. So that&#8217;s exciting. In my day job I have my own company and I build websites for people and do digital strategy of all kinds.</p>\n\n\n\n<p>[00:07:09] Nathan Wrigley: I&#8217;m often in awe about how many different roles there are in the WordPress community. I remember when I first stumbled across the software, I just viewed it as exactly that. It was a piece of software. So this is going back probably to 20, I don&#8217;t know, 2014, 2015, something like that.</p>\n\n\n\n<p>And then it very quickly became apparent that there was an awful lot going on with the community. Much more than I&#8217;d anticipated. And fast forward to today, 2023. I mean it has more or less taken over my, my entire life. It is more or less everything that I do.</p>\n\n\n\n<p>[00:07:38] Sé Reed: We can relate to that.</p>\n\n\n\n<p>[00:07:40] Nathan Wrigley: Right. Yes. So we&#8217;re all in good company. We&#8217;ve given ourselves up to WordPress.</p>\n\n\n\n<p>[00:07:44] Sé Reed: To an ethos, I think, is really what it is. I think that&#8217;s part of what draws the community together. You didn&#8217;t ask, but I&#8217;m going to answer it anyway. I think that&#8217;s really what, that ethos and the being part of something bigger. Whether it&#8217;s open source or the community or just spreading the goodness of easy to use software. I really think that&#8217;s what makes it different.</p>\n\n\n\n<p>[00:08:05] Nathan Wrigley: Yeah. Somebody was saying to me the other day about their conversations that they&#8217;ve been having with people about ceasing to use WordPress as their CMS of choice. But the glue which has kept them in it is the community. It&#8217;s that piece which has actually kept them going with the software. So in a strange sense the community has trumped the software in that instance.</p>\n\n\n\n<p>[00:08:28] Sé Reed: That&#8217;s so true. I think that a lot of people stay in WordPress and WordPress has had such a, well, 20 years, this is its 20th anniversary year. So it&#8217;s had that success. I truly believe because of the community and because of the, really the stewardship that&#8217;s happened within the community. And again that ethos of drawing people together and, really just feeling like there&#8217;s a sense of, sort of a sense of ownership I think over, or at least stake in the community and stake in the software. It feels like we all have a part of it. I think that that&#8217;s, it&#8217;s something really special. It doesn&#8217;t exist even in other open source communities to the same degree.</p>\n\n\n\n<p>[00:09:10] Nathan Wrigley: Yeah, it is constantly remarkable to me that that is such an important piece, and it&#8217;s so ephemeral. I can&#8217;t quite get my hands on it. I don&#8217;t really understand what that thing is, but there is a thing there.</p>\n\n\n\n<p>[00:09:21] Sé Reed: Exactly.</p>\n\n\n\n<p>[00:09:22] Nathan Wrigley: And, it&#8217;s wonderful and it, it&#8217;s gathered us together today to have a chat. You&#8217;ve recently got involved with something that, I&#8217;m going to pronounce it once. I&#8217;m going to say it once at the beginning and then I&#8217;m going to truncate it. So from the start we&#8217;re going to be talking about the WP Community Collective, so the WordPress Community Collective. But I&#8217;m probably either going to call it the community collective or just collective, because it&#8217;s going to be a whole lot easier.</p>\n\n\n\n<p>[00:09:44] Sé Reed: Yeah. I didn&#8217;t think about WPCC being hard to say in a British accent, but.</p>\n\n\n\n<p>[00:09:48] Nathan Wrigley: No, it&#8217;s funny, isn&#8217;t it? But that acronym somehow completely gets stuck on the end of my tongue before it escapes my mouth. What is it? I don&#8217;t mind which of you want to take it on? What is it? How did it come about? Broadly, in broad brush strokes, and then we can get into the detail. What&#8217;s the point of this?</p>\n\n\n\n<p>[00:10:04] Sé Reed: What&#8217;s the point? That&#8217;s a great question, Nathan. I&#8217;ll take it, just to give the broad strokes. What the WP Community Collective is, is essentially it&#8217;s a non-profit project that allows, we are in the process of funding contributors to the WordPress project. So people who are working on the make teams and the open source WordPress software, that&#8217;s who we&#8217;re going to be, who we are supporting.</p>\n\n\n\n<p>And, it&#8217;s really a way to bring together the community to allow us to fund and support the contributors who are doing so much work to keep this software slash community slash lifestyle going, moving forward and growing and responding to the needs of the community and technology. So really it&#8217;s about supporting the contributors that make up the community.</p>\n\n\n\n<p>[00:11:06] Nathan Wrigley: So you mentioned two things there. You mentioned funding, and obviously that&#8217;s a key component of it, but you also mentioned more the community side of things. Being there as a supportive hand. Are they two distinct parts or is it all about the funding? Is that primarily what it&#8217;s about, or is it also about being a friendly face?</p>\n\n\n\n<p>[00:11:25] Sé Reed: We&#8217;re trying not to be, we are, and we&#8217;ll continue to try to not be US focused. That&#8217;s something that happens a lot. That kind of defaults to that when we&#8217;re here. But, in America, the way that we like to show our support is with money.</p>\n\n\n\n<p>That&#8217;s a thing. You know we tip people. That&#8217;s sort of how we demonstrate that we like a thing. So not trying to bring that ethos necessarily into the greater world, but primarily we mean funding. So primarily we mean sponsoring people to do contribution of various types.</p>\n\n\n\n<p>But we also have goals to basically be like a third space to have conversations about WordPress and the WordPress community and the ecosystem adjacent to the WordPress project. So, you know, all of the plug-ins and the themes and the assemblers and all of that world, the marketers. So, we want to provide a space to integrate all of that. But that&#8217;s more of just soft support. Really what it does come down to is funding support.</p>\n\n\n\n<p>[00:12:36] Nathan Wrigley: Okay. Given that you&#8217;ve set up this WP Community Collective, and usually when something like this is set up, there&#8217;s a problem to be solved. There&#8217;s something that is identified as could be better. Let&#8217;s all gather around and figure out how we can do it. So, essentially what is the problem around the community?</p>\n\n\n\n<p>What are the problems that people are facing? Is it one simply that people who would willingly contribute their time simply can&#8217;t afford to do it? We often hear this mentioned that, you know, those who can afford to contribute are the ones who can afford to contribute, because they live in a certain part of the world. They may be fully employed so they can dedicate something. Perhaps their company is kind enough to, give them a day, a week or half a day, whatever it may be. They&#8217;re seconded in some way so they can contribute to the project. But there&#8217;s a whole ton of people, hundreds of people who would love to be in that position. But the financial component is the barrier. It&#8217;s the wall that&#8217;s stopping them being able to contribute.</p>\n\n\n\n<p>[00:13:33] Sé Reed: Yeah, at the end of the day there&#8217;s really two sides of this. And, one side is how can people effectively and consistently and meaningfully participate in the project if they can&#8217;t consistently show up? You know, so much happens every day in the WordPress make channels on the P2s, on the blogs. There&#8217;s a lot going on, and there are a lot of people moving the project forward and even just paying attention and keeping tabs on all of the new stuff that&#8217;s happening is kind of a full-time job.</p>\n\n\n\n<p>So really, what ends up happening is that the folks who are in leadership roles tend to be sponsored contributors. And I say leadership roles, whether that&#8217;s a team rep role, which is, it&#8217;s leadership, but it&#8217;s not like authority leadership. But, just by showing up consistently and responding to things and being there every day, which you can do if you are paid to do so, that gives you, I don&#8217;t want to use the word clout, but it gives you, I&#8217;m not really sure what the word is. When we talk about it being a meritocracy, right?</p>\n\n\n\n<p>If you do things, then you have influence, and people want to do more, but only the people who are really supported financially to be able to do that. Or like you said, have the means in some other way, have the ability to consistently show up in that meritocracy. And so in a way, by default, we&#8217;re really the leadership and the ongoing constant push forward really does tend to be from the sponsored side of the contributor pool, let&#8217;s say. And everyone else tends to just be catching up or lending their opinion in different places.</p>\n\n\n\n<p>So, that&#8217;s one of the reasons, is we want to be able to have folks contribute and contribute consistently, and contribute in a meaningful way to parts of the project that are maybe not getting as much of attention or need more attention, like accessibility. And so we&#8217;re really trying to find a way to support those people, and bring the community together to support those people. And really, Courtney can talk a little bit about the problems that, it&#8217;s not just that individuals have problems finding support, it&#8217;s that the people who want to support have problems funding the individuals. So Courtney, do you want to talk to that, about that a little bit?</p>\n\n\n\n<p>[00:16:05] Courtney Robertson: So for context, I shared that I had started contributing in 2009, and for a number of years, in fact, up until a year and a half ago, I was not sponsored. I wouldn&#8217;t even say I was self sponsored financially. But I contributed. In fact, I was the person couch surfing at a WordCamp US on my college roommate&#8217;s couch, and driving quite a distance in, and could, at the time, barely scrape together the funds to take care of my parking.</p>\n\n\n\n<p>So I know what that experience has been like and to still want to contribute and to still feel that this is part of my work, my role. And I undoubtedly benefited from all of the hardships of my past. I&#8217;ve had some medical challenges, some other life things, you know, as people do. And without that experience, I certainly wouldn&#8217;t be involved in WPCC. I wouldn&#8217;t have gotten to the job that I have now at GoDaddy Pro. There&#8217;s just a lot of reasons for seeing from that perspective that I think has really benefited.</p>\n\n\n\n<p>So from the person that is seeking to be sponsored in some capacity, I&#8217;ll say what I did, very publicly. I was teaching at the time, I loved it, but I felt like my higher purpose was to do more of the work on Learn to be able to create this content that could be a multiplier effect to impact that many more students, that many more learners than the current job that I had had.</p>\n\n\n\n<p>And in order to do that, I started to let some folks know. And I went to my now manager and said, if GoDaddy ever has a role open up where I could be contributing to the training team as part of my work time, Adam Warner, please keep me in mind for that. And in fact, he did. Now, that doesn&#8217;t mean that everybody has the gumption to go out and start approaching folks and say, I would like to receive.</p>\n\n\n\n<p>I appreciate those that have spoken up and let folks like Sé and I know. We&#8217;re working on some processes to sort of collect that information. Who&#8217;s already contributing that would like to contribute at a higher capacity? We have some contributors that I know of in our WordPress community that said, I would like to be sponsored. For instance, Joe Dolson says, I would like to be sponsored at $500 US a month to contribute this certain amount to accessibility purposes. Other than that, I&#8217;m tied up with clients. And then increasingly grew that over time.</p>\n\n\n\n<p>But still that process, it doesn&#8217;t matter who you are or where you&#8217;re from. That process of saying, I want to do this takes a certain amount of navigating, what can be perceived as awkward because you&#8217;re expecting handouts, but at the same time you are a professional and you bring professional caliber qualities to the work that you do for this open source project that is used by 43% of the internet.</p>\n\n\n\n<p>So yes, there is a reason that contributors should be funded. We definitely know this and that pathway of letting folks know can be awkward and challenging. And then the pathway from those that have the funds to do the sponsoring, whether you are an individual or a company, both perspectives of this get a little tricky.</p>\n\n\n\n<p>So from an individual&#8217;s perspective, there are those if you look through the WPCCs sponsors so far, we&#8217;ve raised all of our funds essentially through individuals at this time. And that&#8217;s several thousand US dollars. So that&#8217;s just coming in from individuals who said, yes, this matters. Yes, we want to fund what&#8217;s going on in the work.</p>\n\n\n\n<p>And so it takes a lot of people, that are individual people, giving a little bit to reach that kind of a goal. And then from a company&#8217;s perspective, a lot of companies struggle too, how to fund the work of open source. And recently I&#8217;ve been researching in and getting into this more deeply, and it&#8217;s not just about the WordPress community, but just how does whether you are an individual, small business company, and I see some really great ones that are doing this.</p>\n\n\n\n<p>JB over in the Core team is part of about a two dozen staff member agency based out of France. And all of their staff are contributors. And I think it&#8217;s amazing that companies who done it. So, great work on them. But other organizations, whether you&#8217;re a small business, you may not quite know how, well, how do I manage, how do I, if I&#8217;m contributing, what do I get? Is it just I&#8217;m contributing in a charitable way and I don&#8217;t have much attachment to the work that the person does? How do I know that what I&#8217;m contributing to has any payoff for, not just the goodwill of my company, right? That&#8217;s a marketing approach, but also that the people receiving it are actually doing something productive with it.</p>\n\n\n\n<p>Should there be accountability in all of that? When you get into larger size organizations like my employer, we&#8217;re not structured in a way, we&#8217;re a publicly held company. We&#8217;re not structured in a way that has a whole staff of who&#8217;s overseeing the work of those that we are sponsoring.</p>\n\n\n\n<p>GoDaddy does have two full-time people that are essentially staff that we sponsor to work on WordPress. We ambitiously would like to keep growing that, but there are challenges. So when it comes to GoDaddy related to WPCC, I&#8217;m really excited that we&#8217;re in the conversations right now of getting that money flowing a bit more.</p>\n\n\n\n<p>I can&#8217;t make any promises from GoDaddy&#8217;s side of as to what all that would look like, but what I can absolutely say is that we know it&#8217;s a real need. We know that the WordPress community will greatly benefit from this. But as it would turn out, a large company like this can&#8217;t just go making purchases from any kind of business or giving money to any kind of organization.</p>\n\n\n\n<p>[00:21:27] Sé Reed: Shareholders don&#8217;t like it when you just randomly give money to people.</p>\n\n\n\n<p>[00:21:30] Courtney Robertson: No, they don&#8217;t.</p>\n\n\n\n<p>[00:21:32] Sé Reed: They don&#8217;t.</p>\n\n\n\n<p>[00:21:32] Courtney Robertson: Oh, there are so many stories that I could say. But, to that end, what I for sure am happy to say though is that we&#8217;re working together in a way that will do all of the red tape that a company would need, to get that approved and cleared so that those funds can start flowing. And, so I&#8217;m really excited about it from that side because you know what? GoDaddy can&#8217;t just stuff a bunch of bills in an envelope and mail it out to someone. They have to actually have a strategy when it comes down to why are we doing this? What&#8217;s the outcome? What&#8217;s the, the ROI, right, of these things?</p>\n\n\n\n<p>And investing in the software that powers 43% of the internet, that many of our customers are using. Well that sounds like we have a good reason to be investing in that. So it makes it quite interesting to navigate those challenges. From an internal perspective, I encourage folks at other corporations, if you&#8217;re facing those challenges, to reach out to me and I&#8217;d be happy to have some private conversations with you about what specific challenges you might be facing.</p>\n\n\n\n<p>[00:22:34] Sé Reed: And how the WPCC.</p>\n\n\n\n<p>[00:22:36] Courtney Robertson: Yes, can help with that.</p>\n\n\n\n<p>[00:22:38] Nathan Wrigley: Courtney, there was loads in there, and I just want to drill down a little bit on you personally, if you don&#8217;t mind, because I find that quite an interesting dialogue. You used the word gumption there, which I thought was quite interesting. And, it sounds like you&#8217;re very self-reliant. You are driven, and it sounds like you just kept banging on doors and fighting the good fight and keeping going, and eventually that paid off. But I&#8217;m guessing that there were times during the period where it wasn&#8217;t paying off, where you must have looked at yourself and thought, what the heck am I doing?</p>\n\n\n\n<p>And I guess that&#8217;s the person that is going to benefit from this, the person who knows that they want to contribute, but really has maybe been trying, struggling, doesn&#8217;t have a way through, doesn&#8217;t have a pathway through. And we don&#8217;t want those people to be disappointed and turned away.</p>\n\n\n\n<p>[00:23:22] Courtney Robertson: Correct. Yeah, so for a number of years, in fact I took a hiatus. I had little kids and I had a set amount of hours available in my day, and I worked for a WordPress plugin company that I loved that experience. But I worked during only their nap time schedule. So, I didn&#8217;t have time to contribute or even keep up with the quantity of information that was happening on WordPress. And that was all during the lead up to and release of Gutenberg. So, it was a hard time to be missing all of that information.</p>\n\n\n\n<p>But I will say that there are a wealth of contributors in our community that if they had that financial backing would have a better quality of life, be able to contribute that much more because they could let go of their other income sources as an offset.</p>\n\n\n\n<p>So I had started to let the previous employers, I worked for two other WordPress organizations previously, and I started to let them know that I would like to be involved more in WordPress, and the work happening there. And they didn&#8217;t have that capacity built into their business models, right. And so I felt that by approaching somebody like GoDaddy, I knew that they had a couple of contributors, and this was more of a, the role that I am in affords me some time. I am not full-time sponsored to WordPress. But it affords me quite a bit of time and it is vital to the job that I do to be a contributor, if that makes sense?</p>\n\n\n\n<p>[00:24:53] Nathan Wrigley: Yeah. That&#8217;s really, really interesting.</p>\n\n\n\n<p>[00:24:55] Sé Reed: I was going to say that that&#8217;s the, it&#8217;s exactly that dilemma that even Courtney, who is literally representing open source and doing massive WordPress contribution with her company. Even her job is not a hundred percent WordPress. And that&#8217;s part of it because there&#8217;s a need for contribution.</p>\n\n\n\n<p>I don&#8217;t know, we really have clarified that part, but like the contribution has, because of covid, because of the lack of WordCamps or whatnot, did definitely take a dive. And also there are so many other CMSs and worlds out there that it&#8217;s not just inevitable that WordPress is going to continue to have a healthy community and continue to grow and continue to be the CMS and the software that we all know and love.</p>\n\n\n\n<p>That&#8217;s not a given in the world of actual capitalism that we live in and whatnot. So if we want it to be around, if we want to support it, then we need to find ways to connect the resources that are there with the efforts that can be made on the ground. And making that connection between companies that have budgets, but don&#8217;t have the ability to hire people. That is really, I think the, well, it&#8217;s not just for companies, but that&#8217;s really the key element for the WPCC.</p>\n\n\n\n<p>Because we know there are lots of resources out there. There&#8217;s lots of agencies, there&#8217;s lots of businesses that have some funds, you know, they&#8217;re making revenue off of their various products or their services. But they can&#8217;t say maybe giving five hours a month or something isn&#8217;t even that productive for them. But if they were able to take their money and combine that with other folks who are also in the same situation, then they can help fund someone who is able to put that focus in.</p>\n\n\n\n<p>And also a big part of what we&#8217;re doing is making sure that those fellows are talking about what it is they&#8217;re doing. The challenges that they&#8217;re facing. So bringing the information also back out into the community, so it&#8217;s not just a you&#8217;re putting money in and you know, you never know what happens to that, right?</p>\n\n\n\n<p>Our fellows will be responding, or blogging actually, on the website telling us what they&#8217;re doing. Telling us what&#8217;s going on in the project and, so folks who are putting their funds into the WPCC are combining their money to make it more effective, but also doing it in a way that gives them a say in it. Not necessarily a say in it, but like a part of it. They get to participate in it.</p>\n\n\n\n<p>They are also part of the community collective. So it is all, all of us working together. So it&#8217;s really just about allocating resources and, available energy really. We&#8217;re just putting resources and energy together and combining them and helping to move the project forward.</p>\n\n\n\n<p>[00:27:56] Nathan Wrigley: Yeah, so essentially it feels to me, I mean I may be parsing this wrong, but it feels like you are acting as a conduit. You are the bridge between the people who have money, let&#8217;s say for want of a better word, finances. But they don&#8217;t necessarily know where those finances would best go. So they come to you, deposit it there in the collective, and then your job is to make decisions about who would be the best steward of that money.</p>\n\n\n\n<p>And then get them to do whatever it is that you&#8217;ve agreed to do and then report back to the sponsors in the form of blogging or what have you, so that they&#8217;ve got some way of, well, I guess the word is, sort of oversight really. They&#8217;ve got a little bit of oversight and they can see that their money hasn&#8217;t in fact just been squandered. And so it&#8217;s a really neat little idea.</p>\n\n\n\n<p>[00:28:45] Sé Reed: Thanks, we like it.</p>\n\n\n\n<p>[00:28:47] Nathan Wrigley: Yeah, yeah. The thing that interests me is, as soon as you get involved with money, and you alluded to this earlier, you know. The government, they don&#8217;t like to have people just willy nilly spraying money all over the place. And so if companies are giving you money, presumably they want to know that it&#8217;s being marshaled correctly, you know. It&#8217;s not being squandered. It&#8217;s being used effectively in ways that perhaps align with a brand that they&#8217;ve got, you know, it maybe that they want it to go in a particular direction. They might be more interested in accessibility than others. Others might be more into, I don&#8217;t know, we could invent a thousand different other categories. How does that all get figured out? In other words what are the kind of roles that you are giving people who are taking on the work that you are paying them for?</p>\n\n\n\n<p>[00:29:30] Sé Reed: That&#8217;s a great question. We are starting with accessibility, because it is so clearly a need, and it is also very, very underfunded in terms of sponsored contributors. We&#8217;ll be launching, I keep pushing the date on this, but we&#8217;re going to be launching our first, or announcing who our first fellow is shortly, for our accessibility fellowship. The goal is to fund that person for five hours a week for a minimum of six months.</p>\n\n\n\n<p>Normally we would fund the entire fellowship prior to launching it, or starting with the person. We would fund the fellowship first. But in this case, we wanted to start with a fellowship that we already knew was really important. And so we created the accessibility fellowship first.</p>\n\n\n\n<p>That&#8217;s really our initial goal is to get that funded. So we are working with some additional partners to develop partnership fellowships. And essentially those, it&#8217;s in a way, it&#8217;s like a scholarship, right? A fellowship is very much like a scholarship. We&#8217;ll have an application process for folks to apply to be fellows, and then different fellowships will have different focuses. So we are scoping out currently, like I said, accessibility fellowships, but also some Core fellowships. And not just Core in terms of development, but also Core in terms of communication.</p>\n\n\n\n<p>[00:30:51] Courtney Robertson: I&#8217;d like to elaborate a little bit on what Sé was saying there is that, as part of all of this, we have so many roles across different teams. Whether you are in Core because you&#8217;re a developer or because you can help wrangle the information that the Core team needs to function as a team, to share externally.</p>\n\n\n\n<p>Over in other teams we need some assets like project management. In other teams, we need areas like project management skills. Accessibility could relate to the accessibility of the software, but it could just as easily relate to the accessibility of the learn.wordpress.org content, and or site functionality. So you could see how there are different roles beyond what we normally envision for the different teams that relate to just keeping the whole project up and running. And we&#8217;re pretty aware of that.</p>\n\n\n\n<p>Likewise, being able to get to your nearest international camp and or a couple of very local regional camps might be important. Or ongoing professional development in your areas. So those are all skills and assets and resources that come to our mind because we have been both contributors into the WordPress project for quite a while.</p>\n\n\n\n<p>Additionally, if I were to ask folks how to get involved in the WPCC, there are a few ways to do so. Any person is welcome to come be a member. So we have memberships available, anyone can be a member. Ideally that would come with a few funds towards those that are contributors. But we welcome members to just come and join. And the show notes will link you over to our website, and from there you can follow it out to the opencollective.com/thewpcc.</p>\n\n\n\n<p>We also welcome sponsorships. Sponsorships, again would look like those that would like to sponsor a specific initiative. So if we have a very specific fellowship that you would like to help fund, you can choose to come along and be a part of that.</p>\n\n\n\n<p>And then we also have areas for partnerships. And that&#8217;s the area that, one of the areas that, my employer is starting to look at is partnerships. So perhaps they would like to kick off a specific fellowship, right? There might be general fellowships that the WPCC declares and says, the WPCC needs to, sees that we need to work on accessibility. So we&#8217;re going to launch one of those.</p>\n\n\n\n<p>But what if there were specific fellowships available based upon different companies in the industry, right? And so if you would like to set up a specific partnership to drive a specific initiative, that&#8217;s definitely an option available as well That could also look like partnering with other WordPress organizations to help fund initiatives that we&#8217;ve seen already.</p>\n\n\n\n<p>I loved for WordCamp US the amount of organizations that pulled resources together to increase diverse speakers at organizations. To increase diverse speakers to attend and speak at WordCamp US. So we can partner with lots of different organizations. We hope to be announcing some of those partnerships in the not too distant future to really benefit what the work of the WordPress community is and what that can look like.</p>\n\n\n\n<p>[00:33:56] Nathan Wrigley: So the next question I&#8217;ve got is, Courtney just then mentioned that happy to have people come along and if they bring finance with them, that&#8217;s very, very welcome. But let&#8217;s say that I come along and it&#8217;s my company, or it&#8217;s me and we just bring a modest amount of money. You know, I&#8217;m not a giant entity. I&#8217;ve got $500, a thousand dollars, whatever it may be. Do I have sort of any say in where that ends up? Or is it more a case of just trust us on this one? We&#8217;ll publish some documentation about where the money&#8217;s being spent? Where do we stand with that?</p>\n\n\n\n<p>[00:34:30] Sé Reed: Well, the organization that we are fiscally hosted through, is a, it&#8217;s a payment system essentially, with nonprofit sponsorship that allows us to take in funds and spend funds and the entire budget, every dollar that goes in or out of the WPCC is documented and on the website for everyone to see. So everyone can see exactly where all of the money is going in terms of accountability.</p>\n\n\n\n<p>But in terms of participatory, or just influence or whatnot. We&#8217;re actually in the process of working on our bylaws, but our rough outline for this is essentially that we have a membership and you can join for free, or you can join at a membership payment level annually, if you want to support that way.</p>\n\n\n\n<p>And we&#8217;re working out the exact guidelines for voting and that sort of a thing. We want to base it on, have you contributed in the last year, or we&#8217;re working on those types of criteria. But essentially the membership will be able to, first of all talk to us, which is not just talk to us, but talk to the board. But we&#8217;ll also be part of the decision making process. Not on a individual, specific, fellowship level, but on a what do we focus on level.</p>\n\n\n\n<p>And also for the larger projects that we want to take on, the community will be, or the membership will be involved in that as well. So, a company cannot be a member because we don&#8217;t believe in Citizens United in our organization, which is a Supreme Court ruling that said corporations are people here in the US. So it&#8217;s only individuals who are going to be able to participate as members.</p>\n\n\n\n<p>Like I said, that will be more of a let&#8217;s figure out what needs to be funded. Do we want to worry about old bugs in the system, or do we want to fund accessibility, or do we want to really have a push to the re-envisioning of the media manager, for example. The media library. So, the community, the membership will have a say in that type of way. It won&#8217;t be that the community, the membership is voting on every single action that is taken. Because that would become a bureaucratic nightmare.</p>\n\n\n\n<p>But in terms of direction and goals and partnerships and strategy, the membership can and will be an active part of that conversation. So our goal is to really be transparent and also be a, sort of a incubator for those conversations about funding. About project priorities that aren&#8217;t just the make project priorities. Because there are also important components that affect the rest of the ecosystem, like PHP 8, for example. And the push, the development push, that&#8217;s needed to get things ready for that. Like that&#8217;s something that&#8217;s definitely been important to the community, but has not necessarily gotten as much traction in Core as some people would like. So there&#8217;s all sorts of different issues like that that can be given attention and brought to the surface, and hopefully, we all just can move forward, move the project forward, more.</p>\n\n\n\n<p>[00:37:47] Nathan Wrigley: Can I ask in terms of the fellowships and who receives the fellowships? So how will that work? So let&#8217;s say, for example, I would like to contribute my time into some area, and I notice on the website at the time that I&#8217;m looking that I fit the bill. I would like to help in that way. Is it kind of like a job application process, where I fill out a form and some panel that I may be speaking to, or may do it without the need for my attendance.</p>\n\n\n\n<p>Do they decide who it&#8217;s going to be? Because obviously there&#8217;s concerns there about things like favoritism, or whether the correct person gets the job. But also concerns about weighting things so that people who perhaps, how to describe this, people who currently really would struggle to be able to contribute, maybe they get some leg up if you like. There&#8217;s a little bit more weight for certain individuals than others for the circumstances in which they find themselves. So just questions around that really.</p>\n\n\n\n<p>[00:38:44] Sé Reed: It&#8217;s going to be more like, rather than a job application, more like a scholarship. And that&#8217;s really what fellowships, that that kind of fellowship structure is really why we chose that. Because, it&#8217;s not a permanent position. It&#8217;s a temporary position, six months, a year, two years, depending on what we, you know, are tackling. Maybe even three months for short term contribution if that needs to happen.</p>\n\n\n\n<p>But, basically it&#8217;ll be, we will create the fellowships and identify the need, and then open applications for people to apply for the fellowship. And then we will evaluate those applications and select fellows. So essentially it&#8217;s very much like a scholarship or, I would like to think less like a job interview.</p>\n\n\n\n<p>[00:39:26] Nathan Wrigley: So given everything that Sé just said about the way that you are going to be giving out these fellowships, and the way that they&#8217;re going to be distributed. Given that there&#8217;s a lot of work on the sponsorship side, there&#8217;s a lot of work on the people who are getting these fellowships as well.</p>\n\n\n\n<p>There must be a lot of work being done by you and the people in the organization. So how is that funded? Is there a certain proportion of the finance that goes through the WPCC that is taken for administrative tasks and so on? Or is this an entirely nonprofit? I think in the US you call it a 501C3?</p>\n\n\n\n<p>[00:40:04] Courtney Robertson: Yeah, so there are a few ways of the funds coming in. It is an option, strong option to go through the nonprofit direction. There is a total of 15% overhead that we need to take care of. Some of that goes to the direct operating costs of the WPCC. And to be clear, that doesn&#8217;t fund Sé, Katie or I, who are the current board members, personally. That just goes to the operating expenses of the WPCC.</p>\n\n\n\n<p>Also, there is a fee in addition to that, that goes through Open Collective because they are the payment processor. They are the way that makes it possible for us to see all of these financial transactions. This is an organization that is set up specifically for open source initiatives, and they provide that oversight. That means we don&#8217;t have to go get a bank account. We don&#8217;t have to go set up a non-profit organization. We don&#8217;t have to do all of those extra things because Open Collective provides that for us and many others. So they do take a small portion of the funds that come through.</p>\n\n\n\n<p>And the remaining amount goes directly to those that are doing the work. At this time, because we are the three that stepped in together and said, let&#8217;s launch this thing, we are the board. Over the next year you&#8217;ll start receiving some more announcements and information about putting together a more complete board. That board will always hold a seat for the executive director of the project, whomever that shall be. So that&#8217;s definitely going to be one board member, optionally, additionally added.</p>\n\n\n\n<p>But in addition to that, we will be looking for those to become board members over the next several years. This first year out, we just thought, you know, we just need to launch this thing and get some traction going. Let&#8217;s get some action happening.</p>\n\n\n\n<p>[00:41:53] Nathan Wrigley: Yeah. This may sound like an incredibly cynical question, and I apologize if it is. Sometimes I get the feeling that companies when they do sponsorships and things like that, they like to proclaim, they like to advertise the fact because it&#8217;s good business. You know, they&#8217;ve done a good thing and they would like a little bit of recognition on the backside of that.</p>\n\n\n\n<p>Is there anything in here like that for people who contribute? Say, for example, a company, they might get a badge or a sticker or some kind of way that they can say, look, in the year 2020, I contributed to this project and I&#8217;m proudly going to identify myself as such.</p>\n\n\n\n<p>[00:42:30] Courtney Robertson: Sure. So first and foremost I&#8217;ll speak to, there are three different departments within my employer at GoDaddy, that each have varying reasons they would like to make use of funding contributors through the WPCC. Out of all of those, none of them are for self-interest. And I say this to be super clear to the community, yes, I am an employee. Yes, I have mentioned my employer many times in this episode. But it really is not about proclaiming, here we are, look at us.</p>\n\n\n\n<p>I do though understand that there is a marketing advantage and so, I think it is worth people being aware of the good that does happen. That&#8217;s not the sole reason why it should be done, this work should continue. But for those to know who is helping make that work be possible, the WPCC will be able to set up fellowships with those partnership type of programs, those partnership initiatives, so that if some other organization would like to come along and say, we would like to start up a fellowship for an individual or for a group of individuals, and that being maybe a six month rotation.</p>\n\n\n\n<p>And out of that, perhaps they later bring them on as staff as well. And so there is that piece, or that component as well, where the WPCC can be that entry point. Especially for organizations that don&#8217;t have the dedicated internals of managing and maintaining this. And they&#8217;re just beginning to explore what does it look like. Or they would like the contributors that are doing this as their job to be really thoroughly trained.</p>\n\n\n\n<p>And also, all organizations that sponsor contributors, some of that information goes back to what that company does. For instance, I know that the work that George Mamadashvili does in Gutenberg really helps shape some of the internal information around how some of the themes and plugins that GoDaddy creates makes Gutenberg implementation possible for our customers, right?</p>\n\n\n\n<p>And so, there&#8217;s a lot of value in this, and at no point would I ever slight that a company should be able to say, here is what we have contributed. Especially when many are looking at or watching, well, how do you contribute to WordPress as an organization, right? So those fellowships and the partnership programs will definitely be an option for that. As well, organizations can say, we are providing this amount of funding, and it could go into whatever bucket the WPCC would like to put it into.</p>\n\n\n\n<p>[00:44:58] Nathan Wrigley: Hmm. I guess you&#8217;re on the first few steps of hopefully a long journey and a lot of these things are going to be ironed out and figured out over time.</p>\n\n\n\n<p>[00:45:07] Courtney Robertson: Right.</p>\n\n\n\n<p>[00:45:08] Nathan Wrigley: Courtney and Sé if somebody has been interested in what they&#8217;ve heard today and they would like to come to you and get some more information, where is the best place to find you? Let&#8217;s start with Courtney.</p>\n\n\n\n<p>[00:45:20] Courtney Robertson: You could find me personally as courtneyr_dev on most of the social platforms. Sometimes that&#8217;s a hyphen. If you get lost, head to my personal website, courtneyr.dev. You could certainly find out about thewpcommunitycollective.com. That will get you the information that will take you across our website as well as across to the listing that we have with Open Collective, where you can actually put in your information.</p>\n\n\n\n<p>[00:45:47] Nathan Wrigley: Thank you very much. Right, Sé. Where do we find information about you?</p>\n\n\n\n<p>[00:45:51] Sé Reed: Well, the best thing to do is go join us on the thewpcommunitycollective.com. Connect to us by joining our organization. That&#8217;s the best way. But I am currently @sereed on mastodon.social. I&#8217;m on LinkedIn. I&#8217;m in the Slack channels. I&#8217;m in the Post Status channels. So if anyone wants to get a hold of me, probably Slack in the WordPress community is the best way. I still look at my Twitter DMs, even though I&#8217;m staunchly anti Twitter now, sadly. But I&#8217;m still there. I&#8217;m still around listening, so. I&#8217;m at sereedmedia on all the things, I&#8217;m around. There&#8217;s, I don&#8217;t know if there&#8217;s any other Sé Reeds either, but you know.</p>\n\n\n\n<p>We really want to participate with the community. We really want to hear from the community. Have ideas, have suggestions, have comments. This is a community effort. This is a, a larger project than Courtney and myself. We&#8217;re trying to be anti gatekeepers. Taking influence from Courtney, who is an anti gatekeeper. We really want this to be a community project and a community organization. So please get involved. Connect with us. We want to hear from you.</p>\n\n\n\n<p>[00:47:02] Nathan Wrigley: I will make to put all of the links in the show notes, so if anybody is curious, just head over to wptavern.com and search for this episode. Really an absolute pleasure talking to you. I&#8217;ve learned a lot. I&#8217;ve definitely got a much greater, more concrete understanding of exactly what the WPCC is, and hopefully you will get some more interest as a result of this podcast.</p>\n\n\n\n<p>Courtney, Sé, thank you so much for joining me today. I really appreciate it.</p>\n\n\n\n<p>[00:47:27] Courtney Robertson: Thank you Nathan.</p>\n\n\n\n<p>[00:47:28] Sé Reed: Thank you Nathan.</p>\n</div>\n\n\n\n<p>On the podcast today, we have <a href=\"https://twitter.com/sereedmedia\">Sé Reed</a> and <a href=\"https://twitter.com/courtneyr_dev\">Courtney Robertson</a>, and they’re here to talk about the <a href=\"https://www.thewpcommunitycollective.com/\">WP Community Collective</a>, or WPCC for short.</p>\n\n\n\n<p>In a nutshell, the WPCC is a non-profit that is hoping to fund contributors to the WordPress project. It’s been said before, but I’ll say it again, people who can afford to contribute to the WordPress project are the people who can literally afford to contribute to WordPress. This sounds obvious, but think about it for a minute.</p>\n\n\n\n<p>Most of us know WordPress is built on top of a dedicated base of volunteers. People give up their time and expertise to contribute towards the project, and in this way make it free to download and use. But we all have to earn money at some point. Most are not in a position to donate their time completely freely; they have to put food on the table.</p>\n\n\n\n<p>Often contributors are sponsored by the companies that they work for, either part time or full time. There’s nothing wrong with this model, but what about the capable, willing volunteers who are not in this position? The people who have the skills and motivation to contribute, but not the time or finances to make that a reality.</p>\n\n\n\n<p>The WPCC wants to act as a go between for companies or organisations who are willing to spend money improving WordPress, and the individuals who can implement those improvements.</p>\n\n\n\n<p>This enterprise will be done via the WPCC fellowships. A fellowship in a specific area of WordPress is created, for example, an accessibility fellowship. People apply for that fellowship, and if successful, get the finances they need to take on the work.</p>\n\n\n\n<p>This means that individuals don’t need to be working for an organisation which funds them directly, and the organisations which wish to contribute don’t need to fund only their own team members.</p>\n\n\n\n<p>We talk about where the WPCC is at with their fellowships, and how it’s set up so that all participants are fully aware of where the money is being invested.</p>\n\n\n\n<p>If you’re from a company who would like to assist contributors to WordPress, or an individual wishing to get involved, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://www.thewpcommunitycollective.com/\">WP Community Collective (WPCC) website</a></p>\n\n\n\n<p><a href=\"https://wpwatercooler.com/\">WP Watercooler podcast</a></p>\n\n\n\n<p><a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a></p>\n\n\n\n<p><a href=\"https://www.godaddy.com/en-uk/pro/hub-dashboard\">GoDaddy Pro</a></p>\n\n\n\n<p><a href=\"https://make.wordpress.org/marketing/\">Make Marketing Team</a></p>\n\n\n\n<p><a href=\"https://learn.wordpress.org/\">Learn WordPress website</a></p>\n\n\n\n<p><a href=\"https://opencollective.com/thewpcc\">WPCC on the Open Collective website</a></p>\n\n\n\n<p><a href=\"https://opencollective.com/\">Open Collective website</a></p>\n\n\n\n<p><a href=\"https://courtneyr.dev/\">courtneyr.dev &#8211; Courtney&#8217;s website</a></p>\n\n\n\n<p><a href=\"https://twitter.com/courtneyr_dev\">Courtney&#8217;s Twitter</a></p>\n\n\n\n<p><a href=\"https://twitter.com/sereedmedia\">Sé&#8217;s Twitter</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Mar 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"WPTavern: WP Engine Pattern Manager Plugin Now in Beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142504\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wptavern.com/wp-engine-pattern-manager-plugin-now-in-beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6877:\"<p>WP Engine is <a href=\"https://wpengine.com/builders/pattern-manager/\">beta testing</a> its new Pattern Manager plugin for creating and maintaining patterns. The plugin is intended for WordPress professionals &#8211; developers, agencies, and freelancers, who could benefit from having an interface and system for pattern management. </p>\n\n\n\n<p>&#8220;There are some plugins out there that provide an interface for creating patterns on a production site, but this is not built for that,&#8221; WP Engine Principal Engineer Mike McAlister said. &#8220;This is meant to slide into a dev workflow where you’re creating, editing, managing patterns for a client, for release in a theme, etc.&#8221;</p>\n\n\n\n<p>Plugins like <a href=\"https://wordpress.org/plugins/control-block-patterns/\">Build &amp; Control Block Patterns</a> (2k active installs) and <a href=\"https://wordpress.org/plugins/mywp-custom-patterns/\">MyWP Block Pattern</a> (200 active installs) allow users to build block patterns from the admin instead of writing code for them. They offer features like saving page content made with blocks into a pattern, unregistering block patterns, creating custom pattern categories, and more. </p>\n\n\n\n<p>After taking WP Engine&#8217;s Pattern Manager for a test run, it&#8217;s clear that the emphasis in this plugin is going to be more on pattern organization than on the builder aspect. After activating the plugin, clicking on the Patterns screen takes you to a catalogue of all the existing patterns, based on the site&#8217;s active theme. They are organized by category and are also searchable. </p>\n\n\n\n<img />\n\n\n\n<p>I installed the plugin alongside a theme with more than 30 block patterns included to get a better feel for how it works. From the main pattern management screen users can edit, duplicate, and delete existing patterns. Clicking through to edit a pattern lets users add their own pattern categories, keywords, extended description, designate which post types the pattern shows up in, and optionally hide the pattern from the inserter.</p>\n\n\n\n<img />\n\n\n\n<p>Pattern creation happens on its own dedicated screen, which works just like the block editor but with the pattern-specific settings in the sidebar. Once a pattern is saved, it will appear with the others on the pattern management screen. The pattern is attached to the theme, so users should understand that they will not have access to their custom patterns if they activate a different theme.</p>\n\n\n\n<img />\n\n\n\n<p>Users might be curious about creating patterns directly in the block editor. After putting some blocks together in an artful arrangement, it might be convenient to be able to save them as a new pattern for the theme. McAlister said this is not currently possible but it is under consideration.</p>\n\n\n\n<p>&#8220;Right now, pattern creation is limited to the Pattern Manager UI, where we can do some interesting and powerful things under the hood,&#8221; he said. &#8220;That doesn&#8217;t mean we won&#8217;t one day be able to do it inline, but in terms of exploring this concept as a workflow enhancement, we&#8217;ve limited it to a specific screen.&#8221;</p>\n\n\n\n<p>After launching the beta, web designer Wolfgang Stefani <a href=\"https://twitter.com/wolfgegenlicht/status/1627881988903559169\">asked</a> on Twitter if it is possible to update patterns globally using the plugin. </p>\n\n\n\n<p>&#8220;No, not yet,&#8221; McAlister responded. &#8220;It’s not a shortcoming of the plugin, rather how WP treats patterns right now. However, this will be possible with patterns soon, probably sometime this year.&#8221;</p>\n\n\n\n<p>Although there are many additional feature requests that might benefit developers and designers&#8217; workflows, the plugin&#8217;s creators are launching the beta to test the waters and see how users fare with this initial set of features.</p>\n\n\n\n<p>&#8220;Certainly parts of this workflow are opinionated, based on how we’re building patterns, but we’re doing this beta to understand how other folks are building,&#8221; McAlister said. &#8220;We’re open to any and all feedback to improve the overall workflow.&#8221;</p>\n\n\n\n<p>In a recent post titled &#8220;<a href=\"https://olliewp.com/patterns-are-gonna-be-a-game-changer-for-wordpress/\">Patterns are gonna be a game changer for WordPress</a>,&#8221; McAlister outlined his vision for how pattern functionality could be expanded in WordPress.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>What if, for starters, patterns were a treated more like intelligent components? What if instead of being treated as <em>just</em> a collection of blocks, patterns were an entity that WordPress could use as a conduit to do more advanced site building?</p>\n</blockquote>\n\n\n\n<p>McAlister explored a few ideas, such as making patterns more like template parts, globally synced and editable, adding pattern locking, and adding the ability to build style variations for patterns. The future is wide open for patterns to become far more useful than they currently are today, and third-party developers are exploring how they can extend this feature that has become so indispensable to building pages with WordPress.</p>\n\n\n\n<p>WP Engine&#8217;s Pattern Manager fits in nicely into the admin interface, almost like a natural part of core, but the top-level menu for Patterns seems too prominent and should be relocated under Appearance. After testing the plugin, I can see how it could become a valuable tool for managing pattern visibility for clients and speeding up page building by offering a more organized system for patterns. The CMS use case is strong here. Agencies that build the same kinds of sites over and over again could benefit from using this tool to quickly add and duplicate custom block patterns and restrict those that don&#8217;t make sense in certain parts of a client-managed site.</p>\n\n\n\n<p>During the live product demo for WordPress 6.2, a viewer asked if core will be adding more robust pattern management capabilities in the future à la WP Engine&#8217;s Pattern Manager plugin. The response was that this is a possibility for the future but is not currently a strong priority.</p>\n\n\n\n<p>In the meantime, WP Engine plans to release the plugin for free on WordPress.org after testing with users and updating it based on feedback.</p>\n\n\n\n<p>&#8220;We have no plans of monetizing,&#8221; McAlister said. &#8220;Right now, we’re more interested in digging into the developer workflow and finding unique solutions we can offer to folks who are digging into these modern WordPress tools.&#8221;</p>\n\n\n\n<p>If you want to get in on the beta program, you can <a href=\"https://wpengine.com/builders/pattern-manager/\">sign up</a> to get access to a zip file of the plugin. Your feedback may be incorporated into future versions of the plugin that will eventually land on WordPress.org.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Mar 2023 23:32:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"Do The Woo Community: What the WordPress Community Loved About WordCamp Asia Part 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74607\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://dothewoo.io/what-the-wordpress-community-loved-about-wordcamp-asia-part-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:415:\"<p>Part 2 where we hear from attendees, post-WordCamp, on their experiences at WordCamp Asia 2023.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/what-the-wordpress-community-loved-about-wordcamp-asia-part-2/\">What the WordPress Community Loved About WordCamp Asia Part 2</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Mar 2023 10:16:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: WordPress’ Legacy Default Themes Updated to Bundle Google Fonts Locally\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142491\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wptavern.com/wordpress-legacy-default-themes-updated-to-bundle-google-fonts-locally\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2311:\"<p>WordPress contributors have updated the legacy default themes to bundle Google Fonts locally in the theme folder, instead of loading them from Google&#8217;s servers. In years past, loading fonts from the the Google CDN was the recommended practice for performance reasons, but new privacy concerns have emerged following a German court case, which <a href=\"https://wptavern.com/german-court-fines-website-owner-for-violating-the-gdpr-by-using-google-hosted-fonts\">fined a website owner for violating the GDPR by using Google-hosted webfonts</a>, </p>\n\n\n\n<p>All of the default themes from Twenty Twelve to Twenty Seventeen have been updated. The process began nine month ago but the approach took some time for contributors to refine. Updates to default themes are usually done in coordination with major and minor releases of WordPress, as core contributor Jonathan Desrosiers explained in the <a href=\"https://core.trac.wordpress.org/ticket/55985\">ticket</a>.</p>\n\n\n\n<p>&#8220;The reason the updates are usually coordinated is that the themes are usually updated to be compatible with new versions of WordPress, so releasing at the same time makes a lot of sense,&#8221; Desrosiers said. &#8220;Also, the number of contributors that focus on the tickets within the Bundled Themes component is usually very low unless these compatibility issues are being addressed.&#8221;</p>\n\n\n\n<p>A dev note to accompany these updates to the legacy default themes was <a href=\"https://make.wordpress.org/themes/2022/07/28/using-locally-hosted-google-fonts-in-themes/\">published</a> to WordPress.org. It contains code examples for serving a new stylesheet from the theme directory, fixing the editor style within a custom theme-setup function, removing the font stylesheet, and including a custom set of fonts in a child theme. This change particularly impacts those who have edited or removed the font stylesheet in a child theme of these default themes or a plugin. </p>\n\n\n\n<p>WordPress&#8217; Themes Team has strongly <a href=\"https://wptavern.com/wordpress-org-strongly-urges-theme-authors-to-switch-to-locally-hosted-webfonts\">urged theme authors to switch to locally hosted webfonts</a>, and is expected to officially ban remotely hosted fonts following WordPress&#8217; legacy default themes getting updated. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Mar 2023 03:19:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WPTavern: WordPress 6.2 Product Demo Video Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142476\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wptavern.com/wordpress-6-2-product-demo-video-now-available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2334:\"<img />\n\n\n\n<p>If you&#8217;re not yet excited about the upcoming WordPress 6.2 release, you will be after watching the new <a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\">live demo product video</a> that was recorded last week. The demo was presented by Anne McCarthy and Rich Tabor, and moderated by Nathan Wrigley.</p>\n\n\n\n<p>The team used a beautifully customized version of the default Twenty Twenty-Three theme, which showcases what is possible in 6.2 with just core blocks and themes. They started from the Site Editor view, demonstrating how easy it is  to zip around from pages to templates and template parts with the new browse mode. This mode also features a resizeable pane that previews the site at different viewports.</p>\n\n\n\n<p>WordPress 6.2 is light years ahead in terms of its progression as a design tool. The team gave a short introduction to pushing styles globally, as well as the ability to copy and paste styles. The features make it much easier to make changes across the site, instead of having to apply them separately to each block. They also gave a tour of the Style Book, which is helpful for quickly making global changes to blocks with a preview. Tabor noted how users could actually use that screen to design the entire site.</p>\n\n\n\n<p>Other features covered in the live demo include the new sticky positioning for top-level group blocks,  a tour of the new navigation and dedicated list view, distraction-free mode, and the improved pattern and media panel, which reduces the number of steps for exploring patterns and adding images. At the end, the presenters took questions from viewers, many of which cover what is and what isn&#8217;t currently possible with the Site Editor.</p>\n\n\n\n<p>WordPress 6.2 is expected on March 28, 2023, less than four weeks away. <a href=\"https://make.wordpress.org/core/2023/03/06/wordpress-6-2-rc1-postponed-additional-beta-5-added/\">RC 1 has been delayed</a> due to <a href=\"https://wordpress.slack.com/archives/C04JZ199XPG/p1677992725823369\">a regression which impacts the Site Editor.</a> An additional Beta 5 is expected on March 7 to text a fix for this issue. In the meantime, the live demo video is a good way to familiarize yourself with all the major features coming in the next release. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 23:06:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"WordPress.org blog: Your WordPress 6.2 Preview\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14573\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:66807:\"<p>On March 2, release squad members <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> presented a live product demo of all the delights coming in WordPress 6.2, set to release on March 28, 2023.&nbsp;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>A first-of-its-kind event in the world of WordPress releases, the showcase was moderated by fellow community member <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a> and joined by nearly 90 participants.&nbsp;</p>\n\n\n\n<p>During the demo, Anne and Rich highlighted some of the new features and enhancements that will continue to revolutionize the way you interact with WordPress. They gave a quick tour of the Site Editor’s refreshed interface, which lets you browse and preview templates before editing. They also covered all the new and highly anticipated ways to manage styles, as well as improvements to the Navigation block, new collections of header and footer patterns, the new distraction-free mode for focusing on writing, and plenty more.&nbsp;</p>\n\n\n\n<p>It was a jam-packed hour that sparked plenty of excitement—and a lively question and answer session that wrapped up the event on a high note. Any questions the presenters couldn’t get to will be collected and answered in a follow-up post on <a href=\"https://make.wordpress.org/core/\">Make.Wordpress.org/Core</a> and subsequently linked to this post.</p>\n\n\n\n<p>Watch the recording of the live demo in case you missed it, or want to relive the moment (and the funky fresh demo site designed by Rich). You can find a full transcript of the live demo below.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Referenced Resources</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/2https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/%201/6-2-live-product-demo/\">Live demo announcement</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">6.2 release roadmap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Wrapping Phase 2 of the Gutenberg project</a><strong>&nbsp;</strong></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/wordpress-6-2-beta-1/\">6.2 release enters Beta 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">Beta 4 and the latest call for testing</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/47043\">Fixed/sticky positioning GitHub issue</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">Learn WordPress</a></li>\n\n\n\n<li>FSE theme developers on Twitch: <a href=\"https://www.twitch.tv/daisyonwp\">daisyonwp</a> and <a href=\"https://www.twitch.tv/ryanwelchercodes\">ryanwelchercodes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n\n\n\n<li><a href=\"https://github.com/annezazu\">Anne McCarthy on GitHub</a></li>\n\n\n\n<li>Learn WP workshop: <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291813021/?isFirstPublish=true\">How to create a website on mobile</a></li>\n</ul>\n\n\n\n<p><em>Props to <a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a> and <a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a> for co-authoring and editing this post, <a href=\"https://profiles.wordpress.org/evarlese/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>evarlese</a>, <a href=\"https://profiles.wordpress.org/courtneypk/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>courtneypk</a>, and <a href=\"https://profiles.wordpress.org/mysweetcate/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mysweetcate</a> for captioning, and <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>robinwpdeveloper</a> for uploading the recording files to wordpress.tv.</em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14573\"></span>\n\n\n\n<pre class=\"wp-block-preformatted\"><strong>Nathan Wrigley </strong>0:22  <strong>\n</strong>How are we doing? Should we go for it?\n\n<strong>Anne McCarthy  </strong>0:24  <strong>\n</strong>I think we can start.\n\n<strong>Nathan Wrigley </strong> 0:26<strong> \n</strong>Why not? The recording has started. So let\'s get, let\'s get cracking.\n\nHello, welcome everybody to the WP 6.2 Live Demo outline. I\'m Nathan Wrigley. I do a few things around the WordPress community, mainly to do with video and podcasting and things like that. But it\'s not about me.\n\nToday, we\'ve got two fabulous guests. We\'ve got Anne McCarthy and Rich Tabor, and they\'re going to do a full on Product Demo. It\'s a little bit unlike things that you may have seen, because in the more recent past, lots of new features have been added. And so Rich, and Anne are going to spend the time on the screen in a moment, and they\'re going to show you all of the bits and pieces that you may find dropping into a WordPress install near you. Let\'s hope. There\'s been a lot that\'s been happening, so there really will be probably 20 or 30 minutes of live demos, so look forward to that. I\'ve got to get them to introduce themselves in a couple of moments.\n\nJust before that, though, a little bit of housekeeping. This is going to be recorded, so if you have to drop out halfway through and go elsewhere, completely fine. It\'s going to be posted at the Make/Core website, but it will also come fully complete with a transcript as well. So, if that\'s something that you\'re looking for, that will all be there. Also to say that if you want to post any questions, we\'d love that. In fact, there\'s a whole portion at the end when Rich and Anne have finished speaking, where we\'re going to field questions toward them. Now there\'s really two places to do that. If you\'re live with us on Zoom, then if you hit the Q&amp;A button at the bottom of the screen and post your questions in there, I guess specifity... specific... Whatever that word is, be specific. Help us out. Tell us exactly what you want to know and we\'ll get the questions to them. The other way to do that is to go into Slack. And there is a channel in there, #walkthrough. And if you want to post any questions in there as well, that would be great. So yeah, just to recap, Q&amp;A button if you\'re in Zoom, and use the Slack #walkthrough channel, if you are in the Making WordPress Slack. Okay, right. I think we\'ll take you guys one at a time if that\'s alright. First off a little bit of an introduction from both of you. Let\'s begin with with Anne McCarthy, shall we? Hello, Anne!\n\n<strong>Anne McCarthy  </strong>2:42<strong>\n</strong>Hello, hello. It\'s so good to be back on literally any sort of live stream with you.\n\nI appreciate that you\'re a part of this\n\n<strong>Nathan Wrigley </strong> 2:48<strong> \n</strong>Yeah, that\'s really nice.\n\n<strong>Anne McCarthy  </strong>2:49<strong>\n</strong>Well, I\'m Anne McCarthy. I\'m a product wrangler at Automattic. I live in Seattle. I also run the FSE Outreach Program, which is basically dedicated to testing all the latest and greatest of WordPress, which is part of why I\'m so excited to be part of this demo, is because so much neat stuff has come through this that I\'ve had the privilege of going through a little bit early on with the ever growing calls for testing. So that\'s a little bit about me, I\'ll pop it over to Rich.\n\n<strong>Nathan Wrigley  </strong>3:17<strong>\n</strong>Yeah. So Rich, if you want to take the baton there.\n\n<strong>Rich Tabor  </strong>3:21<strong>\n</strong>Yeah. Hey, everyone. I\'m Rich Tabor. I\'m a product manager at Automattic. And I work on WordPress and Gutenberg, in particular. From a little bit south of Atlanta, Georgia, in the US, and been building and tinkering with WordPress for I think, close to 11 years now. So it\'s, it\'s been a good run, and I\'m super stoked about where things are heading.\n\n<strong>Nathan Wrigley  </strong>3:43<strong>\n</strong>Yeah, and things definitely have been moving in a very much a forward direction, WordPress, 6.1. And WordPress 6.2. There\'s so much clear blue sky between the two of them. I think probably the best thing at this point is if we can have it, I don\'t know what whose screen is coming on. I think it might be Rich\'s, or maybe it\'s Anne\'s, I don\'t know.\n\n<strong>Rich Tabor  </strong>4:00<strong>\n</strong>Yeah.\n\n<strong>Nathan Wrigley  </strong>4:01<strong>\n</strong>If we can get that screen shared, then I will slide my way out of this call and say, Rich and Anne, it\'s... it\'s over to you. I\'ll be back soon as you\'re finished for any Q&amp;As.\n\n<strong>Anne McCarthy  </strong>4:14<strong>\n</strong>Awesome. Thank you.\n\n<strong>Rich Tabor  </strong>4:17<strong>\n</strong>Alright, everybody can see my screen right now?\n\n<strong>Anne McCarthy  </strong>4:19 <strong>\n</strong>Yes. Rich did an excellent job designing this. I do want to call this out that I love, absolutely love this.\n\n<strong>Rich Tabor  </strong>4:26<strong>\n</strong>Thanks, Anne. Yeah, this is actually running Twenty Twenty-Three. So it\'s kind of showcasing some of the things you can do just with the core theme. And some of the design tooling that we are, that has been built into 6.2. So this view here is the site editor. So I\'m going to orient you here. There\'s one big change here in particular, I want to call out visually, is this idea of the frame here on the right, and this will pull up the local template. So I\'m looking at my homepage of the site right now. If I navigate into other templates, I can pull those up here on the right as well. And then you can also navigate template parts. So this part\'s not very new to 6.2. But the idea of zooming in on different template parts and templates and having them appear here in the frame is. And that\'s important because of this concept of browse mode. And this is where you could dive into an actual page from the site editor. So here, I just pulled up the about page of the site, and I can click into it and actually start making changes. Now, the changes here within the post content block are going to be relative to this about page. But I can also modify the template which then changes the about, or changes the page on any instance of this particular template. So it\'s a new concept and how we can browse the site. But it\'s a very powerful, and really the first iteration of that way of managing a site.\n\n<strong>Anne McCarthy  </strong>5:50<strong>\n</strong>And also lightly introduced content editing in the site editor, as you mentioned. So it\'s a kind of a neat merging of the two worlds, which I know folks have long been wanting to see that unified. And same with the frame, it kind of adds a nice layer where instead of just being dropped in, like before, you kind of are given a more zoomed out view, which I think helps address a lot of the feedback that we saw around the orientation when you\'re entering the site editor.\n\n<strong>Rich Tabor  </strong>6:12 <strong>\n</strong>Yeah, exactly. And really, if we think a little bit further out than 6.2, this could also house setting to use. So we do have, you know, one view here that that is relative to 6.1, where you can see all of your different templates. But imagine if we had any other different types of settings and controls and different pages loaded within here, doesn\'t have to be just the front end templates and renders of your site.\n\nAlright, so we\'re gonna dive into this here. So you can go into it just by clicking on the frame. I\'ll do that one more time just to show, you just click on it. And now you entered right into it. You can edit it right off, so we can make changes, just as if we zoomed into it in the other way in 6.1. And then we have a bunch of styling tools that have been added to 6.2, so I want to kind of hone in on these. Like, this panel itself is not new. We have style variations, you can zoom in here, we\'ve got this new zoomed out view, where you can apply different ones at a time. And then we also have this icon here, which triggers the style book. Now the style book is a very interesting tool here that really lets you customize the theme\'s style guide, essentially. So I can go through each of these tabs, which are relative to the block categories, and see all of the blocks loaded on this particular site. So right here, I\'ve got like Button blocks and Columns block and whatnot. So if I click on one of these, it\'ll pull up the Style panel of that particular block. And then when I make changes over here, these are applied globally throughout my entire site. So if I want to change the way this button looks, let\'s say we do some smaller tags, maybe we\'ll add a little bit of letter spacing, and maybe make it capitalized. See, it\'s getting applied everywhere that the button is used. Also do some changes here to padding, perhaps. We\'ll do something custom here. I think that looks nice. And now...\n\n<strong>Anne McCarthy </strong> 8:13\nReal quick while you\'re doing this, I wanted to note that like this is something that folks have really struggled with previously with the site editor, where if you\'re editing a block that isn\'t in the template already, you\'re not able to see this. So as Rich is showing, you can actually look at any block that\'s being used in your theme and see how the change that you\'re making in styles will impact that. Where before, if the block wasn\'t present in that template that you were editing, it was hard to know exactly what was happening. And so now you have both the style book and this inline preview that you see in the Style section to rely upon, which is pretty neat.\n\n<strong>Rich Tabor</strong>  8:43\nYeah, exactly. And really, you could theoretically go in and design your entire theme with the style book. Now, I know there\'s some advantage to design in context of pages and whatnot. And I\'ll go into that in a bit. But the idea is that you really can quickly browse through all of the different blocks and tighten up what you want to within these controls. And it\'s not limited to the standard variation as well. There\'s also these style variations of each block that you can now manipulate as well. So we\'re gonna go in, say, we\'ll change the radius of this one. So we want it to be sharp like our other button. But we have these new controls. Like, this is a shadow control we\'ve added in 6.2, where you can apply, say, like this shadow here might be nice. This one here, and so some fallback shadows, within core that a theme can provide as well, its own values. But this now will apply for every single variation of the outline on my site here.\n\n<strong>Anne McCarthy  </strong>9:39 \nAnd you\'ll notice that it\'s not in the style book right now. And that\'s just part of the future feature development is showing the variations of blocks as well.\n\n<strong>Rich Tabor </strong> 9:47\nExactly, yes, I would imagine that this would this would show up the variations of the button block, yeah. Which is a nice way to really customize these, like it used to be only CSS would be used to manipulate these variations here. And now it kind of abstracts that away and you can do it within the editing experience. That\'s really nice. It really is. There\'s also this idea of block CSS, so you can add custom CSS that is scoped to a particular block. So if I add CSS here, it\'ll be applied for the button block wherever it\'s used. Now, I wouldn\'t recommend using additional CSS in most cases. I would, I would suggest using all the different controls that we\'ve built, that are built into 6.2. But the idea of using CSS to add a little pizzazz to this particular button block is fine. But just with that caveat that you wouldn\'t want to use it exclusively. Like I wouldn\'t apply a background color via CSS, I would rather use the background elements color here. There\'s also additional CSS, which emulates what was previously in the customizer. So we do have site wide CSS that can be applied within the site editor and also on the front end of your site. Again, I wouldn\'t emphasize using this exclusively, as there are a lot of new design tools that I would explore first, from the top level styles here where you can apply colors to the background, text and buttons. But if there was anything extra you wanted to add, you could do so within the stylesheet here.\n\n<strong>Anne McCarthy </strong> 11:21\nAnd I\'ll note we\'d love to hear feedback if there are certain things that you\'re repeatedly adding custom CSS for. So either commenting on a currently open issue, or if you don\'t find one, opening an issue would be super helpful, because it\'s neat to see what folks are using for CSS so we can fill those gaps.\n\n<strong>Rich Tabor </strong> 11:36\nYeah, exactly. So that\'s the global Style panel here. But there are some quite a few other improvements along with styling. So the first is the idea of pushing styles globally. So if I\'m in here, and I\'m designing, let\'s say I want to add a radius, I want to do some different typography as to appearance like this, like bold, italic look. And then we\'ll also...\n\n<strong>Anne McCarthy  </strong>12:07\nThat\'s cool.\n\n<strong>Rich Tabor  </strong>12:07\nThanks. Also, let me make the letter spacing, maybe we\'ll make it a little bit bigger, actually, and then, I think that\'ll work. Do these changes here and see I\'ve just styled this one particular block this button up here. And this button down here is still using the global styles that we designed earlier. But now I can go through my settings panel here and hit Apply globally. And I\'m going to here so we can see that happen. The styles are now pushed globally to all the other blocks. So this is really helpful for when you\'re designing in flow. And you don\'t necessarily want to abstract out into the style book and you want to push your changes that you just did here, because you like the way the button looks and want those applied everywhere, all at once. I think this is really powerful way to to quickly design within the editor. Another tool that is quite useful, I\'m going to take this heading here and manipulate this. It\'s the idea of copying and pasting styling. So we\'re going to use that same bold italic look, maybe we\'ll make that a little smaller, we can even manipulate this size to be a little bigger. Now we go here to copy styles. And then I can come all the way down here to this other heading that\'s very similar, and paste it in. And there we have that style applied just to these two headers. And you would do this when you don\'t necessarily want every single heading to have this effect. But perhaps there are like elements on this page that you want to push those changes to, specifically. So copying and pasting allows you to be very granular, whereas applying styling globally, lets you be more of a holistic design experience for pushing styles. Another neat...\n\n<strong>Anne McCarthy  </strong>13:57 \nOh, real quick, I just wanted to know like I think one of the things that\'s interesting is, as we\'ve added more design options to blocks like this is part of the experience of scaling things and making it easier to use. So when we think about like intuitive and delightful. Some of these tools coming into 6.2 really take you know, the tons of design tools that we\'ve added over the last couple releases and makes it easy so you can actually tweak things and then reuse. So I think that\'s one of the things I want to call out is it\'s kind of this crescendo. Where now the tools that are coming to 6.2 to really ease the experience and allow you to do a lot of neat stuff where rather than having to re-tweak everything through every single heading block. A lot of stuff is used. So...\n\n<strong>Rich Tabor  </strong>14:34\nYeah, exactly. WordPress is moving towards a design tool and less of like, what you see is what you can only have. It\'s more of an expression of creativity and it really does open up the doors for for designing beautiful pages on the web. I think it\'s really powerful.\n\nAnother cool bit that we\'ve added is the idea of sticky positioning. So headers would be nice sometimes if they stick to the top, so for top level group blocks, this is a group block here, there\'s this new position attribute where you can assign it to sticky. And as you can see, right in the editor, it\'s already showing me that this is sticky on the front end. And also here as well. It\'s only available for top level blocks for now, there\'s still some some odd stuff to figure out on how we communicate when something is not going to stick due to the the parent height of the elements around it. But for top level, it\'s still fine. So we have it here. But there are some iterations that are already happening for the next release that will kind of bring this into more, bring some more capabilities to this particular feature.\n\n<strong>Anne McCarthy  </strong>15:44 \nYeah, and I\'m very excited because one of the things I wanted to briefly call out was the how the header, the template part has that purple. So another neat thing coming to this release, that was a big part of feedback for the outreach program was having to look parts and reusable blocks having a different coloring, because there are different kinds of blocks are synced across the site, when you make little changes and impacts everything everywhere. So that\'s another neat thing that\'s coming with this release, is that you can kind of see those a bit differently in the List view as well as when you\'re in the editor. I see Nathan has his hand raised. Is that intentional? Oh, it\'s removed. Okay.\n\n<strong>Nathan Wrigley </strong> 16:23 \nIt was not intentional. That\'s my mistake. I\'m sorry.\n\n<strong>Rich Tabor </strong> 16:28 \nYeah, it helps you see quickly too like, what is the template part, particularly for headers and footers, it makes it easier to browse quickly.\n\nSo speaking of template parts, and patterns in particular, so headers and footers, are new patterns added within WordPress 6.2. And now that they\'re loaded, actually from the pattern directory, which is kind of neat. And I\'m going to show you how to replace a footer with one of those other patterns. So if you have your footer template parts selected, you can go to replace footer. Now this flow is not new to 6.2, but it\'s going to call out these other improvements. And then you just click one there, and you have it loaded here, that\'s the site logo that I\'m using up here as well. And you can modify this text without having to do any any funky PHP filters or moving actual templates. And if you want to change it again, you go back to replace say, let\'s pick this other one, let\'s try this one. It\'s kind of nice. And there\'s this focus view, or you can zoom in to just the footer itself. You can even check the responsiveness of it and see how it, how it reacts on mobile, and make any of your changes here and have those persist over to the actual template whenever you close it out. It\'s a nice way to really kind of clean up the editing experience. So you\'re not seeing this entire group of groups and instead kind of focusing on what you\'re actually wanting to complete. You can do the same for the header as well.\n\n<strong>Anne McCarthy  </strong>18:01\nYeah, and as Rich mentioned, there are some new patterns that are being bundled from the directory, which I think are really extensive. Regardless of what theme you\'re using, there\'s going to be some pattern for group patterns that help democratize design where you can use them in anything.\n\n<strong>Rich Tabor  </strong>18:15\nYes, that\'s right. All right. So navigation. Navigation has gone under a... quite a bit of work in the last a couple of months. And really, this is all about trying to make it easier to manage your site\'s navigation and also add pages and links and then even styling. So there\'s this new dedicated list view for the navigation block. So it\'s essentially emulating a little bit of what\'s available over here except for you had to kind of get down to it. Now it brings it top of mine and the surface area here. You can drag them around, move them up and down, even add submenu links and remove them as well. And then you can style it like normal. And now apply different styles via the styles tab to the block itself, or even individual page links and whatnot, you can dive into them and manage them all from here, instead of having to only manage them from up here. This really kind of abstracts the complexity from from this particular canvas interface into a more familiar interface here on the sidebar. It\'s really a great effort. And it\'s it\'s taken some time to refine but it\'s getting there and it\'s feels a lot nicer.\n\n<strong>Anne McCarthy  </strong>19:30 \nYeah, there\'s been a lot of good feedback about this as well just because it kind of is meant to marry the classic experience with bringing blocks into it. So it is in addition to being edit, editing on canvas, so if you really want to continue to edit as a block you still, you can continue to do that. But it does add a nice interface and the block settings where you\'re able to do it. And I\'ll briefly call out here the split settings, which we\'ll probably talk about later. But you\'ll see here for more complex blocks, there\'s some nice split settings making it a little bit easier, more intuitive to go through.\n\n<strong>Rich Tabor </strong> 20:02\nYeah, that\'s right. And if you take a look at navigation here, this is very similar to this component added here. And, and that\'s, that\'s purposeful, we want it to look and feel familiar. Either way you\'re managing navigation. So you can also add some menu items here, remove them and drag them around and reset them here, as well as browse into the individual pages. So that\'s what I have for the site editor portion of the demo. And did you have anything else you wanted to add to this, Anne?\n\n<strong>Anne McCarthy  </strong>20:37\nOh, could you resize the Browse mode for me? I just love the resizing. I think it\'s kind of cool. This is just like a fun, you know, thing to call out. But maybe you won\'t noticem but you can resize it. So as you\'re quickly going through your site, if you want to see how it looks in different ways, you can also do that. So that\'s the final thing I\'ll shout out.\n\n<strong>Rich Tabor  </strong>20:56\nYeah. So then, yeah, exactly. It\'s... there\'s a lot of fine, fine touches like that. Well, we can\'t obviously can\'t call them all out today. But it is really getting tightened up overall as an admin experience for the site.\n\n<strong>Anne McCarthy  </strong>21:12\nIt\'s such a great foundation in the future, for sure.\n\n<strong>Rich Tabor </strong> 21:15\nExactly, exactly. Alright, so if we press this back button here, it goes right back to the dashboard, I\'m gonna go and leave...\n\n<strong>Anne McCarthy </strong> 21:25\nThat back button was a big piece of feedback people had they would get into the site or not know how to get back out. So I appreciate you calling that out.\n\n<strong>Rich Tabor  </strong>21:32\nYeah, exactly. It\'s been through a number of iterations. And I think we\'ve settled on something that feels feels nice; it does feel nice.\n\n<strong>Anne McCarthy  </strong>21:41\nI agree.\n\n<strong>Rich Tabor  </strong>21:43\nSo...\n\n<strong>Anne McCarthy  </strong>21:44\nAh yes, the removal of the beta label.\n\n<strong>Rich Tabor  </strong>21:46\nYou want to talk to this, Anne?\n\n<strong>Anne McCarthy  </strong>21:48\nYeah, I would love to jump in on this actually. So you\'ll notice that the beta label is removed for this release. And part of why we wanted to show it now is to see how all the features, how the experience has changed, how much more you can do. And all of that has led to the removal of the beta label. And that doesn\'t mean that feature development is done that it\'s like, you know, gonna stay this way forever, it just means it\'s in a place where we invite you all to try to the site editor, it is out of beta. And a lot of development work has gone into testing this. So we\'ve had almost, I think, 20 calls for testing with the outreach program. It\'s been through multiple major WordPress release cycles, there is still more work to be done. But I\'m very excited to see the beta label removed, I think the features that are coming to 6.2. And the foundation that is set with 6.2 really marks a level of maturity. That is pretty exciting. So consider this an invitation to try out modern WordPress, and to check it out.\n\n<strong>Rich Tabor</strong>  22:43\nA hundred percent, I couldn\'t have said it better.\n\nAlright, so another neat part that\'s added recently for 6.2 is this idea of distraction free mode. So it\'s not turned on by default, but I have it on so we can see the results here. So you can go in and type right here. And then actually, I\'m gonna throw in some Lorem here. So you can see it in action. So this feels more like a text editor and less like a Block Editor. Whenever distraction free mode is on even the the multi block selection, it feels really nice. It doesn\'t there\'s not this idea of blocks, even it\'s kind of abstracted from here, there\'s less noise, there\'s less distraction. And just think that the idea is that it\'s just you and your words, it\'s just writing and publishing. And if you want to publish, you can hover over here, you\'ll see the toolbar come down, you can hit Publish or draft. And then this is how you would turn it off and back on here. And then you still have control of all the existing tool. And it\'s just a much simpler, streamlined interface. And you do have access to blocks, you can still add them if you\'d like to, but the idea is just being able to write without the distractions is really powerful. And a really nice publishing experience overall.\n\n<strong>Anne McCarthy  </strong>24:08 \nAnd this is for everyone. So this is like a lot of stuff we\'re coming to say it or using a block theme. This is available for anyone who\'s using the Block Editor. And to be honest, I use this for basically all my writing now. Especially for any post or page, I typically will go into this mode. So I\'m very excited about this. And I hope folks feel the same way.\n\n<strong>Rich Tabor  </strong>24:28\nYeah, exactly. I\'ve been using that too for quite a bit. But the thing is, is also not only for post editing, so I have a page here that I\'ve created. And I have distraction free mode turned on, which kind of removes all the extraneous tooling and it really lets me focus in on the actual blocks here so I can manipulate them to an extent. I can even drop in different imagery for these images here and modify the buttons and whatnot and even add more blocks but the idea is it\'s almost like a simplified editing experience for pages as well, not only for posts. And here, I\'ll come up here and turn off distraction free mode to see it all in real time.\n\n<strong>Anne McCarthy  </strong>25:13  \nAnd this isn\'t yet available for the site editor, but I have a feeling a number of folks are going to be keen to see that put in there as well.\n\n<strong>Rich Tabor </strong> 25:20  \nExactly, yeah, I don\'t see why it wouldn\'t work in the site editor as well. I think it\'d be very nice. Yeah. So we have some other improvements here that are fun. So this inserter here has gotten a couple of changes here. So blocks looks familiar, it\'s still the same, but patterns is where we started seeing some changes. Instead of having some featured patterns loaded in a block category selector, we\'ve split them out individually as their categories here, you\'re gonna load up some of the different header patterns that are loaded in WordPress 6.2. So you can load them here and see them in this tray, and then click to add them to your site. Which is really nice, it\'s a nice way to kind of go through them quickly and see a bunch of different ones. We also have the media tab up here, which is new, which splits out the images from your Media Library, videos, and audio as well, including the Openverse library. So this is a catalogue of, I believe, over 600 million free, openly licensed stock imagery. And you could search from right here in the inserter. So let\'s type in birds. And click on one, and it will add an image block with the image already added to it, we have got the caption down here. If you don\'t want the caption, you just turn it off right here, this little control that was added. And now you can manipulate it right off. So let\'s say this, drop it into here. Maybe we\'ll make these about the same size and move it over to something interesting.\n\n<strong>Anne McCarthy  </strong>26:53\nAnd I\'ll note that there was a GDPR concern around the images being properly uploaded rather than hotlinked. And I wanted to just note that that\'s been addressed. So the images are uploaded to your Media Library. That\'s why. So in case anyone has that question. Sorry, continue.\n\n<strong>Rich Tabor  </strong>27:08\nYeah, no, that\'s a good point. It\'s very important. A key benefit to have this flow here is that instead of instead of having to add an image block, and then open your Media Library, and then pick an image, and then you have it here, it\'s really this one flow of searching visually, and searching here, as well. And then having it added as an image block already. So it kind of skipping all the extra steps that you always have to do anyhow, it\'s really nice. And we have a couple of interface changes. So there\'s the settings icon up here that used to be a cog, and now it represents the sidebar itself. So when you open it, the sidebar is triggered, if that\'s closed. And that\'s changed for a couple of reasons. But one of the bigger reasons is, as I mentioned earlier, this idea of split tabs, so we have the cog for settings. And that\'s when a block has additional settings that are not per the norm of the styles that are available within WordPress, then you\'ll have a new settings tab pulled out here. And that\'s to keep the density nice whenever you\'re editing and it feels good instead of having everything kind of in your face all at once. Now for other blocks, like the paragraph block, there\'s not additional settings, so automatically not included. The tabs up top and just be everything top level. But  when a third party plugin adds like a different settings panel, or even if you extend one of these core blocks that does not have one, and a detects one should be auto added as well. So it\'s kind of just like a nice, fluid way to continue improving the experience of editing within WordPress.\n\n<strong>Anne McCarthy </strong> 28:49\nYeah, so plugin authors can also kind of make sure where they want settings and styles to show that it shows up correctly. And there\'s a dev note about that as well.\n\n<strong>Rich Tabor  </strong>28:58\nYes, that\'s right, you can you can decide as when you\'re extending or adding your own inspector controls. That\'s what these are called here, whether or not they\'re included within styles or settings as well. Yeah.\n\nThen another smaller change that\'s kind of nice is this idea of pulling the outline from its own toolbar item up here into the list view. It\'s because they\'re very relative, you know, a list of all the blocks on your page, also an outline of what\'s going on. So they\'re combined now into this one view. We also have time to read word count and character count here, which is nice. And then this is a little guide here that just helps you understand the structure of the importance of the structure of the document and making sure that it is properly structured. All right, was there anything else that we wanted to add you think, Anne?\n\n<strong>Anne McCarthy  </strong>29:51\nI\'ll add one last call out just because I\'m trying to think about like little dev tidbits if you want to disable it prefers there is a way to disable Openverse as well I know that\'s always a concern. We add something it\'s like, okay, how do we get rid of because I don\'t want a client getting into it, there is a way to disable that is documented as well. The other thing is the pattern. So there\'s new categories, the patterns. And so query is now posts, a couple of things were merged, there\'s no call to action. And there\'s also some lovely, which I\'m gonna brag on Rich, again, some new text based, query patterns. We have a lot of visual patterns for the query loop, and now there\'s wonderful, more text focused ones, which I think is really exciting. And just another great way where patterns have evolved and patterns is obviously a huge part of the future building with WordPress. So I\'m very excited about those and keen to see just more variation with query loop, I think it\'s really powerful block to make easier to use. So I\'m excited to see it. Otherwise, I think that\'s, I think that covers a lot of what we were trying to go through.\n\n<strong>Rich Tabor </strong> 30:57\nYeah, and there\'s certainly more. There\'s a lot of interesting, minute details that are, you know, quality of life improvements around editing and designing. And we can\'t cover them all today. But it\'s just, there\'s a lot of exploratory ideas and cool, interesting pieces that have been the result of lots of feedback and lots of testing, like I mentioned earlier. And, you know, it\'s really a testament to open source and contributing and really working together as a team to make this thing we call WordPress ours and making it a brilliant publishing experience. So just thank you to everyone who\'s put in time ideas, effort, code, design, marketing, copy, all of that, and more to making this what it is. It wouldn\'t be possible without you.\n\n<strong>Anne McCarthy  </strong>31:46\nTotally agree. And thank you, Rich, for doing such an excellent job building this site and demoing all this.\n\n<strong>Nathan Wrigley  </strong>31:51  \nYeah, indeed. Thank you, Rich. Thank you, Anne. Just to let you know that, in theory, there\'s possibly up to about 25 minutes left. If anybody wishes to pose a question, we\'re going to do our best to get the answer directly from Rich and Anne. Whether that means putting the screen back on, I don\'t really know. But we\'ve got a few that have come in. The place to put those, it would appear that some people have figured out how to do that in Zoom. But if you go to the walkthrough channel, in the making WordPress Slack, you can post some questions in there and all things being equal, we\'ll get them raised as quickly as we can. So we\'ve got a few. In all honesty, because they\'ve been copied and pasted from various different places, I can\'t necessarily say who the name of the person is that sent them. But first question I\'ve got over here for either of you. It says when you save globally, under the Advanced tab, does this change the stylesheet? Interesting.\n\n<strong>Rich Tabor  </strong>32:54 \nSo this will change the attributes of the blocks. So if I throw in that example, there, I pushed the attributes of that one block globally. So they\'re applied to every block. So it does affect some styles, but not writing any style sheet or writing to the core style sheets.\n\n<strong>Nathan Wrigley  </strong>33:11\nCan I ask the question? It\'s not something that\'s been submitted by anybody else, but it just occurred to me that as you were clicking the global button, I just wondered if there was a \"get out\" from there. In other words, if you inadvertently click the global button, is there an undo option in there? In other words, can you back away from all of the buttons suddenly changing or all of the H1s? \n\n<strong>Anne McCarthy  </strong>33:32 \nYou do have to hit save after. You can\'t just hit Apply globally. You have to hit save, and that\'s where the multi-entity saving pops up. The multi-entity saving is kind of strange in that it\'s not good at discarding changes. So you basically would just have to like leave. Like it would be like, Whoops, I hit that. You probably also have to hit the undo. Like there\'s - those are the two kind of options. So, yeah.\n\n<strong>Rich Tabor </strong> 33:54 \nYeah. The undo is like a global thing. It works there as well. Yes.\n\n<strong>Anne McCarthy</strong>  33:58 \nAnd there\'s a reason that feature is hidden, like under Advanced and collapsed. That\'s not necessarily for everyone. But for folks who do like to tinker, it is available.\n\n<strong>Rich Tabor  </strong>34:08  \nRight. And it\'s also only available in the site editor as well. So it\'s the more the global view of editing your site is where you can access that. \n\n<strong>Nathan Wrigley  </strong>34:17  \nPerfect.\n\nOkay, so I have a question from Zoom. Is copying and pasting styles as demonstrated just for core blocks? They go on to say more, which I\'ll read out. Some blocks collect, some block collections have their own C&amp;P, and I\'m curious what might carry over, if anything? And then there\'s a follow up. Also, if CSS classes are assigned to a block, will applying global styles to a block be to all of the same block, i.e. H2? Or, hopefully, will a custom class allow for a more granular global CSS? There\'s a lot in that question, but if we start with the: is copying and pasting styles demonstrated just for core blocks?\n\n<strong>Rich Tabor  </strong>34:56  \nSo it works for blocks that have leveraged the block support system within core. So if you have opted your block into using background color, and text color, link color, any of the layout settings, anything that was in the styles tab, then all of those would get pushed to or get copied or pasted or even pushed to the global application of styles as well. Now, if there\'s, if a block has done its own sort of background color attributes, I don\'t know that those would persist as well. But if you use what\'s available in core, it\'s really one or two lines of JSON will get you the background color support that you need. \n\n<strong>Nathan Wrigley</strong>  35:35\nAnything to add to that, Anne?\n\n<strong>Anne McCarthy  </strong>35:37  \nNo, just another reason to rely on what core is building. So it\'s a another great example of how these features will work together and how adoption helps whenever these new things come out.\n\n<strong>Nathan Wrigley  </strong>35:49  \nOkay, so we\'ll go on to the next question then. So this is from Zoom, and apologies, I don\'t know your name. Can we have this as a feature request? Can we have sticky sidebar block for some groups next release, please? \n\n<strong>Anne McCarthy </strong> 36:05 \nProbably would do a separate block, I\'m guessing. Yeah, do you have anything to add to that?\n\n<strong>Rich Tabor</strong>  36:11\nYeah, I would say we wouldn\'t need a sticky sidebar block. Right now that group lock in top level-only does support position sticky. And the only reason it was turned off like we did have it on for one of the Gutenberg releases for everything - for every group block - but it was turned off just because there was too much confusion around if you had a sticky element that wasn\'t didn\'t have enough space to stick for and enough height to stick. So it wouldn\'t actually be sticking. You wouldn\'t see a result of you applying a sticky position to it. So I think we can figure that out with some some UX to really clean that experience up so that you do expect and understand what\'s going on. When you apply that to a block. That\'s not the root level of the document. So it\'ll be there. It just takes a little bit more iteration.\n\n<strong>Nathan Wrigley</strong>  37:00\nOkay, another question. This time from Slack. When there are changes made in the site editor, are the templates still marked with the blue dots to indicate that the changes are in the database?\n\n<strong>Rich Tabor  </strong>37:14\nYes, from that Manage Templates view that I shared in the canvas, it will show up just like it did previously, when there are changes to one of the templates provided by the theme.\n\n<strong>Anne McCarthy </strong> 37:25\nYou can revert the changes, as well, as you\'re used to doing.\n\n<strong>Nathan Wrigley </strong> 37:30\nOkay, thank you. Anne\'s shared a link related to the question that we just posted. I don\'t know how Zoom works well enough to whether or not we can share the screen. \n\n<strong>Anne McCarthy  </strong>37:40\nI can briefly share my screen. \n\n<strong>Nathan Wrigley  </strong>37:42\nYeah, that\'d be great. Show us the GitHub.\n\n<strong>Anne McCarthy </strong> 37:43\nLet me try that. I just wanted to mention this in case people want to follow along in the follow up tasks related to this. I love to look at links. I\'m a nerd like that. So in case anyone else is, this is a lot of the follow up tasks and a great issue to chime in on or just follow if you\'re interested in this because there are some improvements to be made. But this is a neat report for now. So it\'s - oh, I just copied and pasted. So it\'s issue number 47043 in the GitHub repo.\n\n<strong>Nathan Wrigley </strong> 38:11\nSo 47043 related to the question that we just had. Okay, so another one from Zoom. This is Robin, who asked the question, can you show? It\'s just moved on my screen. There we go. Can you show us how to trigger the focus mode to view, say, for example, the footer on its own? So I guess we\'re back on the screen again.\n\n<strong>Rich Tabor  </strong>38:34\nSure. Everyone can see? Yep. So when you have a template part selected, you just hit the Edit button here and then it\'s focused into that as well. And then you have, again, the responsive controls here. All the existing controls, it\'s just localized to this template part.\n\n<strong>Nathan Wrigley  </strong>38:54\nHopefully that answers your question. Thank you, Robin. Just for anybody who\'s kind of lurking who has a question but hasn\'t yet posted it, please do. What are the chances that you\'re going to get Rich and Anne on the on the phone in the next few weeks? Pretty minimal, I\'d say, so make use of them while they\'re here. Ellen has done just that. She\'s in Slack. Ellen says, is there a plan to allow no title templates in the block editor as they are still included even in header and footer-only templates?\n\n<strong>Rich Tabor</strong>  39:28\nNo title templates. Like templates without a title? I\'m not quite.\n\n<strong>Anne McCarthy </strong> 39:35\nYou can just remove that block. \n\n<strong>Rich Tabor  </strong>39:36\nYeah, you can you can remove the post title block from a template. I\'m not quite sure if that\'s if that\'s what the question is asking.\n\n<strong>Nathan Wrigley  </strong>39:46\nEllen, if you\'re still in Slack and watching this, if you heard Rich and Anne queerying that, then if you can give some more clarity, we\'ll endeavor to get that answered.\n\n<strong>Anne McCarthy</strong>  39:57\nKnowing Ellen she knows exactly how to remove things. So I\'m like, I\'m curious. I\'m definitely - we\'re misinterpreting something because she\'s very - Not showing the title in the editor...?\n\n<strong>Nathan Wrigley  </strong>40:07\nYeah. Not showing the title in the editor. She says she\'s here. \n\n<strong>Anne McCarthy  </strong>40:12  \nI\'m like, \"Say more.\" \n\n<strong>Nathan Wrigley </strong> 40:14 \nYeah. Give us more. Give us more Ellen, and we\'ll get right back to you.\n\n<strong>Anne McCarthy  </strong>40:17\nLet\'s follow back up on that, because Ellen always has some good questions and good feedback.\n\n<strong>Nathan Wrigley</strong>  40:21\nAll right. We\'ll do just that. Again, another question from Zoom. This is posed by some anonymous person. Will the list views icon get the same treatment as settings?\n\n<strong>Rich Tabor  </strong>40:33\nI don\'t think it\'s in the plans. I don\'t think there are plans to change that. But list view icon, it\'s always the list view. So when you toggle it on and off, it\'s relative to what it is. Whereas on the other side, the settings can be block settings, page settings, template settings. Global styles is in that same area. So it\'s a little bit more context for the list view to stay a list view item.\n\n<strong>Anne McCarthy  </strong>40:58\nAnd I know that the question came up because the settings icon looks like there\'s that sidebar. And so there are who people have been asking like, will the same thing happened over here? Just for context. That was part of a discussion in a different GitHub issue.\n\n<strong>Nathan Wrigley </strong> 41:12\nOkay, thank you very much. I appreciate very much those people who are posing questions. That\'s really great. Again, just to prod you once more, feel free to add your own questions in no matter how big or small they are. We\'re here to help. So now we have a question on Zoom from Abdullah. And he coincides beautifully with a question I\'ve written down. Any good resources to learn FSE theme-based development? Can either of you point to a particularly good resource that you know of?\n\n<strong>Anne McCarthy  </strong>41:41\nYeah, Learn WordPress. There\'s tons of stuff on Learn WordPress that I would recommend. I also, Daisy Olson, who\'s Developer Relations at Automattic, has a Twitch stream going and some YouTube videos around block theme development. But I would recommend going to Learn WordPress. There\'s also some contributor-led initiatives. Carolina, who\'s one of the theme folks has, I think, it\'s fullsiteediting.com. And that was kind of like the original, go-to resource. And she\'s done an incredible job working on that and keeping it up to date. So yeah, there\'s tons of tons of resources. I will spare you from from sharing more, I don\'t know, Rich, you have more hands-on experience there. What\'s the most helpful for you?\n\n<strong>Rich Tabor</strong>  42:22\nYeah, there\'s some really great tutorials and guides on Learn that are relatively new, that are really helpful. And I see that the team there has been really cranking it out on the last year or two, like really putting a lot of effort into this. So I would, I would start there.\n\n<strong>Nathan Wrigley  </strong>42:38\nSo if you\'re not familiar with that, I guess it would be apropos to say go to your browser of choice and type in learn.wordpress.org and go and explore. Basically, there\'s a ton of materials that are getting updated on what feels like a daily basis at the moment. So, once more, learn.wordpress.org. Go and check that out. But also, Anne in the chat that we\'ve got going on here has linked to Daisy Olsen\'s Twitch channel, which - I\'m just going to read it out but hopefully I\'ll make it into the transcript. twitch.tv/DaisyonWP. And it\'s all one word. D-A-I-S-Y-O-N-W-P. Daisy on WP. So there\'s two great places to go. But the learn.wordpress.org is perfect.\n\n<strong>Anne McCarthy </strong> 43:24  \nI have to add one more thing, which is if you\'re not fully ready for block themes, one of the big things that I feel like needs to be emphasized more is you can gradually adopt. So all these features are being done. But maybe you want to only give access to a client to edit the header. You can do that. Maybe you want to leverage theme.json in your classic theme, you can do that. If you want to expose the template editor.\n\nBut use the rest of your themes across them, you can do that. So I want to also encourage folks to look into resources around gradual adoption, because it makes sense that this stuff isn\'t - From day one, there has been a focus on that. Adopt what you what you want, when you want and it\'s going to make sense to different people at different times. Matías once said that to me, and I think it rings really true. And so now that we\'re at this level of maturity, I think we\'re looking again and revisiting again, like okay, what can I use? What do I want to use? I think it\'s really important to mention. So if you\'re not ready to go all in, I encourage you not to just wipe it all away, but to think about how you can gradually adopt and also what would help you gradually adopt. So there is actually a label on GitHub started a couple months ago around - It\'s called blocks adoption. So if there\'s something that you see that you\'re trying to adopt the site editor, and it\'s preventing you from doing so, like we want to know about that. And you\'re welcome - I\'m going to just put this out here - @annezazu is my GitHub username, feel free to just like @ annezazu, \". This is blocking me from using the site editor.\" We want to know these things. Open issues. Please share, because that is also part of the phase of this work is making sure people can adopt as they can and that the tools are robust. There\'s a ton of resources as well. There\'s a page in the Theme Handbook around gradually adopting to block themes. So I just wanted to call that out.\n\n<strong>Nathan Wrigley </strong> 45:06 \nAnd just one more time, what was that? Give us, the give us the username.\n\n<strong>Anne McCarthy  </strong>45:11<strong>\n</strong>A-N-N-E-Z-A-Z-U. So like Zazu from The Lion King. It\'s an inside joke from middle school.\n\n<strong>Nathan Wrigley </strong> 45:19\nOkay, possibly the shortest question. This is from Sandy, I should say, Can Lotties be added to 6.2?\n\n<strong>Rich Tabor</strong>  45:28\nI would say that I did a quick search a few minutes ago and there are various blocks built by the community, which do allow you to add or embed LottieFiles to your site. I haven\'t tested any myself but feel free to dig into those. And if they\'re open source, they can contribute ideas or feedback on on those GitHub repos.\n\n<strong>Nathan Wrigley </strong> 45:49\nThank you very much. And Eagle has posted a question. When there are changes made in the site editor, are the templates still marked up - Did we have that one? We have, right? We\'ve done that. \n\n<strong>Anne McCarthy </strong> 46:01\nWe answered that one. Yeah.\n\n<strong>Nathan Wrigley</strong>  46:02\nI think we did. Okay, moving on directly then to Ian, what is - oh! Okay, what is the philosophy for mobile in the editor? Are there any plans to have a mobile view?\n\n<strong>Anne McCarthy </strong> 46:16\nThat\'s part of the dragging and resizing. And there\'s a lot of work being done around intrinsic design. And you can see on the developer.wordpress.org? What is the blog? I think it\'s /news. Do you hear audio?\n\n<strong>Nathan Wrigley  </strong>46:35\nI hear only your audio. I don\'t hear anything I don\'t wish.\n\n<strong>Anne McCarthy</strong>  46:36\nOkay, sorry. Something just started playing in the background out of nowhere and that just scared me. It\'s like all of a sudden, I was like, woah! Where was I?\n\n<strong>Nathan Wrigley </strong> 46:50\nSo we were talking about mobile views?\n\n<strong>Anne McCarthy </strong> 46:53\nYes, intrinsic design. There is a developer blog that if you\'re not following that, you definitely should, that addresses this around, basically showing that the mobile view points have exploded over time. It\'s now really not sustainable to try and have CSS and all this sort of stuff, mobile queries allowing for each view. So instead, how can we think about intrinsic design? And so that\'s like the best answer I can give. And for now, there is this nice resizing that you can do to kind of see how things scale. 6.1 introduced fluid typography, which was really exciting and part of this larger, intrinsic design set up. And I think we\'ll expect to see more of that over time. Sorry, for the brief mental break.\n\n<strong>Nathan Wrigley  </strong>47:36\nJust a quick reminder, we probably got 5, 6, 7 minutes or something like that before we start to wrap things up. So if you\'ve got any questions, please, please do post them in here. We have one from Paul who asks, is there any more work planned for pattern management in the future? And then WP Engine has released a plugin allowing easier management of patterns recently, I believe that was yesterday, it would be good to know if we should wait for core or assume that nothing else is coming soon.\n\n<strong>Rich Tabor  </strong>48:07\nYeah, I would say that pattern management is an important part of this new WordPress experience and having a way to create and manage local patterns, but also maybe push them to the pattern directory. And then on top of that, having a functionality built in where - it\'s kind of like a component based system where you have patterns where the design is the same across patterns, but content can change. All of that kind of falls into the same category of work. And that is something I believe WordPress will eventually do as well.\n\n<strong>Nathan Wrigley</strong>  48:41\nOkay, we\'ve got no more questions on the screen. So I\'m going to ask a question, if that\'s all right. You were demonstrating the distraction-free mode there where you could move things up, move things down, and resize pictures and images and so on. I was just wondering what the constraints on that are. So in the case of images, I could see that you could resize things. And with the text, I could see that you could, you know, highlight things and start typing wherever you wish. But I just wondered how the decisions had been made to set those parameters and those only. So yeah, around that, what\'s available in distraction-free mode? What limitations are there?\n\n<strong>Rich Tabor  </strong>49:17<strong>\n</strong>I would say, generally, it\'s what\'s available is what happens when you click on a block. The tooling is there available on the canvas before so resizing was available on the image but not the toolbar. So the resizing is still available when you\'re in distraction-free, but maybe not adding the caption piece or you know, those other toolings. It\'s almost like the content locking or content only locking API. It\'s very similar to that in a sense, but a little bit more tightened up.  Where just text and dropping in images - you can\'t necessarily open the Media Library from there unless you dive out of it. But you can drop another image onto that existing image to replace it. Some things like that.\n\n<strong>Nathan Wrigley  </strong>49:59<strong>\n</strong>It looks like a really excellent interface for people who just, well, want to concentrate on their writing. It sounds like Anne\'s all in on it.\n\n<strong>Anne McCarthy</strong>  50:05\nI use it every single day. It\'s amazing.\n\n<strong>Nathan Wrigley </strong> 50:09  \nIt almost felt like a Google doc minus all the bits and pieces at the top. Yeah, really, really nice. Okay, so we have some more questions. Weston is asking, what about optimizing the experience of editing using a mobile device on the web? So I guess that\'s a little bit maybe the question that we had earlier. How can... we how can we do things on a actual mobile device? \n\n<strong>Anne McCarthy </strong> 50:30\nThat\'s a great question. There are mobile apps. So there is the mobile team and using the mobile apps. I personally don\'t use mobile apps and sometimes will edit things from Safari on my iPhone SE 2.\n\nI actually was talking to someone - their username is Nomad Skateboarding. And from what I understand, he only builds client sites from his phone. And so one of the things I said to him, I was like, \"Give us your feedback. That\'s really cool. It\'s really unique. That\'s fantastic. Like, what pain points you\'re running into, what can we improve?\" Because there is obviously like, we are in a mobile first world. My phone is sitting right next to me. I would love to hear particular pain points folks have when trying to edit in that way. You can obviously use the apps. There are some quirks with the site editor, and that I know is partially being looked into and resolved. But yeah, I think there are probably - what we\'re building now should always translate back and there are teams trying to sync back and forth. And there was a recent post from the mobile team talking about what\'s the future of mobile editing. And so I would recommend - it\'s somewhere on Make/Core. I recommend digging that up and getting involved and honestly sharing your feedback. Because I don\'t think that is an experience that we talked about enough personally.\n\nIt\'s a great question. \n\n<strong>Nathan Wrigley  </strong>51:40\nRich, anything or should we move on?\n\n<strong>Rich Tabor  </strong>51:42 \nI think that was great.\n\n<strong>Nathan Wrigley </strong> 51:44 \nOkay, perfect. Um, um, um. Okay, we have an anonymous question. It says as page speed is a big challenge, how are we optimizing the blocks for better LCP score?\n\n<strong>Anne McCarthy</strong>  52:00 \nThere are, some interesting - sorry, Rich, I don\'t know if you wanted to jump in. I was going to start link dropping. \n\n<strong>Rich Tabor  </strong>52:05 \nYeah, you go ahead. Yeah. \n\n<strong>Anne McCarthy  </strong>52:07  \nYeah, there\'s some interesting work from André. Part of it involves actually adding tracking and making sure there\'s really good front end metrics. So there\'s kind of a twofer going on. In one fell swoop, we\'re focusing on better tracking and improving the tracking that we have for performance, particularly the front end. And then at the same time, also work is being done to optimize like style sheets. There\'s been some really neat stuff in previous releases that I bet I can pull up if you\'ll give me one moment.\n\n<strong>Nathan Wrigley  </strong>52:36\nYeah, whilst you try to find that, Anne, I think it\'s probably important to say that, if there are any questions which you wish to have answered which don\'t somehow get answered in the next few moments, then there will be posts created around this piece. So anything that goes missing, any question that is unanswered, there will be endeavours to get them answered. Right? Okay, show us what you got, Anne.\n\n<strong>Anne McCarthy  </strong>53:00  \nYeah. So this was a post I did for 5.9, in conjunction with a whole ton of folks who contributed and actually did this work, I just was kind of gathering it up. But you\'ll see sections here around block style sheets and CSS loading. And honestly, a lot of the work with the styles engine, which is part of the global styles project, can help give a lot of opportunity to actually improve this, I recommend checking out this post to see some of what\'s already been done. And then in the future, one of the discussions that we had recently with some folks across the community from Google, from Automattic, 10up, all over the place, including our lovely performance lead, Felix. We talked about some of this stuff and about how to talk about particularly themes and also just blocks in general. And thinking about some performance improvements and developer education and automated testing and all sorts of stuff. So I won\'t go too far into this. But I think a lot of work can be done. And some of it is being done around measuring more front end metrics and very recently, LCP was added and started to be tracked here, which I think is pretty exciting. \n\n<strong>Nathan Wrigley  </strong>54:05 \nI think following the performance team and Felix Arntz, in particular, would possibly get you quite a long way towards your answers there. Okay, a couple more. Firstly, there\'s a few people helping out in the Slack channel. So, appreciate that. We\'ve got Matías answering questions, and so on. So that\'s really amazing. Thank you. Another anonymous question, any plans to support CSS Grid?\n\n<strong>Rich Tabor  </strong>54:33 \nI think it\'s something worth exploring. Probably not the major priority coming up. But definitely some interesting aspects that we\'ve seen other... other building applications do that we can learn from for sure.\n\n<strong>Nathan Wrigley  </strong>54:47  \nOkay, we\'re very short on time now. I think we\'ve got to round it off at the top of the hour. So we\'ve got about four minutes left. I\'ve got to wrap it up a little bit. So try to get these last two done if we can. This is from Mary. What are the typography options as of 6.2? we have Google fonts and self-hosted. Any plans for solutions like Adobe Type and Monotype?\n\n<strong>Anne McCarthy  </strong>55:11 <strong>\n</strong>There\'s a Fonts API that got booted from 6.2 and is hopefully planned for 6.3. So I would just follow that effort. So right now, 6.2 is not introducing anything new or different there. Things are as they were. There\'s a private API that folks can can use with anything JSON. That\'s as concise as I can be.\n\n<strong>Nathan Wrigley </strong> 55:31\nNo, that\'s perfect. I think we\'re three minutes to go. That\'s probably the best time to wrap up the Q&amp;A. Apologies if you had a question and it didn\'t get answered. As I said, there will be a whole load of things created off the back of this. We will make sure that there\'s a transcript available and - just read something in the comment. Hopefully, any questions that have been asked but unanswered will be answered approaching that. Just very, very quickly, I have to say thank you to Anne and Rich in particular, for taking the time out of their busy schedules and demoing what 6.2 can do. It really looks like a transformational release. But also, thanks to Chloé and Jonathan and Lauren and Mary who are on the call, but, you know, you haven\'t necessarily seen them right now. So, appreciate them. That\'s really great. Following up off this, I\'ve got three points to mention. Following the 6.2 release on Make/Core for development updates and calls, there\'s going to be a post. It\'s make.wordpress.org/core/6-2. Also, if you\'ve been keeping a close eye on the Beta releases - I say beta, I know it\'s hysterical. The beta releases, we\'ve got version beta four has just been released. And anybody who wants to test that out would be most welcome. The URL for that is far too long for me to say out loud, but you can Google it, I\'m sure, and find out how to test for that. And also, if you are keen to follow WordPress, it\'s all over the social networks. And you can follow - basically, if you try to just follow @WordPress, then you\'ll get somewhere. So for example, on Twitter, it\'s WordPress - @WordPress. On LinkedIn, it\'s /company/WordPress. Instagram is @WordPress. And guess what? On Facebook, it\'s - what do you think it would be? It\'s @WordPress. So it\'s available all over there. And I think that\'s it. I think that\'s everything that we\'ve got to say. We\'re about one minute away from closing. So particular thanks to Rich and Anne, but thanks to everybody in the background making all of this happen. Thanks for showing up. If people don\'t show up, the work never gets done and the project never moves forward. So fully appreciate anybody who\'s given up their time to ask questions today and watch this presentation.\n\n<strong>Anne McCarthy </strong> 57:51 \nAnd thank you, Nathan. I want to call you out as being an excellent moderator and creating a safe space for us.\n\n<strong>Nathan Wrigley </strong> 57:57  \nVery, very welcome. I enjoyed doing it. I would gladly do it again. All right. I don\'t know how to end this call. So I\'m just gonna wave. Bye, everyone.\n</pre>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Mar 2023 17:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"Gutenberg Times: WordPress 6.2 Product Demo, shortcodes to blocks – Are PHP Themes dead? –  Weekend Edition 245\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23530\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"https://gutenbergtimes.com/wordpress-6-2-product-demo-shortcodes-to-blocks-are-php-themes-dead-weekend-edition-245/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14999:\"<p>Howdy, </p>\n\n\n\n<p>Happy March! The last month of the first quarter is already upon us and Spring can come soon enough! </p>\n\n\n\n<p>Last week I spent a considerable amount of time wrangling and reviewing developer notes for the upcoming <a href=\"https://make.wordpress.org/core/6.2/\">WordPress 6.2 release</a>. The Release candidate 1 will be published on March 7th, and that&#8217;s also the published date for the Field Guide that accompanies each major WordPress release. </p>\n\n\n\n<p>I have been very excited about the <strong>next all-women release squad</strong>, planned for 6.4, ever since Josepha Haden Chomphosy <a href=\"https://twitter.com/JosephaHaden/status/1620904918675767297\">tweeted about it</a>. If you are interested in learning more about how WordPress releases work, watch the Make Core Blog for updates about the upcoming releases. The <a href=\"https://wordpress.org/about/roadmap/\">WordPress Roadmap page</a> was recently updated and shows that the 6.3 release is planned for August and 6.4 for November 2023.  </p>\n\n\n\n<p>For myself, I will have a few distractions from my WordPress work and the Gutenberg Times the next two months. After almost a quarter of a century living in Florida, my husband and I are <strong>moving back to Germany; Munich</strong> to be more precise. It&#8217;s time to go home and spend more time with our families.  Both our employers, Automattic and Oracle, and our fellow teammates are supporting us generously and wholeheartedly in our change of residence. We are forever grateful. </p>\n\n\n\n<p>I am eagerly awaiting to connect more with the German WordPress community, the communities in Africa and the rest of Europe. Speaking of which, <a href=\"https://europe.wordcamp.org/2023/\"><strong>WordCamp Europe</strong></a> is coming up in June (8-10). I already have my ticket. <a href=\"https://europe.wordcamp.org/2023/tickets/\">How about you?</a> I hope to see you in Athens. <a href=\"https://calendly.com/pauli-haack/wordcamp-europe\">Use this link</a> if you want to put an in-person meeting in Athens on our schedules. The venue looks marvelous! </p>\n\n\n\n<p>And now, without further ado, the news. </p>\n\n\n\n<p>Be well! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">WordPress 6.2 </a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">WordPress 6.2 </h2>\n\n\n\n<p>As mentioned, the WordPress 6.2 is coming together nicely. </p>\n\n\n\n<p>Earlier this week, <strong>Anne McCarthy</strong> and <strong>Rich Tabor</strong> provided a <a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\"><strong>Product Demo of WordPress 6.2.</strong></a> The recording is already available on WordPressTV. At the end, you can also listen to the Q &amp; A with questions from the live-audience. <strong>Nathan Wrigley</strong>, host of the WPTavern Jukebox and WPbuild podcasts, moderated the event. The post with, captions, transcript and shared resources will be published early next week. </p>\n\n\n\n<a href=\"https://wordpress.tv/2023/03/03/6-2-live-product-demo/\"><img /></a>\n\n\n\n<p>The first dev notes for WordPress 6.2  have been published to go into the Field Guide.</p>\n\n\n\n<p><strong>Marco Ciampini</strong> wrote about all the <strong><a href=\"https://make.wordpress.org/core/2023/03/03/editor-components-updates-in-wordpress-6-2/\">Editor Components updates in WordPress 6.2</a>.</strong> A round-up post of notable changes to the components package in WordPress 6.2. </p>\n\n\n\n<p><strong>Anne McCarthy</strong> posted about the <strong><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a> </strong>providing an overview of the many&nbsp;accessibility&nbsp;improvements and fixes coming to the next major WordPress release.</p>\n\n\n\n<p>There are more to come on Monday and Tuesday. </p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-79-wordpress-6-2-gutenberg-plugin-versions-15-0-and-15-1/\">Gutenberg Changelog #79 – WordPress 6.2, Gutenberg plugin versions 15.0 and 15.1</a> with Birgit Pauli-Haack and special guest Nick Diego </p>\n</div></div>\n\n\n\n<p>If you are a content creator and planning on writing about the WordPress 6.2 release, <strong>Anne McCarthy</strong> just published a <a href=\"https://nomad.blog/2023/03/01/wordpress-6-2-source-of-truth/\"><strong>WordPress 6.2 Source of Truth</strong></a> on her personal blog, with the caution that you don&#8217;t just copy/paste things, but us it as place to get your research started. </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p>Feeling the limitations of WordPress design? Get creative with Elementor and Gutenberg! Join <strong><a href=\"https://twitter.com/joyofwp\">Bud Kraus</a> </strong>for the virtual event <a href=\"https://events.godaddy.com/events/details/godaddy-events-godaddy-pro-online-presents-elementor-or-gutenberg-why-not-the-best-of-both/\"><strong>Elementor or Gutenberg? Why Not Both?</strong></a>  hosted by GoDaddy Pro on March 8th at 1pm ET / 18:00 UTC and learn how to create stunning custom layouts and designs.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p><a href=\"https://twitter.com/one_maggie\"><strong>Maggie Cabrera</strong></a> invites theme builders to the <a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\"><strong>Hallway Hangout: Community Themes Initiative</strong></a> on March 7th, 2023, to discuss the next steps for the collaborative theme building. &#8220;This announcement is the proposal of a new community themes project. The goal is to bring together a squad of people to build&nbsp;block&nbsp;themes all year around the same way the default themes are built.&#8221; Cabrera wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his post, <a href=\"https://chriscoyier.net/2023/02/16/noodling-on-wordpress-in-2023/\"><strong>Noodling on WordPress in 2023</strong></a>, <strong><a href=\"https://twitter.com/chriscoyier\">Chris Coyier</a> </strong>wrote down his thoughts about WordPress. He took a broad look at the changes WordPress experienced in the last few years, the block editor for content, and in other contexts, and Block Themes. He wrote: &#8220;<em>WordPress needs to spend a year working on DX.&nbsp;</em>There needs to be a clear message about how people should be thinking about building themes and how to do so with productivity keeping extensibility in mind.&#8221; and then he continues: &#8220;maybe that’s exactly what they just did with Block Themes&#8221; &#8211; and calls it a component model. The four words in his posts were &#8220;PHP themes are dead. 🤷‍♀️&#8221;.  </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/retlehs\">Ben Word</a></strong> wouldn&#8217;t have any of it, though. He posted a rebuttal: <a href=\"https://roots.io/php-themes-arent-dead/\"><strong>PHP Themes Aren’t Dead</strong></a>. <strong>Ben Word</strong> is the part of the team around the Roots project. He makes a strong case for using and developing for the block editor.  &#8220;If you’re a modern PHP developer, you will have a worse experience developing FSE themes versus building a hybrid theme that uses both PHP along with the block editor.&#8221; Word wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>And to stay within it for a moment, in his post <strong>Brian Coords</strong> is <a href=\"https://www.briancoords.com/embracing-theme-json-kicking-and-screaming/\"><strong>embracing theme.json, kicking and screaming</strong></a>, and he has many questions. &#8220;Its still up to plugin developers to include their own styles for things, or use fancy tooling to try to pull from <code>theme.json</code> where appropriate- neither being an optimal solution. This also becomes a documentation problem.&#8221; He wrote and continues: &#8220;When you read any docs about <code>theme.json</code>, it’s usually in the context of full site editing, which means that almost all the documentation for it assumes you’re styling blocks and building a block theme. Even parsing what features work in block themes and which ones work in hybrid themes is difficult.&#8221; </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>In her debut post on the WordPress Developer Blog,<strong> Joni Halabi, </strong>Senior JavaScript Front-End Developer&nbsp;at<strong>&nbsp;</strong>Georgetown University explains <a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\"><strong>The difference between Static and dynamic blocks</strong></a>. The difference between these two types of blocks comes down to how they are rendered on the front-end. Read on to learn more about the details, advantages, and disadvantages of each.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Also on the WordPress Developer blog, <strong>Ryan Welcher</strong> published his tutorial on <a href=\"https://developer.wordpress.org/news/2023/03/creating-a-custom-block-that-stores-post-meta/\"><strong>Creating a custom block that stores post meta</strong></a>. Learn how to create a custom dynamic block that saves information to custom <code>post_meta</code> and creates a one-to-one experience in both the block editor and on the front end. You will see an example of how to to use <code>@wordpress/create-block</code> package to scaffold a block.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jonathan Bossenger</strong>, developer educator on the WordPress training team,  takes his readers along on his experience <a href=\"https://developer.wordpress.org/news/2023/03/converting-your-shortcodes-to-blocks/\"><strong>Converting Shortcodes to blocks</strong></a> and has tips and tricks for creating blocks from existing Shortcodes, based on real-world examples. You learn to understand when a Shortcode should be converted to a block, processes to follow to convert blocks, and useful block development practices.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Tom de Visser</strong>, developer from the Netherlands and core contributor, shared how he has fun learning new things by looking at someone else&#8217;s code. It&#8217;s alittle harder now to do was with React in the mix there is a build step that hides the source code. In his post, <a href=\"https://tomdevisser.blog/how-to-learn-about-wordpress-block-development-by-playing-with-core-blocks/\"><strong>WordPress block development, hacking core blocks</strong></a>, De Visser shows you how to get the Gutenberg source code on your local machine, how to run the development and build processes from the project with Webpack and how to use <code>wp-env</code> to spin up a local environment where you don’t have to worry about breaking anything.</p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: &#8220;<a href=\"https://www.flickr.com/photos/131286397@N03/17223321258\" target=\"_blank\" rel=\"noreferrer noopener\">Printer&#8217;s Wooden Letter Blocks 1</a>&#8221; by <a href=\"https://www.flickr.com/photos/131286397@N03\" target=\"_blank\" rel=\"noreferrer noopener\">Sean-B</a> is licensed under <a href=\"https://creativecommons.org/licenses/by/2.0/?ref=openverse\" target=\"_blank\" rel=\"noreferrer noopener\">CC BY 2.0</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 04 Mar 2023 20:55:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WordPress Themes Team Proposes Community Themes Initiative\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142443\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/wordpress-themes-team-proposes-community-themes-initiative\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3052:\"<p>Representatives of the WordPress Themes Team are looking to carry forward the momentum contributors found in creating the Twenty Twenty-Three theme’s style variations by <a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">launching a new Community Themes initiative</a>. Leading up to WordPress 6.1’s release, 19 designers from eight countries built 38 unique style variations, and <a href=\"https://wptavern.com/wordpress-announces-10-style-variation-selections-for-twenty-twenty-three-theme\">10 were selected</a> to ship with the release. At that time, contributors <a href=\"https://github.com/WordPress/twentytwentythree/issues/73\">discussed</a> a spinoff child theme project with additional style variations for Twenty Twenty-Three.</p>\n\n\n\n<p>Automattic-sponsored core contributor Maggie Cabrera <a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">published</a> a proposal that seeks to extend this new era of increased design contribution through a Community Themes project.</p>\n\n\n\n<p>“The goal is to bring together a squad of people to build block themes all year around the same way the default themes are built,” Cabrera said. She cited other reasons for the proposal, including the need to increase the number and the variety of quality block themes in the directory, and capitalize on community momentum during times when no default theme is being actively developed. </p>\n\n\n\n<p>The reality is there simply are not enough block themes available to the community yet with the current count at 247. Last year, the WordPress project fell short of its <a href=\"https://wptavern.com/wordpress-ramps-up-social-learning-events-on-full-site-editing-project-aims-for-500-block-themes-in-2022\">goal to get 500 block themes in the repository</a> by the end of 2022. The world of patterns and the ease of inserting blocks into templates gives users more design flexibility than ever before, so the landscape of themes is slowly changing, but there is no replacement for finding a theme design that just works and enabling it with one click. </p>\n\n\n\n<p>The new Community Themes initiative may offer an easier onramp for theme developers who are still getting into block theming, as well as a supportive community of builders who spur each other on to create themes that are compatible with the latest and greatest features of WordPress.</p>\n\n\n\n<p>The Themes Team&#8217;s next hallway hangout discussion will focus on the goals and purpose of this initiative. Contribution opportunities will be available for all skill levels, including designing, coding, testing, and reviewing themes. If you are interested to help on this project, the team is inviting people to join the next hangout on <a href=\"https://www.timeanddate.com/worldclock/fixedtime.html?iso=20230307T15&p1=1440\">Tuesday, March 7, 2023, at 10:00 AM EST</a>. <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/291851732/\">RSVP</a> is required to attend online.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 20:46:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:152:\"Post Status: Brian Gardner On WordPress Now And Today, Talking Design And Workflows, Full Site Editing, Gutenberg And Beyond  — Post Status Draft 143\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147822\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:154:\"https://poststatus.com/brian-gardner-on-wordpress-now-and-today-talking-design-and-workflows-full-site-editing-gutenberg-and-beyond-post-status-draft-143/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:60432:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">In this episode, <a href=\"https://twitter.com/bgardner?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor\">Brian Gardner</a>, Principal Developer Advocate at <a href=\"https://twitter.com/WPEngine\">WPEngine</a>, joins <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> to discuss the solid foundation WordPress established and how it might continue to expand into the future. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">3</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><a href=\"https://twitter.com/bgardner?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor\">Brian Gardner</a> initially found WordPress as a blogger. His journey led him to found Studio Press which eventually became part of <a href=\"https://twitter.com/WPEngine\">WPEngine</a>. Brian and Cory flashback into what was and lean into the potential future of WordPress.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Top Takeaways:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>Workflow Education.</strong> Getting adoption for workflows can be challenging. Agencies may resist changes to their workflow even if the change may bring significant benefits. Investing in education is key. Contributing to WordPress education by testing things and hosting workshops and demonstrations can ensure the project as a whole succeeds.</li>\n\n\n\n<li><strong>Scaling is the Safety of WordPress.</strong> Many of the page builder softwares are not built for much beyond brochure-type sites. The extensibility of WordPress makes so much possible for businesses looking to deliver excellent customer experience or expand their site capabilities.</li>\n\n\n\n<li><strong>Competition vs. Cooperation.</strong> Today there is far more competition in WordPress. In the early days, competition existed alongside cooperation. We were competing while we shared, learned, and grew together. This cooperation led to innovation within WordPress and cultivated a vibrant, growing ecosystem. A shift towards community innovation can remind us that a rising tide lifts all boats.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<div class=\"is-layout-flex wp-container-10 wp-block-columns sponsor has-theme-palette-8-background-color has-background\" id=\"StellarWP\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3 class=\"StellarWP has-theme-palette-1-color has-text-color\" id=\"Sponsor\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <span><a href=\"https://poststat.us/elementor\" rel=\"sponsored nofollow\">Elementor</a></span></h3>\n\n\n\n<p><strong>Elementor </strong>enables web creators to build professional, pixel-perfect websites with an intuitive visual builder. Quickly create amazing websites for your clients or your business with complete control over every piece, without writing a single line of code. Join <a href=\"https://elementor.com/community/\">a vast community of web creators</a> from all around the world who deliver exceptional websites using Elementor.</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-top\"><div class=\"wp-block-image elementor-logo\">\n<img src=\"https://cdn.poststatus.com/wp-content/uploads/2022/08/Elementor-Logo-Symbol-Blue-150x150.png\" alt=\"Elementor\" class=\"wp-image-104033\" width=\"150\" height=\"150\" title=\"Elementor Logo\" />Elementor</div></div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://www.blogger.com/\">Blogspot</a></li>\n\n\n\n<li><a href=\"https://www.studiopress.com/themes/revolution/\">Revolution</a></li>\n\n\n\n<li><a href=\"https://www.studiopress.com/\">Studio Press</a></li>\n\n\n\n<li><a href=\"https://twitter.com/nathanrice\">Nathan Rice</a></li>\n\n\n\n<li><a href=\"https://wptavern.com/\">WP Tavern</a></li>\n\n\n\n<li><a href=\"https://twitter.com/justintadlock\">Justin Tadlock</a></li>\n\n\n\n<li><a href=\"https://webflow.com/\">Webflow</a></li>\n\n\n\n<li><a href=\"https://www.figma.com/\">Figma</a></li>\n\n\n\n<li><a href=\"https://twitter.com/ajmorris\">AJ Morris</a></li>\n\n\n\n<li><a href=\"https://twitter.com/RafalTomal\">Rafal Tomal</a></li>\n\n\n\n<li><a href=\"https://www.designkit.org/\">Design Kit</a></li>\n\n\n\n<li><a href=\"https://frostwp.com/\">Frost</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/\">WordPress Learn</a></li>\n\n\n\n<li><a href=\"https://www.godaddy.com/\">GoDaddy</a></li>\n\n\n\n<li><a href=\"https://automattic.com/\">Automattic</a></li>\n\n\n\n<li><a href=\"https://www.squarespace.com/\">Squarespace</a></li>\n\n\n\n<li><a href=\"https://www.wix.com/\">Wix</a></li>\n\n\n\n<li><a href=\"https://www.weebly.com/\">Weebly</a></li>\n\n\n\n<li><a href=\"https://www.shopify.com/\">Shopify</a></li>\n\n\n\n<li><a href=\"https://twitter.com/Sara11D\">Sarah Dunn</a></li>\n\n\n\n<li><a href=\"https://www.gravityforms.com/\">Gravity Forms</a></li>\n\n\n\n<li><a href=\"https://pagely.com/\">Pagely</a></li>\n\n\n\n<li><a href=\"https://www.wpbeaverbuilder.com/\">Beaver Builder</a></li>\n\n\n\n<li><a href=\"https://elementor.com/\">Elementor</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/bgardner?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor\">Brian Gardner</a> (Developer Advocate, <a href=\"https://twitter.com/WPEngine\">WPEngine</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p><strong>Cory Miller:</strong> [00:00:00] Hey everybody, welcome back to post draft. Um, I don\'t even know what to characterize this, uh, this se, this interview, Brian. Um, but I\'ve got a very old longtime friend, not that he\'s old, just that we go way back. Um, to, when I started with WordPress, I found this guy named Brian Gardner. And so I thought, um, who better to talk about with WordPress being 20th this year, our 20th anniversary, um, Brian, who was instrumental in a lot of things that helped, um, Build and grow this cool ecosystem we call the business of WordPress.</p>\n\n\n\n<p>But anyway, um, Brian, welcome back. I think you\'ve been interviewed before, probably like by Brian or somebody. Yeah. But welcome, welcome to the post draft podcast.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Uh, thank you for having me. Uh, one point of clarification. I am old. I\'m 48. Um, nearing, nearing 50. And in, you know, today\'s terms and. Even as it relates to [00:01:00] WordPress and people who are in this ecosystem.</p>\n\n\n\n<p>I\'m old and I\'m okay with that. Cause, uh, with, with that comes wisdom and experience and, uh, the ability to shepherd. So, uh, I embrace the stage of life that I\'m in.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. That\'s awesome. Well, you know, when we first started and met, we were in our thirties . Now we\'re in our forties, and it\'s like, uh, I thought there\'s a nostalgic fact to that.</p>\n\n\n\n<p>Absolutely. But also, yeah, you\'ve, you\'ve been there and seen things evolve over the years. Um, okay. So thank you for that. Thank you for being on, being on today. Um, I, uh, I wanted to talk a little bit about the past. Um, and tell me how you found WordPress.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> I don\'t even know if I know the story, by the way.</p>\n\n\n\n<p>Yeah. You know, like it\'s been a while since I\'ve told the story. Um, and, and a lot of things I talk about, people still don\'t even understand what, what it was or what it was back in the day because it just, you know, they\'re [00:02:00] newer and stuff like that. Um, but I was working as a project manager at an architectural firm, and I just wanted to start writing and blogging.</p>\n\n\n\n<p>Blogging at that point was sort of in its infancy and there were, you know, things like movable type and Google\'s, Google\'s blog spot and, you know, WordPress was a thing back then. But I started with, uh, Google\'s blog spot, which is their blogger platform now. Uh, and some, somewhere along the way, I ran into somebody online who said, Hey, you should check out WordPress.</p>\n\n\n\n<p>It\'s you. It\'s a little bit more sophisticated, you could do more stuff with it. And I\'m like, yeah, sure. Okay. So I tried to install it, couldn\'t figure it out. So I did the whole, you know, Google my way through all of it. Uh, and I was like, okay, now that I get this, this is kind of cool. I\'m kind of glad that I learned how this works and whatnot.</p>\n\n\n\n<p>It\'s all, it\'s all new internet stuff from back then. And, uh, I remember trying to go through, and I don\'t remember WP themes.net or something like that, wherever the at, at the time the free, uh, theme directory was hosted and I couldn\'t really find [00:03:00] anything I liked. Um, and so I just took some, one of the themes down and I\'m like, well, maybe I can try to change some things inside these files.</p>\n\n\n\n<p>Didn\'t know anything about HTML or CSS , but I was like, well, let me just try right? Uh, and I just started hacking my way through the theme, sort of reformatted it. My O c d uh, didn\'t like the, the, the line breaks and the indentation haphazardly that, that were in the theme file. So I started there. Um, that hasn\'t changed to date.</p>\n\n\n\n<p>Uh, the tendency to be obsessive around, uh, formatting of code, but, um, just learning, you know, what a hex code was and how to change a color or spacing, uh, through the theme and the theme style sheet, um, kind of gave me to a point where I was like, okay, well I created something and now I feel like this is mine.</p>\n\n\n\n<p>Right? It was sort of like forking something, but I didn\'t even know what that meant at the time, right? Because open source didn\'t mean anything to me. I was just doing a thing. And so, um, you know, the, the fast forwarded version was I, I started developing free themes, giving them out for distribution, and [00:04:00] then customizing them as a moonlighting sort of gig.</p>\n\n\n\n<p>And from there, uh, revolution, the theme the design came about. And, uh, when that was rejected by a real estate agent in Boston, uh, it was an opportunity that probably changed for certain the trajectory of my life, but likely that of others as.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah, so, uh, uh, we were talking before we started recording that maybe there\'s a lot of people in WordPress today that don\'t remember those, but I think it\'s important to reflect back that time.</p>\n\n\n\n<p>Back then, Brian was the wild, wild west, uh mm-hmm. like, you know, movable type had had done their thing and there was this mass exodus over to WordPress, which. I think one of the biggest, you know, parts of, uh, WordPress\'s success was they, uh, the leaders at that community made kind of a misstep and it mm-hmm.</p>\n\n\n\n<p>it was an access over here, but that produced this. There was cool code coming in and that, you know, things in WordPress and, but there [00:05:00] was this, that\'s what I remember finding as this desert of good themes.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yep. That was rock.</p>\n\n\n\n<p><strong>Cory Miller:</strong> And that\'s where you were rocking, man. That\'s how I found you. I think I found you through a free theme, um, and was like, wait, who\'s this guy?</p>\n\n\n\n<p>I like his design. And then we struck up a friendship that was on this thing called Talk. Yep. Uh, okay. So fast forward then you started Studio Press. Mm-hmm. 2008. Um, and then tell us a snippet of that. I think many people know that, but let\'s make sure we cover that. Uh, and then you started what became Studio Press, correct.</p>\n\n\n\n<p>And you wanna share that little snippet of story?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah. So originally it was all called Revolution. And at the time I didn\'t know anything about intellectual property and so I just named something what I wanted to name it. And unfortunately, the product of having it become successful is it gets put on the radar of.</p>\n\n\n\n<p>Technology and software companies. And so the short of it is we rebranded to studio. [00:06:00] Uh, as a result of a cease and desist letter I received from a a t uh, a company in the United Kingdom, it, it probably would never have gone anywhere, but it was not worth my hassle to fight it. So, so we rebranded a studio press.</p>\n\n\n\n<p>Uh, not too long into that is when, um, we made some hires. Nathan Rice, who, you know, is, was one of them. And we sort of built this framework called Genesis, uh, together. Um, was a theme framework, child, parent theme system that essentially ran the, the tenure of studio press\'s, uh, glory days and, uh, you know, for the better part of 10 years.</p>\n\n\n\n<p>And, uh, it\'s, well, five years, gosh, hard to believe Five years in June will mark, uh, the anniversary of the acquisition of Studio Press from WP Engine. So, uh, there\'s a lot of in between all of that for sure. Um, but yeah, it\'s, uh, it\'s still. It\'s hard to believe.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, I wanna set that too, just in case to show how far you back and what you\'ve done and part of that, um, but then I want to catch up too.</p>\n\n\n\n<p>[00:07:00] What are you doing today? Mm-hmm and what\'s interesting, I know I\'ve seen some things you put out, uh, with full-size ed editing. I\'m like, Brian\'s geeking out over there doing this thing. But tell me what you\'re doing now and what you\'re interested in. With WordPress.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah. So before I get to that point, one of the reasons we sold studio press was at the time our, our partnership team didn\'t wanna necessarily, or because we had other things in our, on our agenda, we didn\'t wanna figure out what this Gutenberg thing was coming.</p>\n\n\n\n<p>Right. It was at the time, it was just announced this, this editor thing. And I told our team, I\'m like, look, either we need to like lean in and like really like double down and invest into where WordPress is going with this and what that means for our product and what we\'re working on. Or we need to just, you know, kind of call it a day and uh, focus on our other projects.</p>\n\n\n\n<p>Some of us were already doing personal things and it was time we kind of wanted to go do our own thing anyways, individuals, And so we\'re, we set out to find some, some people to see if there was interest in acquiring studio press. And so [00:08:00] we sold Studio Press in summer of 2018. And I was like, Hmm, maybe that was it.</p>\n\n\n\n<p>Maybe that was the extent of my WordPress tenure. And, uh, I was gonna try to do other things and I was interested in just trying, just different stuff. Cuz at that point for what, 10 or 12 years, I\'d been just doing WordPress theme design, um, pretty much every day. And so, um, yeah, you know, like. So a couple years went on, I did some agency work.</p>\n\n\n\n<p>I messed around with some real estate tech ideas and whatnot. Uh, certainly never forgot about WordPress. Continued to always use WordPress, followed along with, you know, the developments of Gutenberg and the editor and all of that. And it was about two summers ago, I came across a, an article on WP Tavern, um, from Justin Tadlock kind of showing a, showing what block patterns were and, uh, how they work and sort of the, and I just literally tweeted this a few minutes ago.</p>\n\n\n\n<p>Uh, one of my favorite parts of it all is sort of the, um, The replication [00:09:00] aspect where you can copy and paste and, you know, things happen so much easier and quicker now. And when I saw and understood what patterns were, uh, sort of immediately stopped me in my tracks and sort of was the, um, the seed that was planted for Frost, which is a, a WordPress theme now that WP Engine owns.</p>\n\n\n\n<p>And we\'re using that on our developer relations team to sort of showcase, uh, the possibilities of the editor and use it for educational purposes. And so, you know, Love WordPress. Probably never been as excited about what it is and what it can do. Uh, as you know, I\'m more excited today than I\'ve ever been.</p>\n\n\n\n<p>Uh, I get to do design related things around it. And I just really, you know, the landscape has changed the competitive landscape, right? You\'ve got Webflow and Figma and all of those types of tools that now sort of, and we can get to that sort of pose, existential threats as we try to work our way through sort of all these phasing, um, that I\'m still bullish and I, [00:10:00] I think, you know, 43% of the internet still uses it.</p>\n\n\n\n<p>So on some level there\'s some security involved, but, uh, you know, we wanna be the change. That\'s why we exist. Our team at, uh, WP Engine.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah, I\'m glad, I\'m glad to hear, uh, someone else say that cuz I\'m, I\'m right with you. There are existential threats. Two WordPress, you, you mentioned Webflow and . I talk about that a lot.</p>\n\n\n\n<p>We, we, AJ Morrison and I looked at it a couple weeks and I was like, wow. Um, when you look out the landscape today, so much tech just accelerates an impossible pace. And I\'ve looked at it. Gone. Okay. WordPress needs to kind reestablish ourselves, but I\'m so happy to hear though that you see opportu. And hope, um, with, and, and, and I hear it from what you just said is like full side editing, Gutenberg, and I\'m curious your thoughts about that, where we are now, where we\'re going.</p>\n\n\n\n<p>Um, you\'ve had a big presence obviously in design and theme work within WordPress and been a champion for that for a long time. [00:11:00] But I want to hear what you\'re excited about and passionate. And why, why, why this full set editing, why set frost, for instance, the patterns, how, what you\'re working on, what you\'re thinking about, what you\'re dreaming of.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> You know, like we all live in a, a no code, easy click, drag and drop sort of society. And like all of the stuff that you and I built like back in the day right? Like was all hard coded. And, and even the PHP files, the text, it was all hard coded. And, and I. To update your website, you\'d have to go into a file and change text in a PHP file, which nobody ever wants to do unless you built some sort of gooey for it.</p>\n\n\n\n<p>And so like, like throughout the years, even as I look back on what we did with Genesis, there were still elements, you know, it was not ideal to, um, I mean, at the time it, I guess it was the only option, but it, looking back on it, it was not ideal to, uh, create a front page file with a bunch of widget areas and you managed your homepage by way of like eight different widgets.</p>\n\n\n\n<p>And then, You know, inevitably somebody would say, well, I wanna replicate this [00:12:00] page and use it for like an inner page. I\'m like, well, okay, you gotta recreate the file, re-register eight more widget. It just, it was a mess. And so where we\'re at today and why it excites me so much is that it\'s so easy to do all of the things that have been historically hard or difficult in WordPress.</p>\n\n\n\n<p>And of course when you compare them to some of these other software technologies like Webflow, which are even easier than WordPress has ever been and may ever will be. That\'s kind of where you\'re like, okay, this is great that WordPress can do this, but like there\'s a, a ton of other companies and, and of course we haven\'t even talked about the page builders yet, with which within the WordPress ecosystem sort of precursor where we\'re at now with the capabilities.</p>\n\n\n\n<p>Um, it just, it. I\'m a framework kind of person, and when I understand how something works and kind of can work within and build product around, like I, that really excites me. That brings me joy. It allows me to like, um, exercise and flex some of the design muscles because I\'ve got a system that can accommodate, [00:13:00] like changing and, and modifications so quickly.</p>\n\n\n\n<p>Um, and just that, that\'s part of, I think what excites me the most, just having the ability to deliver something to an end user who. You know, make it their own and, and have a demo, like without having to like, spend an hour recreating it. Um, so just looking within the WordPress kind of product system itself, just where we\'re at now is, is so much more.</p>\n\n\n\n<p>There\'s, the capabilities are so much more than they\'ve ever been.</p>\n\n\n\n<p><strong>Cory Miller:</strong> So full side editing. I haven\'t dug in fully to it, but I see the promise that it holds. Um, and then you mentioned like Gutenberg with blocks and patterns. So much potential there. Yes. But it kind of harkens back to when we started. You know, there\'s opportunity here.</p>\n\n\n\n<p>People need to come in, like you and others, I think at Rich, rich Tabor and mm-hmm. you and different people in the design space and go, here\'s what could be of this. Here are practical applications of that. [00:14:00] Um, tell me a little bit about your work with Frost in, in that. Is Frost kind of that, um, your r and d lab for doing this kind of.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah, it is. Uh, a lot of people who followed me in studio press back in the day know of a gentleman, a very talented designer named Rafa Tamal. Uh, he was our lead designer at Studio Press for a long time. He is on his own now. Uh, he actually created a thing called Design Kit. It\'s a Figma. Product that allows sort of like a wire frame system inside of it where, you know, he\'s got a library of various components of a website, headers, footers, featured section hero sections, testimonials, all that kind of stuff.</p>\n\n\n\n<p>And the idea behind that was um, through Figma you can create files and do mock-ups for clients and stuff like that very quickly cuz you have a library of these sections to work with. Well, when I realized what block patterns. Which are essentially the same thing to sort of the WordPress coded version of these things in Figma.</p>\n\n\n\n<p>I was like, wouldn\'t it be really cool if you could set up a system that basically had like [00:15:00] a library to choose from, where you could insert into WordPress\'s dashboard, like, I want to insert this header with this section and that section, and just like top to bottom, build a page out within a matter of a few clicks.</p>\n\n\n\n<p>And so in its infancy, that\'s what Frost set out to be. Frost was a very vanilla sort. Not opinionated design, black and white wire frame setup, which has a bunch of patterns in there, several headers, several footers, all the kinds of sections that you could think of building. And the idea behind that was just to, if anything, help us inform ourselves on how this all works, how it can be used to like build sites and then.</p>\n\n\n\n<p>WP Engine brought that in when I was hired, and so it\'s been sort of like our, our toy within developer relations to sort of showcase things and build things. We\'re gonna hopefully move that into a little bit more production ready, um, staging here pretty soon, uh, so that people just can use it, um, beyond its current capabilities.</p>\n\n\n\n<p>But yeah, so Frost is, is [00:16:00] just sort of our experimental thing. We, we stay up to date with all of the latest updates that Gutenberg the plugin brings. So once Gutenberg ships, frost has a dependency on it. So we can like leverage all of the things that are coming so we can show people how it works, how it\'s built, how it can be used.</p>\n\n\n\n<p>And so it\'s just, it\'s been sort of like an anchor in inside our. You know, I</p>\n\n\n\n<p><strong>Cory Miller:</strong> think back about, I still create WordPress websites this way, but of course the Gutenberg tools has gotten really good and yeah. And, uh, I\'m fully embraced Gutenberg. Um, but you know, back in the day, you know, you had a theme. You were talking about changing CSS and stuff like that, and, um, as I\'ve talked to a number of agencies doing client work, you know, I always think about</p>\n\n\n\n<p><strong>Brian Gardner:</strong> workflow.</p>\n\n\n\n<p>Yep.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Um, Not to contrast it necessarily, but how, how do you envision the designer developer\'s workflow in WordPress with, with site editing? What, how do you [00:17:00] approach, I guess, might be a better way to ask it about building a WordPress website today? In 20th anniversary in 2023, you know, building a website project.</p>\n\n\n\n<p>I\'m, I\'m just curious, uh, I learned a lot of the theme stuff that I know from you mm-hmm. , um, in the early days. So I\'m curious, I\'m gonna ask the same question. 16, 17 years later,</p>\n\n\n\n<p><strong>Brian Gardner:</strong> much of what I do is sort of a do as I say, not as I do thing, just cuz I, I understand how things work so well behind the scenes that I, I shortcut a lot of things I think other folks have the ability to do.</p>\n\n\n\n<p>And that\'s not a flex necessarily and it\'s probably a drawback. Um, just a sort of a fly in the way. I, I like to do things. Personally, I just, you know, frost is a, is a blank slate theme and so generally, like I take it and fork it anytime I want to do anything with it. Um, You know, like if I\'m doing a client site, I\'ll take frost.</p>\n\n\n\n<p>First thing I\'ll do is rename everything for the client site. Similar to what we would do, you know, you rename the theme folder, rename the functions thing so that you know, it, it feels like, um, [00:18:00] it\'s a pro, it\'s something that\'s being custom built for, for a customer. Now you talk about agencies and, and that\'s sort of like what we\'ve encountered here.</p>\n\n\n\n<p>Uh, obviously agencies matter a lot to our business at WP Engine. And it\'s actually the, the subset of people who\'ve probably pushed back the most on Gutenberg and this block editor because of workflow. Because they\'ve got established workflows where teams have to sort of adhere to certain policies and certain standards and practices.</p>\n\n\n\n<p>And so it\'s harder, uh, many agencies just are built off of page builders, right? They, or not built off of, but they leverage page builders. So you\'re asking them to effect. Change their entire workflow, regardless of how cool and how easy it is, it\'s still a change, it\'s still a time investment. And so for the most part, in our experience with our, our developer relations efforts, we\'re, we\'re realizing that agencies are the ones that sort of resist the most.</p>\n\n\n\n<p>And that\'s okay. It\'s understandable. Um, but we\'re also sort of slowly just demonstrating, hey, the things that you\'re doing now can also [00:19:00] be done with word. Core capabilities, it can also be done quicker. And so while yes, there\'s an investment to learn how it works, but you know, the expedition of the expedition of workflow is I think what excites me the most.</p>\n\n\n\n<p>Sort of having library of patterns and things to draw from. Uh, you know, what used to take us, uh, 10 hours to build a site can take us two. Right. And so these are the kinds of things that I get excited about, not only for myself, but like for other people to say, Hey, here\'s, here\'s a new workflow that could actually be advantageous to your business.</p>\n\n\n\n<p>It\'ll help you scale, things like that. What I</p>\n\n\n\n<p><strong>Cory Miller:</strong> admire about what you did with you and your team did with Innocence is you created a workflow. Mm-hmm. , you know, for people to, and they\'re still fanatics about Genesis and for good reason. And, and I\'m curious, like, what do we need to do as a community? To help that.</p>\n\n\n\n<p>We want WordPress to still be the primary tool that people build. Yeah. Web projects on, um, what do you, what are the things [00:20:00] that need to happen? And I gather a lot of it\'s the work you\'re doing today. Sure. But I\'m curious, what are those hallmarks to make? You all did it once. WordPress is really good, like, you know, has that workflow established, but we need some new workflows to embrace WordPress.</p>\n\n\n\n<p>Full side editing. Good word, yada, yada. And what do you think those elements that need to happen?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Uh, a lot of it\'s educate, go ahead</p>\n\n\n\n<p><strong>Cory Miller:</strong> for, for those agencies, because I think about they\'re the people. Mm-hmm. , um, out there helping create that growth we\'re talking about with WordPress that\'s sustaining this for so long.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah, a lot of it\'s education. I mean, learn, the WordPress Learn team is doing quite a bit like as the project itself, there are, we see them now, GoDaddy, automatic, WP Engine, you know, these developer relations teams that are starting to form really are, are sort of a demonstration of giving back to the community.</p>\n\n\n\n<p>Right. Five for the future. Uh, cuz a lot of the work, at least that we\'re doing is contributions to WordPress testing things, helping make it better so that just the, [00:21:00] the project as a whole can, can succeed. Um, so education demonstrations, workshops, uh, the WordPress online, uh, at Meetup is, is a very big thing.</p>\n\n\n\n<p>Uh, a lot of the people who are doing that stuff are community members, people, you know, some, some sponsored, some, some not. I mean, we obviously get to do some of that as part of our job. Uh, Just demonstrating in just various forms, right? Because there\'s, there\'s all kinds of flavors of WordPress. There\'s people who are just using it as like end users, and there are people who are building Nassau websites with it.</p>\n\n\n\n<p>So we\'ve got, you know, to serve different subsets of people and to educate and show in different ways. I think, um, one of the biggest pushbacks, I think it was WordPress six point. Or at least this is maybe when it was shipping, was the sort of ability to lock blocks this whole block locking a p i, which was an agency pushback like, Hey, I, this is great for people who are like, tinkering around, but we don\'t.</p>\n\n\n\n<p>The last thing we wanna do is sort of, uh, equip our end user, our, our client with the ability to break their [00:22:00] site by just toying with, you know, settings. Things like that and buttons, and so WordPress added and they\'re still adding more capabilities for block locking, which basically means you can set up a whole section of a website and just.</p>\n\n\n\n<p>Block, block locking them out of being able to manipulate it. Like, hey, can\'t, like move the columns around, but you can change the text. Right? And that\'s something that, that would be very appropriate to turn over to a client. Um, sort of protects the integrity of the site, but allows them to sort of maintain and manage it themselves.</p>\n\n\n\n<p>So there\'s just a lot of flavors of that. And I, I, documentation is probably the one thing that lacks the most because everything is moving so quickly, like things are changing mid-flight and all of that. So it\'s hard. Even do some of this stuff because by the time you cite, you know, the, the joke, the Golden Gate Bridge, once you get done painting the Golden Bri Gate Bridge, you\'d have to go back and start again.</p>\n\n\n\n<p>Cause it takes so long to do it. It, it\'s similar with documentation. By the time you like produce something and show someone how to do that, like the site editor screen or the u the user interface changes and so [00:23:00] therefore, like you gotta update it and things like that. So, I think we\'re at a really good point.</p>\n\n\n\n<p>6.2 should deliver and sort of level off a lot of this stuff that\'s been kind of coming so quickly, uh, which I\'m really excited about. Cuz now it\'s more about, okay now, now that things are stabilizing a lot, now we can convince people it\'s trustworthy software to use. We can feel better educating people and showcasing how things work cuz sort of.</p>\n\n\n\n<p>The, uh, the screenshots don\'t tend to change as much, and so now it\'s more just a matter of kind of rolling up our sleeves and doing the work and showing people how it can be used, how it could be beneficial to their company or business, and effectively help them change their workflows to, to leverage inevitably what\'s here and what\'s still coming.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Well, I know back in when we started out, you know, anybody, the beauty WordPress is anybody could pretty much with that five minute install mm-hmm. , um, create something on the web and have it in this database and [00:24:00] all these tools there and over time and um, I think I\'ve seen, I know you\'ve seen it too, but it\'s just the Squarespace, wick, Weebly effect.</p>\n\n\n\n<p>Mm-hmm. this tool underneath these tools, sets of tools underneath like a webflow. and, um, gosh, start to, to really, I, I would say a road, but like, That market, even though I still prefer to do it here, I\'m not gonna go to Squarespace weekly. I know that, like you said, I know the, I know what I\'m dealing with here.</p>\n\n\n\n<p>Mm-hmm. . Um, the unfortunate thing is sad for me is that I don\'t, I wonder about that market, but your work at WP Engine, you all do great project work and um, with the hosting that you all provide, but your clients are doing really cool projects. Mm-hmm. , and I\'ve seen this like section out of. Client work side of things, uh, this, this do it yourself or still there?</p>\n\n\n\n<p>Um, you know, somebody preferred just to use Squarespace and Weebly and that. They go to WordPress. But then I see two things, particularly in [00:25:00] Postes, kind of what I call a boutique agency. They\'re doing 25, 50, 70 $5,000 projects with a kind of size of business. You know that someone is hiring someone to do it with more complexity.</p>\n\n\n\n<p>Yep. And then I see another, and I don\'t have these perfectly out, but I see these broad strokes of enterprise. At scale project, which is awesome. Like, I can\'t imagine someone trying to deliver an enterprise project and going, wait, there\'s 50 people that could touch this. 500 people. I don\'t know. You know?</p>\n\n\n\n<p>Yeah. Um, that\'s one thing I\'ve seen that I kind of, um, I\'ll, I\'ll just tell you as we go. Way back is sad. Yeah. This bottom market\'s going on. But I\'m curious what you\'re seeing, particularly with your work at WP Engine too, is the kinda. That\'s being done on this scales up from the, I have an idea. I can roll my website out With this thing called WordPress.</p>\n\n\n\n<p>Yeah. To more complex type organizations and things like that. What are you seeing with in, in [00:26:00] those realms?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> I see. Well, WP Engine for sure. And I think just WordPress in general. Um, generally gravitating, even though Guttenberg itself, the editor\'s intent was really to accommodate sort of the DIYers, right?</p>\n\n\n\n<p>The tinkerers and the, the Wicks and Squarespace types. WordPress\'s Bread and butter has primarily been, even though it started as a plugin platform, really, it\'s a really good c m s and there\'s a lot, just all because of it\'s open source nature, all of the plugins that exist, the ecosystem and the extensibility.</p>\n\n\n\n<p>Um, I don\'t think that that is the, the, the, the market that I think will be able to sustain sort of all of what\'s going on the most because Squarespace and Wick and Webflow, these are all. Catering more towards like the single user, small, very small boutique, you know, brochure type sites of things.</p>\n\n\n\n<p>Anything beyond that. Those, those, uh, those softwares can\'t even come close. Shopify\'s about like the only exception. I mean, it\'s very specifically built for [00:27:00] e-commerce and, and to scale with e-commerce, but there\'s not a lot beyond that. And I think that\'s where WordPress will kind of ultimately stay safe.</p>\n\n\n\n<p>Which doesn\'t necessarily feel good for the boutique agency who\'s now losing out to people, building their own sites on some of this other stuff. But, uh, and so I think there, there needs to be sort of a mind shift to some degree. Um, I\'m not saying a boutique agency has to like all of a sudden become 10 up.</p>\n\n\n\n<p>Um, But just there, there is a change and I, I think for better or worse, it\'s gonna sort of hinge on who, who responds to what\'s here and, and all of that. Uh, cause I think at some point people will, a, a client will come along and say, I\'ve heard of WordPress in this new block thing. I need a site built that way.</p>\n\n\n\n<p>Uh, and what we tell everybody we talk to, um, which, which is quite a bit of people. At some point you need to be, that\'s your value add that you could build with, we call it modern WordPress. Right. Um, and if you say, well, I, I could build it in classic press, like that\'s not gonna ultimately be a great plan of action.[00:28:00]</p>\n\n\n\n<p>Yeah.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I\'m curious what you\'re seeing at the enterprise. It\'s a space I. We\'ve, we\'ve, we both have friends that have played on that level for the longest time, and I always, when I hear enterprise, I get excited about WordPress, but I know there\'s challenges there too, but, mm-hmm. , what are you seeing with your enterprise?</p>\n\n\n\n<p>Um, Agency clients, um, at WP Engine ,</p>\n\n\n\n<p><strong>Brian Gardner:</strong> I personally don\'t interact that much with like enterprise at that level, mainly because, you know, my, my heart and uh, affection generally kind of like lends itself towards like the, the small town , you know, you know, less Walmart and more, you know, Joe\'s. Grocery store sort of thing.</p>\n\n\n\n<p>I just generally like to work with people who are on smaller scale. Um, I know we\'ve got all kinds of, several, you know, just talented people and, you know, client services and things like that around our enterprise business. Uh, and I know we do a lot of, lot of great bit things. We\'ve got huge contracts and stuff like that, so obviously we\'re very invested in WordPress and [00:29:00] where it goes.</p>\n\n\n\n<p>We\'re very, you know, yeah. Interested in trying to like, make the, the hosting and sort of the website experience altogether better. Um, so I, I can\'t speak specifically to like what we\'re seeing. Sure. Right. Like that\'s probably for someone else to answer. Um, yeah. But I know that people, you know, there\'s, people are starting to ask questions like, Hey, what is, what does all this mean for us?</p>\n\n\n\n<p>Right? And it\'s, yeah. Not necessarily our team at developer relations to answer those questions, but like, as a company, we need to say, Hey, this is what WordPress\'s trajectory means for enterprise type. Yeah, well a</p>\n\n\n\n<p><strong>Cory Miller:</strong> lot of those boutique agencies I\'ve talked to at, in, in the post status community doing so cool things, I\'ve carved out these cool niches.</p>\n\n\n\n<p>Mm-hmm. , I didn\'t envision, um, you know, doing membership sites and e-commerce. With WordPress Pandemic took a lot of in-person, um, physical location businesses and they had to figure out how do we do web? And I thought, I didn\'t [00:30:00] like what they, everybody had to go through, but I, I like the fact that now a lot of these physical in-person businesses have, web presence, that ads, they have something that kind of extends their business.</p>\n\n\n\n<p>And I love hearing those stories. And I imagine that\'s a lot of the people you\'re talking about that you work with too, showing how they can, um, use this awesome tool called WordPress to really deliver excellent client work.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> Yeah, I, I haven\'t been asked a lot lately, like how, where do I see the successes happening sort of with people within WordPress and, and from a product side, but also from like a service side.</p>\n\n\n\n<p>I think, you know, we\'ve started to see this over the last five years or so, sort of this nicheing of sort of, uh, ca, you know, capabilities. Sarah Dunn, she\'s a, a WordPress person that a lot of people know. She sort of niched down into like the wedding industry and she like completely owns it there. And she was one of the first people that I really was like, you know, like intellectually you\'re like, oh, don\'t niche down.</p>\n\n\n\n<p>Like be, you know, jack of all trades, [00:31:00] right? And so when I started to like really understand like where WordPress is going and I feel. Wholeheartedly that right now, like the people who are gonna rise above are the people who say, I, I don\'t wanna just build WordPress websites. I want to build education WordPress websites, or I want to, you know, be the e-commerce guru, or I want to become the l m S Ninja.</p>\n\n\n\n<p>You know, like where you become known for like, and be an expert in. Providing a solution and with all of what WordPress can do, and this is sort of like talking about like blocks and plug-ins and things like that, is people who will go into a certain market and provide and just take WordPress beyond its sort of general capabilities and say, I\'m going to either build, you know, a plug-in suite or a block suite that caters to a very sub specific subset of people, and then that that\'s where the value truly comes.</p>\n\n\n\n<p><strong>Cory Miller:</strong> So the, and, and I love that too. It\'s uh, 500 flavors times exponential of cool stuff that\'s happening that, [00:32:00] that I didn\'t even know was possible. But it is possible cuz they showed, they showed that you can do it. So I want to kind of turn our attention now as, so you\'ve seen a lot in WordPress over the time you\'ve been involved.</p>\n\n\n\n<p>What are some of the things, looking back, the hallmark. Things that have happened that, um, showcase who we are as a community and who this, what the software is in the world. As you reflect back, what are the things that come to mind? It can totally be theme and design related, or they can be general, but I\'m, I\'m asking these questions.</p>\n\n\n\n<p>A lot of people that have been around Sure. For a long time because I think it\'s very important to reflect back and go, this, this was. Now the second part would be re-imagining the future, right? So as you reflect back, what are those, what are a couple of those key things that moments in our WordPress history or whatever that really, um, made the difference?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> As you know, I have an 18 year old son and so a lot [00:33:00] of our time as a family can\'t believe it. By the way. I know it\'s talking about like how life used to be for us as you know, gen Xers and what life is like, you know, for kids nowadays. Right. Zach and I were just talking about like social media and how he just doesn\'t like the pressures that it brings, and I was like, well, back in our day.</p>\n\n\n\n<p>Right. We didn\'t have to worry about that, even though there\'s benefits to it. Right. And so I think WordPress similar has some similar elements. Right. Like back when we started. There was a lot of true co competition, right? We talked about that word, sort of the co-opetition part of. We were all helping each other.</p>\n\n\n\n<p>You and I were competiting competing, but like we\'re on Google Chat, like comparing notes on how we\'re succeeding and what we\'re doing and what works. And I feel like to some degree life was simpler back then, right? Sort of cliche. Um, it just, yeah, the complexities were lower. There were, there was, it was a smaller market, you know, obviously it wasn\'t 43% of the internet, but it was certainly enough, uh, you know, a handful of people doing things and.[00:34:00]</p>\n\n\n\n<p>I think the success of the premium theme industry sort of sparked sort of the, the sort of like a, a marker here, sort of the, the initial growth of then the plugin market, right? Uh, gravity forms a good example. WooCommerce kinda like the early plugins that\'d say, Hey, you guys do themes, we\'re gonna do functionality, right?</p>\n\n\n\n<p>We\'re gonna sort of find our niche. With, with providing, uh, functionality for people who are using WordPress. And so you kind of go into like the growth and the explosion of the, the plug-in market, which arguably could have dwarfed the theme market because there\'s just so many use cases for it. And so like, that\'s like the first thing I was like, okay, that\'s kind of like when we all started to grow up, right?</p>\n\n\n\n<p>We kind of like, we graduated college and we\'re like, we\'re in the real world now. We\'ve all got real world businesses, like companies making millions of dollars doing things. This is not just like a. Software anymore that the, an ecosystem was formed. Um, and from that, like companies like WP Engine, you know, you know, uh, GoDaddy Page, Lee, all of the people, you know, you [00:35:00] see these acquisitions that so-and-so sold for a hundred million dollars.</p>\n\n\n\n<p>And I think people start to realize, okay, and that\'s when. Um, like a lot of stuff like that\'s when like sort of the greed comes into it, like the V C E O, there\'s real money to be made here, and so it starts to sort of taint the innocent ness of what we got to experience. I often tell Zach, I\'m like, man, life in the eighties was great and y\'all missed out, and I feel bad for that.</p>\n\n\n\n<p>You know? And I, I feel the same way with WordPress that some people who are like, I just started like three years ago and you know, like you jump in and it\'s like living in Tokyo. There\'s like ev people like bustling and like cars everywhere and like transportation and it\'s like, You know, the good old days like hope floats.</p>\n\n\n\n<p>Remember that movie, you know? Mm-hmm. , like small town Americana. Like, I, I miss that. I, I still miss it. Even now, like, again, one of the reasons we sold studio press, I didn\'t know we could compete, and that was from a person who effectively created the market that he was trying to compete in. And so, [00:36:00] you know, Lots, lots of stuff that come into play and, and this dovetails into all of the, the iceberg and mental health stuff, which certainly is a real thing, but, uh, maybe for another, another podcast, but lots to deal with there.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I, I love the emphasis on cooperation that Spirit, WordPress and Open Source and those of us that were starting product companies back in then as a real spirit of cooperation and, um, I think we need a return to that today. Um, for sure. So I\'m so glad you mentioned that, um, because that, that\'s the, the software\'s cool community is what lights it up and makes it magic and.</p>\n\n\n\n<p>People going, I think the subpart of what I take from yours too. Innovation, an idea to do something that solves a problem that\'s really good for the business that has made the business of WordPress what it is today. Mm-hmm. . And I think there\'s challenges we [00:37:00] talked about with WordPress and um, and, and the web.</p>\n\n\n\n<p>But that, I\'m excited because I think there\'s always somebody new coming into the community that has an idea, has something that\'s gonna break the innovation wall down. Um, I think about page builders like you mentioned earlier, beaver Builder and Elementor, and going, when I, when I left Ithe was trying to build, rebuild my site, and I went and used one of those tools and I thought, holy cow, this is.</p>\n\n\n\n<p>We wanted what we tried to do. Yeah. But they did it really well, obviously by their success. Um, and you go, that\'s the cool stuff we need now a return back to that cooperation with innovation. Mm-hmm. and why I, what we do at post status is, I wanna always make sure we have a healthy, vibrant growing business ecosystem, which means we do want WordPress to be successful anyway, cuz we love it.</p>\n\n\n\n<p>We\'re zealots, you know, of open source software. Okay, so I, I [00:38:00] take first is cooperation. What</p>\n\n\n\n<p><strong>Brian Gardner:</strong> else? Ah, Sometimes it, it feels like a blur, you know? Yeah. , yeah. You know, community innovation, just a, a lot of that sort of dovetails in and around, you know, you know, it\'s an ebb and flow in just the, the product life cycle and the community life cycle.</p>\n\n\n\n<p>Um, I\'m trying to think if there\'s any, anything specific. Um, I mean, Genesis for us was obviously a big thing. It really formulated the whole idea of an ecosystem of developers and builders rallying around a, a project, um, who themselves found, you know, co-opt. Petition to help. You know, rising tide lifts all boats, right?</p>\n\n\n\n<p>You had a bunch of people who were developing with the same software, effectively competitors against one another, yet they were the ones who were like referring business to one another and helping answer questions in a forum on how to do stuff because. It really, and, and I\'ve really tried to operate this personally, is the sort of [00:39:00] pay it forward mentality, which is someone was there before you and they wrote about how to do it, and you learn from that and you figured out how to do it.</p>\n\n\n\n<p>And so like the next person who comes along, um, should have some artifact of, of what you learn so that they can then learn how to do it and then, you know, sort of the, the chain goes on. Um, but yeah, I, you know,</p>\n\n\n\n<p><strong>Cory Miller:</strong> What about with the software in particular? Um, obviously we were Drew, we, we, we met and we did this thing cause we were drawn to the software that was enabling us to do things.</p>\n\n\n\n<p>Are there from the software side, um, things you look back and go, you know what that point. Was a critical shift for, you know, for the core software that enabled something. And I, I have my own thoughts, but I\'m curious yours particularly because you, you\'ve always come at it with a design perspective and how do we, this workflow side of like, how do we produce these things that are maybe in our head with this software?</p>\n\n\n\n<p><strong>Brian Gardner:</strong> [00:40:00] So I would say Genesis was one for me personally. And then obviously Gutenberg has been like the second big one. Genesis Al enabled me to do a lot of the things that were sort of pain points. Um, Specifically around beams and designs and websites, stuff like that. Um, so Genesis was like the first like extension of WordPress that said, oh, I can now do all these things that like, I felt were limitations, even though there were several, several things that were like suboptimal about it.</p>\n\n\n\n<p>Um, at the time it was all we could do. Why I\'m so excited now is because like all of those things that I thought were difficult, even though we could work our way through them, Is now possible, uh, to do, uh, there are things I wish I could do better, right? I wish I could build blocks. I wish I could build plugins.</p>\n\n\n\n<p>And so like, I have personally a lot of ideas that I wanna execute on. Um, but I\'m like, all I could do is mock \'em up in Figma, and that\'s the extent of it. And so I wish, I wish, yeah, I, I wish I knew how to build stuff better. Um, and I\'m sure a lot of [00:41:00] other people are, are sort of in the same. Well,</p>\n\n\n\n<p><strong>Cory Miller:</strong> okay, so you mentioned Gutenberg with, I think it\'s critical.</p>\n\n\n\n<p>I was curious if you would mention Gutenberg, but um, talk to me a little bit about Gutenberg and what you\'re seeing, particularly with that part of the project and into the future. What are your hopes and dreams for that, that the software goes to enable people like you, other designers, and even me, I would say still benefiting from all this, um, thoughts about Gutenberg now and into the.</p>\n\n\n\n<p><strong>Brian Gardner:</strong> So Gutenberg for me, really helped make product building and product delivery a better and more delightful experience, right? Like I could build something that looked good, but telling somebody how to do it in the way it had to be done was really problematic. Documentation back in the, like, gotta open these files and do all these things.</p>\n\n\n\n<p>That is really not great for somebody who\'s not versed in WordPress or PHP or anything like that, even though it was the only way to do it. And I, I some I sometimes, I, I have a local copy of the [00:42:00] Revolution, original Revolution theme, and every once in a while I just pop it open for nostalgic purposes and I\'m like, oh my God, how did we even live or thrive off of this software?</p>\n\n\n\n<p>Which is extremely embarrassing to think about . Um, and so, What Gutenberg, when I say Gutenberg, we\'re talking, you know, what originally started out as, um, sort of the whole thing. Now it\'s actually the experimental plugin, but the whole idea of the, the black editing experience and full site editing really allows us as product builders to do things that we can turn over to people that they can then easily work with themselves.</p>\n\n\n\n<p>And that\'s the part I think, That excites me the most is not only can I sort of work within the system and design something that that just kind of looks really well, you empower people who otherwise have not been able to sort of do that for themselves by saying, Hey, you could change colors like in the WordPress dashboard with like one click versus like, Having to open a style sheet, but then you gotta go through ftp, [00:43:00] right?</p>\n\n\n\n<p>Cuz maybe some, you know, hosts shut down the ability to edit fol, like all of this stuff that was like, I don\'t, I still don\'t understand how we got to where we did because there were so many ju uh, hoops to jump through. But what excites me the most though is, is just the ability to. And now the pattern stuff and the, uh, the harmonization of the post and page editor screens, like the traditional WP admin and the site editor, which is essentially the, the merging of them just makes it feel like you\'re doing one thing.</p>\n\n\n\n<p>Cause I think a lot of people were like, oh, well Squarespace is so good cuz it\'s like there\'s, there\'s parody, visual parody between front end and backend. Like I just go to my thing and I type. Hit save and it just looks the way it does on the web. WordPress is not like that, right? The classic editor was like literally just a Google doc, but like on the front end it was like this beautiful design.</p>\n\n\n\n<p>That separation is now closing, and we\'re getting to a point now where, um, at some point people are gonna be like, they won\'t know the front end from the back end, and it\'ll all be just like an experience and they\'ll be [00:44:00] empowered significantly more than they\'ve ever been. That\'s cool.</p>\n\n\n\n<p><strong>Cory Miller:</strong> I, yeah, I, I love hearing about things like, uh, block locking for instance.</p>\n\n\n\n<p>Mm-hmm. , that, that\'s showing responsiveness to the community that\'s really leveraging this as a tool. And, uh, the game over for me, for Gutenberg was I was trying to create a button and, you know, I mm-hmm. barely knew how to create HTML back in the day, and I went to look for a plugin only to realize Gutenberg does those things now.</p>\n\n\n\n<p>Yep. In natively. And then that was the point I was like, okay, this, now I\'m, I\'m stepping in gonna embrace, um, this thing called Gutenberg. And I\'m really curious to see, I know Frost and some of the work you\'ve done particularly was we need a base to start those workflows. Mm-hmm. to use some of these tools and uh, it\'ll be cool to.</p>\n\n\n\n<p>All of that be fleshed out, creatively innovated, you know, along the way to keep, [00:45:00] to keep this thing called WordPress growing. All right, Brian. Thanks man. This was really good nostalgia, but I really wanted to get your perspectives on the, these things. I think it\'s important for us at the 20 year mark, I mean, 20 years on the internet is ancient.</p>\n\n\n\n<p>Yes. You know, and, and so, you know, the question I keep going is how do we. Doing the good work of democratizing publishing on the web, some of these things, I, I not just because of nostalgia. I love the fact that WordPress could be used from a blogger all the way up to a Fortune 500 company. Mm-hmm. and, um, across the world to, to free f Web.</p>\n\n\n\n<p>And, uh, I, I think now is the time for us to kind of remember some of these hallmarks that made us who we. And, um, and then reimagine what, what that looks like in the next phase. And I\'m excited for the WordPress community and that you\'re still here doing cool work, trying to cutting the edge, trying to like break things and push \'em past where they [00:46:00] want to be and show others that it can be done too.</p>\n\n\n\n<p>So anyway, thanks Brian for being on today at Post Status draft. And uh, by the way, so what is the role at WP Engine that you do specifically ? Now,</p>\n\n\n\n<p><strong>Brian Gardner:</strong> yes, I am a developer advocate on the developer relations team, which basically as it stands now, we have two different developer relations team. One is for headless WordPress, which is a little bit more on like the product side at WP Engine.</p>\n\n\n\n<p>And our, our subset, which is uh, Nick Diego, Damon Cooken, myself, uh, Sam Munos is our community manager. We are. Essentially focused on the adoption of full site editing and the block editor. We use Frost as a way to sort of demonstrate that stuff. Uh, we\'re, we\'re supporting our, some of our product teams internally.</p>\n\n\n\n<p>Um, but you know, when I was hired by Heather, uh, Bruner, our c e o, she, you know, asked if I would be energized, you know, in a, in a, a role of this sort. And I said, Heather, I love WordPress. I love design and I love community. So if this role sort of [00:47:00] touches all three of those in various forms, I\'m all for it.</p>\n\n\n\n<p>And. You know, it\'s been a great fit. I love working here and, um, really look forward to all the work we have ahead of us. Cool.</p>\n\n\n\n<p><strong>Cory Miller:</strong> Thanks Ryan for being here today. And thanks everybody else for listening in to another episode of the post status draft. And we\'re gonna press this 20. Um, this is a really good story and one I\'d like to, uh, hear again and again and, uh, it\'s still possible within WordPress in the future.</p>\n\n\n\n<p>Yep.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 14:15:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Olivia Bisset\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147828\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:81303:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><a href=\"https://twitter.com/hirethere\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> have been working to build a WordPress product live. Their plugin, <a href=\"https://crop.express/#welcome\">Crop.Express</a>, has been submitted to the repo. They discuss the outcome of their submission and continue to develop features. In addition, they discuss building brand identity, cultivating awareness, and developing authority as a needed business. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">3</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>In this episode, <a href=\"https://twitter.com/hirethere\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> share the results of submitting their WordPress plugin, <a href=\"https://crop.express/#welcome\">Crop.Express</a> to the repo. As they continue to build their product live, they develop branding, messaging, and strategy to validate their business and cultivate an audience.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Expanding Outwards.</strong> Repo offers inherent discoverability for WordPress products, but cultivating broader awareness is necessary for a product to succeed. Creating brand assets, a website, and a newsletter create conduits for growth.</li>\n\n\n\n<li><strong>Feel Out Your Brand. </strong>Be cautious not to box yourself in with branding. Consider what feeling you want people to get when using your product. Go a little deeper and have a little fun exploring the solutions and feelings you hope to offer as you create your branding. Move from literal to conception to better understand what defines your business.</li>\n\n\n\n<li><strong>Ring the Bell. </strong>Identify your customer’s problem and keep talking about it. Invite ideal users to talk about it. Leverage your personal platforms to highlight the pain point and how your product improves it. By telling that story and having others do the same, you start to build a case for your business.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://www.billoreilly.com/\">Bill O’Reilly</a></li>\n\n\n\n<li><a href=\"https://generatewp.com/\">Generate WP</a></li>\n\n\n\n<li><a href=\"https://www.canva.com/\">Canva</a></li>\n\n\n\n<li><a href=\"https://minesweeperonline.com/\">Minesweeper</a></li>\n\n\n\n<li><a href=\"https://www.adobe.com/products/photoshop.html\">Photoshop</a></li>\n\n\n\n<li><a href=\"https://www.stockunlimited.com/\">Stock Unlimited</a></li>\n\n\n\n<li><a href=\"https://www.fiverr.com/?source=top_nav\">Fiver</a></li>\n\n\n\n<li><a href=\"https://www.instagram.com/\">Instagram</a></li>\n\n\n\n<li><a href=\"https://unsplash.com/\">Unsplash</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/\">YouTube</a></li>\n\n\n\n<li><a href=\"https://www.paypal.com/us/home\">PayPal</a></li>\n\n\n\n<li><a href=\"https://contentjourney.com/\">Content Journey</a></li>\n\n\n\n<li><a href=\"https://zoom.us/\">Zoom</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"http://twitter.com/coreymaass\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 3 Corey & Cory Launch a WordPress Product Live &nbsp; </h2>\n\n\n\n<p>Cory Miller: [00:00:00] Oh yeah, of course. He, he gets so pissed off and, oh man, we, we<br />watched that a hundred times. Um, yeah, we\'re doing our live reference and stuff.<br />Cory Maass: Still reference it somewhat regularly. Yeah. , bill O\'Reilly, I guess.<br />Cory Miller: Bill O\'Reilly. That\'s it. Oh man.<br />Cory Maass: I couldn\'t have told you who it was, but,<br />yep. Classic, classic meme, classic quote, classic sample<br />Cory Miller: Okay. Tweak that out.<br />Yeah. Um, we were sound like 2009 when we started live streaming with you stream back in the<br />day and it was just sit on the green IKEA type couch. Put the laptop. And then one of the devs<br />were like, you ever seen the Billow rally clip? And I\'m [00:01:00] like, no. Now, I mean, I need to<br />see it. And then I was like, , just do it live.<br />Cory Maass: Yeah. I, uh, for a long time, cared a lot and still would try to, like, for probably five<br />years ago I was still doing like live DJ streaming DJ sets, which I\'m hoping to start doing again<br />soon. But like, was very meticulous about where I put the camera and the lighting and all that<br />stuff. And at some point it was like, you know what?<br />I need to just, I need to remove the friction from this and just make it easy. So it\'s like I just hit<br />like we\'re doing here, hit record, hit stream and go, and whatever happens, happens, you know,<br />but it\'s, it removed all hesitation to be like, you know what, it\'s four o\'clock. I, I don\'t wanna work<br />for the next hour.<br />Let me, you know, let me do something. So I\'ll bang out a DJ set and if people watch, [00:02:00]<br />they watch and they\'ll catch it later, you know? And it was just more fun that way.<br />Cory Miller: I, I love that you\'re open to this because I, it\'s weird, this weird thing. It\'s like<br />whether I\'m riding or trying to write something or do a start a new habit or whatever, it\'s just, I<br />like one having a partner to collaborate with, but two is kinda like putting it out there, you know?<br />Mm-hmm. just putting your stuff out there as raw as it might be. And I\'m really happy that you<br />were open and interested in doing this cause I, I think it\'s fun, you know, not a lot of Lindsay and<br />I did a podcast several years ago and it was just a time remember? And Oh yeah, we had some<br />friends over a couple weeks ago and they\'re like, yeah, we, we did that because, um, we, we<br />listened to a couple episodes and I thought, um, How maybe refreshing it is to hear other<br />people, you know, not that it\'s [00:03:00] comparing, but you\'re just like, oh, you and I doing this<br />Friday,<br />Cory Maass: it\'s not a big deal.<br />It\'s not super polished. Yeah. Yeah. I\'ve always been, I\'ve always been a DIY person and<br />unfortunately it, it is a bit of a bad habit, um, at points. It, it takes the fun out of things for me, but<br />I, I\'ve always been a doer and I\'ve always seen things, and then I think it, I think it\'s sort of the,<br />the way that I\'m an extrovert is, or part of the way that I\'m an extrovert is the, like I learn by<br />doing or I, I learned by replicating or whatever.<br />So it was like, but when I start, like I, I love, mostly what I listen to is electronic music, but a lot<br />of it is now ruined for me because I sit there and dissect it. Um, and, and try to figure out how I<br />would emulate it. And I\'ve, I\'ve managed to sort of untangle some of that, but a lot of it for a long<br />time was like, I can\'t, I can\'t just go to a party and enjoy, [00:04:00] like, I\'m sitting there trying to<br />figure out how I would, you know, create, recreate it or, or, you know, do make something<br />similar.<br />And same with most Art on the wall sculpture, things like that. Like, I struggle with that, you<br />know?<br />Cory Miller: Yeah. It, I love the music side, what we, and for everybody listening. We talked<br />yesterday, uh, Corey had a, came on to talk through something I was working on not related to<br />this product, and gave some incredible experience shares and some advice.<br />And when you were talking about music yesterday, I was like, I\'ve never been that type. I\'ve got<br />the most eclectic music fan, but recently I\'ve been getting into. , um, sound bowls in<br />frequencies, you know? Mm-hmm. . And, uh, it\'s been really fun. Um, and I just feel like, like I<br />want to ban, I want to do my sound bowl cause it\'s kind of my sort of meditation [00:05:00] Nice.</p>\n\n\n\n<p>Where my crazy monkey mind\'s going on. And so when he talked about music, I was like, all<br />right, now we\'re gonna jam about music at some point.<br />Cory Maass: So. Well, and this is where we start, uh, with make the obvious joke of like, oh,<br />what\'s, what\'s your favorite key? What, what\'s your favorite note? You know? Yeah. Because all<br />I can picture is the sound bowl.<br />Like I\'ve got an a minor, but I really, or a, an a, a sharp, but I really like the a, you know?<br />Cory Miller: Yes. So, okay, geeking out for just a second on this. So the, I don\'t know the better<br />term right now to talk about, but the internal and the spiritual side to mm-hmm. frequencies and<br />vibrations. Um, I went to a, I had it over the summer, I got to do a sound bath.<br />Cory Maass: Nice .<br />Cory Miller: And I was like, oh my God, this is the best thing, best thing on earth. I want more of<br />it. So the, these samples, um, and stuff, it\'s just like, so when you said and then mapping them,<br />because my music [00:06:00] education is like eighth grade, uh, you know, and so mapping<br />those to key notes and stuff, cause I\'ve been trying to figure out, okay.<br />I, I will digress. I\'m sorry, , I shouldn\'t digress anymore, but<br />Cory Maass: No, it\'s fine.<br />Cory Miller: Um, no, I\'ll take the rest of the hour and we\'re supposed to be talking about the<br />product, so , I\'ll keep, I\'ll help keep, meet myself in rain, in check here. Um, okay, session<br />number three.<br />Session number three is going. Um, okay, so here\'s the update. We, yesterday you, we, you<br />submitted the plugin to the repo.<br />We\'ve got that episode on, uh, YouTube and, um, so we\'re kind of in the waiting. For what<br />comes back from the approval processes, maybe? Or are we or are we ho ho.<br />Cory Maass: Um, so I, I want to call you out a little bit cause I think that again, the, you know,<br />in, in the, at the 10,000 foot level [00:07:00] or the transparency level or whatever, like you had<br />set a deadline for yourself for the read me last week and I could tell you were struggling with<br />like, the perfectionism, perfectionism of it or the, you know, I don\'t, I\'m not sure what I should do<br />here.<br />And so when you pinged me yesterday with, we were, we were going over some ideas, um, and<br />doing revisions and stuff, again, I could, I got a sense that you were not totally stuck because<br />you were working on it, but that we could be more productive by doing it together. And so we<br />jumped on a call and that was why.<br />You know, we\'re, we\'ve been trying to do this regularly, Wednesdays at noon, but we were<br />joking that that was, if this is session three, that was session 2.9 because it was, you know, not<br />our regularly scheduled program slot, but we got, it was another very productive hour. And,<br />[00:08:00] and another way that we helped each other through a process, because then it was,<br />you know, we did some really good brainstorming.<br />I, all of which I think is on film, that\'s, wow, I\'m aging myself. All of that is on YouTube. Um, but<br />talking through, just sort of brainstorming general ideas, distilling it down to a, a few sentences<br />enough so that we could just get it out the door. And at which point we were like, okay, it\'s,<br />we\'re, we\'re good enough.<br />Let\'s just do this. Um, so. Yes. Um, I actually read, uh, you tweeted, you know, we submitted the<br />plugin and I said, and we heard back, you know, what did they say? I tried to build a little<br />suspense, so, you know, for the thousands of people watching and listening right now, um, you<br />know, on the edge of their seats.<br />So, uh, we heard back within the same day, uh oh, okay. Which is really impressive. Um, and,<br />uh, the [00:09:00] only thing they needed us to change was we used Generate WP to create<br />that readme. And in so doing generate, WP created, um, one of the plugin tags or, you know,<br />line items at the top, um, was. One called Update URI and they don\'t want that included in<br />plugins that are included in the repo.<br />Cory Miller: Hmm.<br />Cory Maass: So the only, if I\'m reading the email correctly, the only thing we needed to do was<br />remove that one header and then resubmit it. .<br />Cory Miller: Okay.<br />Cory Maass: Which is, which is, there are a couple of things that I wanna say about that. One<br />is, uh, you know, we did a good job, uh, of writing simple enough code or whatever, but more<br />importantly to me, We, I\'ve never, so I\'ve, I\'ve submitted I think like three or four plugins, not a</p>\n\n\n\n<p>[00:10:00] lot, but I\'ve never had them come back and not say like, oh, you missed a place<br />where you need to sanitize or use anot or some, you know, usually, usually it\'s some little bit of<br />security, um, type stuff that I, I miss cause I\'m just kind of banging through.<br />I think in terms of MVP, like, I will, you know, clean this up later. Um, but we, by submitting<br />basically an MVP, a single more or less simple version, uh, I think is, you know, it, it limits the<br />likelihood that they\'re gonna go, oh, well, you know, there\'s, there are these big problems or<br />there\'s a hundred problems.<br />So, um, so fingers crossed they do say, um, do, do, do we believe this to be the complete<br />review of all issues found in your plugin. So make the corrections, review the, in the code,<br />resubmit it. I threw it up on, um, [00:11:00] my P cloud for them to download. And then, cause I<br />know that they run the code through some automated stuff, but I do know that a human also<br />looks at it, so there\'s a chance that they come back.<br />I might be, I\'m jinxing myself that we did so well because maybe they, they discovered<br />something on the second review or something like that. But, um, but yeah, so within a day did a,<br />uh, one line revision and sent it back. And so maybe this week we\'ll have this thing up in the<br />repo.<br />Cory Miller: That\'s great. That\'s great news.<br />Um, you know, I think yesterday you mentioned like first time I\'ve, or first time in a long time<br />since I\'ve submitted a plugin and I was like, I\'ve never done that process. I don\'t even think I<br />knew, you know, Never done a read me, never submitted it myself. Team did, of course. But um,<br />no. So all that, so that was really interesting seeing it behind the scenes.<br />And I gotta say over 15 years I\'ve been doing WordPress is, uh, we\'ve [00:12:00] come a long<br />way, you know? Yeah. Um, uh, a lot of things have, you know, there\'s always things we got, you<br />know, people grab about and we got things that, you know, aren\'t the great, the best, but I love<br />the spirit of like, we continue to move forward as a community.<br />And so, but it was interesting doing the Readme file because, um, I can\'t imagine as a<br />developer, you spend all this time just trying to write code, get the functions, you know, to do<br />what she wanted to do. And then you have this read me stuff and I was like, okay, if I\'m not a<br />developer and I\'m having a block about this, I can\'t imagine others. But you made the process<br />awesome, and I really appreciate that. That was one thing. I do like co-working sessions like<br />that. I really have found in the last couple years just coworking if somebody\'s like, Hey, could<br />you do this? I get in my own head space and blocked mm-hmm. , and I\'m like, sometimes I\'m<br />like, could you just be there?<br />Right. Uh, but yesterday you [00:13:00] were given good directio n.<br />Cory Maass: Well, and, and I\'ve, I\'ve had a little bit of experience with it, but it\'s also like, it was,<br />I found it easier than I often do because it was, I wasn\'t context switching. Like what I often am<br />doing is I\'m banging out code and then I\'m like, okay, I\'m ready to submit this.<br />And I\'m like, crap, there\'s a whole laundry list of other things that I need to do or, or want to do a<br />logo, uh, the support link that we set up, like all that kind of stuff. And, and it\'s, that\'s, that\'s the<br />hardest part of being a solopreneur, which is usually my situation of like, okay. And I was even<br />doing this this morning for some, for a different product of like, I needed to do a little code<br />update, but then I needed to tweak the logo, but then I needed to, you know, update the email<br />that gets sent when somebody purchases.<br />But then I need to, and it\'s like, man, you\'re just, it\'s tough being all over the place. And so you<br />and I sitting down and [00:14:00] going, we\'re gonna do the Read Me, you know, and, and went<br />a little deep on like the beginning of, um, what is our wording? What is our message? What is<br />our pro, um, uh, our problem statement?<br />What is our, you know, I, I was actually able to do that, which I\'m not always, isn\'t always the<br />case. Yeah.<br />Cory Miller: It\'s like we\'re a two person mastermind.<br />Well, um, okay, so. We\'re there, I mean, very close final stages of getting the plugin. Um, we<br />talked a little bit about this, but what\'s our list of things we got next? Um, I, so we have the<br />website and that\'s one part of it. Mm-hmm. , um, we, we talked about that. We need to have,<br />we\'ll do some changes like there, there\'s the SaaS side of it, you know, just being able to<br />[00:15:00] crop it online. Um, but now we\'re gonna potentially get people coming to the website.<br />We got the email newsletter set up.</p>\n\n\n\n<p>Actually, I should check that. I forget our list. But, um, what\'s on, what\'s on your mind for next<br />steps? I, I tend to think in the marketing is website and email list. So to me it\'s<br />Cory Maass: yeah, well, expanding outwards, right? So starting with the plugin in the repo,<br />which we talked about a couple, like last week, I think of like, because of the inherent<br />discoverability, and obviously because we are talking about it, we\'re gonna start to get a trickle<br />of users.<br />Um, and so we want to be able to, so, so in order to make the best impression inside the,<br />[00:16:00] the.org plugin repo or plugin directory, they want to, want us to call that, call it now.<br />Um, we need images, like banners, and so, uh, I can, I can create those pretty easily, easily in<br />Canva. Um, we don\'t actually need a logo yet.<br />We, I, it\'s more fun if we, you know, it\'s kinda like buying a domain, like creating a logo to me is<br />really fun. Um, or, or having one made or ha whatever process we wanna do. But for the time<br />being like we just, you know, there\'s a mast head essentially, and so we can just literally write<br />the words crop express in our, in.<br />Um, you know, whatever tagline we, we wanna start with. Um, but I feel like that, because the,<br />by default, if you don\'t do that, then you get, um, the, the repo will do these sort of plaid, you<br />know, just sort of placeholder [00:17:00] images and um, you know, some of the best plugins out<br />there created 10 years ago still have those.<br />But where we\'re starting and we we\'re essentially starting to create a brand, now is the time to<br />already create something. And again, we can swap them out as often as we want. Yeah. Um,<br />but to have a little square icon or image or something, and then that masthead, I think is, we<br />wanna do sooner than later.<br />Cory Miller: Mm-hmm. ,<br />Cory Maass: um, which I think, you know, this is always the. You know, there\'s no, what was it<br />back with Windows? Like you couldn\'t delete, um, Minesweeper because it was somehow<br />connected to the Notes app or something, you know, this kind of thing. Like there\'s this, all this<br />interconnectivity, but it\'s like by create, also by creating the Masthead Indoor, starting to think<br />about a logo that\'s gonna help us continue to refine some of the marketing language.<br />Um, [00:18:00] so to me that\'s the, all that stuff is kind of on my mind. cause I think that some<br />people are going, going to, fewer people are gonna be going to crop.express the website right<br />now because we\'re not selling anything. We\'re not doing, we\'re not pushing anybody towards it<br />kind of thing yet, you know?<br />Cory Miller: Mm-hmm.<br />the only thing I want to just emphasize from the marketing side is, uh, as soon as we can<br />having, um, conduits to get people to sign up for our newsletter. Yeah. Um, just so we have a<br />base, it\'s what I. For sure is a center point strategy. Um, so when we talk about logo and<br />masthead and the brand, one of the things maybe for discussion for us is what do we think the<br />minimum?<br />And it may just be those two, right? But minimum things we need for someone to be able to go,<br />I\'m gonna try that out. And then we\'ve talked [00:19:00] heavily about like, the intention for this<br />first is to get feedback. Mm-hmm. , um, in what they want next. Like give them enough of a<br />spark to go, I want more. Yeah. Um, and we\'ve, we\'ve got that in plugin.<br />Um, the request a feature type thing. Mm-hmm. . So I\'m thinking of what\'s our next step?<br />Minimums. So we\'ve got logo and masthead. We need, we need that. Um, We already got email<br />newsletter. We talked a little bit about website, the initial promotion I have down here. Anything<br />else on your mind about next steps that we missed?<br />Not yet. Nope.<br />Cory Maass: Okay. Again, I think it\'s just, yeah, starting to fill out. It\'s like we, we have the<br />engine now, you know, what is, what does the car look like? And we don\'t have to build all the<br />other models of car and we don\'t have to build the [00:20:00] dealership and we, you know, all<br />that\'s down the road. But to get started, like, yeah, we need, you know, just, just sort of to start<br />expanding outwards.<br />Cory Miller: Okay. So from logo and mass head standpoint, um, I try to fancy myself as design<br />and it\'s more like I can design taste. I\'m not, if I fancy myself a designer at some point in my life<br />now I\'m like, Nope, not a designer anymore. just one with hopefully good taste. Um, I do have<br />an outlet. Like you, you did mention Camba.</p>\n\n\n\n<p>I do have an outlet to get something designed. Um, so what\'s your preferences and everything<br />on design? From a brand standpoint? I like personally clean, modern. Yeah. You know, I, I think<br />about the iconic cropping, you know, right. Cropping.<br />Cory Maass: I did try to get away from, um, like, so, [00:21:00] so what I\'ve been doing lately is,<br />um, like I, I started in the late nineties, you know, when you would literally design a website in<br />Photoshop and then cut it up.<br />Um, and so I still have, uh, the technical chops just like you. At one point considered myself a<br />designer. I still care a lot about it, but I, I know I do not begin to, it\'s a muscle and I, that muscle<br />has atrophied. So, um, but what I, what I will often do now, because again, I, I can tweak<br />something pretty readily as like the, the scissors icon that I have on the website now was clip art<br />that I found.<br />Like I have a lifetime license to Stock Unlimited. So I went in there and I was like, you know,<br />what is cropping? Um, You know, scissors or something like that. I found a vector graphic that I<br />like, I tweaked it slightly so that it looked [00:22:00] more the way I wanted it. A little friendlier,<br />like I rounded the edges and stuff, and that was, you know, that was V1 of the logo.<br />Um, I, I got to have fun choosing some colors and, you know, playing in, um, illustrator or, I<br />guess at this point I use Affinity Designer, but you know, it\'s not, um, not much more than that<br />because I honestly, I now consider pretty much everything an MVP including logos until they\'re<br />not, you know, if, if once it\'s very important that we have brand recognition, then, then we lock it<br />down.<br />But until then, um, okay. I also frequently will use fiber. Like I\'ll go on and, um, hire multiple<br />people. and then take all the, I usually think of it more as like a, a brainstorming session and I\'ll<br />take all the concepts. I very rarely have had somebody come back with something that I\'m like,<br />that\'s it. Done.<br />Mm-hmm. . Um, [00:23:00] so I\'m, you know, that gives you an idea of sort of my, my usual<br />method. The only other thing that, that I have cared about lately is, oh, well, two things. One, I<br />did try intentionally to get away from the iconic cropping icon. Um, just I think as much as an<br />exercise of like, can we go beyond that or, or can we allude lightly to that without it being the<br />obvious, um, you know, icon that everybody expects.<br />And then the other thing is, I\'ve been trying very hard to use color palettes that are a little<br />outrageous, especially on the web. Um, and so like I\'ve been, lately, I\'ve been googling eighties<br />color palette, , eighties colors, and then using those, so it\'s like hot pink, magenta or, you know,<br />um, neon colors or, yeah.<br />And, or, um, another app, I, I, same sort of thing. I googled seventies and it\'s, so, it\'s like the<br />[00:24:00] burnt orange, you know, but it\'s just like, I don\'t want the, the standard, like the<br />WordPress blue hurts me right at this point. Like, it, it is what it is and it, it is what it should be,<br />but how do we stand out, you know?<br />Yeah. So, um, and I think, you know, we\'ll, we\'ll pick and choose how much we, if we go totally<br />outrageous, how much we actually put that into the plugin, but at least for logo branding, stuff<br />like that. Like how do we. Stand out.<br />Cory Miller: So, yeah. Hey, I\'m good with that. I mean, you go hot pink. I\'m, I\'m fine with that<br />too, you know?<br />Yeah. Um, it\'s just fun. Do you want to take the, the lead then on, on the logo and masted<br />sounds like you got some energy and kind of vision for<br />Cory Maass: Yeah, I, I have fun. I have fun doing it. I think the, I could use help with, um, I<br />mean if we\'re [00:25:00] content with the scissors and we just want to change the colors or<br />maybe we don\'t even want to change the colors, like then we just run with what we\'ve got.<br />It definitely could use some punching up and I\'d love another pair of eyes. Um, if not that, then<br />I\'d, you know, I think it would be great if we. 15 minutes together or some time apart just going,<br />what are conceptually, what do we wanna do or what, what would be fun and unique or what<br />would be weird and outrageous or, you know, more concepts.<br />Yeah. Because again, like, I just wanted something. Yeah,<br />Cory Miller: absolutely. Um, I, I mean, I like the eighties thing you\'re talking about, and you<br />know, I was trying to think like, what are the modern kind of thoughts when you think about<br />cropping? Uh, and I, I think about, um, Instagram, like their version of cropping is not the, the<br />crop symbol.</p>\n\n\n\n<p>It\'s more like a square with the rule of [00:26:00] thirds in there. Mm-hmm. . And so I tend to<br />think like, how do people today, what are they familiar with? And Instagram seems like, you<br />know, most I would. Think most people have used Instagram and know what that cropping tool<br />is. Um, how that\'s like, it\'s, isn\'t it, let me like, real quick.<br />Cory Maass: It seems like I, I like what you\'re saying because it\'s, it\'s also Instagram sort of set<br />the standard for we accept squares and now they accept other, other things rectangles. But um,<br />it\'s, it is the modern version of, or the updated concept of like, you know, initially it was like, it is<br />a square, it is whatever it was initially, you know, it\'s 800 pixels full stop.<br />Cory Miller: Yeah. And now I\'m trying to like, yeah, it\'s, it\'s kind of the rule of thirds and you<br />[00:27:00] just pinch in out, I thought, how does Camba do it? Or does Camba do Camba does<br />cropping in there somewhere?<br />Cory Maass: They do. I mean, but it\'s to me, It\'s this, it\'s very sim it\'s the same concept as like<br />Photoshop or Illustrator or whatever, where you\'ve got the four circles.<br />And so you can grab a corner and, and you can, you can move the mask or you can resize the<br />whole thing. But it\'s, it\'s very free. And, and I think I, you bringing up Instagram I think is a really<br />interesting, it\'s not a metaphor, but a comparison in some ways because we are crop express<br />sort of. The point is that we don\'t let you just free form crop.<br />We like lock you down to correct image size and aspect ratio. So<br />Cory Miller: yeah, we, we [00:28:00] guide you in the best, right? So you don\'t have to make<br />mistakes. But we keep, I think we keep betting, our first feature request is gonna be a custom<br />dimension.<br />Cory Maass: Which is fine, but because again, it\'s like you plug in something and then lock it<br />down.<br />So it\'s, um, having fun running with the concepts of, you know, in the eighties, I think you and I<br />were both, uh, in elementary school, um, which brings to mind, um, uh, safety scissors, like the<br />little kid safety, scissors. Um, which is also a thing that was like, it locked you down, like you<br />couldn\'t stab your friend.<br />Um, not that we didn\'t try, um, no running with scissors. Um, I\'m picturing like cutting out<br />cardboard, um, construction paper. Um, and so it\'s like that leads me to the thinking of like, what<br />is the result we\'re talking about of cropping, which is obviously an image, but it\'s like, is there<br />something [00:29:00] with um, uh, shapes or, um, What\'s that, that game where you have, you<br />know, it\'s like telegram or something, a gram where you\'ve, you know, you put the triangle and<br />the square together and make a house kind of thing.<br />Cory Miller: Um, oh yeah. It\'s funny, I just googled this and I saw one of these up here and I<br />can\'t find it, but I had like kind of a safety scissors, if you can see that right there. Oh,<br />Cory Maass: yep, yep. Right there. Yeah. See, I like that to me is already a little cuter than the<br />ones that I initially<br />Cory Miller: grabbed. This is, see how that, see how this little thing right here?<br />That\'s what I was thinking Instagram was, but I couldn\'t find it on my phone. But this is what I<br />was thinking. It\'s like, this is pretty familiar, you know? Yep. However it needs to match. I think<br />probably something in there, but I almost, I don\'t know. I, I don\'t want to get too, uh, particular<br />about it because I think you, [00:30:00] you got the grass.<br />I will say, we know we have a bigger. Vision than just this, in this realm of photo manipulation,<br />editing, getting the right thing in the design. Um, so I, you know, I\'m pretty open. It\'s like, I feel<br />like the feeling we want, this is maybe what we could talk about, the feeling we want is I rely on<br />that. Oh, that made that easier.<br />You know, the relief, the being able to kind of get to the finished pr, their finished outcome, that<br />our thing is just one part of that. But you know what I mean, we talked a lot about this with our,<br />uh, e-commerce product back in the day, is what\'s the feeling we want for people to get? And<br />we want a e-commerce to be fun and feel lighter than just like, oh my God, it\'s like I\'m filling out<br />a tax form, you know, , that\'s what it kind of feels like.<br />Um, so any thoughts? Any thoughts there? [00:31:00] And, and we\'re going a little deeper than<br />we probably normally would to, but kind of fun to me to, to talk about these things.<br />Cory Maass: Yeah, agreed. Like, I mean, conceptually, this is, this is definitely some of the fun<br />part. Um, I liked what you said about, so we were, we talked a lot yesterday about workflow, and<br />you said just now the, the feeling of making things simpler.</p>\n\n\n\n<p>And I\'m like, okay, so if you\'ve got a laundry list of things you have to do, however that\'s<br />represented, a list of things vertically or blocks side by side, and then like somehow<br />representing the, the removal of items in the middle so that it\'s, you go from A to B or you know,<br />A to Z. In four steps instead of 20.<br />How, how many letters are there in the alphabet? 26, I think. But anyway, you get the idea, you<br />know, so I\'m, um, and that [00:32:00] what you just showed with the, um, the grid, the cropping<br />grid, um, I\'m picturing, you know, two squares with the cropping grid in the middle. That kind of<br />represents like we re we removed something from, you know, from this line of blocks, but you<br />also get the sense of like, oh, you\'re cropping a thing in the middle.<br />Um, you know, so some of these visual concepts. The other thing that came to mind was on<br />that, with that grid, like the first masthead we do, I think should have the cropping grid on it. Just<br />because that way, like you said, it\'s a visual visually, you immediately go, oh, that\'s we\'re<br />cropping image.<br />Cory Miller: This is a version of what we were doing yesterday with the read me files.</p>\n\n\n\n<p>We\'re trying to paint a picture. Right. And I think you just nailed it. Is that some signal, image-<br />wise on masthead of like, that\'s, this is what that does. Like there\'s not even words. It\'s like</p>\n\n\n\n<p>recognition. Mm-hmm. . And I think that\'s pulling it in and you know, I [00:33:00] was thinking if<br />we step up a second, we go, it seems like a lot of the things we\'re talking about with this product<br />in the future direction is um, big category banner is content production or content.<br />Content production. And then we step down and we drill down to that. And it\'s like you talked<br />about expanding out. I got expand way out then to come back in is content, content production,<br />workflow, images, that seems like everything we\'ve talked about is like in that image category.<br />So that. Some visual display to connect.<br />I\'m in the visual, like I just Googled, uh, affinity Designer. Cause I was like, well if you, I wanna<br />see this. I\'ve, I was a early Photoshop user. Yeah. But it\'s like that feeling of, it\'s a tool for<br />creation. Mm-hmm. You know? Mm-hmm. or mani manipulation is not the right board, but, you<br />know, um, I think connects it down.[00:34:00]<br />So I, I dig that.<br />Cory Maass: Yeah. And I, I like what you\'re saying about, I think the top conceptual, like where<br />you go from literal to conceptual is there\'s a line above image, photo or image images. It\'s like, I<br />don\'t think we we\'re going to apply the word crop to text or something else. And so it\'s like<br />literally we are going to be.<br />Cropping images expand that we\'re manipulating images, expand that dealing with images,<br />expand that you get conceptual of content creation or something. So yeah, I like the idea of<br />buying in now to something that, that draws a, draws that line that says we\'re talking about<br />photo or image images and that get, that lets us, you [00:35:00] know, then we can do anything<br />we want down the road.<br />Because like we\'ve also talked about, we don\'t wanna lock ourselves into features. We want our<br />users to lock us into features or inversely let us expand other things. But it\'s like, I don\'t, if we<br />end up talking about. AI words, then to me that\'s, we, we then go, okay, are we starting another<br />plugin? Um, you know, but we could do AI images and that would still be in the con maybe in<br />the concept context of Crop Express.<br />Cory Miller: Holy crap. Dude. Now you\'re gonna get my mind like buzzing. But the AI images<br />thing, future roadmap mm-hmm. for discussion there. Because what just I, I like anchoring this<br />back on this, just like you\'re doing different ways. Um, when we originally talked, we were like,<br />what could this be in flow as you\'re going [00:36:00] down mm-hmm.<br />um, you know, and be like, okay, there it is. Um, I click an image in Gutenberg code editor and<br />then I get to upload media and the cropping tools are right there, and I think. Native. I think that<br />is a good experience. That\'s how I do content production. People have bigger teams, of course<br />they\'re gonna have other sophisticated tool Sure.<br />Tools, but we\'re kind of in this almost everyday content producer, you know, which is a lot of<br />buckets. Yeah. But gosh, that\'s compelling. The AI image side is like, that\'s how we started this.<br />And we decided our big critical decision was to pull it out just to the featured image, to start<br />there, see where our demand went.<br />But if we go back to that original kind of thought was, put it in the flow. You know, I start with a<br />headline, then I start writing and I add my, you know, images as I go [00:37:00] thing. That AI</p>\n\n\n\n<p>potential could really be cool. Oh yeah. Um, with all the open AI talk and the channel we have in<br />Slack, I\'m, I\'m really.<br />Curious, like I wanna run into this whole new field and see what\'s there, . Um, so like this image<br />side of that is really compelling because I don\'t know about you, this is about the product<br />experience, but finding an image is a terrible experience. That\'s why I don\'t do it. So<br />downstream, if we think about this image AI thing, it\'s like how can we help someone get the<br />image effect, the visual placeholder guide, part of the story you\'re writing in your post content? I<br />think that really fits to put on the future discussion side.<br />Absolutely. But, but this is my process and I\'d like to hear yours cause I want to hear, I want to<br />hear more user stories about how they do it. cause if we can get in [00:38:00] line with enough<br />people and understand how they do it, then we got innovation ideas all day, then we can just<br />help them with their workflow. So, I don\'t do this regularly, but I\'m like, okay, I want an image.<br />I\'ve, to me, I write and that\'s an exploration. Oftentimes, I don\'t have a formula or a framework. I<br />think a lot of PE other people do, specifically like Lindsay at Content Journey, they have a whole<br />workflow. But finding something in there. This would be interesting, Corey. Don\'t let me<br />daydream too much.<br />Okay. This is conceptual. I have no idea how it would get done necessarily, but imagine you<br />write, you write your post and you\'re like, you want the featured image crop express, click the<br />button, it looks at some keywords. Oh, for sure. And then develop something for that, you know,<br />featured image thing. That would be, I mean, I know we\'re still early in all the M N J I stuff, but<br />like finding the right prompt for that, that [00:39:00] comes out with something interesting.<br />Oh yeah. Saves a ton of time, like, oh yeah, you mentioned your service. I, I\'ve used Unsplash<br />in the part and I always get frustrated cause I\'m like, nothing matches my style. Nothing. It just<br />feels hokey, you know? Yeah.<br />Cory Maass: And that\'s, so, yeah, it\'s, it\'s definitely something I think would be fun to explore<br />down the road and, and certainly fits in the, the overall, the problems we\'re trying to solve of<br />making content creation easy and filling out, you know, that last mile, the last mile is the hardest<br />mile kind of thing.<br />Writing the blog post, I won\'t say is the easy part, but it\'s the part that I think you\'re absolutely<br />right, Most people don\'t go and find a picture. They wanna, they wanna write about, you know, I<br />don\'t know, house plants or something. They don\'t go find a picture of a house plant and then<br />write the blog post.<br />They come to WordPress to write a blog post about house plants and then are like, okay, I<br />better put an [00:40:00] image in here of a house plant. And then, Just as you said, like there\'s,<br />there\'s endless scrolling and discovery of find, trying to find the fir the, the perfect image. Um,<br />that could go in a lot of different directions and, and could, could be huge, could be a really big<br />lift or a tiny lift depending on what we wanted to do.<br />Like there are already services that will, that take advantage of like Unsplash and some of the<br />other open free ones that do basic keyword matching. Um, so I think we just kind of keep an eye<br />on that space or that functionality. Um, cause it, cause yeah, combine discoverability or um, uh,<br />finding images, but with the way that AI is manipulating images.<br />So you\'re like, you know, go look at all the images of house plants on Unsplash and, and<br />whatever other public ones, but now generate something in the style of da Vinci boom. You<br />[00:41:00] know? And, and keep regenerating until you get one you like, and then, you know,<br />so, but that\'s, you know, the, the lift of that is not something we can do for free.<br />I\'ll say .<br />Cory Miller: Yeah, exactly. We need somebody to pay us. Okay.<br />Cory Maass: But yeah, but I do, I, you know, all of this exercise, it\'s like, okay, yes, I won\'t let<br />you daydream for the next two hours, but all of this, you know, us mentioning different random<br />things, I think helps dictate, like, at the beginning of this conversation, I was like, oh, scissors<br />are fine, let\'s run with it.<br />But, you know, if our hope is down the road, we\'re expanding way beyond literally making an<br />image from this size to this size, then a then scissors is probably not the, the metaphor, the<br />visual metaphor that we want. It\'s not inclusive enough, so, you know, [00:42:00] What, what<br />other visuals, what other icons or objects represent the visual, you know, an eyeball or glasses<br />or, um, I don\'t, you know, a camera.<br />Yeah, I mean, that\'s Instagram.</p>\n\n\n\n<p>Cory Miller: Yeah. So just segue in for a second to prep our conversations. We\'re making<br />incremental progress and a lot of this stuff. So we got one Lego and mast head. You\'re gonna<br />start with that. We\'ll go, come back and forth. What things can I be working on? Um, two,<br />Cory Maass: I I would love you to start thinking about a first, a couple of things.<br />One, um, this is the stuff that I, I understand conceptually, but cannot. Ever wrap my head<br />around is like, how do we, is the, what is it? The, there are two [00:43:00] dimensions. There\'s<br />three dimensions of, of space, but the fourth dimension is time, right? So I have a real hard time<br />with time with, uh, we get, we get to the point where we\'ve got a logo that\'s fine, a masthead.<br />That\'s fine. A read me, we\'ve, we\'ve, you know, some people are trying out, you know, then, like<br />you said, um, promotion and what does that look like and what does that look like over time?<br />Um, if we\'re gonna start emailing people as, as people join the mailing list, um, you know, what<br />is the monthly newsletter or whatever the cadence we decide on, what, what is, what does six<br />months of that content look like?<br />I mean, obviously like, I\'m not expecting paragraphs, but just like conceptually, you know? Um,<br />and then, and then also I think, um, How do you envision the evolution of the website?<br />[00:44:00] Where again, right now it is a single purpose, you know, single page app, but that still<br />needs to be on the site somewhere. But obviously we wanna start migrating the website to be a<br />landing page to hold hands with the plugin.<br />Um, you know, and again, we\'re not, I\'m not talking huge major redesign tomorrow, but it\'s the<br />like, cause it\'s, it\'s you saying, okay, if, if the goal is, you know, we\'re ramping up content output<br />within the next couple of months, then, then you need a place to put that content. So within the<br />next couple of months, we need the website.<br />you know, roughly to have these five things, a blog so that I could put blog posts or a<br />documentation, um, section so that we can start writing documentation or whatever. Um, so that<br />kind of thing, because I think there\'s, there\'s going to be a point where we [00:45:00] need to<br />put, um, railroad cars in order mm-hmm. so that we\'re not, we\'re, you know, not getting in our<br />own way.<br />And you are empowered because there\'s, you know, I think part of the, the arc of this kind of<br />situation that often happens is, you and I have fun brainstorming, but upfront I\'m gonna do most<br />of the work of development and that kind of thing. But then at some point, the roles switch<br />where it\'s like, okay, I\'ve delivered, I\'ve given you something to sell.<br />Now go sell it. Mm. And so I wanna make sure that I\'m not just adding features. And then you\'re<br />like, okay, great, I\'ll now go sell this thing. I need to start writing blog posts. We need a blog. And<br />I\'m like, oh crap. Like we are not set up for that at all.<br />Cory Miller: Um, okay, let me talk, talk that out. That\'s, uh, that\'s great framing for me.<br />Um, so promotion. So product is out. We need [00:46:00] some eyeballs, we need somebody<br />testing it. We need somebody using it. Um, so I think my first step to me is how do we talk about<br />it personally? Use our own platforms cause we don\'t have a platform on crop express. So right<br />now we\'re depending on, uh, repost. Um, our audience, which I think is great.<br />We have audience, we have people that do this stuff. Um, then we have a conduit to talk about<br />it. cause a lot of the agency, the builders, people are in Post Us, which is great. So we can be<br />like mm-hmm hit us up on Slack, um, to to, to talk and give us feedback and stuff. I think what<br />we\'re trying to, trying to validate, I guess in the more scientific way is where\'s the interest?<br />You know, have we hit something? Are we there? Have we hit gold yet? [00:47:00] Um, so to<br />me, how do we get enough eyeballs is the question on the plugin. Like, use it and get some<br />response. And I think we\'ve got something here that either negative or positive, we\'re gonna get<br />something to gauge. , what\'s the next critical thing?<br />And as we\'ve said before, like I think the feature request side of this is the key right now is<br />somebody using it, going, I want this, I like this, but I want this. And then we gotta, we start to<br />build that business case for, okay, well if we built that, you and I can make those, those<br />decisions. Mm-hmm. . So just talking this out loud, without really processing it, I go use our<br />personal platforms to get some burst.<br />I think it would be interesting, I, I go to some of these outlandish things only to calibrate a little<br />bit. So when I say this, I wanna get that disclaimer. [00:48:00] It\'s like, you want a banner, you<br />wanna ring a bell and say, this sucks. We made it better. Like, doesn\'t this suck? Mm-hmm. ,<br />you know, so I almost. Cropping images sucks.</p>\n\n\n\n<p>You know, there\'s this thought of like, I, I come back a lot to cause you know, cause is the<br />customer\'s problem. And so I go, okay. I mean that was what I told you initially, like months ago.<br />I go, this, this process sucks, right? Like, I don\'t like it and I\'m not trying to throw shade on any<br />of the core contributors at all.<br />Just this is a part in the process that really sucks. Yep. We\'ve made a step to make it better. But<br />big enough bell where it\'s not just that cause we have, we have plans and potential for more. So<br />I almost think like there\'s something in that. You were really good to come up with ideas and edit<br />some stuff.<br />It\'s like content. Something to the effect of [00:49:00] image editing sucks. Content, you know,<br />something in the realm, but it\'s just a little enough bigger than just the one thing we talked about<br />is like, finding images sucks. We know we wanna be careful with saying finding, so we don\'t<br />want them to think they\'re gonna find an image.<br />Right. Um, but I kind of think like some bell to ring, um, in that regard. And what\'s interesting to<br />me, there\'s con and, and so I just naturally go to content and what we do and what comes out of<br />us and what we\'re passionate about. And I\'m like, I\'d never heard of, I probably maybe have<br />heard of Affinity Designer, but talking about all the tools and how it\'s a pain in the butt on the<br />web to do images, like get what you want.<br />This whole conversation about fitting in to the post, like our process of going and finding an<br />image. So I go, core thing is this, but there\'s a lot of space around this to talk about [00:50:00]<br />images. Sure. And they\'re rolling that,<br />Cory Maass: Yeah, images are worth a thousand words. You\'ve already written a thousand<br />word blog post.<br />You have to go find an image now. Now pairing it with your a thousand words should not be<br />difficult. Um, and so definitely like the tools that people are using, the sites that people are<br />using, I think that there\'s, I, you know, I\'m a, I have subscriptions to at least half a dozen<br />newsletters that just recommend little power tools, little utility apps, cause that\'s, I love them.<br />They\'re fun. They spark ideas like crop express. Um, and so I think talking to some of those, Or<br />getting, obviously getting a, getting listed everywhere we can. That\'s, that\'s a no-brainer, but<br />specifically not only us putting out content, but but starting to talk to the people who are talking<br />to the content [00:51:00] creators.<br />So it\'s like, you know, there are blog po blog, excuse me, there are newsletters that are for<br />content creators and, you know, getting them to talk about here\'s a way to, um, you know, a<br />better, you, you\'ve written, you, you\'ve used a AI to write the, the blog post, or you\'ve written it<br />yourself or you\'ve hired somebody to write it yourself.<br />Here\'s a, here\'s a, you know, speed up the rest of the workflow. Um, there was something else<br />that just popped into my head too, but anyway, you know, but something like that.<br />Cory Miller: Yeah. So I was thinking like hyper users, cause the hyper users that like, do you<br />pay for affinity designer? Uh,<br />Cory Maass: I did once and that\'s why it\'s okay.<br />Cory Miller: So it was enough of a tool for you to pay for cause you use it in your everyday life,<br />you know? So I wonder, like, I\'m thinking hyper users, who are those? And this is the business<br />case too. So I think about Lindsey at Content Journey. They\'re, they\'re writing and posting and<br />publishing content for, [00:52:00] um, cut their clients all day, every day.<br />And I go, I should talk to Emily over there, um, about her process and get her be one of it. Um,<br />when it\'s in the repo, ask her to use it on one site and give us some feedback. Who, who else in<br />the hyper user that we know of that we could potentially get in their hands?<br />Cory Maass: Describe like what, how are you using the phrase hyper user? Okay.<br />Cory Miller: Well, somebody that does professional content production. Okay. Um, so that<br />could also, I mean, there\'s a ton of blog, you know Sure. What we formally call bloggers, but<br />using content, doing content every day, particularly in WordPress. Mm-hmm. . So there is that<br />pro blogger type content machine, you know?<br />Yep. Yeah. Um, we\'ll be using it at Post Status of course.<br />Cory Maass: [00:53:00] I mean, my clients will definitely use it cause they already, like I I said<br />early on, like I\'ve already, I have them going to the website to do cropping and so to remove that<br />step where they can just do it in WordPress, they\'re gonna do back flips, which will be fun to<br />watch.<br />Um,</p>\n\n\n\n<p>Cory Miller: Yeah, I\'m, but I was also thinking for me, but that raw feedback you get Oh yeah.<br />When somebody\'s using it is so gold. So, oh yeah. I will love to hear what your clients say and<br />then I\'ll, I\'ll, I\'ll do a demo or something, or I\'ll do a screen share with Emily and ask her to look<br />at it. And first I\'ll te I\'ll first of all ask her for, I\'ll say, tell me how you, show me how you do a<br />typical blog.<br />And then I\'ll be like, okay, install this plugin here and tell me what you\'re thinking.<br />Cory Maass: Yep. Um, and this might be a little further down the road. Um, but the other thing<br />that jumps into my mind is like plugins, like Yost, where you have to upload a, an image. Um, so<br />this [00:54:00] isn\'t necessarily a featured image, but it\'s the, the image that that ends up being<br />the open graph image associated with each post.<br />Also, I\'m, I\'m, I\'m sure is supposed to be of specific dimensions. Um, and so I picture. Um,<br />they\'d be happy to write about like once, once we are even loosely integrated. But if it\'s useful to<br />their users, um, then they\'re gonna love our tool, right? So, um, getting, getting content or other<br />tools that interact with that, make their, that whose users interact with images, we\'re gonna also<br />make their customers happier.<br />Um, even if we are not immediately inter, you know, um, integrated, like will we, will we sell a<br />Yost add-on? I have no idea. But even upfront, well, if we, the minute we expand beyond<br />[00:55:00] featured images, we\'re like, here\'s how you, you know, in your media library, upload<br />an image, crop it for Yost, and then you go over to Yost and say, select this image to be your<br />open graph image for socials.<br />You know, basically connecting that, um, closing that circle, I\'m sure they\'d be happy to talk<br />about it. And that\'s an example, right? So it\'s like what other, um, big plugins or big systems<br />services that interact with WordPress that primarily or even curly, interact with images that we<br />can help make their customers\' lives easier than they\'re gonna want to talk about us.<br />Cory Miller: Okay, so right there, two things. Stand out. Besides Yoast, Yoast Is one of those, of<br />course. Um, but membership sites and e-commerce and I draw to that category because they\'re<br />making money with it. So they\'re the ability to spend money on it. So, question with<br />WooCommerce, [00:56:00] man, it\'s been forever, but when they upload a product image, are<br />they using default WordPress?<br />Stuff.<br />Cory Maass: And I\'ll tell you tomorrow,<br />Cory Miller: right there, there\'s an inroads. Oh yeah. Um, oh yeah. I think about the<br />membership sites, an LMS from Learn Dash to Lifter to Paid Membership Pro and everything.<br />And starting to talk about them, about that stuff. So there\'s code promotion stuff we could do. So<br />that, that would be like Kim Coleman.<br />We can reach out probably Bob Dunn to start with WooCommerce, but we\'ve got a whole<br />channel in, in, uh, Post Status. We could talk there. And then just WooCommerce is the big,<br />huge , you know, thing. Yeah. But, and I just went there directly cause you\'re like a little free<br />utility tool that helps them do one [00:57:00] thing.<br />There\'s a great. Oh yeah. To, uh, to scratch. Okay. So I\'ve got a couple of those, um, to think<br />about that I could be pinging people and asking. Um, okay. On email, I\'ll be think I tried to stay, I<br />started with promotion and go down and go, okay, what do we need from the website and the<br />email? I think, um, I, I love that the website itself is, is, is the tool.<br />Is a tool and it\'s a great tool and there\'s opportunities there. Um, it\'s not in the WordPress flow,<br />but I love it from a, let\'s, if we just called it a lead magnet<br />Cory Maass: mm-hmm. , which is, you know, how would what we\'re talking about. Yep. Yeah.<br />Cory Miller: Um, and like have the link to want better image, whatever our phrase is in<br />WordPress over there.<br />Then we\'ll have the pro version, um, So I\'m [00:58:00] hesitant to say to do anything right now<br />with the website other than those things because I still love, we\'re gonna get some trickle in and<br />they go and they got used and they can bookmark those and go back like I do with it. So we\'re<br />in their workflow too.<br />Cory Maass: So here\'s one other thing that I really want you to do.<br />Um, yeah, because, and this goes back to one of our first conversations is, um, you know, I, uh,<br />I showed you yesterday, I made some updates to the ui. Um, do a quick review of the new<br />version, the newest version. Um, look for any e easy wins. Oh, don\'t have this box on the left or<br />this button on the left. Have it on the right.</p>\n\n\n\n<p>That\'s more intuitive, whatever easy wins like that. Um, because I think. So the, the code for the<br />plugin, because it\'s built into [00:59:00] Gutenberg, is not a one-to-one to get it working on the<br />website, but obvi, but we want the website to look the same as the product. And so I wanna<br />start looking at how to marry those two.<br />Um, even if they\'re, they might be separate code bases, you know, but, or they might be the, I<br />might be able to use the same one, but it\'s like, I don\'t want to, I don\'t wanna do more work than<br />I have to. So if you do a quick review and say, Nope, everything\'s fine, or make this button<br />bigger, or whatever, then I can also, like, I, I liked what you just said of like, the website doesn\'t<br />have to change altogether, but I do think we want to change the crop on the website to be the<br />same as our product.<br />So that it\'s the best kind of lead magnet. Like the tool you are using is literally do this with<br />Cory Miller: WordPress. Insert into WordPress. Yeah, exactly. Do this in WordPress. There you<br />go. Yeah. .<br />Cory Maass: Okay. So, oh, so product feedback would be the other thing. [01:00:00] And I\'m<br />not talking, you know, like, let\'s, let\'s grab a, a color scheme and we can, you know, inject a little<br />bit of that into the plugin just so that we start to build brand recognition that way.<br />Hot pink everywhere or whatever. Um, not really, but, you know, something. Um, but beyond<br />that, you know, we\'ll keep it simple, but we can start to sort of massage the website to look more<br />like the, the plugin we\'re building.<br />Cory Miller: Okay. Okay. So I have start kind of doing next steps for promotion, thinking about<br />the website and, uh, monthly, whatever the cadence is for the email.<br />Uh, and then to review the latest version of the plugin. Okay. Can. I\'m out the next couple of<br />days, uh, on a trip with some buddies of mine, but, uh, I\'ll be back in the settle and, um, that\'s,<br />that\'s a pretty easy lift for me. [01:01:00] I, I want to think about like, we\'re gonna put it out there.<br />We want to chase, we want to get it in some hands, like your clients.<br />I think our ideal and then, uh, content journey, getting feedback from them are ideal. Um, but I<br />want to think about some sort of, some topical thing, and maybe it\'s something we just talk<br />about live. Like just hearing your workflow is different from mine. I always love talking to<br />developers and go, how do you get these things done?<br />And they\'re like, this is, and I go, can you slow down and show me again? Because I want to do<br />that for myself. So there\'s like, like that workflow conversation about mm-hmm. content<br />production. And we could kind of have a little, you know, I mean, maybe. I don\'t know what your,<br />your relationship is with your clients, but like, just talking about this thing that sucks how we do<br />it.<br />Like you give your tip, I give my tip, they give their tip, you know, content journey, whoever else,<br />professional blogger out there, um, [01:02:00] group or whatever that I, so I just wanna spin<br />those ideas a little bit about something that we can get to like ring the, ring the bell of like, this,<br />this, this is an issue and this is how people do it better and we\'ve got one too.<br />Cory Maass: Yeah. Well, and I like the old trick of, you know, how often the best marketing<br />phrases, word, sentences come from clients talking about their problem. Totally. Um, and so I<br />also, and am of course envisioning like, I don\'t know if a poll would capture what we want.<br />Creating. If, if we can figure out the, the right questions to ask, we can put questions up in<br />MegaMaker in Post Status.<br />The couple of other, um, slack communities that I\'m in, we can both put them on our Twitter and<br />it\'s like, I don\'t expect thousands of responses, but even a handful. And there\'s people that I<br />know you can pull on this tug on the [01:03:00] sleeve of, and there\'s people I can tug on the<br />sleeve of and be like, do me a favor and go answer these three questions.<br />You know, take five minutes, do you know, and I owe you a beer the next time I see you at a<br />WordCamp kind of thing. Um, yeah know, but just to start capturing the words that people are<br />using, um, the workflow that people are, you know, in three steps, how would you des or in, in<br />10 steps or less, how would you describe how you finish off a blog?<br />You\'ve written all the words. What are the next, you know, what are the steps between that and<br />hitting publish, or. Whatever, to just again, start to capture that, that thinking, the workflows that<br />you\'re talking about. So, ,<br />Cory Miller: I went to YouTube and we got some good comments actually in there. I need to<br />have this up every single time.</p>\n\n\n\n<p>By the way, they, they were making comments as we were talking about, like, we\'re riffing. I was<br />like, oh, we got collaborators out there. Um, but ve said, I think, yeah, I will, I will buy [01:04:00]<br />that. So like, Hey , I\'ll try to say we\'re our first customer, first perspective customer. Um,<br />Cory Maass: quick get a credit card number.<br />Cory Miller: Yeah, yeah. Here\'s our, here\'s our PayPal address. Um, Zach said something, I<br />wanna come back real quick. Art direction with resized and crop thumbnails sucks. With the<br />core feature set. Keeping the focal point in the image matters, that would be a killer feature. So,<br />, you know, resonance. How do we keep attention?<br />I think we got some good next steps. And for all this, sorry, I just happened to go over here and<br />look real quick. And it was like, we\'ve got, we\'ve got some comments coming in, so add to our<br />awesome conversation.<br />Cory Maass: Yeah, that\'s cool. Oh, and well, and, and how fun is this? So I just went over to<br />YouTube as well, um, which I had not been watching the comment.<br />I\'ve been watching comments in four comments in Zoom, but not YouTube. So yeah, from now<br />[01:05:00] on I\'ll open this, but they have a, um, clip a crop icon under our video of a pair of<br />scissors.<br />Cory Miller: Oh yeah. Oh, that\'s interesting. Okay.<br />Cory Maass: So anyway, I just, you know, and, but more and more, yeah, I\'m thinking we want<br />to get away from that or the obviousness of that or something.<br />Anyway.<br />Cory Miller: I do think up, I do think on that note opinions and even strong for the right, strong<br />opinions for the right things really matter in a product. Um, where, you know, WordPress is a<br />great example of this, of like opinions about certain things that I didn\'t always like, but they were<br />good for the overall thing.<br />And I think we\'re developing some opinions and then we\'ll get some validation from customers<br />and really strengthen that opinion going Yeah. But like the first opinion is we say image cropping<br />[01:06:00] sucks. Yeah. So we can start with that base. Oh, sorry.<br />Cory Maass: No, but I, I, I really like. I, I hope this is, I hope you take this as the compliment.<br />I mean it, so there\'s, there\'s some, to me as a northeastern American, there is a Midwestern<br />charm in that, in the phrase, in that phrase, like sucks is very brash, you know, and I think it\'s<br />fine to use these days, but it, but the is a chore. Because it, it works as a phrase like, this sucks,<br />but it\'s also literally, it\'s a chore.<br />It\'s a thing you have to do and don\'t wanna do, but it\'s part of the workflow. So I re I still, I, I want<br />to keep coming. I, I want to keep coming back to that phrase.<br />Cory Miller: Well, let\'s take that for a second. I love that, that kind of refocus on, it\'s a chore<br />because you think about [01:07:00] you\'re trying to do this creative act.<br />You\'re trying to makes… when you push publish, you get something out into the world and you,<br />it\'s not all art and design, but you want it to be a nice product that\'s received well, that people do<br />something with. You know? And when you said chore made me think about the workflow, like,<br />you know, okay, I paint the beautiful painting on the canvas.<br />Now I gotta find a frame. Hmm. Like the read me file. And I think that chore coming to like, this<br />should not be a chore. That\'s our opinion. You should be. Focusing and using all your resources<br />on the creative act, not on the chores. We\'re gonna take the chores out for you. Love it. That\'s a<br />strong opinion that we could say like, yeah.<br />That there\'s something there. But I like your refocus. I tend to go there, calibrate in a little bit.<br />Okay. And, you know, if we\'re just doing this privately, you\'d be like, yeah. It\'s, it\'s probably a<br />little strong. Okay. Tour\'s better.<br />Cory Maass: Yeah. [01:08:00] This is, I like, this is, you know, this is the battle we\'re fighting is<br />Yeah.<br />Against the awfulness. That is the process of Yes. Dealing with images. Like, that\'s our, that\'s<br />our, you know, 6 million annual company. What we\'re starting with today is the cropping of an<br />image. Cropping of a featured image.<br />Cory Miller: Yeah. Reduce creative chores like the, the bell we ring is, Yeah, we\'re getting onto<br />the cause the bigger thing and we\'re just a part of it, and I use this all the time cause I\'m like,<br />when you find that core thing enough, people are irritated about you just ring it.<br />But then we get into, cause when we\'re like, stay in the creative lane, reduce this chore, friction.<br />Our job is to reduce your, your, your creative [01:09:00] chore. Yep. Your, I don\'t know, I\'m</p>\n\n\n\n<p>rehearsing this out loud, but like reduce your creative chores and then like, it should be about<br />the magic of beautiful images and fits with your story and syncs. Or if it\'s an e-commerce store,<br />like, Hey, I want you spending more time trying to make sure the lighting is perfect and your<br />product, like exudes what it does in the world and we\'re gonna, then when you get into show it<br />off to everybody, you don\'t have, we don\'t want you to go through a slog of mud to get there.<br />That slog of mud. Is there our opportunity right there? So<br />Cory Maass: we are, we are the bridge over the troubled water<br />You\'re speechless. My terrible joke. Shut him down. No,<br />Cory Miller: you can\'t do things like this because then my weird mind starts go. So we can go to<br />fiber and get a little like montage, , um, video . I think the [01:10:00] quirky stuff, I think things<br />like that. It\'s all on the table. It\'s just like authenticity. Hey, we\'re two dudes that like, don\'t like<br />this thing.<br />We solve this. We\'re, we\'re solved this little problem, but we think it might go on and if you want<br />to continue to support us to do it, we\'re gonna do it. Um, but the quirky , yeah, we did some<br />outlandish, quirky stuff, by the way, the themes. And I just found one the other day and I was<br />like, Ooh, you know, that\'s still out there.<br />Um, had years ago. Oh, go ahead. It\'s, it\'s, it\'s this outlandish, okay. So builder, I think Builder<br />was turning one year old and we wanted to celebrate it. So we had a birthday cake, birthday<br />cake, birthday party for it. And we had the image of the, the hat that we had made into it.<br />Lindsay had it made into a 3D cake.<br />And I\'m like, you know what? It\'s just those quirky things of like, it\'s a chore. We\'ll try to make it<br />funner, you know? Yeah. Kind of thing. So, oh, for sure. By the way, this is part of my process.<br />It\'s just like, you know, us talking through this and we get clarity of like, [01:11:00] oh, cause I<br />wrote chore and cause I wrote chore and I put a box around it, little crop box around it, and I\'m<br />like, yeah, let\'s destroy chores, destroy, create.<br />Oh, this is where I, uh, initially started that whole thing, Corey, I think in business in particular<br />with products and stuff, it\'s really good to have a villain. And I don\'t like to make people, I never<br />like to make people the villain. Sure. But the creative chores are the villain. So we are the<br />crusaders that fight against the creative chores.<br />So I\'m just, you know, but I, I just go like an enemy always helps a villain, always helps, kind of,<br />you know, push us, help our clients go, you\'re fighting for us and if we make chores, the<br />creative, the content chores, the, the villain, we\'re not fighting a person. We don\'t wanna do that.<br />Sorry. We wanna fight this concept that gets in the way of you doing magic on the web.<br />So, yeah. [01:12:00] Okay. I love that , because you know me, I\'m gonna try to find. Or if you<br />don\'t know , uh, any reason to do swag is a good hundred reason. And if business can help pay<br />for it. I\'m like,<br />Cory Maass: oh God, you and I are best in trouble then because we\'re in trouble. I am nonstop.<br />Like I, for everything I\'ve ever made, I at least had one, uh, sticker made or one t-shirt made or,<br />uh, cause swag is, is everything.<br />It\'s starting from, we keep coming back to me as a musician, but like in, when I first started, like<br />before I even had music, Out released. I had t-shirts, I had designed t-shirts and I, now I\'m mad<br />at myself cause I\'ve, I spent hours and hours and hours designing album artwork, designing<br />swag that nobody ever bought because the music wasn\'t good enough,<br />And so I wish I had spent the hours making the music good enough, uh, to [01:13:00] actually<br />like, warrant the swag. But it made me better as a designer. And, and it\'s, and it\'s fun. I don\'t<br />really regret it as far as, you know, like the fun I had in my life. But, um, yeah, so I\'m excited to<br />see what ridiculous things we come up with.<br />Cory Miller: So Corey, here\'s something that would be a low lift for us, but would be fun and hit<br />in this ring The bell we\'re fighting this villain, you know, um, is have a printful shop and all these<br />little stupid, you know, quirky ideas. We have. Shirt sticker. We\'re not trying to make money off<br />it, but it it, that\'s content that\'s like these pe you know, it\'s back to the Seth Good and Tribes<br />thing.<br />It\'s like, these people get me, they get what I\'m doing. And like this, we could turn that swag<br />concept. Cause Printful you can do everything from stickers. We could create, like imagine the<br />random shit we could do, but like, it\'s ringing the bell, chores suck.<br />Cory Maass: We need to, [01:14:00] we, we we\'re gonna make crop, um, crop t-shirts.</p>\n\n\n\n<p>They\'re gonna cut off just below the nipples . And you and I are gonna get on this call week after<br />week with our bellies hanging out because our t-shirts have been cropped or, you know, or, or a<br />square cutout, uh, here, you know, Terrible, terrible. We\'re gonna, we\'re gonna have to shave<br />patches into our heads because we\'ve cropped, uh, you know, cropped our hair like dumb stuff.<br />Like we will take the dad joke too far. Yeah.<br />Cory Miller: So we talk about out the truly outlandish stuff. Nobody wants to see me in a crop<br />top, but like truly out lunch stuff and we kind of calibrate it in. But an example of this is, um, oh<br />get tushy. It\'s the kinda like $79, uh, bk. So I bought, we have one and we bought others and my<br />friend Jason Scher told me about it.<br />But their marketing is so on brand. They [01:15:00] take this concept that isn\'t talked about in<br />polite company potentially, or we call it a bday, you know? Okay. Yeah. But their marketing, they<br />make poop jokes, you know, all the time. Like they infuse that. And I\'m not saying we can, you<br />know, but the spirit of it is, yeah, make it fun.<br />You know, and so I think like we\'re in the outlandish phase and we\'ll figure out these others that<br />are just kind of fun and quirky. We\'re not gonna get anybody buying them, but it\'s like, that\'s our<br />content marketing potentially. Yeah. You know?<br />Cory Maass: Well, and it\'s because it\'s, it\'s what keep it. If nothing else, it would, it\'s what, it\'s,<br />you and I are gonna have fun and it\'s gonna keep us excited to, to do this kind of stuff.<br />And like, um, the example I wanted to share earlier was, my first moderate success of a product<br />was I built a, um, personal finance tracker 20 years ago now. No, 15 years ago [01:16:00] now.<br />Um, And, and some people didn\'t. If there was a day where you didn\'t spend something, I was<br />like, this, this needs a celebration. And so I built a little Easter egg.<br />So if on a day when you were tracking your finances, if you, if you took the time to enter zero,<br />you got a, um, an email that was like, you know, congratulations. We got, we we got a video for<br />you. And I had gone on Fiver, and this is back when Fiver was, you know, truly anything for $5.<br />And I got a video made of a guy, um, beatboxing.<br />And he is like, what? You didn\'t spend anything? That\'s awesome. And then he starts<br />beatboxing money, money, money, money. And it like, but really good. And it was like just this<br />quirky weird thing that people lost their minds over. Yeah. And it took me, it was five bucks and<br />20 minutes to find somebody to do something outrageous.<br />But that\'s like, [01:17:00] You know, I live for that kind of stuff, you know, it doesn\'t necessarily<br />have to be Easter eggs, but like, you know, fun little weird things that, cause it\'s, you can also<br />defeat villains with joy, right? Like, we\'re we\'re, oh yeah. The, but like, you know, the goal is to<br />make it fun. Forget, you know, the, the chore wheel is what makes it fun or you make a game<br />out of it or whatever.<br />You know, that kind of thinking.<br />Cory Miller: You just read my notes. Okay, make creative chores fun. Like, okay, so you, you,<br />you were talking about music and I was like, oh, you have a soundtrack. When you create<br />posts, when you do that, like you were talking earlier, you use, uh, electronic music, it\'s like<br />there\'s a question.<br />So like, our email content could be like, you know what? Our email banner could be, make<br />creative chores fun. And it\'s like, what\'s your [01:18:00] favorite soundtrack? We made a shirt<br />over. Um, the spinning, I don\'t know. You know? Right. That could be some of that content that<br />we\'re like, elicit people\'s creative chore.<br />How they make creative chores fun cause they\'re necessity. I like your angle. Not everybody<br />has to be defeated. We could like hug the villain.<br />uh, Santa Claus put makeup on the villain.<br />Cory Maass: Santa Claus three where you know they, eventually the bad guy. Um, the spoiler<br />alert everybody, if you haven\'t seen Santa Claus three, plug your ears. But, you know, at the<br />end, the villain who is Jack Frost is vanquished because a little girl hugs him and thaws him out.<br />Finally. So this is the goal is, uh, you know, warm hugs that will make chores not as evil.<br />Cory Miller: There you go. Yeah. I love it. Grinch. You know, like there\'s [01:19:00] the Yeah,<br />we\'re gonna be the playful. I like that. Um, I think we should keep this on top of our mind. Yeah.<br />Like, I just try to find the bell. You keep ringing, you know?</p>\n\n\n\n<p>Mm-hmm. . Um, and it\'s make to me from our time as like, make creative chores fun. Yep. And<br />then the question is how do you do it? You know, making creative chores fun by carpet<br />Express.<br />Cory Maass: Yep. Things, yeah. Just broadly speaking, what, yeah, these are all things we can<br />talk about, things we can promote, things we can encourage in other, in others.<br />So again, like how do we get other people to talk about us as well? And it\'s like, here is this con,<br />this concept that we are owning and, you know, so we\'re, we\'re. Yes, we solve it very specifically<br />with, with the product we\'re building, but broadly speaking, you know, where in the world are<br />their creative chores and what are other clever ways that they [01:20:00] are being vanquished<br />or being hugged to death or being, uh, you know, uh, how, how can we, uh, spoonful of sugar<br />kind of concepts.<br />You know,<br />Cory Miller: how do you make your creative chores fun? Yeah. You know, well, whatever they<br />may be. Yeah. Whatever. Not even, like, it doesn\'t even necessarily have to be WordPress, you<br />know? Right. It could be just, you\'re doing art and this is the chore part. So how do you make it<br />fun? Well, I dress up at Santa Claus when I go pick out my frames or I, I don\'t know.<br />You know what I mean? But that, but the questions you\'re, you\'re sharing is like, that\'s just<br />ongoing cool content. Okay. All right, dude. Okay. I got my stuff. Continue on these. Review the,<br />uh, on the promotional side. Next steps for that. Um, review the, the updates you\'ve done to the<br />product. You\'ve got logo and masthead.<br />I\'m sure we\'ll be talking betwe between now and next week.<br />Cory Maass: Yeah. Masthead is easy. Logo. [01:21:00] We, we need to keep going back and<br />forth because it\'s, I, I, I\'m happy to own it, but we need to do some, do lots of thinking around it.<br />Cory Miller: Okay. You wanna show some logos next week and get our, uh, audience\'s<br />opinion? I gotta tell you though, when you said the eighties pink and black, I go, I mean, why<br />does it have to be boring?<br />Why does it have to be serious and monotonous? Pink kind of screams that corporate. Yeah.<br />Cory Maass: No, no more internet, corporate blue.<br />Cory Miller: So I\'ll, I\'ll leave it to your, uh, uh, inspiration and we\'ll, we\'ll, we can, we\'ll, we\'ll talk<br />about that next week in between. Nice. Thanks dude.<br />Cory Maass: Yeah, man. I\'ll talk soon. Okay.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 12:03:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WordPress.org blog: The Month in WordPress – February 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14550\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13213:\"<p>February has been an exciting month for the WordPress community, with the celebration of the first-ever WordCamp Asia bringing friends and contributors back together in person. But that&#8217;s not all; read on for the latest project updates.</p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<h2 class=\"wp-block-heading\">Get ready for WordPress 6.2</h2>\n\n\n\n<p><strong>WordPress 6.2 Beta 4</strong> arrived earlier this week and is <a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">ready for download and testing</a>. Work continues on track, with the first release candidate (RC1) due next week and the target for the final release on <strong>March 28, 2023</strong>—less than four weeks away!</p>\n\n\n\n<p>WordPress 6.2 is one of the last major releases planned for Phase 2 of Gutenberg, taking the Site Editor out of beta with a more polished user experience and refreshed interface.</p>\n\n\n\n<p>On March 2, members of the release squad hosted the <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 live product demo</a>. The recording and transcript will be available soon. In the meantime, these resources will give you a taste of what&#8217;s to come:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help test WordPress 6.2</a>. Your feedback is key to ensuring everything in this release is the best it can be.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Join WordPress&#8217; 20th anniversary celebrations</h2>\n\n\n\n<p>WordPress is turning 20, and the community is getting ready to celebrate!</p>\n\n\n\n<p>As part of the festivities, the project has released a <a href=\"https://wp20.wordpress.net/wordpresss-wapuu-joins-the-wp20-celebration/\">20th anniversary Wapuu</a>, a <a href=\"https://wp20.wordpress.net/download-the-wp20-commemorative-logos/\">set of commemorative logos</a>, and a <a href=\"https://wp20.wordpress.net/20-years-of-wordpress-jazz/\">special playlist with 46 tracks</a> from the jazz artists selected to represent WordPress releases. Official WP20 swag will also be available soon.</p>\n\n\n\n<p>In addition, the Museum of Block Art (MOBA) is <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\">calling all artists</a> to submit block art themed on “20 years of WordPress.”</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\">Find out how to organize and participate in the WP20 celebrations</a>.</p>\n\n\n\n<p></p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new in Gutenberg</h2>\n\n\n\n<p>Two new versions of Gutenberg have shipped in the last month:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-1-8-february/\"><strong>Gutenberg 15.1</strong></a> was released on February 8, 2023, with access to the Openverse library of openly-licensed media from the Editor. Other highlights include the ability to add custom CSS on a per-block basis and support for shadow presets in Global Styles. This is the last version of Gutenberg that will be <a href=\"https://developer.wordpress.org/block-editor/contributors/versions-in-wordpress/\">included in WordPress 6.2</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\"><strong>Gutenberg 15.2</strong></a><strong> </strong>is available for download as of February 22, 2023. Besides continued accessibility improvements, this release adds support for revisions when editing templates and template parts, and refines the navigation experience in the Site Editor.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2023/02/01/core-editor-improvement-strengthening-style-options/\"></a>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay on top of the latest enhancements.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Team updates: Global community sponsors for 2023, contributor mentorship program, and more</h2>\n\n\n\n<ul>\n<li>The Community Team announced the <a href=\"https://make.wordpress.org/community/2023/02/08/2023-global-sponsors-announcement/\">global sponsors</a> that will support the WordPress community programs in 2023.</li>\n\n\n\n<li>A few months ago, Meetup.com removed an accessibility overlay in response to <a href=\"https://make.wordpress.org/community/2022/11/23/meetup-com-accessibility-overlay-update/\">some concerns</a> from the WordPress community. <a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/\">A recent update</a> reports that the company has conducted an assessment and plans to address the issues identified.</li>\n\n\n\n<li>The Training Team launched a <a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">new onboarding program</a> for contributors. In addition, they worked on numerous lesson plans, online workshops, and tutorials last month. <a href=\"https://make.wordpress.org/updates/2023/03/01/whats-new-on-learnwp-in-february-2023/\">Check out what&#8217;s new on Learn WordPress</a>.</li>\n\n\n\n<li>The Documentation Team shared <a href=\"https://make.wordpress.org/docs/2023/02/07/future-plans-for-helphub/\">future plans for HelpHub</a>.</li>\n\n\n\n<li>Openverse moved to a standalone domain, <a href=\"https://openverse.org/\">openverse.org</a>, with improvements to the site’s homepage, header, and footer.</li>\n\n\n\n<li>The Plugin Review Team posted a notice to inform about <a href=\"https://make.wordpress.org/plugins/2023/02/03/twitter-api-changes/\">the latest Twitter API changes</a> and the types of plugins that might be affected.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/polyglots/2023/02/16/polyglots-monthly-newsletter-february-2023/\">February edition of the Polyglots monthly newsletter</a> highlights some recent enhancements to GlotPress’ functionality and the <a href=\"https://translate.wordpress.org/\">translate.wordpress.org</a> platform.</li>\n\n\n\n<li>The latest <a href=\"https://make.wordpress.org/community/2023/02/15/meetup-organizer-newsletter-february-2023/\">Meetup Organizer newsletter</a> shares tips on how to help your meetup group stay connected and engaged between events.</li>\n\n\n\n<li>Check out <a href=\"https://developer.wordpress.org/news/2023/02/whats-new-for-developers-february-2023/\">What’s new for developers? (February 2023)</a>, the first edition of a new monthly series with features and resources developers should know about.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\">Hauwa Abashiya</a>.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Following discussions on <a href=\"https://make.wordpress.org/project/2023/01/09/request-for-feedback-how-can-we-improve-the-five-for-the-future-contributor-journey/\">improving the contributor journey</a>, a new <a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">WordPress contributor mentorship program</a> has been proposed to roll out this year.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>A new proposal from the Community Team seeks to <a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">modify the Events and News dashboard widget</a> to show topic-based meetups worldwide.</li>\n\n\n\n<li>Members of the Core Team suggested some <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">updates to the WordPress release cycle</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/03/mobile-team-update-march-2nd/\">Version 21.8</a> of the WordPress mobile app for iOS and Android is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Redesign work is <a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">well underway</a> on the WordPress Theme Directory. Contributors can follow along on <a href=\"https://github.com/WordPress/wporg-theme-directory/\">the GitHub repository</a>.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress events updates</h2>\n\n\n\n<ul>\n<li>Bangkok, Thailand, hosted a successful inaugural <a href=\"https://asia.wordcamp.org/2023/we-did-it/\">WordCamp Asia</a> on February 17-19. The event welcomed 1,299 attendees, and more than 600 participants joined the Contributor Day. At the event&#8217;s closure, organizers announced that <a href=\"https://asia.wordcamp.org/2024/\">WordCamp Asia 2024</a> will take place in Taipei, Taiwan!</li>\n\n\n\n<li>The application to <a href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\">attend the 2023 Community Summit</a> is now open to WordPress contributors. Learn more about the ins and outs of this working event in <a href=\"https://wordpress.org/news/2023/02/episode-49-everything-you-need-to-know-about-the-community-summit/\">Episode 49 of WP Briefing</a>.</li>\n\n\n\n<li>WordCamp Europe 2023 is looking for <a href=\"https://europe.wordcamp.org/2023/call-for-media-partners-and-supporters/\">media partners and supporters</a>.</li>\n\n\n\n<li>Want to create diverse and inclusive WordPress events? Don’t miss <a href=\"https://www.eventbrite.com/e/organizing-diverse-inclusive-wordpress-events-ameremea-tickets-561034247537\">this free #WPDiversity workshop</a> happening March 16, 2023.</li>\n\n\n\n<li>Many WordCamps are coming up in the next weeks:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1ec.png\" alt=\"🇺🇬\" class=\"wp-smiley\" /> <a href=\"https://entebbe.wordcamp.org/2023/\">WordCamp Entebbe</a>, Uganda, on March 10-11, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" /> <a href=\"https://torrelodones.wordcamp.org/2023/\">WordCamp Torrelodones</a>, Madrid, Spain, on March 11-12, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" /> <a href=\"https://phoenix.wordcamp.org/2023/\">WordCamp Phoenix</a>, Arizona, USA, on March 24-25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" /> <a href=\"https://kerala.wordcamp.org/2023/\">WordCamp Kerala</a>, India, on March 25, 2023</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1f4.png\" alt=\"🇨🇴\" class=\"wp-smiley\" /> <a href=\"https://bogota.wordcamp.org/2023/\">WordCamp Bogotá</a>, Colombia, on March 31-April 1, 2023 (Online)</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1ed.png\" alt=\"🇨🇭\" class=\"wp-smiley\" /><a href=\"https://switzerland.wordcamp.org/2023/\">WordCamp Switzerland</a> on April 1, 2023</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Join WordPress Executive Director Josepha Haden Chomphosy as she explores <a href=\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\">three interesting trends from WordCamp Asia</a>.</p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-light-grey-color has-alpha-channel-opacity has-light-grey-background-color has-background\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this Month in WordPress: <a href=\"https://profiles.wordpress.org/ninianepress/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ninianepress</a>, <a href=\"https://profiles.wordpress.org/jpantani/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>jpantani</a>, <a href=\"https://profiles.wordpress.org/rmartinezduque/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rmartinezduque</a>.</em></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Mar 2023 11:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: WordPress Community on Mastodon Launches “Toot the Word” Survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142425\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://wptavern.com/wordpress-community-on-mastodon-launches-toot-the-word-survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2805:\"<p>Last month&#8217;s <a href=\"https://wptavern.com/twitter-outage-uncovers-more-details-on-upcoming-api-access-changes-giving-the-fediverse-a-shot-in-the-arm\">Twitter outage</a> gave Mastodon a boost, as the company also announced <a href=\"https://wptavern.com/wordpress-plugin-developers-alerted-ahead-of-twitter-api-changes\">unpopular changes to its API access</a>. People from the WordPress community continue to trickle into the fediverse, with many going so far as to shutter their Twitter accounts. A fledgling community of WordPress users on Mastodon has made the network home and are reporting more quality interactions than they experience on other platforms.</p>\n\n\n\n<p>Daniel Auener, who runs a WordPress agency based in Sweden, curates and maintains <a href=\"https://wp-community-on-mastodon.wptoots.social/\">a list of WordPress community members’ Mastodon accounts</a> that anyone can follow by downloading a CSV file and importing it into Mastodon. He and the other admins of the five largest WordPress-related Mastodon instances have joined together to create a <a href=\"https://forms.gle/a2c7BAibVPfEjXQ19\">survey</a> for WordPress users. </p>\n\n\n\n<p>The survey is being organized by the following admins: </p>\n\n\n\n<ul>\n<li><a href=\"https://wptoots.social/\">wptoots.social</a>&nbsp;(<a href=\"https://wptoots.social/@danielauener\">@danielauener</a>)</li>\n\n\n\n<li><a href=\"https://wpmastodon.es/\">wpmastodon.es</a>&nbsp;(<a href=\"https://wpmastodon.es/@javiercasares\">@javiercasares</a>)</li>\n\n\n\n<li><a href=\"https://wp-social.net/\">wp-social.net</a>&nbsp;(<a href=\"https://wp-social.net/@praetorverlag\">@praetorverlag</a>)</li>\n\n\n\n<li><a href=\"https://dewp.space/\">dewp.space</a>&nbsp;(<a href=\"https://dewp.space/@simon\">@simon</a>)</li>\n\n\n\n<li><a href=\"https://wpbuilds.social/\">wpbuild.social</a>&nbsp;(<a href=\"https://wpbuilds.social/@nathan\">@nathan</a>)</li>\n</ul>\n\n\n\n<p>&#8220;The goal of this two-minute survey is to help us improve the WordPress-related Mastodon instances and Mastodon as a meeting place for the WordPress Community in general,&#8221; Auener said. </p>\n\n\n\n<p>&#8220;We want to know your needs and challenges and how you think we – as WordPress-related instances – can strengthen the WordPress community on Mastodon.&#8221;</p>\n\n\n\n<p>Respondents will be asked how frequently they use Mastodon and how important it is to their overall WordPress-related social media activity. They will also be asked about the quality of communication with the community and what they would like to see more of on Mastodon. So far the survey has received 112 responses. If you have embraced the fediverse, take two minutes to leave your feedback on the &#8220;<a href=\"https://forms.gle/a2c7BAibVPfEjXQ19\">Toot the Word Survey</a>&#8221; before it closes on March 5, 2023. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 22:09:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"WPTavern: MonetizeMore Acquires Advanced Ads Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142414\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wptavern.com/monetizemore-acquires-advanced-ads-plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3404:\"<p><a href=\"https://www.monetizemore.com/\">MonetizeMore</a>, an ad revenue optimization company, has <a href=\"https://wpadvancedads.com/monetizemore-acquires-advanced-ads/\">acquired the Advanced Ads plugin</a> and will be hiring the team behind the products. </p>\n\n\n\n<p>The plugin&#8217;s ad management tools are used by more than 150,000 websites to create, display, and rotate ad units, as well as schedule and target ads based on preset conditions. It integrates with many other popular plugins like BuddyPress, bbPress, Elementor, MailPoet, Paid Memberships Pro, and more. The plugin is <a href=\"https://wordpress.org/plugins/advanced-ads/\">distributed on WordPress.org</a> with commercial upgrades and add-ons available.</p>\n\n\n\n<p>Advanced Ads creator Thomas Maier launched the plugin 2014 after finding that most WordPress ad plugins didn&#8217;t support responsive ads, cached websites, or split testing for better performance. Over the past nine years his team has grown to 12 people supporting 40 million impressions.</p>\n\n\n\n<p>Maier said he &#8220;never found much joy in fulfilling the executive and administrative roles in such a successful project&#8221; and will be returning to working on a team with Advanced Ads&#8217; customers as part of MonetizeMore.</p>\n\n\n\n<p>&#8220;I haven’t felt comfortable with a managing (aka &#8216;boss&#8217;) position for a while and wanted to get out of it before losing fun working with my team, product, and customers,&#8221; Maier said. &#8220;It was more a process than a specific turning point.</p>\n\n\n\n<p>&#8220;Luckily, I built relationships with potential buyers long before thinking about selling. This helped me last year to get multiple qualified offers in a short period of time. I also asked people who have sold their WordPress [businesses] for advice, which was often very honest and open.&#8221;</p>\n\n\n\n<p>Maier said the administrative burden wasn&#8217;t the problem, as his team did most of the daily tasks already. In selling Advanced Ads he was looking to move into a new role by passing the ownership on to a company that he believes to be a &#8220;sensible market participant.&#8221;</p>\n\n\n\n<p>&#8220;My energy was drained by me feeling responsible for everyone, the team, customers, and partners, to be happy,&#8221; Maier said. &#8220;I couldn’t shut up thinking about that even when everything was running smoothly. After 13 years running my own companies, I am looking forward to stepping away from the driver’s seat.&#8221;</p>\n\n\n\n<p>This acquisition allows MonetizeMore to expand its ad optimization tools with Advanced Ads&#8217; features, which allow users to manage and target their ads without coding skills.</p>\n\n\n\n<p>&#8220;Their expertise complements our existing programmatic advertising tools and products suite, keeping our publishers at the forefront of the industry,&#8221; MonetizeMore CEO and founder Kean Graham said. &#8220;As we are set for exponential growth this year and on track to cross the $100M ARR mark this year, we will remain selective in making strategic acquisitions and partnerships with organizations that also empower ad-monetized publishers.&#8221;</p>\n\n\n\n<p>Maier said he doesn&#8217;t expect any changes with the plugin&#8217;s pricing as the result of the acquisition. There are currently no changes planned for active subscriptions, existing product features, or service levels. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 20:46:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WordPress.org blog: Let’s Party: Organize your WP20 Celebration!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14546\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2714:\"<p>Join WordPress enthusiasts from across the globe on May 27, 2023, as they come together to celebrate its 20th anniversary!</p>\n\n\n\n<p>Regardless of how you use WordPress or where you call home, you are invited to celebrate this great milestone. Plan a larger party that includes your entire meetup, spend the day coworking with a group of friends, or hang out virtually online.</p>\n\n\n\n<p>Whatever your style, celebrate in your time zone, your way. WordPress has some resources to help you party.</p>\n\n\n\n<p>The <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/\">Meetup Organizer handbook</a> has a section dedicated to helping you plan your meetup’s <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/\">anniversary celebration</a>. You’ll find email and Meetup.com templates that make sending your announcements and creating your events simple, as well as tips for planning a fun, safe, and inclusive event, in-person or online.&nbsp;</p>\n\n\n\n<p>The <a href=\"https://wp20.wordpress.net/\">20th anniversary website</a> will list events as they are announced and scheduled by organizers, so check back regularly to see if there’s one in your area you’d like to join or help organize.</p>\n\n\n\n<p>Meetup organizers, once your meetup’s WP20 Celebration is scheduled, email <a href=\"mailto:support@wordcamp.org\">support@wordcamp.org</a> using the subject <strong>WP20 Celebration</strong> and include a link to your meetup event. Events will be reviewed to ensure they have all the necessary details before inclusion on wp20.wordpress.net. </p>\n\n\n\n<p>And don’t forget the new swag!</p>\n\n\n\n<p>Starting in April, meetup organizers can <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/anniversary-celebrations/request-swag-for-in-person-anniversary-celebrations/\">order complimentary kits of official anniversary swag</a>, including limited-edition stickers, buttons, and pencils that can be shipped to your meetup at no cost to you. Additional items, such as pennants, shirts, hoodies, keychains, and more, are also available for purchase at the <a href=\"https://mercantile.wordpress.org/\">official WordPress store</a> while supplies last, beginning in early March.&nbsp;</p>\n\n\n\n<p>So, whether you’re sporting new anniversary swag or your old favorites from your closet, join WordPress enthusiasts on Saturday, May 27, for a globe-spanning WordPress celebration. Use hashtag #WP20 to share your passion for WordPress.</p>\n\n\n\n<p>Don’t have an active meetup in your area? It’s not too late to <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/getting-started/interest-form/\">start one</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 20:21:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Cate DeRosia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Do The Woo Community: Do the Woo, Version 4.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74585\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"https://dothewoo.io/do-the-woo-version-4-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:300:\"<p>Well, this is it. Learn all about Do the Woo version 4.0.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/do-the-woo-version-4-0/\">Do the Woo, Version 4.0</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Mar 2023 11:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"HeroPress: WordPress helps me unwind – story of a part-time developer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=5298\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:186:\"https://heropress.com/essays/wordpress-helps-me-unwind-story-of-a-part-time-developer/#utm_source=rss&utm_medium=rss&utm_campaign=wordpress-helps-me-unwind-story-of-a-part-time-developer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13606:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/03/030123-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Ajay D\'Souza\" />\nHere is Ajay reading his own story aloud.\n\n\n\n\n\n\n<p>In October 2023, I will complete 20 years of my association with WordPress. What started as an experiment soon became an integral part of my life.&nbsp;</p>\n\n\n\n<p>Hi! I am Ajay D&#8217;Souza. I am the author of several completely free WordPress plugins, and this is my WordPress story.</p>\n\n\n\n<h2 id=\"h-in-the-beginning\">In the beginning&#8230;</h2>\n\n\n\n<p>I vaguely recall always having a passion for computers during my school days. Then, it was <a href=\"https://en.wikipedia.org/wiki/Logo_(programming_language)\">Logo</a>. It was only in mid-2000 that I discovered HTML. I had initially set out to learn C or C++ and got distracted by this language that allowed me to build webpages.&nbsp;</p>\n\n\n\n<p>I created a site on Sherlock Holmes by hand on a free host. I learnt a bit of PHP, which helped me create dynamic portions of the site. But I still didn&#8217;t know what MySQL was.&nbsp;</p>\n\n\n\n<p>In late 2003, when yet another free host closed its shutters, I finally bought <a href=\"https://ajaydsouza.com/\">ajaydsouza.com</a>. This site has remained my home on the web for nearly 20 years.</p>\n\n\n\n<h2 id=\"h-finding-wordpress\">Finding WordPress</h2>\n\n\n\n<p>After buying the domain, I <a href=\"https://ajaydsouza.com/my-new-blog/\">started blogging using WordPress in October 2003</a>. At that time, WordPress was still in its infancy, and I enjoyed playing with innovative technology. This was before the advent of Facebook, Twitter or any other forms of social media.</p>\n\n\n\n<p>I blogged about my day-to-day experiences as a student and a part-time developer. My friends thought that I was crazy for sharing my personal life online. But I persevered because blogging helped me unwind and express myself.</p>\n\n\n\n<h2 id=\"h-building-plugins-and-a-theme\">Building plugins and a theme</h2>\n\n\n\n<p>I started developing WordPress plugins in 2005. My first plugin was Bad Behavior Stats, which displayed the number of blocked access attempts by the Bad Behavior plugin. WordPress plugin development was still new back then and Bad Behavior Stats soon became obsolete. I also created a theme called Connections Reloaded, based on the original Connections theme. I maintained it until 2009, when I decided to focus on plugins instead of themes.</p>\n\n\n\n<p>Since 2005, I have authored more than 15 WordPress plugins!</p>\n\n\n\n<h2 id=\"h-a-full-time-wordpress-blogger\">A full-time WordPress blogger&#8230;</h2>\n\n\n\n<p>I began blogging professionally about WordPress in November 2005, thanks to Mark Ghosh who ran <strong>Weblog Tools Collection</strong>. This gave me an opportunity to stay updated with new plugins and themes and share the latest news of the fast-growing WordPress world. I left my engineering job in mid-2006 and blogging for Mark helped me financially while I pursued my MBA.&nbsp;</p>\n\n\n\n<h2 id=\"h-and-a-part-time-wordpress-developer\">&#8230;and a part-time WordPress developer</h2>\n\n\n\n<p>In 2009, I completed my MBA and joined the finance sector as my day job. This reduced my time for blogging and coding. However, I did not want to let go of my WordPress passion. I had already created <a href=\"https://webberzone.com/plugins/contextual-related-posts/\">Contextual Related Posts</a> and <a href=\"https://webberzone.com/plugins/top-10/\">Top 10</a>, two popular plugins with loyal users. I continued to develop them and launched a few more plugins over the years.</p>\n\n\n\n<h2 id=\"h-the-professional-rebrand\">The professional rebrand</h2>\n\n\n\n<p>I moved my plugins to <a href=\"https://webberzone.com/\">WebberZone</a> in 2015. This became my professional brand for my existing and new plugins. It also allowed me to create a knowledge base, which I am still working on.</p>\n\n\n\n<p>WebberZone allowed me to split my personal blog from my WordPress development. It has also given me the possibility of premium plugins, should that be a path I pursue in the future.</p>\n\n\n\n<h2 id=\"h-the-challenges-with-wordpress-development-today\">The challenges with WordPress development today</h2>\n\n\n\n<p>WordPress development has changed a lot in recent years, especially with the launch of the block editor. To be a developer today, you need to learn not only PHP and MySQL, but also JavaScript and React. You also need to use build tools before you can start coding.</p>\n\n\n\n<p>This has been challenging, but fortunately, there are several online tutorials to help. I spent months learning how to add blocks to my plugins and I finally have a working repository on Github of these.</p>\n\n\n\n<h2 id=\"h-what-have-i-learned\">What have I learned?</h2>\n\n\n\n<p>I have learned some valuable lessons from my WordPress journey. Here are some of them:</p>\n\n\n\n<ul>\n<li><strong>Persist.</strong> Not everyone will appreciate your work, but some will. Focus on them and ignore the rest.</li>\n\n\n\n<li><strong>Code. A lot.</strong> Reading tutorials is not enough. You need to practise, make mistakes and fix them.</li>\n\n\n\n<li><strong>Learn from others.</strong> The WordPress community has many amazing people who create great plugins and themes. Study their code, read their tutorials and follow their best practices.</li>\n\n\n\n<li><strong>Contribute.</strong> There are many ways to contribute to WordPress besides core development. You can also contribute by creating plugins, themes, documentation, marketing, tutorials, etc.</li>\n\n\n\n<li><strong>Don&#8217;t be afraid to say NO.</strong> This is very hard to do, but sometimes necessary. I recently decided to limit support for my free plugins because it was taking too much time from development.</li>\n\n\n\n<li><strong>Take time off.</strong> It could be a night, a day, a week or more. Working when exhausted is not productive or healthy. Spend some time with your family.</li>\n</ul>\n\n\n\n<h2 id=\"h-how-does-wordpress-help-me-unwind\">How does WordPress help me unwind?</h2>\n\n\n\n<p>WordPress is my way of relaxing. My job demands long hours and constant availability. I love what I do, but I need a break sometimes.&nbsp;</p>\n\n\n\n<p>That’s why I enjoy coding plugins for WordPress in my spare time. It makes me happy to create something useful and share it with others.</p>\n\n\n\n<h2 id=\"h-my-wordpress-future\">My WordPress Future</h2>\n\n\n\n<p>My goals for 2023 and beyond are:</p>\n\n\n\n<ul>\n<li>Redesign WebberZone, my website where I showcase my WordPress plugins and tutorials.</li>\n\n\n\n<li>Be more active on Twitter and network with other WordPress enthusiasts.</li>\n\n\n\n<li>Improve and update my existing plugins and maybe launch a pro version.</li>\n\n\n\n<li>Learn new skills and keep up with the latest WordPress trends and developments.</li>\n\n\n\n<li>Share my WordPress knowledge through tutorials on WebberZone.</li>\n</ul>\n\n\n\n<p>WordPress has given me a creative outlet for my ideas and skills. As a blogger, it has allowed me to share my stories and experiences. As a developer, it has challenged me to build many things that are useful that I can be proud of. As a community member, it has connected me to amazing people and opportunities.</p>\n\n\n\n<div class=\"kb-row-layout-wrap kb-row-layout-id_2abfd1-ed alignnone kt-row-has-bg wp-block-kadence-rowlayout\"><div class=\"kt-row-column-wrap kt-has-1-columns kt-row-layout-equal kt-tab-layout-inherit kt-mobile-layout-row kt-row-valign-top\">\n\n<div class=\"wp-block-kadence-column kadence-column_5bfb8b-3c\"><div class=\"kt-inside-inner-col\">\n<h2 id=\"work-environment\" class=\"kt-adv-heading_c792ee-c4 wp-block-kadence-advancedheading\">Ajay&#8217;s Work Environment</h2>\n\n\n\n<p>We asked Ajay for a view into his development life and this is what he sent! He doesn&#8217;t use a desk, he codes his WordPress material in bed on just his laptop.</p>\n\n\n\n\n	#hotspot-5303 .hotspots-image-container,\n	#hotspot-5303 .leaflet-container {\n		background: #efefef	}\n\n	#hotspot-5303 .hotspots-placeholder,\n	.featherlight .featherlight-content.lightbox-5303 {\n		background: #2E2D29;\n		border: 0 #2E2D29 solid;\n		color: #DFEBE5;\n	}\n\n	#hotspot-5303 .hotspot-title,\n	#hotspot-5303 .bc-product__title a,\n	.featherlight .featherlight-content.lightbox-5303 .hotspot-title,\n	.featherlight .featherlight-content.lightbox-5303 .bc-product__title a {\n		color: #93C7A4;\n	}\n\n			#hotspot-5303 .hotspot-style-1 {\n			stroke-width: 2;\n			fill: #ffffff;\n			fill-opacity: 0;\n			stroke: #ffffff;\n			stroke-opacity: 0;\n		}\n		#hotspot-5303 .hotspot-style-1:hover,\n		#hotspot-5303 .hotspot-style-1:focus,\n		#hotspot-5303 .hotspot-style-1.hotspot-active {\n			fill: #ffffff;\n			fill-opacity: 0.81;\n			outline: none;\n			stroke: #ffffff;\n			stroke-opacity: 1.01;\n		}\n			#hotspot-5303 .hotspot-default {\n			stroke-width: 2;\n			fill: #ffffff;\n			fill-opacity: 0;\n			stroke: #ffffff;\n			stroke-opacity: 0;\n		}\n		#hotspot-5303 .hotspot-default:hover,\n		#hotspot-5303 .hotspot-default:focus,\n		#hotspot-5303 .hotspot-default.hotspot-active {\n			fill: #3CA2A2;\n			fill-opacity: 0.71;\n			outline: none;\n			stroke: #235B6E;\n			stroke-opacity: 1.01;\n		}\n		#hotspot-5303 .leaflet-tooltip,\n	#hotspot-5303 .leaflet-rrose-content-wrapper {\n		background: #2E2D29;\n		border-color: #2E2D29;\n		color: #DFEBE5;\n	}\n\n	#hotspot-5303 a.leaflet-rrose-close-button {\n		color: #93C7A4;\n	}\n\n	#hotspot-5303 .leaflet-rrose-tip {\n		background: #2E2D29;\n	}\n\n	#hotspot-5303 .leaflet-popup-scrolled {\n		border-bottom-color: #DFEBE5;\n		border-top-color: #DFEBE5;\n	}\n\n	#hotspot-5303 .leaflet-tooltip-top:before {\n		border-top-color: #2E2D29;\n	}\n\n	#hotspot-5303 .leaflet-tooltip-bottom:before {\n		border-bottom-color: #2E2D29;\n	}\n	#hotspot-5303 .leaflet-tooltip-left:before {\n		border-left-color: #2E2D29;\n	}\n	#hotspot-5303 .leaflet-tooltip-right:before {\n		border-right-color: #2E2D29;\n	}\n\n\n\n	<div class=\"hotspots-container  layout-lightbox event-click\" id=\"hotspot-5303\">\n		<div class=\"hotspots-interaction\">\n			<div class=\"hotspots-image-container\">\n	<img width=\"2560\" height=\"1928\" src=\"https://heropress.com/wp-content/uploads/2023/02/ajay_dsouza_laptop-1-scaled.jpg\" alt=\"Ajay&#8217;s Workspace\" class=\"hotspots-image skip-lazy\" usemap=\"https://heropress.com/feed/#hotspots-image-5303\" />\n</div>		</div>\n		<map name=\"hotspots-image-5303\" class=\"hotspots-map\">\n											<area shape=\"polygon\" coords=\"47,1810,479,1136,503,1112,535,1106,574,1106,2074,1120,2120,1126,2162,1138,2198,1190,2558,1704,2550,1909,135,1889,83,1881,57,1866\" href=\"https://heropress.com/feed/#hotspot-hotspot-5303-0\" title=\"2014 Macbook Air\" alt=\"2014 Macbook Air\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"639,443,1107,451,1103,742,893,739,892,746,883,753,878,756,869,756,863,755,853,754,847,744,845,739,633,738\" href=\"https://heropress.com/feed/#hotspot-hotspot-5303-1\" title=\"MAMP Pro\" alt=\"MAMP Pro\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"1142,583,1719,591,1714,907,1447,903,1444,916,1411,921,1405,903,1407,914,1406,904,1138,901\" href=\"https://heropress.com/feed/#hotspot-hotspot-5303-2\" title=\"Visual Studio Code\" alt=\"Visual Studio Code\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"1449,220,2024,234,2023,541,1751,540,1751,554,1715,554,1712,541,1446,536\" href=\"https://heropress.com/feed/#hotspot-hotspot-5303-3\" title=\"Github Desktop\" alt=\"Github Desktop\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"1001,229,1368,234,1364,404,1201,403,1200,412,1196,420,1185,418,1170,418,1163,413,1163,404,999,400\" href=\"https://heropress.com/feed/#hotspot-hotspot-5303-4\" title=\"Finder\" alt=\"Finder\" target=\"\" class=\"more-info-area\" />\n											<area shape=\"polygon\" coords=\"647,209,876,213,871,394,777,395,773,404,769,407,745,406,739,403,739,393,643,390\" href=\"https://heropress.com/feed/#hotspot-hotspot-5303-5\" title=\"Terminal\" alt=\"Terminal\" target=\"\" class=\"more-info-area\" />\n					</map>\n\n		\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5303-0\">\n				\n				<h2 class=\"hotspot-title\">2014 Macbook Air</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5303-1\">\n				\n				<h2 class=\"hotspot-title\">MAMP Pro</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5303-2\">\n				\n				<h2 class=\"hotspot-title\">Visual Studio Code</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5303-3\">\n				\n				<h2 class=\"hotspot-title\">Github Desktop</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5303-4\">\n				\n				<h2 class=\"hotspot-title\">Finder</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n					\n						<div class=\"hotspot-info\" id=\"hotspot-hotspot-5303-5\">\n				\n				<h2 class=\"hotspot-title\">Terminal</h2>								<div class=\"hotspot-content\">\n									</div>\n			</div>\n			</div>\n\n\n\n\n\n<p class=\"kt-adv-heading_b9c76c-f5 wp-block-kadence-advancedheading has-theme-palette-9-background-color has-background\">HeroPress would like to thank <a href=\"https://wpdrawattention.com/\">Draw Attention</a> for their donation of the plugin to make this interactive image!</p>\n</div></div>\n\n</div></div>\n\n\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/wordpress-helps-me-unwind-story-of-a-part-time-developer/\">WordPress helps me unwind &#8211; story of a part-time developer</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Mar 2023 19:32:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Ajay D&#8217;Souza\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"Do The Woo Community: Thanks to These Supporters of Do the Woo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74575\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://dothewoo.io/thanks-to-these-supporters-of-do-the-woo/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:359:\"<p>A huge shoutout to these sponsors who have supported us over the last 12 months. </p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/thanks-to-these-supporters-of-do-the-woo/\">Thanks to These Supporters of Do the Woo</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Mar 2023 19:21:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"Post Status: WordPress 6.2 Beta 4 &amp; Live Demo • Performance Roadmap • Static vs Dynamic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147763\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"https://poststatus.com/wordpress-6-2-beta-4-live-demo-performance-roadmap-static-vs-dynamic/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21720:\"<h2 id=\"h-this-week-at-wordpress-org-february-27-2023\">This Week at WordPress.org (February 27, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.2 is just a few weeks away. It\'s time to get testing with Beta 4.  Core Performance team has announced the roadmap for this year, including Gutenberg Phase 3 work and more. Do you know the difference between static vs dynamic blocks?  </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fe_arrowRightCircle kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 Beta 4 & Demo, Performance Roadmap, Static vs Dynamic Blocks</h2><p class=\"kt-blocks-info-box-text\">β  <a href=\"https://make.wordpress.org/core/2023/03/01/wordpress-6-2-beta-4/\">WordPress 6.2 Beta 4</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5d3.png\" alt=\"🗓\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f503.png\" alt=\"🔃\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">Proposal: Updates to the WordPress Release Cycle</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5fa.png\" alt=\"🗺\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/02/27/core-performance-team-roadmap-published/\">Core Performance Team Roadmap Published</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2753.png\" alt=\"❓\" class=\"wp-smiley\" /><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a><br /><br /></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\">The Month in WordPress – February 2023</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/03/lets-party-organize-your-wp20-celebration/\">Let’s Party: Organize your WP20 Celebration!</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\">People of WordPress: Hauwa Abashiya</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\">WP Briefing: Episode 50: 3 Interesting Trends from WordCamp Asia</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-21 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-accessibility\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/02/28/accessibility-team-meeting-agenda-march-3-2023/\">Accessibility Team Meeting Agenda: March 3, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-central\"><a href=\"https://central.wordcamp.org\">Central</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://central.wordcamp.org/news/2023/02/get-your-tickets-for-wordcamp-kerala-2023-on-march-25th/\">Get your tickets for WordCamp Kerala 2023 on March 25th!</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/02/woocommerce-sponsors-wordpress-community-events-worldwide/\">WooCommerce sponsors WordPress community events across the globe</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/02/bluehost-supports-wordpress-community-events-worldwide-3/\">Bluehost supports WordPress community events worldwide</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/02/thanks-to-automattic-for-sponsoring-community-events-worldwide/\">Thanks to Automattic for sponsoring community events worldwide</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/02/godaddy-joins-the-wordpress-global-community-sponsorship-program-in-2023/\">GoDaddy joins the WordPress global community sponsorship program in 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/03/01/community-team-meeting-agenda-for-2-march-2023/\">​​Community Team Meeting Agenda for 2 March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/03/01/wordcamp-mentors-march-check-in/\">WordCamp Mentors’ March check-in!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/proposal-modify-the-events-and-news-widget-to-show-topic-based-meetups-worldwide/\">Proposal: Modify the Events and News widget to show topic-based meetups worldwide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/27/suggested-update-to-events-code-of-conduct/\">Suggested update to Events Code of Conduct</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/23/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-february-22-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on February 22, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/a-week-in-core-february-27-2023/\">A Week in Core – February 27, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">What’s new in Gutenberg 15.2? (22 February)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">Proposal: Updates to the WordPress Release Cycle</a></li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/02/wordpress-6-2-accessibility-improvements/\">WordPress 6.2 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">WordPress 6.2 Beta 4 Postponed</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/dev-chat-summary-march-1-2023/\">Dev Chat Summary, March 1, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/03/01/editor-chat-summary-wednesday-1st-march-2023/\">Editor chat summary: Wednesday, 1st March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/27/editor-chat-summary-wednesday-22nd-february-2023/\">Editor chat summary: Wednesday, 22nd February 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/03/creating-a-custom-block-that-stores-post-meta/\">Creating a custom block that stores post meta</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/static-vs-dynamic-blocks-whats-the-difference/\">Static vs. dynamic blocks: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/02/21/xpost-helphub-and-devdocs-redesign-request/\">HelpHub and DevDocs redesign request</a></li>\n</ul>\n\n\n\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/02/28/hosting-team-meeting-agenda-2023-03-01/\">Hosting Team meeting agenda 2023-03-01</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/01/notes-global-marketing-team-meeting-21-february-2023/\">Notes: Global Marketing Team meeting, 21 February 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2023/03/01/notes-global-marketing-team-meeting-14-february-2023/\">Notes: Global Marketing Team meeting, 14 February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">Theme Directory redesign update</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/02/22/openverse-is-now-a-monorepo/\">Openverse is now a monorepo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/02/28/community-meeting-recap-28-february-2023/\">Community Meeting Recap (28 February 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/03/01/concurrency-resource-issues-on-monthly-runs/\">Concurrency/resource issues on monthly runs</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/27/core-performance-team-roadmap-published/\">Core Performance Team Roadmap Published</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/28/performance-chat-summary-28-february-2023/\">Performance Chat Summary: 28 February 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/02/28/core-performance-team-update-february-28-2023/\">Core Performance Team Update – February 28, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/03/01/plugin-review-team-27-feb-2023/\">Plugin Review Team: 27 Feb 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/03/01/agenda-weekly-polyglots-chat-march-1-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – March 1, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/02/21/xpost-helphub-and-devdocs-redesign-request/\">HelpHub and DevDocs redesign request</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/03/support-ticket-triage-session-march-8th-2023-at-1600-utc/\">Support ticket triage session – March 8th 2023 at 16:00 UTC</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/03/agenda-for-march-2nd-support-meeting-2/\">Agenda for March 2nd Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/02/summary-for-february-23rd-support-meeting/\">Summary for February 23rd Support Meeting</a></li>\n</ul>\n\n\n\n<h2 id=\"h-theme\">Theme</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/03/03/hallway-hangout-community-themes-initiative/\">Hallway Hangout: Community Themes Initiative</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/03/01/themes-team-meeting-notes-february-28-2023/\">Themes Team Meeting Notes –&nbsp;February 28, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/02/28/themes-team-update-february-28-2023/\">Themes team update February 28, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/02/21/hallway-hangout-lets-chat-about-using-replay-io-in-the-fse-outreach-program/\">Hallway Hangout: Let’s chat about using Replay.io in the FSE Outreach Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/learn-wordpress-march-newsletter/\">Learn WordPress March Newslette</a>r</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/recap-wordpress-6-2-beta-4-release-party-ride-along/\">Recap: WordPress 6.2 Beta 4 Release Party Ride Along</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/recap-sensei-pro-lms-demo-for-learn-wordpress/\">Recap: Sensei Pro LMS Demo for Learn WordPress</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/03/become-a-welcome-committee-member-today/\">Become a Welcome Committee member today!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/02/training-team-goals-for-2023/\">Training Team Goals for 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/03/01/training-team-meeting-recap-for-february-28th-2023/\">Training Team Meeting Recap for February 28th, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">Training Team’s new onboarding program is now live!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/02/08/video-conferencing-options-for-online-workshops/\">Video conferencing options for Online Workshops</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/02/06/training-team-2023-goals-setting/\">Training Team 2023 Goals Setting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/03/01/whats-new-on-learnwp-in-february-2023/\">What’s new on LearnWP in February 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-lesson-plans\"><a href=\"https://learn.wordpress.org/lesson-plans\">Lesson Plans</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/lesson-plan/ta-dashboard-overview/\">டாஷ்போர்டு மேலோட்டம்</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/lesson-plan/ta-difference-between-reusable-blocks-block-pattern-templates-template-parts/\">மீண்டும் பயன்படுத்தக்கூடிய தொகுதிகள், பிளாக் பேட்டர்ன், டெம்ப்ளேட்க</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=block-themes-and-wordpress-live-stream-10\">Block Themes and WordPress: Live Stream</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=block-themes-and-wordpress-live-stream-9\">Block Themes and WordPress: Live Stream</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=hallway-hangout-community-themes-initiative\">Hallway Hangout: Community Themes Initiative</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=live-stream-reviewing-developer-focused-features-in-gutenberg-15-1-and-15-2\">Live stream: Reviewing developer-focused features in Gutenberg 15.1 and 15.2</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=updating-a-blogs-design-informal-live-stream-part-2-2\">Updating a blog’s design (Informal live stream) – Part 2</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-preventing-common-security-vulnerabilities\">Let’s code: Preventing Common Security Vulnerabilities</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-building-a-react-app-utilising-the-wp-rest-api-3\">WP dev livestream: Building a React app utilising the WP REST API</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-create-a-website-on-mobile-part-1\">How to create a website on mobile (Part 1)</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/how-to-add-and-remove-a-logo-and-site-icon-in-a-wordpress-block-theme/\">How to add and remove a logo and site icon in a WordPress block theme</a></li>\n</ul>\n\n\n\n<h3 id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/develop-your-first-low-code-block-theme/\">Develop Your First Low-Code Block Theme</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-2\">PHP 8.2.3 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-14-3\">PHP 8.1.16 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.4\">Composer 2.5.4</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status\' <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It\'s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Mar 2023 18:28:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: #65 – Bob Dunn on Building a WooCommerce Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142333\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wptavern.com/podcast/65-bob-dunn-on-building-a-woocommerce-community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:40419:\"Transcript<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox has a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case building a WooCommerce community.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the show, I&#8217;m very keen to hear from you, and hopefully get you all your idea on as soon as possible. Head over to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Bob Dunn. If you&#8217;ve been using WordPress for any length of time, and you&#8217;ve been consuming content in the ecosystem, it&#8217;s highly likely that you&#8217;ve come across Bob before. He&#8217;s been using WordPress since 2006, WooCommerce since 2011, and has been podcasting since 2014. In another life before he discovered WordPress, Bob ran a marketing company, but now his endeavors are all about WordPress.</p>\n\n\n\n<p>We talk about how Bob found WordPress back in the day, when he was creating websites with HTML and Flash. Bob branded himself as BobWP, and has never looked back. After several years of running an agency alongside his content creation, in 2014 Bob decided to go all in on his content and building a community around it.</p>\n\n\n\n<p>As you&#8217;ll hear, he tried a variety of different formats, some of which worked, and others which fell by the wayside. But it was all a journey to where he is now.</p>\n\n\n\n<p>Given the size of the WordPress community, Bob was able to discover his niche within the greater whole and concentrate upon WoCommerce. His popular Do the Woo podcast was born, and he&#8217;s been working on it ever since.</p>\n\n\n\n<p>We talk about how Bob has managed to keep the momentum going, and what he thinks are unique about his podcast and community. It&#8217;s not about growing a group or worrying about the number of listeners. For Bob, it&#8217;s about creating meaningful connections and working to make his community a worthwhile place to be for himself, his cohosts and consumers of his content.</p>\n\n\n\n<p>We talk about how growing a community such as this can be financed, as well as the ways that Bob is trying to innovate in the near future to give value back to the WordPress project more generally.</p>\n\n\n\n<p>It&#8217;s an interesting conversation about how content creators can find a place in the WordPress ecosystem, and what impact they can have.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all the links in the show notes by heading to WPTavern.com forward slash podcast. Where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so, without further delay, I bring you Bob Dunn.</p>\n\n\n\n<p>I am joined on the podcast today by Bob Dunn. Hello, Bob.</p>\n\n\n\n<p>[00:04:05] Bob Dunn: Hey Nathan, thanks for having me on. I&#8217;m pretty excited to be here.</p>\n\n\n\n<p>[00:04:08] Nathan Wrigley: Yeah, you&#8217;re very welcome. Thank you. Bob is known to me because we&#8217;ve met in the real world, and I&#8217;ve been following his podcast for many, many years. But if you don&#8217;t know Bob, let&#8217;s give you the opportunity to introduce yourself. So it&#8217;s a fairly bland question. I&#8217;m sorry about that. But it&#8217;s the one that we usually start with. Just give us a bit of background, tell us who you are, what your relationship is with WordPress and so on.</p>\n\n\n\n<p>[00:04:32] Bob Dunn: Okay. Before WordPress, before I even got into WordPress, I ran a marketing company. My wife and I ran a marketing company, and these were the days of print design. So that&#8217;s kind of was my background for, for many, many years. And eventually moved into WordPress, which is another little story in itself, but was just looking for something simple and easy to segue into the web as far as our business.</p>\n\n\n\n<p>And in 2006, I started playing with WordPress. Got into it more and more. My wife was blogging on Typepad, I believe, at the time. So I was thinking, well, maybe we should check out this blogging thing on WordPress. Got into that. That was what appealed to me first off.</p>\n\n\n\n<p>And then secondly was the fact that I had spent, in my other business doing these horrible HTML websites with Flash, and they were just atrociously, they were a horror. And I thought, I&#8217;ve got to find something simpler that I can make a nice, clean website for clients. I don&#8217;t need anything fancy, and I found that with WordPress and actually did in, I think, 2018, my first WordPress site for our business. And from there it was history. In 2010, I branded BobWP. I&#8217;ve been training, I&#8217;ve done just about everything in WordPress, or at least tried everything except development. And I&#8217;m, where I&#8217;m at today with, Do The Woo, which is a WooCommerce builder community site. But yeah, it&#8217;s been an interesting and fun journey.</p>\n\n\n\n<p>[00:06:06] Nathan Wrigley: How did you decide that you were going to turn your attention to what it is that you now do mostly, which is community building and podcasting? Was there a moment in time where you thought, I no longer wish to actually build sites and deal with clients? I want to concentrate on the content creation and the community building.</p>\n\n\n\n<p>[00:06:25] Bob Dunn: Yeah, around 2014 was when I stopped doing service work, designing sites specifically. I just was burned out. It was to the point where I would almost dread if somebody contacted me to put a site together, and I think it&#8217;s just because I&#8217;d been doing, at that point, between that and our other business, I&#8217;ve been doing client services for a good, probably 23 years or 24 years.</p>\n\n\n\n<p>And I thought, man, this isn&#8217;t the way to work with clients. I&#8217;m not giving them what they deserve. If I have that kind of attitude and I&#8217;m just dreading the next project. Ever since the beginning of my involvement with WordPress, the community always played a part. That was a part that really, was always there and always moved me forward.</p>\n\n\n\n<p>Back in 2007, 2008, I was on another online community, and it was very unique. I&#8217;m not going to get into the explanation of it, take a little bit too long, but that got me more involved in community, online and both in person. And that stuck with me, the community all the way through.</p>\n\n\n\n<p>And now the podcasting came along. I was a content maker. In 2007 I went to a workshop with some colleagues of mine, and it was on podcasting and they really wanted me to start a podcast. And I thought, well, this is very intriguing. I was looking at what I was doing. Uh, I don&#8217;t have the bandwidth for this. So I told them maybe someday, and that someday came like, I don&#8217;t know how many years later. 2014 is when I started the first podcast, and Matt Madeiros, which many of your listeners know from Matt Report and WP Minute. He was doing podcasting way back then too, and he kept poking at me.</p>\n\n\n\n<p>And we had a pretty good relationship, we talked a lot. And again, since we were both content makers, he said, come on Bob, you got to try podcasting. So he was never like, down my throat, but every once in a while we&#8217;d be talking and he&#8217;d go, oh, when you going to start that podcast? So between his less than annoying poking at me, and then having waited, I thought this is prime time.</p>\n\n\n\n<p>So in 2014, I said, I got to try this podcasting thing. And I did one for about a year and I called it WP Breakdown. And I thought it was very clever because I was essentially repeating what I did with tutorials and stuff. I was writing, breaking down WordPress. But then I also thought of the frustration of WordPress, somebody having a breakdown with WordPress. So I thought it was clever. I don&#8217;t know if anybody ever really got that from the title.</p>\n\n\n\n<p>But they were 10, 15 minute monologue podcasts that I did. And I wasn&#8217;t really thrilled with it. I think it was a format I had. So after a little over a year I said, I got to quit this. This is just me rambling, regurgitating what I&#8217;m writing down somewhere else. I need to wait till something hits me and then I&#8217;ll start up again.</p>\n\n\n\n<p>[00:09:38] Nathan Wrigley: That&#8217;s nice. I confess that I don&#8217;t think in all the years that I&#8217;ve been podcasting, I don&#8217;t think I&#8217;ve had the courage to do any monologue kind of thing. It&#8217;s always been an interview. So either with one person or multiple people. I don&#8217;t quite know why that is, but I&#8217;ve always found it much more easy to get conversation going, than to persuade myself to sit there and write something that I assume people would want to listen to.</p>\n\n\n\n<p>[00:10:05] Bob Dunn: Yeah, and I&#8217;d always been told, even in the early days of my other career, people always told me, you got to do something Bob. You either need to go into being a DJ or a minister, because of your voice. And I thought, well, you know, you don&#8217;t go into something just because of your voice. And that&#8217;s where a few people started poking me at podcasting.</p>\n\n\n\n<p>Oh, you have a voice for podcasting. I said, well, that&#8217;s nice, but it would be better if I had the time and the resources and everything else that comes along with it. The voice alone isn&#8217;t going to do it. And I&#8217;ve had a, I&#8217;ve had a few monologue ones. I&#8217;ve had a few interview. I&#8217;ve actually done seven podcasts since 2014.</p>\n\n\n\n<p>[00:10:44] Nathan Wrigley: That&#8217;s really rather a lot. It always amazes me that the community surrounding the WordPress project is big enough that it can have so many little niches. So, you know, if you&#8217;ve got a plugin that does one particular thing, that may well afford you a lifestyle, if you can sell it and upsell it and shift some licenses, then you can have a lifestyle there.</p>\n\n\n\n<p>But also that extends to things like you and I both do. It&#8217;s amazing to me that there are enough people out there who are into WordPress that it can support multiple different podcast channels and YouTube channels and all sorts of content creation, tutorials, but also podcasts like you&#8217;re listening to now. I find that extraordinary.</p>\n\n\n\n<p>[00:11:29] Bob Dunn: Yeah, it is amazing. And I think when I was doing it by myself, I realized that no, this isn&#8217;t right. This isn&#8217;t meant to be me just being here by myself doing some monologue. I&#8217;m not really enjoying it. And I think that was a community part of it, nagging at me, because when I started Do the Woo, I think I did one or two episodes and I said basically, screw this, I&#8217;ve got to get a co-host at least.</p>\n\n\n\n<p>And I reached out to Brad Williams from WebDevStudios. He said, would love to do it. We did a few by ourselves and then I thought even two people week after week or whatever the cadence was back then. Is it really what I want to do? Is it really what the listeners want to hear? The two of us talking week after week. So shortly after that we started bringing in guests.</p>\n\n\n\n<p>[00:12:26] Nathan Wrigley: I&#8217;ve tried my hand at community building with things like Facebook groups and so on. Various different ways of getting the community going, but that feels like an area where you are really concentrating. So it&#8217;s not true to say that you do the podcast. You do the podcast plus you have these endeavors to build community. You&#8217;ve got a variety of different people helping you create the podcast, but also you are trying to create a community around the podcast. How&#8217;s that going and what&#8217;s the intention there?</p>\n\n\n\n<p>[00:13:00] Bob Dunn: I think that, I started with building community around BobWP. So the brand in 2010 that I started, that helped make the way for building other communities, because it&#8217;s real hard to build, have these other grandeur ideas and not have built your own community yourself. So I did that, and when I really sat down and started looking at building community and I read books and I listened to the people that were experts in building community and I saw a lot of things and I thought, this just doesn&#8217;t, there&#8217;s something that doesn&#8217;t jive with what I want to do.</p>\n\n\n\n<p>And what I discovered was two things that I was looking at building a community. I call it without the noise and without the metrics. And what I mean by that is without the noise, when I first started the idea of Do the Woo and building a community for the WooCommerce builder. Everybody would ask me the question, so are you doing a Slack channel? Are you doing a Facebook group? Is this like a Discord? Where are you building this community? I said, I&#8217;m not doing any of those. And they were just kind of pause.</p>\n\n\n\n<p>My idea was that, and as painful as it sounds, that I would need to build community, basically one person at a time. That I didn&#8217;t need to prove that I have a community of thousands of people, or I have this group that has 10,000 people in it. Because the impact was more important to me than the number. Because as all of us know, you can have 20,000 followers on Twitter, and you engage with maybe 2% of them if you&#8217;re lucky.</p>\n\n\n\n<p>So there&#8217;s that metric that doesn&#8217;t mean that your community&#8217;s successful or not, I really feel that way. The metric is the communication you&#8217;re having with individuals. How you&#8217;re connecting people. And that tied into less noise.</p>\n\n\n\n<p>I didn&#8217;t need a bunch of people in a group on Discord and have them all talking away to each other. We have plenty of opportunities to do that, and I didn&#8217;t need to add something to that pile. So taking that in mind and moving ahead with those two, I call them my goals or my mantras, I guess. It&#8217;s gone very well because, what I see is, when I have people on the podcast, I have a certain amount of hosts, and our podcast is a little unique to the space because I have like, I believe, nine or 10 co-hosts now that do the different shows.</p>\n\n\n\n<p>I kind of mix them up. They all have their different personalities. They bring in a different perspective. And the connections that have been made between hosts and guests and guests and guests and hosts and hosts has been amazing. And it&#8217;s not this, like I said, huge number that I&#8217;m going to just worry about achieving and saying, join this community of 10,000 people, 20,000. Whatever I want it. Join this community where people are connecting with each other in different ways. And that&#8217;s what I think the podcasting has really brought to it.</p>\n\n\n\n<p>And you, you have your weekly Monday podcast where you bring in three different people. With you, I&#8217;m sure that same thing is happening. You&#8217;re building the WP Builds community that way because they&#8217;re all connecting. You have the people that come in and listen to the chat. You have guests that maybe have listened to other guests, who knows, they may have reached out to each other. Sometimes we hear about those stories, sometimes we don&#8217;t.</p>\n\n\n\n<p>And those are the things that are impactful to me. And I think that&#8217;s a way to really build community versus these steps that people go through. And there&#8217;s nothing wrong with having Facebook groups. There&#8217;s nothing wrong with having Discord groups. They all have their place. But personally for me, I knew the direction I needed to go.</p>\n\n\n\n<p>[00:17:05] Nathan Wrigley: Yeah. In order to allow yourself the time to put into this project. Whatever it is given the time that this podcast is released, wherever you&#8217;ve got to. But in order to give yourself the time, you obviously need to finance that. And I&#8217;m wondering how that works for you. Do you have relationships with companies? Are you sponsored in certain ways? How do you deal with paying the bills essentially?</p>\n\n\n\n<p>[00:17:34] Bob Dunn: Yeah, it&#8217;s old sponsorships and it&#8217;s a tough row. You can get sponsors, no problem. You can get sponsors if you don&#8217;t have listeners. They put out all these things that maybe have worked for them. A lot of it is who you know. A lot of it is your own community build up. And a lot of it is luck, I think. So yes, I have currently 12 pod friends that are my major sponsors, and then I have some spots for smaller sponsors.</p>\n\n\n\n<p>When I started my first podcast or one of my first, it was, Do the Woo actually, in the early years, changed to a podcast called WPeCommerce. When I started that podcast, out of the gate, I started with sponsors and I was able to get some people to come in and support me. Now, easier said than done. I had a lot of, as you mentioned, a lot of connections in the space. I had already built up a lot of relationships. I built up a brand, whatever that brand may convey, but it obviously was something that sponsors found value in.</p>\n\n\n\n<p>Now, you can only carry that so far. You have to really start delivering and you have to, you have to be honest with your sponsors. And how I do it is, a lot of times you will, how do I want to say this? Sponsors will have expectations, and those expectations might be metrics. How many listeners do you have? How many click-throughs am I going to have?</p>\n\n\n\n<p>Now, if you don&#8217;t have that or that isn&#8217;t your main goal, as I said before, with my community, I&#8217;m not looking at so much the metrics. I&#8217;m looking at the impact it has. Then you&#8217;ve got to turn around, sell that. And that&#8217;s what I do is I sell the impact of what my sponsors are doing for the community.</p>\n\n\n\n<p>And that&#8217;s not an easy sell, let me tell you. And not everybody has a budget to spend the money on that. So I&#8217;m fortunate. It&#8217;s something that when time comes around to get sponsors, it&#8217;s not like I just sit back and send out 12 emails and I get 12 yeses. It does take work and it&#8217;s not something I recommend for everyone.</p>\n\n\n\n<p>You know, there&#8217;s a lot of other ways you can fund your efforts. But if you really are able to do it full-time and put into it all your blood, sweat, and tears. And also decide what else you can provide through those sponsorships. Let me kinda step back. I&#8217;m kind of going off on a weird tangent.</p>\n\n\n\n<p>One of the biggest things I can ask anybody if you&#8217;re going to do a sponsorship, whether it&#8217;s for a podcast for a community, is two things. Be creative and be flexible. If you send out and you say, hey, this is what you get, case closed, we&#8217;re done. Great. If that&#8217;s it, and it works, fine. But the only way you can grow a sponsorship, grow trust from sponsors is to throw in some creativity to really basically give them a little bit more of an open book than saying this is what we deliver during this period of time, and that&#8217;s it.</p>\n\n\n\n<p>And that is what&#8217;s going to help you. And it helps them to understand more of what you&#8217;re actually doing with the podcast or the community, whatever it may be. Versus just saying, you get this and that&#8217;s it. If that makes sense. I kind of went off on a little tangent there and kind of got a little away from community, but the sponsorship is a real, I wish it was cut and dry is what I wish it was.</p>\n\n\n\n<p>And I could say, hey, you know, just do this and you&#8217;ll be happy, and life will go on and you can go out and smell the roses and live your life. But it can be frustrating, can be challenging, but if you work on it hard enough, you&#8217;ll find that sweet spot.</p>\n\n\n\n<p>[00:21:31] Nathan Wrigley: Yeah, you only have to go to events like WordCamps to see that WordPress has this giant commercial bit to it. There&#8217;s hundreds of companies at those events vying for your attention, and they may have booths, they may have great big areas of the exhibition hall if you like, devoted to their product or service. Or it may just be that they turn up and walk the halls and try to meet new people and forge relationships, set up meetings and what have you. So there&#8217;s a very large proportion of people in the WordPress space who want to sell into that space. And then along comes somebody like you who is directly talking to those people.</p>\n\n\n\n<p>And so I can see that the match is really good. You are essentially a conduit. You&#8217;re a short circuit between people who&#8217;ve got a product that they wish to sell, and trying to find that audience and it&#8217;s hard to build that audience. And I would imagine in many cases, those companies, they really don&#8217;t have the resources to build their own independent audience.</p>\n\n\n\n<p>So the idea of piggybacking of the hard work that you&#8217;ve done over many years must seem very appealing. But also, yeah, I guess they&#8217;ve got their constraints in terms of whether they&#8217;ve got the budget, what their success criteria are and so on. But do you see yourself as that middle man, if you like? The person that sits between the community who want to listen to authentic people talking in authentic ways, and the companies who want to get their product and service to that audience, but possibly don&#8217;t know quite how to do it.</p>\n\n\n\n<p>[00:23:08] Bob Dunn: That&#8217;s exactly how I sell my sponsorships. I&#8217;m there to be an advisor. I&#8217;m there to be somebody that a sponsor can throw it against the wall and see if it sticks. I can give them my impressions of what&#8217;s going on in the community. For our new year with our sponsors, a big part of that is me being a conduit. I mean it&#8217;s like, I tell my sponsors it&#8217;s, it&#8217;s a horrible way to say this, but use and abuse me. I&#8217;m here to help you make connections. If you want to talk to somebody, if you want to meet somebody. If I see a potential conversation that I feel would be valuable to whoever and the sponsor, and neither one of them have had any inclination about this may be happening.</p>\n\n\n\n<p>I&#8217;ll come right to them and say, hey, I&#8217;ve talked to so-and-so and I really think you should connect with this person. And at the same time, connecting with the different guests we have, I&#8217;ve had some sponsors that have actually connected with guests. In the next 12 months, as a group, what our sponsors are doing as part of their sponsorships now, and this kind of brings a other piece of the community back in, certain percentage of their sponsorship will go right back in to fund some of the things that we&#8217;re seeing and doing in the space right now as far as sending people to WordCamps, sending contributors to contributor days.</p>\n\n\n\n<p>Helping contributors basically finance all the hours and efforts they&#8217;re putting into things. So I thought, what better way, especially for sponsors that may not know where to put that money, where they&#8217;ll get the most value for it, putting it back into the community. I want to be that conduit.</p>\n\n\n\n<p>[00:25:04] Nathan Wrigley: So some of the sponsorship money that you&#8217;re receiving in this particular year, you are turning that round and recycling it back to people in your community to help them, as you described, get to WordCamp events. But also I would imagine there&#8217;s other things. But that&#8217;s the intention is to siphon off a certain proportion of your sponsorship revenue and repurpose it to help community members.</p>\n\n\n\n<p>[00:25:28] Bob Dunn: Right. And that&#8217;s one of the things, I did it as, I increased my sponsorship and as a added benefit that yes, let&#8217;s put this pocket of money together. Again, you may not know where to put it. But I can find the best places. I can talk to the right people. I can make sure that I&#8217;m not reinventing the wheel because there&#8217;s several organizations being put together, the WP Community Collective, all these other ones that will be able to help with this, and I can partner with them.</p>\n\n\n\n<p>So I&#8217;m real big with partnerships, finding the right place to put the money. I&#8217;m just not going to put some form on my site and say, okay, apply to be sent here, or to fund your project or whatever. I want to strategically make sure the sponsors monies are going to the right place.</p>\n\n\n\n<p>[00:26:19] Nathan Wrigley: Yeah. That&#8217;s really interesting. So there&#8217;s that as part of your community, but I know you&#8217;ve got quite a few irons in the fire and ideas circulating around. Depending on the time that this podcast is released, maybe those ideas will have changed. But right now, as of when we&#8217;re recording this, what are the goals, if you like for Bob and Do the Woo and the community around that for this coming year.</p>\n\n\n\n<p>[00:26:43] Bob Dunn: I really want to get even more people involved, reach more of the underrepresented globally. One big thing is that we want to reach out a lot more global and some of the pockets, especially in the Woo Builder. And it&#8217;ll be WooCommerce, I mean WordPress as well. But, it&#8217;s getting into those communities and elevating their voices.</p>\n\n\n\n<p>Essentially that is what my whole podcast is about. No matter how I do it. I&#8217;ve got several different ideas aside from having somebody come in as a guest, I&#8217;m going to be doing some panels, some live feeds, and I&#8217;d like to define it as a podcast for the community by the community.</p>\n\n\n\n<p>So there&#8217;s some real interesting pieces we&#8217;re looking at. We&#8217;re looking at bringing in a few podcasts that will be in native languages, because a lot of my guests, English is not their first language. I feel they struggle a little bit with really expressing themselves, like they would want to express themselves. And I can&#8217;t do this a lot, but I thought how great would that be to have, let&#8217;s say I&#8217;m just going to pick out a country in Europe, France.</p>\n\n\n\n<p>I get a couple guests, host. We get a couple guests for them and I basically give them a little bit of direction of what they want to talk about. Probably something WooCommerce, and let them do it in French, and go at it. And this is something that I want to do to give back to those little communities in all these different countries. At least saying, hey, you&#8217;re at least special enough and you&#8217;re part of this community that we want to at least give you this almost as a gift, and give you the opportunity to raise your voice, but in your own language.</p>\n\n\n\n<p>I&#8217;m doing a Friday show that I call WooBits, and I&#8217;m going to open it up and have a guest co-host come in with me each week and I&#8217;ll pick out a topic or two and we&#8217;ll just have a conversation. Again, this will be very open. It&#8217;s just somebody that wants the opportunity to kind of talk on the level as a co-host, but not have the commitment of doing this on a regular basis or starting their own podcast.</p>\n\n\n\n<p>And again, all around elevating their voices. Yeah, there&#8217;s several things I&#8217;m trying to think of what else is coming to mind, but I&#8217;m somebody that likes to think I have these things in place and these ideas in place, but I&#8217;m sure organically over the next however many months, other ideas will come and in other great possibilities. And a lot of those do come through the sponsors too. I constantly talk to them and say, do you have some unique idea you wanted to do with the community? Let&#8217;s see if we can do something under the guise that Do the Woo and make it happen.</p>\n\n\n\n<p>[00:29:42] Nathan Wrigley: Given that you are now doing the Do the Woo podcast, and you&#8217;ve gone down the rabbit hole of WooCommerce exclusively really. Why did you decide to do that and not focus on WordPress as a whole? Because, obviously WordPress as a whole is much bigger. So why the fascination with Woo was it that you were just more interested in that when you began this journey, or did it just seem like a nice niche to be involved in? What was the thinking there?</p>\n\n\n\n<p>[00:30:12] Bob Dunn: Boy, that&#8217;s a, that&#8217;s a good question. I wish I could say it&#8217;s as easy as I was drinking one night and decided to do it. But that would be too simple. The whole journey to Woo, I mean, I&#8217;ve been involved with WooCommerce since the beginning. I used to use their themes in their early days when their were WooThemes, so I knew them as a company.</p>\n\n\n\n<p>I knew, I&#8217;ve known a lot of the people there. It was a product that just always impressed me from the time it was released. During my sprint of doing more tutorials and stuff on bobwp.com, a few years back, I decided to focus on WooCommerce only because I knew there was a market, because I was into affiliate marketing at that time. And I knew there was a need.</p>\n\n\n\n<p>So that was just general topics, writing about plugins, extensions, things like that. But then the more I got into it, and the more I talked to people at WooCommerce, and the more I talked to people involved with WooCommerce, I felt like the community was of builders who were a little fragmented. And I took upon myself, I thought, what if I was able to actually start bringing them together? Start raising their voices.</p>\n\n\n\n<p>And, I realized that the Woo Builder community was very fragmented and they were all doing their own thing. And I, I just thought, okay, with as much experience that I&#8217;ve put into WooCommerce, and it just was a natural segue for me. Something just told me along the way to get into it more and more. I felt here&#8217;s an opportunity to do something more than just a podcast. Do something community wise. So I, I actually talked to a lot of people over a period of about seven or eight months before I even kicked off Do the Woo, to really get a feel of if this is something that is viable. And everything led me that way.</p>\n\n\n\n<p>So, there was that initial interest always using WooCommerce, and it just built on it over the years. And the interesting thing about it is that as much as we talk about WooCommerce, I&#8217;m finding I talk just as much about WordPress, in conversations on the podcast and stuff, because obviously WooCommerce is built on top of WordPress. So it&#8217;s a slash, you know, Do the Woo, do the WordPress type of thing. Except that that&#8217;d be really cumbersome to call it that.</p>\n\n\n\n<p>But the two overlap so much that the love and the interests I&#8217;ve had in WordPress for so many years fits in. And WooCommerce is a large, large piece of software. A lot of sites out there. And I was hoping by talking especially to people in other countries and their challenges and how they have built these little Woo communities, other places that none of us know about.</p>\n\n\n\n<p>I thought, well, it was sure it&#8217;d be nice to get them a little bit more noticed and hopefully active and do that in any way I can through the site. I&#8217;m kind of going back into community, but something that just grew over time and I just decided to run with it because I really knew that, I just saw the potential for that community. And just a side fact, when I started Do the Woo, I did several episodes of it and I actually flipped over then to a podcast called WPeCommerce Show. And I did that for almost two years, four years I think. And there was probably well over 2, 300 episodes. And that was a more generalized WordPress and e-commerce.</p>\n\n\n\n<p>And towards the end of it, I was having this nagging feeling. I wanted to kick Do the Woo back into things. So I actually started to Do the Woo up again. Did both of them at the same time, and eventually decided to end the WPeCommerce and focus on WooCommerce.</p>\n\n\n\n<p>[00:34:17] Nathan Wrigley: Do you, given that you are really keen on e-commerce and WooCommerce in particular, and probably keep your eye very closely on how it&#8217;s being developed. What&#8217;s your feelings for 2023, or indeed the last year? What have you enjoyed in the space? So I&#8217;m thinking particularly not about the community there, but some of the bits and pieces that have rolled out into WooCommerce. What&#8217;s been exciting, what&#8217;s been interesting? What products or services have you seen which you thought, ah, that&#8217;s one to watch, or that&#8217;s been good to see?</p>\n\n\n\n<p>[00:34:49] Bob Dunn: You know, I hate to admit this, but I&#8217;ve gotten to a point in the last two, three years that I keep on top of WooCommerce by proxy. Because I feel like I&#8217;ve been put in a position to put all these other people on, a lot smarter than me, and get the people that really know what they&#8217;re talking about to talk about WooCommerce.</p>\n\n\n\n<p>I think what I&#8217;ve noticed most about WooCommerce, and this is maybe, I&#8217;m not a developer, I don&#8217;t build sites anymore, so sometimes my attention kind of weighs away from some of that stuff, and I get too maybe focused on the people. But I like the growth they&#8217;ve been doing. I feel like they&#8217;re not just going, you know, crazy. They&#8217;re not this like bam, bam, bam. Tons of features, tons of features, flipping this, flipping that. Adding stuff all the time. They, they are taking their time and they&#8217;re doing it right, even with blocks.</p>\n\n\n\n<p>How long that they&#8217;ve taken to bring in Woo Blocks and the discussion around the product page and will the product page stay as it is, or will it become entirely block based? They don&#8217;t rush into anything. And sometimes I know maybe for some people that&#8217;s frustrating, but for myself as a business person and somebody that&#8217;s been in tech for a while, and just having talked to a lot of people. I think the thing that I&#8217;ve noticed. Even though the progress is moving fast in a lot of ways, they keep up with the right things, but they don&#8217;t push the envelope so much that they overdo it.</p>\n\n\n\n<p>And I think that&#8217;s the thing I&#8217;ve seen the most. And when I have people talk about WooCommerce, I&#8217;ve recognized the most is that they&#8217;re doing it at a pace that&#8217;s good and they&#8217;re doing it right, and that&#8217;s, my takeaway is. And even when I listen to them talk about what they have in the future, it&#8217;s not like this, we have dozens of things we want to do. It&#8217;s more of a logical, step by step versus just piling it on. So I think that&#8217;s probably my biggest takeaway. And, it is from a bigger, maybe a more bird&#8217;s eye view.</p>\n\n\n\n<p>[00:37:10] Nathan Wrigley: Given that you&#8217;ve changed your career several times, you&#8217;ve flipped between different jobs. If we cast your eye into the crystal ball over the next few years, do you see yourself still doing this? Do you have as much energy and passion for it now as you did, and do you intend to keep doing Do the Woo? Or do you suspect that the future might offer something else?</p>\n\n\n\n<p>[00:37:37] Bob Dunn: Well, if anybody wants to buy Do the Woo, I&#8217;m always. No, I&#8217;m just kidding. We&#8217;re in the, age of acquisitions, no. Seriously, I&#8217;m at an age, I started WordPress at the age of, right before my 50th birthday, I started diving into WordPress. So I&#8217;m at an age where I&#8217;m not looking to come up with the next big and new thing for myself.</p>\n\n\n\n<p>I&#8217;m really content with what I&#8217;m doing right now. So I&#8217;m think I&#8217;m in it for the long haul, because I think it&#8217;s going to be around. I don&#8217;t know how it will mold itself over the years. But my pivots that I&#8217;ve had over the years, and I&#8217;ve had several of them. They will be smaller pivots, but they&#8217;d still probably be within the realm of what I&#8217;m doing, versus just doing another whole swing. Now, I&#8217;m also somebody that says never say never, and you don&#8217;t know what the future holds. So don&#8217;t hold me to it. But I don&#8217;t have any, I have too many ideas for this still, and I think there&#8217;s still so much potential. I think I&#8217;m locked in for a while.</p>\n\n\n\n<p>[00:38:48] Nathan Wrigley: If anybody&#8217;s listening to this Bob, and they&#8217;re keen on e-commerce and WooCommerce in particular, and they never knew that you were trying to grow communities and connect people and all of that. Whether they&#8217;re from a company that might like to be on the one hand or the community member on the other. Where do they find you? Where&#8217;s the best places to get in touch with you and what you do?</p>\n\n\n\n<p>[00:39:09] Bob Dunn: Best place of course, you can always visit site, dothewoo.io. I do have a bobwp.com site. It&#8217;s a little bit lean right now. I&#8217;m kind of rebranding that. But dothewoo.io. And then on Twitter, I&#8217;m still hanging on Twitter. I mean, I&#8217;ll be there till they throw me off or something. You can find me @dothewoo, @bobwp. But basically look for BobWP on Mastodon, LinkedIn, all that stuff. You&#8217;ll find me there and that&#8217;ll connect you with Do the Woo.</p>\n\n\n\n<p>[00:39:43] Nathan Wrigley: Bob Dunn, thank you for chatting to me on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:39:47] Bob Dunn: Thank you, Nathan. It was a true pleasure.</p>\n</div>\n\n\n\n<p>On the podcast today, we have <a href=\"https://twitter.com/BobWP\">Bob Dunn</a>.</p>\n\n\n\n<p>If you’ve been using WordPress for any length of time, and you’ve been consuming content in the ecosystem, it’s highly likely that you’ve come across Bob before. He’s been using WordPress since 2006, WooCommerce since 2011, and has been podcasting since 2014. In another life before he discovered WordPress, Bob ran a marketing company, but now his endeavours are all about WordPress.</p>\n\n\n\n<p>We talk about how Bob found WordPress back in the day when he was creating websites with HTML and Flash. Bob branded himself as <a href=\"https://bobwp.com/\">BobWP</a> and has never looked back.</p>\n\n\n\n<p>After several years of running an agency alongside his content creation, in 2014 Bob decided to go all-in on his content and building a community around it. As you’ll hear, he tried a variety of different formats, some of which worked, and others which fell by the wayside, but it was all a journey to where he is now.</p>\n\n\n\n<p>Given the size of the WordPress community, Bob was able to discover his niche within the greater whole and concentrate on WooCommerce. His popular <a href=\"https://dothewoo.io/\">Do the Woo podcast</a> was born, and he’s been working on it ever since.</p>\n\n\n\n<p>We talk about how Bob has managed to keep the momentum going, and what he thinks are unique about his podcast and community. It’s not about growing a group or worrying about the number of listeners. For Bob, it’s about creating meaningful connections and working to make his community a worthwhile place to be for himself, his co-hosts and consumers of the content.</p>\n\n\n\n<p>We talk about how growing a community such as this can be financed, as well as the ways Bob is trying to innovate in the near future to give value back to the WordPress project more generally.</p>\n\n\n\n<p>It’s an interesting conversation about how content creators can find a place in the WordPress ecosystem and what impact they can have.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://dothewoo.io/\">Do the Woo</a></p>\n\n\n\n<p><a href=\"https://mattreport.com/\">Matt Report</a></p>\n\n\n\n<p><a href=\"https://thewpminute.com/\">WP Minute</a></p>\n\n\n\n<p><a href=\"https://strangework.com/\">Brad Williams&#8217; website</a></p>\n\n\n\n<p><a href=\"https://woocommerce.com/\">WooCommerce</a></p>\n\n\n\n<p><a href=\"https://www.thewpcommunitycollective.com/\">WP Community Collective</a></p>\n\n\n\n<p><a href=\"https://dothewoo.io/woo-bits-moving-forward/\">WooBits</a></p>\n\n\n\n<p><a href=\"https://twitter.com/DotheWoo\">@dothewoo Twitter</a></p>\n\n\n\n<p><a href=\"https://twitter.com/bobwp\">@bobwp Twitter</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Mar 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WPTavern: All In One SEO Patches Multiple Stored XSS Vulnerabilities in Version 4.3.0 \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142373\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/all-in-one-seo-patches-multiple-stored-xss-vulnerabilities-in-version-4-3-0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2307:\"<p>Wordfence has <a href=\"https://www.wordfence.com/blog/2023/02/all-in-one-seo-pack-vulnerabilities-impacting-3-million-sites-patched/#:~:text=The%20All%20in%20One%20SEO,input%20sanitization%20and%20output%20escaping.\">published</a> the details of two stored XSS vulnerabilities the company responsibly disclosed to the developers of the <a href=\"https://wordpress.org/plugins/all-in-one-seo-pack/\">All In One SEO plugin</a> in January 2023. The vulnerabilities potentially impacted more than 3 million users on versions 4.2.9 and earlier.</p>\n\n\n\n<p>One vulnerability, which received a 6.4 (Medium) CVSS score, Wordfence attributes to insufficient input sanitization and output escaping. Researchers found that this &#8220;makes it possible for authenticated attackers with Contributor-level access or higher to inject arbitrary web scripts in pages that will execute whenever a user accesses an injected page.&#8221;</p>\n\n\n\n<p>The second vulnerability was given a 4.4 (Medium) CVSS score and requires an authenticated attacker to have Administrator-level privileges. Wordfence outlined how attackers might exploit these vulnerabilities: </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Unfortunately, vulnerable versions of this plugin fail to escape submitted site titles, meta descriptions and other elements during post and page creation, and when changing plugin settings. This made it possible for users with access to the post editor, such as contributors, to insert malicious JavaScript into those fields, which would execute in the browser of any authenticated user, such as a site’s administrator, editing such a post or page.</p>\n\n\n\n<p>This is a likely scenario to occur as posts written by contributors have to be reviewed and moderated prior to publication.</p>\n</blockquote>\n\n\n\n<p>All In One SEO has patched both vulnerabilities in version 4.3.0 but so far only 25.5% of the plugins 3+ million user base has updated to the latest version, leaving approximately 3/4 of the plugin&#8217;s users still vulnerable.</p>\n\n\n\n<img />\n\n\n\n<p>The plugin&#8217;s changelog for version 4.3.0 includes a brief, vague note on the security fix included: &#8220;Updated: Additional security hardening.&#8221; There have been two more releases of the plugin since the vulnerabilities were patched in 4.3.0.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2023 23:15:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"WordPress.org blog: People of WordPress: Hauwa Abashiya\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=14450\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2023/02/people-of-wordpress-hauwa-abashiya/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:17524:\"<p><strong>This month we feature Hauwa Abashiya, a project manager in Nigeria and the UK, whose passion for community support led her to an adventure in open source.</strong></p>\n\n\n\n<p><strong>The&nbsp;<em>People of WordPress</em>&nbsp;series features inspiring stories of how people’s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<img width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/feature-img-for-hauwa-powp.jpg?resize=1014%2C627&ssl=1\" alt=\"Hauwa portrait picture \" class=\"wp-image-14437\" />\n\n\n\n<p>As we travel through life, sometimes we are drawn to a particular cause, one to which we can get behind and join in. This cause, in whatever field it may be, can help lift us beyond our everyday lives and can help us take stock. This is the journey that depicts Hauwa’s finding a global sense of place and a way to re-look at her life and plans.&nbsp;</p>\n\n\n\n<p>That change agent was discovering and becoming part of open source through WordPress.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Learning development and WordPress</h2>\n\n\n\n<p>In 2017, Hauwa was working full time as an experienced and successful project manager, but was becoming increasingly aware that she did not feel the same excitement for projects as she once had. She was starting to feel bored. “I knew I still loved working with and in project management, but I needed to do something different.” she said.</p>\n\n\n\n<p>Hauwa enrolled in a web development course and studied HTML, CSS and some JavaScript. One of the course options was WordPress, which she elected to take. It was then that a course tutor encouraged her to attend a WordCamp, an event focused on the open source software and its global community.</p>\n\n\n\n<p>She felt that she needed to have a basic knowledge of the software before she arrived at the event, so started to learn WordPress. The first WordCamp she attended was in the seaside town of Brighton on the south coast of England. There she met people who would be friends and mentors for years to come. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;I was inspired by meeting people in the WordPress community.&#8221;</p>\n<cite>Hauwa Abashiya</cite></blockquote>\n\n\n\n<p>She said: “I was inspired by meeting people in the WordPress community. My life and my wish to support communities have been shaped for the better by some of the people I met, and I continue to be grateful for knowing them.”</p>\n\n\n\n<h2 class=\"wp-block-heading\">Global WordPress community: from Germany to Nigeria</h2>\n\n\n\n<p>After discovering a WordPress community in the UK, Hauwa wanted to see first hand just what a global connection it had. She had heard that WordCamp Europe was a flagship event and brought thousands from across the world together. She wanted to be part of this, and its organization appealed to her project management training. She applied to be a volunteer at the three day conference, which in 2019 was held in Berlin, Germany. At this event, Hauwa discovered both a global movement and an active local WordPress community in her home country of Nigeria. She was able to connect with all the different parts of this vast community from wherever she was working through an instant messaging tool.&nbsp;</p>\n\n\n\n<p>Inspired by people she met who were using WordPress to help improve people’s lives in Nigeria and other parts of Africa, Hauwa started to delve further into how this open source software and its global community could provide opportunities and improve understanding across cultures and continents.</p>\n\n\n\n<img width=\"700\" height=\"937\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-and-her-mom.jpg?resize=700%2C937&ssl=1\" alt=\"Hauwa and her mother\" class=\"wp-image-14438\" /><em>Rosalind and Hauwa</em> <em>at an event in Nigeria.</em>\n\n\n\n<p>Hauwa’s father, Dr Audu Kwasau Abashiya and her mother Rosalind Zulai Abashiya, were both well known for their philanthropy, especially in giving practical support to people in Kaduna, in the north of Nigeria and Abuja in the center of the country. Hauwa explained: “My mum comes from a family who give and share their skills to give practical help. From friends I had got to know in WordPress, I saw that there were parts of the community that had this same ethos. This could be something I could be part of, and also take back to Nigeria in the future.”</p>\n\n\n\n<p>Her parents had established a charitable foundation focused on helping widows, orphans and children get access to education skills, from finance to music. It connects those who need help and those who can give support. </p>\n\n\n\n<p>Hauwa said: “Teaching people practical skills which can be used to raise an income or be re-shared with family and others in their local area is so important. Projects like this can help grow a community and keep it strong. Skills such as sewing and cookery are not just ones that can put clothing and food on the table, but also are about gaining independence and pride. They are examples of how micro-economies can grow and inspire others to have dreams that they can see becoming real. <br /><br />&#8220;I had seen through my work and studies that technology used with care and an understanding of different needs can make a difference in local communities too. Projects like WordPress can be part of this empowerment through localized translations and software which can give a way to share ideas.”</p>\n\n\n\n<img width=\"675\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2022.jpg?resize=675%2C900&ssl=1\" alt=\"Hauwa in Nigeria\" class=\"wp-image-14442\" />\n\n\n\n<p>With her project management and IT background, Hauwa is getting more involved with how IT skills can be used for not just instilling a sense of community belonging, but also the practical longer term input into the local infrastructure and introduction of fast changing technology.</p>\n\n\n\n<p>She said: “I would love to see many of the people who have been helped by the foundation my parents started be able to share their ideas and their achievements to encourage others. One of the routes could be through open source software that is free to access and can work on mobile phones.  </p>\n\n\n\n<p>&#8220;As a previous volunteer team rep in the WordPress Training Team, I saw first-hand just how important it is for a non-technical end user to be able to use software to share their ideas, without having to become a developer. We can all help give people a voice, and if we are working in technology, we have a role to play in creating and pushing for genuine access of tools.”</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;If we are working in technology, we have a role to play in creating access to tools.&#8221;</p>\n</blockquote>\n\n\n\n<p>On Hauwa’s future wish list is to help African countries access software and technology in their local languages. She said: “This is part of identity, and respecting and valuing different cultures, and not expecting everything to be translated from the English as it is read. It makes it possible for older people to use the software or read content that&#8217;s published.”</p>\n\n\n\n<p>Hauwa learned Hausa (a language spoken across several African countries) and English at the same time as she grew up in Nigeria. She had a multi-location education, like her parents, studying and going on to work in different countries. At 16, she first studied computer science on what she describes as a ‘whim,’ not knowing it would be a significant part of her working life in the future.&nbsp;</p>\n\n\n\n<img width=\"700\" height=\"974\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-in-2015.jpg?resize=700%2C974&ssl=1\" alt=\"Hauwa in a cafe in 2015\" class=\"wp-image-14441\" />\n\n\n\n<p>She intended to go to university to study finance and sociology. When she went to say goodbye to her computer studies class, the teacher asked what she was going to study. On hearing it was finance and sociology, the teacher said: “You don’t want to be doing that, you want to be doing something in computing.” This conversation proved to be a turning point for Hauwa. She went on to study Computing and Information Systems and Object Oriented Information Systems for her Master’s degree in the UK.</p>\n\n\n\n<p>During her second year of university, she also worked with data entry and related areas as she was determined to learn as much as she could about the moving parts of a project. After she completed her master’s, she chose jobs that enabled her to work on systems, out of hours support, project management, supply chain, and procurement. She is an advocate for learning as many aspects of your subject as you can to give you as many tools to really understand what both clients need and how to help them reach workable and timely solutions. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;By contributing to community projects you can share your skills and keep them fresh.&#8221;</p>\n</blockquote>\n\n\n\n<p>These skills proved to be transferable in later years to give her time to support WordCamps, meetups, and the Training Team. She said: “Contributors to open source come from so many different professional and cultural backgrounds. Contributing is a great way to share your skills and keep them fresh and open to new learning opportunities.”</p>\n\n\n\n<p>Hauwa fascination for project management and learning continued, and she gained qualifications in the field, including Prince 2 and PMP. She continues her commitment to ongoing learning in her work today with Agile and other methodologies and draws parallels with this and her interest in community learning. </p>\n\n\n\n<img width=\"724\" height=\"399\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/hauwa-at-wc-london-2019-2.jpg?resize=724%2C399&ssl=1\" alt=\"Hauwa at the reception desk at WordCamp London 2019\" class=\"wp-image-14440\" /><em>Hauwa welcomes attendees at WordCamp London in 2019</em>\n\n\n\n<p>Committed to supporting her local community in the UK too, Hauwa joined the London WordPress Meetup and in 2019 became an organizer for <a href=\"https://london.wordcamp.org/2019/\">WordCamp London</a> where she was able to use some of her project management expertise. During these events, she had many conversations to encourage others to develop their IT skills and share her own experiences.</p>\n\n\n\n<p>This interest in driving up the skills levels of others naturally led her to become further involved in the Contributor Teams. Inspired to share her skills by another contributor to the project, she joined the <a href=\"https://make.wordpress.org/training/\">Training Team</a> at a WordCamp Contributor Day. In this team, Hauwa found in it a group collaborating on easier online ways for people to keep up with the software, its features, and how they could grow the community in their own local area. </p>\n\n\n\n<p>At the heart of this, Hauwa felt accessibility should be key, and she gave time to better understand documentation. She felt this was essential to give people genuine access and identify where more work was needed. Her belief in this grew when she joined the WordPress <a href=\"https://wordpress.org/about/accessibility/\">Accessibility Team</a> for release 5.6, and she continued to contribute to the team in the area of documentation and training.</p>\n\n\n\n<p>Hauwa devoted many hours to supporting the <a href=\"https://make.wordpress.org/training/\">Training Team</a> for a number of years as part of her conviction that the right resources can really help communities globally use open source software. She also stressed the importance of materials being user-friendly and easy to translate as WordPress has such a large international usage.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Volunteering in open source can re-energize you </h2>\n\n\n\n<p>Through the combination of volunteering efforts in UK and Nigeria, and supporting contributors globally, Hauwa began to re-find her love for helping people with their planning and to achieve their goals. She was able to share her 15 years of project management experience in her volunteering role and encouraged others to consider it as a career.</p>\n\n\n\n<img width=\"500\" height=\"500\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/02/Hauwa-WC-Europe-2019.jpg?resize=500%2C500&ssl=1\" alt=\"Hauwa at WordCamp Europe 2019\" class=\"wp-image-14443\" />\n\n\n\n<p>She said: “Through volunteering you work alongside people. Project management is about people. It is about helping people achieve. This can be the same through volunteering, and you can learn much through meeting people from different places.&nbsp;</p>\n\n\n\n<p>“One of my drivers is using technology to solve problems. As a project manager, it is a privilege to help guide people and organizations to identify and reach goals. It is helping them gain that value. This is one of the reasons I was drawn to finding out tech communities and contributing to them. If this is something that drives people reading about my experience, there are vast opportunities to to share your skills. Find something that fits you for where you are now.”&nbsp;</p>\n\n\n\n<p>Hauwa encourages anyone working in technology to further their understanding of managing projects and working with different teams. “Project management skills are so important in whatever kind of project you are in. With long working hours over many years, I felt I had lost the connection with the people element. I was stuck in what seemed to be a repeat cycle. With the people I met in the WordPress community and my professional skills being used, I was reminded of my own values and how as a project manager I can support help others reach new heights or make something of value and quality that others can benefit from and use.”&nbsp;&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;Find an area that fits you and where you can make a difference.&#8221;</p>\n</blockquote>\n\n\n\n<p>In 2022, Hauwa returned to working full time for both national and international, medium and&nbsp; large scale projects. Though her volunteering time to global community building initiatives has reduced accordingly, she focuses on encouraging skills learning and on the community cultural side.</p>\n\n\n\n<p>“I will keep my interest in how open source like WordPress, working alongside other solutions, can help not-for-profit ground level and community building. For me, if there are technology-based solutions out there, we can all play some part in helping them grow and making a difference,&#8221; she said. </p>\n\n\n\n<p>&#8220;How we give to wider communities does not have to be the same throughout time. It is important to keep relooking at what is needed and the difference it can make.&#8221;<br /><br />She added: &#8220;Find your central wish for the communities you are connected with, and there may be technologies that can support them. I am glad I started my journey.&#8221;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Hauwa Abashiya (<a href=\"https://profiles.wordpress.org/azhiyadev/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>azhiyadev</a>)&nbsp;for sharing her adventures in open source.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a>) for interviews and writing the feature, and to Meher Bala (<a href=\"https://profiles.wordpress.org/meher/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>meher</a>), Chloe Bringmann (<a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a>), Mary Baum (<a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a>), Nalini Thakor (<a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>nalininonstopnewsuk</a>) and Maja Loncar (<a href=\"https://profiles.wordpress.org/majaloncar/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>majaloncar</a>) for work on photographs and review.</p>\n\n\n\n<p>The&nbsp;<em>People of WordPress</em>&nbsp;series thanks Josepha Haden (<a href=\"https://profiles.wordpress.org/chanthaboune/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chanthaboune</a>) and Topher DeRosia (<a href=\"https://profiles.wordpress.org/topher1kenobe/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\"><img width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" /><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2023 21:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WPTavern: WordPress 6.2 Openverse Integration Updated to Upload Inserted Images\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142353\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"https://wptavern.com/wordpress-6-2-openverse-integration-updated-to-upload-inserted-images\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4184:\"<p>WordPress 6.2&#8217;s Openverse integration is getting some last minute changes after contributors expressed concerns about it <a href=\"https://wptavern.com/wordpress-6-2-openverse-integration-hotlinks-images-contributors-propose-uploading-to-media-library-as-a-better-default\">hotlinking images by default</a>. The new feature allows users to quickly insert free, openly-licensed media into their content. It also allows users to upload external images through a button in the block toolbar, but this creates an extra step in the process and is easy to miss in the UI.</p>\n\n\n\n<p>Several contributors cited GDPR and privacy concerns in the <a href=\"https://github.com/WordPress/gutenberg/issues/48394\">ticket</a> that called for uploading the images by default. They also noted that hotlinked images can pose problems for users who want further manipulate the images by cropping, rotating, and filtering, and for developers managing site migrations. Some went as far as to say the feature belongs in a canonical plugin, which would likely have had a less rushed implementation and better testing prior to landing in core.</p>\n\n\n\n<p>&#8220;I am deeply uncomfortable with any integration of Openverse into core,&#8221; WordPress contributor Peter Shaw <a href=\"https://github.com/WordPress/gutenberg/issues/48394#issuecomment-1445151654\">said</a>. &#8220;Philosophically WordPress is a personal publishing platform so it should be avoiding external APIs and dependencies. The only external calls it should make (by default) is to check for updates.</p>\n\n\n\n<p>&#8220;No issue with the service itself though (I like it) but it should be a canonical plugin that site owners consciously install. Either way images must be on the local server though.&#8221;</p>\n\n\n\n<p>As the hotlinking drew more attention, WordPress contributors chimed in on the ticket to call for the feature not to be shipped in its current implementation.</p>\n\n\n\n<p>&#8220;This cannot ship this way, or it will get unknowing users sued,&#8221; Yoast founder Joost de Valk said. &#8220;Next to that it has negative performance implications, as you can&#8217;t do <code>srcset</code> or <code>loading</code> attributes on images loaded from remote. Sideload <em>really</em> should be the default, and in fact IMHO, only way.&#8221;</p>\n\n\n\n<p>Gutenberg contributor Nik Tsekouras jumped in with a quick PR that changes the implementation to <a href=\"https://github.com/WordPress/gutenberg/pull/48501\">upload the Openverse images when they are inserted</a>, wherever possible.</p>\n\n\n\n<p>&#8220;We definitely want to upload to the site library for this flow and should treat this as a bug,&#8221; Gutenberg Lead Architect Matias Ventura <a href=\"https://github.com/WordPress/gutenberg/issues/48394#issuecomment-1446883555\">said</a>. &#8220;There&#8217;s work going on in parallel to upload by default on other actions (like pasting) that are not as straightforward or general enough (hence the need for something like <a href=\"https://github.com/WordPress/gutenberg/pull/46014\">#46014</a>) but this one should be straightforward.&#8221;</p>\n\n\n\n<p>Tsekouras&#8217; PR ensures that any images inserted from Openverse are uploaded. If they cannot be uploaded to media library due to <a href=\"https://developer.mozilla.org/en-US/docs/Web/HTTP/CORS\">CORS issues</a>, WordPress inserts the Image block with the external URL and a warning about legal compliance and privacy issues. Here&#8217;s an example of a successful upload:</p>\n\n\n\nvideo credit: James Koster in <a href=\"https://github.com/WordPress/gutenberg/pull/48501#pullrequestreview-1317206726\">PR #48501</a>\n\n\n\n<p>WordPress 6.2 Beta 4 was <a href=\"https://make.wordpress.org/core/2023/02/28/wordpress-6-2-beta-4-postponed/\">delayed</a> this morning until March 1, due to an unrelated <a href=\"https://wordpress.slack.com/archives/C02QB2JS7/p1677581267400419\">regression introduced in 6.2</a>. Tsekouras <a href=\"https://github.com/WordPress/gutenberg/commit/fac5049a0b2544b27f4a3a1b29a4ae817ce9eaac\">cherry-picked the Openverse PR to the wp/6.2 branch</a> to get it included in the next release, so the next beta should ship with the updated implementation.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2023 21:16:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"Do The Woo Community: What the WordPress Community Loved About WordCamp Asia Part 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74563\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://dothewoo.io/community-love-wordcamp-asia-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:415:\"<p>While at WordCamp Asia 2023 in Bangkok, I had the opportunity to ask a few attendees what they most liked about the event. </p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/community-love-wordcamp-asia-2023/\">What the WordPress Community Loved About WordCamp Asia Part 1</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 28 Feb 2023 09:48:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WPTavern: Gutenberg 15.2 Introduces Revisions for Template Editing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142287\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://wptavern.com/gutenberg-15-2-introduces-revisions-for-template-editing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2229:\"<p><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">Gutenberg 15.2</a> is now available with support for revisions when editing templates and template parts. The Site Editor can be an intimidating place if you&#8217;re new to making changes there. A few clicks can make a drastic impact and some users won&#8217;t know how to return to where they started. Surfacing the revisions panel gives users a safety net. </p>\n\n\n\n<img />\n\n\n\n<p>The revisions panel works the same as the content editor, so it doesn&#8217;t yet provide a visual presentation of a user&#8217;s additions, deletions, and changes. Users can restore previous versions of the template if they are able to read the block markup.</p>\n\n\n\n<p>Gutenberg 15.2 also brings improvements to navigating the Site Editor. It&#8217;s now much easier to drill down to the exact template you want to edit in just a few clicks in the Site Editor sidebar, globally save edits across navigation, template, and template parts, and more easily return to the dashboard. These changes are best illustrated in the GIF published in the release post;</p>\n\n\n\n<img />image source: <a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">Gutenberg 15.2 Release Post</a>\n\n\n\n<p>Other highlights in this release include the following:</p>\n\n\n\n<ul>\n<li>New: CSS aspect-ratio controls to the Post Featured Image block</li>\n\n\n\n<li>New in the Button block: support for border color, style, and width </li>\n\n\n\n<li>Accessibility improvements: improved labeling, optimizing the tab and arrow key navigation, and ensuring proper hierarchy of headings</li>\n\n\n\n<li>New in Post Excerpt block: a UI for controlling excerpt length</li>\n\n\n\n<li>Latest Comments block: Add typography support</li>\n</ul>\n\n\n\n<p>Check out the full list of changes and bug fixes in the <a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">15.2 release post</a>. This version of Gutenberg will not be included in the upcoming WordPress 6.2 release. If you can&#8217;t wait until 6.3, you can get these features now by installing the <a href=\"https://wordpress.org/plugins/gutenberg/\">Gutenberg plugin</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Feb 2023 21:07:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"Donncha: Redirecting ?replytocom so bots go home\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://odd.blog/?p=89589554\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://odd.blog/2023/02/27/redirecting-replytocom-so-bots-go-home/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2455:\"<p>Earlier this month I noticed that a particular bot that likes to visit my website, &#8220;MJ12bot/v1.4.8&#8221; seems to be particularly attracted to the &#8220;reply to comment&#8221; links generated by my blog. Those are links that bots see, but we see the &#8220;Reply&#8221; button that uses JavaScript to reply to a comment.</p>\n\n\n\n<p>To be honest, it&#8217;s pretty annoying to see a bot constantly fetching those URLs from my website. Earlier this month, it was on a roll and grabbing several dozen at a time. While my server can handle the traffic without any issues, who wants a bot trampling over their server?</p>\n\n\n\n<p>I decided to stop them in two ways:</p>\n\n\n\n<ul>\n<li>Redirect them back to the post in a mod_rewrite rule.</li>\n\n\n\n<li>Block them in robots.txt and hopefully the bots will go away.</li>\n</ul>\n\n\n\n<p>Coming up with a mod_rewrite rule <a href=\"https://mastodon.ie/@donncha/109834002975042301\">was surprisingly hard</a>, but after mentioning this on Mastodon I received a reply from <a href=\"https://toot.re/@JosKleverWebSupport\">Jos Klever</a> who figured out I needed the QSD flag. So, to spare you the hassle of researching it, here are the mod_rewrite rules that worked for me. It causes a 301 permanent redirect to the anchor tag of the comment. Add this to your .htaccess file.</p>\n\n\n\n<pre class=\"wp-block-code\"><code>RewriteCond %{QUERY_STRING} replytocom=(.*)$\nRewriteRule ^(.*)/          $1/#comment-%1 &#91;NE,QSD,L,R=301]</code></pre>\n\n\n\n<p>Blocking requests like this in the robots.txt is much simpler. WordPress can generate the robots.txt file for you using the <a href=\"https://developer.wordpress.org/reference/hooks/robots_txt/\">robots_txt filter</a>. Add the following to a mu-plugin PHP script.</p>\n\n\n\n<pre class=\"wp-block-code\"><code>function disallow_replycom_urls( $output, $public ) {\n    $output .= \'Disallow: ?replytocom\';\n    return $output;\n}\nadd_filter( \'robots_txt\', \'disallow_replycom_urls\', 10, 2 );</code></pre>\n\n\n\n<p>I haven&#8217;t received many comments on my posts lately. However, I stumbled upon some interesting posts by clicking the RANDOM link above, which I decided to examine as part of my research. During my search, I delved deep into the blogosphere of the past, almost like being an archaeologist, because some links were no longer available, and I had to search for them on archive.org. I was also pleasantly surprised to find that a link to a GIF from 2005 was still alive!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Feb 2023 18:18:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WordPress.org blog: WP Briefing: Episode 50: 3 Interesting Trends from WordCamp Asia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=14434\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wordpress.org/news/2023/02/episode-50-3-interesting-trends-from-wordcamp-asia/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13719:\"<p>On Episode fifty of the WordPress Briefing podcast, join WordPress Executive Director Josepha Haden Chomphosy as she explores the three big trends from the inaugural WordCamp Asia. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br />Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/create-block-theme/\">Create Block Theme Plugin</a><br /><a href=\"https://wordpress.org/news/2021/10/episode-17-wordpressing-your-way-to-digital-literacy/\">WordPressing Your Way to Digital Literacy</a><br /><a href=\"https://twitter.com/corymiller303/status/1628422554972028933\">PostStatus Networking Opportunities</a><br /><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">WordPress 6.2 Live Demo will be held 2 March, 2023 at 17:00h UTC</a><br /><a href=\"https://make.wordpress.org/docs/?p=23742\">Future Plans for the HelpHub </a><br /><a href=\"https://www.eventbrite.com/e/how-to-own-your-expertise-start-speaking-at-wordpress-events-ameremea-tickets-549285827697\">How to Own Your Expertise &amp; Start Speaking at WordPress Events WP Diversity Training 1 March 2023</a><br /></p>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-14434\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy.</p>\n\n\n\n<p>Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:40]&nbsp;</strong></p>\n\n\n\n<p>The inaugural WordCamp Asia happened a couple of weeks ago in Bangkok. There were almost 1300 people in attendance, and I was lucky to be able to talk with a lot of them about their thoughts around the WordPress project and community. So today, let&#8217;s talk about three of the most interesting trends that I heard from people: the future of themes, the future of work, and the future of contributions.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:00]&nbsp;</strong></p>\n\n\n\n<p>So first up, the future of themes. This one was not a surprise to me. Not only has it been on my mind lately, but every WordCamp I&#8217;ve ever attended in Asia or Australia has had themes as a central element. There are a lot of theme creators making a living in WordPress in this part of the world. So it&#8217;s natural that they want to know what to prepare for.</p>\n\n\n\n<p>Now, it&#8217;s hard to predict the future, but there are a couple of things you can do to kind of get a leg up on it. Firstly, the theme review team, if you know how to make block themes but are still struggling to understand what might make them high value to your users, donating a little bit of time to review them can help.</p>\n\n\n\n<p>While I was at the contributor day, the team rep who happened to also be there to represent the table told me that reviewing block themes is way faster than reviewing classic themes. So if it&#8217;s been a bit since you stopped by, I would encourage you to give it a shot. It&#8217;s a lot easier than it used to be for a lot of reasons, and they can always use a little bit of help.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:00]&nbsp;</strong></p>\n\n\n\n<p>The second thing is this plugin called the Create Block Theme plugin. If you don&#8217;t know how to make block themes, you know how to make classic themes. You don&#8217;t know how to make block themes. This is a wordpress.org maintained plugin that will make theme creation simpler. It&#8217;s a relatively new plugin, though, so if you&#8217;re the type of contributor who likes to create good tools for good people, you can also feel free to grab a ticket or two from their repo and help get that moving.</p>\n\n\n\n<p>The second thing that came up was the future of work. This was also not a surprise to me. There have been a lot of reports of layoffs in the tech industry and worries about the possibility of a recession.&nbsp;</p>\n\n\n\n<p>Since WordPress is not only a tool that folks use in their jobs but also a tool that empowers people to create jobs for themselves, it&#8217;s entirely expected for questions about career prospects to come up during a WordCamp. Here are a couple of thoughts on that. So I mentioned this briefly during the Q&amp;A session on that Sunday, but I&#8217;m gonna repeat it here because I believe it with every fiber of my being.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:06]&nbsp;</strong></p>\n\n\n\n<p>You can learn every 21st century skill that you need while contributing to an open source project.</p>\n\n\n\n<p>I talked about it in episode 17 of this podcast. I&#8217;ve talked about it at WordCamps and major event series outside of WordPress for years. Like I really, really believe this, and it&#8217;s not just like a WordPress only thing. Although obviously, that is my primary perspective, that&#8217;s true for contributing to almost any open source project.</p>\n\n\n\n<p>On top of that, if you are contributing to WordPress and you&#8217;re doing that in the way that we encourage folks to do, you&#8217;ve got public examples of proactive, asynchronous collaboration across cultures and time zones. And I don&#8217;t know about y&#8217;all, but sometimes it&#8217;s hard to explain what my job is. And so having examples of how the whatever it is that you were doing, however, you were collaborating or contributing or working on a project together, having concrete examples to be able to share with someone can never hurt.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:04]&nbsp;</strong></p>\n\n\n\n<p>I&#8217;m gonna give us a necessary side note here. I know that volunteering time is a privilege, and if you find yourself between jobs, the last thing you want to do is give up any more of your time for no money.</p>\n\n\n\n<p>But if you have contributed to any team in the past, that benefit still exists for you. Your contributions are not taken away just because you&#8217;re no longer with your employer.</p>\n\n\n\n<p>The second thought on that is actually one that Matt mentioned during the Q&amp;A on Sunday. He said in his experience that open source shines in recessionary times.</p>\n\n\n\n<p>I&#8217;ll have to take his word for that one since I discovered WordPress in 2009 or so and so after the last recession that I would have experienced in the US. However, I have heard from a lot of people in the WordPress ecosystem and in tech in general who have shared their stories from the last time that we all experienced a recession.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:00]&nbsp;</strong></p>\n\n\n\n<p>And certainly, when they suddenly found that they did not have a company to call the place that they were working, a company that they were working for, they were able to, at the very least, freelance until they found the next thing.&nbsp;</p>\n\n\n\n<p>I know that that&#8217;s cold comfort if you&#8217;re in the middle of things right now, but it certainly is something that people always have looked back to as like one of those turning points for them in the 2007-2008 era here in the US.</p>\n\n\n\n<p>Now I know that is sometimes not what anybody wants to hear. And also like, who am I to be speaking about observed experiences from other people? I did want to let you know that the folks over at PostStatus have opened up some networking opportunities for anyone that&#8217;s been caught up in the current downsizing around the ecosystem.</p>\n\n\n\n<p>I&#8217;ll link to that in the show notes here on wordpress.org/news, but also, if you&#8217;re a part of the PostStatus network, they&#8217;ve got it posted over there on their sites and things as well. So easy to find and definitely worthwhile if that&#8217;s a situation that you find yourself in right now.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:02]&nbsp;</strong></p>\n\n\n\n<p>And the third thing that I heard from a lot of folks about is the future of contributions. So 635 people attended the contributor day that happened ahead of WordCamp Asia, And at WordCamp Europe in Porto last June, it was 800 people or something, which was the biggest one on record. And so this is really close to that.</p>\n\n\n\n<p>There&#8217;s a lot of people. And a lot of them were attending for the first time. Over the course of the day, I checked in with quite a few of the table leads and heard some pretty consistent feedback, both about what we&#8217;re doing to help onboard contributors now but also about how we can help to onboard contributors in the future.</p>\n\n\n\n<p>Firstly, we all generally agree that documentation, which is our current problem to solve toward easier contributor onboarding, we all generally agree that that&#8217;s going pretty well. We now have a ton of our preferences and processes documented in various team handbooks, but with a ton of documentation comes the potential for overwhelm.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:00]&nbsp;</strong></p>\n\n\n\n<p>So across the board table leads shared the need for sort of a quick start guide for each of their teams. Secondly, we also generally seem to agree that mentorship plays a big role in the success of many long-term contributors. I&#8217;ve talked about it before. I had some mentors as I was getting started, and I would never have made it past organizing meetup events if it hadn&#8217;t been for their help.</p>\n\n\n\n<p>And so a bonus item I heard about is actually Meetup events. Meetup groups are one of our most resilient ways to contribute to WordPress, and they also happen to be one of the hardest working. If you&#8217;ve never been to one of these events, you may not know that you can learn a skill that&#8217;s new to you or teach a skill that you&#8217;ve had for a long time.</p>\n\n\n\n<p>You can also network to find the jobs that you want or network to hire the people you need. It&#8217;s where people learn how to use the CMS or learn how to become an entrepreneur.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:00]&nbsp;</strong></p>\n\n\n\n<p>But it&#8217;s also where they discover our community and eventually learn why we think that open source is an idea that will change our generation.</p>\n\n\n\n<p>So if you took nothing else away from this, I guess the takeaway is that you too can organize a Meetup event that will strengthen your local community and the world!</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:27]&nbsp;</strong></p>\n\n\n\n<p>Which brings us now to our small list of big things. So first up, we have a live product demo for WordPress 6.2 on March 2nd, that&#8217;s going to be at 17:00 UTC.</p>\n\n\n\n<p>There is a post that has gone up about it, which I&#8217;ll include in the show notes. This is an opportunity for folks to watch a live walkthrough of the current release with a collection of people from the release squad as well as avid contributors and testers. It&#8217;ll give you an idea of upcoming changes, but also we&#8217;ll probably expose a bug or two along the way.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:09:00]&nbsp;</strong></p>\n\n\n\n<p>Come with your questions, and we will see you there.&nbsp;</p>\n\n\n\n<p>Item number two is documentation. So apparently, that&#8217;s just half of what I wanna talk about today. Documentation, so wordpress.org, has docs that are specifically written for users and pulls in not only the documentation that we have but also information from the codex, the documentation space of yesteryear.</p>\n\n\n\n<p>There&#8217;s a bit more to do here, and I realize this project has been going on since 2015. It&#8217;s because there&#8217;s a lot of stuff we have to do. There&#8217;s a lot of documentation, and we have to kind of get it in order. But that is the area that we&#8217;re in now. We have launched the new documentation page, the new look and feel is out there.</p>\n\n\n\n<p>And so the next question is making sure that we have it organized in a way that&#8217;s easy to find and easy to learn from as you go. There is a whole working group that meets about it, and I will share a link to that in case you find that to be of interest to you as well.&nbsp;</p>\n\n\n\n<p>And last but not least, there is another speaker workshop coming up on March 1st.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:10:00]&nbsp;</strong></p>\n\n\n\n<p>If you have not heard of these yet, it&#8217;s a workshop that helps speakers learn the process of presentation brainstorming and creation. It is a great workshop. It was created over the course of many years within the WordPress project by Jill Binder and crew. It is a wonderful opportunity.&nbsp;</p>\n\n\n\n<p>It&#8217;s not a WordPress link that we&#8217;re on, but there is an event link that I will make sure that we all have access to here, in case that is something that you have always wanted to try, learning how to speak at WordPress events.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Feb 2023 14:58:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"Do The Woo Community: WordCamp Asia 2023, A Shining Star in the WordPress Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74533\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://dothewoo.io/wordcamp-asia-2023-a-shining-star-in-the-wordpress-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:443:\"<p>After returning from WordCamp Asia, I feel so grateful for those who support Do the Woo and the WordPress global community. </p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/wordcamp-asia-2023-a-shining-star-in-the-wordpress-community/\">WordCamp Asia 2023, A Shining Star in the WordPress Community</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Feb 2023 11:08:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:122:\"Gutenberg Times: 6.2 Live Demo, 20-Year anniversary, Intrinsic design HTML Tag Processor, #WCAsia – Weekend Edition #244\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=23467\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"https://gutenbergtimes.com/6-2-live-demo-20-year-anniversary-intrinsic-design-html-tag-processor-wcasia-weekend-edition-244/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:20325:\"<p>Howdy, </p>\n\n\n\n<p>WordCamp Asia was one of the best, if not the best flagship WordPress event.  I met quite a few subscribers to this newsletter in person. What a delight! I also made many new friends in the WordPress community.  Over the next week, I will add links to the live stream recordings and, if available, to the slidedecks to the post with <a href=\"https://gutenbergtimes.com/wordcamp-asia-2023-eight-gutenberg-related-talks/\">the list of talks about the block editor</a>. </p>\n\n\n\n<p>There are quite a few posts to be shared over the last 20 days since the last newsletter. It was great to catch-up. I kept my comments short. Many good things happening. </p>\n\n\n\n<p>Wishing you a great weekend! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-word-press-6-2\">WordPress 6.2</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-gutenberg-plugin-releases\">Gutenberg Plugin Updates</a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p><strong>David Bisset </strong>posted the <a href=\"https://davidbisset.com/highlights-of-matts-qa-at-wordcamp-asia-2023/\"><strong>Highlights of Matt’s Q&amp;A At WordCamp Asia 2023</strong></a>. Read the answer to questions about sponsoring contributors for documentation,  how to take advantage of WordPress knowledge in time of economic downturn, or how to get the next generation of web creators involved in the project. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>On the <em>WordPress Developer Blog</em>,<strong> Justin Tadlock</strong> published <a href=\"https://developer.wordpress.org/news/2023/02/whats-new-for-developers-february-2023/\"><strong>What’s new for developers? (February 2023)</strong></a>. It&#8217;s the first edition of a round-up of upcoming changes relevant to developers of plugins and themes as well as agency/freelancers. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/azaozz\">Andrew  Ozz</a></strong> posted the <strong><a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">Proposal: Updates to the WordPress Release Cycle</a> </strong>regarding merging Gutenberg plugin code with WordPress. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Matias Ventura </strong>shared in his post <a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\"><strong>Phase 2, Finale</strong></a>, what 6.2 will cover and what is still left for WordPress 6.3 and transition the project to Phase 3: Collaboration and workflows. </p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"1-word-press-6-2\">WordPress 6.2</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a> was released this week. <strong><a href=\"https://twitter.com/TahriAdel\">Adel Tahri,</a></strong> responsible for testing on the 6.2 release squad, posted a call to  <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\"><strong>Help Test WordPress 6.2</strong></a> with helpful instructions on how to set up local test environment, with a list of things to test and places where to report your findings. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Anne McCarthy</strong> posted the <strong><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a>&nbsp;</strong> with a run down of most features coming to a WordPress instance near you on March 28th, 2023. </p>\n\n\n\n<p>The schedule until release: </p>\n\n\n\n<ul>\n<li>Beta 4 on February 28, 2023</li>\n\n\n\n<li>Release Candidate (RC) 1 + Dev Notes on March 7th, 2023</li>\n\n\n\n<li>RC 2 on March 14, 2023</li>\n\n\n\n<li>RC 3 on March 21, 2023</li>\n\n\n\n<li>Final release March 28, 2023</li>\n</ul>\n\n\n\n<p>You can join the release party in the #core channel, the release team coordinates the work in the #6-2-release-leads channel. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>The <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\"><strong>6.2 Live Product Demo</strong></a> is scheduled for March 2, 2023, at noon EST / 17:00 UTC. <strong>Jonathan Pantani</strong> shared the details in his post. </p>\n\n\n\n<a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\"><img /></a>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"2-gutenberg-plugin-releases\">Gutenberg Plugin Updates</h3>\n\n\n\n<p><strong>JuanMa Garrido</strong> published the release post <strong><a href=\"https://make.wordpress.org/core/2023/02/10/whats-new-in-gutenberg-15-0-18-january-2/\">What’s new in Gutenberg 15.1? (8 February)</a>&nbsp;</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Gooding </strong>covered Gutenberg 15.1 for the WP Tavern in <a href=\"https://wptavern.com/gutenberg-15-1-adds-openverse-integration\"><strong>Gutenberg 15.1 Adds Openverse Integration</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Daisy Olsen</strong> was release lead for the next version: <strong><a href=\"https://make.wordpress.org/core/2023/02/24/whats-new-in-gutenberg-15-2-22-february/\">What’s new in Gutenberg 15.2? (22 February)</a>&nbsp;</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-79-wordpress-6-2-gutenberg-plugin-versions-15-0-and-15-1/\">Gutenberg Changelog #79 – WordPress 6.2, Gutenberg plugin versions 15.0 and 15.1</a> with Birgit Pauli-Haack and special guest Nick Diego </p>\n</div></div>\n\n\n\n<p><em>The next recording for the Gutenberg Changelog podcast is scheduled for March 9th, 2023, which will cover the Gutenberg plugin releases 15.2 and 15.3 and the dev notes available for WordPress 6.2.  We will also answer questions from you and others.  Send your questions to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com.</a> </em></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Ben Ritter,</strong> founder of Kadence Themes, announced the release of <a href=\"https://www.kadencewp.com/blog/introducing-blocks-3/\"><strong>Kadence Blocks version 3</strong></a>. Kadence Blocks plugin has been around since the block editor arrived to WordPress in 2018, and with the rapid development of more design tools, and the site editor, the plugin needed a rewrite and a fresh coat of paint. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In this video, <strong>Jamie Marsland</strong>  revealed the <a href=\"https://www.pootlepress.com/2023/02/the-secrets-of-wordpress-site-editing-beginners-guide/\"><strong>Secrets of WordPress Site Editing</strong></a>, and answers common questions, like how to add fonts, why editor settings might be missing and how you can download good block themes. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his latest post, <strong>Mark Howells-Mead</strong> shared his thoughts on <a href=\"https://permanenttourist.ch/2023/02/block-patterns-and-block-variations-of-the-query-loop/\"><strong>Block Patterns and Block Variations of the Query Loop</strong></a> and explored the differences between the two and reusable blocks.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Gooding</strong> reported on the latest Theme published by Automattic:  <a href=\"https://wptavern.com/automattic-releases-bibimbap-a-free-block-theme-for-restaurants\"><strong>Automattic Releases Bibimbap, a Free Block Theme for Restaurants</strong></a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>On the WordPress Developer Blog, <strong>Justin Tadlock</strong> published the article.  <strong>&nbsp;<a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\">Intrinsic design, theming, and rethinking how to design with WordPress</a></strong>. &nbsp;He wrote on Twitter: &#8220;This post explores some thinking behind why WordPress doesn&#8217;t have many block settings tied to specific device sizes and what the current approach is. It also provides theme authors with some techniques they can use to work within the system. There are tons of thoughts, techniques, and tools related to the subject, which is impossible to cover in a single post. But, I encourage continued exploration from the extender community and sharing what you learn.&#8221; You can follow more discussion in the comments of the post. </p>\n\n\n\n<p><strong>Hendrik Lührsen</strong> and <strong>Jakob Trost</strong> also <a href=\"https://twitter.com/hluehrsen/status/1628823761557368838\">discussed the topic on Twitter</a>. </p>\n\n\n\n<a href=\"https://developer.wordpress.org/news/2023/02/intrinsic-design-theming-and-rethinking-how-to-design-with-wordpress/\"><img /></a>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>For developers who want to get started or dive deeper into creating Block Themes, ready for the site editor, <strong>Daisy Olsen</strong> collected a great list of links covering all aspects for the Developer Blog: <a href=\"https://developer.wordpress.org/news/2023/02/block-theme-resources-roundup/\"><strong>Block theme resources roundup</strong></a>. She wrote: &#8220;Whether you build sites mostly from the site and styles editors or you develop bespoke and custom themes from the ground up, there are always new things to learn. Read on to learn all about block themes.&#8221; </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his latest post, <strong>James Koussertari,</strong> of Gutenberg Market asks <a href=\"https://gutenbergmarket.com/news/what-are-hybrid-wordpress-themes\"><strong>What are Hybrid WordPress themes?</strong></a> and gives you the answers, of course. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Anne McCarthy</strong>, instigator of the Block Museum of Art, posted <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\"><strong>Let’s celebrate 20 years of WordPress</strong></a> &#8220;This is an opportunity for folks to showcase their creativity and imagination using the features of the WordPress block editor that make it a powerful creative platform. We invite artists from all backgrounds and experience levels to submit their own WP20-inspired blocks and join us in celebrating two decades of WordPress.&#8221; McCarthy wrote. </p>\n\n\n\n<a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\"><img /></a>\n\n\n\n<p>If you are curious, what is all in store for the milestone anniversary, celebration around the WordPress community, follow up on the special website: <a href=\"https://wp20.wordpress.net/\"><strong>wp20.wordpress.net</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In this article, <strong><a href=\"https://twitter.com/donnapep\">Donna Peplinksie</a></strong> shared <strong><a href=\"https://senseilms.com/how-we-built-a-theme-for-sensei/\">How We Built a Block Theme for Sensei LMS</a> </strong>and explains key decisions, the breakdown of the work, and using the <a href=\"https://wordpress.org/plugins/create-block-theme/\">Create Block theme plugin</a> to built out the theme. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>On her website, fullsiteediting.com, <strong>Caroline Nymark</strong>  posted a new <strong><a href=\"https://fullsiteediting.com/lessons/child-themes/\">Lesson on Child Themes</a></strong>. &#8220;I am very happy with the progress we have made to support block and hybrid child themes in WordPress.&#8221; Nymark <a href=\"https://twitter.com/carolinapoena/status/1626964953914638337\">tweeted</a>. You learn when you still need child theme, and the relationship between parent and child block theme. It&#8217;s a comprehensive guide for theme developers. She also answer frequently asked questions, you might have. </p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n\n<div class=\"ngl-articles colored ngl-articles-50_50 ngl-articles-frontend\">\n\n	\n	<div class=\"ngl-articles-wrap ngl-articles-webview\">\n	\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/live-q-a-layout-layout-layout/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/02/Screenshot-2023-02-05-at-11.21.47.png?w=652&ssl=1\" /></a></div><div class=\"ngl-article-labels\">gutenbergtimes.com</div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/live-q-a-layout-layout-layout/\" target=\"_self\" rel=\"\"><span>Live Q &#038; A: Layout. Layout. Layout</span></a></div><div class=\"ngl-article-excerpt\">Layouts are a fundamental part of how block themes work: Layout allows us to define the width of our post content, and arrange blocks horizontally or vertically, right or left&hellip; <a href=\"https://gutenbergtimes.com/live-q-a-layout-layout-layout/\" class=\"ngl-article-read-more\" target=\"_self\">Read more.</a></div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n		\n		</div>\n\n</div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor </h2>\n\n\n\n<p>Ryan Welcher started to record YouTube Shorts. For the first one, we also created a blog post with the Quick Tip. </p>\n\n\n\n\n<div class=\"ngl-articles colored ngl-articles-50_50 ngl-articles-frontend\">\n\n	\n	<div class=\"ngl-articles-wrap ngl-articles-webview\">\n	\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/quick-tip-creating-a-custom-webpack-configuration-file/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/02/Screenshot-2023-02-04-at-10.56.27.png?w=652&ssl=1\" /></a></div><div class=\"ngl-article-labels\">gutenbergtimes.com</div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/quick-tip-creating-a-custom-webpack-configuration-file/\" target=\"_self\" rel=\"\"><span>Quick Tip: Creating a custom webpack configuration file</span></a></div><div class=\"ngl-article-excerpt\">https://www.youtube.com/shorts/VgK_Y9wAGXw Ryan Welcher on YouTube Shorts. &#8211; Also available on TikTok Ryan Welcher started a recording YouTube Shorts also available on TikTok. Here is a transcript and code example of&hellip; <a href=\"https://gutenbergtimes.com/quick-tip-creating-a-custom-webpack-configuration-file/\" class=\"ngl-article-read-more\" target=\"_self\">Read more.</a></div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n		\n		</div>\n\n</div>\n\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Adam Zieliński </strong>created an interactive tutorial for the new HTML processor coming to WordPress with 6.2: <a href=\"https://adamadam.blog/2023/02/16/how-to-modify-html-in-a-php-wordpress-plugin-using-the-new-tag-processor-api/\"><strong>How to Modify HTML in a PHP WordPress Plugin Using The New Tag Processor API</strong></a>. &#8220;If you’ve ever struggled to add an HTML attribute using regular expressions, you know how big of an improvement this is! In fact, Tag Processor was born out of this exact struggle.&#8221; He wrote. You&#8217;ll find use cases and code snippets in his post. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Brian Coords</strong> shared his experience of <a href=\"https://www.briancoords.com/hooking-into-the-block-editors-post-publish-panel-with-copilot/\"><strong>Hooking into the Block Editor’s Post Publish Panel (with Copilot)</strong></a>. Coords walks you through the steps of building a feature for his plugin that taps into the block editor. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Last month, <strong>Mark Howells-Mead</strong> published a tutorial on <a href=\"https://permanenttourist.ch/2023/01/using-useselect-in-gutenberg-to-fetch-data-from-the-rest-api/\"><strong>Using useSelect in Gutenberg to fetch data from the REST API</strong></a>. The function <code>getEntityRecords</code> enters the stage, too. </p>\n\n\n\n\n<p>Featured Image: Bangkok, Thailand  &#8211; View from the 31st floor. Phot by Birgit Pauli-Haack</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Feb 2023 20:22:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WordCamp Central: Get your tickets for WordCamp Kerala 2023 on March 25th!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3161846\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"https://central.wordcamp.org/news/2023/02/get-your-tickets-for-wordcamp-kerala-2023-on-march-25th/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7396:\"<p>The southern state of Kerala in India is all set to host its first regional WordCamp &#8211; <a href=\"https://kerala.wordcamp.org/2023/\">WordCamp Kerala 2023</a> on March 25, 2023 (Saturday) at <a href=\"https://kerala.wordcamp.org/2023/location/\">IMA House, Kochi</a>! </p>\n\n\n\n<p>The WordPress community in Kerala is not new &#8211; it had its humble beginnings in 2014, when it <a href=\"https://www.meetup.com/kochi-wordpress-meetup/events/206595912/\">kicked off with an informal local meetup in Kochi</a>. The love for WordPress grew the community slowly, but surely, which eventually spread out to multiple cities in the state. Together the community organized scores of local meetup events and three editions of WordCamp Kochi (<a href=\"https://kochi.wordcamp.org/2017/\">2017</a>, <a href=\"https://kochi.wordcamp.org/2018/\">2018</a>, and <a href=\"https://kochi.wordcamp.org/2019/\">2019</a>) before the COVID-19 pandemic shut everything down. Even during the pandemic, our community stayed active by organizing online events together under a &#8220;WordPress Kerala&#8221; banner. As the global health situation improved in 2022, our community started organizing in-person events again. A strong desire to organize a WordCamp united members the Kerala WordPress Community. As a result, the local WordPress Meetup groups of <a href=\"https://www.meetup.com/trivandrum-wordpress-meetup/\">Trivandrum</a>, <a href=\"https://www.meetup.com/kochi-wordpress-meetup/\">Kochi</a>, <a href=\"https://www.meetup.com/Kozhikode-WordPress-Meetup/\">Kozhikode</a>, and <a href=\"https://www.meetup.com/Palakkad-WordPress-Meetup/\">Palakkad</a>, have decided to bounce back by organizing WordCamp Kerala 2023!</p>\n\n\n\n<a href=\"https://central.wordcamp.org/files/2023/02/WordCamp_Kochi_2017_21.jpg\"><img /></a>\n\n\n\n<h2 class=\"wp-block-heading\">What makes WordCamp Kerala unique</h2>\n\n\n\n<p>Our event promises to be as <a href=\"https://kerala.wordcamp.org/2023/10-amazing-things-you-didnt-know-about-kerala/\">unique</a> as our location and host state. Kerala is known as “<a href=\"https://www.keralatourism.org/video-gallery/life-in-god-s-own-country/\">God’s own country</a>” and was <a href=\"https://www.nytimes.com/interactive/2023/travel/52-places-travel-2023.html\">selected by the New York Times</a> as one of the must-visit places in 2023. In 1999, Kerala made it to National Geographic’s list of <a href=\"https://www.nationalgeographic.com/travel/article/50_places_of_a_lifetime_1\">10 Paradises of the world</a> too. </p>\n\n\n\n<h3 class=\"wp-block-heading\">Diversity, Equity, Inclusion, and Belonging</h3>\n\n\n\n<p>At WordCamp Kerala, one of our main priorities is to ensure that every voice is heard. We are working hard to ensure that our event is as diverse and inclusive as possible, from our organizing team to our speaker roster, and every aspect of our event and its planning. </p>\n\n\n\n<p>Our aim is to present a speaker lineup that is as diverse as possible, by ensuring that non-male applicants and applicants from marginalized backgrounds have excellent representation in our roster. To facilitate the same,  we collaborated with the WP Diversity group of the Make/Community Team to hold a <a href=\"https://kerala.wordcamp.org/2023/announcement-free-speaker-workshop-for-wordcamp-kerala-speaker-applicants/\">successful diverse speaker workshop led by Jill Binder on January 28th</a> &#8211; the workshop had 25 attendees, and resulted in at least seven unique speaker applications!</p>\n\n\n\n<p>Additionally, our event aims to have something for folks from all backgrounds &#8211; from advanced technical workshops to sessions aimed at every WordPress professional. For this WordCamp, we are also doing our best to facilitate excellent networking opportunities between attendees, which are one of the biggest strengths of WordCamps.</p>\n\n\n\n<h3 class=\"wp-block-heading\">An Eco-friendly WordCamp</h3>\n\n\n\n<p>The event is planned as eco-friendly and adequate plans are in place to ensure that no harm is done to the environment at any stage of the event. It includes avoiding plastic items and using LED televisions for sponsor branding as opposed to banners to save our environment. We are even thinking of ways to reduce our environmental footprint in every aspect of event planning as well. </p>\n\n\n\n<a href=\"https://central.wordcamp.org/files/2023/02/DSC_0498-1.jpg\"><img /></a>\n\n\n\n<h2 class=\"wp-block-heading\">Get involved</h2>\n\n\n\n<p>There are several ways to become a part of this exciting event! </p>\n\n\n\n<ul>\n<li><a href=\"https://kerala.wordcamp.org/2023/tickets/\"><strong>Grab your tickets</strong></a><strong> to attend this event!</strong><br />WordCamp Kerala tickets are priced at an affordable INR 500 (~USD $6) per attendee. As of late February 2023, we have sold more than half of our total tickets available for public (we are planning 500 total participants at our event including volunteers, speakers, and sponsors), and there is a high probability that we may sell out way before the event date. Get your tickets now! </li>\n\n\n\n<li><strong>Last chance to </strong><a href=\"https://kerala.wordcamp.org/2023/call-for-speakers/\"><strong>apply to speak at WordCamp Kerala</strong></a><strong>!<br /></strong>Due to popular demand, we have extended our deadline for call for speakers. <a href=\"https://kerala.wordcamp.org/2023/call-for-speakers/\">Apply to speak at WordCamp Kerala 2023</a> before February 28th 2023, 11:59 PM IST.</li>\n\n\n\n<li><a href=\"https://kerala.wordcamp.org/2023/call-for-sponsors/#bronze-10-000-125\"><strong>Sponsor WordCamp Kerala<br /></strong></a>We received an unprecedented response to our call for sponsors, and most of our sponsorship tiers have sold out. A big thanks to our community for this warm response and support! Nonetheless, <a href=\"https://kerala.wordcamp.org/2023/call-for-sponsors/#bronze-10-000-125\">we still have some available sponsorship options</a> for interested applicants. </li>\n\n\n\n<li><strong><a href=\"https://kerala.wordcamp.org/2023/call-for-volunteers/\"><strong>Apply to be a Volunteer</strong></a><strong> </strong>and be a part of the team that helps organize WordCamp Kerala 2023.</strong> Deadline: February 28th 2023, 11:59 PM IST.</li>\n</ul>\n\n\n\n<p>And don’t forget to post about this event on your social media handles for all WordPress enthusiasts. Feel free to <a href=\"https://twitter.com/intent/tweet?url=https%3A%2F%2Fkerala.wordcamp.org%2F2023%2Ftickets%2F&text=\">Share about us on Twitter</a>, <a href=\"http://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fkerala.wordcamp.org%2F2023%2Ftickets%2F&title=\">write about us on LinkedIn</a>, or<a href=\"https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fkerala.wordcamp.org%2F2023%2Ftickets%2F\"> post about us on Facebook</a>. Psst&#8230; You can also post about our event on your (WordPress-powered) blog or on Tumblr! Don&#8217;t forget to join the discussion on WordCamp Kerala 2023 using the hashtag <strong>#WCKerala</strong> hashtag on all social media platforms.</p>\n\n\n\n<p>Looking forward to seeing you at our lovely little event celebrating WordPress, at the beautiful coastal city of Kochi, on March 25th, 2023! </p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://kerala.wordcamp.org/2023/\">Get your tickets for WordCamp Kerala 2023!</a></div>\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Feb 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"jyolsna\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"WPTavern: WordPress 6.2 Openverse Integration Hotlinks Images, Contributors Propose Uploading to Media Library as a Better Default\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142305\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:140:\"https://wptavern.com/wordpress-6-2-openverse-integration-hotlinks-images-contributors-propose-uploading-to-media-library-as-a-better-default\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1911:\"<p>WordPress 6.2 is set to introduce an integration with Openverse that allows users to quickly insert free, openly-licensed media into their content. It was not readily apparent when the feature made its debut in version 15.1 of the Gutenberg plugin that the inserted images are hotlinked.</p>\n\n\n\n<p>WP Engine developer Phil Johnston <a href=\"https://wordpress.slack.com/archives/C02QB2JS7/p1677269705274569\">brought up this issue</a> in the #core-editor channel on WordPress Slack today. WordPress core contributor Paul Biron confirmed images are hotlinked when first inserted but can be added to the site&#8217;s Media Library using the &#8220;Upload&#8221; tool, which is located in the Image block toolbar after Openverse inserts the image.</p>\n\n\n\n<img />\n\n\n\n<p>Hotlinking is generally considered a bad practice, as it uses another site&#8217;s bandwidth to display the asset. Hotlinked images can easily get renamed or removed from the source site, which can negatively impact the sites that are displaying them.</p>\n\n\n\n<p>WordPress core contributor Jeremy Herve opened a <a href=\"https://github.com/WordPress/gutenberg/issues/48394\">ticket</a> yesterday with concerns about the hotlinking and suggested it would be better to upload the images by default.</p>\n\n\n\n<p>&#8220;I would suggest uploading the image to one&#8217;s site once picked and inserted,&#8221; Herve said. &#8220;This way it would remain available on the site, whatever may happen to the service or the original image. Of course, the image attribution should remain in the caption.&#8221;</p>\n\n\n\n<p>Johnston also suggested hotlinking the images might be a privacy concern if it allows the host to gather data about the device loading the image.</p>\n\n\n\n<p>WordPress may end up changing the default behavior for Openverse inserts, but in the meantime, users should be aware of how this feature works and where to find the Upload tool. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 25 Feb 2023 04:48:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WPTavern: Prison Journalism Project Launches Prison Newspaper Project on WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142256\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://wptavern.com/prison-journalism-project-launches-prison-newspaper-project-on-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5036:\"<p>The <a href=\"https://prisonjournalismproject.org/\">Prison Journalism Project</a> (PJP), a non-profit organization founded in April 2020, trains incarcerated writers to be journalists and publishes their stories with the goal of empowering them to be a vital voice in criminal justice reform. Over the past three years, the project has published over 1,700 pieces of work from more than 600 incarcerated and incarceration-impacted <a href=\"https://prisonjournalismproject.org/our-writers/\">writers</a> representing 180 prisons across 35 states and three countries.</p>\n\n\n\n<p>The project is bringing important issues to light, such as <a href=\"https://prisonjournalismproject.org/2023/02/24/its-still-a-covid-19-emergency-in-here/\">diminishing access to programs that further rehabilitation due to COVID-19</a> and the <a href=\"https://prisonjournalismproject.org/2022/02/04/the-failure-of-drug-treatment-in-prisons/\">failure of drug treatment in prisons</a>, first-hand accounts from incarcerated individuals that expose the inadequacy of state and federal prisons to meet the needs of those in their care. These stories and more are featured on the organization&#8217;s website, which is powered by WordPress and <a href=\"https://newspack.com/\">Newspack</a>, a project from Automattic that provides a publishing platform for small and medium-sized news organizations. Newspack includes professionally designed themes and a set of pre-configured plugins, like Newspack Newsletters and WooCommerce Subscriptions, that help drive audience and revenue. </p>\n\n\n\n<p>This week the PJP <a href=\"https://prisonjournalismproject.org/prison-newspaper-project/\">launched</a> the Prison Newspaper Project, which aims to connect prison publications with a broader general audience, including educators and researchers. At its peak, U.S. prisons running their own newsrooms published 250 prison papers in 1959. The prison press has declined significantly since then, despite massive improvements in the available technology for telling their stories. As of February 2023, the PJP counts 24 operational, prisoner-run news publications across 12 states.</p>\n\n\n\n<p>The new Prison Newspaper Project has indexed these publications into a&nbsp;<a href=\"https://prisonjournalismproject.org/prison-newspaper-directory/\">prison newspaper directory</a>. It also has a new category section on the site called &#8220;<a href=\"https://prisonjournalismproject.org/category/from-prison-newspapers/\">From Prison Newspapers</a>,&#8221; where the organization highlights and amplifies the work of incarcerated writers across various publications. Their work is republished to PJP&#8217;s wider audience, offering a window into the incarcerated population and the conditions where they are living.</p>\n\n\n\n<p>While most of the prison newspapers in the PJP&#8217;s directory run on legacy systems or are only available via print-versions with digital archives, a few have online publications. <a href=\"https://sanquentinnews.com/\">San Quentin News</a> is one that runs on WordPress, publishing beautiful stories of the humanity and artistry of those behind bars. One story features San Quentin artist Idalio Villagran, who &#8220;takes prison-constrained creativity and resourcefulness to another level, crafting beautiful roses of various colors from state-issued bread and Kool-Aid.&#8221;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://sanquentinnews.com/roses-are-red-mostly/\">Roses are red . . . mostly</a></blockquote>\n</div>\n\n\n\n<p>Another post features the work of San Quentin artist Edgar Zarate Martinez, who is keeping his Mexican cultural heritage alive through his paintings that reflect his yearning for his family.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://sanquentinnews.com/for-love-and-honor/\">FOR LOVE AND HONOR</a></blockquote>\n</div>\n\n\n\n<p>PJP was founded by Yukari Iwatani Kane and Shaheen Pasha at Penn State University in 2019, after teaching journalism at San Quentin State Prison and Hampshire County Jail in Massachusetts.</p>\n\n\n\n<p>Most of the other indexed prison publications don&#8217;t have an online presence, so the Prison Newspaper Project is vital for connecting them and bringing more exposure to prison journalism. Getting these publications online isn&#8217;t part of the current scope of the project, but there is a big opportunity here to modernize these newsrooms with WordPress and help them find a global audience.</p>\n\n\n\n<p>The Prison Newspaper Project is committed to regularly updating the list of active publications in the directory. People can submit newspapers or magazines not yet listed by emailing&nbsp;<a href=\"mailto:editorial@prisonjournalismproject.org\">editorial@prisonjournalismproject.org</a>.</p>\n\n\n\n<p>&#8220;As this section grows, we hope to offer you more resources on the history of this remarkable part of the fourth estate,&#8221; Prison Newspaper Project Editor Kate McQueen said.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Feb 2023 23:08:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"Post Status: WordCamp Asia Wrap-up\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147369\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://poststatus.com/wordcamp-asia-wrap-up/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6725:\"<p>I know you\'re wondering. And yes, I showered.</p>\n\n\n\n<p>As a matter of fact, the WordCamp Asia team was very deliberate in considering disability needs from the start of Contributor Day through to the announcement of WCAsia 2024 at closing remarks. The hotel was perfect. The venue had elevators and automatic doors (or security stationed to open doors). I couldn\'t have asked for more.</p>\n\n\n\n<h2 id=\"h-wcasia-by-the-numbers\">WCAsia By the Numbers</h2>\n\n\n\n<img width=\"752\" height=\"564\" src=\"https://cdn.poststatus.com/wp-content/uploads/2023/02/IMG_5800-752x564.jpg\" alt=\"\" class=\"wp-image-147370\" />\n\n\n\n<p>You can see by this screen that WCAsia succeeded in attendance and contributors. In addition, there were 60 speakers, 53 orgainzers, over 80 volunteers, and 29 people on the AV team.</p>\n\n\n\n<h2>Contributor Day</h2>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">A sneak peak of the photographs we will be publishing from <a href=\"https://twitter.com/hashtag/WCAsia?src=hash&ref_src=twsrc%5Etfw\">#WCAsia</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f913.png\" alt=\"🤓\" class=\"wp-smiley\" /><br />Huge thanks to the Contributor Day Team Leads! <a href=\"https://t.co/A4hpwank6U\">pic.twitter.com/A4hpwank6U</a></p>&mdash; Shusei Toda (@shuseitoda) <a href=\"https://twitter.com/shuseitoda/status/1627617457988050944?ref_src=twsrc%5Etfw\">February 20, 2023</a></blockquote>\n</div>\n\n\n\n<p>I was fortunate to be a table lead for Contributor Day. We onboarded many photographers who submitted photos to the WordPress Photo Directory for the first time. Topher DeRosia and I moderated almost 250 photos in one day, while discussing with contributors what makes a good photo, what isn\'t allowed to be added to the directory, and how every contributor gets a badge on their .org profile. </p>\n\n\n\n<p>From what I heard from other table leads, every one of the teams onboarded new contributors and accomplished their goals for the day. It was truly inspiring.</p>\n\n\n\n<h2>Sponsors</h2>\n\n\n\n<p>Instead of being off in another part of a building, the sponsor area was in the center of it all. To get from point A to any other point you either had to go through or around the edges of the sponsor booths. I imagine this was incredibly helpful for sponsors, and, honestly, it made it the perfect place to run into people, make connections, renew connections, and grab some awesome swag.</p>\n\n\n\n<h2>The Selfie Challenge</h2>\n\n\n\n<p>I put out a challenge that if people posted selfies with me I would donate $5 per selfie to <a href=\"https://bigorangeheart.org\" target=\"_blank\" rel=\"noreferrer noopener\">Big Orange Heart</a>. (Up to $500 total.) I\'m please to say that not only did I meet that goal (with well over 100 selfies with our amazing community) but <a href=\"https://twitter.com/carlhancock/status/1628156351636508672?s=20\" target=\"_blank\" rel=\"noreferrer noopener\">Carl Hancock of Gravity Forms matched it</a>, and <a href=\"https://twitter.com/insta_wp\" target=\"_blank\" rel=\"noreferrer noopener\">Vikas Singhal of InstaWP</a> matched it at 50%. All told we raised $1250 for BOH!</p>\n\n\n\n<h2>Q&A; with Matt Mullenweg</h2>\n\n\n\n<p>I asked a question to Matt during the Q&A; Friday morning.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>With the wave of layoffs and hiring freezes we have seen in the WordPress community lately, what do you think we, as a community, can do to create more jobs in our ecosystem and stop the anxiety and fear that comes with layoffs like this?</p>\n</blockquote>\n\n\n\n<p>Matt\'s reply was a bit less than I hoped, basically encouraging anyone who has been laid off to sharpen their WordPress skills, market themselves as freelancers to build a portfolio, and encourage local businesses to get on WordPress.</p>\n\n\n\n<p>Some of the people who have been laid off are already big names in WordPress and have a portfolio to back it up.</p>\n\n\n\n<p>So it still begs the question &#8211; how can we support those who have recently lost jobs in massive layoffs and what does it say about the adoption of WordPress if companies are scaling back? While I don\'t have the answer, I\'m watching closely.</p>\n\n\n\n<p>And if you find yourself job searching in WordPress here are a few resources:</p>\n\n\n\n<ul>\n<li><a href=\"https://poststatus.com/jobs/\">The Post Status Job Board</a></li>\n\n\n\n<li><a href=\"https://WPCareerPages.com\" target=\"_blank\" rel=\"noreferrer noopener\">WPCareerPages.com</a> </li>\n\n\n\n<li><a href=\"https://twitter.com/search?q=%23wordpressjobs&src=typed_query\" target=\"_blank\" rel=\"noreferrer noopener\">Twitter posts</a></li>\n\n\n\n<li><a href=\"https://www.underrepresentedintech.com/resources/\">Underrepresented in Tech Resources</a></li>\n</ul>\n\n\n\n<h2>Photos, Photos, Photos</h2>\n\n\n\n<p></p>\n\n\n\n<p>To see how truly impactful the first WordCamp Asia was, one has only to look into all of the smiling faces captured in selfies and more.</p>\n\n\n\n<p>Here are a few places to look:</p>\n\n\n\n<ul>\n<li><a href=\"https://twitter.com/search?q=%23WCASIA&src=typed_query\" target=\"_blank\" rel=\"noreferrer noopener\">Twitter #WCAsia</a></li>\n\n\n\n<li><a href=\"https://photos.app.goo.gl/WEUjLaPbS2zyz9fM6\" target=\"_blank\" rel=\"noreferrer noopener\">Google Photos</a></li>\n\n\n\n<li><a href=\"https://www.instagram.com/michelleames/\" target=\"_blank\" rel=\"noreferrer noopener\">My Instagram Photos of Bangkok</a></li>\n</ul>\n\n\n\n<h2>Thanks to the Organizers and Volunteers</h2>\n\n\n\n<p>WordCamp Asia seemed to go off without any issues (though anyone who has ever organized a WordCamp knows there are always hiccups). If there were, the attendees didn\'t see them. (Other than the technical glitches in the Q&A; with Matt Mullenweg, which was still handled very well.)</p>\n\n\n\n<p>I would add my thanks to all of the voices praising the organizers and volunteers that made WordCamp Asia so amazing. From the updates on the website to the after party, you all provided information, hospitality, and an incredible warmth to the event. </p>\n\n\n\n<p>Thank you a million times over.</p>\n\n\n\n<p>WordCamp Asia 2024</p>\n\n\n\n<img width=\"752\" height=\"564\" src=\"https://cdn.poststatus.com/wp-content/uploads/2023/02/IMG_5827-752x564.jpg\" alt=\"\" class=\"wp-image-147581\" />\n\n\n\n<p>And to the organizers for WC Asia 2024 &#8211; wishing you the best as you continue this new legacy. I know you\'re up to the challenge!</p>\n\n\n\n<img width=\"752\" height=\"564\" src=\"https://cdn.poststatus.com/wp-content/uploads/2023/02/organizers-752x564.jpeg\" alt=\"\" class=\"wp-image-147582\" />WC Asia 2024 Team (photo credit <a href=\"https://twitter.com/ratneshsonar\" target=\"_blank\" rel=\"noreferrer noopener\">Ratnesh Sonar</a>)\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Feb 2023 05:29:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Michelle Frechette\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Automattic Releases Bibimbap, a Free Block Theme for Restaurants\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142258\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wptavern.com/automattic-releases-bibimbap-a-free-block-theme-for-restaurants\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2858:\"<p>Automattic has a new theme in the WordPress Themes Directory. <a href=\"https://wordpress.org/themes/bibimbap/\">Bibimbap</a>, named for a beloved Korean comfort food, is a restaurant theme. It is described as &#8220;simple and fun&#8221; but does not come with a live demo, so users will need to be prepared to work with patterns to get their restaurant sites put together.</p>\n\n\n\n<p>The home page pictured in the screenshot displays a full width Cover block with an image as the background, a call to action, and some contact information. Bibimbap features the Cooper Hewitt typeface throughout for paragraph text and headers.</p>\n\n\n\n<img />\n\n\n\n<p>The theme comes with five custom block patterns for building restaurant websites:</p>\n\n\n\n<ul>\n<li>Contact pattern with a map, location, and hours</li>\n\n\n\n<li>Cover block pattern for restaurant Specials</li>\n\n\n\n<li>Default footer</li>\n\n\n\n<li>Restaurant menu</li>\n\n\n\n<li>Menu add-ons</li>\n</ul>\n\n\n\n<img />\n\n\n\n<p>I took the theme for a test drive and found that is not very intuitive in its current state, although the patterns are nicely designed. When first installed and activated on a new site, the theme looks blank with nothing in place and no hint of how it can be made to look like the screenshot.</p>\n\n\n\n<img />\n\n\n\n<p>The most ideal experience a block theme can provide gives the user a ready-to-go website that looks like the demo, or at least provides a full-page pattern that is easy to insert. Bibimbap has missed a few opportunities to make the theme more user-friendly. Although it is also available on WordPress.com under the Business plan, the preview is similar to the experience of installing it on a self-hosted site. With no live demo available, it&#8217;s difficult to know where to go after installing it.</p>\n\n\n\n<p>In the Site Editor, users will need to navigate to the <em>wp-custom-template-home</em> template to edit the home page template. If this is a new website, users will also want to create a new page and assign it to use the <em>wp-custom-template-home</em> page template to get the right design.</p>\n\n\n\n<p>The home page header design is not available via a pattern, which would make the theme so much more versatile and easy to use, especially in the case of multi-page websites.</p>\n\n\n\n<p>Although the theme comes with just a handful of patterns, they work well dropped onto the page in any order. </p>\n\n\n\n<img />\n\n\n\n<p>Overall, this theme is a good option for those who know their way around WordPress and the Site Editor. It makes it fairly quick to build a restaurant website with a cohesive design. The problems with user-friendliness can be easily remedied with a few full-page patterns and a bit of thought towards the experience after activating the theme.  <a href=\"https://wordpress.org/themes/bibimbap/\">Bibimbap</a> is available for free from WordPress.org.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 24 Feb 2023 03:55:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Launching a WordPress Product in Public: Session 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147564\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://poststatus.com/launching-a-wordpress-product-in-public-session-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:70348:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><a href=\"https://twitter.com/hirethere\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> share the messiness of building a WordPress product live. They reveal the initial version of <a href=\"https://crop.express/#welcome\">Crop.Express</a>, a plugin designed to crop a featured image within the WordPress workflow and discuss their progress and ongoing development. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">3</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>In this episode, <a href=\"https://twitter.com/hirethere\">Corey Maass</a> and <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> share their initial version or MVP of the product they are building, <a href=\"https://crop.express/#welcome\">Crop.Express</a>.  Together they work through enhancing UX, selecting the right business model, crafting marketing messages, and more.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Work Out the Workflow. </strong>You will teach people how to use your product with demos or tutorials. While you want to make adjustments to improve UX, you don’t want to constantly change the workflows for your product. Being thoughtful on the front end can result in better usability and less change.</li>\n\n\n\n<li><strong>Business Models. </strong>Building a product also means determining a business model.<strong> </strong>Offering some functionality for free can gain exposure for a base product. Adding a pro or paid version with increased value to deliver a better end product for a customer.</li>\n\n\n\n<li><strong>Focus on Feedback.</strong> As a product builder, you work to anticipate pain points and solve for them. With a quality product, you will solve real struggles for users. But there is a reason users are uninstalling. Accessing their input and experience could be the key to taking your product to the next level.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://crop.express/\">Crop.Express</a></li>\n\n\n\n<li><a href=\"https://www.canva.com/\">Canva</a></li>\n\n\n\n<li><a href=\"https://elementor.com/%5C\">Elementor</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/hirethere\">Corey Maass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<h2>Session 2 Corey & Cory Launch a WordPress Product Live  </h2>\n\n\n\n<p>Cory Miller: [00:00:00] Hey everybody, welcome back to post status. Where we\'re, um, Corey Moss and I are session two.  </p>\n\n\n\n<p>Launched a WordPress product in public, and you\'re getting to see all the, you know, um, kinks and rough edges. But what we hope really comes through is that we\'ve had these really good conversations and we\'re like, we\'re okay with not, we\'re being imperfect and showing how this product works, at least with us.  </p>\n\n\n\n<p>So hopefully it helps somebody else inspire somebody to do better. Um, but, all right, Corey, I have to be the first admit as my partner in this, um, donate my homework. Excuse, excuse. I was frantically in between meetings, trying to like, be creative with the read me text. Mm-hmm. Um, But I, um, so I have to say that first and foremost, and then second.  </p>\n\n\n\n<p>I know you shared a cool feature that we were talking about that I was like, Hey, we can put this on the backlog. And you\'re like, no, it\'s here, it [00:01:00] is . Um, so I haven\'t even got to see that. But, um, that, that\'s kind of my update. But what, what things do you have or want to talk about?&nbsp;  </p>\n\n\n\n<p>Corey Maass: Um, yeah, I, it, it. Uh, like I\'m on top of my stuff, you know, by getting these updates to you.  </p>\n\n\n\n<p>But I mean, I\'m in the same boat. I promised, uh, last Wednesday that, you know, within a day or two I would have this other feature implemented. And it was like last minute on Friday that I actually, or even Monday, that I was like, oh crap, I owe us this thing. So, um, yes, technically I got my paper written and handed in, uh, and you didn\'t, but it doesn\'t mean I wasn\'t up until 6:00 AM the, the morning of writing the paper.  </p>\n\n\n\n<p>Uh, you know, so, I mean, again, these are, these are the realities. You know, I, I\'ve [00:02:00] got client work, I\'ve got numerous products that need updating and bugs fixed, and, uh, life goes on. And so, you know, we\'ve, we\'ve fit this stuff in, in between. When we can. I mean, and, and I think that that\'s too, like where we\'re at, right?  </p>\n\n\n\n<p>Like right now, this is, uh, an idea that we\'re, you know, we\'re still in the garage phase or we\'re still in the, like, we can\'t make this a priority yet because it\'s not out there. It\'s not, we don\'t have users to satiate, we don\'t have revenue to chase. We don\'t have, you don\'t, you know, you\'re doing the marketing and you don\'t have anything to market.  </p>\n\n\n\n<p>And so, I mean, this is, this has been my MO for a long time where if I\'ve got a new idea for a new product, it\'s just gotta get shoved in between all the other stuff that is at the moment, more important.&nbsp;  </p>\n\n\n\n<p>Cory Miller: It\'s always a game. And this of juggling, I think. And I [00:03:00] swore to myself, I was like, I\'m gonna stop juggling, but I juggles for so long with Ithe stuff.  </p>\n\n\n\n<p>It\'s like, as an entrepreneur and doing these type of things, you\'re owning all the responsibility and, um, but it\'s really good to have someone that understands we\'re all juggling, um, back and forth. Um, well, would you want to like, look at where we\'re at now from the plugin side, since you\'ve got, you\'ve done your, you\'ve done more than your homework, by the way.  </p>\n\n\n\n<p>Um, do you wanna share your screen? Do you want me to share?&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah, let me, let me share because I\'ve got it, um, set up pretty readily here, I think. Um, so what we\'re talking about, um, is the, the very first version of this plugin and I just don\'t wanna. Because we are so professional, um, [00:04:00] you know, I need to carefully culminate the experience that people will have.  </p>\n\n\n\n<p>Um, how do I top left or Let\'s do this. Move the screen. Full screen. Uh, move the window. . All right. Um,  </p>\n\n\n\n<p>nope, that won\'t work. Share screen. Let\'s try this again. Where\'s the plate? Blue window. There we go. Share. All right. So hopefully you can, you\'re seeing a, a WordPress install. Yep. Um, so, uh, for the nerds out there, um, I\'ve got this, um, are we still recording?&nbsp;  </p>\n\n\n\n<p>Cory Miller: No, we are now recording again, . Oh, awesome. I pause it.  </p>\n\n\n\n<p>So now we\'re [00:05:00] actually recording . So we\'re on session two. Everybody, for the recording sake of launching the WordPress product in, in, in public. And you\'re seeing all the foibles, particularly mine. But Corey\'s now showing us 0.001 version of the. Right.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Um, yeah, what everybody missed is us discussing how, just how, uh, we are the epitome of professionalism and, um, it all works out in the end.  </p>\n\n\n\n<p>But the, you know, part of the point of, of this whole experiment recording is, is to see the kind of, uh, the messiness, the behind the scenes, the, um, so, uh, for the nerds, uh, I\'m using, I, I use local WP to develop locally, um, and to run sites locally and stuff like that. So that\'s what you\'re seeing here is just a local site of vanilla WordPress install.  </p>\n\n\n\n<p>And, um, so we\'ve got version, you know, 0 0 1 [00:06:00] installed, um, crop Express, and then where that puts us is, We had talked about lots of different features, um, but decided that our m v p, our, let\'s just add some value to the world version, um, is, is just the ability to crop the featured image. Um, so what we\'re doing here is, uh, we still have a featured image panel on the side here.  </p>\n\n\n\n<p>Um, whoops. Oh, come on. Don\'t. We have a featured image panel on the side in, in the block editor. Um, but this is actually our custom panel and we\'re hiding the built-in featured image panel. Um, and we say select and crop an image. And so here\'s the new UI that I was talking about. Um, I\'ve moved some things around and, um, I still think that I want to make one more change where I wanna put these two buttons on top of each other [00:07:00] with a sort of, um, broken image or a, a place.  </p>\n\n\n\n<p>You know, a, your image will appear here soon because right now if I say upload an image, um, and I choose an image, um, It just, right now it just says, you know, here is the, the name of the file selected. But I think much more, you know, to most people, they\'re gonna wanna see a little thumbnail of the image that they\'ve selected, again, to kind of prove like, okay, wait, I chose the right one.  </p>\n\n\n\n<p>Um, and so then you choose, uh, this is when you\'re cropping it. Do you want to crop a square? Do you want to crop 16 nine? Um, and then the first fanciness that, uh, you said, boy, it would be slick if was being able to crop a circle. So that\'s now there, but, so we\'ll start with a square. In a square, you say, crop it, and you get into the cropper.  </p>\n\n\n\n<p>And so this is where you can zoom around and you select your image.&nbsp;  </p>\n\n\n\n<p>Cory Miller: [00:08:00] And um, Hey, real quick, Corey, how does it go if you want to crop back out, like you go, oh, it\'s too tight. Will it, can you push back out?&nbsp;  </p>\n\n\n\n<p>Corey Maass: Um, so there\'s, there\'s zoom in and out here. Ah, ah, okay. Okay, okay. On the bottom because Yeah, I didn\'t, what the, the better way to, to manipulate this is actually the, the mouse wheel.  </p>\n\n\n\n<p>Like I\'m zooming in and out here with the mouse wheel. I got you. Um, but we can\'t assume that everybody has a mouse wheel. Um, right. So, um, I think eventually maybe we want a slider, but for now, I just wanted us to have something so you can zoom in, um, and then, and then move it around kind of thing. Okay.  </p>\n\n\n\n<p>Cory Miller: Can you go back to the previous screen first? Oh, go ahead.&nbsp;  </p>\n\n\n\n<p>Corey Maass: If you have something else. Oh, just, and, you know, so there\'s, um, yeah, lots of different ways to kind of move this around. It\'s, I think it\'ll take a [00:09:00] little, everybody\'s gonna have to kind of get used to it. They\'ll get used to it. Um, yeah, there\'s also a new preview in a new window.  </p>\n\n\n\n<p>So like if you\'ve, if you\'ve zoomed in before you actually set crop this and set this as your featured image, um, it\'ll open a new window with the result. So you can, you can see it. Oh, that\'s cool. Um, so if you go back, you can say, crop a circle and go to crop it. And so there\'s your circle. Um, and that will now save as a p and g with transparent around it.  </p>\n\n\n\n<p>So this is, you know, I think again, when, when you mentioned it, I was like, oh snap, that\'s gonna be really slick because it\'s now really common that you\'ve got avatars images of people are circles. I think that\'s just a very common pattern. So the fact that we can offer that here, um, is very cool. And then the, the other new.  </p>\n\n\n\n<p>What I was [00:10:00] insisting on, um, as of last week was, um, you had said, okay, maybe version one, but it was like, no, we need this. So the circle is a nice to have. I think that\'s gonna be really fun and cool to talk about as a feature, but not totally necessary. Whereas choosing an image from the media library to me, was a non-starter.  </p>\n\n\n\n<p>Cuz you, once you brought it up, I was like, yeah, you can\'t, again, you know, one of the things I kept talking about last week was I\'m trying to do a lot of product development for this from the perspective of my clients. And I\'m like, my clients half the time, like they\'ll crop an image and then they\'ve got no idea.  </p>\n\n\n\n<p>Once they\'ve uploaded it, they\'ve got no idea what happened to it. Is it on the desktop? Is it in their download folder? Whatever, whatever. So, um, we need to be able to essentially recover, you know, start over using an image from the media library. So that\'s now supported. Again, you select an image, [00:11:00] pick your shape and size and all that.  </p>\n\n\n\n<p>And then, you know, here\'s one that I\'ve pre previously cropped as a square. So that\'s what you\'ve got. But you can like zoom in on our little person here. Um, are you double&nbsp;  </p>\n\n\n\n<p>Cory Miller: clicking or are you doing your scroll?&nbsp;  </p>\n\n\n\n<p>Corey Maass: Well, uh, uh, I\'m, I\'m, uh, moving the box around. Okay, there we go. Yeah, so, and that\'s where it\'s like, I\'m clicking and dragging.  </p>\n\n\n\n<p>Yeah. So, yeah, it\'s, go ahead.&nbsp;  </p>\n\n\n\n<p>Cory Miller: So I\'m side bared on like product for a second and more, so I wouldn\'t even do this, explain it if we weren\'t live, but, um, cuz I know, you know, these things, I\'m, this is where I dig in on product personally is I go, okay, I use myself as the default, but I know that\'s, there\'s some ancient practices I have, for instance, but, I think our biggest thing is showing them how the workflow, like it\'s gonna take out this amount of time [00:12:00] for you to go over here from a marketing side too.  </p>\n\n\n\n<p>And product is like, how are you cropping today? It\'s probably piece together stuff. Maybe somebody\'s in Canva or something like this. But the workflow we\'re doing is like you\'re writing up post-it. You go in, what\'s your, you know, do you do your feature demos first? Do you do it third? And when you do that, you\'re gonna save this workflow over here.  </p>\n\n\n\n<p>Mm-hmm. . And the re, the reason why I was just asking some of these questions is to know myself and to make sure I calibrate and go, okay, we\'re gonna be teaching people. Mm-hmm. because you get, you teach somebody a workflow and you don\'t want to change workflows very often. And so that\'s why I was just asking cuz I, you, you\'ve seen this a hundred times, but like any little edge in the flow of the process is something we\'ll be watching where people get tripped up.  </p>\n\n\n\n<p>So if I understand that, I can help . Um, so I think that was really good. Could you go back to [00:13:00] the previous screen for a second? Sure.&nbsp;  </p>\n\n\n\n<p>Corey Maass: So from the work, and I think, I think where you, you know, what you\'re bringing up now is exactly the right thing at the right time, because what I\'ve been focused on is, to me this is, this is slightly better than a proof of concept.  </p>\n\n\n\n<p>Yeah. It\'s like we, we have now proven that we can upload an image or select an image. We can crop it in a few different ways. It saves as the featured image, all of, you know, I\'m clearly, I\'m using the WordPress blue. These are not pretty things, you know, the buttons are inconsistent in, in inconsistent places, you know, so now is the right time for you to start looking at this from a products perspective and Me too, and going, okay, so what\'s actually gonna be, We don\'t want to deviate too far from like WordPress patterns that people are used to, but this is where we start to make it our own product and a product that\'s fast and easy to [00:14:00] use.  </p>\n\n\n\n<p>Cory Miller: So I think my first thing, um, reaction to this is it\'s the, it does the job we need where we don\'t have to go into too many of the, you know, really fine tuned ui ux stuff, but like, it does the job. Mm-hmm. . But we were talking last week about like, you know, opinions trying to in, kind of push a reaction back from, um, the users.  </p>\n\n\n\n<p>Uh, I just wanna mention that note. I don\'t think I have anything particular, but like, to me, this is functional, what we\'re trying to do, like this gets the job done and it\'s maybe not the most elegant, modern design we\'ve ever seen, but it, it\'s clear, um, And he gets the job done.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yep. Doesn\'t work on mobile.  </p>\n\n\n\n<p>Uh, I don\'t know if it ever will, cuz that\'s kind of a lot of functionality to try to do on a phone. [00:15:00] Um, but at some point we will review that.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Um, what I\'m curious about is we have selected five ratio sizes and two shapes. We put the functionality, which I think, thank you for putting the media li library in there.  </p>\n\n\n\n<p>I think that\'s, that, that was a really, really good decision. I just never know if I go, can we get that in there? What that might look from a timeframe, but I love that you made that decision. So it seems like we\'ve made some assumptions for them. Like, Hey, here\'s the common aspect ratios. What I\'m gonna bet like five bucks on is one of our first things we\'re gonna get is, can you do, and it\'s gonna be this, oh my god, 50 flavors of.  </p>\n\n\n\n<p>Uh huh process. But from a product standpoint, if you\'re able to take a step back for a second, what do you think will get some reactions from Yeah,&nbsp;  </p>\n\n\n\n<p>Corey Maass: I, I think you\'re exactly right. And I think that [00:16:00] every, cuz every theme I think has their ideal image, size, shape, et cetera. Um, we, and, and so one of the things that I\'ve got in the back of my mind is, um, the next step is, or one of the next things we\'re gonna need is essentially I\'m envisioning, and this is an assumption, but I\'m envisioning there\'s, there\'s two roles.  </p>\n\n\n\n<p>Involved here. One is, again, because from the, from the, from my situation, there\'s Corey who controls and sets up the website, and then there\'s clients who go in and are publishing story after story. And so Corey needs an admin, like, I don\'t want, uh, my clients to have four, three or three four. There\'s nothing on our website that\'s those aspect ratios.  </p>\n\n\n\n<p>Um, and so [00:17:00] I want an admin screen that only admins meaning me have control over that says, you know, what aspect ratios, what essentially what, you know, what options are available for featured images. And I\'m gonna go in and I\'m gonna say square and 16 nine, not nine 16, and nothing, four three. Um, I might or might not even let them choose a shape, you know, and then, and so I\'m gonna clean that up.  </p>\n\n\n\n<p>or I\'m gonna select options so that then when the client goes in, there\'s, you know, there\'s one option or some, you know, or something&nbsp;  </p>\n\n\n\n<p>Cory Miller: like that. So switching gears over to marketing and mm-hmm. , you know, business model stuff. That\'s where I go, okay, that seems like Corey a del, uh, free does this better image cropping outta the box with a lot of template sizes, ratios that like, does a job that could get us bigger [00:18:00] exposure for the base plugin.  </p>\n\n\n\n<p>And then I just see right there, the way you were describing, it\'s like there\'s the pro or the paid side, which is, hmm, I\'m a developer, I\'m an agency. My clients mess this stuff up all the time. I\'m gonna preset it and right there I go. That\'s value to an agency. One, they\'re gonna get a better end product for their customer.  </p>\n\n\n\n<p>They can, they can have some opinions about it, like if you wanna limit them, but like you do this from a client facing side too. But that right there from a business perspective is where we go, okay, there\'s the start of our pro. Love it. You know, are we adding some value to that? Like they don\'t want them to mess up their theme.  </p>\n\n\n\n<p>And, and you know, even on a bigger perspective, maybe there\'s 10 people on a website or something mm-hmm. , you know, going in. But, you know, I could think of higher ed in this instance or something where it\'s like, no, they shouldn\'t have 16 by nine option. Never. Right. You know?&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. I, yeah. And [00:19:00] I, I, one of the things that immediately jumps out at, you know, first of all, you, my bad habits are showing, right.  </p>\n\n\n\n<p>I think in terms of product and feature. And so I\'m like, I\'m, I\'m by default, I\'m, I\'m, I go down those rabbit holes immediately and I love that you immediately are like, here are the people . Which my brain doesn\'t even, I mean, I\'m, I\'m talking about me and roles and stuff, but I\'m not, it doesn\'t register consciously.  </p>\n\n\n\n<p>Whereas you immediately are like the difference between a free version, a person, mom and pop shop, or a power user on their own website installing a plugin. They\'re still gonna have great options. It\'s still gonna bring them a ton of value, which I think is, is awesome. Um, and we can do some simple ways to, cuz it\'s like, I don\'t want people to install and go, well I need, you know, instead of 16, nine, I need 1610.  </p>\n\n\n\n<p>So [00:20:00] uninstall. Mm-hmm. . So we\'ll have to think about some ways to give. Some more options so that, you know, we accommodate more people. But I love that you\'re immediately going, okay. You know, but, but there\'s a different version for a different role. A different kind of person. A different kind of user. Um, cuz I, because I mean, as we always talk about it, it\'s like B2C and b2b.  </p>\n\n\n\n<p>Yeah. You know, b2b, there\'s, there\'s more opportunity, there\'s more money, there\'s more investment in tools and whatnot. So that just makes more sense.&nbsp;  </p>\n\n\n\n<p>Cory Miller: This is where I want to be watching, but I never, I have, I go into these things with some kind of a straw man, you know, avatar. Yeah. But the, how it\'s worked way better for me is not, I\'m not clairvoyant and go exactly this.  </p>\n\n\n\n<p>I go, okay, here\'s my straw man. We have use cases around that. We think there\'s others. And then what I love Corey is [00:21:00] like, Those first responses, even if they\'re bad, are helpful. Yeah. But what I tried to train the team and I themes is like try to a long answer in their question. Figure out what are they trying to get done.  </p>\n\n\n\n<p>Yeah. But, and then that helps us. Like lineate, it was probably two or three years into Ithe where I was like, oh, it\'s do it yourselfers and what we call builders, you know? Mm-hmm. people building stuff for other people and then we could create product better. But my hypothesis for all this is like I wrote down bloggers, anybody that does rapid WordPress content creation.  </p>\n\n\n\n<p>Mm-hmm. , that could be our big base, right? Mm-hmm. . And then you just gave me a use case\'s, like I\'m delivering project to Clint. I don\'t want them to mess it up cuz it\'s gonna cause problems for us. Ding ding. I just found it\'s worth, there\'s a value numbers assigned to that. Absolutely. Which we can talk about when we get to like the pro and licensing and stuff.  </p>\n\n\n\n<p>Yeah. And we confirmed on the huddle by the way too. Like several of the agency owners were like, oh yeah. [00:22:00] What my challenge will be in marketing, our challenge will be in marketing is I think if we can as succinctly as possible, go see this problem and somebody go, fills that pain going, yeah. Like I did when you go, I\'m working on this thing.  </p>\n\n\n\n<p>And I was like, I, I instantly felt that pain. That\'s when, when we\'ll start to see some interesting metrics. A part of this. I think. So like I was thinking like even if we showed this, like, I don\'t know how we do this on the marketing set, but you\'re like, Hey, I\'m, I\'m a rapid, you know, content creator type person going in there, and then I have to go over here and find my workflow.  </p>\n\n\n\n<p>Yep. You know, and then come&nbsp;  </p>\n\n\n\n<p>Corey Maass: back this other site, or I have to open Photoshop, I have to&nbsp;  </p>\n\n\n\n<p>Cory Miller: do.dot. And then I think some of the best potential pro features for this are gonna come from the, but I want this. And those are simply the, like the, oh, I want it to be exactly this. [00:23:00] Dimensions. I say it by the pixel, whatever that is, you\'re like, ding, ding.  </p>\n\n\n\n<p>Maybe that\'s something you\'ll pay money for.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Well, and, and I mean, the other opportunity for this, I think is, um, I\'m, I\'m very far out of the theme market. Um, it\'s not even, even in, in the, the decade plus that I\'ve been in WordPress. Like I\'ve done mostly custom development, but I\'m envisioning like a c f advanced custom fields can get in, can be embedded in other things.  </p>\n\n\n\n<p>And I\'m kind of envisioning, again, I know we\'re, we\'re moving more towards, you know, full site editing and all that kind of stuff. But, um, a theme that has our functionality built in, because the theme is built specifically to show off a 16, nine image. You wanna prevent your users from uploading anything that isn\'t [00:24:00] 16.9.  </p>\n\n\n\n<p>And so I can also see some sort of like the developer version that, that is embeddable, you know, as a must use plugin or something that, um, yeah. You know, so then, so then the theme, because imagine, uh, a theme developer, again, if a, if, if my experience and assumptions are correct, um, a, a theme developer is getting hit with tickets that are like, your demo looked great, but then as soon as I started uploading my pictures from my phone, the layout\'s broken.  </p>\n\n\n\n<p>You know, what the hell? So, you know, if there was, if a, if it was embedded or built into a theme that had the, that limited the end user from making mistakes, you know, which isn\'t really them making a mistake, but you know what I\'m saying?&nbsp;  </p>\n\n\n\n<p>Cory Miller: Um, yeah. So let me say this coming before I do these, cuz I don\'t want it to think that we\'re gonna, I don\'t want it to.  </p>\n\n\n\n<p>Bloat V1 release. Um, I think this is ready for v1. [00:25:00] I agree. The second thought I just had is when you should keep talking about themes. I think about, I, I wrote down here, cadence Astra, generate, press, whatever. Uh, I mean, let\'s throw in elementary in there. Um, I\'ve got at least three of those four connections to say like, it might be worth us seeing what, let\'s say cadence for instance.  </p>\n\n\n\n<p>Um, we run that at posts, like, okay, what are those features in their themes? And maybe take a browse, but we have connections with these theme groups mm-hmm. To say like, we could get some adoption through helping their user. You know, we\'re a third party free add-on kind of thing. But that could help us get some adoption.  </p>\n\n\n\n<p>And that\'s something I can, I can put on my plate, uh, for sure is to one, look around some of those themes and just see, um, , but you know, those four as elements or technically isn\'t a theme, but you know, cadence [00:26:00] Astra generated press are hot themes. Mm-hmm. , you know, that we can get some adoption for,&nbsp;  </p>\n\n\n\n<p>Corey Maass: you know, like, and I\'m, and I\'m a Beaver Builder user deeply, but, and they allow, and I know Elementor also allows, uh, custom modules.  </p>\n\n\n\n<p>So again, down the road, if we think that there\'s a market for this, then a, there\'s the Beaver Builder Image module. Elementor I\'m sure has the similar, you know, but there\'s a,&nbsp;  </p>\n\n\n\n<p>Cory Miller: we could just hook into And that\'s another paid pro feature too.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Exactly. You know, I love it because, I mean, people, people buy.  </p>\n\n\n\n<p>Other, other add-ons or additional modules or module sets or whatever. Like, I don\'t, I, um, I don\'t want to get too far down there, but that\'s also like, I love the, the, uh, obviously as a, as a developer, I am most comfortable with developing as marketing. And so, you know, integrating with Beaver Builder, if we show up absolutely on, on their [00:27:00] marketplaces, then people are going, oh, what\'s this Crop Express thing?  </p>\n\n\n\n<p>Cory Miller: I just talked to Robbie a couple days ago on Slack, so Yeah, absolutely. I should have included B Builder too. Um, so that\'s like on the future, that\'s on the backlog for the marketing business stuff to get some adoption. But what I\'m doing on this course, so, you know, is like building a case. Mm-hmm. of like, we\'ve selected a pretty narrow workflow issue, but I, you\'re helping me with those thoughts is build a case for that pro side of, oh, cuz I\'m already building a case for like, there\'s an agency package that\'s, Has the pro.  </p>\n\n\n\n<p>Yep. That\'s, you know, if we can continue to build, find, and build value in this. I, I love that because there\'s so many bigger builder Elementor Yeah. Um, developers that use that love it. And both those tools and to go, here\'s something that\'s gonna make your clients, [00:28:00] well, it\'s gonna make your life easier as the agency.  </p>\n\n\n\n<p>Cause they\'re not gonna put something stupid within the layout . Um, and it won\'t slow down their site that causes performance issues. Right, exactly. Or, you know, just doesn\'t look right. Yeah.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. And that was the, uh, it\'s, it\'s sort of a, we, we won\'t actually do this, but one of the things that popped in my head when you were talking about how do we illustrate the difference that this.  </p>\n\n\n\n<p>Plugin will make for you, as I was picturing, a, uh, a marketing site where all of the images are wrong. Like Yes. The wrong Oh, yes. You know, like it overlapping text or like way too long or whatever. And there\'s like, click a button to see the difference that our plug-in will make. And then all the images are like&nbsp;  </p>\n\n\n\n<p>Cory Miller: Corey.  </p>\n\n\n\n<p>Yes. Like there\'s, there\'s a page. Like, let\'s do that because it\'s like, that\'s the raw [00:29:00] emotional obvious effect that connects. Like, I, I think I told you, you know, 10 years ago, my, my mom put, and we had feed rotating images in the theme, and it was like, yeah, , you know, just sewing, like showing, Hey, ever, ever have this, there\'s a beautiful design, you know, of a site.  </p>\n\n\n\n<p>And then the image is just like, . And then go, that\'s our, that\'s our agency. Marketing thing is like tired of this, like this is a point.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Love it.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Crop express&nbsp;  </p>\n\n\n\n<p>Corey Maass: even. Oh man. Even, even just a carousel. Cuz like, I literally was dealing this with, dealing with this with a client the last couple of days was like a carousel where like an Im, one of the images, not kidding, was this was like as tall as it should be, but an inch wide.  </p>\n\n\n\n<p>And then the next picture was like the, you know, and, and they\'re like, why is it stretched out? And it\'s like, cuz the carousel is forcing it to fill the space, you know? So it\'s like if [00:30:00] we just put in a whole bunch of janky images and then was like, click a button or see the carousel where it\'s like all of the images are sized correctly without a ton of effort.  </p>\n\n\n\n<p>Like now you get it, you know,&nbsp;  </p>\n\n\n\n<p>Cory Miller: protect your clients from themselves. Like we would build tools and they\'d be like, yeah, you can basically make it as ugly as you want. This is protect your clients from themselves. But there\'s that. So we\'re fleshing out these two avatars, which maybe this one is. Maybe it ends up being the free one, but it gets to this one, which we think, my hypothesis might be, there\'s money here.  </p>\n\n\n\n<p>Protect your clients from themselves, protect your work from themselves. Um, but this one could be something that shows, like ever trying to like, add all the tools you crop and like ever. I don\'t know, there\'s something there, but we\'re fleshing out the use case to me of a problem. Then I think there\'s more around this base problem, like we\'re coming to a belief of, [00:31:00] you know what I mean?  </p>\n\n\n\n<p>Like over here it\'s like everybody\'s built a site and the clients have like rurally screwed it up. Yeah. And, but we\'re also hitting a pain point where they\'re trying to create content and this is in the way. So I, I love those two avatars. You.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yep. Um, I, the other thing that comes to mind is like, I mean, it\'s, it\'s protect clients from themselves so that they stop sending you emails.  </p>\n\n\n\n<p>Yes. You know, as, or stop opening support tickets.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Sean from, uh, Sean Heskes from WP 1 0 1 basically created that, his thing, his entire little empire over there on that scenario, tired of your customers complaining about the, or, you know, asking these sets of questions and that\'s how they built it. So, like, that\'s part of that marketing material.  </p>\n\n\n\n<p>We\'ll remember on the pro side is mm-hmm. , you know, stop messing up your work, protect them from themselves. . [00:32:00]&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yep. Yeah. And if you can, and if we get so that it\'s configurable, so it\'s like, okay, you\'re setting up a new site for a, for a client. This might be a, a process that you do over and over again, or it might be a one-off, whatever.  </p>\n\n\n\n<p>But one of the steps, you know, you\'re installing the theme that you like, you\'re in, you\'re plugging in those templates, page templates, you know, setting up the nav, whatever. And then just one of the things is you install Crop Express. You go in and you say, you know, only let them upload 16, nine. Um, I also think, you know, there\'s, there\'s others.  </p>\n\n\n\n<p>Basically it\'s wherever. For me, one of the end goals is wherever WordPress uses images to, ideally wherever WordPress uses images, we\'re there for you . Um, but like, you know, we become that, that middle, um, middle layer so that it\'s like, oh, you\'re in the media library. You can upload these kinds of images [00:33:00] or these sizes and shapes.  </p>\n\n\n\n<p>If you are in the, you know, you have a custom post type that\'s all about people, you know, you\'ve got users, well then you want that circle option, whatever it is. But it\'s like being able to configure each one of those SY scenarios and lock it down so that then again, when you know, you\'ve got, you\'ve got a membership site, you know, if, if a u a new user clicks the Add my Avatar button, They have to crop a circle, you know, things like that.  </p>\n\n\n\n<p>And then being able to basically inject our functionality in all those places so that it just, you know, prevents chaos. It prevents all those bugs, it prevents all those layout breaking changes. Um, you know, that, and frankly, anybody interacting with the website could make based on, you know, by uploading images.  </p>\n\n\n\n<p>Cory Miller: So it seems like we wanna be paying attention to a lot of how. As we\'re scrolling through the web, how people [00:34:00] utilize featured images. Mm-hmm. , and there might be some things here too, like this circle add-on. I would use this just for Mike Demo came on as a new columnist at, uh, post status. And I, I came back to this problem  </p>\n\n\n\n<p>And so like, I might go into WordPress somewhere and or this and crop it, so I\'ll just can save it rather than trying to hunt it down on the internet.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Um, well, and this is, I think, I think the other, the other thing that we wanna do on eventually on the marketing site, right? Like right now, crop Express is a cropper crop express.  </p>\n\n\n\n<p>The website is a cropper. Yeah. And so I, I still like the idea of this is a WordPress plugin, but somewhere on the marketing site is like the ability to try this. So there\'s a front end friendly. You know, crop an image. And so like, you know, it\'s a, it\'s a, it\'s a nice little web utility. And then also our website subsequently gets listed on all those, you know, infinite number of websites that [00:35:00] list all the free little utilities that are out there.  </p>\n\n\n\n<p>You know, all the ones that convert image, image types or compress images or convert PDFs to JPEGs or whatever it is, like Crop Express as a free online simple image crop can get listed. So again, marketing,  </p>\n\n\n\n<p>Cory Miller: it\'s content built in content marketing. I love that. Exactly.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Exactly. Um,&nbsp;  </p>\n\n\n\n<p>Cory Miller: well that means we should maybe keep note of that public site too, because like, hey, you\'re, you\'re right on, there\'s another level of adoption that I just kind of glossed over, but the fact that someone would need, like the circle thing, you just need to, you know, there\'s the a hundred sites that do all these different things and they sh slam ads at you and you\'re like, or you can come here.  </p>\n\n\n\n<p>Utility. And then, by the way, if you want to buy, if you need the word press plug in, here it is. That\'s Visibility Pro to do that. Mm-hmm. , which leads me all back to co I love that. Like I\'ve never had something like this where it\'s built in content [00:36:00] marketing, so that\'s something to keep track for sure.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Um, and I think, I think this is what you just said, I just wanna finish the thought.  </p>\n\n\n\n<p>Um, but not only, you know, not only having a crop, but it\'s like we basically using the same code base. We have a dozen different crops that are basically just a dozen different configurations of our crop. And so if you google for crop and image in a circle, the circle cropper pops up. And if you crop, if you say a square, the square cropper pops up.  </p>\n\n\n\n<p>But it\'s all the same thing. So it\'s no, it\'s no extra, not really any extra work for us, but a phenomenal s e o opportunity.&nbsp;  </p>\n\n\n\n<p>Cory Miller: So I just did that. That\'s so interesting. Cro. Um, yeah, there\'s search stuff I\'ll have to look through cause I just Googled that. Mm-hmm. , because I mean, those are, those might be really good ways.  </p>\n\n\n\n<p>And again. Okay. So [00:37:00] all that talk front, you know, the actual crop.express website, the plugin and everything. Um, back to like feedback loops. Mm-hmm. . So I think the only other thing be besides meeting Readme done for V1 launch of this and the repo, um, is thinking for me is th on my agenda is thinking through the feedback loops.  </p>\n\n\n\n<p>How are we gonna get that feedback? Yep. Because what we want to do is like, I\'m not saying we do it on this screen that you\'re showing, but like ideally there\'d be like, once something else needs something else mm-hmm. and it goes to a mechanism that. You know, a forum, a trailer board, whatever stuff common, combine, whatever we wanna do, but like something where we can like, cuz that\'s what I\'m most interested in is that feedback loop, you know?  </p>\n\n\n\n<p>Yeah, absolutely. Um, um, where they go, I want custom spec, custom specifications. Cool. You\'re, we\'re working on that in version two or [00:38:00] pro or whatever we, you know, decide to do. Yeah. But the feedback loop to me would be the only thing I can think of before launch. Yeah. Before V1 MVP launch.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. I mean that\'s, you know, one of the magic aspects of WordPress plugins is absolutely the WordPress directory.  </p>\n\n\n\n<p>And I know a lot of people that\'s not, I don\'t know if that\'s true. There\'s more conversation lately about not having a free version. And I, I understand and, and appreciate that perspective, but the, the opportunity that. Is missed. There is the, the discoverability inside that directory. And it\'s like, I want, because my, my initial, I say that because my initial reaction is, yeah, well, I mean, first of all, we need to go through the process of getting approved.  </p>\n\n\n\n<p>Like that\'ll take a week. Um, but just because it\'s there, it\'s like if you launch an [00:39:00] app online, you know, and, but don\'t tell anybody about it. You know, did it happen? Falls in the woods. Yeah. Whereas you put a plugin in the repo, the likelihood is that, you know, you\'re, you\'re gonna start to get a trickle unless you\'re, unless you\'re, there are no keywords or you know, you\'re using.  </p>\n\n\n\n<p>Truly random wording or whatever, but people are gonna start, you know, you have to assume that, that some people search for the word crop and we\'re gonna, we won\'t be number one, but you know, you\'re gonna start to see a trickle of users. So yeah, we, we do want whatever we want from the beginning, we want from the beginning kind of thing.  </p>\n\n\n\n<p>Um, yeah, it is, it\'s easy enough to add. I mean, there are a couple of options just to flush this out. Like we could link to a Contact us form on the website. Um, we could build a little, you know, the little, a little modal that pops up right in [00:40:00] place, which is probably the right answer, because it\'s less friction.  </p>\n\n\n\n<p>It doesn\'t open a new window. It doesn\'t, you know, so it have feedback and it opens a text area. They type and, and we, we get it. Um, so something like that, you know,&nbsp;  </p>\n\n\n\n<p>Cory Miller: in, in plugin, you mean in WordPress port.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. Um, not in dashboard, but it\'s like looking at, you know, our on, once our modal opens for cropping, we have a little, you know, link.  </p>\n\n\n\n<p>It\'s like the, yeah, A little link. A little button. It\'s like, you know, the, every website now has the, um, help desk or whatever, the little icon that\'s always floating in the corner that inevitably pops up with texts, , that you then have to close. Um, you know, but we could have something similar right next to crop, crop, the big crop button.  </p>\n\n\n\n<p>Um, we could have a little button that says, you know, feedback. Uh, I mean, we can, we can kind of take this as far as we want, [00:41:00] but I think, and I think inversion 0 0 2, like we can actually on install, we can, we can throw up a little notice or something that\'s like, Hey, we\'re a new plugin. We\'d appreciate feedback, but at least for now, like there is at least a button that will, again, you know, one click type.  </p>\n\n\n\n<p>Click send and we get something.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Um, so I think if we were able to do something like maybe it\'s in that modal, uh mm-hmm. that you just showed me, it\'s like request a feature. Mm-hmm. , um, just a little link. Someone that says, request a feature, there\'s an action to it, and then they\'ll go to the Crop Express site.  </p>\n\n\n\n<p>I think see that there\'s an online tool too, but the form is there and you\'re just like, tell us what you\'re wanting. We\'re, we\'re trying to make content creation easier. We\'re not, we\'re specifically starting, I guess with image, we\'re trying to make image, I don\'t know, [00:42:00] there\'s some word there of like making your, it\'s a part of content creation to me.  </p>\n\n\n\n<p>Workflow easier, faster, and then get that feedback that goes to both of our emails, and then we can continue to talk about that. Yep. I think if we could just, if we could maybe put that in a modal. Do you like it? Are you okay with it being in that modal right there? Absolutely. Just like absolutely a little link down somewhere outta the way.  </p>\n\n\n\n<p>Corey Maass: Yeah. It\'s cuz at that point it\'s topical, right? Like you don\'t, you know, you, you don\'t want it somewhere on the website. You don\'t want it hard to find. And so it\'s like, I\'m cropping, this is pissing me off. Oh look. A link where I can tell them that this is pissing me off. You know? That\'s exactly the moment we want to capture their thinking.  </p>\n\n\n\n<p>Yeah. So simple. And, and that\'s simple enough. I mean, a web form that sends an email is, is, you know,&nbsp;  </p>\n\n\n\n<p>Cory Miller: I think if we just do that for launch, we\'re [00:43:00] good, man. This looks really nice. That\'s what we\'re trying to get it to do out. It\'s, it\'s hitting. Use case. And then we\'re opening just the feedback. Channel loop is the biggest thing.  </p>\n\n\n\n<p>And having those emails, this is what I did, you know, you like, come up with an idea now. Great ideas. They always suck. the, the good ideas. You\'re like, they probably, they might work, you know, but oftentimes you get, I got the Valida and I\'m sure you have over the years is like that validation from someone going, I want that.  </p>\n\n\n\n<p>Well if so, my bet\'s gonna be one of the first like set of customs specification. Mm-hmm. . Um, at least we get some validation for that. Like, right. Oh, they want that. Cool.&nbsp;  </p>\n\n\n\n<p>Corey Maass: So like, or we, you know, we\'ve, uh, people talk about solving the problem or not, you know, if we solve 60% of the problem or they see the solution.  </p>\n\n\n\n<p>Over the [00:44:00] hill. Um, then, you know, then hopefully it\'s, cuz it\'s what, so I, I think I\'ve told you about this before. Like one, the pattern that I, part of what drew me into WordPress plugins as a business opportunity years ago was I saw how. Clients and website users, like I would spend hours and clients would spend, you know, gobs of money hiring to set up these websites, e-commerce, blogs, web apps, whatever it is.  </p>\n\n\n\n<p>And so if it\'s e-commerce, then they should be, you know, their job is to add new products, to promote products, you know, to try to get sales. If it\'s a blog, then their job is to write content. And instead I would see them spend hours, you know, scrolling through the free plugins and going, oh, do I need a to-do list, you know, plugin inside my WordPress install, do I need snowflakes falling because it\'s Christmas time, [00:45:00] kind of thing.  </p>\n\n\n\n<p>Yeah. And it\'s like, it was. It was, it felt like, I mean this is all very, a very cynical view, but I, but I witnessed it. It was like they would essentially, it, you know, it felt like productive procrastination. Um, they felt, it made them feel like they were doing something, but they weren\'t actually doing the thing that they were supposed to do.  </p>\n\n\n\n<p>Cuz what they\'re supposed to do is hard, and I can relate to that. I get that, you know, but, But the discoverability, you know, and this is, this is where I think that comes from, is people will just kind of go in there, here\'s, you know, an infinite num, well, there\'s 60,000 free plugins, you know, let\'s have some fun and try these things and it\'ll spark my imagination.  </p>\n\n\n\n<p>Um, the problem with that, of course, is that there\'s the, everybody, just about everybody is a tire kicker. Mm-hmm. , I\'ll install this, try it uninstall, I\'ll install this, try this uninstall. Um, depending on, you know, how specific of a problem they\'re trying to solve. And so, yeah, we want to, we, you, you [00:46:00] always run the risk of, um, you know, people, people trying it and leaving without getting any indication of, and again, it\'s like it solves a problem where it doesn\'t is the assumption.  </p>\n\n\n\n<p>And that\'s kind of like first gen startup thinking. Mm-hmm. , um, Whereas now the better way to look at it is like, does this, especially in the WordPress plugin world, it\'s like, does this start to solve the problem? Does this almost solve the problem? Because there\'s definitely a, uh, a pattern in WordPress of hobbling together a number of tools to solve the problem overall.  </p>\n\n\n\n<p>And so, yeah, how do we, how do we determine that we are almost solving the problem or we are part of that work chain? Or people are uninstalling because it\'s useless, or are they uninstalling because it doesn\'t quite get them there. But they, but we, if, if we added one more button, We would get them there.  </p>\n\n\n\n<p>How do we determine that? So I like your focus on feedback,&nbsp;  </p>\n\n\n\n<p>Cory Miller: and the way [00:47:00] I\'m always trying to do is sense out pain because people will pain for, you know, the whole str, I can\'t remember what the book is, but it\'s like, it\'s the pain and gain. But I, I\'ve spent most of our time with Ed. I themes with the pain just helping.  </p>\n\n\n\n<p>I mean, at the first it was like themes, but then with plugins it was solving for some pain point. Now I\'m trying to rate this pain right now and then discover if there\'s more pain that we could like actually solve that. They go, sh I will pay you to solve this pain point for me. Yeah, I, I think we\'ve got some good thoughts there.  </p>\n\n\n\n<p>Um, but I\'m really hoping Corey, in this, that we discover something we hadn\'t thought of that we go, oh, a hundred percent this could go down that, down that path. And it could be. More lucrative than we\'re probably thinking. So I\'m kind of hoping for that. Yeah. Um, but I think we\'ve demonstrated enough that there\'s enough pain that we could, we could do and then we\'re gonna iterate on what we [00:48:00] hear back.  </p>\n\n\n\n<p>Corey Maass: Yeah. Yeah. And if it\'s, and if it ends up, you know, there, there is an, a likely scenario that we put this out there, we get enough users that it does something, but not enough users or not, or we don. Understand that opportunity or, or it doesn\'t present itself for a while. Like I had that with social link pages that I built this thing out.  </p>\n\n\n\n<p>Um, and there was some ob the, the sort of the obvious like, oh, let me add more features and that\'s what I\'ll charge for. But I wound up just letting it ride for a year. Didn\'t think about it. I fixed a few bugs, but, you know, and it was after a year I had a thousand users, like, okay, there\'s something here.  </p>\n\n\n\n<p>But it took that ramp up, you know, to try to discover. And I, and frankly, I still haven\'t. Nailed it. You know, so like you and I may end up having a lot of conversations.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Um, [00:49:00] this is why&nbsp;  </p>\n\n\n\n<p>Corey Maass: four ways figured this&nbsp;  </p>\n\n\n\n<p>Cory Miller: out. Maybe there\'s unicorns out there, the geniuses that are like, oh, everything I touch is a perfect product and it makes a bunch of money.  </p>\n\n\n\n<p>I think the rest of us are like just figuring it out, wanting to do something good and&nbsp;  </p>\n\n\n\n<p>Corey Maass: figuring it out. I was counting on you, man. I thought you were that&nbsp;  </p>\n\n\n\n<p>Cory Miller: guy. I\'m the leprechaun.  </p>\n\n\n\n<p>Um, now, yeah, I had something. I was thinking when you were saying that, I was like, ah, sorry. Maybe. Oh, this is like.org, the.org repo. There\'s conversations about that and I go largely when someone has an opinion like that, it\'s not one size fits all. It\'s just for their use case. It doesn\'t work. What I love about us, our conversations is we had deliberate, a deliberate conversation that we figured out this is enough for a.org.  </p>\n\n\n\n<p>That let\'s say, doesn\'t go anywhere would solve a problem for us and we could probably be happy about it. Right. And at this level, [00:50:00] maybe, I don\'t know, technically speaking from your perspective, but like wouldn\'t require a ton of maintenance potentially. Right? Now I get it When we get into blocks and stuff that also showcases value.  </p>\n\n\n\n<p>Like you wanted a block. Yes. Well that\'s Then is that a pain point then pay me for the SL solving that problem. But I know there\'s people@poopoo.org. I don\'t. Um, definitely not in every case that this case, I love it because you and I made it narrow. We\'re not trying, we didn\'t say this is the be all, end all image editing software for WordPress plugin in the repo and free.  </p>\n\n\n\n<p>We didn\'t do that. We made it very practical, purposeful, getting some of this feedback. So like that\'s why I\'m okay, because I think the free plugin could exist in perpetuity. We\'ve seen some. Jumping off points that go, maybe we weren\'t a case for a pro paid ver version of this. So yeah, I wanna come back to that dart org thing.  </p>\n\n\n\n<p>Cause I hear it all the time too, and I\'m like, I don\'t know. For every case that went wrong, I [00:51:00] can probably give you five more. That went right?&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. Yeah. And it\'s, it, it\'s, it\'s not without its challenges. I mean, I answered a, a question in on post out this morning that was like, how do you maintain a free and a pro version?  </p>\n\n\n\n<p>Um, and I have solved that problem. For myself. And so wanted to put that out there, you know, but there isn\'t just as, you know, there somebody else even chimed in, like, how is this still not a solved problem? But it\'s, there\'s a reason for that. Like, too much development is too, uh, varied. And so there isn\'t one solution.  </p>\n\n\n\n<p>Um, yeah. But you know, so it\'s not without, its, it\'s foibles, but it\'s, um, that\'s not the right word, but it\'s not without its issues. But I, to me, the, the benefit outweighs the work, the extra work.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Yeah, I do too. Um, yeah, if you had built in, if we had 50,000 [00:52:00] people we thought were like blogger content stuff, it might be maybe a bit different story, maybe.  </p>\n\n\n\n<p>Um, but even then it\'s like you could generate interest for the time and investment. I understand it\'s taken to this part. I go. Let\'s put it on George, Oregon. See it? Yeah. Worth it. Oh, that leads me to my second, so we got the feedback loop. The other thing we want to do, this is something that\'ll be on my task, is on the website, something to go.  </p>\n\n\n\n<p>I want to see the next things you\'re doing, get on the email list that we, I think we set up. Yeah, we did set up. Um, I don\'t have that today. I just know I want to share with you so we can, you can help me on that. Keep me accountable to this. But the next thing I would want to do for on the marketing business side is um, start generating that email list feedback, number one, and then email and I\'ll, we should be thinking of something that could be an incentive to [00:53:00] the email.  </p>\n\n\n\n<p>Mm-hmm. , you know, why you should get in the email. You know, I know we do, a lot of people do like 10% off stuff like that. We don\'t have the pro yet, but something that goes.  </p>\n\n\n\n<p>It is enticing for this core user avatars we\'re thinking. Does that make sense? It does, yeah. Just to start building that email list and we get enough people and we can start actually pushing content out. Yeah. And then when we get new version, I only wanna just say that, so we set the tone for like next, next stage of like, I need to be thinking we too, you can add your ideas in.  </p>\n\n\n\n<p>Here is what we could do to help incentivize that email.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. Yeah. And I don\'t, I don\'t have, I don\'t have an immediate answer. Like what do they, um, what\'s it called? It\'s not click bait.&nbsp;  </p>\n\n\n\n<p>Cory Miller: opt. Yeah, it\'s click bait. It\'s, you can say it, it\'s&nbsp;  </p>\n\n\n\n<p>Corey Maass: okay. Well, no, but it\'s the, you know, the, the incentive lead magnet.  </p>\n\n\n\n<p>There it is. Thank you. Lead magnet. Um, you know, nothing [00:54:00] obvious comes to mind. I mean, who, who\'s gonna read the, you know, here\'s the expert guide on image cropping. Like, it\'s, no. You know, like, yeah. It\'s not that we\'re, we don\'t have, we don\'t have the authority, we don\'t have the, an, you know, the definitive answer.  </p>\n\n\n\n<p>We don\'t have, I\'ve definit. Built things like that, written things like that before, you know, because you\'re supposed to, but at this point I\'m a little skeptical of them. Um, you know, I don\'t think most people are scratching their heads about image cropping, and I don\'t think that there\'s some deep, you know, tech knowledge to be gained, uh, the right way to crop circles like the one&nbsp;  </p>\n\n\n\n<p>Cory Miller: you\'ve never been to the image cropping meetup group, then it\'s fascinating  </p>\n\n\n\n<p>Corey Maass: Now I, the image crop conference coming this year, you know, I\'ll be&nbsp;  </p>\n\n\n\n<p>Cory Miller: thinking of that. We, we were able to do it with a number of plugins to help juice that, but you\'re right, it\'s, it\'s watching [00:55:00] Paint Dry, but, But there\'s something I\'ll be thinking of that. Yeah, yeah. Um, I just know because when I added that loop in at Ithe, that was the circle.  </p>\n\n\n\n<p>Yeah. And a lot of WordPress company com product companies don\'t like email. And I\'m like, sure, maybe it\'s 10 years old, 50, whatever the, you know, however long email\'s been around. But I email marketing, that\'s what we grew ithe with. Most people don\'t really realize that unless they were getting our emails and it was like, Hey, that\'s the stuff we were doing on the scenes.  </p>\n\n\n\n<p>I\'m blowing that way out of proportion for a crop express right now. But just going like, I want the path to be open to like have that direct marketing relationship with the customer.&nbsp;  </p>\n\n\n\n<p>Corey Maass: So. Well, and I don\'t, I don\'t, I don\'t care if you like email or not. If, if it works, then we\'ll then we\'re gonna use it.  </p>\n\n\n\n<p>Yeah. Like, it\'s not. You know, PE people have their preferences, you know, and we are not, that\'s a lesson I have to learn over and over again. Like, I\'m a power user, you know? Yeah. Just cuz I, I understand this, you know, [00:56:00] you know how to manage interruptions or something like that. You know, most people are still checking their email a thousand times a day.  </p>\n\n\n\n<p>So that&nbsp;  </p>\n\n\n\n<p>Cory Miller: what I will do is like talking about this, you\'re pro, you\'re helping me more than, you know, from a product and marketing perspective because I like to have that person in mind and as best I can be that person and Sure. You know, and then go, because when I get clear down that it, that for me is a switch.  </p>\n\n\n\n<p>It\'s like, okay, I understand our clients, like the day we kind of realized we\'re looking at our customer base going, these said the people look like freelancers, agencies, web, you know, web developers. This side over here, like, what\'s that dentist office doing? You know, you\'re like a dentist is, yeah. So it helped us and then that\'s when we started to do our marketing.  </p>\n\n\n\n<p>But that\'s what for, for me, is getting in their skin, getting in their workflow, trying to sniff out and get a picture where I walk [00:57:00] in their shoes and go, okay, this is what they need. Which by the way, we\'ve joked enough about these things. It\'s like there\'s gotta be a parody in here about the, you know, I don\'t know, there\'s something fun that we could do.  </p>\n\n\n\n<p>Like cropping is watching paint drive, but could we make it quirky and fun? Right? Yeah. Put that in the point. Put that uh, in the column of stupid ideas. Corey Miller has.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Well, I, I\'m the, I\'m the one that came up with, you know, we need a website that looks broken and then, you know, click the big, you know, crop express button that, that makes it all look sparkly and, and beautiful.  </p>\n\n\n\n<p>And, and that\'s where we use the Snow Effect and, and a unicorn bo bounds by, what is it? Um, not Gravity Forms, gravity view that has the, you know, the astronaut, astronaut sing songs and all that stuff. I mean, I\'m, I am all for, you know, maybe this is your Safe Dad joke space. And so then we, we integrate more of that into, uh, into the marketing.  </p>\n\n\n\n<p>Cory Miller: Um, I [00:58:00] hope Lin, I hope either of our Lindsay\'s doesn\'t watch this thing. They\'ll be like, seriously, you guys are just doing dad jokes, which&nbsp;  </p>\n\n\n\n<p>Corey Maass: is, Hey, sorry, go whatever. Hey Corey. But it\'s, it\'s, it\'s dad jokes as marketing, you know, so it\'s, they, it it\'s their retirement fund too, you know, , um, But yeah, with, with a, a little bit of of time left, like, let\'s get around to, um, you know, next steps where we\'re at, that kind of thing.  </p>\n\n\n\n<p>So I, I\'m happy to put in the feedback form. Um, I definitely want you to install the plugin, mess around with it a little bit if there\'s, and, and if there\'s anything obvious that\'s annoying. Again, I think we\'re good enough. We\'re certainly good enough to get in the repo. You know, things will change quickly as we move along, but we\'re trying to just draw a line in the sand to get the damn thing out the door.  </p>\n\n\n\n<p>Um, you know, but if there\'s any, any obvious red flags, like, oh, hey, [00:59:00] you know, on when I installed it on my site, it everything\'s 90 degrees or something, you know, like, yeah, then let me know. Um, and then I hope I haven\'t. Made you stuck with like, the first version of the readme can be very simple. Um, you know, enough&nbsp;  </p>\n\n\n\n<p>to launch.  </p>\n\n\n\n<p>Cory Miller: I No, no, no. I, I stuck my, I stick myself quite a bit, get stuck on my own, but, um, I was looking at description as really the meat of it, you know, because that\'s what, that\'s what does the little blip at the top and the actual page text. Yeah. Um, insulation. I need to just go and find another plugin. Copy and paste that FAQs.  </p>\n\n\n\n<p>We can keep that pretty simple. Do you want, do I need to do screenshots and stuff?  </p>\n\n\n\n<p>Corey Maass: Nope. I mean, and, and none of this we need, none of this is, other than the description, none of this is [01:00:00] necessary to submit. Like, we don\'t need installation instructions to submit. We don\'t need f a Q to submit. Um, You know, we want enough of a description so that whoever reviews this gets a sense of, excuse me, who, who we are, you know, broadly speaking like that we are not trying to upload malware kind of thing.  </p>\n\n\n\n<p>So it\'s like, yeah, if, if we write three sentences that just kind of give them a hint of the direction we\'re gonna take this, um, then it, you know, like coming and, you know, feature image cropping done easy and well, you know, coming soon, you know, more ways to crop images. And WordPress said, well, you know, and again, in a few sentences is sufficient.  </p>\n\n\n\n<p>Um, okay. And then, you know, and then cuz you can. I\'ve definitely seen, heard, [01:01:00] read about like, you don\'t wanna update your readme six times a day. They will actually ding you for that. Um, you know, but there\'s nothing that says we can\'t upload, update the README every day or a couple of days. So it\'s like you can, you can iterate on it.  </p>\n\n\n\n<p>Okay. Pretty regularly, you know? Um, I think there\'s, supposedly there\'s, it\'s in the algorithm too that\'s like if you, if you only ever push updates that are the read me, they\'ll ding you as far as, you know, search optimization stuff. But like, none of the things we really need to worry about, I just want, like I\'ve, I\'ve submitted plugins before that I already had stubbed out, um, or mentioned a pro version and got feedback that was like, I see you\'re gonna do a pro version.  </p>\n\n\n\n<p>So it\'s like they definitely read it. To get and get sort of a sense of the intention, [01:02:00] you know what I mean? Yeah. Um, and so, um, and I, I mean, I no comment on pros or cons of mentioning that kind of stuff, but just I think, I think that\'s all we need. Okay. Okay. Um, but I, and from my perspective, like it\'s Wednesday, you know, ideally we get this out the door in the next day or two to submit, you know, start that process.  </p>\n\n\n\n<p>Cory Miller: Okay. I\'ve got it now saved. Um, and I\'ll try to add more than two sentences in here, but yeah, I, this is the block I\'ve had on these things is I feel so far outta riding and doing things, and now I just do a lot of voice stuff. But, um, anyway, I, I\'ll get that done. Um, I\'m out this afternoon and then I\'ve got time, I\'ve got some blocks of time tomorrow, so, I don\'t think it should be a problem to get that to you.  </p>\n\n\n\n<p>Let me just say I\'ll get it to you tomorrow. Okay. [01:03:00] Then I get a little deadline for myself and I\'ll, do you think in the long description you said this, like, should we mention there might be a pro or say&nbsp;  </p>\n\n\n\n<p>Corey Maass: I, from, from the experience that I had, I would say no. Okay. Like, it, it definitely, I, on a, on a previous plugin, I, I got some pushback on the, the product itself.  </p>\n\n\n\n<p>And I think that by mentioning Pro, cuz you, you, you get there, you know, still in the WordPress world there\'s a, a fair number of zealots, zealots people who are emphatic that everything should be free and so you run the risk of sort of rubbing somebody the wrong way. By starting with that, you know? Um, and so I, the less mentioned, uh, you know, we\'re not being insincere, we don\'t have a perversion to talk about.  </p>\n\n\n\n<p>So why talk about it, I [01:04:00] think would is my, my perspective now. Okay.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Okay. Well I have it saved on generate WP two, so don\'t fine things, but, okay. And that, and that\'s easy, man. I, I\'m, I\'m trying to get these, get through some blocks and then some chaos, but, uh, man, I\'m super pumped. Um, yeah. Well, okay, well, uh, lemme get on this tomorrow and we\'ll be checking in.  </p>\n\n\n\n<p>Corey Maass: Um, cuz down the road, like part of the iteration too is going to be like, there\'s the, the banner images, you know, we\'re gonna wanna decide on a logo. Um, you know, but again, I don\'t, none of that. None. Even if we start to get a trickle of users, like I don\'t think it\'s gonna hurt us to not come out of the gate.  </p>\n\n\n\n<p>A hundred percent polished. Yeah. Like we can iterate on that stuff pretty quickly,&nbsp;  </p>\n\n\n\n<p>Cory Miller: so, okay, perfect. [01:05:00] All right, sir.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Anything from your perspective? No.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Yeah, we spent most of the call talking about mine, so I feel like, but no, I think we\'re ready to go with what I\'ve seen. I will look at the pl, uh, I will put, look at the plugin.  </p>\n\n\n\n<p>I\'ve already got it on my site test site. Um, yeah. Cool. I\'ll have something to talk about. So hopefully we might, by end of week we\'re in the submission process, so we next week can talk about where we are with it and um, maybe it ends up talking about other things while we\'re waiting on. That, yeah.  </p>\n\n\n\n<p>Corey Maass: Approval process. I think one, one of the things I do think I will do, because I\'m thinking about our conversations while going through this process, is I will jot down some of the steps that I took and, and so I might monologue for five or 10 minutes next time of just like, okay, so once we got everything together, here are the steps that I went [01:06:00] through.  </p>\n\n\n\n<p>In order to submit it, you know? Yeah. Here\'s what I included in the email or you know, here are the documents cuz there\'s a, there is a whole section on, on the word, the WordPress documentation about building plugins and then specifically how to submit them, you know, what should be included, what shouldn\'t be included.  </p>\n\n\n\n<p>I need to review my codes for any like red flags about, you know, they wanna make sure that it\'s, every plugin obviously is secure and, um, and stuff like that. So it\'s like, here are all the steps that I kind of, you know, at a high level went through before submitting this and then here\'s the feedback we got back.  </p>\n\n\n\n<p>Like, what did I miss? Is there a, you know, gaping security hole that I should have picked up on or whatever. So, you know, let\'s, um, I want to kind of earmark that cuz I do think it\'s like, these are the sort of things that I\'ve now done a few times, I think other people. Who haven\'t gone through the process, like we all just kind of go through it.  </p>\n\n\n\n<p>Cuz you only go through it once and then you never have to think about it again. It\'s submitted, it\'s done, it\'s out there, whatever. [01:07:00] So it\'s like, then the next time you do it, you forget all of the steps and, and what the process looked like. So I think it\'d be good to document&nbsp;  </p>\n\n\n\n<p>Cory Miller: it. Oh heck yeah. It\'s awesome.  </p>\n\n\n\n<p>Thanks for friend.&nbsp;  </p>\n\n\n\n<p>Corey Maass: Yeah. I will talk to you soon. Sounds good.&nbsp;  </p>\n\n\n\n<p>Cory Miller: Bye bye.  </p>\n\n\n\n<p>All right. I guess it stops on YouTube. We\'ll see now.&nbsp;  </p>\n\n\n\n<p>Corey Maass: It\'s still live though.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Feb 2023 23:10:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"Post Status: Interview With Product Lead Mark Westguard Of WS Form — Post Status Draft 142\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147499\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"https://poststatus.com/interview-with-product-lead-mark-westguard-of-ws-form-post-status-draft-142/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:32741:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">In this episode, <a href=\"https://twitter.com/westguard\">Mark Westguard</a> of <a href=\"https://wsform.com/\">WS Form</a> joins Cory Miller to discuss OpenAI, the innovation we are already seeing, and what we can and should expect in the future when it comes to WordPress. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">3</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>Learn from <a href=\"https://twitter.com/westguard\">Mark Westguard</a>, founder of <a href=\"https://wsform.com/\">WS Form</a>, a powerful, next-generation WordPress form plugin. Mark and Cory discuss how AI is starting to integrate into the world of WordPress and how the WP Form software is leveraging its power.&nbsp;</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Harnessing the Power of Open AI.</strong> The possibilities are endless with the revolution of AI as an open-source tool. Making the most of its capabilities allows WordPress users to create more intuitive and integrated content, like better fields and options in WordPress forms.&nbsp;</li>\n\n\n\n<li><strong>Create, Edit, Moderate.</strong> AI should be seen as an assistant working alongside you to help generate your content. You’re still essential in the creation process, and it’s important not to rely on AI 100% for accuracy. You can get creative prompts, edit for grammar or spelling and generate unique images, but moderating that content is essential.&nbsp;</li>\n\n\n\n<li><strong>The Future is All-in-One AI Integrated Tools. </strong>Limiting time spent running around to different AI software is good for business. So how can that be accomplished? By integrating the AI capabilities into WordPress tools, where everything you need is in one place. These are the things we look forward to in WordPress software and plugins</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"is-layout-constrained wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<div class=\"is-layout-flex wp-container-30 wp-block-columns has-theme-palette-8-background-color has-background\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/a2-hosting\">A2 Hosting</a></h3>\n\n\n\n<p>A2Hosting offers solutions for WordPress and WooCommerce that are both blazing fast and ultra-reliable. WordPress can be easily deployed on ANY web hosting plan from A2: Shared, VPS, or Dedicated. A2 also offers Managed WordPress and WooCommerce Hosting. Take a look at a2hosting.com today!</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-center\">\n<img width=\"752\" height=\"470\" src=\"https://cdn.poststatus.com/wp-content/uploads/2022/08/imageedit_1_6433774706-752x470.png\" alt=\"A2 Hosting\" class=\"wp-image-104073\" />A2 Hosting\n</div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://www.linkedin.com/in/westguard\">Mark Westguard on Linkedin</a></li>\n\n\n\n<li><a href=\"https://wsform.com/\">WS Form</a></li>\n\n\n\n<li><a href=\"https://openai.com/\">OpenAI</a></li>\n\n\n\n<li><a href=\"https://openai.com/blog/chatgpt/\">ChatGPT</a></li>\n\n\n\n<li><a href=\"https://openai.com/dall-e-2/\">DALL-E</a><a href=\"https://europe.wordcamp.org/2023/\">WordCamp Europe</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/westguard\">Mark Westguard</a>, (Founder of <a href=\"https://wsform.com/\">WS Form</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p><strong>Cory Miller:</strong> [00:00:00] Hey everybody. Welcome back to Post Edits draft. Um, one of the things I want to continue to keep top of mind because it\'s honor, honor, mind, is ai and specifically open a AI and chap G B T and all of that because there\'s this. Huge opportunity, uh, for integration with WordPress. And so I, uh, was talking with one of our longtime members, Mark West Guard, from WS Forum, and they\'ve just come out with, uh, uh, an add-on.&nbsp;</p>\n\n\n\n<p>I\'ll let him share more about that, but I want to talk to Mark, who we\'ve had on the podcast before, but specifically about the opportunity and some of the application of using integrating open AI power. Which we were just talking before we started recording is like magical. How, how did the little that make it all work?&nbsp;</p>\n\n\n\n<p>Um, and then, um, really just talk about, uh, what the opportunities are there. So Mark, thanks for coming back to post edit draft. [00:01:00] Hi, Cory. How&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> you doing?&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> Pretty good. All right. Tell me what you\'re doing with, uh, well, let\'s talk first about open ai because you were helping, you\'ve been digging in with this.&nbsp;</p>\n\n\n\n<p>You\'ve created an add-on mm-hmm. for WS forums that leverages some of the power of, uh, Open AI but tell me a little bit about that. The Open a ai, um, you were kind of breaking this down for me and sharing the, the ability, you even got a demo that you can show some of this, which I think would be really awesome, um, to show some of the power and then we\'ll get into the application of how you\'re using it in, in Ws forum to help users.&nbsp;</p>\n\n\n\n<p>So Sure. First, uh, what drew you to this .&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Um, just to talk about it in the industry really. Um, Twitter was just full of open AI stuff. And, um, also, you know, just talking to friends. I have like Andrew Palmer and Stephanie Hudson, who run Bertha ai. Um, they were integrated in with open ai and I\'m like, okay, what is, what is this thing?&nbsp;</p>\n\n\n\n<p>[00:02:00] How, how do I, how do I plug into this and use this, um, in a way that\'s gonna be useful for our customer? . So, um, the first thing that kind of drew me, drew me to it was the moderation feature of OpenAI. And, um, in short, you can send a block of text to it, it will moderate it and look for anything offensive and let you know how offensive it thinks that content is.&nbsp;</p>\n\n\n\n<p>And I\'m being an advocate for reducing as much spam as possible in form submissions. I thought, well, that would be a, a great feature to have in, in WS form , then I started digging into it a bit more and I thought, well, these are the features that it offers would be great for forms as well. So, broadly speaking, there are four main things that OpenAI can do.&nbsp;</p>\n\n\n\n<p>First thing is completions. Um, a completion is where you basically prompt it with a question. Um, so you could say, you know, what is an apple? And it would then give you a response and it\'ll write a paragraph about that. Um, you may have used that in chat. G B T Chat. P G P T has really brought that open AI technology to the masses cuz it just makes it [00:03:00] so easy to use.&nbsp;</p>\n\n\n\n<p>In that chat environment. Um, so as you know, you can ask it to write code. You can even start playing nos and crosses with it if, if you want to. Um, it\'s pretty incredible what it comes back with. Um, and then, Uh, you have the edit capability, which is where you can give it some existing text, and then you can ask it to edit that text.&nbsp;</p>\n\n\n\n<p>So you could ask it to do spelling, uh, you know, fix better mistakes or improve grammar and things like that. Um, then there\'s the moderation component that I just spoke about where you\'ve given it content, it moderates it and says, yay or no, it\'s, it\'s bad content. Um, it, the moderation side of things tends to be more towards, you know, violence and.  </p>\n\n\n\n<p>People saying bad things about each other rather than bad words. So, you know, putting the word Viagra in there is not gonna prompt it, but if you say something bad about somebody, it\'ll start flagging that content more. Um, but it\'s quite a, quite an interesting way of looking for bad content on a form submission.&nbsp;</p>\n\n\n\n<p>And then the last one [00:04:00] is images. So, uh, creating, you may have. Try that with Dolly, um DALL-E where you can type in what type of image you want and it will then return an image. So we\'ve integrated that in with WS forms, so you can actually submit those images as part of a form submission. Um, so you could use that for maybe creating an avatar on a user or a featured image on a post or, you know, anywhere that you are looking for an image, you can use that, um, as an optional feature.&nbsp;</p>\n\n\n\n<p>So tho those are the four main kind of broad areas of open.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> That that, that\'s awesome. Um, Similarly, it\'s like, uh, just working with chat t p t. You\'re like, there\'s pretty cool power . It\'s kind of mind blowing. You\'re, I was asking it all kinds of questions and coming back. Um, but hearing, hearing is a n Amazing opportunity for us that I love that you and others in our community have started to go, let\'s test some of these things out. Let\'s use this. That integration potential, which just the things you just said just now. Mm-hmm. There\'s [00:05:00] immediate, practical opportunities and then there\'s some far reaching ones.&nbsp;</p>\n\n\n\n<p>Yes. Um, so would you show us a little bit then? I just want to talk. Show us what you\'ve done. You\'ve got a demo and I know how that works, but go. Would you screen share and share what you\'re your Absolutely. You\'ve done so far. Then we\'ll start talking about some of the opportunities, this integration between this for what WordPress can do on the web.&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> So this is a, a knowledge-based article on WS form that just describes how open AI works, um, and how our, our add-on works. And below here we\'ve got a, a demo. This is probably the thing that we wanna show people. Um, so here\'s an example of a completion. So as I said before, you could say, you know, what is an apple?&nbsp;</p>\n\n\n\n<p>Uh, not a very good. Prompt, but it\'ll just show you how, how it\'s working. Um, so this is now making a query off to open ai and it will then put a completion in whatever field I want on that form. So that could be a text field, it could be, you know, it could even be a section of HTML on the page if you wanted it to be.&nbsp;</p>\n\n\n\n<p>Um, the [00:06:00] way the open AI works, it\'s all token based, so the more tokens that you allow open AO to use, the longer the content\'s gonna be that it, that it will come back. So if you are asking it to maybe produce some code, I mean I can show you a quick example of that. So, uh, write me some PHP code for WordPress.&nbsp;</p>\n\n\n\n<p>If I could type properly, it would be nice, wouldn\'t it? Um, that loops through posts with a category of book. Let\'s try that. So we do get completion. So now it\'s gonna go off to open ai. Again, this is using the same technology as the Chat GBT , and there\'s the code that it has come up with. So that\'s an example of a completion.&nbsp;</p>\n\n\n\n<p>Um, you can also use that completion technology, more of a chat environment. So this is kind of like ai, human, and again, I can say, you know, what is an apple? Oh,&nbsp;</p>\n\n\n\n<p>submit. And then it\'s gonna give you [00:07:00] a response back and then come back to the human prompt as well. So this, this is more of a chat format, so it\'s kind of remembering what you\'ve asked before and you can keep that conversation going. Um, editing. So with editing, what you do is you provided some content.&nbsp;</p>\n\n\n\n<p>So you can say, you know, my name is Mark West Guard, and then you can give it some instruction on that. So let\'s say I spelled the. The word name wrong. I can say fix the spelling and then get the edited output. It\'ll now look at that, look at my instruction and correct that output. So you can do stuff like fix my grammar.&nbsp;</p>\n\n\n\n<p>You could say, you can even do stuff like. Um, write an additional sentence that describes this a little bit further and actually it\'ll actually do that. It\'s pretty crazy what you can do with that edit. Um, moderation we don\'t have a demo for, cuz it\'s actually just, um, uh, masking the form submission of spam or not.&nbsp;</p>\n\n\n\n<p>So I can\'t re demo that. Um, but essentially it works like most of our other spam features where, you know, if it finds spam, it\'ll [00:08:00] move that to the spam box, um, in your submiss. the image one. Um, with images, what you can do is I can say, um, enter an image description that\'s say, uh, cat on top of a dog, and then you get image&nbsp;</p>\n\n\n\n<p>So you can put, you know, all kinda the crazy stuff in here. And what that\'ll do is then load that image into, uh, our image field, which can then be submitted as part of a. Or, you know, it could be used for an avatar for a user, or whatever you want to use that image field for. You could even push that through to any of our add-ons like Slack or, um, any of the third parties that we integrate with.&nbsp;</p>\n\n\n\n<p>We, we have a URL version of that as well. So if you just want to get the URL of that image from open ai mm-hmm. , you can do that. But, um, I\'m sure this one will probably be the most popular. So really what we\'ve tried to do is just. Open AI as accessible as possible for people that are using forms. Um, and you can actually put multiple requests on a single page as well.&nbsp;</p>\n\n\n\n<p>So [00:09:00] you could have one for a tech bit of text content, have another one for image, and you could also include the editing functionality on the same text field if you wanted to. So yeah, that\'s where we are. Okay.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> I want to geek out with this in just a minute, but I want to take the next step and show what you can do inside of WS forum like we\'ve this.&nbsp;</p>\n\n\n\n<p>Incredible. We\'ll talk hours for this, you know, . Um, I wanna see the application side, how these are, I think, excellent examples of the power of it now, the application of it even more powerful.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Yeah. So let\'s go into WS four and you\'ll see where this gets added. So, um, this is our add new pay for creating a new form, and you\'ll see there\'s a new tab called Open ai.&nbsp;</p>\n\n\n\n<p>So these templates here are basically designed just to kind of get you started. Um, you can add to these, modify these. You can even just use an existing form and add the open AI functionality if you want. Let\'s just do a simple one. So we\'ll do a completion, so we\'ll use that template. So WS forms now building the form for [00:10:00] you.&nbsp;</p>\n\n\n\n<p>Um, and you\'ll, you\'ll notice on this form we\'ve got the prompt. We\'ve got a button to actually go off and get that completion, and then we have the completion itself, and there\'s a submit button for actually sub ultimately submitting that form if you, if you wanted to do that. Um, and the way this works, very simple.&nbsp;</p>\n\n\n\n<p>Uh, we have conditional logic on here, which actually runs the a, the AI request. So we\'re saying if that get completion button has been. Then make the open a req open AI request and run that immediately. Um, and if we go to actions, you\'ll see here is that open AI request that gets run. So what we\'re saying to open AI is we want to do a, a completion.&nbsp;</p>\n\n\n\n<p>This is the open AI model that we want to use. So there are different models. Um, G P T three is currently the best one that\'s out there. Um, and then you can actually tweak this as well. So I can choose how many tokens I want to. Um, the more tokens you enable, the more likely you are gonna get charged more cuz the charging is done on a, on a token basis, [00:11:00] but, um, actually running a completion is, you know, a couple of cents at most.&nbsp;</p>\n\n\n\n<p>Um, it\'s quite inexpensive. And then below that we have, uh, different things that you can tweak to modify the output. So here\'s an example here of tempera. So temperature actually determines how much that output\'s gonna change each time I submit that completion. And if I put completion up to one, I\'m gonna get much more different content every time I do a submission.&nbsp;</p>\n\n\n\n<p>If I do it at zero, it\'s gonna be pretty much the same each time. Uh, and there\'s a few other options on here. Some of \'em I actually don\'t really understand them , the, um, but we\'ve included them just so if somebody does understand what\'s going on with that, they. Go ahead and, and tweak those. So pretty much everything that the OpenAI API gives to us as a setting, we have made that available to you within WS form.&nbsp;</p>\n\n\n\n<p>And of course, uh, all of the, um, fields and everything that are created in that template can be adjusted [00:12:00] just like you can any, uh, you know, on any other WS form. So you can move things around, um, make it responsive and, and make it look how you want. And then you can just preview that and, and change, you know, uh, test that out, make sure it\'s working completion.&nbsp;</p>\n\n\n\n<p>And there you go. So, very, very easy to, uh, implement this on existing forms and creating new forms as well. Awesome.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> Oh, okay. So what does the front end of, like, something like this look like?&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Uh, it\'s basically whatever you want it to be. So you can do, you know, multi column output, single column output, mobile responsive.&nbsp;</p>\n\n\n\n<p>Um, you\'ll see here we have the break point selector in WS form. So for example, on mobile you may wanna have full width. Um, and then I could actually move between different break points here, um, and make that responsive. So for a larger screen, you may want to present that in a two column format, entirely up to you what [00:13:00] you wanna do.&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> I\'m sorry. Uh, so, so like this example, what mm-hmm. , what does the front facing website person say? Or&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> it\'ll look pretty much like this demo. Yeah, I gotcha, I gotcha. This is actually a WS form form on our knowledge base page. Okay, gotcha. This is, this is not, um, an open AI component. This is actually WS form, uh, and we\'ve just created these demo forms to show you what it may look.&nbsp;</p>\n\n\n\n<p>I gotcha. But again, you can, you can make that look however you want. You can start it with CSS . You can use our starting tools for that if you want to change the columns. Yeah. Um, so really it\'s completely flexible in terms of how you want it to look.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> So essentially you can say, uh, Ws forum can, can be a conduit for the open AI stuff to be like this built in research thing for a team or different stuff to leverage some of this power.&nbsp;</p>\n\n\n\n<p>Like if you\'re a blogger, you can create within WordPress Publishing, [00:14:00] you know, I need an image for this blog post that is this type and, and then go over here. So really doing that tight integration with the open AI, where you don\'t have to go over to chat d p t and copy stuff. It\'s all right here. Yeah.&nbsp;</p>\n\n\n\n<p>Yeah. I mean,&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> usually just experiment with Yeah. Yeah. I mean, but usually what will happen is the form would be on the front of the site with somebody creating some content. Uh, so they may log in to access that, and then the form will come up. And then if, if you\'re creating a post, maybe that would be, you know, PostIt the post content.  </p>\n\n\n\n<p>Um, and then you could, in that post content, have a little prompt that says, what do you want me to write about? Yeah. And then object that into the post content. And then what, what, you know, upload a featured image or I\'ll create an image for you. What image do you want me to create for you? And then it would then put that into the file upload.&nbsp;</p>\n\n\n\n<p>Um, and then, so Rudy, you\'ve. Full AI on creating a post if, if you wanted to, you know, um, you don\'t have to use all the features if you don\'t want to, but, uh, [00:15:00] uh, it\'s funny, I was talking to, um, You know, Bob WP yesterday about this, we actually did a podcast about it and yeah, there\'s a lot of talk about it being quite a scary technology as well.&nbsp;</p>\n\n\n\n<p>Um, so I, I think that, um, anything you create with it, you wanna check it, you know, don\'t trust it a hundred percent. You wanna check what comes out of this system and, and make sure that what it\'s giving you is what you\'re looking for. But it can certainly be a great tool. Getting you started with a blog post or getting you Yeah.  </p>\n\n\n\n<p>Help with editing and improving grammar. Maybe writing it in a slightly different way that you haven\'t thought of. Use it as a creativity tool. Um, yeah. But don\'t trust it. A hundred percent .&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. Yeah. Absolutely. Um, so, okay. When we were talking before, uh, we started recording, you know, you\'re like, there\'s basically like three categories.&nbsp;</p>\n\n\n\n<p>You said create, edit, moderate. Yep. I\'m really. By the create and edited edit capabilities of open ai. And I\'m curious to get your perspectives on that, that [00:16:00] applica not from the software side, applying what the power is of, open AI to WordPress inside of there. And it\'s just intriguing. Um, you kind of started with this like you.&nbsp;</p>\n\n\n\n<p>What are some of those things you\'re seeing that you could do? Like we\'ve seen, this is great, you know, be able to kind of moderate content, create videos. Mm-hmm. , uh, or not videos, I\'m sorry, images. You know, those I can try back to. What the power WordPress is, is publishing, creating, and publishing. Mm-hmm.&nbsp;</p>\n\n\n\n<p>Um, so what, what are some things you\'ve seen messing around with all of this and seeing some of the power of it that you, that\'s not here today, but like, you\'re, you\'re curious about interest in,&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> you know, it\'s really early days with this technology. It\'s, um, it\'s interesting. I\'ve, I\'ve had some customers already coming back to.&nbsp;</p>\n\n\n\n<p>Um, one of thems been using this in a support environment and they\'ve actually got it on their support form because a lot of their contact is online. [00:17:00] Um, so they\'re able to query open AI about their own product with questions that have been typed in by a user, and it then can spit results back. So, you know, there\'s one application.&nbsp;</p>\n\n\n\n<p>Um, just some others that people have spoken to me about has been creating avatar images for users. So we have a user management add-on that you can use to register users on WordPress. Um, and you can use a file upload field to specify the avatar image for that user. So, um, Open AI could be used to create that image.&nbsp;</p>\n\n\n\n<p>If you want to create a funny one-eyed, fuzzy monster, then you can , you can use it to do that. Um, and then, you know, improving grammar on blog posts I think is a great thing. I I, I love that. Edit feature. Um, I wasn\'t even aware that it could do that before I started writing the open AI add on. Um, but just having that as a feature where maybe you\'ve written a blog post and you need some help with part of it, um, that would, I think that\'s a, a great application for it.[00:18:00]&nbsp;&nbsp;</p>\n\n\n\n<p>Um, in, in terms of kind of the code writing part of it, um, I don\'t think US developers need to worry too much about it. It\'s not gonna take our jobs. Uh, it has an upper limit of about 4,000 characters. . So it\'s never gonna, you know, I can\'t go into it and say, Hey, write Yost, um, or write WooCommerce. It\'s not, it\'s not gonna do that for you.&nbsp;</p>\n\n\n\n<p>But, uh, in terms of giving you some pointers towards smaller snippets of code, it\'s certainly helpful for that. Um, again, I wouldn\'t take it on face value, always make sure that it\'s, it\'s working properly. One example of where I don\'t trust it is obviously we always want. Make sure our inputs and outputs with code are secure.&nbsp;</p>\n\n\n\n<p>They\'ve been escaped and, uh, we\'ve made sure there\'s nothing malicious in there. Typically, when you ask open AI for a bit of code, none of that happens. It\'s, it will literally just take, you know, what\'s coming in on, on a post request and just spit it out. So, um, definitely take that in mind when you\'re using this tool.&nbsp;</p>\n\n\n\n<p>It\'s not intelligent enough to, to do that type of stuff.&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> [00:19:00] I, I the utility of what WS Forum does for sure. Like I see that, like I love the moderation thing about spam stuff. Um, sky\'s the limit. My background, I draw to content creation and editing because we\'ve all hit that dreaded rider\'s block or just needed a little spark or inspiration to get going.&nbsp;</p>\n\n\n\n<p>And I\'ve, I\'ve heard and talked to enough people to go like, Those are the type of things that I think could really light of fire to this. Mm-hmm. is, it\'s an assistant. Yes. It\'s, it\'s assisting you and, um, doing all the functions you want, particularly on your WordPress website. But when that subset of function create content, edit content, like I saw you say that, fix the spelling, you know, and the very simple example you gave and it\'s like, yeah, I might use Grammarly, but there\'s.&nbsp;</p>\n\n\n\n<p>So much more power out there that, uh, and, and AI obviously is getting way, way, [00:20:00] way, way better. Yeah.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Um, maybe if you had a big article that was referenced in someone\'s name and maybe you had the name incorrect, you could just say, change the name to whatever, and it\'ll go through and change it. So, um, it\'s a great, great editing tool.&nbsp;</p>\n\n\n\n<p>I think. Um, it\'s almost kind of like, You know, Google 2.0, whereas, you know, on Google, you\'ll, you\'ll type at a question and it\'ll give you URLs for you to then trundle through and try and find the answer. This is kind of jumping in that step and trying to give you that answer immediately. Um, and I think it does a pretty good job of it.&nbsp;</p>\n\n\n\n<p>Um, it\'s not always accurate. Um, and I, like I said, you and I have said it\'s, it\'s gotta be an assistant tool. It\'s, it\'s not gonna give you the a hundred percent the correct answer every time. , but it does an impressive job. Um, I\'ve been amazed by some of the stuff that it spits out .&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. And, and that headstart that sparked to help you.&nbsp;</p>\n\n\n\n<p>Uh, you know, so I, I\'m, I\'m excited. I\'m gonna go play with WS forum. Um, you\'re [00:21:00] opening cuz uh, it didn\'t click for me until yesterday. I go, these people are all doing all this stuff, but they\'re not logging into chat G B T and I just hadn\'t taken the time to go. There\'s an API that you can buy, and what you do with your add-on is make that, oh, I can use it now.&nbsp;</p>\n\n\n\n<p>Um, it sounds a lot like, like aws, you know, you buy mm-hmm. computing power and all this stuff. And I looked at the pricing and I was telling Lindsay last night, I was like, oh, this is a, a WS type, you know, resource. Um, and you\'ve done that integration point to leverage it within WordPress.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Yeah. It\'s basically about making that data accessible.&nbsp;</p>\n\n\n\n<p>Right. So, um, and making. Essentially no code. So all you gotta do is just drag and drop a couple of input fields, tell, um, WS form, which is the input, which is the output, and off you go. Um, so it\'s pretty easy to to, to build forms that integrate that open AI technology. Um, and by, you know, by all means, use those template, they templates are ready to go.&nbsp;</p>\n\n\n\n<p>So you just [00:22:00] click it, it builds a form for you and you can start playing with it. So it\'s, it\'s pretty straightforward. I&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> wanna play it around with the. That you were saying and how, um, when you do the completion chat function, um, it\'s reading what you\'ve already talked about. So if you have a thought, okay, I\'m trying to create a blog post on WordPress hosting, whatever.&nbsp;</p>\n\n\n\n<p>Mm-hmm. . Or something, you know, and then it reads, I wanna do some experimenting with that. So now you give me a new toy to, to go take for a test spin.&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Yeah. That should behave relatively similar to chat G p T, um, cuz that\'s, that\'s how that one works, so&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> yeah. Awesome. Mark, what else do you got going on over at WS Forum?&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> Oh, you know, we\'re just right now getting ready for work Camp Asia. Um, we\'re gonna be,&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> I was about to say, I think I knew you were going to Asia and probably Europe too, right? Yeah.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Mark Westguard:</strong> That\'s gonna be some serious jet lag . Yeah, no kidding. And, uh, I\'m gonna actually go to work at Birmingham at the. [00:23:00] beginning of February, so I\'m looking forward to that as well.&nbsp;</p>\n\n\n\n<p>And then we just got approved to sponsors for Work Camp Europe again, so right on getting, getting ready for Athens. So we\'re looking forward to that. Um, and yeah, just, you know, day in, day out, answering those support tickets, keeping customers happy and, and doing what we need to do to grow the business.  </p>\n\n\n\n<p>So, Love it.&nbsp;&nbsp;</p>\n\n\n\n<p><strong>Cory Miller:</strong> Thanks Mark for sharing, um, the integration you\'re doing with Open AI and talking a little bit about this opportunity. Um, and again, I want, I wanna see more and more, uh, I want great members like yourself to lead that, but more and more innovation. Yeah, absolutely. So All right, thanks. Thanks, Mark.&nbsp;</p>\n\n\n\n<p>We\'ll talk to you last time. Thanks. Appreciate it.&nbsp;&nbsp;<br /><strong>Mark Westguard:</strong> Thanks a lot. Take care.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Feb 2023 21:06:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: Museum of Block Art Calls for Submissions Celebrating WordPress’ 20th Anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142175\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://wptavern.com/museum-of-block-art-calls-for-submissions-celebrating-wordpress-20th-anniversary\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5084:\"<p>The <a href=\"https://block-museum.com/\">Museum of Block Art</a> (MOBA), a project launched in 2022 featuring art created using the block editor&#8217;s design tools, is <a href=\"https://block-museum.com/2023/02/21/lets-celebrate-20-years-of-wordpress/\">calling for submissions</a> celebrating WordPress&#8217; upcoming 20th anniversary. </p>\n\n\n\n<p>In a short amount of time, the museum has collected more than three dozen works of block art, creative pieces that leave the viewer wondering how they were made using only WordPress&#8217; core design tools. The MOBA features a diverse set of works &#8211; from <a href=\"https://block-museum.com/2022/02/02/its-me/\">a Mario mosaic</a> made entirely of differently colored Button and Group blocks, to <a href=\"https://block-museum.com/2022/01/26/city-textures/\">a textured gallery of city images</a> melded together using the Columns, Cover, and Gallery blocks. All pieces are displayed with the HTML markup of the block(s) beneath, so curious viewers can dig into the details of which tools design tools have been applied.</p>\n\n\n\n<img />\n\n\n\n<p>MOBA&#8217;s curators are challenging artists to submit WP20 blocks inspired by the <a href=\"https://wp20.wordpress.net/download-the-wp20-commemorative-logos/\">20th anniversary logos</a> and/or the color palette and images from the <a href=\"https://wordpress.org/themes/author/wordpressdotorg/\">default themes through the years</a>. These blocks will become part of the art history of WordPress&#8217; capabilities. </p>\n\n\n\n<p>MOBA founder Anne McCarthy said the submissions have &#8220;definitely evolved as the controls have grown since each new control added has a cascading creative impact.&#8221; To better illustrate this evolution, she has created release-specific virtual exhibits, including one for <a href=\"https://block-museum.com/wordpress-5-9-exhibit/\">5.9</a> and another for <a href=\"https://block-museum.com/wordpress-6-0-exhibit/\">6.0</a>. She didn&#8217;t receive too many pieces for 6.1 and hasn&#8217;t created an exhibit for that release yet but has created <a href=\"https://block-museum.com/2022/12/25/relentless/\">some</a> <a href=\"https://block-museum.com/2022/12/26/shining-through/\">blocks</a> using 6.1&#8217;s tools, and <a href=\"https://nomad.blog/2022/12/26/behind-the-scenes-of-creating-art-with-wordpress/\">wrote a post about the process</a>.</p>\n\n\n\n<p>&#8220;I think it would be really neat to compare a 5.9 exhibit to a 6.9 or 7.9 showing how far the art has come in the same way you might look at art in a museum across the centuries,&#8221; McCarthy said.</p>\n\n\n\n<p>&#8220;The vision is to explore WordPress, a software we take for granted, in a new way to create something unexpected—a virtual art museum featuring art made from the same blocks used to house the experience itself. WordPress is so known as a site building tool but we don’t talk about all that it unlocks, including being able to create some pretty rad art pieces. I hope it helps both empower folks to make their own art pieces and offers some inspiration, in the same way a museum might. I really just want to supercharge the sentiment of &#8216;Proudly Powered by WordPress&#8217; to show just how much WordPress truly can power.&#8221;</p>\n\n\n\n<p>One piece, the circular rainbow created by Chuck Grimmet, was printed out and displayed on one of the walls behind Matt Mullenweg during the 2022 State of the Word address. McCarthy said she would like to see more real life exhibits of the work from MOBA contributors, and that there is a chance some will be displayed at an upcoming flagship WordCamp event. Another idea she had is offering a way to order the art and print it out as a fun use of e-commerce, perhaps as an integration with the WordPress swag store.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://block-museum.com/2022/06/03/circular-rainbow/\">Circular rainbow</a></blockquote>\n</div>\n\n\n\n<p>In the future, McCarthy hopes to recruit submissions from artists outside the WordPress community and someday host an art &#8220;hackathon&#8221; where people gather to produce submissions. </p>\n\n\n\n<p>MOBA&#8217;s curators are inviting users of all experience levels to create WP20-inspired blocks as part of the upcoming celebration. Those who are newer to the block editor can check out some of the recommended <a href=\"https://learn.wordpress.org/tutorials/?series=&topic=7&language=&captions=&wp_version=\">block tutorials</a> as well as The Creative Side to Blocks series (volumes <a href=\"https://wordpress.tv/2022/08/08/the-creative-side-of-blocks/\">1</a>, <a href=\"https://wordpress.tv/2022/09/07/the-creative-side-of-blocks-vol-2/\">2</a>, and <a href=\"https://wordpress.tv/2022/11/18/the-creative-side-of-blocks-vol-3/\">3</a>) on WordPress.tv. Prospective contributors can learn more about <a href=\"https://block-museum.com/contribute/\">how to contribute blocks</a> to the MOBA collection on the museum&#8217;s website. Submissions will be reviewed by the initiative&#8217;s current panel of contributors.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 23 Feb 2023 03:56:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WPTavern: WordPress 6.2 Beta 3 Released, Contributors to Host Live Product Demo on March 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142213\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://wptavern.com/wordpress-6-2-beta-3-released-contributors-to-host-live-product-demo-on-march-2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2491:\"<p><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a> was released this week, another small milestone towards the official, more polished version that is expected in under five weeks on March 28, 2023. Testers will find 34 issues resolved since the Beta 2 release, bringing the cumulative number of enhancements to 292, with 354 bug fixes and counting. Details for the changes in beta 3 are available in the linked tickets:</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.2\">GitHub tickets</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=02%2F14%2F2023..02%2F21%2F2023&milestone=6.2&col=id&col=milestone&col=owner&col=type&col=priority&order=id\">Trac tickets</a></li>\n</ul>\n\n\n\n<p>Contributors will be hosting a live product demo on <a href=\"https://www.timeanddate.com/worldclock/fixedtime.html?iso=20230302T1700\">Thursday, March 2, 2023 at 12:00 PM EST</a> via <a href=\"https://us02web.zoom.us/j/82841185159\">Zoom</a>. WordPress contributors <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, who are helping lead the release, will give viewers a tour of the features coming in 6.2.</p>\n\n\n\n<p>&#8220;This is a slightly different format from the previous <a href=\"https://make.wordpress.org/core/2022/03/30/6-0-product-walk-through/\">6.0</a> and <a href=\"https://make.wordpress.org/core/2022/09/05/6-1-product-walk-through/\">6.1</a> walk-throughs, focusing on showcasing the great work that’s been going into the release,&#8221; Marketing Team contributor Jonathan Pantani said. &#8220;Future releases can expect to see this, a walk-through/discussion, or both types of live events become part of the release cycle.&#8221;</p>\n\n\n\n<p>The event will be moderated by Nathan Wrigley, who will guide the discussion and present questions from the audience. Questions can be submitted in advance in the <a href=\"http://wordpress.slack.com/\">Make WordPress Slack</a> via the <a href=\"https://wordpress.slack.com/archives/C039R2P1ZC1\">#walkthrough channel</a>. The livestream will be recorded and published in a follow-up post after the product demo has concluded. There is no registration for the event. Those who want to watch and participate live can <a href=\"https://us02web.zoom.us/j/82841185159\">launch the meeting using Zoom</a> at the scheduled time.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Feb 2023 22:22:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"Post Status: WordPress 6.2 Beta 3 &amp; Live Demo • Help Test • Changes to WP Release Cycle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147449\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"https://poststatus.com/wordpress-6-2-beta-3-live-demo-help-test-changes-to-wp-release-cycle/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:16090:\"<h2 id=\"h-this-week-at-wordpress-org-february-20-2023\">This Week at WordPress.org (February 20, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.2 is just over a month away. Join in the live demo and help test beta and release candidate versions. Should we revise the WordPress release cycle? Share you feedback. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fe_arrowRightCircle kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP 6.2 Beta 3 & Demo, Proposal to Update Release Cycle </h2><p class=\"kt-blocks-info-box-text\">β  <a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5d3.png\" alt=\"🗓\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64b-1f3fe.png\" alt=\"🙋🏾\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f503.png\" alt=\"🔃\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">Proposal: Updates to the WordPress Release Cycle</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/270d-1f3fc.png\" alt=\"✍🏼\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/community/2023/02/08/apply-to-attend-the-2023-community-summit/\">Apply to Attend the 2023 Community Summit</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-39 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-community\">Community</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/02/21/feature-request-additional-roles-for-wordcamp-sites/\">Feature request: additional roles for WordCamp sites</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/20/upcoming-wpdiversity-events-march-2023/\">Upcoming #WPDiversity Events: March 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/\">Meetup.com Accessibility Overlay February Update</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/17/updates-to-the-wordcamp-site-setup-handbook-page/\">Updates to the WordCamp Site Setup Handbook Page</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/02/15/meetup-organizer-newsletter-february-2023/\">Meetup Organizer Newsletter: February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/a-week-in-core-february-20-2023/\">A Week in Core – February 20, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">Proposal: Updates to the WordPress Release Cycle</a></li>\n</ul>\n\n\n\n<h3 id=\"h-wordpress-6-2\">WordPress 6.2</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/wordpress-6-2-beta-3/\">WordPress 6.2 Beta 3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/6-2-live-product-demo/\">6.2 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2, Finale</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/03/hallway-hangout-performance-improvements-for-wordpress-6-2/\">Hallway Hangout: Performance Improvements for WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/06/roadmap-to-6-2/\">Roadmap to 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/18/bug-scrub-schedule-for-6-2/\">Bug Scrub Schedule for 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/11/early-bug-scrub-schedule-for-wp-6-2/\">Early bug scrub schedule for WP&nbsp;6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/01/17/wordpress-6-2-planning-roundup/\">WordPress 6.2 Planning Roundup</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/20/editor-chat-summary-wednesday-february-15-2023/\">Editor chat summary: Wednesday, February 15, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/22/dev-chat-agenda-february-23-2023/\">Dev Chat Agenda, February 23, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/22/editor-chat-agenda-22nd-february-2023/\">Editor Chat Agenda: 22nd February 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/02/17/dev-chat-summary-february-16-2023/\">Dev Chat Summary, February 15, 2023</a></li>\n</ul>\n\n\n\n<h3 id=\"h-developer-blog\">Developer Blog</h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/02/block-theme-resources-roundup/\">Block theme resources roundup</a></li>\n</ul>\n\n\n\n<h2 id=\"h-docs\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/02/10/agenda-for-docs-team-bi-weekly-meeting-february-21-2023/\">Agenda for Docs Team bi-weekly meeting February 21, 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/02/10/theme-directory-redesign-update/\">Theme Directory redesign update</a></li>\n</ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/02/22/openverse-is-now-a-monorepo/\">Openverse is now a monorepo</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/02/22/community-meeting-recap-21-february-2023/\">Community Meeting Recap (21 February 2023)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/02/21/post-inaturalist-data-refresh-status/\">Post-iNaturalist Data Refresh Status</a></li>\n</ul>\n\n\n\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/02/21/performance-chat-summary-21-february-2023/\">Performance Chat Summary: 21 February 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-polyglots\">Polyglots</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/02/22/agenda-weekly-polyglots-chat-feb-22-2023-0700-utc/\">Agenda: Weekly Polyglots Chat – Feb. 22, 2023 (07:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/02/21/helphub-and-devdocs-redesign-request/\">HelpHub and DevDocs redesign request</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/02/20/sync-translations-between-dev-and-stable-projects/\">Sync translations between Dev and Stable projects</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/02/20/components-into-tabs-in-the-right-sidebar/\">Components into tabs in the right sidebar</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\">Plugins</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/02/03/twitter-api-changes/\">Twitter API Changes</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/02/06/proposal-creating-a-wordpress-contributor-mentorship-program/\">Proposal: Creating a WordPress Contributor Mentorship Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2023/01/27/discussion-ending-the-eternal-september/\">Discussion: Ending the Eternal September</a></li>\n</ul>\n\n\n\n<h2 id=\"h-support\"><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/02/agenda-for-february-9th-support-meeting-2/\"><a href=\"https://make.wordpress.org/support/2023/02/summary-for-february-16th-support-meeting/\">Summary for February 16th Support Meeting</a></a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/02/21/hallway-hangout-lets-chat-about-using-replay-io-in-the-fse-outreach-program/\">Hallway Hangout: Let’s chat about using Replay.io in the FSE Outreach Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/02/07/help-test-wordpress-6-2/\">Help Test WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/02/20/test-team-update-20-february-2023/\">Test Team Update: 20 February 2023</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/02/17/february-2023-faculty-meeting/\">February 2023 Faculty Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/02/10/training-teams-new-onboarding-program-is-now-live/\">Training Team’s new onboarding program is now live!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/02/08/video-conferencing-options-for-online-workshops/\">Video conferencing options for Online Workshops</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/02/06/training-team-2023-goals-setting/\">Training Team 2023 Goals Setting</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=introduction-to-templates-block-theme\">Introduction to Templates (Block Theme)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=customizing-the-single-template-and-404-template\">Customizing the Single Template and 404 Template</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=intro-to-wordpress-accessible-color\">Intro to WordPress Accessible Color</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wordpress-as-a-paintbrush-internet-art-then-and-now\">WordPress as a Paintbrush: Internet Art Then and Now</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=best-design-practices-to-create-engagement\">Best design practices to create engagement</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-own-your-expertise-start-speaking-at-wordpress-events-amer-emea\">How to Own Your Expertise & Start Speaking at WordPress Events AMER/EMEA</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-building-a-react-app-utilising-the-wp-rest-api-2\">WP dev livestream: Building a React app utilising the WP REST API</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=help-test-wordpress-developer-edition\">Help test WordPress – developer edition</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-confidently-migrate-from-a-classic-theme-to-a-block-theme-2\">How to Confidently Migrate from a Classic Theme to a Block Theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-confidently-migrate-from-a-classic-theme-to-a-block-theme\">How to Confidently Migrate from a Classic Theme to a Block Theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=designers-developers-cats-dogs-living-in-harmony\">Designers & Developers: Cats & Dogs Living in Harmony</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=training-team-contributor-day-online-session\">Training Team Contributor Day Online Session</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=community-sharing-media-plugins\">Community Sharing: Media Plugins</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-developer-ama-ask-me-anything\">Let’s code: Developer AMA – Ask Me Anything</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-building-a-react-app-utilising-the-wp-rest-api\">WP dev livestream: Building a React app utilising the WP REST API</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/designing-with-the-columns-block/\">Designing with the columns block</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/using-the-wordpress-rest-api/\">Using the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-02-1\">PHP 8.2.2 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-02-02-2\">PHP 8.1.15 Released!</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status\' <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It\'s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Feb 2023 19:31:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: #64 – Patrick Posner on Using WordPress To Create Static Sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=142108\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://wptavern.com/podcast/64-patrick-posner-on-using-wordpress-to-create-static-sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:50676:\"Transcript<div>\n<p>[00:00:00] Nathan Wrigley: Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress, the people, the events, the plugins, the blocks, the themes, and in this case using WordPress as a way to create static sites.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice. Or go to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you. And hopefully get you or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox. And use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Patrick Posner. Patrick is a solopreneur and has been developing with WordPress since 2010. He&#8217;s worked in all sorts of environments as a freelancer, a senior developer in a WordPress product company, and since 2020 he&#8217;s been working full-time on his own projects.</p>\n\n\n\n<p>One of his projects is a plugin called Simply Static. It&#8217;s purpose is to make a static version of your website. This of course begs the question, what is a static site?</p>\n\n\n\n<p>Back in the early days of the internet, before WordPress, if you wanted to put a website online, you had to write the HTML yourself. You opened up a text editor and started to type. When you&#8217;d finished, you had an HTML file which you uploaded to a server somewhere. And if someone wanted to view that page, the server would send over that file.</p>\n\n\n\n<p>It worked, but thankfully, it didn&#8217;t stay that way for long. Software for desktops were developed, which would create the HTML for you. CMSs such as WordPress would take this further and create the HTML and CSS based upon the content you&#8217;d created, and the theme that was active. This was extremely convenient, but when all is said and done, the output is still the same as it was years ago. HTML, CSS, and possibly some JavaScript.</p>\n\n\n\n<p>Depending upon your setup in WordPress, quite a lot of complicated operations are needed to generate that code. Caching aside, is there a case for saving your HTML files, uploading them to a server, and then taking WordPress offline? Patrick certainly seems to think so.</p>\n\n\n\n<p>We talk about how this flattening of your website takes place, and what the advantages might be in terms of speed and the cost of hosting.</p>\n\n\n\n<p>We also get into the pros and cons of adopting the static site approach. Are there any sites which are more suited to being static than others?</p>\n\n\n\n<p>We also discuss what solutions are out there to make this happen, from Patrick&#8217;s own plugin, to the hosting providers and SaaS solutions which enable things like search and forms to still function.</p>\n\n\n\n<p>It&#8217;s a really interesting subject and one that you might like to explore, and this podcast is a great primer for that.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Patrick Posner.</p>\n\n\n\n<p>I am joined on the podcast today by Patrick Posner. Hello Patrick.</p>\n\n\n\n<p>[00:04:16] Patrick Posner: Hey Nathan. Glad to be here.</p>\n\n\n\n<p>[00:04:18] Nathan Wrigley: Thank you so much. This is honestly going to be a really interesting topic. I think there&#8217;s going to be a lot of people at the end of this conversation who go away and start to fiddle with their setup. Because we&#8217;re going to be talking about a really different way of serving up your website.</p>\n\n\n\n<p>We&#8217;re strictly in the bounds of WordPress. Everything that we&#8217;re going to be doing today is WordPress, but we&#8217;re going to add a little bit of a twist, and this is the way that WordPress is served up to your clients.</p>\n\n\n\n<p>Patrick is the owner and developer of a plug-in called Simply Static. I&#8217;m going to link to it in the show notes. There is a version on the WordPress repo, which is available for free. There is also a paid version and we&#8217;ll get into all of the different pieces of that. So we&#8217;re going to be talking about static sites today, essentially. Ironing out the problems, figuring out what it all is and what Patrick&#8217;s solution does.</p>\n\n\n\n<p>Before we begin that, let&#8217;s go into Patrick&#8217;s origin story. Patrick, if you wouldn&#8217;t mind, just tell us about your relationship with WordPress. Tell us where you are, what you do for a living, how long you&#8217;ve been doing it, and all of those good things.</p>\n\n\n\n<p>[00:05:25] Patrick Posner: Yeah, sure. Happy to share. So I&#8217;m a WordPress developer since 2010. And I moved from several steps into the career I&#8217;m having today. I started with an agency as a developer, building client sites. And, after a couple of years I moved into self-employment and started getting some freelance clients. Building my first WooCommerce stores and more advanced WordPress websites.</p>\n\n\n\n<p>After a bunch of years I got employed again and worked as a senior plugin developer for one of the biggest WordPress product companies here in Germany. Just before Covid, I decided to get back to self-employment again, and since then I&#8217;m working full-time on my WordPress products, mainly plugins.</p>\n\n\n\n<p>[00:06:16] Nathan Wrigley: Thank you very much. You&#8217;ve got a website which people can find. It&#8217;s patrickposner.dev, and I will link to that in the show notes, but you can see the range of different things that you are doing over there. But we&#8217;re going to be focusing very much on one of your endeavors, which is a static site generating plugin.</p>\n\n\n\n<p>We&#8217;ll get into how it works, that particular plugin in a moment. But I think first of all we should clear up what a static site is. So just to reiterate, we&#8217;re using WordPress, but there&#8217;s something different about the way that WordPress distributes the pages and posts that we save. So, could you describe to us, any amount of detail, I guess, considering this is a WordPress specific podcast you really can go into the weeds with this if you like. But just tell us what is a static site? What are the benefits? Why should anybody making WordPress websites be interested in this?</p>\n\n\n\n<p>[00:07:12] Patrick Posner: So imagine stepping back 20 years. The internet consists of HTML, CSS and JavaScript. You have no database interaction. You have no complex server setups, just plain files. You can edit them directly, you can upload your images, PDF files and other stuff. That are static websites.</p>\n\n\n\n<p>And as the world and especially the internet is getting more and more complex, people are really enjoying the ease of static websites, as they don&#8217;t have to handle with updates with a database, with complex deployments and all that stuff. So that&#8217;s a basic idea of static websites.</p>\n\n\n\n<p>They don&#8217;t have a database. They are pretty secure and almost unhackable as they have no connection to a traditional server. So there&#8217;s no PHP exploits, having no database where people can or where hackers can fetch your user data, or install any malicious code or something like that.</p>\n\n\n\n<p>Another really beneficial thing of static sites is a part of hosting. So you can basically host a static site everywhere, on a pretty cheap standard web hosting package. But there are also a bunch of more optimized hosting providers like Netlify or GitHub Pages, which cover a couple of common problems. We may get into detail a little bit later for that. But, let&#8217;s say 404 pages or a search integration or basic form integration, where people can submit the form and the content of that is forwarded to you via email.</p>\n\n\n\n<p>[00:08:56] Nathan Wrigley: Yeah, so just to rehash a bit of that and go into the weeds on some of the bits and pieces there. So you mentioned that 20 years ago, I remember it well, actually. If you wanted to browse a website, essentially you would go to the url, and if you inspected the source code, you would just see a list of HTML, there may be some CSS in there and so on, and perhaps some images were linked to.</p>\n\n\n\n<p>But typically that HTML would&#8217;ve been written by a human probably. They would literally line by line, have gone through and written the whole thing. And the only thing crossing the wire was the HTML. So the page that you requested was a file.</p>\n\n\n\n<p>You would request index.Html and the internet, wherever that was served, would give you that file. That file was somewhere. Fast forward 20 years, now we&#8217;re into WordPress territory. And again, there&#8217;s a whole broad spectrum of people that listen to this podcast, and some of them may not be aware that the moment you request a WordPress page, a whole litany of very complicated things are going on in the background, depending on how many plug-ins you&#8217;ve got and what it is that you&#8217;re requesting. But it&#8217;s not as simple as I request a page, WordPress serves the page. No, there&#8217;s a whole theming engine and all sorts of database requests are being built on the backend at the time you request them.</p>\n\n\n\n<p>Now, typically, you know, if it&#8217;s a really lean site, you might not notice that it might be very, very quick. But when you start to do more complicated things, the time it takes to build that page adds up. So what you are proposing is that you can still use WordPress, but the output is saved and it&#8217;s the output which is served up just like it was 20 years ago. Have I got that roughly right?</p>\n\n\n\n<p>[00:10:52] Patrick Posner: Perfectly perfectly. So that&#8217;s exactly what the static site generation does within WordPress. You can edit your content in WordPress, but the result is just a static website.</p>\n\n\n\n<p>[00:11:05] Nathan Wrigley: Okay, right. So hopefully we&#8217;ve cleared that bit up. Now you mentioned that there&#8217;s whole bunch of benefits to this. Number one, I think, really would be the speed. The fact that there&#8217;s nothing being constructed by WordPress. So seconds, milliseconds. I don&#8217;t really know. It depends on each individual instance of WordPress.</p>\n\n\n\n<p>But the point is, there&#8217;s nothing complicated going on the background. You request a file, a file is served back at you, and so that&#8217;s quicker. Now, along for the ride there is also the security benefit. And you said that these websites are typically unhackable. And again, that might be a mystery to people. Can you explain why the security posture is improved by going static.</p>\n\n\n\n<p>[00:11:52] Patrick Posner: Yeah, sure. So security is often overlooked when it comes to static websites. But for me, that&#8217;s as important as the performance aspect of it. So you have basically a layer before your WordPress website. So you have your WordPress website, and the entire website is protected by basic authentication, for example. Or even better, you have your WordPress website on your local computer with a tool like Local WP, and your WordPress website don&#8217;t even touch the internet directly.</p>\n\n\n\n<p>And you convert the WordPress website to a static website. And this static website don&#8217;t have access to your WordPress database. There&#8217;s no ability to execute PHP, for example. So there&#8217;s no one that can access your server and do anything you don&#8217;t want.</p>\n\n\n\n<p>That starts with forms. So someone submits like malicious code in your form, and the input isn&#8217;t really escaped. So it doesn&#8217;t matter on a static website as you never have the problems that someone submits a form and it will be directly transferred to a WordPress website.</p>\n\n\n\n<p>The same is true for executing code. So if you have a static website, there aren&#8217;t any PHP files, and most statics hosts even block PHP files from executing in general. You will never have something like a malicious script on your aesthetic website that sends spam emails or collecting user data you don&#8217;t want. All of that is gone once you have a static website.</p>\n\n\n\n<p>[00:13:30] Nathan Wrigley: So you mentioned the scenario where, and I would encourage people to explore this a little bit, because it&#8217;s quite an interesting scenario. You mentioned that you could use a local install of WordPress. And so you may, for example, have come across a tool like Local, which is a desktop application. So you can download it for the Mac and windows and so on. There may be versions for Linux, I actually don&#8217;t know.</p>\n\n\n\n<p>But you can have a local version of WordPress and really, it only works on your machine whilst your machine is switched on. The principle being that you may use it just to test out a plugin, or you may use it just to test something out that you want to do quickly. You can spin up a website, but that website doesn&#8217;t really have an online presence. If you switch your computer off at the end of the day, it&#8217;s gone, it&#8217;s nowhere. It doesn&#8217;t exist.</p>\n\n\n\n<p>But in your scenario, you can create your website on your local machine. Then export the pages because you&#8217;ve essentially scraped the output HTML and figured out where the CSS and the files are and so on. And then you could push that to the server and then shut your computer down and the website will still work. But there&#8217;s absolutely no database online. There&#8217;s no PHP files getting requested, and so in that way, it&#8217;s more secure.</p>\n\n\n\n<p>[00:14:49] Patrick Posner: Yeah, absolutely. Also means that you have like a staging environment automatically. So your WordPress website is your staging website, right? So as long as you don&#8217;t push an update to your static website or to your hosting, you can do whatever you want with your WordPress website. Installing a new plugin, testing a new theme. Updating or not updating WordPress is also fine. Your static website stays online no matter what.</p>\n\n\n\n<p>[00:15:17] Nathan Wrigley: Yeah, it&#8217;s a real one way relationship, isn&#8217;t it? Whatever is on your WordPress website is always in isolation, if you like. And you have to publish the changes and push them to the server. So in that way, nothing comes back because the server really, in a sense, has no knowledge of the fact that there&#8217;s a WordPress website. It just knows that, well somebody&#8217;s requested a particular page. Have I got that page? Yes, I have. Here it is. It doesn&#8217;t know that there&#8217;s a WordPress website there at all.</p>\n\n\n\n<p>[00:15:51] Patrick Posner: Yep, that&#8217;s right.</p>\n\n\n\n<p>[00:15:52] Nathan Wrigley: Okay, and you mentioned another benefit of this approach was the fact that it can be hosted, and my understanding is that can in many cases, depending on the size and scale of your website, it can be hosted really, really affordably. And by affordably, I mean incredibly affordably. Now, I don&#8217;t know if there&#8217;s a dozen, hundreds of companies which are dedicated to this type of environment, but can you just talk us through the sort of cost benefits of doing it this way? Static.</p>\n\n\n\n<p>[00:16:24] Patrick Posner: Yeah, true. So, hosting a static website is completely different when it comes to the pricing tag attached, compared to any kind of a press hosting. We&#8217;re talking about like $1 for an entire year of hosting.</p>\n\n\n\n<p>There are also a bunch of providers that you can use for free, like Cloudflare Pages. Cloudflare Pages allows you to do like, I&#8217;m not entirely sure, it&#8217;s 500 updates to your static website per month for free. They don&#8217;t charge for the amount of files or the used data, the used space. So that&#8217;s one thing that you can use completely for free. There are others where there&#8217;s a little fee attached, but it&#8217;s always insanely cheap compared to traditional WordPress hosting.</p>\n\n\n\n<p>[00:17:16] Nathan Wrigley: You literally are in many cases talking about a handful of US cents, not dollars per month.</p>\n\n\n\n<p>[00:17:24] Patrick Posner: Yeah.</p>\n\n\n\n<p>[00:17:25] Nathan Wrigley: Yeah, it really is amazing. You mentioned earlier that the hosting company does take on a slightly different burden, in that because it&#8217;s just pages and that&#8217;s all they know about, then some of these hosting companies do take on additional responsibilities. So for example, in the scenario where somebody accidentally searches for a url which doesn&#8217;t exist.</p>\n\n\n\n<p>Well, WordPress, if you&#8217;ve got a traditional WordPress site, which is online with a traditional host, it handles that and it serves up a 404 page. Plus it can do things like search for you. That&#8217;s not the case here. And you have to take additional steps for those things to be catered for. So 404, search, things like forms. Do you just want to talk us through how you overcome those things?</p>\n\n\n\n<p>[00:18:10] Patrick Posner: Yeah, so you can, there are two different directions you can go here. You can do it yourself. It&#8217;s not that hard to provide an htaccess file to serve the request to a specific page. That&#8217;s one way. So there are a lot of users, especially in the Simply Static world, doing all of that on its own.</p>\n\n\n\n<p>But you can also use a provider like, let&#8217;s say Netlify. Netlify provides an easy way to configure a 404 page, and they handle all of that for you. So you basically type in a search and if there&#8217;s no result coming up, Netlify will handle the redirection to the 404 page for you. They also handle things like forms. So you can basically add a little ID into your existing form, and they will forward the submission to your email address that you also configured within Netlify.</p>\n\n\n\n<p>There are a bunch of solutions for different use cases. You can always decide to use a more like all in one solution like Netlify, or use your traditional hosting package and use services like Formspark. Formspark is a static site form tool. You can easily configure forms on Formspark and embed them. You get a little HTML snippet. You can embed them on your WordPress website and they handle all of that for you. Spam detection, forwarding, CC, BCC connections, automations with Zapier. So let&#8217;s say you want to, you have a, like a, newsletter form and you want to, each time someone submits the form, you want to automatically submit this user to your Mailchimp list.</p>\n\n\n\n<p>You can do that with Zapier or within Formspark. I&#8217;m not really sure, but I think Formspark even have a automation with MailPoet right now. So there are a bunch of ways you can handle that. And all of them, or most of them, don&#8217;t require to be like a professional developer or something like that.</p>\n\n\n\n<p>[00:20:12] Nathan Wrigley: Yeah, I guess that&#8217;s an important point, isn&#8217;t it? So there are many benefits that you can list. You know, it&#8217;s quick, it&#8217;s secure, it&#8217;s affordable. But there&#8217;s also a few little additional hurdles. You have to in some way manage search. In some way manage 404, and forms and so on. And, it sounds like the industry around static website hosting is beginning to mature to the point where there are off the peg solutions.</p>\n\n\n\n<p>So you mentioned Netlify can configure it so that 404 is taken care of. You don&#8217;t need to necessarily manage that yourself. And again, you mentioned a SaaS service, which will deliver forms to your email address. And I&#8217;ve had a little bit of a play with Formspark, and in all honesty, it was trivially simple to stick up a form and get it sending the data that was consumed by that form to my, my email address, it only took a matter of moments. It was really good.</p>\n\n\n\n<p>So, what we&#8217;ve talked about there is what a static site is. And because you&#8217;re on the podcast, it&#8217;s clear that you&#8217;re into that area and in fact, you&#8217;ve got a solution to turn a WordPress website into a static website. It&#8217;s called Simply Static. I&#8217;ll link to both the paid version and we&#8217;ll go into the differences a little bit later, but I&#8217;ll also link to the WordPress repository version, which will get you certainly going. Tell us what simply statics approach is. What is it doing? How long have you been working on it? Is this yours? Did you take it over from somebody? Just give us the rundown of what is Simply Static.</p>\n\n\n\n<p>[00:21:46] Patrick Posner: So Simply Static is a static site generator as a WordPress plugin. It basically acts like Google or a regular user. So, once you start an export within Simply Static, there&#8217;s a crawler behind it that visits each page on your website and downloads the entire HTML rendered, and all the CSS files, JavaScript files, and of course all the images.</p>\n\n\n\n<p>And, at the end, it zips the entire results. So you can use it to upload it, for example, to Netlify. I adopted the plugin in 2020 from Scott Blaine, who does an incredible job putting together the initial version of Simply Static. I got in contact with Blaine due to the fact that I was a user of the Simply Static plugin, and I used it for a client website where we had problems that we hadn&#8217;t full control over the server configuration.</p>\n\n\n\n<p>It was like a traditional hosting package. And the client booked a TV commercial and we expected a huge spike in traffic for that day, and we need a way to handle that. So nothing could be worse. And once TV commercial was out the landing page would simply get away. And so I would never restart again once TV commercial was on. So, I stumbled upon simply Static and it wasn&#8217;t working at that time, but I thought, okay, so working as a WordPress developer for like 12 years, I should be able to make it work.</p>\n\n\n\n<p>And, I fixed the problems in like one or two hours and provided a patch and Scott implemented that one and we got in a little discussion about the future of Simply Static and he told me that he was having his third or false kid, I&#8217;m not really sure, and he don&#8217;t really have the time anymore to maintain or even extend Simply Static from now on.</p>\n\n\n\n<p>And I thought, okay, so I&#8217;m working on my own products for like six years or seven years and I really, being a fan of complex products. So my other products like Password Protection or Secure File Transfer, it&#8217;s always something a little bit nerdy and I thought, okay, Simply Static is a pretty good fit for my existing portfolio, so why not taking it over and shipping all the patches, all the features people were requesting for years. And yeah, that was almost two years ago, or two and a half years ago, I&#8217;m not exactly sure. So that was the short history of how I get into Simply Static.</p>\n\n\n\n<p>[00:24:31] Nathan Wrigley: Perfect. So you took it over and ever since 2020, it&#8217;s been under your stewardship. And you just described that when you click publish in the same way that Google go around the internet and capture what is on your webpage, they&#8217;re not literally, well, they probably are as well, but typically they&#8217;re not taking an image of what&#8217;s on your page, they&#8217;re looking at the source. So they&#8217;re looking at the HTML and any other things that might be attached via that HTML.</p>\n\n\n\n<p>And essentially that&#8217;s what your plugin does. If you&#8217;ve got a brochure site, let&#8217;s say it&#8217;s got 10 pages. When you click the button in Simply Static.</p>\n\n\n\n<p>[00:25:08] Patrick Posner: Generate.</p>\n\n\n\n<p>[00:25:09] Nathan Wrigley: The generate button, thank you. Then it will scrape those 10 pages and put it into a zip file. That zip file, in the free version, you then take to a hosting provider and we keep talking about Netlify, so we may as well go with that. Take it to Netlify, upload it, and it&#8217;s then live, you&#8217;ve got your new iteration. So it&#8217;s a process of creating your WordPress website, saving things as you would normally, clicking generate, carrying the zip file over to Netlify, putting it over there, and then from that moment on the world, if you&#8217;ve got your DNS set up correctly, is looking at the flat html, the static HTML files, that simply Static has generated. Is that right?</p>\n\n\n\n<p>[00:25:55] Patrick Posner: Correct.</p>\n\n\n\n<p>[00:25:56] Nathan Wrigley: Perfect. How is the project going? You know, you&#8217;ve had it under your stewardship for a couple of years. It feels like static sites have become a bit of a hot topic. So I&#8217;m imagining that the plugin is experiencing growth.</p>\n\n\n\n<p>[00:26:10] Patrick Posner: Yeah, so Simply Static had a huge growth within the last two years. We almost 4x&#8217;d amount of active installation. So at the moment I took over the development of Simply Static was like 10 K active installations. We are now reached 40 K active installations. One thing I&#8217;ve done on day one, as I took over Simply Static and the GitHub repository was switching it to public.</p>\n\n\n\n<p>So it&#8217;s really a community driven project. You can always check the entire code base on github.com/simplystatic. And, you will find a little roadmap. You find issues we are working on. You can provide pull requests. Or you can make suggestions for new integrations or things that may not be working as expected.</p>\n\n\n\n<p>So we had that case with Elementor last week where Simply Static isn&#8217;t able to extract the bundled js that Elementor is generating to improve the performance. And we handle all of that, try to be as open as possible about the future of Simply Static. How things are going. Which direction we are going. Why I do things the way I do.</p>\n\n\n\n<p>So, for example, the crawling part, there are other solutions that do it more in a WordPress way. So they fetch all the custom post types and the generated archives and things like that. And it&#8217;s a valid approach, but I thought SEO is such a popular thing today and why not work as close as Google as possible to give an expected result once you generate a static website.</p>\n\n\n\n<p>So see it through the eyes of Google, and the eyes of your users and make sure your content is linked properly. You are having valid URLs. You are not having a bunch of 404 errors on your website. All of that is things Simply Static is taking care of to make the export as easy as possible.</p>\n\n\n\n<p>[00:28:17] Nathan Wrigley: It&#8217;s interesting because you and I are both obviously deeply embedded in the WordPress community. We love it and we probably obsess about WordPress more than is healthy for us. But a typical, I&#8217;m plucking this out of thin air, but I&#8217;m imagining there&#8217;s some truth in what I&#8217;m about to say.</p>\n\n\n\n<p>I would imagine a significant proportion of implementations of WordPress could really benefit from being static. And what I mean by that is, they are literally a site which is not really getting updated. It was built for let&#8217;s say a small business. And, that small business, they just need an internet presence. They need to be out there. They need a contact form. They need some description of what it is that they offer. Something fairly straightforward.</p>\n\n\n\n<p>The users of that, there&#8217;s a possibility that they don&#8217;t want the burden, because the internet is not what they do for a living. They don&#8217;t want the burden of having to renew licenses. They don&#8217;t want the burden for having to update plugins. They don&#8217;t want the burden for updating WordPress when it reaches the next version and so on. And I suppose in a sense, your solution kind of obviates that a little bit, because you don&#8217;t really, now, forgive me for saying this, because everybody will probably shoot me down for this.</p>\n\n\n\n<p>The site would still be secure, serviceable, workable even if you didn&#8217;t do all of the updates. So long as when you save it and generate your file, even if you&#8217;re on a really, really old version of WordPress, so long as the HTML that comes out the other end is valid and works, you are fine..</p>\n\n\n\n<p>[00:29:52] Patrick Posner: Yeah, absolutely. So one thing I keep saying to, a lot of users and customers is, let&#8217;s take WordPress offline in a good way. So we can use WordPress as one of the best tools to create a website. That can be on your local computer, on a protected environment, somewhere hosted. And can be sure that the results exported statically is still secure.</p>\n\n\n\n<p>Even if you don&#8217;t update or you don&#8217;t update your plugins regularly, you don&#8217;t update WordPress each time. You may not even update your theme out of a fear that it may break something. And all of that is covered by Simply Static due to the conversion. So use WordPress as a powerful editor for your website and use Simply Static to have peace of mind that your website is fast and secure even if you don&#8217;t get that much involvement in the WordPress world and you are always on track on all the security vulnerability reports and what&#8217;s new on Google page speed and all of those things.</p>\n\n\n\n<p>[00:30:59] Nathan Wrigley: It&#8217;s, really interesting. I&#8217;m just thinking about appliances in my kitchen. So an example would be my dishwasher. I don&#8217;t want my dishwasher to be on when there&#8217;s no dishes that need cleaning. It just needs to be off. Turn it off, then periodically go back to it and when it needs it, switch it on. And then once it&#8217;s done, switch it off again. It&#8217;s the same sort of principle here, isn&#8217;t it?</p>\n\n\n\n<p>WordPress, as on off-able. You switch it interact with it, publish the changes, get the changes onto the hosting in some way, and we&#8217;ll talk about the different methods in a moment, and then turn it off again, and remove any of the things that WordPress being switched on all the time may bring with it. Yeah, so I really like your description of it there.</p>\n\n\n\n<p>Now, just moving the subject forwards a little bit. Static sites, I feel that the word static sites and headless are being used a lot at the minute. And in many cases there may be confusion that these are in fact the same thing, that a static site that we are talking about today is the same as headless.</p>\n\n\n\n<p>Now it&#8217;s not really true, and I wonder if you could describe the differences. We could really go into the weeds here, but I don&#8217;t think we&#8217;ve probably got time for that. So a simple description of how they differ would be good.</p>\n\n\n\n<p>[00:32:11] Patrick Posner: I think simple is the best way to describe the difference between headless and static websites. So a headless website is more like a technical challenge. You usually have your WordPress website online somewhere all the time when you run a headless setup. The headless website continuously makes use of the REST API for WordPress to fetch content. To submit forms. To do all of dynamic stuff, but with JavaScript and not with PHP.</p>\n\n\n\n<p>And, one of the problems with headless website is that you almost ever need to be a developer or you have a developer maintaining your headless website. And that&#8217;s not the case with static websites due to the static generation, you can be pretty much anyone, and use the benefits a headless site offers without the technical challenges involved.</p>\n\n\n\n<p>And you can even use, and that&#8217;s a huge point for a lot of people, use your existing theme. So headless websites tend to be built from scratch, mostly in an enterprise context, and the theme is built with JavaScript and a modern JAMstack. So things like React are involved, Next.js, just to name a few of the tools involved in the stack.</p>\n\n\n\n<p>And they are complex and far away from end user friendly. A static website you use the tools you already know, but you get the benefits of a headless website. So the security improvement and the performance.</p>\n\n\n\n<p>[00:33:44] Nathan Wrigley: Yeah, I think it&#8217;s important to say that both implementations, static and headless, they really do have benefits. There&#8217;s clearly benefits that you&#8217;ve described for static and clearly there&#8217;s benefits for the headless approach. And as you described, enterprise level clients, and the fact that they may have access on tap to developers is a possible requirement there. I mean, you may be an incredibly technical non-developer, but I would imagine that it&#8217;s true to say that static sites are a little bit more straightforward to implement.</p>\n\n\n\n<p>Okay, with that in mind, let&#8217;s go through some examples of places where static sites are a good fit. And it is very important to say it&#8217;s not always the case. There is definitely going to be some examples where switching WordPress off is not what you want to do. So let&#8217;s do this in two ways. Let&#8217;s do the good first, let&#8217;s have some examples where being able to turn WordPress off using a static site is a good fit. Let&#8217;s do that first.</p>\n\n\n\n<p>[00:34:46] Patrick Posner: Sure. So, a good fit for a static WordPress website is a corporate website. It&#8217;s the most basic example. So yeah, traditional WordPress website for your plumbing service or whatever you do for a living. These sites are a perfect case for static sites. They rarely change. They don&#8217;t have any highly dynamic interaction with the WordPress website. You export them, leave them online, and that&#8217;s all you need.</p>\n\n\n\n<p>Another good example are blogs. So you can serve your entire blog as a static website and use little tricks to make something like comments work. So there are a bunch of tools and they are not that expensive to make comments work on your static website. You can publish new articles quite easily with Simply Static. So that&#8217;s a good case too.</p>\n\n\n\n<p>There are more specific types of websites that are also good fit. Think of documentation websites, where you add or improve the copy of the documentation, but you rarely switch the entire design, for example, for a documentation website.</p>\n\n\n\n<p>Another good fit are landing pages or lead generation websites. Think of AdWords landing pages or just an SEO landing page optimized for a specific keyword. Those pages are mostly small, so the static export is quite fast. And you don&#8217;t have to worry about updates or is my lead generation form working and all of that.</p>\n\n\n\n<p>Another thing that is often offloaded from the traditional website, and is more common in an enterprise context are career and department websites. So you have a separated career portal for all the jobs you are offering or you&#8217;re planning to offer to start a new department. And these pages are often separated from the main website. So like department-x.my domain.com, for example.</p>\n\n\n\n<p>[00:36:45] Nathan Wrigley: Yeah, perfect. So essentially what we&#8217;re saying there is, if the site is more or less static, then it&#8217;s a definite fit. So a corporate website. But even if it&#8217;s being modified, not necessarily being modified every few moments, then a blog for example. This is perfect. So all of those scenarios are a perfect fit. If you can say that you&#8217;re going to modify it not every moment of every day, then it seems to be a good fit.</p>\n\n\n\n<p>But that leads us onto the areas where potentially it&#8217;s not a good fit. And really this is where the dynamic stuff comes in. Any website which needs access to the database because it&#8217;s doing database intensive queries, that&#8217;s probably the area where it&#8217;s not such a good fit. So let&#8217;s go into the not good fits then.</p>\n\n\n\n<p>[00:37:30] Patrick Posner: So what the dynamic is key here. So there are a bunch of types of websites that obviously aren&#8217;t a good fit for a static website. The most common one is eCommerce websites. So think of WooCommerce as the most popular eCommerce solution for WordPress. You don&#8217;t really want to run a WooCommerce store as a static website. People need to be able to add things to their cart. They need to be able to log in to their customer account to download invoices or review their orders, and all of such things. I mean, you can do that with a static website, but it&#8217;s really a challenging part and you don&#8217;t want to do that.</p>\n\n\n\n<p>Another common thing, especially in the last couple of years are membership or community websites. So all kind of websites that really are highly interactive. People commenting. People sharing. There are subtypes of that like, forums or you even use like BuddyPress to have your own little social media space or corporate intranet where people discussing topics and you don&#8217;t really have a control over the publishing. There are a lot of users, high interactivity. It wouldn&#8217;t just make sense to publish a static version of a forum thread each time someone submits a new reply to it.</p>\n\n\n\n<p>[00:38:48] Nathan Wrigley: You imagine things like LMSs and e-commerce websites, where more or less everything that the end user wishes to do involves sucking something out of the database. So yeah, I can see why those scenarios won&#8217;t work. So that&#8217;s a nice clear definition. There&#8217;s definitely good fits here and there&#8217;s areas where, yeah, you probably could make it fit, but really, at that point you&#8217;re probably needing to really push the boundaries a little bit.</p>\n\n\n\n<p>In terms of the product that you&#8217;ve got, so Simply Static,. You have a version on the WordPress repo, but you also have a paid version. Typical case is, if there&#8217;s a paid version, there&#8217;s probably some extra features. Would you just like to outline the difference between what you have to do with the free version and what you can do. We&#8217;re recording this at the beginning of 2023, so caveat emptor, things may change, but at this moment in time, what&#8217;s the difference between the two different products that you offer?</p>\n\n\n\n<p>[00:39:44] Patrick Posner: Sure, happy to clarify that. So, Simply Static Pro works kind of like an add-on to Simply Static. And, the major difference is the convenience and the amount of automation provided. So while you can use Simply Static in the free version to generate a static version of your website, getting a zip and uploading it to Netlify. Simply Static Pro offers automation.</p>\n\n\n\n<p>That means you can connect Netlify directly, or you can connect services like Bunny CDN directly. And you don&#8217;t even need to log into Netlify to publish a static version. You can just simply use the generate button. And once you set up the configuration, everything is automated. So you generate the website and the files are automatically transferred to Netlify.</p>\n\n\n\n<p>There&#8217;s also a point of convenience in the ability to export subsets of your website. So you do a full static export at the start and you have your website running on Netlify and you just want to publish a new post. Or you want to export a collection of pages with their images based on a taxonomy, for example. This is where also Simply Static provides additional features, like single exports and build exports. Build exports, work like a taxonomy. You attach posts, pages, images, additional files, and you can export the entire subset with a simple click of a button. These are two of the main reasons people are using Simply Static Pro.</p>\n\n\n\n<p>Another thing is the idea to avoid external services as much as possible. That&#8217;s why Simply Static Pro&#8217;s also shipping with a forms integration, for example. We&#8217;re currently supporting Contact Form 7 and Gravity Forms, but we also figured out ways to use Elementor forms or Formidable Forms and a bunch of others. To use them without a service like Formspark we mentioned earlier.</p>\n\n\n\n<p>The idea is that your WordPress website is on a protected area and Simply Static Pro is forwarding the requests from your static website to your dynamic WordPress website by authenticating and submitting it back to WordPress and receiving the request on the static website with JavaScript, where I have a similar approach with the built in search integration.</p>\n\n\n\n<p>So Simply Static Pro ships with two different tools to make search work. One is fuse.js. It&#8217;s basically dependency-less JavaScript solution for search. We&#8217;re building json file, it&#8217;s a physical file on your server that contains all the search results that are available as content on your website.</p>\n\n\n\n<p>We&#8217;re fetching the titles, the description, and the complete, the full HTML content of each page. Storing that on a physical file and once a user starts typing the search, there is a auto complete feature suggesting results. User clicks on it and the search integration handles a redirection to the correct page.</p>\n\n\n\n<p>There&#8217;s another integration with Algolia. Algolia is a paid service. It&#8217;s like an online search solution, which is quite powerful as they handle fuzzy search and synonyms for you or typo tolerance search. So if someone types in a keyword of a typo, Algolia makes sure that he still finds the correct content.</p>\n\n\n\n<p>But in the end it works the same way. The major difference here is that Fuse.js has a physical file, which I wouldn&#8217;t recommend for a pretty huge website, but it&#8217;s fine for a standard website. So if you have like a simple corporate website, you can feel free to use Fuse.Js. But if you have like 150 K pages corporate website, I wouldn&#8217;t recommend Fuse.Js as a json file. I mean, you can imagine that the json file is adding up in size pretty quickly if you have 100,000 results stored in there.</p>\n\n\n\n<p>That&#8217;s where Algolia comes into play. Algolia is also really cheap. So you pay nothing for like 10 K searches per month and I don&#8217;t know, $2 for an additional 10 K search results. So it&#8217;s not a huge cost attached to your static site overall cost.</p>\n\n\n\n<p>[00:44:14] Nathan Wrigley: The number one thing that I take away from that is the pro versions really is adding, for the typical user, it&#8217;ll be adding convenience. The ability to, if you like, sync your WordPress website with wherever it&#8217;s hosted. So rather than having to download a file, take it over and upload it, you just click a button and the plugin takes care of that. Makes a decision about what it is that needs to pushed over and so on. So, yeah that&#8217;s really interesting.</p>\n\n\n\n<p>Patrick, we&#8217;re running out of time, but just very briefly, last question really is all about the future. You&#8217;ve obviously had experience of this now for two years. It sounds like you&#8217;re in it for the long haul. What have you got in the pipeline? What&#8217;s on the roadmap for the next period of time?</p>\n\n\n\n<p>[00:44:56] Patrick Posner: Yeah, so I just finished the roadmap for this year for Simply Static. So a bunch of things planned. One thing I&#8217;ll be launching simplystatic.com next month? Yeah, I think it will be next month. And it will contain all information collected for Simply Static and Simply Static Pro. All tutorials, a free course on how to use WordPress as a static site generator that I&#8217;m just in the middle of the production phase.</p>\n\n\n\n<p>We&#8217;ll also improve the onboarding for new developers and optimizing the way of contribution on GitHub. That means writing guides, how to contribute, offering documentation, how the code style is working, and what we expect from a commit or pull request. Offering a bunch of new issues to pick from. I got quite a lot of inspiration from the WordPress project itself. So you can imagine finding things like good first issue. In the future on the GitHub repository of Simply Static.</p>\n\n\n\n<p>There&#8217;s also a huge relaunch plan for the entire admin area of Simply Static. I&#8217;m already six month in a new ui ux concept for Simply Static. I try to completely modernize the look and the feeling of Simply Static and the configuration, and simplify a lot of the those things to make it easier for end users to use Simply Static, and get all the benefits without knowing about what is GitHub or what is deployment or things like that.</p>\n\n\n\n<p>So, easier wording, easier configuration. A little wizard that asks a couple of questions and preconfigures Simply Static for you, to make it as easy as possible. There&#8217;s also an ongoing task that we have pretty much like every WordPress plugin out there. So we like to improve the integration with popular plugins like Elementor, SEO plugins.</p>\n\n\n\n<p>This week we just shipped a huge update for the Simply Static free version. That contains an automation for XML site maps. So we automatically check which SEO plugin you use, finds the XML site map and add it to the static export so you don&#8217;t have to even know that you have a XML site maps, as long as you have a SEO plugin installed and basically configured, Simply Static will now be able to pass the XML sitemap and extract all URLs provided there.</p>\n\n\n\n<p>We&#8217;re also planning to build an official integration with the really popular Autoptimize plugin, make the HTML, CSS minification and bundlings that Autoptimize offers work with Simply Static without any additional configuration.</p>\n\n\n\n<p>[00:47:38] Nathan Wrigley: Sounds like there&#8217;s a lot.</p>\n\n\n\n<p>[00:47:40] Patrick Posner: I&#8217;m always planning a lot, but I also onboarding new people to the team. So, there&#8217;s a developer helping me right now with the Simply Static tasks and I may be able to onboard an additional developer, or maybe if someone is willing to lose the job, someone helping with support.</p>\n\n\n\n<p>Feel free to reach out if you are a technical person and maybe not a developer, and you would like to help with customer support for Simply Static. So I would really appreciate it.</p>\n\n\n\n<p>[00:48:10] Nathan Wrigley: Perfect segue Patrick, because the final question I want to ask is how do people contact you? Where are you online? That could be anything you like, an email address, obviously your contact form page on your website, but Twitter handle. Whatever you like.</p>\n\n\n\n<p>[00:48:23] Patrick Posner: Yeah, so patrickposner.dev is my website. You find all the information about Simply Static and Simply Static Pro here. And you can always reach out to me at hello@patrickposner.dev. I&#8217;m also quite active on Twitter, so @patrickposner_. Don&#8217;t ask me why there&#8217;s an underscore. That&#8217;s the two best ways to reach out to me.</p>\n\n\n\n<p>[00:48:47] Nathan Wrigley: Patrick Posner, thank you very much for chatting to me on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:48:52] Patrick Posner: Thanks for having me.</p>\n</div>\n\n\n\n<p>On the podcast today, we have <a href=\"https://patrickposner.dev/\">Patrick Posner</a>.</p>\n\n\n\n<p>Patrick is a solopreneur and has been developing with WordPress since 2010. He’s worked in many environments, as a freelancer, a senior developer in a WordPress product company, and since 2020 he’s been working full time on his own projects.</p>\n\n\n\n<p>One of his projects is a plugin called <a href=\"https://wordpress.org/plugins/simply-static/\">Simply Static</a>. Its purpose is to make a static version of your website. This, of course, begs the question, what is a static site?</p>\n\n\n\n<p>Back in the early days of the internet, before WordPress, if you wanted to put a website online, you had to write the HTML yourself. You opened up a text editor and started to type. When you’d finished, you had an HTML file which you uploaded to a server somewhere, and if someone wanted to view that page, the server would send over that file. It worked, but, thankfully, it didn’t stay that way for long.</p>\n\n\n\n<p>Software for desktops were developed which would create the HTML for you. CMSs such as WordPress would take this further and create the HTML and CSS based upon the content you’d created and theme that was active.</p>\n\n\n\n<p>This was extremely convenient, but when all is said and done, the output is still the same as it was years ago, HTML, CSS and possibly some JavaScript.</p>\n\n\n\n<p>Depending upon your setup in WordPress, quite a lot of complicated operations are needed to generate that code. Caching aside, is there a case for saving your HTML files, uploading them to a server and then taking WordPress offline? Patrick certainly seems to think so.</p>\n\n\n\n<p>We talk about how this flattening of your website takes place, and what the advantages might be in terms of speed and the cost of hosting.</p>\n\n\n\n<p>We also get into the pros and cons of adopting the static site approach. Are there sites which are more suited to being static than others?</p>\n\n\n\n<p>We also discuss what solutions are out there to make this happen, from Patrick’s own plugin to the hosting providers and SaaS solutions, which enable things like search and forms to still function.</p>\n\n\n\n<p>It’s a really interesting subject and one that you might like to explore, and this podcast is a great primer for that.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/simply-static/\">Simply Static plugin on the WordPress repo</a></p>\n\n\n\n<p><a href=\"https://patrickposner.dev/plugins/simply-static/\">Simply Static Pro website</a></p>\n\n\n\n<p><a href=\"https://patrickposner.dev/\">patrickposner.dev website</a></p>\n\n\n\n<p><a href=\"https://www.netlify.com/\">Netlify</a></p>\n\n\n\n<p><a href=\"https://pages.github.com/\">GitHub Pages</a></p>\n\n\n\n<p><a href=\"https://localwp.com/\">LocalWP</a></p>\n\n\n\n<p><a href=\"https://pages.cloudflare.com/\">Cloudflare Pages</a></p>\n\n\n\n<p><a href=\"https://formspark.io/\">Formspark</a></p>\n\n\n\n<p><a href=\"https://www.mailpoet.com/\">MailPoet</a></p>\n\n\n\n<p><a href=\"https://bunny.net/cdn/\">Bunny CDN</a></p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/contact-form-7/\">Contact Form 7</a></p>\n\n\n\n<p><a href=\"https://www.gravityforms.com/\">Gravity Forms</a></p>\n\n\n\n<p><a href=\"https://elementor.com/\">Elementor</a></p>\n\n\n\n<p><a href=\"https://formidableforms.com/\">Formidable Forms</a></p>\n\n\n\n<p><a href=\"https://fusejs.io/\">Fuse.js</a></p>\n\n\n\n<p><a href=\"https://www.algolia.com/\">Algolia</a></p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/autoptimize/\">Autoptimze</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 22 Feb 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:123:\"WPTavern: New Proposal Seeks to Update WordPress Release Process for Merging Gutenberg Features After Beta 1 Feature Freeze\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142157\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:134:\"https://wptavern.com/new-proposal-seeks-to-update-wordpress-release-process-for-merging-gutenberg-features-after-beta-1-feature-freeze\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6372:\"<p>WordPress lead developer Andrew Ozz has published a <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">proposal</a> for the addition of a new &#8220;gutenberg-merge&#8221; ticket type that would formalize the latitude Gutenberg contributors have been given for committing code after Feature Freeze during the release cycle.</p>\n\n\n\n<p>Ordinarily, any new features and enhancements landing in the release are required to be committed before Beta 1 so they can be ready for testing. It used to be the case that tickets could be changed from “enhancement” to “task” right before Beta 1 as a rare exception for items that were not ready in time for beta and just needed a few more days to get committed. </p>\n\n\n\n<p>&#8220;The intent was to allow another two or three days, not a week or two,&#8221; Ozz said. &#8220;This exception used to happen quite rarely, perhaps a few times per year.</p>\n\n\n\n<p>&#8220;However lately this exception has become part of the standard release workflow. In recent years, it’s become common for 15 to 20 tickets for code coming from Gutenberg to be changed to tasks each release. The reason they are changed is not to give the developers a few more days to complete them. It is mostly to signify that they are going to be committed later.&#8221;</p>\n\n\n\n<p>Ozz contends that because the Gutenberg feature plugin is used on more than 300,000 site, including WordPress.com, and because 60% of users rapidly update to the latest version, that any features and enhancements coming from Gutenberg have already been tested.</p>\n\n\n\n<p>The comment section of the proposal is active with differing opinions. Several participants in the discussion did not agree that just because features are in the plugin does not mean that they have been adequately tested against the goals they were intended to achieve.</p>\n\n\n\n<p>&#8220;Something that worries me about how this could work is, that currently the level of documentation for features that land in core have a higher standard than Gutenberg merges,&#8221; Core contributor Fabian Kägy said. &#8220;Once we approach the beta 1 time the documentation team goes through all the features that were merged in that cycle, making sure there are dev notes for any changes that might impact users / developers. If this deadline is shortened this also means that it may become harder to uphold this standard.&#8221;</p>\n\n\n\n<p>Kägy also noted the challenges of plugin and theme developers testing their extensions against core in order to ensure compatibility with the latest version.</p>\n\n\n\n<p>&#8220;With this changed workflow the actual amount of time where you know with a pretty large likelihood what features will be part of a given core release becomes shorter, making it more difficult to ensure compatibly with a release in time of the release,&#8221; Kägy said.</p>\n\n\n\n<p>Core contributor Peter Wilson <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/#comment-44390\">outlined</a> two concerns with the proposal: </p>\n\n\n\n<ul>\n<li>by treating&nbsp;Gutenberg&nbsp;as a special case, it will increase the&nbsp;conflict&nbsp;between those who primarily work in the WordPress-Develop repository and those who primarily work in the Gutenberg repository,</li>\n\n\n\n<li>bypassing the feature freeze requirements for the editor goes against the contention that <a href=\"https://make.wordpress.org/core/2022/08/18/wordpress-development-setup/\">Core is Gutenberg and Gutenberg is Core</a>.</li>\n</ul>\n\n\n\n<p>Wilson said the late merging of Gutenberg features has &#8220;been a source of conflict for several years.&#8221;</p>\n\n\n\n<p>&#8220;Bulk merges of Gutenberg features late in the cycle have also been an issue <a href=\"https://make.wordpress.org/core/2019/11/25/devchat-after-the-hour-november-20/\">reported from both those who work primarily in the Gutenberg repo and those who work primarily in the WordPress-Develop repo</a>,&#8221; he said. &#8220;For years incremental merges during the cycle have been advocated but never achieved per the comments in the linked post.&#8221;</p>\n\n\n\n<p>Wilson also disagrees with the proposal&#8217;s assertion that features developed in the Gutenberg repository are better tested in the feature plugin, as the goal of the Beta and RC periods are to test the release as a whole.</p>\n\n\n\n<p>&#8220;With Gutenberg as a plugin <a href=\"https://github.com/WordPress/gutenberg/blob/cc497909ef1deb51c5bc4d6d43f334131bf31194/lib/blocks.php\">replacing core blocks with the plugin’s versions</a>, testing the release as a whole doesn’t happen until after the editor changes merged in to WordPress-Develop,&#8221; Wilson said.</p>\n\n\n\n<p>&#8220;It’s only once Gutenberg is merged in to WordPress-Develop that the unit tests start running on various <a href=\"https://make.wordpress.org/hosting/test-results/\">hosting providers running the test suite</a> in a range of environments.&#8221;</p>\n\n\n\n<p>WordPress Core Committer Joe McGill encouraged the proposal&#8217;s authors to <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/#comment-44400\">elaborate on the policies and expectations</a> that will be applied to committing patches to tickets designated with the new ticket type. </p>\n\n\n\n<p>&#8220;For example, should all of these commits be completed before RC-1, unless a bug is discovered during the RC period—and only the fixes discovered be committed, or are there other rules in play?&#8221; McGill said. &#8220;Personally, I still think that we should aim to have code for any major new feature merged before the Beta-1 milestone, regardless of whether it’s being tested in the Gutenberg plugin or not.&#8221;</p>\n\n\n\n<p>The discussion is ongoing in the comments of the proposal. Although the proposed changes primarily affect core contributors, committers, and release leads, they also impact testers and WordPress&#8217; plugin and theme developer community working to ensure compatibility ahead of a major release. Those who have feedback on how Gutenberg features are handled during and after &#8220;feature freeze&#8221; should jump in on the comments of the <a href=\"https://make.wordpress.org/core/2023/02/18/proposal-updates-to-the-wordpress-release-cycle/\">proposal</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Feb 2023 22:44:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Do The Woo Community: Regulated Cryptopayments with Jonathan Wood\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=74490\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://dothewoo.io/regulated-cryptopayments/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:404:\"<p>Kathy, Brad and Dave chat with Jonathan Wood from HAYVN chat about crypto payments and regulatory, two words you don\'t hear often together.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/regulated-cryptopayments/\">Regulated Cryptopayments with Jonathan Wood</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 21 Feb 2023 09:12:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: Meetup.com Follows Through on Commitment to Improve Website Accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142142\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wptavern.com/meetup-com-follows-through-on-commitment-to-improve-website-accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2385:\"<p>In November 2022, Meetup.com raised concerns with the WordPress community (and the broader community of accessibility professionals) after it <a href=\"https://wptavern.com/meetup-com-raises-concerns-with-new-accessibility-overlay\">added an accessibility overlay</a> to its website, powered by <a href=\"https://www.equalweb.com/html5/?_id=8591&did=1116&_gid=202027&trace=equalweb_menu_en_\">EqualWeb</a>. Accessibility advocates and professionals unequivocally discourage the use of overlays as they are often marketed as a quick fix for making websites ADA compliant and immune from legal action when the accessibility issues persist underneath.</p>\n\n\n\n<p>Meetup.com <a href=\"https://wptavern.com/meetup-com-removes-accessibility-overlay-in-response-to-wordpress-communitys-concerns\">removed the accessibility overlay</a> in response to the WordPress community’s concerns and committed to focus on direct improvements to the Meetup.com platform. WordPress&#8217; Accessibility team <a href=\"https://make.wordpress.org/community/2023/02/17/meetup-com-accessibility-overlay-february-update/#respond\">reports</a> that the company is following through with this undertaking and has completed an assessment with <a href=\"https://www.deque.com/\">Deque</a>, a well-respected accessibility consultancy.</p>\n\n\n\n<p>The assessment identified 732 issues that need to be resolved, which Meetup.com plans to address through two phases. Approximately 40% of the issues are related to design and color contrast. These will be resolved in the first phase with the help of an external consultant who will guide Meetup.com&#8217;s engineers and staff to fix issues and ensure ongoing compliance. In the second phase, the company will tackle the remaining issues which center on web remediation. These include problems with the site&#8217;s component library and website components. </p>\n\n\n\n<p>Meetup.com serves approximately <a href=\"https://www.crunchbase.com/organization/meetup/technology\">24 million visitors</a> every month in more than 190 countries. The WordPress project uses the platform for local meetups and educational events &#8211; both virtual and in-person. As a result of WordPress&#8217; diplomatic advocacy and Meetup.com&#8217;s reception to user feedback, the platform will soon provide a better experience for people with disabilities and those who use assistive technology.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Feb 2023 22:57:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WPTavern: WordCamp London In Early Planning Stages for September 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142125\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wptavern.com/wordcamp-london-in-early-planning-stages-for-september-2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2131:\"<p>The organizers of WordCamp London are in the <a href=\"https://twitter.com/WordCampLondon/status/1626199074876624897\">early planning stages</a> for an event that would take place in September 2023. It has been nearly four years since London hosted a WordCamp. The event was cancelled in 2020 and scheduling was not resumed until recently.</p>\n\n\n\n<p>Organizers have created a <a href=\"https://wclondon.crowdsignal.net/delivering-wordcamp-london-2023-1a72\">survey</a> that respondents can take anonymously in approximately 2-3 minutes. The questions were created to help them know how to shape the event. In 2019, <a href=\"https://london.wordcamp.org/2019/\">WordCamp London brought in 768 attendees</a> and sessions were livestreamed for the first time. Organizers are asking how many people attendees would like to see at WordCamp London, with options ranging from fewer than 400 to more than 800. A few popular WordCamps in recent years have elected to keep a smaller number of spots available in order to better manage uncertainties and ensure a sold out event.</p>\n\n\n\n<p>The survey also attempts to gauge potential attendees&#8217; preferences on the number of conference days, as well as interest in volunteering, organizing, sponsoring, or speaking at the event. There is an option at the end for respondents to leave their contact information to stay in the loop on opportunities to participate in and support the WordCamp.</p>\n\n\n\n<p>For many in Europe, and especially the UK, WordCamp London was their first WordCamp experience. Those interested to attend can <a href=\"https://london.wordcamp.org/2023/\">sign up for updates</a> on the placeholder website, or follow the camp on <a href=\"https://twitter.com/WordCampLondon\">Twitter</a> or <a href=\"https://connected.so/@WordCampLondon\">Mastodon</a>. For those in the local area, the WordPress London Meetup has opened <a href=\"https://www.meetup.com/london-wordpress/events/291658618/\">registration</a> for this month&#8217;s gathering at The Liberty Bounds. They plan to discuss WordCamp London and reconnect and will resume having speakers and pizza at future events. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Feb 2023 21:41:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WordCamp Central: WooCommerce sponsors WordPress community events across the globe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3161236\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://central.wordcamp.org/news/2023/02/woocommerce-sponsors-wordpress-community-events-worldwide/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1615:\"<p>We’re very grateful to&nbsp;<a href=\"https://www.woothemes.com/woocommerce/\">WooCommerce</a> for&nbsp;<a href=\"https://central.wordcamp.org/global-community-sponsors/\">sponsoring WordPress community events all around the world</a>&nbsp;at the Bronze level again in 2023! WooCommerce’s support helps make local community events (like WordPress meetup groups and WordCamps) better for WordPress enthusiasts and easier to organize for our wonderful group of hardworking volunteers.</p>\n\n\n\n<a href=\"https://central.wordcamp.org/files/2019/03/Copy-of-woocommerce-logo-color-black@2x-2.png\"><img /></a>\n\n\n\n<p>WooCommerce is a customizable, open-source eCommerce platform built on WordPress.&nbsp;</p>\n\n\n\n<p>Sell anything online with the flexibility and freedom of the world’s most popular CMS.</p>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/plugins/woocommerce/stats/\">4+ million active installations</a></li>\n\n\n\n<li>55+ million downloads</li>\n\n\n\n<li>450+ extensions to add and extend functionality</li>\n</ul>\n\n\n\n<p>Whether you’re selling a few handcrafted items to a niche market, taking an existing business online, or going global with an enterprise-level eCommerce business WooCommerce gets you set up and selling fast, scaling securely as you grow.</p>\n\n\n\n<p>Your content is forever yours and customizable down to the button color. Plus you’re joining a supportive, <a href=\"https://woocommerce.com/meetups/\">global community</a> of developers and store owners.</p>\n\n\n\n<p>Developed and supported by a distributed team, WooCommerce is powered by Automattic, the creators of Jetpack and WordPress.com.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Feb 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"Post Status: Product People Arnas Donauskas, Web Hosting Product Owner at Hostinger  — Post Status Draft 141\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=147310\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"https://poststatus.com/product-people-arnas-donauskas-web-hosting-product-owner-at-hostinger-post-status-draft-141/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:38855:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">Arnas Donauskas, Web Hosting Product Owner at <a href=\"https://www.hostinger.com/\">Hostinger</a>, joins Cory Miller to discuss his WordPress product. Arnas leveraged his experience in customer success and UX research to transition into owning a WordPress product. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">3</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p>In this episode, Cory Miller and Arnas Donauskas, Web Hosting Product Owner at&nbsp; <a href=\"https://www.hostinger.com/\">Hostinger</a>, talk about what it means to truly value customer obsession. This core value has shaped Arnas’ career path, from his roots in customer service to creating products to provide simple website restoration and security for principal vulnerabilities.</p>\n\n\n\n<p><strong>Top Takeaways:</strong></p>\n\n\n\n<ul>\n<li><strong>Customer Obsession. </strong>Users are facing daily challenges that need real-time solutions. Think about their problems. Value their feedback. Sometimes clients are limited because we haven’t kept up with the speed of evolving technology. Approaching things from a user perspective to prioritize and build products creates optimal impact.</li>\n\n\n\n<li><strong>Removing Manual Work. </strong>Wherever possible, we are working to automate things to provide more easy buttons for clients. Automating things, creating single-click solutions, and providing the best examples and guidance to reduce users\' steps to accomplish tasks.</li>\n\n\n\n<li><strong>Possibilities with AI. </strong>Everyone is eager to see how AI will change the industry. Cory and Arnas discuss the potential opportunities AI creates to build even better products in the future.</li>\n</ul>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<div class=\"is-layout-flex wp-container-46 wp-block-columns sponsor has-theme-palette-8-background-color has-background\" id=\"StellarWP\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3 class=\"StellarWP has-theme-palette-1-color has-text-color\" id=\"Sponsor\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <span><a href=\"https://poststat.us/elementor\" rel=\"sponsored nofollow\">Elementor</a></span></h3>\n\n\n\n<p><strong>Elementor </strong>enables web creators to build professional, pixel-perfect websites with an intuitive visual builder. Quickly create amazing websites for your clients or your business with complete control over every piece, without writing a single line of code. Join <a href=\"https://elementor.com/community/\">a vast community of web creators</a> from all around the world who deliver exceptional websites using Elementor.</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-top\"><div class=\"wp-block-image elementor-logo\">\n<img src=\"https://cdn.poststatus.com/wp-content/uploads/2022/08/Elementor-Logo-Symbol-Blue-150x150.png\" alt=\"Elementor\" class=\"wp-image-104033\" width=\"150\" height=\"150\" title=\"Elementor Logo\" />Elementor</div></div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul>\n<li><a href=\"https://twitter.com/Hostinger\">Hostinger</a></li>\n\n\n\n<li><a href=\"https://www.hostinger.com/\">Hostinger Website</a></li>\n\n\n\n<li><a href=\"https://ithemes.com/backupbuddy/\">Backup Buddy</a></li>\n\n\n\n<li><a href=\"https://openai.com/blog/chatgpt/\">Chat GPT</a></li>\n\n\n\n<li><a href=\"https://www.cloudflare.com/\">Cloudflare</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li>Arnas Donauskas (Web Hosting Product Owner at&nbsp; <a href=\"https://twitter.com/Hostinger\">Hostinger</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p><strong>Cory Miller:</strong> [00:00:00] Welcome to Post Status Draft. We\'ve got another series in our product people interviews and I have a new friend named Anis from, uh, hosting her. We\'ve been talking about Lithuania, where hosting is based and his beautiful full country. And tell him that I can\'t wait to visit sometime. But welcome to the post draft podcast artist.  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Hi Corey, and thanks for inviting me. Uh, it\'s been a pleasure being in this, you know, uh, uh, podcast and, uh, yeah. Uh, let\'s get started on that one. Right. Okay.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Um, so could you tell me what you do at hosting?&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, yeah, of course. So, uh, right now at hosting here, I\'m a web hosting product owner. And, uh, yeah, this is the current troller I\'m, uh, going with and I did had some previous roles in hosting her as well. And yeah, I, a short journey perhaps, uh, what I did [00:01:00] at, at hosting.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. Yeah. Would you, would you tell me about, oh, well, let me ask you one question first. Yeah. Yeah. So when you say web product owner, that obviously, I\'m sorry, web hosting product owner? Yeah, yeah, yeah.  </p>\n\n\n\n<p>That, that includes WordPress. Yeah. Yeah, yeah. If there\'s more that you do in that role, or is it concentrated on WordPress?&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, so WordPress is only a part of what we do. Mm-hmm. , uh, but we cover everything that involves hosting, uh, all of the features of the hosting. Uh, basically whatever you have to do on hosting, this is our responsibility to manage it, um, develop it.  </p>\n\n\n\n<p>Um, Any new features, perhaps, uh, clients feedback. Uh, clients want something new and uh, they find it really awesome to use it. Or perhaps clients face some kind of an issue with hosting and we see trouble over there and we want to assist clients. Um, this is our job, you know, to make it, uh, happen and deliver it to them.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Awesome. [00:02:00] Well, okay, before I get into WordPress, I\'m, we\'re gonna geek out on WordPress and the WordPress product at Hosting Gear, but tell me your story. Where, how did you get here? You just mentioned you had been in a couple roles before the web hosting product owner at Hosting Gear. So how, how\'d you get started in this and, and end up as the, uh, today as the product owner?  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, yeah, of course. So everything started almost three years back. Uh, next month it, it\'ll be my three years anniversary. And, uh, I\'ve started as a customer success specialist. I worked there for over a year and, uh, yeah, over the journey in the Success Special Specialist role, I noticed that I had, uh, Um, let\'s say I liked working towards website issues that clients came to us and they delivered their problems.  </p>\n\n\n\n<p>And, uh, over time I got, you know, I naturally noticed that they are way more, uh, WordPress clients compared [00:03:00] to other platforms. And, uh, only later on in my future also understand by looking at the data directly, what\'s the actual difference in there? Cuz I didn\'t, you know, read something online in that time and, I over time board press, I guess, grew on me in the success, uh, specialist role.  </p>\n\n\n\n<p>Uh, I did more digging in, you know, the plugins, what are the actual critical errors mean and how we can, you know, help clients fixing on them. And, uh, yeah, so I did that role, uh, for over a year and then I got an a job promotion opportunity. To be a UX researcher. What I did in that role is found out what our, what issues our clients had, uh, where they struggled using our services as a hosting provider, including the control panel they used every day, and the [00:04:00] services in general.  </p>\n\n\n\n<p>Perhaps their site speed is slow and we have to find out what exactly their clients know dealing. And work on that. So yeah, as a UX researcher, that was my main role. And if we happen to, you know, design some something new, I would be that guy who\'s telling, okay, in here we must have this, this, this.  </p>\n\n\n\n<p>Because our clients face the issues here daily and we want to address that part and, you know, make that happen and solve that. And after, you know, everything, we measured the numbers, how it helped for our users, perhaps we. Missed something releasing here or, uh, we should update something here. And yeah, we worked on that as well.  </p>\n\n\n\n<p>And, uh, after the UX research role, I got offered a role as a product associate. Uh, so in for me, product associate is like a, a starter role of product owner, uh, [00:05:00] because you. Learning things that you are gonna do as a product owner. So they are prioritizing issues. Uh, for, uh, for developers, what we\'re gonna work on, what is the most important things for our client to get shipped as fast as possible.  </p>\n\n\n\n<p>And everything is based on our client\'s needs, what they face daily. Uh, Know, seeing the bigger picture, checking online trends, what is happening in the industry? What is happening in the, the WordPress world? Uh, if something happens, uh, like let\'s say, uh, a random example, new AI drops that generates WordPress websites automatically, why we still don\'t have it?  </p>\n\n\n\n<p>What\'s blocking us to delivering this to our clients? And uh, and uh, yeah, so when I worked in that role and gathered my experience as a product associate, I was, uh, offered to work as a product owner of web hosting that which includes WordPress and, [00:06:00] uh, yeah, working on the delivering features to our clients that, uh, means them the most, uh, that, uh, automates, uh, you know, Painful manual areas of set, setting up things for the website and yeah, in general, on the web, on the hosting platform, I see it in the way that I want to help and automate things as much as possible for our clients so they wouldn\'t have to deal with that struggle manually and doing everything by hand.  </p>\n\n\n\n<p>Let\'s see. From that perspective,&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I think that\'s the ideal, you know, if I could create an ideal path to being a product owner. It\'s that you spent your first career in customer success seen firsthand. That\'s the cutting edge of any software or hosting business because, um, for the first eight months of my tenure starting ithe, I did cus I did all of the customer support and success for our, our company.  </p>\n\n\n\n<p>And that gave [00:07:00] me a bird\'s eye view. I mean, Really face-to-face view of the problems and what people were encountered when they\'re trying to get something done. So that\'s number one. I I love that that\'s where you got your start, because you\'re always gonna stay close and sensitive to the needs of the customer.  </p>\n\n\n\n<p>And then second, you a you, you asked, I\'m like, so I obsessed. Over the experience of a customer, what are other problems? And you found those often in the support. Anything that kind of hanged up, you\'re like, that\'s a problem that we can try to eliminate. And sometimes it\'s software code and sometimes it\'s, it\'s that UX and UI part, part of that.  </p>\n\n\n\n<p>So I love that background leading to be a product owner because I think those are. Key experiences that make a good product owner, like a part of the whole mix make, cuz you see firsthand what people are trying to do and that knowledge and experience comes in and it gets baked into how you lead your team.  </p>\n\n\n\n<p>So I, I love that background. [00:08:00] I.&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> One thing I could add is that throughout this, you know, past experience, what really also helped out, you know, the product knowledge, if we had to like, collaborate with the teams, the, the developers to give them the feeling, how the users see it and how they use it, it really, you know, assisted in that area as well.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. And, and I know hosting from T to Dominica, your ceo, cmo, and different people on your team at work camp past couple months, um, When there\'s people that say Customer obsession is our core value, but I hear it over and over authentically from everybody I talked to at Hozier and then knowing that the product owner came from that, like, you know,&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> the best feedback always comes from the clients. That\'s why, you know, uh, we do have, I regularly have, uh, uh, interviews with the clients. Uh, just hearing what they have to say about the product, uh, the better they like it or don\'t [00:09:00] just, you know, uh, raw data from, directly from the user who tells it the best, what, what\'s their experience with our services.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Okay. Thank you for that background. I like to tell the human side of the story of the people leading the products that we use out there. Um, and that\'s what this series is all about. So that\'s why I stick there and like, who\'s the human behind leading the product? And thank you for sharing your journey there.  </p>\n\n\n\n<p>Um, okay, now let\'s dig into product. Let\'s Geek Adam product. So, I love that you saw like naturally in the form, like so many people were talking about WordPress and that kinda led to this. So that form helps formulate your experience. But tell me about the product that you\'re leading now, um, at Hoer, um, related to WordPress.  </p>\n\n\n\n<p>Um, what things are you excited about that you\'ve done? Shapes or your experience and your team experience, and obviously the customers, but tell me some things that stick out a part of the.&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Um, yeah, so [00:10:00] about the feature set that I\'m really excited that we recently, uh, released would be, uh, one of the things that, uh, we directly bring to the clients is, uh, a simple website restoration.  </p>\n\n\n\n<p>Uh, and it\'s, uh, Basically, uh, pre what we\'ve improved, uh, uh, right now, users, workers users will not have to select any files and database they have to restore. The only thing they have to select is data. Uh, what we remove, what we wanted to remove here is the struggle, selecting files and database separately.  </p>\n\n\n\n<p>And yeah, we just wanted, you know, uh, just select the date. If you, uh, remember, you know, the, the working one, no, if you don\'t, no worries. You can just restore the, another one as we save quite a few of the, of the backups, uh, on our services. And yeah, all of the processes are fully automatic. After that, you just click restore and that, that\'s that.  </p>\n\n\n\n<p>And, um,&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I, I think that\'s, uh, before you go on, I think that is, is [00:11:00] really awesome that that\'s the first one you listed because we\'ve all been there where we break a site doing something or something\'s, some event is happening in scrambling and, and I think we had a plugin call back buddy, so I know this subject really well.  </p>\n\n\n\n<p>It\'s like, and I\'ve been there where you, you break something and you just wanna roll back the change without having to go into all these. Processes and stuff. And then the facts of the web is something\'s gonna happen. It\'s the web, it\'s tech, it\'s something\'s gonna happen. But being able to go to a date and time and restoring, I think is so critical.  </p>\n\n\n\n<p>It\'s that classic un, you know, uh, command Z undo function. It\'s like I can go back to my timeline and restore it.  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Yeah, exactly. And, you know, uh, we want to, I always try to put, you know, myself in the client\'s shoes, what I, I would have to do. And, you know, that, uh, I want to restore it as fast as possible.  </p>\n\n\n\n<p>And you know, in the, in the brief moment when something happened to my website, I site tried to search it, the, [00:12:00] the root issue as fast as possible. If I can\'t, I go restore the site and, uh, yeah. Uh, That in that moment, selecting correct files and database could, you know, be crucial. So why just don\'t move that step and just allowing users to select database in that uh, date.  </p>\n\n\n\n<p>And that\'s all.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> We\'ve all been there where we\'ve, uh, installed a new plugin or upgraded plugin and it\'s broken things and being able to have that easy undo button with their restore is so critical. So thank you for sharing number one. Cause I think that\'s something I wanted to highlight. I know. Process.  </p>\n\n\n\n<p>And most of us that do web work with WordPress understand this too, is like something\'s gonna happen where you\'re gonna have to back it up. So, okay. Re restoration process. Uh, what\'s, what\'s another, uh,  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> another one is in a bit of difference, uh, area. It comes from, uh, security. It\'s, it would be work principle vulnerabilities.  </p>\n\n\n\n<p>Uh, At first we released only, uh, [00:13:00] vulnerabilities to WordPress plugins. Uh, basically what we would do is, uh, we. We tell clients when there are vulner vulnerabilities in any of their installed plugins on the, on the site. Uh, let\'s say you have 10 plugins, we keep track of all of them, and if we notice everything, uh, is there a security issue we give you, uh, automated steps.  </p>\n\n\n\n<p>Uh, either there is an update, uh, if there is a safe version, we tell you. 1.2 version is safe. You can update it. If we don\'t have, you know, the safe version to recommend, we say, uh, this plugin is better be deleted cuz it may directly harm your website security and create, you know, a bag door or something like that to it.  </p>\n\n\n\n<p>And, um, further we thought, We can\'t only cover plugins, you know, when it comes to vulnerabilities of WordPress, we also have, you know, to include themes and the core versions. So this [00:14:00] was what, uh, included as well. So, uh, the same principle. Uh, we keep track, you know, on the, on the used themes. Uh, it could either be, you know, the active one or just sitting files over there.  </p>\n\n\n\n<p>Uh, and of course, you know, the core files of the board press we give, you know, Suggestions to clients to either o update it, if there\'s a, a say, versions or not. Yeah, so this was the, the feature that was like recently quite released and we, from the client\'s perspective, we really saw the, you know, the, those tips that really helped clients and that they don\'t need to worry about the security and checking for vulnerabilities themselves.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> See, I go, I bet you encountered. A hundred times in your job and your role as a customer success success operator because WordPress is safe. Uh, it\'s continuing [00:15:00] to be ev vulnerabilities in, in, in everything that you see, uh, because it\'s just part of being a citizen on the web. But that, uh, I bet you saw that and I bet that formulates the experience\'s why you said that was number two because you just Two problems that I solved back in the day over and over.  </p>\n\n\n\n<p>Wanna be able to restore something, something broke, and then, oh, there\'s something coming in that you want to be able, or a part of it that you want to like, have some knowledge. So I think security is absolutely awesome and I love that. That\'s first and second. You, you, you probably don\'t know a lot.  </p>\n\n\n\n<p>That\'s not about me, but you hit my hallmarks where I spent 10 years of my life doing so I love that. These two things are, are these two, two things part of the WordPress hosting packages you all do? Is it a separate thing?&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, everything comes included into the WordPress packages, you know, in the WordPress hosting that we offer.  </p>\n\n\n\n<p>Yeah. Uh, just, you know, the, the backups, uh, that I\'ve firstly mentioned there are, you know, daily and a weekly. It depends on the hosting [00:16:00] plan, of course. Uh, but yeah, the restoration feature itself is included when you just purchased the plan itself.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Awesome. Okay, so we talked about. We\'ve talked about restorations, vulnerabilities, and what, what\'s the third that\'s on your mind about the product?  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Yeah. The third one is the one we just recently released and are currently working on it is the hosting your award press plugin. Uh, why it was Bruce released. We just have to be fair and understand that a lot of clients not always, you know, using hosting control panels continuously because a lot of users just know, you know, slash VP admin and just go inside their, uh, panel and do their stuff and we wanted, you know, still have the communication, let\'s say in that side.  </p>\n\n\n\n<p>Did the client inside the [00:17:00] word. And assist them if possible. Uh, so right now with the first iteration, uh, we focused on assisting client publishing their website and, uh, changing, you know, the essentials of the website, like uploading logo, editing description, and so on. It\'s for, um, uh, let\'s say fresh user in the WordPress who wants to know to have a simple blog website and.  </p>\n\n\n\n<p>Still wants to do it on the WordPress and not, you know, the standalone builder, uh, let\'s say Vics. And, uh, what we are working on is, uh, we. We do have quite, you know, big, uh, YouTube library of, uh, hosting your learning section and we want to include that section inside the, uh, hosting your plugin so users will be able, you know, to check quickly, uh, steps to.  </p>\n\n\n\n<p>on [00:18:00] YouTube cuz you know, uh, there are people who are good at, uh, getting information through knowledge-based articles and there are people who prefer video material when they getting, you know, things done. Personally, I\'m a video guy. Uh, I just have to be honest. If I see a knowledge-based article, I probably scroll to the bullet points where everything main is mentioned here.  </p>\n\n\n\n<p>But when it comes to video, yeah, I just watched it and it\'s way easier to consume information that way. And yeah, so that\'s another kind of interaction with the user. And we will provide, you know, the jumps to them. Knowledge-based, uh, article, uh, contacting, you know, support or assisting to contact the support.  </p>\n\n\n\n<p>And there are further plans I would like, you know, to implement some custom settings to, to the plugin itself, where users are able to, uh, implement them on the website, uh, maintenance page, some caching options so users wouldn\'t have to, you know, to find that information manually. So [00:19:00] it would be, you know, like a, a hot quick.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Um, when you think about building, continuing to build, refine, uh, and even improve the offering that you give your clients, um, who are types of customers that you all think about? Who, who is hosting your manage WordPress? Um, really kind of for,&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> uh, sorry, could you repeat the, the first part of the question bit?  </p>\n\n\n\n<p>Like, for me,&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Yeah. Who are, who are the, uh, like avatars or Oh, that you think of when you\'re building these products? Like restore vulnerabilities? Yeah, the plugin. There\'s somebody you\'re thinking of, or a couple people, types of customers you\'re thinking about that use this product. And can you, can you share a little bit about Yeah, yeah, yeah.  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Sure. Of course. So, uh, it\'ll be like, you know, small businesses, online, hustlers, uh, beginners at the. The [00:20:00] hosting business in general because like we know as a hosting, wanting, provide ability to make a website online for any everyone. Uh, so our, you know, uh, when we thinking of these features, our, we are thinking of the clients who are re relatively, relatively new in this business and they want, you know, help in all of this.  </p>\n\n\n\n<p>Uh, that\'s why we try. Trying to listen to what clients have to say when something releases out and if it\'s, you know, difficult. Uh, there have been already some improvements on the restoration feature on the, I\'m just some saying some examples on the website, automatic migrations where the users saw struggles and we worked on that.  </p>\n\n\n\n<p>So we always think, thinking of the online hustler, uh, beginner. When this information is new for the client and they just want, you know, to have their blog small, uh, shop online and do their stuff.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I love that [00:21:00] because I think a lot of the WordPress market overall has gotten, um, beyond that, I, I don\'t, there\'s probably a better way to say that, but I, I remember the day when you can go find hosting and you had an idea and you could take WordPress and good hosting and create something that may or may not go anywhere.  </p>\n\n\n\n<p>So when you say the hustlers, the the do it yourself first type, I love that because I\'ve, I\'m afraid. Some parts in our industry we\'ve gotten away from the mention of WordPress is d Democratize Publishing to give people tools and Awesome. And so I love that you all, there\'s, there\'s. An awesome company out there offering that where, you know, I\'m like a lot of people, I, I was looking at your plans and I go, when was the last time I saw a hundred sites that you could build, [00:22:00] you know, for every little. Quirky and sometimes dumb idea I have.  </p>\n\n\n\n<p>I can start it and then see where it goes. And I love that with the plans that you offer and the work that you\'re doing too. And then have the Easy Restore button kinda keeping me safe and you\'re helping me use this, so I love that. That\'s one of the avatars that you all focus on.  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, yeah, like I understand that fact.  </p>\n\n\n\n<p>You know, when I first tried the WordPress myself, uh, it, there\'s no lying. It can be scary, you know, seeing all the sidebar options, what to do, what to change, uh, and seeing online there\'s a bunch of information about the WordPress, what could be edited and so on, so on, so on. Uh, so we don\'t want. Provide the best examples, guidance to the users and, you know, remove manual work as much as possible.  </p>\n\n\n\n<p>So they would just, you know, do their thing and have their website online and slowly, you know, gather traffic to their whatever project it [00:23:00] is.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Awesome. Okay, so we talked a little bit about the product and some of the features that you\'re very proud of, you and your team. Um, we\'ve talked about some of the fits for how hosting, hosting can fit into whatever you\'re kind of building.  </p>\n\n\n\n<p>Now, I wanna get, as a product owner, someone that has a lot of experience with WordPress and the web, um, what are you excited about in the future, um, with what you\'re.  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, you know, like talking from the future perspective plans and Yeah. You know, the releases, the features.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> If, if you want to, or, you know, I\'d love to get your take also on just the web, where the web\'s going, where WordPress is going. What\'s exciting, just looking out on the landscape of this. Amazing software that turns 20 years old.  </p>\n\n\n\n<p>I can\'t believe that. 20 years old this year. Um, you know what you\'re seeing on the web, we\'ve got new things coming up all the time. Like you were talking about automation, AI stuff. These things are just [00:24:00] going insane and accelerating. And is there anything from that perspective you see that gets you excited about working on the web?  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Yeah. Yeah, so I can definitely talk about AI stuff. Uh, that, yeah, I find really intriguing and I would just think how awesome it would be. Uh, because, uh, I recently saw one of the website that, uh, Uh, they create webs, WordPress website based with ai, but it wasn\'t exactly what I was looking for, and I just imagined if I would describe what I would do on my, uh, WordPress website directly.  </p>\n\n\n\n<p>Let\'s say I am a dog, I\'m a animals photographer, and it\'ll be my blog about. And I just, you know, uh, just give a description about my website and I would get like, you know, pre-built all of the content with some dummy images that could just be replaced with my own photography stuff. I just think from the perspective how it would [00:25:00] shorten the journey for the client on building the website.  </p>\n\n\n\n<p>Uh, because, um, if you want, you know, to build neat website, You still have to install some plugins and, uh, you know, make changes in, let\'s say builder or even the gut, Gutenberg blog builder. You still have to make changes, but if everything would come pre-made for you and all of the things, it\'s si like, it\'s similar to demo content when you imported the website because everything gets important.  </p>\n\n\n\n<p>But I want to, you know, skip. Skip that step where just I have to describe what I want to have in a website and bam, in five minutes it\'ll just, uh, generated and I just change my pictures to whatever I photograph.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I think there\'s so many, um, opportunities that a AI presents for WordPress in particular. And um, that\'s [00:26:00] another thought I was like, oh. Um, the technology\'s innovating and going so well. It\'s like I saw somebody, uh, tweet, they use chat g p t for, to build a WordPress plugin, and you\'re like, okay. If you understand that language, then they can do a lot of the heavy lifting AI part, but it\'s like maybe the AI\'s asking you, what do you want?  </p>\n\n\n\n<p>Are you wanting to sell something on it? You know? Okay. What kind of thing you\'re trying to sell. The idea of that they can go out there and say, here are three options that would do that. Um, is pretty, pretty incredible. And, you know, I like to tinker on, on WordPress websites. Um, but it\'d be nice just to go like, have a prompt, someone asking you something, asking you what are you trying to do, and lead you through that process with good options.&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Exactly. Imagine if you would, after our conversation, we would have a built workplace website that it\'s not fully ready to go online. Yeah, yeah. Like conversation and that\'s all. [00:27:00] So the conversation with AI and yeah, I have my website online.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> The new website builder be ai. And I think the answer is yes.  </p>\n\n\n\n<p>How? How soon? We\'ll see. That would be interesting. Yeah. But I, I continue to have these conversations with people around the WordPress business of WordPress ecosystem because I think there\'s so much potential here and it just takes bright minds like yourself to think of. Oh, we could do this. WS Forums, for instance, has worked on some open AI integrations.  </p>\n\n\n\n<p>The Jonas over at Webhooks has done a tutorial and integration and, uh, I wanna see more of that because you\'ve seen this, you know, as you\'ve been working on the web and doing all these things, you\'ve seen, like, there\'s problems that people, it takes. It\'s just time consuming. And if we can take some of that stuff away, we help them get to their goal and their dream faster and better.  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Hmm. Yeah, that\'s, Definitely, uh, I found what I can say, like on hosting the ai, we have a logo maker that\'s, you know, AI powered. So [00:28:00] personally I need a simple logo for something and that\'s, you know, in a way unique. I just use the, the, the, the AI generator of logos and that\'s helps.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> I have to check that out.  </p>\n\n\n\n<p>We\'ll have to put that in. Show notes, the logo generated to test test it out. Yeah. Nicole, well, anything else you wanna share about what you\'re doing? Uh, any other thoughts you have on the web? I wanna make sure we get the chance to hear from you, someone that leads the WordPress product in particular, uh, at hosting your, um,&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Oh yeah.  </p>\n\n\n\n<p>The, the thing that we are also working on that will affect our WordPress users as well, uh, it\'s already in our public word, uh, roadmap, is that we will soon be releasing our c D n. So, you know, it\'s, uh, From the public roadmap, we receive quite a lot of, you know, requests from the clients that Yeah, yeah.  </p>\n\n\n\n<p>It\'s really crucial for us to have this and we understand it. [00:29:00] Uh, because then again, if we want, you know, to give clients a seamless experience, uh, it\'s part of it. Cuz you know, if client wants to use CloudFlare as a a CDN provider, they would have to go over there, you know, make the setup process happen.  </p>\n\n\n\n<p>But with the in-house, we remove that step as well. So, uh, yeah, uh, this one is coming up on the way and I\'m really excited to see how it will help our clients in the website per, uh, performance and, and the boost of it.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Well then you\'ve covered the trifecta here. You\'ve got, uh, safety and security, you know, being able to restore and watch out for vulnerabilities.  </p>\n\n\n\n<p>And then you\'ve got speed and speed\'s always sexy to everyone because Yeah. Yeah. Faster. The better it rank, the better the customer experience. So that, that\'s pretty cool.&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, on the speed note, I could add another thing, uh, that\'s still requires some. Deeper, uh, refinement, but what I [00:30:00] want to offer for the clients is automatic website optimizations.  </p>\n\n\n\n<p>Mm-hmm. Uh, why it requires a, a bit deeper refinement because we want to, you know, to refine to the way that it will not break a website. Uh, because we know that if we automatically, you know, use some ca uh, plugin to go maximum aggressive, uh, with the settings, it could create, uh, you know, break something in the website because it was just so aggressive on optimizing it.  </p>\n\n\n\n<p>So we want to find that gold spot for the client where he pushes a single click and the content of the website gets optimized and it does, you know. Loads without issues.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> Love it. That\'s awesome. Uh, Anas, uh, would you tell us how we can find more about you and then also your, your work at hosting?&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Um, yeah.  </p>\n\n\n\n<p>So we do have a public roadmap that you [00:31:00] can access as a, uh, user. It\'s, uh, simply, uh, roadmap dot ho hosting your.com. And all of there, uh, you will be able to see all of the release stuff, all of the upcoming stuff, and you as a client can, you know, express your, uh, opinion on here. And also you can submit an idea.  </p>\n\n\n\n<p>So th that idea would be checked by me and we would, you know, include it into the backlog since you know, the clients, uh, want to see that happen.  </p>\n\n\n\n<p><strong>Cory Miller:</strong> This is excellent. I love when a software company,um, a hosting company puts this in front. It\'s like, this is what we\'re working on, this is what we\'re doing. It shows real leadership and I love this.  </p>\n\n\n\n<p>I\'m looking through here and this is awesome. Well, ARN, thank you so much for your time today and, uh, I, I appreciate hearing your story and what you\'re doing at Host hosting your Please keep up the good.&nbsp;  </p>\n\n\n\n<p><strong>Arnas Donauskas:</strong> Uh, thanks Corey for inviting. Uh, it\'s been a [00:32:00] pleasure. And yeah, if anything, I\'m here. Awesome.&nbsp;  </p>\n\n\n\n<p><strong>Cory Miller:</strong> All right.  </p>\n\n\n\n<p>Thanks everybody for listening in to post status draft. This is another, uh, interview in our series called Product People to help you see the hu here and see and hear the humans behind the, the best WordPress products out there. So we\'ve been talking with Arnas, web hosting product owner at Host.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Feb 2023 14:07:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: Industry-Wide Tech Layoffs Impacting WordPress Professionals\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=142074\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://wptavern.com/industry-wide-tech-layoffs-impacting-wordpress-professionals\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6690:\"<p>Most WordPress professionals managed to escape 2022&#8217;s round of tech layoffs, which primarily affected venture capital-funded startups and larger companies that had overhired during the economic upswing that came with pandemic precautions being lifted in many places. Mass layoffs hit Meta, Peleton, Stripe, Carvana, and more during the last half of 2022.</p>\n\n\n\n<p>Tech layoffs have continued relentlessly in 2023, with major players like PayPal, Spotify, Google, Microsoft, Coinbase, Salesforce, and Amazon cutting tens of thousands of workers in January. This round of layoffs seems more brutal than the last, as it hits more close to home for WordPress professionals.</p>\n\n\n\n<p><a href=\"https://layoffs.fyi/\">Layoffs.fyi</a>, a layoffs tracking website, has logged 376 tech companies with  total of 107,930 employees laid off. Both the number of companies and number of employees laid off in January were the highest they have been over the past year.</p>\n\n\n\n<img />\n\n\n\n<p>Last week, GoDaddy <a href=\"https://aboutus.godaddy.net/newsroom/press-releases/press-release-details/2023/A-message-from-GoDaddy-CEO-Aman-Bhutani/default.aspx\">announced</a> it will be reducing the size of its global team by about 8% (approximately 530 employees), with cuts that hit teams working on WordPress and WooCommerce hosting products. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Good Morning everyone <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f60a.png\" alt=\"😊\" class=\"wp-smiley\" /> I’m sure most have heard by now about the GoDaddy layoffs. I was part of the 8% and although it hurts leaving such a wonderful team I know greater opportunities are out there for me. <br />If you know of any open roles please let me know, thanks <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1faf6-1f3fe.png\" alt=\"🫶🏾\" class=\"wp-smiley\" /></p>&mdash; Juniemarie (@GoGinaMarie) <a href=\"https://twitter.com/GoGinaMarie/status/1623707237398024195?ref_src=twsrc%5Etfw\">February 9, 2023</a></blockquote>\n</div>\n\n\n\n<p>&#8220;Despite increasingly challenging macroeconomic conditions, we made progress on our 2022 strategic initiatives and continued our efforts to manage costs effectively,&#8221; GoDaddy CEO Aman Bhutani. &#8220;The discipline we embraced was important but, unfortunately, it was not sufficient to avoid the impacts of slower growth in a prolonged, uncertain macroeconomic environment.&#8221;</p>\n\n\n\n<p>The layoffs came as a surprise to GoDaddy employees, after they had been assured the company would not be cutting jobs.  A few days after employees were let go, the company <a href=\"https://www.marketscreener.com/quote/stock/GODADDY-INC-21452893/news/GoDaddy-Reports-Fourth-Quarter-and-Full-Year-2022-Results-42986717/\">reported significant growth</a> in its last earnings call, with a total revenue of $4.1 billion in 2022, up 7.2% year-over-year, and 8.4% on a constant currency basis.</p>\n\n\n\n<p>A former GoDaddy employee, who was impacted by the layoffs and wishes to remain anonymous, said &#8220;employees and their managers were blindsided.&#8221; They were offered approximately three months of severance pay plus two weeks severance per year of tenure.</p>\n\n\n\n<p>&#8220;The severance package was average at best &#8211; a few months of runway in exchange for releasing GoDaddy from all liability,&#8221; the source said. &#8220;It&#8217;s the minimum requirement to get people to sign legal releases. Items such as stock that wasn&#8217;t fully vested must be forfeited.&#8221; </p>\n\n\n\n<p>The source reported that the employees who were laid off were cherry-picked from different teams. Despite GoDaddy&#8217;s heavy investments into WordPress and recent acquisitions of the Skyverge and Pagely brands, the company elected to downsize many who were active in its WordPress efforts.</p>\n\n\n\n<p>&#8220;I’m seeing lots of WordPress-related product/marketing folks getting cut,&#8221; the source said. </p>\n\n\n\n<p>DigitalOcean, which acquired managed hosting company Cloudways for $350 million in cash last year, told staff it is <a href=\"https://www.theregister.com/2023/02/15/digitalocean_layoffs/\">laying off 11 percent of its workforce</a>, approximately 200 employees. The Register reports that 100 employees were immediately let go and another 100 will follow. The cuts include members of the company&#8217;s content team, causing <a href=\"https://twitter.com/bphogan/status/1625875775458095108\">concern about the future of the company&#8217;s documentation</a> resources.</p>\n\n\n\n<p>Larger tech companies are not the only ones reducing their workforces. The economic conditions behind these cuts are also affecting smaller organizations like XWP, a WordPress agency that <a href=\"https://www.linkedin.com/search/results/all/?keywords=xwp%20layoffs&origin=GLOBAL_SEARCH_HEADER&sid=Ktc\">laid off employees</a> two months ago. <a href=\"https://humanmade.com/\">Human Made</a>, an agency that builds WordPress sites and products for enterprise customers, has also been affected. The company recently announced a <a href=\"https://xn--tm-cka.com/redundancies-at-human-made/\">round of redundancies</a> for the first time in its history. </p>\n\n\n\n<p>&#8220;This has been a tough few weeks, particularly for those leaving who now face an uncertain future,&#8221; Human Made CEO and co-founder Tom Willmot said. &#8220;It’s also been tough for the rest of company, this is not [a] situation we wanted to be in and even with the wider economic headwinds the industry is facing, there are also important lessons for us to learn.&#8221;</p>\n\n\n\n<p>As part of its commitment to transparency, Human Made also published the details of its redundancy support package, which includes a minimum notice period of four weeks plus one week for each year past two, and two weeks pay on top of notice, among other benefits.</p>\n\n\n\n<p>WordPress product companies are stepping up to help people find new work. <a href=\"https://twitter.com/JamesTryon/status/1626282532193853441\">Easily Amused</a>, <a href=\"https://twitter.com/fclaussen/status/1623729840468762624\">Trew Knowledge</a>, <a href=\"https://twitter.com/ryandonsullivan/status/1623478875895234563\">SiteCare</a>, and other companies across Twitter, Mastodon, and LinkedIn have responded to posts with links to open positions. Michelle Frechette, Director of Community Engagement at StellarWP, publishes a weekly thread with available jobs from around the WordPress community. Her most <a href=\"https://twitter.com/michelleames/status/1623729865970049025\">recent thread</a> from last week includes information on 10 companies that are currently hiring.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 17 Feb 2023 01:22:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WordCamp Central: Bluehost supports WordPress community events worldwide\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3161235\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"https://central.wordcamp.org/news/2023/02/bluehost-supports-wordpress-community-events-worldwide-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:928:\"<p>We can’t thank <a href=\"https://www.bluehost.com/\">Bluehost</a> enough for their continued support as a sponsor for the <a href=\"https://central.wordcamp.org/sponsor-multiple-wordcamps/\">global WordPress community</a>! Their support of WordPress community events around the globe at our Gold level!</p>\n\n\n\n<a href=\"https://central.wordcamp.org/files/2019/02/Bluehost-Transparent_HighRes.png\"><img /></a>\n\n\n\n<p><a href=\"https://www.bluehost.com/\">Bluehost</a> has been a WordPress partner since 2005 and powers over 1 million WordPress sites worldwide. Their objective is to help customers, whether novice or pro, create a thriving online presence at an affordable price. With a team of in-house tech experts available 24/7, Bluehost dedicates time and resources to providing the best support and services in the industry. Join millions of other site owners and see what Bluehost can do for you and your online presence.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 16 Feb 2023 15:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"Isotta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 09 Mar 2023 06:37:58 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Thu, 09 Mar 2023 06:15:29 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 2\";}}s:5:\"build\";s:14:\"20230306185210\";}", "no");
INSERT INTO `wp_options` VALUES("3829", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1678387079", "no");
INSERT INTO `wp_options` VALUES("3830", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1678343879", "no");
INSERT INTO `wp_options` VALUES("3831", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1678387079", "no");
INSERT INTO `wp_options` VALUES("3832", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/your-wordpress-6-2-preview/\'>Your WordPress 6.2 Preview</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/03/the-month-in-wordpress-february-2023/\'>The Month in WordPress – February 2023</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/lemmony-a-free-wordpress-block-theme-with-30-patterns\'>WPTavern: Lemmony: A Free WordPress Block Theme with 30+ Patterns</a></li><li><a class=\'rsswidget\' href=\'https://poststatus.com/wordpress-6-2-beta-5-dev-notes-learning-path-for-wp-devs/\'>Post Status: WordPress 6.2 Beta 5 • Dev Notes • Learning Path for WP Devs</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/jetpack-11-9-adds-sharing-button-for-mastodon-updates-stats-dashboard-design\'>WPTavern: Jetpack 11.9 Adds Sharing Button for Mastodon, Updates Stats Dashboard Design</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("3841", "_transient_timeout_global_styles_twentytwentythree", "1678344156", "no");
INSERT INTO `wp_options` VALUES("3842", "_transient_global_styles_twentytwentythree", "body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--color--base: #ffffff;--wp--preset--color--contrast: #000000;--wp--preset--color--primary: #9DFF20;--wp--preset--color--secondary: #345C00;--wp--preset--color--tertiary: #F6F6F6;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--duotone--dark-grayscale: url(\'#wp-duotone-dark-grayscale\');--wp--preset--duotone--grayscale: url(\'#wp-duotone-grayscale\');--wp--preset--duotone--purple-yellow: url(\'#wp-duotone-purple-yellow\');--wp--preset--duotone--blue-red: url(\'#wp-duotone-blue-red\');--wp--preset--duotone--midnight: url(\'#wp-duotone-midnight\');--wp--preset--duotone--magenta-yellow: url(\'#wp-duotone-magenta-yellow\');--wp--preset--duotone--purple-green: url(\'#wp-duotone-purple-green\');--wp--preset--duotone--blue-orange: url(\'#wp-duotone-blue-orange\');--wp--preset--font-size--small: clamp(0.875rem, 0.875rem + ((1vw - 0.48rem) * 0.24), 1rem);--wp--preset--font-size--medium: clamp(1rem, 1rem + ((1vw - 0.48rem) * 0.24), 1.125rem);--wp--preset--font-size--large: clamp(1.75rem, 1.75rem + ((1vw - 0.48rem) * 0.24), 1.875rem);--wp--preset--font-size--x-large: 2.25rem;--wp--preset--font-size--xx-large: clamp(4rem, 4rem + ((1vw - 0.48rem) * 11.538), 10rem);--wp--preset--font-family--dm-sans: \"DM Sans\", sans-serif;--wp--preset--font-family--ibm-plex-mono: \'IBM Plex Mono\', monospace;--wp--preset--font-family--inter: \"Inter\", sans-serif;--wp--preset--font-family--system-font: -apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,Oxygen-Sans,Ubuntu,Cantarell,\"Helvetica Neue\",sans-serif;--wp--preset--font-family--source-serif-pro: \"Source Serif Pro\", serif;--wp--preset--spacing--30: clamp(1.5rem, 5vw, 2rem);--wp--preset--spacing--40: clamp(1.8rem, 1.8rem + ((1vw - 0.48rem) * 2.885), 3rem);--wp--preset--spacing--50: clamp(2.5rem, 8vw, 4.5rem);--wp--preset--spacing--60: clamp(3.75rem, 10vw, 7rem);--wp--preset--spacing--70: clamp(5rem, 5.25rem + ((1vw - 0.48rem) * 9.096), 8rem);--wp--preset--spacing--80: clamp(7rem, 14vw, 11rem);}body { margin: 0;--wp--style--global--content-size: 650px;--wp--style--global--wide-size: 1200px; }.wp-site-blocks { padding-top: var(--wp--style--root--padding-top); padding-bottom: var(--wp--style--root--padding-bottom); }.has-global-padding { padding-right: var(--wp--style--root--padding-right); padding-left: var(--wp--style--root--padding-left); }.has-global-padding :where(.has-global-padding) { padding-right: 0; padding-left: 0; }.has-global-padding > .alignfull { margin-right: calc(var(--wp--style--root--padding-right) * -1); margin-left: calc(var(--wp--style--root--padding-left) * -1); }.has-global-padding :where(.has-global-padding) > .alignfull { margin-right: 0; margin-left: 0; }.has-global-padding > .alignfull:where(:not(.has-global-padding)) > :where([class*=\"wp-block-\"]:not(.alignfull):not([class*=\"__\"]),p,h1,h2,h3,h4,h5,h6,ul,ol) { padding-right: var(--wp--style--root--padding-right); padding-left: var(--wp--style--root--padding-left); }.has-global-padding :where(.has-global-padding) > .alignfull:where(:not(.has-global-padding)) > :where([class*=\"wp-block-\"]:not(.alignfull):not([class*=\"__\"]),p,h1,h2,h3,h4,h5,h6,ul,ol) { padding-right: 0; padding-left: 0; }.wp-site-blocks > .alignleft { float: left; margin-right: 2em; }.wp-site-blocks > .alignright { float: right; margin-left: 2em; }.wp-site-blocks > .aligncenter { justify-content: center; margin-left: auto; margin-right: auto; }.wp-site-blocks > * { margin-block-start: 0; margin-block-end: 0; }.wp-site-blocks > * + * { margin-block-start: 1.5rem; }body { --wp--style--block-gap: 1.5rem; }body .is-layout-flow > *{margin-block-start: 0;margin-block-end: 0;}body .is-layout-flow > * + *{margin-block-start: 1.5rem;margin-block-end: 0;}body .is-layout-constrained > *{margin-block-start: 0;margin-block-end: 0;}body .is-layout-constrained > * + *{margin-block-start: 1.5rem;margin-block-end: 0;}body .is-layout-flex{gap: 1.5rem;}body .is-layout-flow > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-flow > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-flow > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-constrained > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-constrained > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)){max-width: var(--wp--style--global--content-size);margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignwide{max-width: var(--wp--style--global--wide-size);}body .is-layout-flex{display: flex;}body .is-layout-flex{flex-wrap: wrap;align-items: center;}body .is-layout-flex > *{margin: 0;}body{background-color: var(--wp--preset--color--base);color: var(--wp--preset--color--contrast);font-family: var(--wp--preset--font-family--system-font);font-size: var(--wp--preset--font-size--medium);line-height: 1.6;--wp--style--root--padding-top: var(--wp--preset--spacing--40);--wp--style--root--padding-right: var(--wp--preset--spacing--30);--wp--style--root--padding-bottom: var(--wp--preset--spacing--40);--wp--style--root--padding-left: var(--wp--preset--spacing--30);}a:where(:not(.wp-element-button)){color: var(--wp--preset--color--contrast);text-decoration: underline;}a:where(:not(.wp-element-button)):hover{text-decoration: none;}a:where(:not(.wp-element-button)):focus{text-decoration: underline dashed;}a:where(:not(.wp-element-button)):active{color: var(--wp--preset--color--secondary);text-decoration: none;}h1, h2, h3, h4, h5, h6{font-weight: 400;line-height: 1.4;}h1{font-size: clamp(2.719rem, 2.719rem + ((1vw - 0.48rem) * 1.742), 3.625rem);line-height: 1.2;}h2{font-size: clamp(2.625rem, calc(2.625rem + ((1vw - 0.48rem) * 8.4135)), 3.25rem);line-height: 1.2;}h3{font-size: var(--wp--preset--font-size--x-large);}h4{font-size: var(--wp--preset--font-size--large);}h5{font-size: var(--wp--preset--font-size--medium);font-weight: 700;text-transform: uppercase;}h6{font-size: var(--wp--preset--font-size--medium);text-transform: uppercase;}.wp-element-button, .wp-block-button__link{background-color: var(--wp--preset--color--primary);border-radius: 0;border-width: 0;color: var(--wp--preset--color--contrast);font-family: inherit;font-size: inherit;line-height: inherit;padding: calc(0.667em + 2px) calc(1.333em + 2px);text-decoration: none;}.wp-element-button:visited, .wp-block-button__link:visited{color: var(--wp--preset--color--contrast);}.wp-element-button:hover, .wp-block-button__link:hover{background-color: var(--wp--preset--color--contrast);color: var(--wp--preset--color--base);}.wp-element-button:focus, .wp-block-button__link:focus{background-color: var(--wp--preset--color--contrast);color: var(--wp--preset--color--base);}.wp-element-button:active, .wp-block-button__link:active{background-color: var(--wp--preset--color--secondary);color: var(--wp--preset--color--base);}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-base-color{color: var(--wp--preset--color--base) !important;}.has-contrast-color{color: var(--wp--preset--color--contrast) !important;}.has-primary-color{color: var(--wp--preset--color--primary) !important;}.has-secondary-color{color: var(--wp--preset--color--secondary) !important;}.has-tertiary-color{color: var(--wp--preset--color--tertiary) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-base-background-color{background-color: var(--wp--preset--color--base) !important;}.has-contrast-background-color{background-color: var(--wp--preset--color--contrast) !important;}.has-primary-background-color{background-color: var(--wp--preset--color--primary) !important;}.has-secondary-background-color{background-color: var(--wp--preset--color--secondary) !important;}.has-tertiary-background-color{background-color: var(--wp--preset--color--tertiary) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-base-border-color{border-color: var(--wp--preset--color--base) !important;}.has-contrast-border-color{border-color: var(--wp--preset--color--contrast) !important;}.has-primary-border-color{border-color: var(--wp--preset--color--primary) !important;}.has-secondary-border-color{border-color: var(--wp--preset--color--secondary) !important;}.has-tertiary-border-color{border-color: var(--wp--preset--color--tertiary) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}.has-xx-large-font-size{font-size: var(--wp--preset--font-size--xx-large) !important;}.has-dm-sans-font-family{font-family: var(--wp--preset--font-family--dm-sans) !important;}.has-ibm-plex-mono-font-family{font-family: var(--wp--preset--font-family--ibm-plex-mono) !important;}.has-inter-font-family{font-family: var(--wp--preset--font-family--inter) !important;}.has-system-font-font-family{font-family: var(--wp--preset--font-family--system-font) !important;}.has-source-serif-pro-font-family{font-family: var(--wp--preset--font-family--source-serif-pro) !important;}", "no");
INSERT INTO `wp_options` VALUES("3843", "_transient_timeout_global_styles_svg_filters_twentytwentythree", "1678344156", "no");
INSERT INTO `wp_options` VALUES("3844", "_transient_global_styles_svg_filters_twentytwentythree", "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-dark-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncG type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncB type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.54901960784314 0.98823529411765\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.71764705882353 0.25490196078431\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-red\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 0.27843137254902\" /><feFuncB type=\"table\" tableValues=\"0.5921568627451 0.27843137254902\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-midnight\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0\" /><feFuncG type=\"table\" tableValues=\"0 0.64705882352941\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-magenta-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.78039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.94901960784314\" /><feFuncB type=\"table\" tableValues=\"0.35294117647059 0.47058823529412\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-green\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.65098039215686 0.40392156862745\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.44705882352941 0.4\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-orange\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.098039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.66274509803922\" /><feFuncB type=\"table\" tableValues=\"0.84705882352941 0.41960784313725\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg>", "no");
INSERT INTO `wp_options` VALUES("3845", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-09 06:43:16\";s:7:\"Version\";s:7:\"1.5.2.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:30:\"IFF_2023_StarterUpdatedContent\";s:4:\"Hash\";s:35:\"47c61ca36dae96615877_20230309064316\";s:8:\"NameHash\";s:66:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:76:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:97:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:693;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:4851;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-03-09 06:43:16\";s:7:\"Version\";s:7:\"1.5.2.1\";s:9:\"VersionWP\";s:5:\"6.1.1\";s:9:\"VersionDB\";s:6:\"5.7.34\";s:10:\"VersionPHP\";s:5:\"8.0.8\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:30:\"IFF_2023_StarterUpdatedContent\";s:4:\"Hash\";s:35:\"47c61ca36dae96615877_20230309064316\";s:8:\"NameHash\";s:66:\"IFF_2023_StarterUpdatedContent_47c61ca36dae96615877_20230309064316\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:111:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:106:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-admin\";i:1;s:109:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-includes\";i:2;s:118:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:97:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter\";i:1;s:97:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter\";i:2;s:108:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content\";i:3;s:116:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads\";i:4;s:116:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/plugins\";i:5;s:119:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/mu-plugins\";i:6;s:115:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:129:\"/Applications/MAMP/htdocs/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:143;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("6", "5", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("7", "5", "_edit_lock", "1659484892:1");
INSERT INTO `wp_postmeta` VALUES("9", "6", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("10", "6", "_edit_lock", "1659227530:1");
INSERT INTO `wp_postmeta` VALUES("13", "7", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("14", "7", "_edit_lock", "1659550862:1");
INSERT INTO `wp_postmeta` VALUES("18", "8", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("19", "8", "_edit_lock", "1659227531:1");
INSERT INTO `wp_postmeta` VALUES("22", "9", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("23", "9", "_edit_lock", "1659227532:1");
INSERT INTO `wp_postmeta` VALUES("25", "10", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("26", "10", "_edit_lock", "1659227532:1");
INSERT INTO `wp_postmeta` VALUES("28", "11", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("29", "11", "_edit_lock", "1659412196:1");
INSERT INTO `wp_postmeta` VALUES("31", "12", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("32", "12", "_edit_lock", "1659227534:1");
INSERT INTO `wp_postmeta` VALUES("34", "23", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("35", "23", "_edit_lock", "1659550832:1");
INSERT INTO `wp_postmeta` VALUES("37", "13", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("38", "13", "_edit_lock", "1659486920:1");
INSERT INTO `wp_postmeta` VALUES("45", "29", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("46", "29", "_edit_lock", "1659553434:1");
INSERT INTO `wp_postmeta` VALUES("48", "30", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("49", "30", "_edit_lock", "1659548541:1");
INSERT INTO `wp_postmeta` VALUES("54", "33", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("55", "33", "_edit_lock", "1659576702:1");
INSERT INTO `wp_postmeta` VALUES("57", "34", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("58", "34", "_edit_lock", "1659576700:1");
INSERT INTO `wp_postmeta` VALUES("62", "35", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("63", "35", "_edit_lock", "1659220315:1");
INSERT INTO `wp_postmeta` VALUES("66", "42", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("67", "42", "_edit_lock", "1659220265:1");
INSERT INTO `wp_postmeta` VALUES("70", "44", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("71", "44", "_edit_lock", "1659486657:1");
INSERT INTO `wp_postmeta` VALUES("77", "48", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("78", "48", "_edit_lock", "1659553191:1");
INSERT INTO `wp_postmeta` VALUES("80", "50", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("81", "50", "_edit_lock", "1659556442:1");
INSERT INTO `wp_postmeta` VALUES("84", "52", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("85", "52", "_edit_lock", "1659550589:1");
INSERT INTO `wp_postmeta` VALUES("91", "54", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("92", "54", "_edit_lock", "1659486811:1");
INSERT INTO `wp_postmeta` VALUES("95", "55", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("96", "55", "_edit_lock", "1659220318:1");
INSERT INTO `wp_postmeta` VALUES("98", "56", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("99", "56", "_edit_lock", "1678312371:1");
INSERT INTO `wp_postmeta` VALUES("102", "57", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("103", "57", "_edit_lock", "1659485208:1");
INSERT INTO `wp_postmeta` VALUES("108", "58", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("109", "58", "_edit_lock", "1659486478:1");
INSERT INTO `wp_postmeta` VALUES("111", "59", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("112", "59", "_edit_lock", "1659625196:1");
INSERT INTO `wp_postmeta` VALUES("114", "69", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("116", "69", "_edit_lock", "1659556474:1");
INSERT INTO `wp_postmeta` VALUES("117", "70", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("118", "70", "_edit_lock", "1659552635:1");
INSERT INTO `wp_postmeta` VALUES("121", "74", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("122", "74", "_edit_lock", "1659551064:1");
INSERT INTO `wp_postmeta` VALUES("127", "78", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("128", "78", "_edit_lock", "1659311987:1");
INSERT INTO `wp_postmeta` VALUES("130", "80", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("131", "80", "_edit_lock", "1659219076:1");
INSERT INTO `wp_postmeta` VALUES("137", "84", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("138", "84", "_edit_lock", "1659549882:1");
INSERT INTO `wp_postmeta` VALUES("141", "86", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("142", "86", "_edit_lock", "1489952606:1");
INSERT INTO `wp_postmeta` VALUES("143", "86", "ninja_forms_form", "1");
INSERT INTO `wp_postmeta` VALUES("146", "89", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("147", "89", "_edit_lock", "1659552791:1");
INSERT INTO `wp_postmeta` VALUES("148", "90", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("149", "90", "_edit_lock", "1659551386:1");
INSERT INTO `wp_postmeta` VALUES("155", "97", "_wp_attached_file", "2017/03/artboard-01.png");
INSERT INTO `wp_postmeta` VALUES("156", "97", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-01.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-01-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-01-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-01-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-01-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("157", "98", "_wp_attached_file", "2017/03/artboard-02.png");
INSERT INTO `wp_postmeta` VALUES("158", "98", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-02.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-02-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-02-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-02-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-02-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("159", "99", "_wp_attached_file", "2017/03/artboard-03.png");
INSERT INTO `wp_postmeta` VALUES("160", "99", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-03.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-03-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-03-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-03-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-03-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("161", "100", "_wp_attached_file", "2017/03/artboard-04.png");
INSERT INTO `wp_postmeta` VALUES("162", "100", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-04.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-04-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-04-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-04-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-04-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("163", "101", "_wp_attached_file", "2017/03/artboard-05.png");
INSERT INTO `wp_postmeta` VALUES("164", "101", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-05.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-05-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-05-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-05-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-05-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("165", "102", "_wp_attached_file", "2017/03/artboard-06.png");
INSERT INTO `wp_postmeta` VALUES("166", "102", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-06.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-06-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-06-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-06-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-06-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("167", "103", "_wp_attached_file", "2017/03/artboard-07.png");
INSERT INTO `wp_postmeta` VALUES("168", "103", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-07.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-07-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-07-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-07-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-07-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("169", "104", "_wp_attached_file", "2017/03/artboard-08.png");
INSERT INTO `wp_postmeta` VALUES("170", "104", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:23:\"2017/03/artboard-08.png\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"artboard-08-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"artboard-08-300x225.png\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:23:\"artboard-08-768x576.png\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:24:\"artboard-08-1024x768.png\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("239", "105", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("240", "105", "field_58cf1230896c3", "a:14:{s:3:\"key\";s:19:\"field_58cf1230896c3\";s:5:\"label\";s:7:\"Country\";s:4:\"name\";s:7:\"country\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"1\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:6:\"Canada\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"none\";s:9:\"maxlength\";s:0:\"\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("241", "105", "field_58cf1259896c4", "a:14:{s:3:\"key\";s:19:\"field_58cf1259896c4\";s:5:\"label\";s:8:\"Director\";s:4:\"name\";s:8:\"director\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:21:\"First name, Last name\";s:8:\"required\";s:1:\"1\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"none\";s:9:\"maxlength\";s:0:\"\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:1;}");
INSERT INTO `wp_postmeta` VALUES("242", "105", "field_58cf1283896c5", "a:14:{s:3:\"key\";s:19:\"field_58cf1283896c5\";s:5:\"label\";s:4:\"Year\";s:4:\"name\";s:4:\"year\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:1:\"0\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"html\";s:9:\"maxlength\";s:0:\"\";s:17:\"conditional_logic\";a:3:{s:6:\"status\";s:1:\"0\";s:5:\"rules\";a:1:{i:0;a:3:{s:5:\"field\";s:4:\"null\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:0:\"\";}}s:8:\"allorany\";s:3:\"all\";}s:8:\"order_no\";i:2;}");
INSERT INTO `wp_postmeta` VALUES("245", "105", "position", "normal");
INSERT INTO `wp_postmeta` VALUES("246", "105", "layout", "no_box");
INSERT INTO `wp_postmeta` VALUES("247", "105", "hide_on_screen", "");
INSERT INTO `wp_postmeta` VALUES("248", "105", "_edit_lock", "1489965752:1");
INSERT INTO `wp_postmeta` VALUES("249", "105", "rule", "a:5:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:4:\"post\";s:8:\"order_no\";i:0;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("250", "105", "rule", "a:5:{s:5:\"param\";s:13:\"post_category\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:1:\"2\";s:8:\"order_no\";i:1;s:8:\"group_no\";i:0;}");
INSERT INTO `wp_postmeta` VALUES("252", "106", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("253", "106", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("254", "106", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("255", "106", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("256", "106", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("257", "106", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("258", "90", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("259", "90", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("260", "90", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("261", "90", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("262", "90", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("263", "90", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("282", "108", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("283", "108", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("284", "108", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("285", "108", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("286", "108", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("287", "108", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("288", "89", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("289", "89", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("290", "89", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("291", "89", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("292", "89", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("293", "89", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("296", "109", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("297", "109", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("298", "109", "director", "Takashi Miike");
INSERT INTO `wp_postmeta` VALUES("299", "109", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("300", "109", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("301", "109", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("302", "84", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("303", "84", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("304", "84", "director", "Takashi Miike");
INSERT INTO `wp_postmeta` VALUES("305", "84", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("306", "84", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("307", "84", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("323", "111", "country", "United States");
INSERT INTO `wp_postmeta` VALUES("324", "111", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("325", "111", "director", "Alex Garland");
INSERT INTO `wp_postmeta` VALUES("326", "111", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("327", "111", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("328", "111", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("329", "80", "country", "United States");
INSERT INTO `wp_postmeta` VALUES("330", "80", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("331", "80", "director", "Alex Garland");
INSERT INTO `wp_postmeta` VALUES("332", "80", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("333", "80", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("334", "80", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("336", "112", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("337", "112", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("338", "112", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("339", "112", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("340", "112", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("341", "112", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("342", "78", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("343", "78", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("344", "78", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("345", "78", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("346", "78", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("347", "78", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("363", "114", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("364", "114", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("365", "114", "director", "Hsiao-Hsien Hou");
INSERT INTO `wp_postmeta` VALUES("366", "114", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("367", "114", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("368", "114", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("369", "74", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("370", "74", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("371", "74", "director", "Hsiao-Hsien Hou");
INSERT INTO `wp_postmeta` VALUES("372", "74", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("373", "74", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("374", "74", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("376", "115", "country", "Norway");
INSERT INTO `wp_postmeta` VALUES("377", "115", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("378", "115", "director", "Hans Petter Moland");
INSERT INTO `wp_postmeta` VALUES("379", "115", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("380", "115", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("381", "115", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("382", "70", "country", "Norway");
INSERT INTO `wp_postmeta` VALUES("383", "70", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("384", "70", "director", "Hans Petter Moland");
INSERT INTO `wp_postmeta` VALUES("385", "70", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("386", "70", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("387", "70", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("389", "116", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("390", "116", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("391", "116", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("392", "116", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("393", "116", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("394", "116", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("395", "69", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("396", "69", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("397", "69", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("398", "69", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("399", "69", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("400", "69", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("402", "117", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("403", "117", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("404", "117", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("405", "117", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("406", "117", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("407", "117", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("408", "59", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("409", "59", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("410", "59", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("411", "59", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("412", "59", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("413", "59", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("415", "118", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("416", "118", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("417", "118", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("418", "118", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("419", "118", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("420", "118", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("421", "58", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("422", "58", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("423", "58", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("424", "58", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("425", "58", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("426", "58", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("429", "119", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("430", "119", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("431", "119", "director", "Damián Szifron");
INSERT INTO `wp_postmeta` VALUES("432", "119", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("433", "119", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("434", "119", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("435", "57", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("436", "57", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("437", "57", "director", "Damián Szifron");
INSERT INTO `wp_postmeta` VALUES("438", "57", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("439", "57", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("440", "57", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("442", "120", "country", "India");
INSERT INTO `wp_postmeta` VALUES("443", "120", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("444", "120", "director", "Anurag Kashyap");
INSERT INTO `wp_postmeta` VALUES("445", "120", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("446", "120", "year", "2012");
INSERT INTO `wp_postmeta` VALUES("447", "120", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("448", "56", "country", "India");
INSERT INTO `wp_postmeta` VALUES("449", "56", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("450", "56", "director", "Anurag Kashyap");
INSERT INTO `wp_postmeta` VALUES("451", "56", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("452", "56", "year", "2012");
INSERT INTO `wp_postmeta` VALUES("453", "56", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("456", "121", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("457", "121", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("458", "121", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("459", "121", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("460", "121", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("461", "121", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("462", "55", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("463", "55", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("464", "55", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("465", "55", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("466", "55", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("467", "55", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("469", "122", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("470", "122", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("471", "122", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("472", "122", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("473", "122", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("474", "122", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("475", "54", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("476", "54", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("477", "54", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("478", "54", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("479", "54", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("480", "54", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("482", "123", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("483", "123", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("484", "123", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("485", "123", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("486", "123", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("487", "123", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("488", "48", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("489", "48", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("490", "48", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("491", "48", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("492", "48", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("493", "48", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("495", "124", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("496", "124", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("497", "124", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("498", "124", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("499", "124", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("500", "124", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("501", "50", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("502", "50", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("503", "50", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("504", "50", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("505", "50", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("506", "50", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("508", "125", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("509", "125", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("510", "125", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("511", "125", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("512", "125", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("513", "125", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("621", "131", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("622", "131", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("623", "131", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("624", "131", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("625", "131", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("626", "131", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("632", "132", "country", "China");
INSERT INTO `wp_postmeta` VALUES("633", "132", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("634", "132", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("635", "132", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("636", "132", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("637", "132", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("638", "52", "country", "China");
INSERT INTO `wp_postmeta` VALUES("639", "52", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("640", "52", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("641", "52", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("642", "52", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("643", "52", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("647", "133", "_wp_attached_file", "2017/03/persepolis.jpg");
INSERT INTO `wp_postmeta` VALUES("648", "133", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:22:\"2017/03/persepolis.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"persepolis-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"persepolis-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("649", "133", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("652", "134", "_wp_attached_file", "2017/03/waltz-with-bashir.jpg");
INSERT INTO `wp_postmeta` VALUES("653", "134", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:358;s:4:\"file\";s:29:\"2017/03/waltz-with-bashir.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"waltz-with-bashir-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"waltz-with-bashir-300x224.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:224;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("654", "134", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("657", "135", "_wp_attached_file", "2017/03/ida.jpg");
INSERT INTO `wp_postmeta` VALUES("658", "135", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:15:\"2017/03/ida.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:15:\"ida-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:15:\"ida-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:15:\"ida-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:16:\"ida-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("659", "135", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("660", "90", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/ida.jpg");
INSERT INTO `wp_postmeta` VALUES("661", "90", "_thumbnail_id", "540");
INSERT INTO `wp_postmeta` VALUES("662", "136", "_wp_attached_file", "2017/03/leviathan.jpg");
INSERT INTO `wp_postmeta` VALUES("663", "136", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:21:\"2017/03/leviathan.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"leviathan-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"leviathan-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:21:\"leviathan-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:22:\"leviathan-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("664", "136", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("665", "89", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/leviathan.jpg");
INSERT INTO `wp_postmeta` VALUES("666", "89", "_thumbnail_id", "542");
INSERT INTO `wp_postmeta` VALUES("667", "137", "_wp_attached_file", "2017/03/we-are-the-best.jpg");
INSERT INTO `wp_postmeta` VALUES("668", "137", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:27:\"2017/03/we-are-the-best.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"we-are-the-best-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"we-are-the-best-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("669", "137", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("672", "138", "_wp_attached_file", "2017/03/13-assassins.jpg");
INSERT INTO `wp_postmeta` VALUES("673", "138", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:24:\"2017/03/13-assassins.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"13-assassins-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"13-assassins-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"13-assassins-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"13-assassins-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("674", "138", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("675", "84", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/13-assassins.jpg");
INSERT INTO `wp_postmeta` VALUES("676", "84", "_thumbnail_id", "535");
INSERT INTO `wp_postmeta` VALUES("677", "139", "_wp_attached_file", "2017/03/it-might-get-loud.jpg");
INSERT INTO `wp_postmeta` VALUES("678", "139", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:29:\"2017/03/it-might-get-loud.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"it-might-get-loud-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"it-might-get-loud-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("679", "139", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("682", "140", "_wp_attached_file", "2017/03/ex-machina.jpg");
INSERT INTO `wp_postmeta` VALUES("683", "140", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:22:\"2017/03/ex-machina.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"ex-machina-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"ex-machina-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"ex-machina-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"ex-machina-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("684", "140", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("685", "80", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/ex-machina.jpg");
INSERT INTO `wp_postmeta` VALUES("686", "80", "_thumbnail_id", "140");
INSERT INTO `wp_postmeta` VALUES("687", "141", "_wp_attached_file", "2017/03/yi-yi.jpg");
INSERT INTO `wp_postmeta` VALUES("688", "141", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:17:\"2017/03/yi-yi.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"yi-yi-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"yi-yi-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"yi-yi-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:18:\"yi-yi-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("689", "141", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("690", "78", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/yi-yi.jpg");
INSERT INTO `wp_postmeta` VALUES("691", "78", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("692", "142", "_wp_attached_file", "2017/03/three-times.jpg");
INSERT INTO `wp_postmeta` VALUES("693", "142", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:23:\"2017/03/three-times.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"three-times-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"three-times-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("694", "142", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("697", "143", "_wp_attached_file", "2017/03/the-assassin.jpg");
INSERT INTO `wp_postmeta` VALUES("698", "143", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:24:\"2017/03/the-assassin.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"the-assassin-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"the-assassin-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"the-assassin-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"the-assassin-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("699", "143", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("700", "74", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/the-assassin.jpg");
INSERT INTO `wp_postmeta` VALUES("701", "74", "_thumbnail_id", "539");
INSERT INTO `wp_postmeta` VALUES("702", "144", "_wp_attached_file", "2017/03/in-order-of-disappearance.jpg");
INSERT INTO `wp_postmeta` VALUES("703", "144", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:37:\"2017/03/in-order-of-disappearance.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"in-order-of-disappearance-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"in-order-of-disappearance-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:37:\"in-order-of-disappearance-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"in-order-of-disappearance-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("704", "144", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("705", "70", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/in-order-of-disappearance.jpg");
INSERT INTO `wp_postmeta` VALUES("706", "70", "_thumbnail_id", "543");
INSERT INTO `wp_postmeta` VALUES("707", "145", "_wp_attached_file", "2017/03/71.jpg");
INSERT INTO `wp_postmeta` VALUES("708", "145", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:14:\"2017/03/71.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:14:\"71-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:14:\"71-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:14:\"71-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:15:\"71-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("709", "145", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("710", "69", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/71.jpg");
INSERT INTO `wp_postmeta` VALUES("711", "69", "_thumbnail_id", "544");
INSERT INTO `wp_postmeta` VALUES("712", "146", "_wp_attached_file", "2017/03/facing-ali.jpg");
INSERT INTO `wp_postmeta` VALUES("713", "146", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1056;s:4:\"file\";s:22:\"2017/03/facing-ali.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"facing-ali-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"facing-ali-300x165.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:165;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"facing-ali-768x422.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:422;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"facing-ali-1024x563.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:563;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("714", "146", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("715", "59", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/facing-ali.jpg");
INSERT INTO `wp_postmeta` VALUES("716", "59", "_thumbnail_id", "532");
INSERT INTO `wp_postmeta` VALUES("717", "147", "_wp_attached_file", "2017/03/dekalog.jpg");
INSERT INTO `wp_postmeta` VALUES("718", "147", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:19:\"2017/03/dekalog.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"dekalog-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"dekalog-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"dekalog-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"dekalog-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("719", "147", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("720", "58", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/dekalog.jpg");
INSERT INTO `wp_postmeta` VALUES("721", "58", "_thumbnail_id", "147");
INSERT INTO `wp_postmeta` VALUES("722", "148", "_wp_attached_file", "2017/03/wild-tales.jpg");
INSERT INTO `wp_postmeta` VALUES("723", "148", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:22:\"2017/03/wild-tales.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:22:\"wild-tales-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:22:\"wild-tales-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:22:\"wild-tales-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:23:\"wild-tales-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("724", "148", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("725", "57", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/wild-tales.jpg");
INSERT INTO `wp_postmeta` VALUES("726", "57", "_thumbnail_id", "520");
INSERT INTO `wp_postmeta` VALUES("727", "149", "_wp_attached_file", "2017/03/gangs-of-wasseypur.jpg");
INSERT INTO `wp_postmeta` VALUES("728", "149", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:30:\"2017/03/gangs-of-wasseypur.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"gangs-of-wasseypur-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"gangs-of-wasseypur-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:30:\"gangs-of-wasseypur-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"gangs-of-wasseypur-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("729", "149", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("730", "56", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/gangs-of-wasseypur.jpg");
INSERT INTO `wp_postmeta` VALUES("731", "56", "_thumbnail_id", "149");
INSERT INTO `wp_postmeta` VALUES("732", "150", "_wp_attached_file", "2017/03/taxi.jpg");
INSERT INTO `wp_postmeta` VALUES("733", "150", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:16:\"2017/03/taxi.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"taxi-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"taxi-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:16:\"taxi-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"taxi-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("734", "150", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("735", "55", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/taxi.jpg");
INSERT INTO `wp_postmeta` VALUES("736", "55", "_thumbnail_id", "150");
INSERT INTO `wp_postmeta` VALUES("737", "151", "_wp_attached_file", "2017/03/this-is-not-a-film.jpg");
INSERT INTO `wp_postmeta` VALUES("738", "151", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:30:\"2017/03/this-is-not-a-film.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"this-is-not-a-film-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"this-is-not-a-film-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:30:\"this-is-not-a-film-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"this-is-not-a-film-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("739", "151", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("740", "54", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/this-is-not-a-film.jpg");
INSERT INTO `wp_postmeta` VALUES("741", "54", "_thumbnail_id", "151");
INSERT INTO `wp_postmeta` VALUES("742", "152", "_wp_attached_file", "2017/03/hero.jpg");
INSERT INTO `wp_postmeta` VALUES("743", "152", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:16:\"2017/03/hero.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"hero-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"hero-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:16:\"hero-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:17:\"hero-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("744", "152", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("745", "52", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/hero.jpg");
INSERT INTO `wp_postmeta` VALUES("746", "52", "_thumbnail_id", "537");
INSERT INTO `wp_postmeta` VALUES("747", "153", "_wp_attached_file", "2017/03/brooklyn.jpg");
INSERT INTO `wp_postmeta` VALUES("748", "153", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:20:\"2017/03/brooklyn.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"brooklyn-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"brooklyn-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:20:\"brooklyn-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"brooklyn-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("749", "153", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("750", "50", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/brooklyn.jpg");
INSERT INTO `wp_postmeta` VALUES("751", "50", "_thumbnail_id", "533");
INSERT INTO `wp_postmeta` VALUES("752", "154", "_wp_attached_file", "2017/03/two-days-one-night.jpg");
INSERT INTO `wp_postmeta` VALUES("753", "154", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:30:\"2017/03/two-days-one-night.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"two-days-one-night-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"two-days-one-night-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:30:\"two-days-one-night-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"two-days-one-night-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("754", "154", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("755", "48", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/two-days-one-night.jpg");
INSERT INTO `wp_postmeta` VALUES("756", "48", "_thumbnail_id", "545");
INSERT INTO `wp_postmeta` VALUES("757", "155", "_wp_attached_file", "2017/03/bamako.jpg");
INSERT INTO `wp_postmeta` VALUES("758", "155", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:18:\"2017/03/bamako.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"bamako-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:18:\"bamako-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("759", "155", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("762", "156", "_wp_attached_file", "2017/03/timbuktu.jpg");
INSERT INTO `wp_postmeta` VALUES("763", "156", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:20:\"2017/03/timbuktu.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"timbuktu-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"timbuktu-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:20:\"timbuktu-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"timbuktu-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("764", "156", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("765", "44", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/timbuktu.jpg");
INSERT INTO `wp_postmeta` VALUES("766", "44", "_thumbnail_id", "156");
INSERT INTO `wp_postmeta` VALUES("767", "157", "_wp_attached_file", "2017/03/eternal-sunshine-of-the-spotless.jpg");
INSERT INTO `wp_postmeta` VALUES("768", "157", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:44:\"2017/03/eternal-sunshine-of-the-spotless.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:44:\"eternal-sunshine-of-the-spotless-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:44:\"eternal-sunshine-of-the-spotless-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:44:\"eternal-sunshine-of-the-spotless-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:45:\"eternal-sunshine-of-the-spotless-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("769", "157", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("770", "42", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/eternal-sunshine-of-the-spotless.jpg");
INSERT INTO `wp_postmeta` VALUES("771", "42", "_thumbnail_id", "157");
INSERT INTO `wp_postmeta` VALUES("772", "158", "_wp_attached_file", "2017/03/anomalisa.jpg");
INSERT INTO `wp_postmeta` VALUES("773", "158", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:21:\"2017/03/anomalisa.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"anomalisa-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"anomalisa-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:21:\"anomalisa-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:22:\"anomalisa-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("774", "158", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("775", "35", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/anomalisa.jpg");
INSERT INTO `wp_postmeta` VALUES("776", "35", "_thumbnail_id", "158");
INSERT INTO `wp_postmeta` VALUES("777", "159", "_wp_attached_file", "2017/03/blue.jpg");
INSERT INTO `wp_postmeta` VALUES("778", "159", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:16:\"2017/03/blue.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"blue-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"blue-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("779", "159", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("780", "34", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/blue.jpg");
INSERT INTO `wp_postmeta` VALUES("781", "34", "_thumbnail_id", "557");
INSERT INTO `wp_postmeta` VALUES("782", "160", "_wp_attached_file", "2017/03/red.jpg");
INSERT INTO `wp_postmeta` VALUES("783", "160", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:15:\"2017/03/red.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:15:\"red-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:15:\"red-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("784", "160", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("785", "33", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/red.jpg");
INSERT INTO `wp_postmeta` VALUES("786", "33", "_thumbnail_id", "560");
INSERT INTO `wp_postmeta` VALUES("787", "161", "_wp_attached_file", "2017/03/white.jpg");
INSERT INTO `wp_postmeta` VALUES("788", "161", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:17:\"2017/03/white.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"white-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"white-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("789", "161", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("792", "162", "_wp_attached_file", "2017/03/i-killed-my-mother.jpg");
INSERT INTO `wp_postmeta` VALUES("793", "162", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:30:\"2017/03/i-killed-my-mother.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:30:\"i-killed-my-mother-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:30:\"i-killed-my-mother-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:30:\"i-killed-my-mother-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"i-killed-my-mother-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("794", "162", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("795", "30", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/i-killed-my-mother.jpg");
INSERT INTO `wp_postmeta` VALUES("796", "30", "_thumbnail_id", "531");
INSERT INTO `wp_postmeta` VALUES("797", "163", "_wp_attached_file", "2017/03/mommy.jpg");
INSERT INTO `wp_postmeta` VALUES("798", "163", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:17:\"2017/03/mommy.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:17:\"mommy-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:17:\"mommy-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:17:\"mommy-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:18:\"mommy-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("799", "163", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("800", "29", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/mommy.jpg");
INSERT INTO `wp_postmeta` VALUES("801", "29", "_thumbnail_id", "546");
INSERT INTO `wp_postmeta` VALUES("802", "164", "_wp_attached_file", "2017/03/divine-intervention.jpg");
INSERT INTO `wp_postmeta` VALUES("803", "164", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:31:\"2017/03/divine-intervention.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"divine-intervention-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"divine-intervention-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("804", "164", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("807", "165", "_wp_attached_file", "2017/03/a-separation.jpg");
INSERT INTO `wp_postmeta` VALUES("808", "165", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1056;s:4:\"file\";s:24:\"2017/03/a-separation.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"a-separation-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"a-separation-300x165.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:165;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"a-separation-768x422.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:422;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"a-separation-1024x563.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:563;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("809", "165", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("810", "13", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/a-separation.jpg");
INSERT INTO `wp_postmeta` VALUES("811", "13", "_thumbnail_id", "165");
INSERT INTO `wp_postmeta` VALUES("812", "166", "_wp_attached_file", "2017/03/the-handmaiden.jpg");
INSERT INTO `wp_postmeta` VALUES("813", "166", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:26:\"2017/03/the-handmaiden.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"the-handmaiden-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"the-handmaiden-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"the-handmaiden-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"the-handmaiden-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("814", "166", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("815", "23", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/the-handmaiden.jpg");
INSERT INTO `wp_postmeta` VALUES("816", "23", "_thumbnail_id", "538");
INSERT INTO `wp_postmeta` VALUES("817", "167", "_wp_attached_file", "2017/03/manchester-by-the-sea.jpg");
INSERT INTO `wp_postmeta` VALUES("818", "167", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:33:\"2017/03/manchester-by-the-sea.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"manchester-by-the-sea-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"manchester-by-the-sea-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:33:\"manchester-by-the-sea-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"manchester-by-the-sea-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("819", "167", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("820", "12", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/manchester-by-the-sea.jpg");
INSERT INTO `wp_postmeta` VALUES("821", "12", "_thumbnail_id", "167");
INSERT INTO `wp_postmeta` VALUES("822", "168", "_wp_attached_file", "2017/03/i-daniel-blake.jpg");
INSERT INTO `wp_postmeta` VALUES("823", "168", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:26:\"2017/03/i-daniel-blake.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"i-daniel-blake-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"i-daniel-blake-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"i-daniel-blake-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"i-daniel-blake-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("824", "168", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("825", "11", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/i-daniel-blake.jpg");
INSERT INTO `wp_postmeta` VALUES("826", "11", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("827", "169", "_wp_attached_file", "2017/03/mystery-train.jpg");
INSERT INTO `wp_postmeta` VALUES("828", "169", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:25:\"2017/03/mystery-train.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"mystery-train-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"mystery-train-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("829", "169", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("830", "10", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/mystery-train.jpg");
INSERT INTO `wp_postmeta` VALUES("831", "10", "_thumbnail_id", "169");
INSERT INTO `wp_postmeta` VALUES("832", "170", "_wp_attached_file", "2017/03/only-lovers-left-alive.jpg");
INSERT INTO `wp_postmeta` VALUES("833", "170", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1038;s:4:\"file\";s:34:\"2017/03/only-lovers-left-alive.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"only-lovers-left-alive-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:34:\"only-lovers-left-alive-300x162.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:162;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:34:\"only-lovers-left-alive-768x415.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:415;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"only-lovers-left-alive-1024x554.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:554;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("834", "170", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("835", "9", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/only-lovers-left-alive.jpg");
INSERT INTO `wp_postmeta` VALUES("836", "9", "_thumbnail_id", "170");
INSERT INTO `wp_postmeta` VALUES("837", "171", "_wp_attached_file", "2017/03/paterson.jpg");
INSERT INTO `wp_postmeta` VALUES("838", "171", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:20:\"2017/03/paterson.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"paterson-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"paterson-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:20:\"paterson-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:21:\"paterson-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("839", "171", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("840", "8", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/paterson.jpg");
INSERT INTO `wp_postmeta` VALUES("841", "8", "_thumbnail_id", "171");
INSERT INTO `wp_postmeta` VALUES("842", "172", "_wp_attached_file", "2017/03/hana-bi.jpg");
INSERT INTO `wp_postmeta` VALUES("843", "172", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:19:\"2017/03/hana-bi.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"hana-bi-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"hana-bi-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"hana-bi-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"hana-bi-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("844", "172", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("845", "7", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/hana-bi.jpg");
INSERT INTO `wp_postmeta` VALUES("846", "7", "_thumbnail_id", "536");
INSERT INTO `wp_postmeta` VALUES("847", "173", "_wp_attached_file", "2017/03/chungking-express.jpg");
INSERT INTO `wp_postmeta` VALUES("848", "173", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:29:\"2017/03/chungking-express.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"chungking-express-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"chungking-express-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"chungking-express-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:30:\"chungking-express-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("849", "173", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("850", "6", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/chungking-express.jpg");
INSERT INTO `wp_postmeta` VALUES("851", "6", "_thumbnail_id", "173");
INSERT INTO `wp_postmeta` VALUES("852", "174", "_wp_attached_file", "2017/03/2046.jpg");
INSERT INTO `wp_postmeta` VALUES("853", "174", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:480;s:6:\"height\";i:360;s:4:\"file\";s:16:\"2017/03/2046.jpg\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:16:\"2046-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:16:\"2046-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("854", "174", "video_thumbnail", "1");
INSERT INTO `wp_postmeta` VALUES("855", "5", "_video_thumbnail", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/2046.jpg");
INSERT INTO `wp_postmeta` VALUES("856", "5", "_thumbnail_id", "519");
INSERT INTO `wp_postmeta` VALUES("877", "175", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("878", "175", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("879", "175", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("880", "175", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("881", "175", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("882", "175", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("884", "176", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("885", "176", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("886", "176", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("887", "176", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("888", "176", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("889", "176", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("892", "177", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("893", "177", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("894", "177", "director", "Takashi Miike");
INSERT INTO `wp_postmeta` VALUES("895", "177", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("896", "177", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("897", "177", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("899", "178", "country", "United States");
INSERT INTO `wp_postmeta` VALUES("900", "178", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("901", "178", "director", "Alex Garland");
INSERT INTO `wp_postmeta` VALUES("902", "178", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("903", "178", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("904", "178", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("906", "179", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("907", "179", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("908", "179", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("909", "179", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("910", "179", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("911", "179", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("913", "180", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("914", "180", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("915", "180", "director", "Hsiao-Hsien Hou");
INSERT INTO `wp_postmeta` VALUES("916", "180", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("917", "180", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("918", "180", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("920", "181", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("921", "181", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("922", "181", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("923", "181", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("924", "181", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("925", "181", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("927", "182", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("928", "182", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("929", "182", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("930", "182", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("931", "182", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("932", "182", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("934", "183", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("935", "183", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("936", "183", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("937", "183", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("938", "183", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("939", "183", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("941", "184", "country", "Norway");
INSERT INTO `wp_postmeta` VALUES("942", "184", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("943", "184", "director", "Hans Petter Moland");
INSERT INTO `wp_postmeta` VALUES("944", "184", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("945", "184", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("946", "184", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("949", "185", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("950", "185", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("951", "185", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("952", "185", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("953", "185", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("954", "185", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("957", "186", "country", "United States");
INSERT INTO `wp_postmeta` VALUES("958", "186", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("959", "186", "director", "Michael Gondry");
INSERT INTO `wp_postmeta` VALUES("960", "186", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("961", "186", "year", "2004");
INSERT INTO `wp_postmeta` VALUES("962", "186", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("963", "42", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("964", "42", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("965", "42", "director", "Michael Gondry");
INSERT INTO `wp_postmeta` VALUES("966", "42", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("967", "42", "year", "2004");
INSERT INTO `wp_postmeta` VALUES("968", "42", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("997", "190", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("998", "190", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("999", "190", "_menu_item_object_id", "5");
INSERT INTO `wp_postmeta` VALUES("1000", "190", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1001", "190", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1002", "190", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1003", "190", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1004", "190", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1006", "191", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1007", "191", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1008", "191", "_menu_item_object_id", "3");
INSERT INTO `wp_postmeta` VALUES("1009", "191", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1010", "191", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1011", "191", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1012", "191", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1013", "191", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1015", "192", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1016", "192", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1017", "192", "_menu_item_object_id", "6");
INSERT INTO `wp_postmeta` VALUES("1018", "192", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1019", "192", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1020", "192", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1021", "192", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1022", "192", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1024", "193", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1025", "193", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1026", "193", "_menu_item_object_id", "4");
INSERT INTO `wp_postmeta` VALUES("1027", "193", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1028", "193", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1029", "193", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1030", "193", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1031", "193", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1033", "194", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1034", "194", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1035", "194", "_menu_item_object_id", "9");
INSERT INTO `wp_postmeta` VALUES("1036", "194", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1037", "194", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1038", "194", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1039", "194", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1040", "194", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1042", "195", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1043", "195", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1044", "195", "_menu_item_object_id", "7");
INSERT INTO `wp_postmeta` VALUES("1045", "195", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1046", "195", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1047", "195", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1048", "195", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1049", "195", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1051", "196", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1052", "196", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1053", "196", "_menu_item_object_id", "8");
INSERT INTO `wp_postmeta` VALUES("1054", "196", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1055", "196", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1056", "196", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1057", "196", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1058", "196", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1060", "197", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("1061", "197", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1062", "197", "_menu_item_object_id", "10");
INSERT INTO `wp_postmeta` VALUES("1063", "197", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("1064", "197", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1065", "197", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1066", "197", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1067", "197", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1069", "198", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1070", "198", "_edit_lock", "1659294234:1");
INSERT INTO `wp_postmeta` VALUES("1080", "201", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1081", "201", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1082", "201", "_menu_item_object_id", "198");
INSERT INTO `wp_postmeta` VALUES("1083", "201", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1084", "201", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1085", "201", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1086", "201", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1087", "201", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1089", "202", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("1090", "202", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1091", "202", "_menu_item_object_id", "86");
INSERT INTO `wp_postmeta` VALUES("1092", "202", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("1093", "202", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1094", "202", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1095", "202", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1096", "202", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("1107", "204", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("1108", "204", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1109", "204", "_menu_item_object_id", "204");
INSERT INTO `wp_postmeta` VALUES("1110", "204", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("1111", "204", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1112", "204", "_menu_item_classes", "a:2:{i:0;s:3:\"fab\";i:1;s:18:\"fa-facebook-square\";}");
INSERT INTO `wp_postmeta` VALUES("1113", "204", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1114", "204", "_menu_item_url", "http://facebook.com");
INSERT INTO `wp_postmeta` VALUES("1116", "205", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("1117", "205", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1118", "205", "_menu_item_object_id", "205");
INSERT INTO `wp_postmeta` VALUES("1119", "205", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("1120", "205", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1121", "205", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1122", "205", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1123", "205", "_menu_item_url", "http://twitter.com");
INSERT INTO `wp_postmeta` VALUES("1125", "206", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("1126", "206", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1127", "206", "_menu_item_object_id", "206");
INSERT INTO `wp_postmeta` VALUES("1128", "206", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("1129", "206", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1130", "206", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1131", "206", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1132", "206", "_menu_item_url", "http://pinterest.com");
INSERT INTO `wp_postmeta` VALUES("1134", "207", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("1135", "207", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("1136", "207", "_menu_item_object_id", "207");
INSERT INTO `wp_postmeta` VALUES("1137", "207", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("1138", "207", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("1139", "207", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("1140", "207", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("1141", "207", "_menu_item_url", "http://youtube.com");
INSERT INTO `wp_postmeta` VALUES("1189", "214", "_field_15", "afd");
INSERT INTO `wp_postmeta` VALUES("1190", "214", "_field_16", "asdf");
INSERT INTO `wp_postmeta` VALUES("1191", "214", "_field_17", "asdf@KLj.com");
INSERT INTO `wp_postmeta` VALUES("1192", "214", "_field_18", "5551235456");
INSERT INTO `wp_postmeta` VALUES("1193", "214", "_field_20", "one");
INSERT INTO `wp_postmeta` VALUES("1194", "214", "_field_21", "vegan");
INSERT INTO `wp_postmeta` VALUES("1195", "214", "_field_10", "beer");
INSERT INTO `wp_postmeta` VALUES("1196", "214", "_form_id", "3");
INSERT INTO `wp_postmeta` VALUES("1197", "214", "_seq_num", "1");
INSERT INTO `wp_postmeta` VALUES("1199", "216", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1200", "216", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1201", "216", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1202", "216", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1203", "216", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("1204", "216", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1205", "5", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1206", "5", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1207", "5", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1208", "5", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1209", "5", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("1210", "5", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1212", "217", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1213", "217", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1214", "217", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1215", "217", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1216", "217", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1217", "217", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1218", "6", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1219", "6", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1220", "6", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1221", "6", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1222", "6", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1223", "6", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1225", "218", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1226", "218", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1227", "218", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1228", "218", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1229", "218", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1230", "218", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1232", "219", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1233", "219", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1234", "219", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1235", "219", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1236", "219", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1237", "219", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1239", "220", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1240", "220", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1241", "220", "director", "Takeshi Kitano");
INSERT INTO `wp_postmeta` VALUES("1242", "220", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1243", "220", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1244", "220", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1245", "7", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1246", "7", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1247", "7", "director", "Takeshi Kitano");
INSERT INTO `wp_postmeta` VALUES("1248", "7", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1249", "7", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1250", "7", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1252", "221", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1253", "221", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1254", "221", "director", "Takeshi Kitano");
INSERT INTO `wp_postmeta` VALUES("1255", "221", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1256", "221", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1257", "221", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1259", "223", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1260", "223", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1261", "223", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1262", "223", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1263", "223", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1264", "223", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1265", "8", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1266", "8", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1267", "8", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1268", "8", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1269", "8", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1270", "8", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1272", "224", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1273", "224", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1274", "224", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1275", "224", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1276", "224", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1277", "224", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1278", "9", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1279", "9", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1280", "9", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1281", "9", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1282", "9", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1283", "9", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1285", "225", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1286", "225", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1287", "225", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1288", "225", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1289", "225", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1290", "225", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1292", "226", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1293", "226", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1294", "226", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1295", "226", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1296", "226", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("1297", "226", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1298", "10", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1299", "10", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1300", "10", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1301", "10", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1302", "10", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("1303", "10", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1305", "227", "country", "Britain");
INSERT INTO `wp_postmeta` VALUES("1306", "227", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1307", "227", "director", "Ken Loach");
INSERT INTO `wp_postmeta` VALUES("1308", "227", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1309", "227", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1310", "227", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1311", "11", "country", "Britain");
INSERT INTO `wp_postmeta` VALUES("1312", "11", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1313", "11", "director", "Ken Loach");
INSERT INTO `wp_postmeta` VALUES("1314", "11", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1315", "11", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1316", "11", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1318", "228", "country", "Britain");
INSERT INTO `wp_postmeta` VALUES("1319", "228", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1320", "228", "director", "Ken Loach");
INSERT INTO `wp_postmeta` VALUES("1321", "228", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1322", "228", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1323", "228", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1325", "229", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1326", "229", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1327", "229", "director", "Kenneth Lonergan");
INSERT INTO `wp_postmeta` VALUES("1328", "229", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1329", "229", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1330", "229", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1331", "12", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1332", "12", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1333", "12", "director", "Kenneth Lonergan");
INSERT INTO `wp_postmeta` VALUES("1334", "12", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1335", "12", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1336", "12", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1338", "231", "country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("1339", "231", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1340", "231", "director", "Park Chan-wook");
INSERT INTO `wp_postmeta` VALUES("1341", "231", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1342", "231", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1343", "231", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1344", "23", "country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("1345", "23", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1346", "23", "director", "Park Chan-wook");
INSERT INTO `wp_postmeta` VALUES("1347", "23", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1348", "23", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1349", "23", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1351", "232", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1352", "232", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1353", "232", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("1354", "232", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1355", "232", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("1356", "232", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1357", "13", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1358", "13", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1359", "13", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("1360", "13", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1361", "13", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("1362", "13", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1377", "235", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1378", "235", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1379", "235", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("1380", "235", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1381", "235", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1382", "235", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1383", "29", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1384", "29", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1385", "29", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("1386", "29", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1387", "29", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1388", "29", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1390", "237", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1391", "237", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1392", "237", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("1393", "237", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1394", "237", "year", "2009");
INSERT INTO `wp_postmeta` VALUES("1395", "237", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1396", "30", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1397", "30", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1398", "30", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("1399", "30", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1400", "30", "year", "2009");
INSERT INTO `wp_postmeta` VALUES("1401", "30", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1416", "240", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1417", "240", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1418", "240", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("1419", "240", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1420", "240", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1421", "240", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1422", "33", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1423", "33", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1424", "33", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("1425", "33", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1426", "33", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1427", "33", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1429", "241", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1430", "241", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1431", "241", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("1432", "241", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1433", "241", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("1434", "241", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1435", "34", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1436", "34", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1437", "34", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("1438", "34", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1439", "34", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("1440", "34", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1442", "242", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1443", "242", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1444", "242", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("1445", "242", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1446", "242", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("1447", "242", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1449", "243", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1450", "243", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1451", "243", "director", "Charlie Kaufman, Duke Johson");
INSERT INTO `wp_postmeta` VALUES("1452", "243", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1453", "243", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1454", "243", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1455", "35", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1456", "35", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1457", "35", "director", "Charlie Kaufman, Duke Johson");
INSERT INTO `wp_postmeta` VALUES("1458", "35", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1459", "35", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1460", "35", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1462", "244", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1463", "244", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1464", "244", "director", "Michael Gondry");
INSERT INTO `wp_postmeta` VALUES("1465", "244", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1466", "244", "year", "2004");
INSERT INTO `wp_postmeta` VALUES("1467", "244", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1469", "246", "country", "Mauritania");
INSERT INTO `wp_postmeta` VALUES("1470", "246", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1471", "246", "director", "Abderrahmane Sissako");
INSERT INTO `wp_postmeta` VALUES("1472", "246", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1473", "246", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1474", "246", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1475", "44", "country", "Mauritania");
INSERT INTO `wp_postmeta` VALUES("1476", "44", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1477", "44", "director", "Abderrahmane Sissako");
INSERT INTO `wp_postmeta` VALUES("1478", "44", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1479", "44", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1480", "44", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1483", "248", "country", "China");
INSERT INTO `wp_postmeta` VALUES("1484", "248", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1485", "248", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("1486", "248", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1487", "248", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1488", "248", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1490", "249", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1491", "249", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1492", "249", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("1493", "249", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1494", "249", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("1495", "249", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1497", "250", "country", "India");
INSERT INTO `wp_postmeta` VALUES("1498", "250", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1499", "250", "director", "Anurag Kashyap");
INSERT INTO `wp_postmeta` VALUES("1500", "250", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1501", "250", "year", "2012");
INSERT INTO `wp_postmeta` VALUES("1502", "250", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1504", "251", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("1505", "251", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1506", "251", "director", "Damián Szifron");
INSERT INTO `wp_postmeta` VALUES("1507", "251", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1508", "251", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1509", "251", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1511", "253", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1512", "253", "_edit_lock", "1659400666:1");
INSERT INTO `wp_postmeta` VALUES("1513", "254", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1514", "254", "_edit_lock", "1659368103:1");
INSERT INTO `wp_postmeta` VALUES("1515", "253", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("1516", "254", "_thumbnail_id", "146");
INSERT INTO `wp_postmeta` VALUES("1519", "257", "_wp_attached_file", "2017/03/lifeofpix-25.jpg");
INSERT INTO `wp_postmeta` VALUES("1520", "257", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:24:\"2017/03/lifeofpix-25.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"lifeofpix-25-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"lifeofpix-25-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"lifeofpix-25-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"lifeofpix-25-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"2.8\";s:6:\"credit\";s:9:\"LEEROY.ca\";s:6:\"camera\";s:21:\"Canon EOS 5D Mark III\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1449310853\";s:9:\"copyright\";s:28:\"Creative Agency 514-806-1644\";s:12:\"focal_length\";s:3:\"100\";s:3:\"iso\";s:4:\"1600\";s:13:\"shutter_speed\";s:4:\"0.01\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1524", "258", "_wp_attached_file", "2017/03/lifeofpix-08.jpg");
INSERT INTO `wp_postmeta` VALUES("1525", "258", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1800;s:4:\"file\";s:24:\"2017/03/lifeofpix-08.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"lifeofpix-08-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:24:\"lifeofpix-08-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:24:\"lifeofpix-08-768x576.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:25:\"lifeofpix-08-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:3:\"6.3\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:13:\"COOLPIX S9700\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1429996056\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:4:\"40.9\";s:3:\"iso\";s:3:\"400\";s:13:\"shutter_speed\";s:15:\"0.0333333333333\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1528", "260", "country", "<script>alert(\'pwned\')</script>");
INSERT INTO `wp_postmeta` VALUES("1529", "260", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1530", "260", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("1531", "260", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1532", "260", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1533", "260", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1535", "261", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1536", "261", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1537", "261", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("1538", "261", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1539", "261", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1540", "261", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1546", "278", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("1547", "278", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1548", "278", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("1549", "278", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1550", "278", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1551", "278", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1553", "279", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1554", "279", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1555", "279", "director", "Takashi Miike");
INSERT INTO `wp_postmeta` VALUES("1556", "279", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1557", "279", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("1558", "279", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1561", "311", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1562", "311", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1563", "311", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1564", "311", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1565", "311", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("1566", "311", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1570", "312", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("1571", "312", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1572", "312", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("1573", "312", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1574", "312", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("1575", "312", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1578", "313", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1579", "313", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1580", "313", "director", "Takeshi Kitano");
INSERT INTO `wp_postmeta` VALUES("1581", "313", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1582", "313", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1583", "313", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1586", "314", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1587", "314", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1588", "314", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1589", "314", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1590", "314", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1591", "314", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1593", "315", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1594", "315", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1595", "315", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1596", "315", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1597", "315", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1598", "315", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1601", "316", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1602", "316", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1603", "316", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("1604", "316", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1605", "316", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("1606", "316", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1610", "317", "country", "Britain");
INSERT INTO `wp_postmeta` VALUES("1611", "317", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1612", "317", "director", "Ken Loach");
INSERT INTO `wp_postmeta` VALUES("1613", "317", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1614", "317", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1615", "317", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1616", "318", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1617", "318", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1618", "318", "director", "Kenneth Lonergan");
INSERT INTO `wp_postmeta` VALUES("1619", "318", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1620", "318", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1621", "318", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1624", "319", "country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("1625", "319", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1626", "319", "director", "Park Chan-wook");
INSERT INTO `wp_postmeta` VALUES("1627", "319", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1628", "319", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("1629", "319", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1632", "320", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1633", "320", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1634", "320", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("1635", "320", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1636", "320", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("1637", "320", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1648", "322", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1649", "322", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1650", "322", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("1651", "322", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1652", "322", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1653", "322", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1656", "323", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1657", "323", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1658", "323", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("1659", "323", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1660", "323", "year", "2009");
INSERT INTO `wp_postmeta` VALUES("1661", "323", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1671", "325", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1672", "325", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1673", "325", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("1674", "325", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1675", "325", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("1676", "325", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1679", "326", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1680", "326", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1681", "326", "director", "Charlie Kaufman, Duke Johson");
INSERT INTO `wp_postmeta` VALUES("1682", "326", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1683", "326", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1684", "326", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1687", "327", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("1688", "327", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1689", "327", "director", "Michael Gondry");
INSERT INTO `wp_postmeta` VALUES("1690", "327", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1691", "327", "year", "2004");
INSERT INTO `wp_postmeta` VALUES("1692", "327", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1694", "328", "country", "Mauritania");
INSERT INTO `wp_postmeta` VALUES("1695", "328", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1696", "328", "director", "Abderrahmane Sissako");
INSERT INTO `wp_postmeta` VALUES("1697", "328", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1698", "328", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1699", "328", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1703", "329", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("1704", "329", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1705", "329", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("1706", "329", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1707", "329", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1708", "329", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1709", "330", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("1710", "330", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1711", "330", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("1712", "330", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1713", "330", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1714", "330", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1717", "331", "country", "China");
INSERT INTO `wp_postmeta` VALUES("1718", "331", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1719", "331", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("1720", "331", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1721", "331", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1722", "331", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1724", "332", "country", "China");
INSERT INTO `wp_postmeta` VALUES("1725", "332", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1726", "332", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("1727", "332", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1728", "332", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("1729", "332", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1732", "333", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1733", "333", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1734", "333", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("1735", "333", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1736", "333", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("1737", "333", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1740", "334", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1741", "334", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1742", "334", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("1743", "334", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1744", "334", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1745", "334", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1750", "335", "country", "India");
INSERT INTO `wp_postmeta` VALUES("1751", "335", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1752", "335", "director", "Anurag Kashyap");
INSERT INTO `wp_postmeta` VALUES("1753", "335", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1754", "335", "year", "2012");
INSERT INTO `wp_postmeta` VALUES("1755", "335", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1758", "336", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("1759", "336", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1760", "336", "director", "Damián Szifron");
INSERT INTO `wp_postmeta` VALUES("1761", "336", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1762", "336", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1763", "336", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1766", "337", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1767", "337", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1768", "337", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("1769", "337", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1770", "337", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("1771", "337", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1774", "338", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1775", "338", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1776", "338", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("1777", "338", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1778", "338", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("1779", "338", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1781", "339", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("1782", "339", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1783", "339", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("1784", "339", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1785", "339", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1786", "339", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1789", "340", "country", "Norway");
INSERT INTO `wp_postmeta` VALUES("1790", "340", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1791", "340", "director", "Hans Petter Moland");
INSERT INTO `wp_postmeta` VALUES("1792", "340", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1793", "340", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1794", "340", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1797", "341", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("1798", "341", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1799", "341", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("1800", "341", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1801", "341", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("1802", "341", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1804", "342", "country", "United States");
INSERT INTO `wp_postmeta` VALUES("1805", "342", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1806", "342", "director", "Alex Garland");
INSERT INTO `wp_postmeta` VALUES("1807", "342", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1808", "342", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1809", "342", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1814", "343", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1815", "343", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1816", "343", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("1817", "343", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1818", "343", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1819", "343", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1820", "264", "_edit_lock", "1678305063:1");
INSERT INTO `wp_postmeta` VALUES("1830", "346", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("1831", "346", "_edit_lock", "1659627695:2");
INSERT INTO `wp_postmeta` VALUES("1834", "59", "movie_trailer", "https://www.youtube.com/watch?v=2oh6oYq_ouo");
INSERT INTO `wp_postmeta` VALUES("1835", "59", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1836", "348", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1837", "348", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1838", "348", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("1839", "348", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1840", "348", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("1841", "348", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1842", "348", "movie_trailer", "https://www.youtube.com/watch?v=2oh6oYq_ouo");
INSERT INTO `wp_postmeta` VALUES("1843", "348", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1846", "90", "movie_trailer", "https://www.youtube.com/watch?v=ELIMeemx-FI&t=4s");
INSERT INTO `wp_postmeta` VALUES("1847", "90", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1848", "349", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1849", "349", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1850", "349", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("1851", "349", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1852", "349", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1853", "349", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1854", "349", "movie_trailer", "https://www.youtube.com/watch?v=ELIMeemx-FI&t=4s");
INSERT INTO `wp_postmeta` VALUES("1855", "349", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1857", "351", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1858", "351", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1859", "351", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("1860", "351", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1861", "351", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1862", "351", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1863", "351", "movie_trailer", "https://www.youtube.com/watch?v=ELIMeemx-FI&t=4s");
INSERT INTO `wp_postmeta` VALUES("1864", "351", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1866", "352", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("1867", "352", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1868", "352", "director", "Pawel Pawlikowski");
INSERT INTO `wp_postmeta` VALUES("1869", "352", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1870", "352", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("1871", "352", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1872", "352", "movie_trailer", "https://www.youtube.com/watch?v=ELIMeemx-FI&t=4s");
INSERT INTO `wp_postmeta` VALUES("1873", "352", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1877", "89", "movie_trailer", "https://www.youtube.com/watch?v=tj0SMgg9Jqg");
INSERT INTO `wp_postmeta` VALUES("1878", "89", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1879", "353", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("1880", "353", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1881", "353", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("1882", "353", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1883", "353", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1884", "353", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1885", "353", "movie_trailer", "https://www.youtube.com/watch?v=tj0SMgg9Jqg");
INSERT INTO `wp_postmeta` VALUES("1886", "353", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1888", "356", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("1889", "356", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1890", "356", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("1891", "356", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1892", "356", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1893", "356", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1894", "356", "movie_trailer", "https://www.youtube.com/watch?v=tj0SMgg9Jqg");
INSERT INTO `wp_postmeta` VALUES("1895", "356", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1898", "84", "movie_trailer", "https://www.youtube.com/watch?v=Xpm007vne54");
INSERT INTO `wp_postmeta` VALUES("1899", "84", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1900", "359", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1901", "359", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1902", "359", "director", "Takashi Miike");
INSERT INTO `wp_postmeta` VALUES("1903", "359", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1904", "359", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("1905", "359", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1906", "359", "movie_trailer", "https://www.youtube.com/watch?v=Xpm007vne54");
INSERT INTO `wp_postmeta` VALUES("1907", "359", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1909", "361", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1910", "361", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1911", "361", "director", "Takashi Miike");
INSERT INTO `wp_postmeta` VALUES("1912", "361", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1913", "361", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("1914", "361", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1915", "361", "movie_trailer", "https://www.youtube.com/watch?v=Xpm007vne54");
INSERT INTO `wp_postmeta` VALUES("1916", "361", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1919", "80", "movie_trailer", "https://www.youtube.com/watch?v=EoQuVnKhxaM");
INSERT INTO `wp_postmeta` VALUES("1920", "80", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1921", "364", "country", "United States");
INSERT INTO `wp_postmeta` VALUES("1922", "364", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1923", "364", "director", "Alex Garland");
INSERT INTO `wp_postmeta` VALUES("1924", "364", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1925", "364", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1926", "364", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1927", "364", "movie_trailer", "https://www.youtube.com/watch?v=EoQuVnKhxaM");
INSERT INTO `wp_postmeta` VALUES("1928", "364", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1931", "78", "movie_trailer", "https://www.youtube.com/watch?v=f46txO0dlOo");
INSERT INTO `wp_postmeta` VALUES("1932", "78", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1933", "366", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("1934", "366", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1935", "366", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("1936", "366", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1937", "366", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("1938", "366", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1939", "366", "movie_trailer", "https://www.youtube.com/watch?v=f46txO0dlOo");
INSERT INTO `wp_postmeta` VALUES("1940", "366", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1942", "368", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("1943", "368", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1944", "368", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("1945", "368", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1946", "368", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("1947", "368", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1948", "368", "movie_trailer", "https://www.youtube.com/watch?v=f46txO0dlOo");
INSERT INTO `wp_postmeta` VALUES("1949", "368", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1952", "74", "movie_trailer", "https://www.youtube.com/watch?v=CKFtNsQ78oI");
INSERT INTO `wp_postmeta` VALUES("1953", "74", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1954", "370", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("1955", "370", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1956", "370", "director", "Hsiao-Hsien Hou");
INSERT INTO `wp_postmeta` VALUES("1957", "370", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1958", "370", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1959", "370", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1960", "370", "movie_trailer", "https://www.youtube.com/watch?v=CKFtNsQ78oI");
INSERT INTO `wp_postmeta` VALUES("1961", "370", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1963", "372", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("1964", "372", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1965", "372", "director", "Hsiao-Hsien Hou");
INSERT INTO `wp_postmeta` VALUES("1966", "372", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1967", "372", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("1968", "372", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1969", "372", "movie_trailer", "https://www.youtube.com/watch?v=CKFtNsQ78oI");
INSERT INTO `wp_postmeta` VALUES("1970", "372", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1973", "70", "movie_trailer", "https://www.youtube.com/watch?v=JbfkuN_MpvQ&t=14s");
INSERT INTO `wp_postmeta` VALUES("1974", "70", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1975", "375", "country", "Norway");
INSERT INTO `wp_postmeta` VALUES("1976", "375", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1977", "375", "director", "Hans Petter Moland");
INSERT INTO `wp_postmeta` VALUES("1978", "375", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1979", "375", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1980", "375", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1981", "375", "movie_trailer", "https://www.youtube.com/watch?v=JbfkuN_MpvQ&t=14s");
INSERT INTO `wp_postmeta` VALUES("1982", "375", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1985", "69", "movie_trailer", "https://www.youtube.com/watch?v=PZtx4RPK3W4");
INSERT INTO `wp_postmeta` VALUES("1986", "69", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1987", "378", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("1988", "378", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1989", "378", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("1990", "378", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("1991", "378", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("1992", "378", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("1993", "378", "movie_trailer", "https://www.youtube.com/watch?v=PZtx4RPK3W4");
INSERT INTO `wp_postmeta` VALUES("1994", "378", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("1997", "379", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1998", "379", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("1999", "379", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("2000", "379", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2001", "379", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("2002", "379", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2003", "379", "movie_trailer", "https://www.youtube.com/watch?v=2oh6oYq_ouo");
INSERT INTO `wp_postmeta` VALUES("2004", "379", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2006", "380", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2007", "380", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2008", "380", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("2009", "380", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2010", "380", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("2011", "380", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2012", "380", "movie_trailer", "https://www.youtube.com/watch?v=2oh6oYq_ouo");
INSERT INTO `wp_postmeta` VALUES("2013", "380", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2016", "382", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("2017", "382", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2018", "382", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("2019", "382", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2020", "382", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2021", "382", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2022", "382", "movie_trailer", "https://www.youtube.com/watch?v=tj0SMgg9Jqg");
INSERT INTO `wp_postmeta` VALUES("2023", "382", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2026", "58", "movie_trailer", "https://www.youtube.com/watch?v=BbCfWIfyIi4");
INSERT INTO `wp_postmeta` VALUES("2027", "58", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2028", "384", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2029", "384", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2030", "384", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("2031", "384", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2032", "384", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("2033", "384", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2034", "384", "movie_trailer", "https://www.youtube.com/watch?v=BbCfWIfyIi4");
INSERT INTO `wp_postmeta` VALUES("2035", "384", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2037", "386", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2038", "386", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2039", "386", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("2040", "386", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2041", "386", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("2042", "386", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2043", "386", "movie_trailer", "https://www.youtube.com/watch?v=BbCfWIfyIi4");
INSERT INTO `wp_postmeta` VALUES("2044", "386", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2047", "57", "movie_trailer", "https://www.youtube.com/watch?v=Utq0aDEp084");
INSERT INTO `wp_postmeta` VALUES("2048", "57", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2049", "389", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("2050", "389", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2051", "389", "director", "Damián Szifron");
INSERT INTO `wp_postmeta` VALUES("2052", "389", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2053", "389", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2054", "389", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2055", "389", "movie_trailer", "https://www.youtube.com/watch?v=Utq0aDEp084");
INSERT INTO `wp_postmeta` VALUES("2056", "389", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2059", "56", "movie_trailer", "https://www.youtube.com/watch?v=Z1nmIm5ncNE");
INSERT INTO `wp_postmeta` VALUES("2060", "56", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2061", "392", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2062", "392", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2063", "392", "director", "Anurag Kashyap");
INSERT INTO `wp_postmeta` VALUES("2064", "392", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2065", "392", "year", "2012");
INSERT INTO `wp_postmeta` VALUES("2066", "392", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2067", "392", "movie_trailer", "https://www.youtube.com/watch?v=Z1nmIm5ncNE");
INSERT INTO `wp_postmeta` VALUES("2068", "392", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2071", "55", "movie_trailer", "https://www.youtube.com/watch?v=eM2tblIkL4g");
INSERT INTO `wp_postmeta` VALUES("2072", "55", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2073", "395", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2074", "395", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2075", "395", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("2076", "395", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2077", "395", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("2078", "395", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2079", "395", "movie_trailer", "https://www.youtube.com/watch?v=eM2tblIkL4g");
INSERT INTO `wp_postmeta` VALUES("2080", "395", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2083", "54", "movie_trailer", "https://www.youtube.com/watch?v=AgZy00svH08");
INSERT INTO `wp_postmeta` VALUES("2084", "54", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2085", "398", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2086", "398", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2087", "398", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("2088", "398", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2089", "398", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("2090", "398", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2091", "398", "movie_trailer", "https://www.youtube.com/watch?v=AgZy00svH08");
INSERT INTO `wp_postmeta` VALUES("2092", "398", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2095", "52", "movie_trailer", "https://www.youtube.com/watch?v=uh-gwDRjKXA");
INSERT INTO `wp_postmeta` VALUES("2096", "52", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2097", "401", "country", "China");
INSERT INTO `wp_postmeta` VALUES("2098", "401", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2099", "401", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("2100", "401", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2101", "401", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("2102", "401", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2103", "401", "movie_trailer", "https://www.youtube.com/watch?v=uh-gwDRjKXA");
INSERT INTO `wp_postmeta` VALUES("2104", "401", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2107", "50", "movie_trailer", "https://www.youtube.com/watch?v=15syDwC000k");
INSERT INTO `wp_postmeta` VALUES("2108", "50", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2109", "404", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("2110", "404", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2111", "404", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("2112", "404", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2113", "404", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("2114", "404", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2115", "404", "movie_trailer", "https://www.youtube.com/watch?v=15syDwC000k");
INSERT INTO `wp_postmeta` VALUES("2116", "404", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2119", "48", "movie_trailer", "https://www.youtube.com/watch?v=InuzW58ydyU");
INSERT INTO `wp_postmeta` VALUES("2120", "48", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2121", "406", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("2122", "406", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2123", "406", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("2124", "406", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2125", "406", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2126", "406", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2127", "406", "movie_trailer", "https://www.youtube.com/watch?v=InuzW58ydyU");
INSERT INTO `wp_postmeta` VALUES("2128", "406", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2130", "408", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("2131", "408", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2132", "408", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("2133", "408", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2134", "408", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2135", "408", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2136", "408", "movie_trailer", "https://www.youtube.com/watch?v=InuzW58ydyU");
INSERT INTO `wp_postmeta` VALUES("2137", "408", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2139", "409", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("2140", "409", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2141", "409", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("2142", "409", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2143", "409", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2144", "409", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2145", "409", "movie_trailer", "https://www.youtube.com/watch?v=InuzW58ydyU");
INSERT INTO `wp_postmeta` VALUES("2146", "409", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2149", "44", "movie_trailer", "https://www.youtube.com/watch?v=CspcDYQ-SiY");
INSERT INTO `wp_postmeta` VALUES("2150", "44", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2151", "412", "country", "Mauritania");
INSERT INTO `wp_postmeta` VALUES("2152", "412", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2153", "412", "director", "Abderrahmane Sissako");
INSERT INTO `wp_postmeta` VALUES("2154", "412", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2155", "412", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2156", "412", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2157", "412", "movie_trailer", "https://www.youtube.com/watch?v=CspcDYQ-SiY");
INSERT INTO `wp_postmeta` VALUES("2158", "412", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2161", "42", "movie_trailer", "https://www.youtube.com/watch?v=07-QBnEkgXU&t=5s");
INSERT INTO `wp_postmeta` VALUES("2162", "42", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2163", "415", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("2164", "415", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2165", "415", "director", "Michael Gondry");
INSERT INTO `wp_postmeta` VALUES("2166", "415", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2167", "415", "year", "2004");
INSERT INTO `wp_postmeta` VALUES("2168", "415", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2169", "415", "movie_trailer", "https://www.youtube.com/watch?v=07-QBnEkgXU&t=5s");
INSERT INTO `wp_postmeta` VALUES("2170", "415", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2173", "35", "movie_trailer", "https://www.youtube.com/watch?v=bFzeMZLXv_w");
INSERT INTO `wp_postmeta` VALUES("2174", "35", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2175", "417", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("2176", "417", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2177", "417", "director", "Charlie Kaufman, Duke Johson");
INSERT INTO `wp_postmeta` VALUES("2178", "417", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2179", "417", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("2180", "417", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2181", "417", "movie_trailer", "https://www.youtube.com/watch?v=bFzeMZLXv_w");
INSERT INTO `wp_postmeta` VALUES("2182", "417", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2185", "34", "movie_trailer", "https://www.youtube.com/watch?v=cVaqLZmMf-k");
INSERT INTO `wp_postmeta` VALUES("2186", "34", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2187", "420", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2188", "420", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2189", "420", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2190", "420", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2191", "420", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("2192", "420", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2193", "420", "movie_trailer", "https://www.youtube.com/watch?v=cVaqLZmMf-k");
INSERT INTO `wp_postmeta` VALUES("2194", "420", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2196", "421", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2197", "421", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2198", "421", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2199", "421", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2200", "421", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("2201", "421", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2202", "421", "movie_trailer", "https://www.youtube.com/watch?v=cVaqLZmMf-k");
INSERT INTO `wp_postmeta` VALUES("2203", "421", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2206", "33", "movie_trailer", "https://www.youtube.com/watch?v=h8NU3EYTbFg");
INSERT INTO `wp_postmeta` VALUES("2207", "33", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2208", "423", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2209", "423", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2210", "423", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2211", "423", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2212", "423", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("2213", "423", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2214", "423", "movie_trailer", "https://www.youtube.com/watch?v=h8NU3EYTbFg");
INSERT INTO `wp_postmeta` VALUES("2215", "423", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2217", "424", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2218", "424", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2219", "424", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2220", "424", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2221", "424", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("2222", "424", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2223", "424", "movie_trailer", "https://www.youtube.com/watch?v=h8NU3EYTbFg");
INSERT INTO `wp_postmeta` VALUES("2224", "424", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2227", "30", "movie_trailer", "https://www.youtube.com/watch?v=IueWP2PeYyQ");
INSERT INTO `wp_postmeta` VALUES("2228", "30", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2229", "427", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2230", "427", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2231", "427", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("2232", "427", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2233", "427", "year", "2009");
INSERT INTO `wp_postmeta` VALUES("2234", "427", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2235", "427", "movie_trailer", "https://www.youtube.com/watch?v=IueWP2PeYyQ");
INSERT INTO `wp_postmeta` VALUES("2236", "427", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2239", "29", "movie_trailer", "https://www.youtube.com/watch?v=Q9LVLCYvqSI");
INSERT INTO `wp_postmeta` VALUES("2240", "29", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2241", "429", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2242", "429", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2243", "429", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("2244", "429", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2245", "429", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2246", "429", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2247", "429", "movie_trailer", "https://www.youtube.com/watch?v=Q9LVLCYvqSI");
INSERT INTO `wp_postmeta` VALUES("2248", "429", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2250", "431", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2251", "431", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2252", "431", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("2253", "431", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2254", "431", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2255", "431", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2256", "431", "movie_trailer", "https://www.youtube.com/watch?v=Q9LVLCYvqSI");
INSERT INTO `wp_postmeta` VALUES("2257", "431", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2266", "13", "movie_trailer", "https://www.youtube.com/watch?v=58Onuy5USTc");
INSERT INTO `wp_postmeta` VALUES("2267", "13", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2268", "435", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2269", "435", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2270", "435", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("2271", "435", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2272", "435", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("2273", "435", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2274", "435", "movie_trailer", "https://www.youtube.com/watch?v=58Onuy5USTc");
INSERT INTO `wp_postmeta` VALUES("2275", "435", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2277", "436", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2278", "436", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2279", "436", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("2280", "436", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2281", "436", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("2282", "436", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2283", "436", "movie_trailer", "https://www.youtube.com/watch?v=58Onuy5USTc");
INSERT INTO `wp_postmeta` VALUES("2284", "436", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2287", "23", "movie_trailer", "https://www.youtube.com/watch?v=whldChqCsYk");
INSERT INTO `wp_postmeta` VALUES("2288", "23", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2289", "439", "country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("2290", "439", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2291", "439", "director", "Park Chan-wook");
INSERT INTO `wp_postmeta` VALUES("2292", "439", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2293", "439", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("2294", "439", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2295", "439", "movie_trailer", "https://www.youtube.com/watch?v=whldChqCsYk");
INSERT INTO `wp_postmeta` VALUES("2296", "439", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2299", "12", "movie_trailer", "https://www.youtube.com/watch?v=NxQmuJnrjxg");
INSERT INTO `wp_postmeta` VALUES("2300", "12", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2301", "442", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("2302", "442", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2303", "442", "director", "Kenneth Lonergan");
INSERT INTO `wp_postmeta` VALUES("2304", "442", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2305", "442", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("2306", "442", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2307", "442", "movie_trailer", "https://www.youtube.com/watch?v=NxQmuJnrjxg");
INSERT INTO `wp_postmeta` VALUES("2308", "442", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2311", "11", "movie_trailer", "https://www.youtube.com/watch?v=f4KbJLpu7yo");
INSERT INTO `wp_postmeta` VALUES("2312", "11", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2313", "445", "country", "Britain");
INSERT INTO `wp_postmeta` VALUES("2314", "445", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2315", "445", "director", "Ken Loach");
INSERT INTO `wp_postmeta` VALUES("2316", "445", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2317", "445", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("2318", "445", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2319", "445", "movie_trailer", "https://www.youtube.com/watch?v=f4KbJLpu7yo");
INSERT INTO `wp_postmeta` VALUES("2320", "445", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2322", "10", "movie_trailer", "https://www.youtube.com/watch?v=MThoPE6t-Dw");
INSERT INTO `wp_postmeta` VALUES("2323", "10", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2324", "448", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("2325", "448", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2326", "448", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("2327", "448", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2328", "448", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("2329", "448", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2330", "448", "movie_trailer", "https://www.youtube.com/watch?v=MThoPE6t-Dw");
INSERT INTO `wp_postmeta` VALUES("2331", "448", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2334", "9", "movie_trailer", "https://www.youtube.com/watch?v=wR-h5eEkGwI");
INSERT INTO `wp_postmeta` VALUES("2335", "9", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2336", "451", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("2337", "451", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2338", "451", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("2339", "451", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2340", "451", "year", "2013");
INSERT INTO `wp_postmeta` VALUES("2341", "451", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2342", "451", "movie_trailer", "https://www.youtube.com/watch?v=wR-h5eEkGwI");
INSERT INTO `wp_postmeta` VALUES("2343", "451", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2346", "8", "movie_trailer", "https://www.youtube.com/watch?v=E8_L9kqie7s");
INSERT INTO `wp_postmeta` VALUES("2347", "8", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2348", "454", "country", "USA");
INSERT INTO `wp_postmeta` VALUES("2349", "454", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2350", "454", "director", "Jim Jarmusch");
INSERT INTO `wp_postmeta` VALUES("2351", "454", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2352", "454", "year", "2016");
INSERT INTO `wp_postmeta` VALUES("2353", "454", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2354", "454", "movie_trailer", "https://www.youtube.com/watch?v=E8_L9kqie7s");
INSERT INTO `wp_postmeta` VALUES("2355", "454", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2358", "7", "movie_trailer", "https://www.youtube.com/watch?v=PwTWtAE3ylY");
INSERT INTO `wp_postmeta` VALUES("2359", "7", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2360", "457", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("2361", "457", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2362", "457", "director", "Takeshi Kitano");
INSERT INTO `wp_postmeta` VALUES("2363", "457", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2364", "457", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("2365", "457", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2366", "457", "movie_trailer", "https://www.youtube.com/watch?v=PwTWtAE3ylY");
INSERT INTO `wp_postmeta` VALUES("2367", "457", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2370", "6", "movie_trailer", "https://www.youtube.com/watch?v=OPCug9jyG9k");
INSERT INTO `wp_postmeta` VALUES("2371", "6", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2372", "460", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2373", "460", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2374", "460", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2375", "460", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2376", "460", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("2377", "460", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2378", "460", "movie_trailer", "https://www.youtube.com/watch?v=OPCug9jyG9k");
INSERT INTO `wp_postmeta` VALUES("2379", "460", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2381", "462", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2382", "462", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2383", "462", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2384", "462", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2385", "462", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("2386", "462", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2387", "462", "movie_trailer", "https://www.youtube.com/watch?v=OPCug9jyG9k");
INSERT INTO `wp_postmeta` VALUES("2388", "462", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2391", "5", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2392", "5", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2393", "463", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2394", "463", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2395", "463", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2396", "463", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2397", "463", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2398", "463", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2399", "463", "movie_trailer", "");
INSERT INTO `wp_postmeta` VALUES("2400", "463", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2402", "464", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2403", "464", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2404", "464", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2405", "464", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2406", "464", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2407", "464", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2408", "464", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2409", "464", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2411", "466", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2412", "466", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2413", "466", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2414", "466", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2415", "466", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2416", "466", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2417", "466", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2418", "466", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2420", "467", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2421", "467", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2422", "467", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2423", "467", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2424", "467", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2425", "467", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2426", "467", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2427", "467", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2463", "468", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2464", "468", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2465", "468", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("2466", "468", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2467", "468", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2468", "468", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2469", "468", "movie_trailer", "https://www.youtube.com/watch?v=Q9LVLCYvqSI");
INSERT INTO `wp_postmeta` VALUES("2470", "468", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2472", "469", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2473", "469", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2474", "469", "director", "Xavier Dolan");
INSERT INTO `wp_postmeta` VALUES("2475", "469", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2476", "469", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2477", "469", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2478", "469", "movie_trailer", "https://www.youtube.com/watch?v=Q9LVLCYvqSI");
INSERT INTO `wp_postmeta` VALUES("2479", "469", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2480", "470", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2481", "470", "_edit_lock", "1659367902:1");
INSERT INTO `wp_postmeta` VALUES("2482", "254", "notice_type", "Added Showing");
INSERT INTO `wp_postmeta` VALUES("2483", "254", "_notice_type", "field_62e6ce04dde77");
INSERT INTO `wp_postmeta` VALUES("2484", "473", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("2485", "473", "notice_type", "Added Showing");
INSERT INTO `wp_postmeta` VALUES("2486", "473", "_notice_type", "field_62e6ce04dde77");
INSERT INTO `wp_postmeta` VALUES("2487", "473", "_dp_original", "254");
INSERT INTO `wp_postmeta` VALUES("2488", "473", "_edit_lock", "1659367947:1");
INSERT INTO `wp_postmeta` VALUES("2489", "473", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2490", "474", "_thumbnail_id", "156");
INSERT INTO `wp_postmeta` VALUES("2491", "474", "notice_type", "Added Showing");
INSERT INTO `wp_postmeta` VALUES("2492", "474", "_notice_type", "field_62e6ce04dde77");
INSERT INTO `wp_postmeta` VALUES("2494", "474", "_dp_original", "473");
INSERT INTO `wp_postmeta` VALUES("2495", "474", "_edit_lock", "1659367935:1");
INSERT INTO `wp_postmeta` VALUES("2496", "474", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2505", "476", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2506", "476", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2507", "476", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("2508", "476", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2509", "476", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("2510", "476", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2511", "476", "movie_trailer", "https://www.youtube.com/watch?v=2oh6oYq_ouo");
INSERT INTO `wp_postmeta` VALUES("2512", "476", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2514", "478", "country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2515", "478", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2516", "478", "director", "Pete McCormack");
INSERT INTO `wp_postmeta` VALUES("2517", "478", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2518", "478", "year", "2010");
INSERT INTO `wp_postmeta` VALUES("2519", "478", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2520", "478", "movie_trailer", "https://www.youtube.com/watch?v=2oh6oYq_ouo");
INSERT INTO `wp_postmeta` VALUES("2521", "478", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2525", "479", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2526", "479", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2527", "479", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2528", "479", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2529", "479", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2530", "479", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2531", "479", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2532", "479", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2534", "481", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2535", "481", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2536", "481", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2537", "481", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2538", "481", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2539", "481", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2540", "481", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2541", "481", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2544", "482", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2545", "482", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2546", "482", "director", "Anurag Kashyap");
INSERT INTO `wp_postmeta` VALUES("2547", "482", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2548", "482", "year", "2012");
INSERT INTO `wp_postmeta` VALUES("2549", "482", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2550", "482", "movie_trailer", "https://www.youtube.com/watch?v=Z1nmIm5ncNE");
INSERT INTO `wp_postmeta` VALUES("2551", "482", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2554", "483", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("2555", "483", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2556", "483", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("2557", "483", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2558", "483", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2559", "483", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2560", "483", "movie_trailer", "https://www.youtube.com/watch?v=f46txO0dlOo");
INSERT INTO `wp_postmeta` VALUES("2561", "483", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2563", "484", "country", "Taiwan");
INSERT INTO `wp_postmeta` VALUES("2564", "484", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2565", "484", "director", "Edward Yang");
INSERT INTO `wp_postmeta` VALUES("2566", "484", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2567", "484", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2568", "484", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2569", "484", "movie_trailer", "https://www.youtube.com/watch?v=f46txO0dlOo");
INSERT INTO `wp_postmeta` VALUES("2570", "484", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2573", "485", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("2574", "485", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2575", "485", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("2576", "485", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2577", "485", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("2578", "485", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2579", "485", "movie_trailer", "https://www.youtube.com/watch?v=15syDwC000k");
INSERT INTO `wp_postmeta` VALUES("2580", "485", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2582", "486", "country", "Canada, Ireland, United Kingdom");
INSERT INTO `wp_postmeta` VALUES("2583", "486", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2584", "486", "director", "John Crowley");
INSERT INTO `wp_postmeta` VALUES("2585", "486", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2586", "486", "year", "2015");
INSERT INTO `wp_postmeta` VALUES("2587", "486", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2588", "486", "movie_trailer", "https://www.youtube.com/watch?v=15syDwC000k");
INSERT INTO `wp_postmeta` VALUES("2589", "486", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2592", "488", "country", "China");
INSERT INTO `wp_postmeta` VALUES("2593", "488", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2594", "488", "director", "Zhang Yimou");
INSERT INTO `wp_postmeta` VALUES("2595", "488", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2596", "488", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("2597", "488", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2598", "488", "movie_trailer", "https://www.youtube.com/watch?v=uh-gwDRjKXA");
INSERT INTO `wp_postmeta` VALUES("2599", "488", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2602", "489", "country", "Japan");
INSERT INTO `wp_postmeta` VALUES("2603", "489", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2604", "489", "director", "Takeshi Kitano");
INSERT INTO `wp_postmeta` VALUES("2605", "489", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2606", "489", "year", "1997");
INSERT INTO `wp_postmeta` VALUES("2607", "489", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2608", "489", "movie_trailer", "https://www.youtube.com/watch?v=PwTWtAE3ylY");
INSERT INTO `wp_postmeta` VALUES("2609", "489", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2612", "490", "country", "Hong Kong");
INSERT INTO `wp_postmeta` VALUES("2613", "490", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2614", "490", "director", "Wong Kar-Wai");
INSERT INTO `wp_postmeta` VALUES("2615", "490", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2616", "490", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2617", "490", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2618", "490", "movie_trailer", "https://www.youtube.com/watch?v=xjmvuBY3560");
INSERT INTO `wp_postmeta` VALUES("2619", "490", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2622", "492", "country", "Norway");
INSERT INTO `wp_postmeta` VALUES("2623", "492", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2624", "492", "director", "Hans Petter Moland");
INSERT INTO `wp_postmeta` VALUES("2625", "492", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2626", "492", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2627", "492", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2628", "492", "movie_trailer", "https://www.youtube.com/watch?v=JbfkuN_MpvQ&t=14s");
INSERT INTO `wp_postmeta` VALUES("2629", "492", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2632", "493", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("2633", "493", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2634", "493", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("2635", "493", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2636", "493", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2637", "493", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2638", "493", "movie_trailer", "https://www.youtube.com/watch?v=PZtx4RPK3W4");
INSERT INTO `wp_postmeta` VALUES("2639", "493", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2641", "494", "country", "United Kingdom");
INSERT INTO `wp_postmeta` VALUES("2642", "494", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2643", "494", "director", "Yann Demange");
INSERT INTO `wp_postmeta` VALUES("2644", "494", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2645", "494", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2646", "494", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2647", "494", "movie_trailer", "https://www.youtube.com/watch?v=PZtx4RPK3W4");
INSERT INTO `wp_postmeta` VALUES("2648", "494", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2651", "496", "country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("2652", "496", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2653", "496", "director", "Jean-Pierre Dardenne, Luc Dardenne");
INSERT INTO `wp_postmeta` VALUES("2654", "496", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2655", "496", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2656", "496", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2657", "496", "movie_trailer", "https://www.youtube.com/watch?v=InuzW58ydyU");
INSERT INTO `wp_postmeta` VALUES("2658", "496", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2661", "498", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2662", "498", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2663", "498", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2664", "498", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2665", "498", "year", "1993");
INSERT INTO `wp_postmeta` VALUES("2666", "498", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2667", "498", "movie_trailer", "https://www.youtube.com/watch?v=cVaqLZmMf-k");
INSERT INTO `wp_postmeta` VALUES("2668", "498", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2671", "499", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2672", "499", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2673", "499", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2674", "499", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2675", "499", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("2676", "499", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2677", "499", "movie_trailer", "https://www.youtube.com/watch?v=h8NU3EYTbFg");
INSERT INTO `wp_postmeta` VALUES("2678", "499", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2681", "501", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("2682", "501", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2683", "501", "director", "Damián Szifron");
INSERT INTO `wp_postmeta` VALUES("2684", "501", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2685", "501", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2686", "501", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2687", "501", "movie_trailer", "https://www.youtube.com/watch?v=Utq0aDEp084");
INSERT INTO `wp_postmeta` VALUES("2688", "501", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2691", "502", "country", "Russia");
INSERT INTO `wp_postmeta` VALUES("2692", "502", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2693", "502", "director", "Andrey Zvyagintsev");
INSERT INTO `wp_postmeta` VALUES("2694", "502", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2695", "502", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2696", "502", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2697", "502", "movie_trailer", "https://www.youtube.com/watch?v=tj0SMgg9Jqg");
INSERT INTO `wp_postmeta` VALUES("2698", "502", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2699", "253", "notice_type", "Cancellation");
INSERT INTO `wp_postmeta` VALUES("2700", "253", "_notice_type", "field_62e6ce04dde77");
INSERT INTO `wp_postmeta` VALUES("2701", "503", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2702", "503", "_edit_lock", "1659367117:1");
INSERT INTO `wp_postmeta` VALUES("2703", "503", "notice_type", "Cancellation");
INSERT INTO `wp_postmeta` VALUES("2704", "503", "_notice_type", "field_62e6ce04dde77");
INSERT INTO `wp_postmeta` VALUES("2705", "504", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2706", "504", "_edit_lock", "1659623842:1");
INSERT INTO `wp_postmeta` VALUES("2707", "504", "notice_type", "Cancellation");
INSERT INTO `wp_postmeta` VALUES("2708", "504", "_notice_type", "field_62e6ce04dde77");
INSERT INTO `wp_postmeta` VALUES("2710", "11", "_wp_old_date", "2017-03-19");
INSERT INTO `wp_postmeta` VALUES("2712", "33", "_wp_old_date", "2017-03-19");
INSERT INTO `wp_postmeta` VALUES("2714", "34", "_wp_old_date", "2017-03-19");
INSERT INTO `wp_postmeta` VALUES("2717", "505", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2718", "505", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2719", "505", "director", "Krzysztof Kieślowski");
INSERT INTO `wp_postmeta` VALUES("2720", "505", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2721", "505", "year", "1994");
INSERT INTO `wp_postmeta` VALUES("2722", "505", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2723", "505", "movie_trailer", "https://www.youtube.com/watch?v=h8NU3EYTbFg");
INSERT INTO `wp_postmeta` VALUES("2724", "505", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2725", "506", "_edit_lock", "1659488196:1");
INSERT INTO `wp_postmeta` VALUES("2727", "506", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2729", "506", "movie_trailer", "https://www.youtube.com/watch?v=hrmpvIJiHNY");
INSERT INTO `wp_postmeta` VALUES("2730", "506", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2731", "508", "movie_trailer", "https://www.youtube.com/watch?v=hrmpvIJiHNY");
INSERT INTO `wp_postmeta` VALUES("2732", "508", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2734", "509", "movie_trailer", "https://www.youtube.com/watch?v=hrmpvIJiHNY");
INSERT INTO `wp_postmeta` VALUES("2735", "509", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2737", "510", "movie_trailer", "https://www.youtube.com/watch?v=hrmpvIJiHNY");
INSERT INTO `wp_postmeta` VALUES("2738", "510", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2742", "264", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2744", "506", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("2745", "506", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2746", "506", "director", "Fabián Bielinsky");
INSERT INTO `wp_postmeta` VALUES("2747", "506", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2748", "506", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2749", "506", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2750", "511", "movie_trailer", "https://www.youtube.com/watch?v=hrmpvIJiHNY");
INSERT INTO `wp_postmeta` VALUES("2751", "511", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2752", "511", "country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("2753", "511", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2754", "511", "director", "Fabián Bielinsky");
INSERT INTO `wp_postmeta` VALUES("2755", "511", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2756", "511", "year", "2000");
INSERT INTO `wp_postmeta` VALUES("2757", "511", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2758", "512", "_edit_lock", "1678306038:1");
INSERT INTO `wp_postmeta` VALUES("2760", "512", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2762", "512", "movie_trailer", "https://www.youtube.com/watch?v=PJHex4ZitgA");
INSERT INTO `wp_postmeta` VALUES("2763", "512", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2764", "512", "country", "Chile, Germany");
INSERT INTO `wp_postmeta` VALUES("2765", "512", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2766", "512", "director", "Sebastián Lelio");
INSERT INTO `wp_postmeta` VALUES("2767", "512", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2768", "512", "year", "2017");
INSERT INTO `wp_postmeta` VALUES("2769", "512", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2770", "514", "movie_trailer", "https://www.youtube.com/watch?v=PJHex4ZitgA");
INSERT INTO `wp_postmeta` VALUES("2771", "514", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2772", "514", "country", "Chile, Germany");
INSERT INTO `wp_postmeta` VALUES("2773", "514", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2774", "514", "director", "Sebastián Lelio");
INSERT INTO `wp_postmeta` VALUES("2775", "514", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2776", "514", "year", "2017");
INSERT INTO `wp_postmeta` VALUES("2777", "514", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2778", "515", "_wp_attached_file", "2022/08/image-w1280.jpg");
INSERT INTO `wp_postmeta` VALUES("2779", "515", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:23:\"2022/08/image-w1280.jpg\";s:8:\"filesize\";i:97469;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"image-w1280-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11751;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"image-w1280-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79756;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"image-w1280-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6647;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"image-w1280-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49955;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2781", "506", "_thumbnail_id", "515");
INSERT INTO `wp_postmeta` VALUES("2783", "516", "_wp_attached_file", "2022/08/fantastic.jpg");
INSERT INTO `wp_postmeta` VALUES("2784", "516", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:500;s:4:\"file\";s:21:\"2022/08/fantastic.jpg\";s:8:\"filesize\";i:161178;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"fantastic-300x150.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17003;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"fantastic-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9528;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"fantastic-768x384.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74143;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2786", "512", "_thumbnail_id", "518");
INSERT INTO `wp_postmeta` VALUES("2790", "517", "_wp_attached_file", "2022/08/fantasticwoman-resize.jpg");
INSERT INTO `wp_postmeta` VALUES("2791", "517", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:600;s:4:\"file\";s:33:\"2022/08/fantasticwoman-resize.jpg\";s:8:\"filesize\";i:498218;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"fantasticwoman-resize-300x180.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19519;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"fantasticwoman-resize-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10168;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:33:\"fantasticwoman-resize-768x461.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:461;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85683;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2794", "518", "_wp_attached_file", "2022/08/fantasticwoman-resize-1.jpg");
INSERT INTO `wp_postmeta` VALUES("2795", "518", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:560;s:4:\"file\";s:35:\"2022/08/fantasticwoman-resize-1.jpg\";s:8:\"filesize\";i:261348;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"fantasticwoman-resize-1-300x168.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18229;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"fantasticwoman-resize-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9807;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"fantasticwoman-resize-1-768x430.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:430;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81117;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2797", "519", "_wp_attached_file", "2017/03/2046-1.jpg");
INSERT INTO `wp_postmeta` VALUES("2798", "519", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1596;s:6:\"height\";i:898;s:4:\"file\";s:18:\"2017/03/2046-1.jpg\";s:8:\"filesize\";i:190956;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"2046-1-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8560;}s:5:\"large\";a:5:{s:4:\"file\";s:19:\"2046-1-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52942;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"2046-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4878;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"2046-1-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33556;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:19:\"2046-1-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98282;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2801", "520", "_wp_attached_file", "2017/03/wildtales.jpg");
INSERT INTO `wp_postmeta` VALUES("2802", "520", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:854;s:4:\"file\";s:21:\"2017/03/wildtales.jpg\";s:8:\"filesize\";i:663127;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"wildtales-300x171.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:171;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25757;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"wildtales-1024x583.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:583;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:192480;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"wildtales-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12757;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"wildtales-768x437.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:437;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:121807;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2808", "523", "country", "Mauritania");
INSERT INTO `wp_postmeta` VALUES("2809", "523", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2810", "523", "director", "Abderrahmane Sissako");
INSERT INTO `wp_postmeta` VALUES("2811", "523", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2812", "523", "year", "2014");
INSERT INTO `wp_postmeta` VALUES("2813", "523", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2814", "523", "movie_trailer", "https://www.youtube.com/watch?v=CspcDYQ-SiY");
INSERT INTO `wp_postmeta` VALUES("2815", "523", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2818", "524", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2819", "524", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2820", "524", "director", "Jafar Panahi");
INSERT INTO `wp_postmeta` VALUES("2821", "524", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2822", "524", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("2823", "524", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2824", "524", "movie_trailer", "https://www.youtube.com/watch?v=AgZy00svH08");
INSERT INTO `wp_postmeta` VALUES("2825", "524", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2829", "526", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2830", "526", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2831", "526", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("2832", "526", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2833", "526", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("2834", "526", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2835", "526", "movie_trailer", "https://www.youtube.com/watch?v=58Onuy5USTc");
INSERT INTO `wp_postmeta` VALUES("2836", "526", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2838", "528", "country", "Iran");
INSERT INTO `wp_postmeta` VALUES("2839", "528", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2840", "528", "director", "Asghar Farhadi");
INSERT INTO `wp_postmeta` VALUES("2841", "528", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2842", "528", "year", "2011");
INSERT INTO `wp_postmeta` VALUES("2843", "528", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2844", "528", "movie_trailer", "https://www.youtube.com/watch?v=58Onuy5USTc");
INSERT INTO `wp_postmeta` VALUES("2845", "528", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2848", "529", "country", "Poland");
INSERT INTO `wp_postmeta` VALUES("2849", "529", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2850", "529", "director", "Krzysztof Kieslowski");
INSERT INTO `wp_postmeta` VALUES("2851", "529", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2852", "529", "year", "1989");
INSERT INTO `wp_postmeta` VALUES("2853", "529", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2854", "529", "movie_trailer", "https://www.youtube.com/watch?v=BbCfWIfyIi4");
INSERT INTO `wp_postmeta` VALUES("2855", "529", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2856", "531", "_wp_attached_file", "2017/03/i-killed-my-mother.jpeg");
INSERT INTO `wp_postmeta` VALUES("2857", "531", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:675;s:4:\"file\";s:31:\"2017/03/i-killed-my-mother.jpeg\";s:8:\"filesize\";i:218978;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"i-killed-my-mother-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8769;}s:5:\"large\";a:5:{s:4:\"file\";s:32:\"i-killed-my-mother-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74569;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"i-killed-my-mother-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4217;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"i-killed-my-mother-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42387;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2860", "532", "_wp_attached_file", "2017/03/facing-ali.jpeg");
INSERT INTO `wp_postmeta` VALUES("2861", "532", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:675;s:4:\"file\";s:23:\"2017/03/facing-ali.jpeg\";s:8:\"filesize\";i:164466;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"facing-ali-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11680;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"facing-ali-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62902;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"facing-ali-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6849;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"facing-ali-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42824;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2864", "533", "_wp_attached_file", "2017/03/brooklyn2.jpg");
INSERT INTO `wp_postmeta` VALUES("2865", "533", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1198;s:6:\"height\";i:674;s:4:\"file\";s:21:\"2017/03/brooklyn2.jpg\";s:8:\"filesize\";i:128975;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"brooklyn2-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11358;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"brooklyn2-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72406;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"brooklyn2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6067;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"brooklyn2-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46291;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2866", "534", "_wp_attached_file", "2017/03/brooklyn.jpeg");
INSERT INTO `wp_postmeta` VALUES("2867", "534", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:21:\"2017/03/brooklyn.jpeg\";s:8:\"filesize\";i:46107;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"brooklyn-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8824;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"brooklyn-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47884;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"brooklyn-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5445;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"brooklyn-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31429;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2870", "535", "_wp_attached_file", "2017/03/13Assassins.jpg");
INSERT INTO `wp_postmeta` VALUES("2871", "535", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1295;s:6:\"height\";i:728;s:4:\"file\";s:23:\"2017/03/13Assassins.jpg\";s:8:\"filesize\";i:246271;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"13Assassins-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14702;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"13Assassins-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:85413;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"13Assassins-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7469;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"13Assassins-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57011;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2874", "536", "_wp_attached_file", "2017/03/hana-bi.jpeg");
INSERT INTO `wp_postmeta` VALUES("2875", "536", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:20:\"2017/03/hana-bi.jpeg\";s:8:\"filesize\";i:134469;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"hana-bi-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15310;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"hana-bi-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:98394;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"hana-bi-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7412;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"hana-bi-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64041;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2878", "537", "_wp_attached_file", "2017/03/hero2.jpeg");
INSERT INTO `wp_postmeta` VALUES("2879", "537", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:675;s:4:\"file\";s:18:\"2017/03/hero2.jpeg\";s:8:\"filesize\";i:151351;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"hero2-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12018;}s:5:\"large\";a:5:{s:4:\"file\";s:19:\"hero2-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:88369;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"hero2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6095;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:18:\"hero2-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:53696;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2883", "538", "_wp_attached_file", "2017/03/handmaiden.jpg");
INSERT INTO `wp_postmeta` VALUES("2884", "538", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1972;s:6:\"height\";i:1109;s:4:\"file\";s:22:\"2017/03/handmaiden.jpg\";s:8:\"filesize\";i:641679;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"handmaiden-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13983;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"handmaiden-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103006;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"handmaiden-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8503;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"handmaiden-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64144;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"handmaiden-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:205054;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2887", "539", "_wp_attached_file", "2017/03/assassin-1.jpeg");
INSERT INTO `wp_postmeta` VALUES("2888", "539", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:23:\"2017/03/assassin-1.jpeg\";s:8:\"filesize\";i:182882;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"assassin-1-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10645;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"assassin-1-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97281;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"assassin-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6156;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"assassin-1-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57274;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2892", "540", "_wp_attached_file", "2017/03/ida-1.jpg");
INSERT INTO `wp_postmeta` VALUES("2893", "540", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:17:\"2017/03/ida-1.jpg\";s:8:\"filesize\";i:122956;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"ida-1-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6587;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"ida-1-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39970;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"ida-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4029;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"ida-1-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25539;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2904", "542", "_wp_attached_file", "2017/03/leviathan-1.jpeg");
INSERT INTO `wp_postmeta` VALUES("2905", "542", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:24:\"2017/03/leviathan-1.jpeg\";s:8:\"filesize\";i:296205;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"leviathan-1-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13399;}s:5:\"large\";a:5:{s:4:\"file\";s:25:\"leviathan-1-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:105309;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"leviathan-1-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6705;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:24:\"leviathan-1-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64590;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:25:\"leviathan-1-1536x864.jpeg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:209424;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2908", "543", "_wp_attached_file", "2017/03/in-order-2.jpeg");
INSERT INTO `wp_postmeta` VALUES("2909", "543", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:23:\"2017/03/in-order-2.jpeg\";s:8:\"filesize\";i:138666;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"in-order-2-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9946;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"in-order-2-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77006;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"in-order-2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5874;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"in-order-2-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46409;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:24:\"in-order-2-1536x864.jpeg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:158106;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2913", "544", "_wp_attached_file", "2017/03/71-move.jpg");
INSERT INTO `wp_postmeta` VALUES("2914", "544", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1198;s:6:\"height\";i:673;s:4:\"file\";s:19:\"2017/03/71-move.jpg\";s:8:\"filesize\";i:121616;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"71-move-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13408;}s:5:\"large\";a:5:{s:4:\"file\";s:20:\"71-move-1024x575.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:575;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79636;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"71-move-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7105;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"71-move-768x431.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:431;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52661;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2921", "545", "_wp_attached_file", "2017/03/twodaysonenight.jpg");
INSERT INTO `wp_postmeta` VALUES("2922", "545", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:675;s:4:\"file\";s:27:\"2017/03/twodaysonenight.jpg\";s:8:\"filesize\";i:212877;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"twodaysonenight-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9728;}s:5:\"large\";a:5:{s:4:\"file\";s:28:\"twodaysonenight-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73397;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"twodaysonenight-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5042;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:27:\"twodaysonenight-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44594;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2926", "546", "_wp_attached_file", "2017/03/mommy-1.jpg");
INSERT INTO `wp_postmeta` VALUES("2927", "546", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:19:\"2017/03/mommy-1.jpg\";s:8:\"filesize\";i:352251;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"mommy-1-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7540;}s:5:\"large\";a:5:{s:4:\"file\";s:20:\"mommy-1-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75303;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"mommy-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4158;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"mommy-1-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41620;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2930", "547", "_edit_lock", "1678312333:1");
INSERT INTO `wp_postmeta` VALUES("2932", "547", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("2934", "547", "movie_trailer", "https://www.youtube.com/watch?v=AVVO3Yat_Bw");
INSERT INTO `wp_postmeta` VALUES("2935", "547", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2936", "547", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2937", "547", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2938", "547", "director", "SS Rajamouli");
INSERT INTO `wp_postmeta` VALUES("2939", "547", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2940", "547", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("2941", "547", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2942", "549", "movie_trailer", "");
INSERT INTO `wp_postmeta` VALUES("2943", "549", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2944", "549", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2945", "549", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2946", "549", "director", "SS Rajamouli");
INSERT INTO `wp_postmeta` VALUES("2947", "549", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2948", "549", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("2949", "549", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2951", "550", "movie_trailer", "");
INSERT INTO `wp_postmeta` VALUES("2952", "550", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2953", "550", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2954", "550", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2955", "550", "director", "SS Rajamouli");
INSERT INTO `wp_postmeta` VALUES("2956", "550", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2957", "550", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("2958", "550", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2959", "552", "movie_trailer", "https://www.youtube.com/watch?v=AVVO3Yat_Bw");
INSERT INTO `wp_postmeta` VALUES("2960", "552", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2961", "552", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2962", "552", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2963", "552", "director", "SS Rajamouli");
INSERT INTO `wp_postmeta` VALUES("2964", "552", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2965", "552", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("2966", "552", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2969", "553", "movie_trailer", "https://www.youtube.com/watch?v=AVVO3Yat_Bw");
INSERT INTO `wp_postmeta` VALUES("2970", "553", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("2971", "553", "country", "India");
INSERT INTO `wp_postmeta` VALUES("2972", "553", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("2973", "553", "director", "SS Rajamouli");
INSERT INTO `wp_postmeta` VALUES("2974", "553", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("2975", "553", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("2976", "553", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("2979", "554", "_wp_attached_file", "2022/08/rrr.jpg");
INSERT INTO `wp_postmeta` VALUES("2980", "554", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:15:\"2022/08/rrr.jpg\";s:8:\"filesize\";i:324101;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:15:\"rrr-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16846;}s:5:\"large\";a:5:{s:4:\"file\";s:16:\"rrr-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:150242;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:15:\"rrr-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9304;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:15:\"rrr-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91050;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2981", "547", "_thumbnail_id", "554");
INSERT INTO `wp_postmeta` VALUES("2984", "557", "_wp_attached_file", "2015/03/blue.jpg");
INSERT INTO `wp_postmeta` VALUES("2985", "557", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1831;s:6:\"height\";i:1030;s:4:\"file\";s:16:\"2015/03/blue.jpg\";s:8:\"filesize\";i:144569;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:16:\"blue-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8145;}s:5:\"large\";a:5:{s:4:\"file\";s:17:\"blue-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:54256;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"blue-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4115;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"blue-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34302;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:17:\"blue-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101445;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("2988", "558", "_wp_attached_file", "2014/03/red.jpeg");
INSERT INTO `wp_postmeta` VALUES("2989", "558", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:16:\"2014/03/red.jpeg\";s:8:\"filesize\";i:67161;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:16:\"red-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10338;}s:5:\"large\";a:5:{s:4:\"file\";s:17:\"red-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:47216;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"red-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5958;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:16:\"red-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33733;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3001", "560", "_wp_attached_file", "2014/03/red2.jpeg");
INSERT INTO `wp_postmeta` VALUES("3002", "560", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:17:\"2014/03/red2.jpeg\";s:8:\"filesize\";i:150398;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:17:\"red2-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8531;}s:5:\"large\";a:5:{s:4:\"file\";s:18:\"red2-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91668;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:17:\"red2-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4658;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:17:\"red2-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50557;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3035", "568", "_wp_attached_file", "2022/08/banshees-1920.png");
INSERT INTO `wp_postmeta` VALUES("3036", "568", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1926;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2022/08/banshees-1920.png\";s:8:\"filesize\";i:1943439;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"banshees-1920-300x125.png\";s:5:\"width\";i:300;s:6:\"height\";i:125;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:70001;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"banshees-1920-1024x425.png\";s:5:\"width\";i:1024;s:6:\"height\";i:425;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:583032;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"banshees-1920-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39322;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"banshees-1920-768x319.png\";s:5:\"width\";i:768;s:6:\"height\";i:319;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:359901;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:26:\"banshees-1920-1536x638.png\";s:5:\"width\";i:1536;s:6:\"height\";i:638;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1145541;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3037", "569", "_edit_lock", "1678312308:1");
INSERT INTO `wp_postmeta` VALUES("3040", "569", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3041", "569", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3042", "569", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3043", "572", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3044", "572", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3047", "574", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3048", "574", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3049", "569", "_thumbnail_id", "585");
INSERT INTO `wp_postmeta` VALUES("3051", "569", "country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3052", "569", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3053", "569", "director", "Martin McDonagh");
INSERT INTO `wp_postmeta` VALUES("3054", "569", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3055", "569", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("3056", "569", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3057", "578", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3058", "578", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3059", "578", "country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3060", "578", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3061", "578", "director", "Martin McDonagh");
INSERT INTO `wp_postmeta` VALUES("3062", "578", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3063", "578", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("3064", "578", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3066", "581", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3067", "581", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3068", "581", "country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3069", "581", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3070", "581", "director", "Martin McDonagh");
INSERT INTO `wp_postmeta` VALUES("3071", "581", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3072", "581", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("3073", "581", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3075", "582", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3076", "582", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3077", "582", "country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3078", "582", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3079", "582", "director", "Martin McDonagh");
INSERT INTO `wp_postmeta` VALUES("3080", "582", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3081", "582", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("3082", "582", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3084", "583", "movie_trailer", "https://www.youtube.com/watch?v=9-R9u2UD3FU&ab_channel=SearchlightPicturesUK");
INSERT INTO `wp_postmeta` VALUES("3085", "583", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3086", "583", "country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3087", "583", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3088", "583", "director", "Martin McDonagh");
INSERT INTO `wp_postmeta` VALUES("3089", "583", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3090", "583", "year", "2022");
INSERT INTO `wp_postmeta` VALUES("3091", "583", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3093", "585", "_wp_attached_file", "2023/03/banshees-2200.webp");
INSERT INTO `wp_postmeta` VALUES("3094", "585", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2000;s:6:\"height\";i:835;s:4:\"file\";s:26:\"2023/03/banshees-2200.webp\";s:8:\"filesize\";i:79928;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"banshees-2200-300x125.webp\";s:5:\"width\";i:300;s:6:\"height\";i:125;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7880;}s:5:\"large\";a:5:{s:4:\"file\";s:27:\"banshees-2200-1024x428.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:428;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46676;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"banshees-2200-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4994;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:26:\"banshees-2200-768x321.webp\";s:5:\"width\";i:768;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:31234;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:27:\"banshees-2200-1536x641.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:641;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:74744;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3097", "592", "_wp_attached_file", "2023/03/IFF-Logo-2023.png");
INSERT INTO `wp_postmeta` VALUES("3098", "592", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:600;s:6:\"height\";i:337;s:4:\"file\";s:25:\"2023/03/IFF-Logo-2023.png\";s:8:\"filesize\";i:71704;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"IFF-Logo-2023-300x169.png\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20439;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"IFF-Logo-2023-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13840;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3099", "595", "_wp_attached_file", "2023/03/IFF-Logo-2023-800px.png");
INSERT INTO `wp_postmeta` VALUES("3100", "595", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:800;s:6:\"height\";i:449;s:4:\"file\";s:31:\"2023/03/IFF-Logo-2023-800px.png\";s:8:\"filesize\";i:114983;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"IFF-Logo-2023-800px-300x168.png\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:20362;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"IFF-Logo-2023-800px-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11673;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"IFF-Logo-2023-800px-768x431.png\";s:5:\"width\";i:768;s:6:\"height\";i:431;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:88566;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3103", "620", "movie_trailer", "https://www.youtube.com/watch?v=PJHex4ZitgA");
INSERT INTO `wp_postmeta` VALUES("3104", "620", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3105", "620", "country", "Chile, Germany");
INSERT INTO `wp_postmeta` VALUES("3106", "620", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3107", "620", "director", "Sebastián Lelio");
INSERT INTO `wp_postmeta` VALUES("3108", "620", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3109", "620", "year", "2017");
INSERT INTO `wp_postmeta` VALUES("3110", "620", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3113", "621", "movie_trailer", "https://www.youtube.com/watch?v=PJHex4ZitgA");
INSERT INTO `wp_postmeta` VALUES("3114", "621", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3115", "621", "country", "Chile, Germany");
INSERT INTO `wp_postmeta` VALUES("3116", "621", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3117", "621", "director", "Sebastián Lelio");
INSERT INTO `wp_postmeta` VALUES("3118", "621", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3119", "621", "year", "2017");
INSERT INTO `wp_postmeta` VALUES("3120", "621", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3121", "622", "type", "post_type");
INSERT INTO `wp_postmeta` VALUES("3122", "622", "storage", "meta");
INSERT INTO `wp_postmeta` VALUES("3123", "622", "object", "post");
INSERT INTO `wp_postmeta` VALUES("3124", "622", "_migrated_28", "1");
INSERT INTO `wp_postmeta` VALUES("3125", "624", "meta_box_context", "normal");
INSERT INTO `wp_postmeta` VALUES("3126", "624", "meta_box_priority", "default");
INSERT INTO `wp_postmeta` VALUES("3127", "624", "roles_allowed", "administrator");
INSERT INTO `wp_postmeta` VALUES("3128", "625", "type", "text");
INSERT INTO `wp_postmeta` VALUES("3129", "625", "sister_id", "-- Select One --");
INSERT INTO `wp_postmeta` VALUES("3130", "625", "group", "624");
INSERT INTO `wp_postmeta` VALUES("3131", "625", "required", "0");
INSERT INTO `wp_postmeta` VALUES("3132", "625", "text_allowed_html_tags", "strong em a ul ol li b i");
INSERT INTO `wp_postmeta` VALUES("3133", "625", "text_max_length", "255");
INSERT INTO `wp_postmeta` VALUES("3134", "625", "repeatable", "1");
INSERT INTO `wp_postmeta` VALUES("3135", "625", "repeatable_format", "default");
INSERT INTO `wp_postmeta` VALUES("3136", "625", "roles_allowed", "administrator");
INSERT INTO `wp_postmeta` VALUES("3137", "625", "rest_pick_response", "array");
INSERT INTO `wp_postmeta` VALUES("3138", "625", "rest_pick_depth", "1");
INSERT INTO `wp_postmeta` VALUES("3139", "625", "repeatable_add_new_label", "Add another country");
INSERT INTO `wp_postmeta` VALUES("3140", "626", "type", "text");
INSERT INTO `wp_postmeta` VALUES("3141", "626", "sister_id", "-- Select One --");
INSERT INTO `wp_postmeta` VALUES("3142", "626", "group", "624");
INSERT INTO `wp_postmeta` VALUES("3143", "626", "required", "0");
INSERT INTO `wp_postmeta` VALUES("3144", "626", "text_allowed_html_tags", "strong em a ul ol li b i");
INSERT INTO `wp_postmeta` VALUES("3145", "626", "text_max_length", "255");
INSERT INTO `wp_postmeta` VALUES("3146", "626", "repeatable", "0");
INSERT INTO `wp_postmeta` VALUES("3147", "626", "repeatable_format", "default");
INSERT INTO `wp_postmeta` VALUES("3148", "626", "roles_allowed", "administrator");
INSERT INTO `wp_postmeta` VALUES("3149", "626", "rest_pick_response", "array");
INSERT INTO `wp_postmeta` VALUES("3150", "626", "rest_pick_depth", "1");
INSERT INTO `wp_postmeta` VALUES("3151", "622", "meta_box_context", "normal");
INSERT INTO `wp_postmeta` VALUES("3152", "622", "meta_box_priority", "default");
INSERT INTO `wp_postmeta` VALUES("3153", "622", "required", "0");
INSERT INTO `wp_postmeta` VALUES("3154", "622", "pfat_enable", "0");
INSERT INTO `wp_postmeta` VALUES("3155", "622", "pfat_single", "0");
INSERT INTO `wp_postmeta` VALUES("3156", "622", "pfat_filter_single", "the_content");
INSERT INTO `wp_postmeta` VALUES("3157", "622", "pfat_archive", "0");
INSERT INTO `wp_postmeta` VALUES("3158", "622", "pfat_filter_archive", "the_excerpt");
INSERT INTO `wp_postmeta` VALUES("3159", "622", "pfat_run_outside_loop", "0");
INSERT INTO `wp_postmeta` VALUES("3160", "623", "object_type", "group");
INSERT INTO `wp_postmeta` VALUES("3161", "623", "object_storage_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("3162", "623", "parent", "622");
INSERT INTO `wp_postmeta` VALUES("3163", "624", "object_type", "group");
INSERT INTO `wp_postmeta` VALUES("3164", "624", "object_storage_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("3165", "624", "parent", "622");
INSERT INTO `wp_postmeta` VALUES("3166", "627", "_edit_lock", "1678307421:1");
INSERT INTO `wp_postmeta` VALUES("3168", "627", "_thumbnail_id", "531");
INSERT INTO `wp_postmeta` VALUES("3169", "627", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3170", "627", "movie_trailer", "https://www.youtube.com/watch?v=nYdPtcx-4mo&ab_channel=LisaHannigan");
INSERT INTO `wp_postmeta` VALUES("3171", "627", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3172", "627", "country", "botswana");
INSERT INTO `wp_postmeta` VALUES("3173", "627", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3174", "627", "director", "bob");
INSERT INTO `wp_postmeta` VALUES("3175", "627", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3176", "627", "year", "1938");
INSERT INTO `wp_postmeta` VALUES("3177", "627", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3178", "630", "movie_trailer", "https://www.youtube.com/watch?v=nYdPtcx-4mo&ab_channel=LisaHannigan");
INSERT INTO `wp_postmeta` VALUES("3179", "630", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3180", "630", "country", "botswana");
INSERT INTO `wp_postmeta` VALUES("3181", "630", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3182", "630", "director", "bob");
INSERT INTO `wp_postmeta` VALUES("3183", "630", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3184", "630", "year", "1938");
INSERT INTO `wp_postmeta` VALUES("3185", "630", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3186", "627", "pods_movie_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3187", "627", "pods_movie_country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3188", "627", "pods_movie_director", "Bob Smith");
INSERT INTO `wp_postmeta` VALUES("3189", "627", "_wp_trash_meta_status", "publish");
INSERT INTO `wp_postmeta` VALUES("3190", "627", "_wp_trash_meta_time", "1678307431");
INSERT INTO `wp_postmeta` VALUES("3191", "627", "_wp_desired_post_slug", "pods-testing");
INSERT INTO `wp_postmeta` VALUES("3194", "547", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3196", "56", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3199", "698", "_edit_lock", "1678337443:1");
INSERT INTO `wp_postmeta` VALUES("3200", "699", "_wp_attached_file", "2023/03/pathaan-1200-675.jpeg");
INSERT INTO `wp_postmeta` VALUES("3201", "699", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:675;s:4:\"file\";s:29:\"2023/03/pathaan-1200-675.jpeg\";s:8:\"filesize\";i:481177;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"pathaan-1200-675-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17880;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"pathaan-1200-675-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:125562;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"pathaan-1200-675-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8924;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"pathaan-1200-675-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79334;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3202", "700", "_wp_attached_file", "2023/03/pathaan-alternate.jpeg");
INSERT INTO `wp_postmeta` VALUES("3203", "700", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"file\";s:30:\"2023/03/pathaan-alternate.jpeg\";s:8:\"filesize\";i:241236;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"pathaan-alternate-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16339;}s:5:\"large\";a:5:{s:4:\"file\";s:31:\"pathaan-alternate-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:129624;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:30:\"pathaan-alternate-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8160;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"pathaan-alternate-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:79203;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3205", "698", "_thumbnail_id", "700");
INSERT INTO `wp_postmeta` VALUES("3206", "698", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("3207", "698", "movie_trailer", "https://www.youtube.com/watch?v=vqu4z34wENw&ab_channel=YRF");
INSERT INTO `wp_postmeta` VALUES("3208", "698", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3209", "698", "country", "India");
INSERT INTO `wp_postmeta` VALUES("3210", "698", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3211", "698", "director", "Siddharth Anand");
INSERT INTO `wp_postmeta` VALUES("3212", "698", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3213", "698", "year", "2023");
INSERT INTO `wp_postmeta` VALUES("3214", "698", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3215", "702", "movie_trailer", "https://www.youtube.com/watch?v=vqu4z34wENw&ab_channel=YRF");
INSERT INTO `wp_postmeta` VALUES("3216", "702", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3217", "702", "country", "India");
INSERT INTO `wp_postmeta` VALUES("3218", "702", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3219", "702", "director", "Siddharth Anand");
INSERT INTO `wp_postmeta` VALUES("3220", "702", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3221", "702", "year", "2023");
INSERT INTO `wp_postmeta` VALUES("3222", "702", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3225", "703", "movie_trailer", "https://www.youtube.com/watch?v=vqu4z34wENw&ab_channel=YRF");
INSERT INTO `wp_postmeta` VALUES("3226", "703", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3227", "703", "country", "India");
INSERT INTO `wp_postmeta` VALUES("3228", "703", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3229", "703", "director", "Siddharth Anand");
INSERT INTO `wp_postmeta` VALUES("3230", "703", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3231", "703", "year", "2023");
INSERT INTO `wp_postmeta` VALUES("3232", "703", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3234", "704", "movie_trailer", "https://www.youtube.com/watch?v=vqu4z34wENw&ab_channel=YRF");
INSERT INTO `wp_postmeta` VALUES("3235", "704", "_movie_trailer", "field_62e458be41e95");
INSERT INTO `wp_postmeta` VALUES("3236", "704", "country", "India");
INSERT INTO `wp_postmeta` VALUES("3237", "704", "_country", "field_58cf1230896c3");
INSERT INTO `wp_postmeta` VALUES("3238", "704", "director", "Siddharth Anand");
INSERT INTO `wp_postmeta` VALUES("3239", "704", "_director", "field_58cf1259896c4");
INSERT INTO `wp_postmeta` VALUES("3240", "704", "year", "2023");
INSERT INTO `wp_postmeta` VALUES("3241", "704", "_year", "field_58cf1283896c5");
INSERT INTO `wp_postmeta` VALUES("3246", "698", "_encloseme", "1");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2017-03-19 18:01:51", "2017-03-19 18:01:51", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2017-03-19 18:01:51", "2017-03-19 18:01:51", "", "0", "http://localhost:8888/imaginary-film-festival/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2017-03-19 18:12:16", "2017-03-19 18:12:16", "<!-- wp:paragraph -->\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n<!-- /wp:paragraph -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title means \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love.", "publish", "open", "open", "", "2046", "", "", "2022-08-03 00:01:31", "2022-08-03 00:01:31", "", "0", "http://localhost:8888/imaginary-film-festival/?p=5", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("6", "1", "2017-03-19 18:14:56", "2017-03-19 18:14:56", "<!-- wp:paragraph -->\n<p>Chungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai. The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.</p>\n<!-- /wp:paragraph -->", "Chungking Express", "", "publish", "open", "open", "", "chungking-express", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=6", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2017-03-19 18:16:09", "2017-03-19 18:16:09", "<!-- wp:paragraph -->\n<p>Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.</p>\n<!-- /wp:paragraph -->", "Hana-bi", "Hana-bi (はなび HANA-BI), released in the United States and Canada as Fireworks, is a directed by Takeshi Kitano, who also stars in it. The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.", "publish", "open", "open", "", "hana-bi", "", "", "2022-08-03 18:08:27", "2022-08-03 18:08:27", "", "0", "http://localhost:8888/imaginary-film-festival/?p=7", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2017-03-19 18:19:03", "2017-03-19 18:19:03", "<!-- wp:paragraph -->\n<p>Paterson is a 2016 drama film written and directed by Jim Jarmusch. The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm Dog Award. The film was released in Germany on November 17, 2016, by K5 International. It was then released in France on December 21, 2016, by Le Pacte, and released in the United States on December 28, 2016, by Amazon Studios and Bleecker Street.</p>\n<!-- /wp:paragraph -->", "Paterson", "The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.\nIt was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm D\'or  Award. ", "publish", "open", "open", "", "paterson", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=8", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("9", "1", "2017-03-19 18:20:00", "2017-03-19 18:20:00", "<!-- wp:paragraph -->\n<p>Only Lovers Left Alive is a 2013 internationally co-produced vampire film written and directed by Jim Jarmusch, and starring Tilda Swinton, Tom Hiddleston, Mia Wasikowska, Anton Yelchin, Jeffrey Wright, Slimane Dazi, and John Hurt. A co-production of the United Kingdom and Germany, the film was nominated for the Palme d\'Or at the 2013 Cannes Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Married for centuries and now living half a world apart, two vampires wake as the sun goes down. Adam sits holding a lute, in his cluttered Detroit Victorian, as Eve wakes up in her bedroom in Tangier, surrounded by books. Rather than feeding on humans, they are like addicts, dependent on local suppliers of the \"good stuff\"; fearing contamination from blood poisoned by the degradation of the environment. Adam visits a local blood bank in the dead of night, masquerading as \"Dr. Faust\", paying \"Dr. Watson\" for his coveted O negative, while Eve relies on their old friend Christopher Marlowe, who faked his death in 1593 and now lives under the protection of a local man.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After influencing the careers of countless famous musicians and scientists, Adam has become withdrawn and suicidal. His desire to connect through his music is at odds with the danger of recognition as well as his contempt for the corrupt and foolish humans he refers to as \"zombies.\" He spends his days recording his compositions on outdated studio equipment and lamenting the state of the modern world whilst collecting vintage instruments. He pays Ian, a naive human \"rock and roll kid,\" to procure vintage guitars and other assorted curiosities, including a custom-made, wooden bullet with a brass casing. Having acquired substantial scientific knowledge over the years, the vampire has managed to build contraptions to power both his home and vintage sports car with technology originally pioneered by Nikola Tesla. His reclusive nature adds to his mystique as a musician and composer, and he is horrified when some intrepid fans turn up on his doorstep. Ian promises to discreetly spread rumors about Adam living elsewhere to draw them away.</p>\n<!-- /wp:paragraph -->", "Only Lovers Left Alive", "The tale of two fragile and sensitive vampires, Adam (Tom Hiddleston) and Eve (Tilda Swinton), who have been lovers for centuries. Both are cultured intellectuals with an all-embracing passion for music, literature and science, who have evolved to a level where they no longer kill for sustenance, but still retain their innate wildness. Their love story has endured several centuries but their debauched idyll is threatened by the uninvited arrival of Eve\'s carefree little sister Ava (Mia Wasikowska) who hasn\'t yet learned to tame her wilder instincts. Driven by sensual photography, trance-like music, and droll humor, Jim Jarmusch\'s Only Lovers Left Alive is a meditation on art, science, and the mysteries of everlasting love.", "publish", "open", "open", "", "only-lovers-left-alive", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=9", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("10", "1", "2017-03-19 18:22:15", "2017-03-19 18:22:15", "<!-- wp:paragraph -->\n<p>Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The starting point for the script was the ensemble cast of friends and previous collaborators Jarmusch had conceived characters for, while the tripartite formal structure of the film was inspired by his study of literary forms. Cinematographer Robby Müller and musician John Lurie were among the many contributors who had been involved in earlier Jarmusch projects and returned to work on the film. Mystery Train\'s US$2.8 million budget (financed by Japanese conglomerate JVC) was considerable compared to what the director had enjoyed before, and allowed him the freedom to rehearse many unscripted background scenes. It was the first of Jarmusch\'s feature films to depart from his trademark black-and-white photography, though the use of color was tightly controlled to conform with the director\'s intuitive sense of the film\'s aesthetic.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Mystery Train was released theatrically by Orion Classics under a restricted rating in the United States, where it grossed over $1.5 million. It enjoyed critical acclaim on the film festival circuit, and like the director\'s earlier films premiered at the New York Film Festival and was shown in competition at Cannes, where Jarmusch was awarded the Best Artistic Achievement Award. The film was also shown in the Edinburgh, London, Midnight Sun, Telluride, and Toronto film festivals, and was nominated in six categories at the Independent Spirit Awards. Critical reaction was overwhelmingly positive, with reviewers praising the structure, humor, and characters of the film, though there was criticism that the director had not been sufficiently adventurous.</p>\n<!-- /wp:paragraph -->", "Mystery Train", "Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.", "publish", "open", "open", "", "mystery-train", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=10", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2019-03-19 18:23:18", "2019-03-19 18:23:18", "<!-- wp:paragraph -->\n<p>I, Daniel Blake is a 2016 British-French-German drama film directed by Ken Loach and written by Loach\'s frequent collaborator Paul Laverty. It stars Dave Johns as Daniel Blake, who is denied employment and support allowance despite his doctor finding him unfit to work. Hayley Squires co-stars as Katie, a struggling single mother whom Daniel befriends.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film won the Palme d\'Or at the 2016 Cannes Film Festival and the Prix du public at the 2016 Locarno International Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Widower Daniel Blake, a 59-year-old joiner living in Newcastle, has had a heart attack at work. Though his cardiologist has advised him not to return to work, Daniel is deemed fit to do so after a work capability assessment and denied employment and support allowance. He is frustrated to learn that his doctor was not contacted about the decision, and applies for an appeal, a process he finds difficult because he is not computer literate.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Daniel befriends a single mother, Katie, after she is sanctioned for arriving late for a jobcentre appointment. Katie and her children have moved to Newcastle from a London homeless persons\' hostel, with no affordable accommodation available in the capital. Daniel helps the family by repairing objects, teaching them how to heat rooms without electricity, and crafting wooden toys for the children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>During a visit to a food bank, Katie is overcome by hunger and breaks down. After she is caught shoplifting, a security guard offers her work as an escort. Daniel surprises her at the brothel, where he begs her to give up the job, but she tearfully insists she has no choice to feed her children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>As a condition for receiving jobseeker\'s allowance, Daniel searches for work on an industrial estate. He is offered a job in a scrapyard, but has to turn it down for health reasons. When Daniel\'s work coach tells him he must work harder to find a job, Daniel spraypaints \"I, Daniel Blake, demand my appeal date before I starve\" on the building. He earns the support of passersby, including other benefits claimants, but is arrested and given a police warning. Daniel sells most of his belongings and becomes withdrawn.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On the day of Daniel\'s appeal, Katie accompanies him to court. A welfare adviser tells Daniel that his case looks sound. On glimpsing the judge and doctor who will decide his case, Daniel becomes anxious and visits the lavatory, where he suffers a fatal heart attack. At his \"pauper\'s funeral\", Katie reads the eulogy, including a speech Daniel had intended to read at his appeal. Daniel\'s speech describes his feelings about how the welfare system failed him, treating him like a number and not a man who was proud to say he had paid his dues to society.</p>\n<!-- /wp:paragraph -->", "I, Daniel Blake", "A carpenter recovering from a heart attack befriends a single mother and her two kids as together they battle the national health care system. “Perceptive and funny…intensely moving.” [The Independent]", "publish", "open", "open", "", "i-daniel-blake", "", "", "2022-08-02 03:49:56", "2022-08-02 03:49:56", "", "0", "http://localhost:8888/imaginary-film-festival/?p=11", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2017-03-19 18:24:46", "2017-03-19 18:24:46", "<!-- wp:paragraph -->\n<p>Manchester by the Sea is a 2016 American drama film written and directed by Kenneth Lonergan and starring Casey Affleck, Michelle Williams, Kyle Chandler, and Lucas Hedges. The plot follows a man who looks after his teenage nephew after his brother dies.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film premiered at the Sundance Film Festival on January 23, 2016 and was soon picked up by Amazon Studios for distribution. It began a limited release on November 18, 2016, before going wide on December 16, 2016. The film has grossed over $72 million worldwide on an $8.5 million budget.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Manchester by the Sea received critical acclaim upon its release and was regarded as among the best films of 2016. Critics praised in particular Affleck\'s performance, as well as Lonergan\'s direction and screenplay. At the 89th Academy Awards, the film received six nominations: Best Picture, Best Director, Best Actor (Affleck), Best Supporting Actor (Hedges), Best Supporting Actress (Williams) and Best Original Screenplay, winning for Best Original Screenplay and Best Actor. It also won the Golden Globe Award for Best Actor and was nominated in four more categories.</p>\n<!-- /wp:paragraph -->", "Manchester By The Sea", "Manchester By The Sea tells the story of Lee Chandler, after his brother\'s death, Lee is named guardian to his 16-year-old nephew, Patrick. This forces him to return to his hometown and confront his past.", "publish", "open", "open", "", "manchester-by-the-sea", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=12", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2017-03-19 18:32:21", "2017-03-19 18:32:21", "<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "A compelling drama about the dissolution of a marriage, A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. ", "publish", "open", "open", "", "a-separation", "", "", "2022-08-03 00:26:30", "2022-08-03 00:26:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=13", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("14", "1", "2017-03-19 18:12:16", "2017-03-19 18:12:16", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/3Tz6KgPfeuk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "2046", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2017-03-19 18:12:16", "2017-03-19 18:12:16", "", "5", "http://localhost:8888/imaginary-film-festival/2017/03/19/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2017-03-19 18:14:15", "2017-03-19 18:14:15", "", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2017-03-19 18:14:15", "2017-03-19 18:14:15", "", "6", "http://localhost:8888/imaginary-film-festival/2017/03/19/6-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("16", "1", "2017-03-19 18:14:56", "2017-03-19 18:14:56", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/Bjd7PFf_TFw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2017-03-19 18:14:56", "2017-03-19 18:14:56", "", "6", "http://localhost:8888/imaginary-film-festival/2017/03/19/6-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("17", "1", "2017-03-19 18:16:09", "2017-03-19 18:16:09", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PwTWtAE3ylY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Hana-bi", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2017-03-19 18:16:09", "2017-03-19 18:16:09", "", "7", "http://localhost:8888/imaginary-film-festival/2017/03/19/7-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("18", "1", "2017-03-19 18:19:03", "2017-03-19 18:19:03", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/m8pGJBgiiDU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Paterson", "", "inherit", "closed", "closed", "", "8-revision-v1", "", "", "2017-03-19 18:19:03", "2017-03-19 18:19:03", "", "8", "http://localhost:8888/imaginary-film-festival/2017/03/19/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("19", "1", "2017-03-19 18:20:00", "2017-03-19 18:20:00", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/pkeWhokaPPs?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Only Lovers Left Alive", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2017-03-19 18:20:00", "2017-03-19 18:20:00", "", "9", "http://localhost:8888/imaginary-film-festival/2017/03/19/9-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2017-03-19 18:22:15", "2017-03-19 18:22:15", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/8Foo15dmk2M?ecver=2\" width=\"640\" height=\"480\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Mystery Train", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2017-03-19 18:22:15", "2017-03-19 18:22:15", "", "10", "http://localhost:8888/imaginary-film-festival/2017/03/19/10-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2017-03-19 18:23:18", "2017-03-19 18:23:18", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ahWgxw9E_h4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "I, Daniel Blake", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2017-03-19 18:23:18", "2017-03-19 18:23:18", "", "11", "http://localhost:8888/imaginary-film-festival/2017/03/19/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("22", "1", "2017-03-19 18:24:42", "2017-03-19 18:24:42", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/gsVoD0pTge0?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Manchester By The Sea", "", "inherit", "closed", "closed", "", "12-revision-v1", "", "", "2017-03-19 18:24:42", "2017-03-19 18:24:42", "", "12", "http://localhost:8888/imaginary-film-festival/2017/03/19/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2017-03-19 18:28:15", "2017-03-19 18:28:15", "<!-- wp:paragraph -->\n<p>The Handmaiden (Hangul: 아가씨; RR: Agassi; lit. \"Lady\") is a 2016 South Korean erotic psychological thriller film directed by Park Chan-wook and starring Kim Min-hee, Kim Tae-ri, Ha Jung-woo and Cho Jin-woong. It is inspired from the novel Fingersmith by Welsh writer Sarah Waters, with the setting changed from Victorian era Britain to Korea under Japanese colonial rule.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival. It was released in South Korea on 1 June 2016, and received critical acclaim.</p>\n<!-- /wp:paragraph -->", "The Handmaiden", "From PARK Chan-wook, the celebrated director of OLDBOY, LADY VENGEANCE and STOKER, comes a ravishing new crime drama. PARK presents a gripping tale of two women - a young Japanese Lady living on a secluded estate, and a Korean woman who is hired to serve as her new handmaiden, but is secretly plotting with a conman to defraud her of a large inheritance.", "publish", "open", "open", "", "the-handmaiden", "", "", "2022-08-03 18:20:32", "2022-08-03 18:20:32", "", "0", "http://localhost:8888/imaginary-film-festival/?p=23", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("24", "1", "2017-03-19 18:28:15", "2017-03-19 18:28:15", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/vHOmrolJEiY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "The Handmaiden", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2017-03-19 18:28:15", "2017-03-19 18:28:15", "", "23", "http://localhost:8888/imaginary-film-festival/2017/03/19/23-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2017-03-19 18:32:21", "2017-03-19 18:32:21", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/nwEgDPPATy0?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "A Separation", "", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2017-03-19 18:32:21", "2017-03-19 18:32:21", "", "13", "http://localhost:8888/imaginary-film-festival/2017/03/19/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2017-03-19 18:34:38", "2017-03-19 18:34:38", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/8Foo15dmk2M?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Mystery Train", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2017-03-19 18:34:38", "2017-03-19 18:34:38", "", "10", "http://localhost:8888/imaginary-film-festival/2017/03/19/10-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2017-03-19 18:35:38", "2017-03-19 18:35:38", "<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.", "publish", "open", "open", "", "mommy", "", "", "2022-08-03 19:03:53", "2022-08-03 19:03:53", "", "0", "http://localhost:8888/imaginary-film-festival/?p=29", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2017-03-19 18:36:50", "2017-03-19 18:36:50", "<!-- wp:paragraph -->\n<p>I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation. It was shown in 12 cinemas in Quebec and 60 in France.</p>\n<!-- /wp:paragraph -->", "I Killed My Mother", "I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation", "publish", "open", "open", "", "i-killed-my-mother", "", "", "2022-08-03 17:42:20", "2022-08-03 17:42:20", "", "0", "http://localhost:8888/imaginary-film-festival/?p=30", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2014-03-19 18:41:24", "2014-03-19 18:41:24", "<!-- wp:paragraph -->\n<p>Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Red was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.</p>\n<!-- /wp:paragraph -->", "Red", "Red is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals. Kieślowski\'s final film, Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.", "publish", "open", "open", "", "red", "", "", "2022-08-04 01:13:54", "2022-08-04 01:13:54", "", "0", "http://localhost:8888/imaginary-film-festival/?p=33", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2015-03-19 18:41:45", "2015-03-19 18:41:45", "<!-- wp:paragraph -->\n<p>Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Blue is among Kieślowski\'s most celebrated works.</p>\n<!-- /wp:paragraph -->", "Blue", "Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.", "publish", "open", "open", "", "blue", "", "", "2022-08-04 01:12:52", "2022-08-04 01:12:52", "", "0", "http://localhost:8888/imaginary-film-festival/?p=34", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2017-03-19 18:43:36", "2017-03-19 18:43:36", "<!-- wp:paragraph -->\n<p>Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Anomalisa was nominated for an Academy Award for Best Animated Feature (the first R-rated film to be nominated), a Golden Globe Award for Best Animated Feature Film, and five Annie Awards. It became the first animated film to win the Grand Jury Prize at the 72nd Venice International Film Festival, after premiering at the Telluride Film Festival on 4 September 2015.</p>\n<!-- /wp:paragraph -->", "Anomalisa", "Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.", "publish", "open", "open", "", "anomalisa", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=35", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2017-03-19 18:35:38", "2017-03-19 18:35:38", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/Q9LVLCYvqSI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Mommy", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2017-03-19 18:35:38", "2017-03-19 18:35:38", "", "29", "http://localhost:8888/imaginary-film-festival/2017/03/19/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2017-03-19 18:36:50", "2017-03-19 18:36:50", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/BgCqY3cE-VM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "I Killed My Mother", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2017-03-19 18:36:50", "2017-03-19 18:36:50", "", "30", "http://localhost:8888/imaginary-film-festival/2017/03/19/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2017-03-19 18:41:24", "2017-03-19 18:41:24", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/rEBCT5xMpA4?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Red", "", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2017-03-19 18:41:24", "2017-03-19 18:41:24", "", "33", "http://localhost:8888/imaginary-film-festival/2017/03/19/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2017-03-19 18:41:45", "2017-03-19 18:41:45", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/Hxu6my_t4pM?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Blue", "", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2017-03-19 18:41:45", "2017-03-19 18:41:45", "", "34", "http://localhost:8888/imaginary-film-festival/2017/03/19/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2017-03-19 18:43:36", "2017-03-19 18:43:36", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/vrrU3is7qvU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Anomalisa", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2017-03-19 18:43:36", "2017-03-19 18:43:36", "", "35", "http://localhost:8888/imaginary-film-festival/2017/03/19/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2017-03-19 18:50:07", "2017-03-19 18:50:07", "<!-- wp:paragraph -->\n<p>Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Much of the film subsequently takes place in Joel\'s mind, during this memory erasure procedure. As his memories are erased, he tries to evade the erasing effects of the procedure by hiding Clementine in remote parts of his subconscious. Joel finds himself revisiting them in reverse. Upon seeing happier times of love with Clementine from earlier in their relationship, he struggles to preserve at least some memory of her and his love for her. Despite his efforts to either hide the memories or wake up and stop the process, the memories are slowly erased. He comes to the last remaining memory of Clementine, the day he had first met her at a beach house in Montauk. As this memory disintegrates around them, she tells him, \"Meet me in Montauk.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Separate, but related, story arcs, which revolve around the employees of Lacuna, are revealed during Joel\'s memory erasure. Patrick, one of the Lacuna technicians performing the erasure, uses Joel\'s memories and mannerisms to seduce Clementine. Mary, the Lacuna receptionist, is dating the other memory-erasing technician, Stan. During Joel\'s memory wipe, Mary discovers she had previously had an affair with Dr. Howard Mierzwiak, the married doctor who heads the company, and had agreed to have this erased from her memory when Dr. Mierzwiak\'s wife found out. On learning this, she asks Stan whether he knew about this, to which he claims that he didn\'t. Mary then quits her job and steals the company\'s records, and mails the two former clients their records from Lacuna.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film returns to the present, after Joel and Clementine have met aboard the train. They both come upon their Lacuna records later that day, and react with shock and bewilderment, because they have no clear memory of having known each other, let alone having had a relationship and having had their memories erased. Joel beckons Clementine to start over; Clementine initially resists, pointing out it could go the same way. Joel accepts this, and they decide to attempt a relationship anyway, starting their life together anew.</p>\n<!-- /wp:paragraph -->", "Eternal Sunshine of the Spotless Mind", "Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.", "publish", "open", "open", "", "eternal-sunshine-of-the-spotless-mind", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=42", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2017-03-19 18:50:07", "2017-03-19 18:50:07", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/yE-f1alkq9I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Eternal Sunshine of the Spotless Mind", "", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2017-03-19 18:50:07", "2017-03-19 18:50:07", "", "42", "http://localhost:8888/imaginary-film-festival/2017/03/19/42-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2017-03-19 18:51:39", "2017-03-19 18:51:39", "<!-- wp:paragraph -->\n<p>Directed by Abderrahmane Sissako, Timbuktu was selected to compete for the Palme d\'Or at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film looks at the brief occupation of Timbuktu, Mali by Ansar Dine. Parts of the film were influenced by a 2012 public stoning of an unmarried couple in Aguelhok. It was shot in Oualata, a town in south-east Mauritania.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The city of Timbuktu is under the occupation of extremist Islamists bearing a jihadist black flag. Kidane is a cattle herder who lives outside of the city. One day, one of his cows accidentally damages the net of a fisherman. The enraged fisherman kills the cow. Kidane confronts the fisherman and accidentally shoots him dead. The jihadists arrest Kidane and, per sharia law, demand a blood money payment of 40 cattle to the fisherman\'s family. As Kidane has only seven cattle, he is sentenced to death. His wife shows up at his execution with a pistol, and as they run to each other the husband attempts to stop her. The executioners gun them both down.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Throughout the film there are subsidiary scenes showing the reaction of the population to the jihadists\' rule, which are portrayed as absurd. A female fishmonger must wear gloves even when selling fish. Music is banned; a woman is sentenced to 40 lashes for singing, and 40 lashes for being in the same room as a man not of her family. A couple are buried up to their necks in sand and stoned to death for adultery. Young men play football with an imaginary ball as sports are banned. A local imam tries to curb the jihadists\' excesses with sermons.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The failure of the occupiers to live up to their own rules is hinted at, for instance when one of them is seen smoking a cigarette. Another group of jihadists from France spend their days talking about their favorite football teams.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Characters speak in Tamasheq, Bambara, Arabic, French, and on a few occasions English. The mobile phone is an important means of communication.</p>\n<!-- /wp:paragraph -->", "Timbuktu", "Directed by Abderrahmane Sissako, Timbuktu was selected to compete for the 2014 Palme d\'Or. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards.", "publish", "open", "open", "", "timbuktu", "", "", "2022-08-03 00:22:03", "2022-08-03 00:22:03", "", "0", "http://localhost:8888/imaginary-film-festival/?p=44", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2017-03-19 18:51:39", "2017-03-19 18:51:39", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/CspcDYQ-SiY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Timbuktu", "", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2017-03-19 18:51:39", "2017-03-19 18:51:39", "", "44", "http://localhost:8888/imaginary-film-festival/2017/03/19/44-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2017-03-19 18:55:21", "2017-03-19 18:55:21", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "In Seraing, Belgium, factory worker Sandra suffers a nervous breakdown. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. ", "publish", "open", "open", "", "two-days-one-night", "", "", "2022-08-03 18:59:50", "2022-08-03 18:59:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=48", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2017-03-19 18:55:21", "2017-03-19 18:55:21", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/InuzW58ydyU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Two Days, One Night", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2017-03-19 18:55:21", "2017-03-19 18:55:21", "", "48", "http://localhost:8888/imaginary-film-festival/2017/03/19/48-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2017-03-19 18:57:01", "2017-03-19 18:57:01", "<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->", "Brooklyn", "Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. Soon, however, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.", "publish", "open", "open", "", "brooklyn", "", "", "2022-08-03 18:53:20", "2022-08-03 18:53:20", "", "0", "http://localhost:8888/imaginary-film-festival/?p=50", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2017-03-19 18:57:01", "2017-03-19 18:57:01", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/15syDwC000k?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Brooklyn", "", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2017-03-19 18:57:01", "2017-03-19 18:57:01", "", "50", "http://localhost:8888/imaginary-film-festival/2017/03/19/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2017-03-19 19:00:06", "2017-03-19 19:00:06", "<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->", "Hero", "Hero is a Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC. Until recently, it was the most expensive project and the highest-grossing motion picture in Chinese film history.", "publish", "open", "open", "", "hero", "", "", "2022-08-03 18:16:29", "2022-08-03 18:16:29", "", "0", "http://localhost:8888/imaginary-film-festival/?p=52", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2017-03-19 19:02:13", "2017-03-19 19:02:13", "<!-- wp:paragraph -->\n<p>This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.</p>\n<!-- /wp:paragraph -->", "This Is Not A Film", "This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary by Jafar Panahi and Mojtaba Mirtahmasb. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. ", "publish", "open", "open", "", "this-is-not-a-film", "", "", "2022-08-03 00:23:11", "2022-08-03 00:23:11", "", "0", "http://localhost:8888/imaginary-film-festival/?p=54", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2017-03-19 19:03:12", "2017-03-19 19:03:12", "", "Taxi", "Shooting almost entirely within a cab circling the streets of Tehran, the great director Jafar Panahi (Offside, This Is Not a Film) offers a multilayered mosaic of life in today\'s Iran.", "publish", "open", "open", "", "taxi", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=55", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2017-03-19 19:09:02", "2017-03-19 19:09:02", "<!-- wp:paragraph -->\n<p>Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Kashyap plans to make another sequel, Gangs of Wasseypur 1.5 and has incorporated Zeishan Quadri as the director of the third part.</p>\n<!-- /wp:paragraph -->", "Gangs of Wasseypur", "Gangs of Wasseypur (stylised as Gangs of वासेपुर) is centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. ", "publish", "open", "open", "", "gangs-of-wasseypur", "", "", "2023-03-08 21:52:51", "2023-03-08 21:52:51", "", "0", "http://localhost:8888/imaginary-film-festival/?p=56", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2017-03-19 19:11:38", "2017-03-19 19:11:38", "<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "Wild Tales", "Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy composed of six standalone shorts united by a common theme of violence and vengeance. It was nominated for the Best Foreign Language Film at the 87th Academy Awards.", "publish", "open", "open", "", "wild-tales", "", "", "2022-08-03 00:06:47", "2022-08-03 00:06:47", "", "0", "http://localhost:8888/imaginary-film-festival/?p=57", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2017-03-19 19:15:38", "2017-03-19 19:15:38", "<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "Dekalog. a 1989 Polish television drama series directed by Krzysztof Kieślowski, consists of ten one-hour films inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.", "publish", "open", "open", "", "dekalog", "", "", "2022-08-03 00:27:57", "2022-08-03 00:27:57", "", "0", "http://localhost:8888/imaginary-film-festival/?p=58", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2017-03-19 19:19:12", "2017-03-19 19:19:12", "<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "The perspectives of some of the notable opponents Muhammad Ali faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes, Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.", "publish", "open", "open", "", "facing-ali", "", "", "2022-08-03 17:47:06", "2022-08-03 17:47:06", "", "0", "http://localhost:8888/imaginary-film-festival/?p=59", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2017-03-19 19:00:06", "2017-03-19 19:00:06", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/uh-gwDRjKXA?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Hero", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2017-03-19 19:00:06", "2017-03-19 19:00:06", "", "52", "http://localhost:8888/imaginary-film-festival/2017/03/19/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2017-03-19 19:02:13", "2017-03-19 19:02:13", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ajOgE_BPLVU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "This Is Not A Film", "", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2017-03-19 19:02:13", "2017-03-19 19:02:13", "", "54", "http://localhost:8888/imaginary-film-festival/2017/03/19/54-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2017-03-19 19:03:12", "2017-03-19 19:03:12", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/eM2tblIkL4g?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Taxi", "", "inherit", "closed", "closed", "", "55-revision-v1", "", "", "2017-03-19 19:03:12", "2017-03-19 19:03:12", "", "55", "http://localhost:8888/imaginary-film-festival/2017/03/19/55-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2017-03-19 19:09:02", "2017-03-19 19:09:02", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/SWTXVr8L0eE?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Gangs of Wasseypur", "", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2017-03-19 19:09:02", "2017-03-19 19:09:02", "", "56", "http://localhost:8888/imaginary-film-festival/2017/03/19/56-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2017-03-19 19:11:38", "2017-03-19 19:11:38", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/QUnXv6R2HI8?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Wild Tales", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2017-03-19 19:11:38", "2017-03-19 19:11:38", "", "57", "http://localhost:8888/imaginary-film-festival/2017/03/19/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2017-03-19 19:15:38", "2017-03-19 19:15:38", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Dekalog", "", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2017-03-19 19:15:38", "2017-03-19 19:15:38", "", "58", "http://localhost:8888/imaginary-film-festival/2017/03/19/58-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2017-03-19 19:19:12", "2017-03-19 19:19:12", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PYQy3Wsid6I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Facing Ali", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2017-03-19 19:19:12", "2017-03-19 19:19:12", "", "59", "http://localhost:8888/imaginary-film-festival/2017/03/19/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2017-03-19 19:20:58", "2017-03-19 19:20:58", "<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "\'71 is a  British historical thriller film set in Northern Ireland. It tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. ", "publish", "open", "open", "", "71", "", "", "2022-08-03 18:51:37", "2022-08-03 18:51:37", "", "0", "http://localhost:8888/imaginary-film-festival/?p=69", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2017-03-19 19:24:58", "2017-03-19 19:24:58", "<!-- wp:paragraph -->\n<p>Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.</p>\n<!-- /wp:paragraph -->", "In Order Of Disappearance", "Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. But he soon finds out by taking on the local drug gang.", "publish", "open", "open", "", "in-order-of-disappearance", "", "", "2022-08-03 18:48:17", "2022-08-03 18:48:17", "", "0", "http://localhost:8888/imaginary-film-festival/?p=70", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2017-03-19 19:20:58", "2017-03-19 19:20:58", "", "71", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2017-03-19 19:20:58", "2017-03-19 19:20:58", "", "69", "http://localhost:8888/imaginary-film-festival/2017/03/19/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2017-03-19 19:24:58", "2017-03-19 19:24:58", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/JbfkuN_MpvQ?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "In Order Of Disappearance", "", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2017-03-19 19:24:58", "2017-03-19 19:24:58", "", "70", "http://localhost:8888/imaginary-film-festival/2017/03/19/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2017-03-19 19:26:13", "2017-03-19 19:26:13", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/J-BaKfl1Ms4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "71", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2017-03-19 19:26:13", "2017-03-19 19:26:13", "", "69", "http://localhost:8888/imaginary-film-festival/2017/03/19/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2017-03-19 19:27:15", "2017-03-19 19:27:15", "<!-- wp:paragraph -->\n<p>The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. At Cannes, Hou won the award for Best Director. It was released in China and Hong Kong on 27 August, and a day later in Taiwan on 28 August 2015. It was selected as the Taiwanese entry for the Best Foreign Language Film at the 88th Academy Awards but it was not nominated.</p>\n<!-- /wp:paragraph -->", "The Assassin", "The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. ", "publish", "open", "open", "", "the-assassin", "", "", "2022-08-03 18:24:23", "2022-08-03 18:24:23", "", "0", "http://localhost:8888/imaginary-film-festival/?p=74", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2017-03-19 19:27:15", "2017-03-19 19:27:15", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/CKFtNsQ78oI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "The Assassin", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2017-03-19 19:27:15", "2017-03-19 19:27:15", "", "74", "http://localhost:8888/imaginary-film-festival/2017/03/19/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2017-03-19 19:29:29", "2017-03-19 19:29:29", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). who lies in a coma.", "publish", "open", "open", "", "yi-yi", "", "", "2022-07-31 23:59:46", "2022-07-31 23:59:46", "", "0", "http://localhost:8888/imaginary-film-festival/?p=78", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2017-03-19 19:29:29", "2017-03-19 19:29:29", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/8F6tSorwYqw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Yi Yi", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2017-03-19 19:29:29", "2017-03-19 19:29:29", "", "78", "http://localhost:8888/imaginary-film-festival/2017/03/19/78-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2017-03-19 19:31:03", "2017-03-19 19:31:03", "<!-- wp:paragraph -->\n<p>Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined</p>\n<!-- /wp:paragraph -->", "Ex Machina", "Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined", "publish", "open", "open", "", "ex-machina", "", "", "2022-07-31 01:09:30", "2022-07-31 01:09:30", "", "0", "http://localhost:8888/imaginary-film-festival/?p=80", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2017-03-19 19:31:03", "2017-03-19 19:31:03", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PI8XBKb6DQk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Ex Machina", "", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2017-03-19 19:31:03", "2017-03-19 19:31:03", "", "80", "http://localhost:8888/imaginary-film-festival/2017/03/19/80-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2017-03-19 19:40:18", "2017-03-19 19:40:18", "<!-- wp:paragraph -->\n<p>In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.</p>\n<!-- /wp:paragraph -->", "13 Assassins", "In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.", "publish", "open", "open", "", "13-assassins", "", "", "2022-08-03 18:04:41", "2022-08-03 18:04:41", "", "0", "http://localhost:8888/imaginary-film-festival/?p=84", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2017-03-19 19:40:18", "2017-03-19 19:40:18", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/zLtlahx8zek?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "13 Assassins", "", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2017-03-19 19:40:18", "2017-03-19 19:40:18", "", "84", "http://localhost:8888/imaginary-film-festival/2017/03/19/84-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2017-03-19 19:45:45", "2017-03-19 19:45:45", "", "Contact", "", "publish", "closed", "closed", "", "contact", "", "", "2017-03-19 19:45:45", "2017-03-19 19:45:45", "", "0", "http://localhost:8888/imaginary-film-festival/?page_id=86", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2017-03-19 19:45:45", "2017-03-19 19:45:45", "", "Contact", "", "inherit", "closed", "closed", "", "86-revision-v1", "", "", "2017-03-19 19:45:45", "2017-03-19 19:45:45", "", "86", "http://localhost:8888/imaginary-film-festival/2017/03/19/86-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("89", "1", "2017-03-19 19:53:37", "2017-03-19 19:53:37", "<!-- wp:paragraph -->\n<p>Leviathan (Russian: Левиафан, Leviafan) is a  Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>According to Zvyagintsev, the story of Marvin Heemeyer\'s 2004 rampage through a small US town using a modified bulldozer inspired him. A similar concept was adapted into a Russian setting. The character development of the protagonist parallels a biblical figure Job and the story of Naboth\'s Vineyard. The producer Alexander Rodnyansky has said: \"It deals with some of the most important social issues of contemporary Russia while never becoming an artist\'s sermon or a public statement; it is a story of love and tragedy experienced by ordinary people\". Critics noted the film as being formidable, dealing with quirks of fate, power and money</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. Zvyagintsev and Negin won the award for Best Screenplay. The film was judged the best film of the year at the 2014 BFI London Film Festival and the 45th International Film Festival of India. It won the Best Foreign Language Film award at the 72nd Golden Globe Awards. and the Asia Pacific Screen Award for Best Feature Film in 2014. It was also nominated for an Academy Award for Best Foreign Language Film at the 87th Academy Awards. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.</p>\n<!-- /wp:paragraph -->", "Leviathan", "Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.\n", "publish", "open", "open", "", "leviathan", "", "", "2022-08-03 18:48:14", "2022-08-03 18:48:14", "", "0", "http://localhost:8888/imaginary-film-festival/?p=89", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("90", "1", "2017-03-19 19:54:23", "2017-03-19 19:54:23", "<!-- wp:paragraph -->\n<p>Ida (Polish: [ˈida]) is a 2013 drama film directed by Paweł Pawlikowski and written by Pawlikowski and Rebecca Lenkiewicz. Set in Poland in 1962, it follows a young woman on the verge of taking vows as a Catholic nun. Orphaned as an infant during the German occupation of World War II, she must meet her aunt, a former Communist state prosecutor and only surviving relative, who tells her that her parents were Jewish. The two women embark on a road trip into the Polish countryside to learn the fate of their relatives.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Called a \"compact masterpiece\" and an \"eerily beautiful road movie\", the film has also been said to \"contain a cosmos of guilt, violence and pain\", even if certain historical events (German occupation of Poland, the Holocaust and Stalinism) remain unsaid: \"none of this is stated, but all of it is built, so to speak, into the atmosphere: the country feels dead, the population sparse\".</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Ida won the 2015 Academy Award for Best Foreign Language Film, becoming the first Polish film to do so. It had earlier been selected as Best Film of 2014 by the European Film Academy and as Best Film Not in the English Language of 2014 by the British Academy of Film and Television Arts (BAFTA). In 2016, the film was named as the 55th best film of the 21st century, from a poll of 177 film critics from around the world</p>\n<!-- /wp:paragraph -->", "Ida", "In 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.", "publish", "open", "open", "", "ida", "", "", "2022-08-03 18:28:56", "2022-08-03 18:28:56", "", "0", "http://localhost:8888/imaginary-film-festival/?p=90", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("92", "1", "2017-03-19 19:53:37", "2017-03-19 19:53:37", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/tj0SMgg9Jqg?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Leviathan", "", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2017-03-19 19:53:37", "2017-03-19 19:53:37", "", "89", "http://localhost:8888/imaginary-film-festival/2017/03/19/89-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("93", "1", "2017-03-19 19:54:23", "2017-03-19 19:54:23", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2017-03-19 19:54:23", "2017-03-19 19:54:23", "", "90", "http://localhost:8888/imaginary-film-festival/2017/03/19/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("97", "1", "2017-03-19 23:05:14", "2017-03-19 23:05:14", "", "artboard-01", "", "inherit", "open", "closed", "", "artboard-01", "", "", "2017-03-19 23:05:14", "2017-03-19 23:05:14", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-01.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("98", "1", "2017-03-19 23:05:16", "2017-03-19 23:05:16", "", "artboard-02", "", "inherit", "open", "closed", "", "artboard-02", "", "", "2017-03-19 23:05:16", "2017-03-19 23:05:16", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-02.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("99", "1", "2017-03-19 23:05:17", "2017-03-19 23:05:17", "", "artboard-03", "", "inherit", "open", "closed", "", "artboard-03", "", "", "2017-03-19 23:05:17", "2017-03-19 23:05:17", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-03.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("100", "1", "2017-03-19 23:05:18", "2017-03-19 23:05:18", "", "artboard-04", "", "inherit", "open", "closed", "", "artboard-04", "", "", "2017-03-19 23:05:18", "2017-03-19 23:05:18", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-04.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("101", "1", "2017-03-19 23:05:19", "2017-03-19 23:05:19", "", "artboard-05", "", "inherit", "open", "closed", "", "artboard-05", "", "", "2017-03-19 23:05:19", "2017-03-19 23:05:19", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-05.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("102", "1", "2017-03-19 23:05:20", "2017-03-19 23:05:20", "", "artboard-06", "", "inherit", "open", "closed", "", "artboard-06", "", "", "2017-03-19 23:05:20", "2017-03-19 23:05:20", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-06.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("103", "1", "2017-03-19 23:05:21", "2017-03-19 23:05:21", "", "artboard-07", "", "inherit", "open", "closed", "", "artboard-07", "", "", "2017-03-19 23:05:21", "2017-03-19 23:05:21", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-07.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("104", "1", "2017-03-19 23:05:22", "2017-03-19 23:05:22", "", "artboard-08", "", "inherit", "open", "closed", "", "artboard-08", "", "", "2017-03-19 23:05:22", "2017-03-19 23:05:22", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/artboard-08.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("105", "1", "2017-03-19 23:23:50", "2017-03-19 23:23:50", "", "Movie Meta", "", "publish", "closed", "closed", "", "acf_movie-meta", "", "", "2017-03-19 23:24:53", "2017-03-19 23:24:53", "", "0", "http://localhost:8888/imaginary-film-festival/?post_type=acf&#038;p=105", "0", "acf", "", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2017-03-19 23:25:41", "2017-03-19 23:25:41", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2017-03-19 23:25:41", "2017-03-19 23:25:41", "", "90", "http://localhost:8888/imaginary-film-festival/2017/03/19/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2017-03-19 23:27:39", "2017-03-19 23:27:39", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/tj0SMgg9Jqg?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Leviathan", "", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2017-03-19 23:27:39", "2017-03-19 23:27:39", "", "89", "http://localhost:8888/imaginary-film-festival/2017/03/19/89-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2017-03-19 23:28:13", "2017-03-19 23:28:13", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/zLtlahx8zek?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "13 Assassins", "", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2017-03-19 23:28:13", "2017-03-19 23:28:13", "", "84", "http://localhost:8888/imaginary-film-festival/2017/03/19/84-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2017-03-19 23:29:26", "2017-03-19 23:29:26", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PI8XBKb6DQk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Ex Machina", "", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2017-03-19 23:29:26", "2017-03-19 23:29:26", "", "80", "http://localhost:8888/imaginary-film-festival/2017/03/19/80-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2017-03-19 23:30:00", "2017-03-19 23:30:00", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/8F6tSorwYqw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Yi Yi", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2017-03-19 23:30:00", "2017-03-19 23:30:00", "", "78", "http://localhost:8888/imaginary-film-festival/2017/03/19/78-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2017-03-19 23:31:18", "2017-03-19 23:31:18", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/CKFtNsQ78oI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "The Assassin", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2017-03-19 23:31:18", "2017-03-19 23:31:18", "", "74", "http://localhost:8888/imaginary-film-festival/2017/03/19/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2017-03-19 23:32:02", "2017-03-19 23:32:02", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/JbfkuN_MpvQ?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "In Order Of Disappearance", "", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2017-03-19 23:32:02", "2017-03-19 23:32:02", "", "70", "http://localhost:8888/imaginary-film-festival/2017/03/19/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2017-03-19 23:32:36", "2017-03-19 23:32:36", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/J-BaKfl1Ms4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "71", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2017-03-19 23:32:36", "2017-03-19 23:32:36", "", "69", "http://localhost:8888/imaginary-film-festival/2017/03/19/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("117", "1", "2017-03-19 23:33:20", "2017-03-19 23:33:20", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PYQy3Wsid6I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Facing Ali", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2017-03-19 23:33:20", "2017-03-19 23:33:20", "", "59", "http://localhost:8888/imaginary-film-festival/2017/03/19/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2017-03-19 23:33:57", "2017-03-19 23:33:57", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Dekalog", "", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2017-03-19 23:33:57", "2017-03-19 23:33:57", "", "58", "http://localhost:8888/imaginary-film-festival/2017/03/19/58-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2017-03-19 23:34:34", "2017-03-19 23:34:34", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/QUnXv6R2HI8?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Wild Tales", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2017-03-19 23:34:34", "2017-03-19 23:34:34", "", "57", "http://localhost:8888/imaginary-film-festival/2017/03/19/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2017-03-19 23:34:57", "2017-03-19 23:34:57", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/SWTXVr8L0eE?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Gangs of Wasseypur", "", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2017-03-19 23:34:57", "2017-03-19 23:34:57", "", "56", "http://localhost:8888/imaginary-film-festival/2017/03/19/56-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("121", "1", "2017-03-19 23:35:36", "2017-03-19 23:35:36", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/eM2tblIkL4g?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Taxi", "", "inherit", "closed", "closed", "", "55-revision-v1", "", "", "2017-03-19 23:35:36", "2017-03-19 23:35:36", "", "55", "http://localhost:8888/imaginary-film-festival/2017/03/19/55-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2017-03-19 23:36:06", "2017-03-19 23:36:06", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ajOgE_BPLVU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>", "This Is Not A Film", "", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2017-03-19 23:36:06", "2017-03-19 23:36:06", "", "54", "http://localhost:8888/imaginary-film-festival/2017/03/19/54-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("123", "1", "2017-03-19 23:36:49", "2017-03-19 23:36:49", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/InuzW58ydyU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Two Days, One Night", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2017-03-19 23:36:49", "2017-03-19 23:36:49", "", "48", "http://localhost:8888/imaginary-film-festival/2017/03/19/48-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2017-03-19 23:37:56", "2017-03-19 23:37:56", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/15syDwC000k?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Brooklyn", "", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2017-03-19 23:37:56", "2017-03-19 23:37:56", "", "50", "http://localhost:8888/imaginary-film-festival/2017/03/19/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("125", "1", "2017-03-19 23:40:52", "2017-03-19 23:40:52", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/15syDwC000k?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nYoung Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.", "Brooklyn", "", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2017-03-19 23:40:52", "2017-03-19 23:40:52", "", "50", "http://localhost:8888/imaginary-film-festival/2017/03/19/50-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("131", "1", "2017-03-20 01:40:14", "2017-03-20 01:40:14", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>", "Dekalog", "", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2017-03-20 01:40:14", "2017-03-20 01:40:14", "", "58", "http://localhost:8888/imaginary-film-festival/58-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("132", "1", "2017-03-20 01:41:11", "2017-03-20 01:41:11", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/uh-gwDRjKXA?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>", "Hero", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2017-03-20 01:41:11", "2017-03-20 01:41:11", "", "52", "http://localhost:8888/imaginary-film-festival/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("133", "1", "2017-03-20 01:58:11", "2017-03-20 01:58:11", "", "Persepolis", "", "inherit", "open", "closed", "", "persepolis-2", "", "", "2017-03-20 01:58:11", "2017-03-20 01:58:11", "", "0", "http://localhost:8888/imaginary-film-festival/persepolis/persepolis-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2017-03-20 01:58:13", "2017-03-20 01:58:13", "", "Waltz With Bashir", "", "inherit", "open", "closed", "", "waltz-with-bashir-2", "", "", "2017-03-20 01:58:13", "2017-03-20 01:58:13", "", "0", "http://localhost:8888/imaginary-film-festival/waltz-with-bashir/waltz-with-bashir-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2017-03-20 01:58:15", "2017-03-20 01:58:15", "", "Ida", "", "inherit", "open", "closed", "", "ida-2", "", "", "2017-03-20 01:58:15", "2017-03-20 01:58:15", "", "90", "http://localhost:8888/imaginary-film-festival/ida/ida-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2017-03-20 01:58:17", "2017-03-20 01:58:17", "", "Leviathan", "", "inherit", "open", "closed", "", "leviathan-2", "", "", "2017-03-20 01:58:17", "2017-03-20 01:58:17", "", "89", "http://localhost:8888/imaginary-film-festival/leviathan/leviathan-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2017-03-20 01:58:20", "2017-03-20 01:58:20", "", "We Are The Best", "", "inherit", "open", "closed", "", "we-are-the-best-2", "", "", "2017-03-20 01:58:20", "2017-03-20 01:58:20", "", "0", "http://localhost:8888/imaginary-film-festival/we-are-the-best/we-are-the-best-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2017-03-20 01:58:22", "2017-03-20 01:58:22", "", "13 Assassins", "", "inherit", "open", "closed", "", "13-assassins-2", "", "", "2017-03-20 01:58:22", "2017-03-20 01:58:22", "", "84", "http://localhost:8888/imaginary-film-festival/13-assassins/13-assassins-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2017-03-20 01:58:24", "2017-03-20 01:58:24", "", "It Might Get Loud", "", "inherit", "open", "closed", "", "it-might-get-loud-2", "", "", "2017-03-20 01:58:24", "2017-03-20 01:58:24", "", "0", "http://localhost:8888/imaginary-film-festival/it-might-get-loud/it-might-get-loud-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2017-03-20 01:58:26", "2017-03-20 01:58:26", "", "Ex Machina", "", "inherit", "open", "closed", "", "ex-machina-2", "", "", "2017-03-20 01:58:26", "2017-03-20 01:58:26", "", "80", "http://localhost:8888/imaginary-film-festival/ex-machina/ex-machina-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2017-03-20 01:58:28", "2017-03-20 01:58:28", "", "Yi Yi", "", "inherit", "open", "closed", "", "yi-yi-2", "", "", "2017-03-20 01:58:28", "2017-03-20 01:58:28", "", "78", "http://localhost:8888/imaginary-film-festival/yi-yi/yi-yi-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2017-03-20 01:58:31", "2017-03-20 01:58:31", "", "Three Times", "", "inherit", "open", "closed", "", "three-times-2", "", "", "2017-03-20 01:58:31", "2017-03-20 01:58:31", "", "0", "http://localhost:8888/imaginary-film-festival/three-times/three-times-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2017-03-20 01:58:33", "2017-03-20 01:58:33", "", "The Assassin", "", "inherit", "open", "closed", "", "the-assassin-2", "", "", "2017-03-20 01:58:33", "2017-03-20 01:58:33", "", "74", "http://localhost:8888/imaginary-film-festival/the-assassin/the-assassin-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2017-03-20 01:58:35", "2017-03-20 01:58:35", "", "In Order Of Disappearance", "", "inherit", "open", "closed", "", "in-order-of-disappearance-2", "", "", "2017-03-20 01:58:35", "2017-03-20 01:58:35", "", "70", "http://localhost:8888/imaginary-film-festival/in-order-of-disappearance/in-order-of-disappearance-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2017-03-20 01:58:37", "2017-03-20 01:58:37", "", "71", "", "inherit", "open", "closed", "", "71-2", "", "", "2017-03-20 01:58:37", "2017-03-20 01:58:37", "", "69", "http://localhost:8888/imaginary-film-festival/71/71-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2017-03-20 01:58:39", "2017-03-20 01:58:39", "", "Facing Ali", "", "inherit", "open", "closed", "", "facing-ali-2", "", "", "2017-03-20 01:58:39", "2017-03-20 01:58:39", "", "59", "http://localhost:8888/imaginary-film-festival/facing-ali/facing-ali-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2017-03-20 01:58:42", "2017-03-20 01:58:42", "", "Dekalog", "", "inherit", "open", "closed", "", "dekalog-2", "", "", "2017-03-20 01:58:42", "2017-03-20 01:58:42", "", "58", "http://localhost:8888/imaginary-film-festival/dekalog/dekalog-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2017-03-20 01:58:44", "2017-03-20 01:58:44", "", "Wild Tales", "", "inherit", "open", "closed", "", "wild-tales-2", "", "", "2017-03-20 01:58:44", "2017-03-20 01:58:44", "", "57", "http://localhost:8888/imaginary-film-festival/wild-tales/wild-tales-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2017-03-20 01:58:46", "2017-03-20 01:58:46", "", "Gangs of Wasseypur", "", "inherit", "open", "closed", "", "gangs-of-wasseypur-2", "", "", "2017-03-20 01:58:46", "2017-03-20 01:58:46", "", "56", "http://localhost:8888/imaginary-film-festival/gangs-of-wasseypur/gangs-of-wasseypur-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2017-03-20 01:58:48", "2017-03-20 01:58:48", "", "Taxi", "", "inherit", "open", "closed", "", "taxi-2", "", "", "2017-03-20 01:58:48", "2017-03-20 01:58:48", "", "55", "http://localhost:8888/imaginary-film-festival/taxi/taxi-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2017-03-20 01:58:51", "2017-03-20 01:58:51", "", "This Is Not A Film", "", "inherit", "open", "closed", "", "this-is-not-a-film-2", "", "", "2017-03-20 01:58:51", "2017-03-20 01:58:51", "", "54", "http://localhost:8888/imaginary-film-festival/this-is-not-a-film/this-is-not-a-film-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2017-03-20 01:58:53", "2017-03-20 01:58:53", "", "Hero", "", "inherit", "open", "closed", "", "hero-2", "", "", "2017-03-20 01:58:53", "2017-03-20 01:58:53", "", "52", "http://localhost:8888/imaginary-film-festival/hero/hero-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2017-03-20 01:58:55", "2017-03-20 01:58:55", "", "Brooklyn", "", "inherit", "open", "closed", "", "brooklyn-2", "", "", "2017-03-20 01:58:55", "2017-03-20 01:58:55", "", "50", "http://localhost:8888/imaginary-film-festival/brooklyn/brooklyn-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2017-03-20 01:58:57", "2017-03-20 01:58:57", "", "Two Days, One Night", "", "inherit", "open", "closed", "", "two-days-one-night-2", "", "", "2017-03-20 01:58:57", "2017-03-20 01:58:57", "", "48", "http://localhost:8888/imaginary-film-festival/two-days-one-night/two-days-one-night-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2017-03-20 01:58:59", "2017-03-20 01:58:59", "", "Bamako", "", "inherit", "open", "closed", "", "bamako-2", "", "", "2017-03-20 01:58:59", "2017-03-20 01:58:59", "", "0", "http://localhost:8888/imaginary-film-festival/bamako/bamako-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("156", "1", "2017-03-20 01:59:01", "2017-03-20 01:59:01", "", "Timbuktu", "", "inherit", "open", "closed", "", "timbuktu-2", "", "", "2017-03-20 01:59:01", "2017-03-20 01:59:01", "", "44", "http://localhost:8888/imaginary-film-festival/timbuktu/timbuktu-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2017-03-20 01:59:03", "2017-03-20 01:59:03", "", "Eternal Sunshine of the Spotless Mind", "", "inherit", "open", "closed", "", "eternal-sunshine-of-the-spotless-mind-2", "", "", "2017-03-20 01:59:03", "2017-03-20 01:59:03", "", "42", "http://localhost:8888/imaginary-film-festival/eternal-sunshine-of-the-spotless-mind/eternal-sunshine-of-the-spotless-mind-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("158", "1", "2017-03-20 01:59:05", "2017-03-20 01:59:05", "", "Anomalisa", "", "inherit", "open", "closed", "", "anomalisa-2", "", "", "2017-03-20 01:59:05", "2017-03-20 01:59:05", "", "35", "http://localhost:8888/imaginary-film-festival/anomalisa/anomalisa-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("159", "1", "2017-03-20 01:59:08", "2017-03-20 01:59:08", "", "Blue", "", "inherit", "open", "closed", "", "blue-2", "", "", "2017-03-20 01:59:08", "2017-03-20 01:59:08", "", "34", "http://localhost:8888/imaginary-film-festival/blue/blue-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2017-03-20 01:59:11", "2017-03-20 01:59:11", "", "Red", "", "inherit", "open", "closed", "", "red-2", "", "", "2017-03-20 01:59:11", "2017-03-20 01:59:11", "", "33", "http://localhost:8888/imaginary-film-festival/red/red-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2017-03-20 01:59:13", "2017-03-20 01:59:13", "", "White", "", "inherit", "open", "closed", "", "white-2", "", "", "2017-03-20 01:59:13", "2017-03-20 01:59:13", "", "0", "http://localhost:8888/imaginary-film-festival/white/white-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2017-03-20 01:59:15", "2017-03-20 01:59:15", "", "I Killed My Mother", "", "inherit", "open", "closed", "", "i-killed-my-mother-2", "", "", "2017-03-20 01:59:15", "2017-03-20 01:59:15", "", "30", "http://localhost:8888/imaginary-film-festival/i-killed-my-mother/i-killed-my-mother-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2017-03-20 01:59:17", "2017-03-20 01:59:17", "", "Mommy", "", "inherit", "open", "closed", "", "mommy-2", "", "", "2017-03-20 01:59:17", "2017-03-20 01:59:17", "", "29", "http://localhost:8888/imaginary-film-festival/mommy/mommy-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2017-03-20 01:59:19", "2017-03-20 01:59:19", "", "Divine Intervention", "", "inherit", "open", "closed", "", "divine-intervention-2", "", "", "2017-03-20 01:59:19", "2017-03-20 01:59:19", "", "0", "http://localhost:8888/imaginary-film-festival/divine-intervention/divine-intervention-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2017-03-20 01:59:21", "2017-03-20 01:59:21", "", "A Separation", "", "inherit", "open", "closed", "", "a-separation-2", "", "", "2017-03-20 01:59:21", "2017-03-20 01:59:21", "", "13", "http://localhost:8888/imaginary-film-festival/a-separation/a-separation-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2017-03-20 01:59:24", "2017-03-20 01:59:24", "", "The Handmaiden", "", "inherit", "open", "closed", "", "the-handmaiden-2", "", "", "2017-03-20 01:59:24", "2017-03-20 01:59:24", "", "23", "http://localhost:8888/imaginary-film-festival/the-handmaiden/the-handmaiden-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2017-03-20 01:59:26", "2017-03-20 01:59:26", "", "Manchester By The Sea", "", "inherit", "open", "closed", "", "manchester-by-the-sea-2", "", "", "2017-03-20 01:59:26", "2017-03-20 01:59:26", "", "12", "http://localhost:8888/imaginary-film-festival/manchester-by-the-sea/manchester-by-the-sea-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2017-03-20 01:59:28", "2017-03-20 01:59:28", "", "I, Daniel Blake", "", "inherit", "open", "closed", "", "i-daniel-blake-2", "", "", "2017-03-20 01:59:28", "2017-03-20 01:59:28", "", "11", "http://localhost:8888/imaginary-film-festival/i-daniel-blake/i-daniel-blake-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2017-03-20 01:59:31", "2017-03-20 01:59:31", "", "Mystery Train", "", "inherit", "open", "closed", "", "mystery-train-2", "", "", "2017-03-20 01:59:31", "2017-03-20 01:59:31", "", "10", "http://localhost:8888/imaginary-film-festival/mystery-train/mystery-train-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2017-03-20 01:59:33", "2017-03-20 01:59:33", "", "Only Lovers Left Alive", "", "inherit", "open", "closed", "", "only-lovers-left-alive-2", "", "", "2017-03-20 01:59:33", "2017-03-20 01:59:33", "", "9", "http://localhost:8888/imaginary-film-festival/only-lovers-left-alive/only-lovers-left-alive-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2017-03-20 01:59:35", "2017-03-20 01:59:35", "", "Paterson", "", "inherit", "open", "closed", "", "paterson-2", "", "", "2017-03-20 01:59:35", "2017-03-20 01:59:35", "", "8", "http://localhost:8888/imaginary-film-festival/paterson/paterson-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2017-03-20 01:59:37", "2017-03-20 01:59:37", "", "Hana-bi", "", "inherit", "open", "closed", "", "hana-bi-2", "", "", "2017-03-20 01:59:37", "2017-03-20 01:59:37", "", "7", "http://localhost:8888/imaginary-film-festival/hana-bi/hana-bi-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2017-03-20 01:59:39", "2017-03-20 01:59:39", "", "Chungking Express", "", "inherit", "open", "closed", "", "chungking-express-2", "", "", "2017-03-20 01:59:39", "2017-03-20 01:59:39", "", "6", "http://localhost:8888/imaginary-film-festival/chungking-express/chungking-express-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2017-03-20 01:59:42", "2017-03-20 01:59:42", "", "2046", "", "inherit", "open", "closed", "", "2046-2", "", "", "2017-03-20 01:59:42", "2017-03-20 01:59:42", "", "5", "http://localhost:8888/imaginary-film-festival/2046/2046-2/", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2017-03-20 02:12:14", "2017-03-20 02:12:14", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\'\r\n\r\nIn 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2017-03-20 02:12:14", "2017-03-20 02:12:14", "", "90", "http://localhost:8888/imaginary-film-festival/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2017-03-20 02:13:03", "2017-03-20 02:13:03", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/tj0SMgg9Jqg?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nA Russian fisherman (Alexey Serebryakov) fights back when a corrupt mayor tries to seize possession of his ancestral home.", "Leviathan", "", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2017-03-20 02:13:03", "2017-03-20 02:13:03", "", "89", "http://localhost:8888/imaginary-film-festival/89-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2017-03-20 02:14:15", "2017-03-20 02:14:15", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/zLtlahx8zek?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nIn this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.", "13 Assassins", "", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2017-03-20 02:14:15", "2017-03-20 02:14:15", "", "84", "http://localhost:8888/imaginary-film-festival/84-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2017-03-20 02:14:38", "2017-03-20 02:14:38", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PI8XBKb6DQk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nCaleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined", "Ex Machina", "", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2017-03-20 02:14:38", "2017-03-20 02:14:38", "", "80", "http://localhost:8888/imaginary-film-festival/80-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2017-03-20 02:14:56", "2017-03-20 02:14:56", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/8F6tSorwYqw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nSet in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.", "Yi Yi", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2017-03-20 02:14:56", "2017-03-20 02:14:56", "", "78", "http://localhost:8888/imaginary-film-festival/78-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2017-03-20 02:15:59", "2017-03-20 02:15:59", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/CKFtNsQ78oI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nThe Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. At Cannes, Hou won the award for Best Director. It was released in China and Hong Kong on 27 August, and a day later in Taiwan on 28 August 2015. It was selected as the Taiwanese entry for the Best Foreign Language Film at the 88th Academy Awards but it was not nominated.", "The Assassin", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2017-03-20 02:15:59", "2017-03-20 02:15:59", "", "74", "http://localhost:8888/imaginary-film-festival/74-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2017-03-20 02:16:31", "2017-03-20 02:16:31", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/J-BaKfl1Ms4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\n\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.", "71", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2017-03-20 02:16:31", "2017-03-20 02:16:31", "", "69", "http://localhost:8888/imaginary-film-festival/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2017-03-20 02:17:31", "2017-03-20 02:17:31", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PYQy3Wsid6I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nFacing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.\r\n\r\nProduction is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.\r\n\r\nThe fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".", "Facing Ali", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2017-03-20 02:17:31", "2017-03-20 02:17:31", "", "59", "http://localhost:8888/imaginary-film-festival/59-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2017-03-20 02:18:24", "2017-03-20 02:18:24", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\n\r\nDekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.\r\n\r\nThe series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.", "Dekalog", "", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2017-03-20 02:18:24", "2017-03-20 02:18:24", "", "58", "http://localhost:8888/imaginary-film-festival/58-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2017-03-20 02:19:21", "2017-03-20 02:19:21", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/JbfkuN_MpvQ?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nNils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.", "In Order Of Disappearance", "", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2017-03-20 02:19:21", "2017-03-20 02:19:21", "", "70", "http://localhost:8888/imaginary-film-festival/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2017-03-20 02:20:16", "2017-03-20 02:20:16", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/InuzW58ydyU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nIn Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.\r\n\r\nIn the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.\r\n\r\nHowever, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.\r\n\r\n", "Two Days, One Night", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2017-03-20 02:20:16", "2017-03-20 02:20:16", "", "48", "http://localhost:8888/imaginary-film-festival/48-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2017-03-20 02:22:02", "2017-03-20 02:22:02", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/yE-f1alkq9I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nShy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.\r\n\r\nMuch of the film subsequently takes place in Joel\'s mind, during this memory erasure procedure. As his memories are erased, he tries to evade the erasing effects of the procedure by hiding Clementine in remote parts of his subconscious. Joel finds himself revisiting them in reverse. Upon seeing happier times of love with Clementine from earlier in their relationship, he struggles to preserve at least some memory of her and his love for her. Despite his efforts to either hide the memories or wake up and stop the process, the memories are slowly erased. He comes to the last remaining memory of Clementine, the day he had first met her at a beach house in Montauk. As this memory disintegrates around them, she tells him, \"Meet me in Montauk.\"\r\n\r\nSeparate, but related, story arcs, which revolve around the employees of Lacuna, are revealed during Joel\'s memory erasure. Patrick, one of the Lacuna technicians performing the erasure, uses Joel\'s memories and mannerisms to seduce Clementine. Mary, the Lacuna receptionist, is dating the other memory-erasing technician, Stan. During Joel\'s memory wipe, Mary discovers she had previously had an affair with Dr. Howard Mierzwiak, the married doctor who heads the company, and had agreed to have this erased from her memory when Dr. Mierzwiak\'s wife found out. On learning this, she asks Stan whether he knew about this, to which he claims that he didn\'t. Mary then quits her job and steals the company\'s records, and mails the two former clients their records from Lacuna.\r\n\r\nThe film returns to the present, after Joel and Clementine have met aboard the train. They both come upon their Lacuna records later that day, and react with shock and bewilderment, because they have no clear memory of having known each other, let alone having had a relationship and having had their memories erased. Joel beckons Clementine to start over; Clementine initially resists, pointing out it could go the same way. Joel accepts this, and they decide to attempt a relationship anyway, starting their life together anew.", "Eternal Sunshine of the Spotless Mind", "", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2017-03-20 02:22:02", "2017-03-20 02:22:02", "", "42", "http://localhost:8888/imaginary-film-festival/42-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "190", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=190", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "191", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=191", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("192", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "192", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=192", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "193", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=193", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("194", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "194", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=194", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("195", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "195", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=195", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "196", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=196", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("197", "1", "2017-03-20 03:32:58", "2017-03-20 03:32:58", " ", "", "", "publish", "closed", "closed", "", "197", "", "", "2017-03-20 04:16:50", "2017-03-20 04:16:50", "", "0", "http://localhost:8888/imaginary-film-festival/?p=197", "8", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2017-03-20 03:20:55", "2017-03-20 03:20:55", "The Langara Imaginary Film Festival takes place every year in the minds of WMDD 4840 students completing the final exercise of the course.\r\n\r\nIn the Festival, thumbnails of movies chosen by the course instructor, Kevin McMillan, are compiled onto the front page of the site. This is done automatically with a plugin called Video Thumbnails. \r\n\r\nAdditional information about the movies are available in the single view. Also present in those views is the official trailer of each film. \r\n\r\nThe Festival is put on with the generous support of the Flexbox CSS module.\r\n\r\n<h2>Directions to the Festival</h2>\r\n\r\nConsult the google map below. When you arrive on campus, come to room B014.\r\n \r\n<iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2605.734013676865!2d-123.11062568369863!3d49.224571282806245!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x5486746f412563f7%3A0x36606d221509fdfe!2sLangara+College!5e0!3m2!1sen!2sca!4v1489979652215\" width=\"600\" height=\"450\" frameborder=\"0\" style=\"border:0\" allowfullscreen></iframe>", "About", "", "publish", "closed", "closed", "", "about", "", "", "2017-03-20 03:33:15", "2017-03-20 03:33:15", "", "0", "http://localhost:8888/imaginary-film-festival/?page_id=198", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2017-03-20 03:20:55", "2017-03-20 03:20:55", "The Langara Imaginary Film Festival takes place every year in the minds of WMDD 4840 students completing the final exercise of the course.\r\n\r\nIn the Festival, thumbnails of movies chosen by the course instructor, Kevin McMillan, are compiled onto the front page of the site. This is done automatically with a plugin called Video Thumbnails. \r\n\r\nAdditional information about the movies are available in the single view. Also present in those views is the official trailer of each film. \r\n\r\nThe Festival is put on with the generous support of the Flexbox CSS module.\r\n\r\n<h2>Directions to the Festival</h2>\r\n\r\nConsult the google map below. When you arrive on campus, come to room B014.\r\n \r\n<iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2605.734013676865!2d-123.11062568369863!3d49.224571282806245!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x5486746f412563f7%3A0x36606d221509fdfe!2sLangara+College!5e0!3m2!1sen!2sca!4v1489979652215\" width=\"600\" height=\"450\" frameborder=\"0\" style=\"border:0\" allowfullscreen></iframe>", "About", "", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2017-03-20 03:20:55", "2017-03-20 03:20:55", "", "198", "http://localhost:8888/imaginary-film-festival/198-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2017-03-20 03:43:19", "2017-03-20 03:43:19", " ", "", "", "publish", "closed", "closed", "", "201", "", "", "2018-03-19 00:34:09", "2018-03-19 00:34:09", "", "0", "http://localhost:8888/imaginary-film-festival/?p=201", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2017-03-20 03:43:19", "2017-03-20 03:43:19", " ", "", "", "publish", "closed", "closed", "", "202", "", "", "2018-03-19 00:34:09", "2018-03-19 00:34:09", "", "0", "http://localhost:8888/imaginary-film-festival/?p=202", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2017-03-20 03:44:39", "2017-03-20 03:44:39", "", "Facebook", "", "publish", "closed", "closed", "", "facebook", "", "", "2018-03-21 00:40:43", "2018-03-21 00:40:43", "", "0", "http://localhost:8888/imaginary-film-festival/?p=204", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2017-03-20 03:44:39", "2017-03-20 03:44:39", "", "Twitter", "", "publish", "closed", "closed", "", "twitter", "", "", "2018-03-21 00:40:43", "2018-03-21 00:40:43", "", "0", "http://localhost:8888/imaginary-film-festival/?p=205", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2017-03-20 03:44:39", "2017-03-20 03:44:39", "", "Pinterest", "", "publish", "closed", "closed", "", "pinterest", "", "", "2018-03-21 00:40:43", "2018-03-21 00:40:43", "", "0", "http://localhost:8888/imaginary-film-festival/?p=206", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2017-03-20 03:44:39", "2017-03-20 03:44:39", "", "YouTube", "", "publish", "closed", "closed", "", "youtube", "", "", "2018-03-21 00:40:43", "2018-03-21 00:40:43", "", "0", "http://localhost:8888/imaginary-film-festival/?p=207", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2017-03-20 04:49:48", "2017-03-20 04:49:48", "The Langara Imaginary Film Festival takes place every year in the minds of WMDD 4840 students completing the final exercise of the course.\n\nIn the Festival, thumbnails of movies chosen by the course instructor, Kevin McMillan, are compiled onto the front page of the site. Feature Images are  automatically generated with a plugin called Video Thumbnails. \n\nAdditional information about the movies are available in the single view. Also present in those views is the official trailer of each film. \n\nThe Festival is put on with the generous support of the Flexbox CSS module.\n\n<h2>Directions to the Festival</h2>\n\nConsult the google map below. When you arrive on campus, come to room B014.\n \n<iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2605.734013676865!2d-123.11062568369863!3d49.224571282806245!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x5486746f412563f7%3A0x36606d221509fdfe!2sLangara+College!5e0!3m2!1sen!2sca!4v1489979652215\" width=\"600\" height=\"450\" frameborder=\"0\" style=\"border:0\" allowfullscreen></iframe>", "About", "", "inherit", "closed", "closed", "", "198-autosave-v1", "", "", "2017-03-20 04:49:48", "2017-03-20 04:49:48", "", "198", "http://localhost:8888/imaginary-film-festival/198-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2017-03-20 07:17:43", "2017-03-20 07:17:43", "", "", "", "publish", "closed", "closed", "", "214", "", "", "2017-03-20 07:17:43", "2017-03-20 07:17:43", "", "0", "http://localhost:8888/imaginary-film-festival/nf_sub/214/", "0", "nf_sub", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2017-03-23 13:52:51", "2017-03-23 13:52:51", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/3Tz6KgPfeuk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\">\r\n\r\n&nbsp;\r\n\r\nIn the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.\r\n\r\nIn the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild (released in 1990) and the last part was 2046 (released in 2004).\r\n\r\nThe story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.\r\n\r\nChow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.\r\n\r\nChow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.\r\n\r\nThe next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.\r\n\r\nThree years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.\r\n\r\nThe film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.\r\n\r\n</div>", "2046", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2017-03-23 13:52:51", "2017-03-23 13:52:51", "", "5", "http://localhost:8888/imaginary-film-festival/5-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2017-03-23 14:31:01", "2017-03-23 14:31:01", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/Bjd7PFf_TFw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nChungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai.[3] The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.\r\n\r\nThe Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2017-03-23 14:31:01", "2017-03-23 14:31:01", "", "6", "http://localhost:8888/imaginary-film-festival/6-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2017-03-23 14:31:12", "2017-03-23 14:31:12", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Bjd7PFf_TFw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\nChungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai.[3] The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.\r\n\r\nThe Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2017-03-23 14:31:12", "2017-03-23 14:31:12", "", "6", "http://localhost:8888/imaginary-film-festival/6-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2017-03-23 14:31:49", "2017-03-23 14:31:49", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Bjd7PFf_TFw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\nChungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai. The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.\r\n\r\nThe Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2017-03-23 14:31:49", "2017-03-23 14:31:49", "", "6", "http://localhost:8888/imaginary-film-festival/6-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2017-03-23 14:33:07", "2017-03-23 14:33:07", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/PwTWtAE3ylY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nHana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"\r\n\r\nThe unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.", "Hana-bi", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2017-03-23 14:33:07", "2017-03-23 14:33:07", "", "7", "http://localhost:8888/imaginary-film-festival/7-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2017-03-23 14:33:30", "2017-03-23 14:33:30", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/PwTWtAE3ylY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\nHana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"\r\n\r\nThe unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.", "Hana-bi", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2017-03-23 14:33:30", "2017-03-23 14:33:30", "", "7", "http://localhost:8888/imaginary-film-festival/7-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2017-03-23 14:34:38", "2017-03-23 14:34:38", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/m8pGJBgiiDU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nPaterson is a 2016 drama film written and directed by Jim Jarmusch. The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.\r\n\r\nIt was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm Dog Award. The film was released in Germany on November 17, 2016, by K5 International. It was then released in France on December 21, 2016, by Le Pacte, and released in the United States on December 28, 2016, by Amazon Studios and Bleecker Street.", "Paterson", "", "inherit", "closed", "closed", "", "8-revision-v1", "", "", "2017-03-23 14:34:38", "2017-03-23 14:34:38", "", "8", "http://localhost:8888/imaginary-film-festival/8-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2017-03-23 14:35:16", "2017-03-23 14:35:16", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/pkeWhokaPPs?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nOnly Lovers Left Alive is a 2013 internationally co-produced vampire film written and directed by Jim Jarmusch, and starring Tilda Swinton, Tom Hiddleston, Mia Wasikowska, Anton Yelchin, Jeffrey Wright, Slimane Dazi, and John Hurt. A co-production of the United Kingdom and Germany, the film was nominated for the Palme d\'Or at the 2013 Cannes Film Festival.", "Only Lovers Left Alive", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2017-03-23 14:35:16", "2017-03-23 14:35:16", "", "9", "http://localhost:8888/imaginary-film-festival/9-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2017-03-23 14:35:45", "2017-03-23 14:35:45", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/pkeWhokaPPs?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\nOnly Lovers Left Alive is a 2013 internationally co-produced vampire film written and directed by Jim Jarmusch, and starring Tilda Swinton, Tom Hiddleston, Mia Wasikowska, Anton Yelchin, Jeffrey Wright, Slimane Dazi, and John Hurt. A co-production of the United Kingdom and Germany, the film was nominated for the Palme d\'Or at the 2013 Cannes Film Festival.\r\n\r\nMarried for centuries and now living half a world apart, two vampires wake as the sun goes down. Adam sits holding a lute, in his cluttered Detroit Victorian, as Eve wakes up in her bedroom in Tangier, surrounded by books. Rather than feeding on humans, they are like addicts, dependent on local suppliers of the \"good stuff\"; fearing contamination from blood poisoned by the degradation of the environment. Adam visits a local blood bank in the dead of night, masquerading as \"Dr. Faust\", paying \"Dr. Watson\" for his coveted O negative, while Eve relies on their old friend Christopher Marlowe, who faked his death in 1593 and now lives under the protection of a local man.\r\n\r\nAfter influencing the careers of countless famous musicians and scientists, Adam has become withdrawn and suicidal. His desire to connect through his music is at odds with the danger of recognition as well as his contempt for the corrupt and foolish humans he refers to as \"zombies.\" He spends his days recording his compositions on outdated studio equipment and lamenting the state of the modern world whilst collecting vintage instruments. He pays Ian, a naive human \"rock and roll kid,\" to procure vintage guitars and other assorted curiosities, including a custom-made, wooden bullet with a brass casing. Having acquired substantial scientific knowledge over the years, the vampire has managed to build contraptions to power both his home and vintage sports car with technology originally pioneered by Nikola Tesla. His reclusive nature adds to his mystique as a musician and composer, and he is horrified when some intrepid fans turn up on his doorstep. Ian promises to discreetly spread rumors about Adam living elsewhere to draw them away.", "Only Lovers Left Alive", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2017-03-23 14:35:45", "2017-03-23 14:35:45", "", "9", "http://localhost:8888/imaginary-film-festival/9-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2017-03-23 14:37:03", "2017-03-23 14:37:03", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/8Foo15dmk2M?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nMystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.\r\n\r\nThe starting point for the script was the ensemble cast of friends and previous collaborators Jarmusch had conceived characters for, while the tripartite formal structure of the film was inspired by his study of literary forms. Cinematographer Robby Müller and musician John Lurie were among the many contributors who had been involved in earlier Jarmusch projects and returned to work on the film. Mystery Train\'s US$2.8 million budget (financed by Japanese conglomerate JVC) was considerable compared to what the director had enjoyed before, and allowed him the freedom to rehearse many unscripted background scenes. It was the first of Jarmusch\'s feature films to depart from his trademark black-and-white photography, though the use of color was tightly controlled to conform with the director\'s intuitive sense of the film\'s aesthetic.\r\n\r\nMystery Train was released theatrically by Orion Classics under a restricted rating in the United States, where it grossed over $1.5 million. It enjoyed critical acclaim on the film festival circuit, and like the director\'s earlier films premiered at the New York Film Festival and was shown in competition at Cannes, where Jarmusch was awarded the Best Artistic Achievement Award. The film was also shown in the Edinburgh, London, Midnight Sun, Telluride, and Toronto film festivals, and was nominated in six categories at the Independent Spirit Awards. Critical reaction was overwhelmingly positive, with reviewers praising the structure, humor, and characters of the film, though there was criticism that the director had not been sufficiently adventurous.", "Mystery Train", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2017-03-23 14:37:03", "2017-03-23 14:37:03", "", "10", "http://localhost:8888/imaginary-film-festival/10-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("227", "1", "2017-03-23 14:37:51", "2017-03-23 14:37:51", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/ahWgxw9E_h4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nI, Daniel Blake is a 2016 British-French-German drama film directed by Ken Loach and written by Loach\'s frequent collaborator Paul Laverty. It stars Dave Johns as Daniel Blake, who is denied employment and support allowance despite his doctor finding him unfit to work. Hayley Squires co-stars as Katie, a struggling single mother whom Daniel befriends.\r\n\r\nThe film won the Palme d\'Or at the 2016 Cannes Film Festival and the Prix du public at the 2016 Locarno International Film Festival.[3][4][5]", "I, Daniel Blake", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2017-03-23 14:37:51", "2017-03-23 14:37:51", "", "11", "http://localhost:8888/imaginary-film-festival/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2017-03-23 14:38:52", "2017-03-23 14:38:52", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ahWgxw9E_h4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\nI, Daniel Blake is a 2016 British-French-German drama film directed by Ken Loach and written by Loach\'s frequent collaborator Paul Laverty. It stars Dave Johns as Daniel Blake, who is denied employment and support allowance despite his doctor finding him unfit to work. Hayley Squires co-stars as Katie, a struggling single mother whom Daniel befriends.\r\n\r\nThe film won the Palme d\'Or at the 2016 Cannes Film Festival and the Prix du public at the 2016 Locarno International Film Festival.\r\n\r\nWidower Daniel Blake, a 59-year-old joiner living in Newcastle, has had a heart attack at work. Though his cardiologist has advised him not to return to work, Daniel is deemed fit to do so after a work capability assessment and denied employment and support allowance. He is frustrated to learn that his doctor was not contacted about the decision, and applies for an appeal, a process he finds difficult because he is not computer literate.\r\n\r\nDaniel befriends a single mother, Katie, after she is sanctioned for arriving late for a jobcentre appointment. Katie and her children have moved to Newcastle from a London homeless persons\' hostel, with no affordable accommodation available in the capital. Daniel helps the family by repairing objects, teaching them how to heat rooms without electricity, and crafting wooden toys for the children.\r\n\r\nDuring a visit to a food bank, Katie is overcome by hunger and breaks down. After she is caught shoplifting, a security guard offers her work as an escort. Daniel surprises her at the brothel, where he begs her to give up the job, but she tearfully insists she has no choice to feed her children.\r\n\r\nAs a condition for receiving jobseeker\'s allowance, Daniel searches for work on an industrial estate. He is offered a job in a scrapyard, but has to turn it down for health reasons. When Daniel\'s work coach tells him he must work harder to find a job, Daniel spraypaints \"I, Daniel Blake, demand my appeal date before I starve\" on the building. He earns the support of passersby, including other benefits claimants, but is arrested and given a police warning. Daniel sells most of his belongings and becomes withdrawn.\r\n\r\nOn the day of Daniel\'s appeal, Katie accompanies him to court. A welfare adviser tells Daniel that his case looks sound. On glimpsing the judge and doctor who will decide his case, Daniel becomes anxious and visits the lavatory, where he suffers a fatal heart attack. At his \"pauper\'s funeral\", Katie reads the eulogy, including a speech Daniel had intended to read at his appeal. Daniel\'s speech describes his feelings about how the welfare system failed him, treating him like a number and not a man who was proud to say he had paid his dues to society.", "I, Daniel Blake", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2017-03-23 14:38:52", "2017-03-23 14:38:52", "", "11", "http://localhost:8888/imaginary-film-festival/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("229", "1", "2017-03-23 14:39:49", "2017-03-23 14:39:49", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/gsVoD0pTge0?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nManchester by the Sea is a 2016 American drama film written and directed by Kenneth Lonergan and starring Casey Affleck, Michelle Williams, Kyle Chandler, and Lucas Hedges. The plot follows a man who looks after his teenage nephew after his brother dies.\r\n\r\nThe film premiered at the Sundance Film Festival on January 23, 2016 and was soon picked up by Amazon Studios for distribution. It began a limited release on November 18, 2016, before going wide on December 16, 2016. The film has grossed over $72 million worldwide on an $8.5 million budget.\r\n\r\nManchester by the Sea received critical acclaim upon its release and was regarded as among the best films of 2016. Critics praised in particular Affleck\'s performance, as well as Lonergan\'s direction and screenplay. At the 89th Academy Awards, the film received six nominations: Best Picture, Best Director, Best Actor (Affleck), Best Supporting Actor (Hedges), Best Supporting Actress (Williams) and Best Original Screenplay, winning for Best Original Screenplay and Best Actor. It also won the Golden Globe Award for Best Actor and was nominated in four more categories.", "Manchester By The Sea", "", "inherit", "closed", "closed", "", "12-revision-v1", "", "", "2017-03-23 14:39:49", "2017-03-23 14:39:49", "", "12", "http://localhost:8888/imaginary-film-festival/12-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2017-03-23 14:42:03", "2017-03-23 14:42:03", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/vHOmrolJEiY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nThe Handmaiden (Hangul: 아가씨; RR: Agassi; lit. \"Lady\") is a 2016 South Korean erotic psychological thriller film directed by Park Chan-wook and starring Kim Min-hee, Kim Tae-ri, Ha Jung-woo and Cho Jin-woong. It is inspired from the novel Fingersmith by Welsh writer Sarah Waters, with the setting changed from Victorian era Britain to Korea under Japanese colonial rule.\r\n\r\nThe film was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival. It was released in South Korea on 1 June 2016, and received critical acclaim.", "The Handmaiden", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2017-03-23 14:42:03", "2017-03-23 14:42:03", "", "23", "http://localhost:8888/imaginary-film-festival/23-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("232", "1", "2017-03-23 14:43:05", "2017-03-23 14:43:05", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/nwEgDPPATy0?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nA Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this", "A Separation", "", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2017-03-23 14:43:05", "2017-03-23 14:43:05", "", "13", "http://localhost:8888/imaginary-film-festival/13-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("235", "1", "2017-03-23 14:46:25", "2017-03-23 14:46:25", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/Q9LVLCYvqSI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nMommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.\r\n\r\nThe story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.\r\n\r\nThe film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.", "Mommy", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2017-03-23 14:46:25", "2017-03-23 14:46:25", "", "29", "http://localhost:8888/imaginary-film-festival/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("237", "1", "2017-03-23 15:07:58", "2017-03-23 15:07:58", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/BgCqY3cE-VM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nI Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation. It was shown in 12 cinemas in Quebec and 60 in France.", "I Killed My Mother", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2017-03-23 15:07:58", "2017-03-23 15:07:58", "", "30", "http://localhost:8888/imaginary-film-festival/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2017-03-23 15:10:54", "2017-03-23 15:10:54", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/rEBCT5xMpA4?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nThree Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.\r\n\r\nRed was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.", "Red", "", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2017-03-23 15:10:54", "2017-03-23 15:10:54", "", "33", "http://localhost:8888/imaginary-film-festival/33-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2017-03-23 15:11:46", "2017-03-23 15:11:46", "<div style=\"position:relative;height:0;padding-bottom:75.0%\"><iframe src=\"https://www.youtube.com/embed/Hxu6my_t4pM?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nThree Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.\r\n\r\nSet in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.\r\n\r\nBlue is among Kieślowski\'s most celebrated works.", "Blue", "", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2017-03-23 15:11:46", "2017-03-23 15:11:46", "", "34", "http://localhost:8888/imaginary-film-festival/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2017-03-23 15:13:49", "2017-03-23 15:13:49", "<div style=\"position: relative; height: 0; padding-bottom: 75.0%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Hxu6my_t4pM?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\nThree Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.\r\n\r\nSet in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.\r\n\r\nBlue is among Kieślowski\'s most celebrated works.", "Blue", "", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2017-03-23 15:13:49", "2017-03-23 15:13:49", "", "34", "http://localhost:8888/imaginary-film-festival/34-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2017-03-23 15:14:31", "2017-03-23 15:14:31", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/vrrU3is7qvU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nAnomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.\r\n\r\nAnomalisa was nominated for an Academy Award for Best Animated Feature (the first R-rated film to be nominated), a Golden Globe Award for Best Animated Feature Film, and five Annie Awards. It became the first animated film to win the Grand Jury Prize at the 72nd Venice International Film Festival, after premiering at the Telluride Film Festival on 4 September 2015.", "Anomalisa", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2017-03-23 15:14:31", "2017-03-23 15:14:31", "", "35", "http://localhost:8888/imaginary-film-festival/35-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2017-03-23 15:14:58", "2017-03-23 15:14:58", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/yE-f1alkq9I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nShy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.\r\n\r\nMuch of the film subsequently takes place in Joel\'s mind, during this memory erasure procedure. As his memories are erased, he tries to evade the erasing effects of the procedure by hiding Clementine in remote parts of his subconscious. Joel finds himself revisiting them in reverse. Upon seeing happier times of love with Clementine from earlier in their relationship, he struggles to preserve at least some memory of her and his love for her. Despite his efforts to either hide the memories or wake up and stop the process, the memories are slowly erased. He comes to the last remaining memory of Clementine, the day he had first met her at a beach house in Montauk. As this memory disintegrates around them, she tells him, \"Meet me in Montauk.\"\r\n\r\nSeparate, but related, story arcs, which revolve around the employees of Lacuna, are revealed during Joel\'s memory erasure. Patrick, one of the Lacuna technicians performing the erasure, uses Joel\'s memories and mannerisms to seduce Clementine. Mary, the Lacuna receptionist, is dating the other memory-erasing technician, Stan. During Joel\'s memory wipe, Mary discovers she had previously had an affair with Dr. Howard Mierzwiak, the married doctor who heads the company, and had agreed to have this erased from her memory when Dr. Mierzwiak\'s wife found out. On learning this, she asks Stan whether he knew about this, to which he claims that he didn\'t. Mary then quits her job and steals the company\'s records, and mails the two former clients their records from Lacuna.\r\n\r\nThe film returns to the present, after Joel and Clementine have met aboard the train. They both come upon their Lacuna records later that day, and react with shock and bewilderment, because they have no clear memory of having known each other, let alone having had a relationship and having had their memories erased. Joel beckons Clementine to start over; Clementine initially resists, pointing out it could go the same way. Joel accepts this, and they decide to attempt a relationship anyway, starting their life together anew.", "Eternal Sunshine of the Spotless Mind", "", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2017-03-23 15:14:58", "2017-03-23 15:14:58", "", "42", "http://localhost:8888/imaginary-film-festival/42-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2017-03-23 15:17:31", "2017-03-23 15:17:31", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/CspcDYQ-SiY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nTimbuktu is a 2014 French-Mauritanian drama film directed by Abderrahmane Sissako. It was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.\r\n\r\nThe film looks at the brief occupation of Timbuktu, Mali by Ansar Dine. Parts of the film were influenced by a 2012 public stoning of an unmarried couple in Aguelhok. It was shot in Oualata, a town in south-east Mauritania.\r\n\r\nThe city of Timbuktu is under the occupation of extremist Islamists bearing a jihadist black flag. Kidane is a cattle herder who lives outside of the city. One day, one of his cows accidentally damages the net of a fisherman. The enraged fisherman kills the cow. Kidane confronts the fisherman and accidentally shoots him dead. The jihadists arrest Kidane and, per sharia law, demand a blood money payment of 40 cattle to the fisherman\'s family. As Kidane has only seven cattle, he is sentenced to death. His wife shows up at his execution with a pistol, and as they run to each other the husband attempts to stop her. The executioners gun them both down.\r\n\r\nThroughout the film there are subsidiary scenes showing the reaction of the population to the jihadists\' rule, which are portrayed as absurd. A female fishmonger must wear gloves even when selling fish. Music is banned; a woman is sentenced to 40 lashes for singing, and 40 lashes for being in the same room as a man not of her family. A couple are buried up to their necks in sand and stoned to death for adultery. Young men play football with an imaginary ball as sports are banned. A local imam tries to curb the jihadists\' excesses with sermons.\r\n\r\nThe failure of the occupiers to live up to their own rules is hinted at, for instance when one of them is seen smoking a cigarette. Another group of jihadists from France spend their days talking about their favorite football teams.\r\n\r\nCharacters speak in Tamasheq, Bambara, Arabic, French, and on a few occasions English. The mobile phone is an important means of communication.", "Timbuktu", "", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2017-03-23 15:17:31", "2017-03-23 15:17:31", "", "44", "http://localhost:8888/imaginary-film-festival/44-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2017-03-23 15:19:59", "2017-03-23 15:19:59", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/uh-gwDRjKXA?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nHero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.\r\n\r\nHero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.", "Hero", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2017-03-23 15:19:59", "2017-03-23 15:19:59", "", "52", "http://localhost:8888/imaginary-film-festival/52-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2017-03-23 15:20:38", "2017-03-23 15:20:38", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ajOgE_BPLVU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\n\r\nThis Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.", "This Is Not A Film", "", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2017-03-23 15:20:38", "2017-03-23 15:20:38", "", "54", "http://localhost:8888/imaginary-film-festival/54-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2017-03-23 15:21:22", "2017-03-23 15:21:22", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/SWTXVr8L0eE?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nGangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.\r\n\r\nKashyap plans to make another sequel, Gangs of Wasseypur 1.5 and has incorporated Zeishan Quadri as the director of the third part.", "Gangs of Wasseypur", "", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2017-03-23 15:21:22", "2017-03-23 15:21:22", "", "56", "http://localhost:8888/imaginary-film-festival/56-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2017-03-23 15:21:48", "2017-03-23 15:21:48", "<div style=\"position:relative;height:0;padding-bottom:56.25%\"><iframe src=\"https://www.youtube.com/embed/QUnXv6R2HI8?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" style=\"position:absolute;width:100%;height:100%;left:0\" allowfullscreen></iframe></div>\r\n\r\nWild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.\r\n\r\nIt stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.", "Wild Tales", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2017-03-23 15:21:48", "2017-03-23 15:21:48", "", "57", "http://localhost:8888/imaginary-film-festival/57-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2017-03-23 19:02:49", "2017-03-23 19:02:49", "The Directors talk after the 2am showing of <em>Mommy</em> has been cancelled because Xavier Dolan was refused entry at the border.", "Director\'s Talk (Mommy)", "", "publish", "closed", "closed", "", "cancellation", "", "", "2022-08-02 00:37:46", "2022-08-02 00:37:46", "", "0", "http://localhost:8888/imaginary-film-festival/?post_type=notice&#038;p=253", "0", "notice", "", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2017-03-23 19:07:26", "2017-03-23 19:07:26", "<ul>\r\n 	<li><strong>Tuesday June 15</strong> 10:30am, B014</li>\r\n 	<li><strong>Thursday June 17</strong>, 2:30pm, A247</li>\r\n 	<li><strong>Sunday June 20</strong> 2:15am, A110</li>\r\n</ul>", "Facing Ali", "", "publish", "closed", "closed", "", "new-screenings-facing-ali", "", "", "2022-08-01 15:35:03", "2022-08-01 15:35:03", "", "0", "http://localhost:8888/imaginary-film-festival/?post_type=notice&#038;p=254", "0", "notice", "", "0");
INSERT INTO `wp_posts` VALUES("257", "1", "2017-03-23 20:11:42", "2017-03-23 20:11:42", "", "lifeofpix-25", "", "inherit", "open", "closed", "", "lifeofpix-25", "", "", "2017-03-23 20:11:42", "2017-03-23 20:11:42", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/lifeofpix-25.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("258", "1", "2017-03-23 20:14:18", "2017-03-23 20:14:18", "", "lifeofpix-08", "", "inherit", "open", "closed", "", "lifeofpix-08", "", "", "2017-03-23 20:14:18", "2017-03-23 20:14:18", "", "0", "http://localhost:8888/imaginary-film-festival/wp-content/uploads/2017/03/lifeofpix-08.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("260", "1", "2017-03-24 07:20:56", "2017-03-24 07:20:56", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\n\'\r\n\r\nIn 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2017-03-24 07:20:56", "2017-03-24 07:20:56", "", "90", "http://localhost:8888/imaginary-film-festival/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2017-03-24 07:21:35", "2017-03-24 07:21:35", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\r\n\'\r\n\r\nIn 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2017-03-24 07:21:35", "2017-03-24 07:21:35", "", "90", "http://localhost:8888/imaginary-film-festival/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "a:8:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:4:\"post\";}}}s:8:\"position\";s:4:\"side\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"show_in_rest\";i:0;}", "Movie Meta", "movie-meta", "publish", "closed", "closed", "", "group_627c753fa8489", "", "", "2022-08-04 14:58:33", "2022-08-04 14:58:33", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field-group&#038;p=264", "0", "acf-field-group", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "a:11:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:1;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:6:\"Canada\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"none\";s:9:\"maxlength\";s:0:\"\";}", "Country", "country", "publish", "closed", "closed", "", "field_58cf1230896c3", "", "", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "", "264", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field&p=265", "0", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "a:11:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:21:\"First name, Last name\";s:8:\"required\";i:1;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"none\";s:9:\"maxlength\";s:0:\"\";}", "Director", "director", "publish", "closed", "closed", "", "field_58cf1259896c4", "", "", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "", "264", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field&p=266", "1", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "a:11:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"formatting\";s:4:\"html\";s:9:\"maxlength\";s:0:\"\";}", "Year", "year", "publish", "closed", "closed", "", "field_58cf1283896c5", "", "", "2022-05-12 02:47:27", "2022-05-12 02:47:27", "", "264", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field&p=267", "2", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2022-05-27 23:13:25", "2022-05-27 23:13:25", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentytwo", "", "", "2023-03-06 19:16:44", "2023-03-06 19:16:44", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-global-styles-twentytwentytwo/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2022-05-27 23:16:19", "2022-05-27 23:16:19", "{\"styles\":{\"blocks\":{\"core\\/cover\":{\"filter\":{\"duotone\":\"var(--wp--preset--duotone--default-filter)\"}},\"core\\/image\":{\"filter\":{\"duotone\":\"var(--wp--preset--duotone--default-filter)\"}},\"core\\/post-author\":{\"filter\":{\"duotone\":\"var(--wp--preset--duotone--default-filter)\"}},\"core\\/post-featured-image\":{\"filter\":{\"duotone\":\"var(--wp--preset--duotone--default-filter)\"}},\"core\\/post-title\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"core\\/query-title\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\"}},\"core\\/site-logo\":{\"filter\":{\"duotone\":\"var(--wp--preset--duotone--default-filter)\"}},\"core\\/site-title\":{\"typography\":{\"fontWeight\":\"700\",\"fontStyle\":\"normal\"}}},\"elements\":{\"h1\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"h3\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"h4\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"h5\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"h6\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\",\"fontWeight\":\"700\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--primary)\"}}},\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--inter)\"}},\"settings\":{\"color\":{\"duotone\":{\"theme\":[{\"colors\":[\"#000000\",\"#FFFFFF\"],\"slug\":\"default-filter\",\"name\":\"Default filter\"}]},\"palette\":{\"theme\":[{\"slug\":\"foreground\",\"color\":\"#FFFFFF\",\"name\":\"Foreground\"},{\"slug\":\"background\",\"color\":\"#1A1A1A\",\"name\":\"Background\"},{\"slug\":\"primary\",\"color\":\"#FF7179\",\"name\":\"Primary\"},{\"slug\":\"secondary\",\"color\":\"#F4F4F2\",\"name\":\"Secondary\"},{\"slug\":\"tertiary\",\"color\":\"#0000000\",\"name\":\"Tertiary\"}]}},\"custom\":{\"spacing\":{\"small\":\"max(1.25rem, 5vw)\",\"medium\":\"clamp(1.75rem, 6vw, calc(3 * var(--wp--style--block-gap)))\",\"large\":\"clamp(3.5rem, 8vw, 6rem)\",\"outer\":\"var(--wp--custom--spacing--small, 1.25rem)\"},\"typography\":{\"font-size\":{\"colossal\":\"clamp(3.5rem, 8vw, 5rem)\"}}},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"\\\"Inter\\\", sans-serif\",\"name\":\"Inter\",\"slug\":\"inter\",\"fontFace\":[{\"fontFamily\":\"Inter\",\"fontWeight\":\"200 900\",\"fontStretch\":\"normal\",\"src\":[\"file:.\\/assets\\/fonts\\/inter\\/Inter.ttf\"]}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "268-revision-v1", "", "", "2022-05-27 23:16:19", "2022-05-27 23:16:19", "", "268", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=270", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("275", "1", "2022-05-28 18:41:02", "2022-05-28 18:41:02", "<!-- wp:navigation-link {\"label\":\"Sample Page\",\"type\":\"page\",\"id\":2,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/sample-page/\",\"kind\":\"post-type\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"Contact\",\"type\":\"page\",\"id\":86,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/contact/\",\"kind\":\"post-type\"} /-->\n\n<!-- wp:navigation-link {\"label\":\"About\",\"type\":\"page\",\"id\":198,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/about/\",\"kind\":\"post-type\"} /-->", "Header navigation", "", "publish", "closed", "closed", "", "header-navigation", "", "", "2022-05-28 18:41:02", "2022-05-28 18:41:02", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/header-navigation/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2022-07-27 21:15:50", "2022-07-27 21:15:50", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/tj0SMgg9Jqg?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>A Russian fisherman (Alexey Serebryakov) fights back when a corrupt mayor tries to seize possession of his ancestral home.</p>\n<!-- /wp:paragraph -->", "Leviathan", "", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-07-27 21:15:50", "2022-07-27 21:15:50", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=278", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("279", "1", "2022-07-27 21:15:50", "2022-07-27 21:15:50", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/zLtlahx8zek?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.</p>\n<!-- /wp:paragraph -->", "13 Assassins", "", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2022-07-27 21:15:50", "2022-07-27 21:15:50", "", "84", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=279", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("311", "1", "2022-07-27 21:17:29", "2022-07-27 21:17:29", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/3Tz6KgPfeuk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\">\n<p>&nbsp;</p>\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n</div>\n<!-- /wp:html -->", "2046", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-27 21:17:29", "2022-07-27 21:17:29", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=311", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("312", "1", "2022-07-27 21:17:48", "2022-07-27 21:17:48", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Bjd7PFf_TFw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Chungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai. The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.</p>\n<!-- /wp:paragraph -->", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2022-07-27 21:17:48", "2022-07-27 21:17:48", "", "6", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=312", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2022-07-27 21:17:52", "2022-07-27 21:17:52", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/PwTWtAE3ylY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.</p>\n<!-- /wp:paragraph -->", "Hana-bi", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2022-07-27 21:17:52", "2022-07-27 21:17:52", "", "7", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=313", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("314", "1", "2022-07-27 21:17:59", "2022-07-27 21:17:59", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/m8pGJBgiiDU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Paterson is a 2016 drama film written and directed by Jim Jarmusch. The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm Dog Award. The film was released in Germany on November 17, 2016, by K5 International. It was then released in France on December 21, 2016, by Le Pacte, and released in the United States on December 28, 2016, by Amazon Studios and Bleecker Street.</p>\n<!-- /wp:paragraph -->", "Paterson", "", "inherit", "closed", "closed", "", "8-revision-v1", "", "", "2022-07-27 21:17:59", "2022-07-27 21:17:59", "", "8", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=314", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("315", "1", "2022-07-27 21:18:01", "2022-07-27 21:18:01", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/pkeWhokaPPs?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Only Lovers Left Alive is a 2013 internationally co-produced vampire film written and directed by Jim Jarmusch, and starring Tilda Swinton, Tom Hiddleston, Mia Wasikowska, Anton Yelchin, Jeffrey Wright, Slimane Dazi, and John Hurt. A co-production of the United Kingdom and Germany, the film was nominated for the Palme d\'Or at the 2013 Cannes Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Married for centuries and now living half a world apart, two vampires wake as the sun goes down. Adam sits holding a lute, in his cluttered Detroit Victorian, as Eve wakes up in her bedroom in Tangier, surrounded by books. Rather than feeding on humans, they are like addicts, dependent on local suppliers of the \"good stuff\"; fearing contamination from blood poisoned by the degradation of the environment. Adam visits a local blood bank in the dead of night, masquerading as \"Dr. Faust\", paying \"Dr. Watson\" for his coveted O negative, while Eve relies on their old friend Christopher Marlowe, who faked his death in 1593 and now lives under the protection of a local man.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After influencing the careers of countless famous musicians and scientists, Adam has become withdrawn and suicidal. His desire to connect through his music is at odds with the danger of recognition as well as his contempt for the corrupt and foolish humans he refers to as \"zombies.\" He spends his days recording his compositions on outdated studio equipment and lamenting the state of the modern world whilst collecting vintage instruments. He pays Ian, a naive human \"rock and roll kid,\" to procure vintage guitars and other assorted curiosities, including a custom-made, wooden bullet with a brass casing. Having acquired substantial scientific knowledge over the years, the vampire has managed to build contraptions to power both his home and vintage sports car with technology originally pioneered by Nikola Tesla. His reclusive nature adds to his mystique as a musician and composer, and he is horrified when some intrepid fans turn up on his doorstep. Ian promises to discreetly spread rumors about Adam living elsewhere to draw them away.</p>\n<!-- /wp:paragraph -->", "Only Lovers Left Alive", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2022-07-27 21:18:01", "2022-07-27 21:18:01", "", "9", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=315", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("316", "1", "2022-07-27 21:18:05", "2022-07-27 21:18:05", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 75.0%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/8Foo15dmk2M?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The starting point for the script was the ensemble cast of friends and previous collaborators Jarmusch had conceived characters for, while the tripartite formal structure of the film was inspired by his study of literary forms. Cinematographer Robby Müller and musician John Lurie were among the many contributors who had been involved in earlier Jarmusch projects and returned to work on the film. Mystery Train\'s US$2.8 million budget (financed by Japanese conglomerate JVC) was considerable compared to what the director had enjoyed before, and allowed him the freedom to rehearse many unscripted background scenes. It was the first of Jarmusch\'s feature films to depart from his trademark black-and-white photography, though the use of color was tightly controlled to conform with the director\'s intuitive sense of the film\'s aesthetic.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Mystery Train was released theatrically by Orion Classics under a restricted rating in the United States, where it grossed over $1.5 million. It enjoyed critical acclaim on the film festival circuit, and like the director\'s earlier films premiered at the New York Film Festival and was shown in competition at Cannes, where Jarmusch was awarded the Best Artistic Achievement Award. The film was also shown in the Edinburgh, London, Midnight Sun, Telluride, and Toronto film festivals, and was nominated in six categories at the Independent Spirit Awards. Critical reaction was overwhelmingly positive, with reviewers praising the structure, humor, and characters of the film, though there was criticism that the director had not been sufficiently adventurous.</p>\n<!-- /wp:paragraph -->", "Mystery Train", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2022-07-27 21:18:05", "2022-07-27 21:18:05", "", "10", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=316", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("317", "1", "2022-07-27 21:18:07", "2022-07-27 21:18:07", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ahWgxw9E_h4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>I, Daniel Blake is a 2016 British-French-German drama film directed by Ken Loach and written by Loach\'s frequent collaborator Paul Laverty. It stars Dave Johns as Daniel Blake, who is denied employment and support allowance despite his doctor finding him unfit to work. Hayley Squires co-stars as Katie, a struggling single mother whom Daniel befriends.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film won the Palme d\'Or at the 2016 Cannes Film Festival and the Prix du public at the 2016 Locarno International Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Widower Daniel Blake, a 59-year-old joiner living in Newcastle, has had a heart attack at work. Though his cardiologist has advised him not to return to work, Daniel is deemed fit to do so after a work capability assessment and denied employment and support allowance. He is frustrated to learn that his doctor was not contacted about the decision, and applies for an appeal, a process he finds difficult because he is not computer literate.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Daniel befriends a single mother, Katie, after she is sanctioned for arriving late for a jobcentre appointment. Katie and her children have moved to Newcastle from a London homeless persons\' hostel, with no affordable accommodation available in the capital. Daniel helps the family by repairing objects, teaching them how to heat rooms without electricity, and crafting wooden toys for the children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>During a visit to a food bank, Katie is overcome by hunger and breaks down. After she is caught shoplifting, a security guard offers her work as an escort. Daniel surprises her at the brothel, where he begs her to give up the job, but she tearfully insists she has no choice to feed her children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>As a condition for receiving jobseeker\'s allowance, Daniel searches for work on an industrial estate. He is offered a job in a scrapyard, but has to turn it down for health reasons. When Daniel\'s work coach tells him he must work harder to find a job, Daniel spraypaints \"I, Daniel Blake, demand my appeal date before I starve\" on the building. He earns the support of passersby, including other benefits claimants, but is arrested and given a police warning. Daniel sells most of his belongings and becomes withdrawn.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On the day of Daniel\'s appeal, Katie accompanies him to court. A welfare adviser tells Daniel that his case looks sound. On glimpsing the judge and doctor who will decide his case, Daniel becomes anxious and visits the lavatory, where he suffers a fatal heart attack. At his \"pauper\'s funeral\", Katie reads the eulogy, including a speech Daniel had intended to read at his appeal. Daniel\'s speech describes his feelings about how the welfare system failed him, treating him like a number and not a man who was proud to say he had paid his dues to society.</p>\n<!-- /wp:paragraph -->", "I, Daniel Blake", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2022-07-27 21:18:07", "2022-07-27 21:18:07", "", "11", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=317", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2022-07-27 21:18:09", "2022-07-27 21:18:09", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/gsVoD0pTge0?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Manchester by the Sea is a 2016 American drama film written and directed by Kenneth Lonergan and starring Casey Affleck, Michelle Williams, Kyle Chandler, and Lucas Hedges. The plot follows a man who looks after his teenage nephew after his brother dies.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film premiered at the Sundance Film Festival on January 23, 2016 and was soon picked up by Amazon Studios for distribution. It began a limited release on November 18, 2016, before going wide on December 16, 2016. The film has grossed over $72 million worldwide on an $8.5 million budget.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Manchester by the Sea received critical acclaim upon its release and was regarded as among the best films of 2016. Critics praised in particular Affleck\'s performance, as well as Lonergan\'s direction and screenplay. At the 89th Academy Awards, the film received six nominations: Best Picture, Best Director, Best Actor (Affleck), Best Supporting Actor (Hedges), Best Supporting Actress (Williams) and Best Original Screenplay, winning for Best Original Screenplay and Best Actor. It also won the Golden Globe Award for Best Actor and was nominated in four more categories.</p>\n<!-- /wp:paragraph -->", "Manchester By The Sea", "", "inherit", "closed", "closed", "", "12-revision-v1", "", "", "2022-07-27 21:18:09", "2022-07-27 21:18:09", "", "12", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=318", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("319", "1", "2022-07-27 21:18:13", "2022-07-27 21:18:13", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/vHOmrolJEiY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>The Handmaiden (Hangul: 아가씨; RR: Agassi; lit. \"Lady\") is a 2016 South Korean erotic psychological thriller film directed by Park Chan-wook and starring Kim Min-hee, Kim Tae-ri, Ha Jung-woo and Cho Jin-woong. It is inspired from the novel Fingersmith by Welsh writer Sarah Waters, with the setting changed from Victorian era Britain to Korea under Japanese colonial rule.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival. It was released in South Korea on 1 June 2016, and received critical acclaim.</p>\n<!-- /wp:paragraph -->", "The Handmaiden", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2022-07-27 21:18:13", "2022-07-27 21:18:13", "", "23", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=319", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("320", "1", "2022-07-27 21:18:15", "2022-07-27 21:18:15", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/nwEgDPPATy0?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2022-07-27 21:18:15", "2022-07-27 21:18:15", "", "13", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=320", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("322", "1", "2022-07-27 21:18:20", "2022-07-27 21:18:20", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Q9LVLCYvqSI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-27 21:18:20", "2022-07-27 21:18:20", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=322", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("323", "1", "2022-07-27 21:18:22", "2022-07-27 21:18:22", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/BgCqY3cE-VM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation. It was shown in 12 cinemas in Quebec and 60 in France.</p>\n<!-- /wp:paragraph -->", "I Killed My Mother", "", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2022-07-27 21:18:22", "2022-07-27 21:18:22", "", "30", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=323", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2022-07-27 21:18:26", "2022-07-27 21:18:26", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 75.0%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Hxu6my_t4pM?ecver=2\" width=\"480\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Blue is among Kieślowski\'s most celebrated works.</p>\n<!-- /wp:paragraph -->", "Blue", "", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2022-07-27 21:18:26", "2022-07-27 21:18:26", "", "34", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=325", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2022-07-27 21:18:29", "2022-07-27 21:18:29", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/vrrU3is7qvU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Anomalisa was nominated for an Academy Award for Best Animated Feature (the first R-rated film to be nominated), a Golden Globe Award for Best Animated Feature Film, and five Annie Awards. It became the first animated film to win the Grand Jury Prize at the 72nd Venice International Film Festival, after premiering at the Telluride Film Festival on 4 September 2015.</p>\n<!-- /wp:paragraph -->", "Anomalisa", "", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2022-07-27 21:18:29", "2022-07-27 21:18:29", "", "35", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=326", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2022-07-27 21:18:31", "2022-07-27 21:18:31", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/yE-f1alkq9I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Much of the film subsequently takes place in Joel\'s mind, during this memory erasure procedure. As his memories are erased, he tries to evade the erasing effects of the procedure by hiding Clementine in remote parts of his subconscious. Joel finds himself revisiting them in reverse. Upon seeing happier times of love with Clementine from earlier in their relationship, he struggles to preserve at least some memory of her and his love for her. Despite his efforts to either hide the memories or wake up and stop the process, the memories are slowly erased. He comes to the last remaining memory of Clementine, the day he had first met her at a beach house in Montauk. As this memory disintegrates around them, she tells him, \"Meet me in Montauk.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Separate, but related, story arcs, which revolve around the employees of Lacuna, are revealed during Joel\'s memory erasure. Patrick, one of the Lacuna technicians performing the erasure, uses Joel\'s memories and mannerisms to seduce Clementine. Mary, the Lacuna receptionist, is dating the other memory-erasing technician, Stan. During Joel\'s memory wipe, Mary discovers she had previously had an affair with Dr. Howard Mierzwiak, the married doctor who heads the company, and had agreed to have this erased from her memory when Dr. Mierzwiak\'s wife found out. On learning this, she asks Stan whether he knew about this, to which he claims that he didn\'t. Mary then quits her job and steals the company\'s records, and mails the two former clients their records from Lacuna.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film returns to the present, after Joel and Clementine have met aboard the train. They both come upon their Lacuna records later that day, and react with shock and bewilderment, because they have no clear memory of having known each other, let alone having had a relationship and having had their memories erased. Joel beckons Clementine to start over; Clementine initially resists, pointing out it could go the same way. Joel accepts this, and they decide to attempt a relationship anyway, starting their life together anew.</p>\n<!-- /wp:paragraph -->", "Eternal Sunshine of the Spotless Mind", "", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2022-07-27 21:18:31", "2022-07-27 21:18:31", "", "42", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=327", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2022-07-27 21:18:33", "2022-07-27 21:18:33", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/CspcDYQ-SiY?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Timbuktu is a 2014 French-Mauritanian drama film directed by Abderrahmane Sissako. It was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film looks at the brief occupation of Timbuktu, Mali by Ansar Dine. Parts of the film were influenced by a 2012 public stoning of an unmarried couple in Aguelhok. It was shot in Oualata, a town in south-east Mauritania.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The city of Timbuktu is under the occupation of extremist Islamists bearing a jihadist black flag. Kidane is a cattle herder who lives outside of the city. One day, one of his cows accidentally damages the net of a fisherman. The enraged fisherman kills the cow. Kidane confronts the fisherman and accidentally shoots him dead. The jihadists arrest Kidane and, per sharia law, demand a blood money payment of 40 cattle to the fisherman\'s family. As Kidane has only seven cattle, he is sentenced to death. His wife shows up at his execution with a pistol, and as they run to each other the husband attempts to stop her. The executioners gun them both down.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Throughout the film there are subsidiary scenes showing the reaction of the population to the jihadists\' rule, which are portrayed as absurd. A female fishmonger must wear gloves even when selling fish. Music is banned; a woman is sentenced to 40 lashes for singing, and 40 lashes for being in the same room as a man not of her family. A couple are buried up to their necks in sand and stoned to death for adultery. Young men play football with an imaginary ball as sports are banned. A local imam tries to curb the jihadists\' excesses with sermons.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The failure of the occupiers to live up to their own rules is hinted at, for instance when one of them is seen smoking a cigarette. Another group of jihadists from France spend their days talking about their favorite football teams.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Characters speak in Tamasheq, Bambara, Arabic, French, and on a few occasions English. The mobile phone is an important means of communication.</p>\n<!-- /wp:paragraph -->", "Timbuktu", "", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2022-07-27 21:18:33", "2022-07-27 21:18:33", "", "44", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=328", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("329", "1", "2022-07-27 21:18:37", "2022-07-27 21:18:37", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/InuzW58ydyU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-07-27 21:18:37", "2022-07-27 21:18:37", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=329", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2022-07-27 21:18:38", "2022-07-27 21:18:38", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/15syDwC000k?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->", "Brooklyn", "", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2022-07-27 21:18:38", "2022-07-27 21:18:38", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=330", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("331", "1", "2022-07-27 21:18:43", "2022-07-27 21:18:43", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/uh-gwDRjKXA?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\nHero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.\n\nHero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.", "Hero", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2022-07-27 21:18:43", "2022-07-27 21:18:43", "", "52", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=331", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("332", "1", "2022-07-27 21:18:49", "2022-07-27 21:18:49", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/uh-gwDRjKXA?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->", "Hero", "", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2022-07-27 21:18:49", "2022-07-27 21:18:49", "", "52", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=332", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2022-07-27 21:18:53", "2022-07-27 21:18:53", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ajOgE_BPLVU?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.</p>\n<!-- /wp:paragraph -->", "This Is Not A Film", "", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2022-07-27 21:18:53", "2022-07-27 21:18:53", "", "54", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=333", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2022-07-27 21:19:15", "2022-07-27 21:19:15", "<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/eM2tblIkL4g?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>", "Taxi", "", "inherit", "closed", "closed", "", "55-revision-v1", "", "", "2022-07-27 21:19:15", "2022-07-27 21:19:15", "", "55", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=334", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2022-07-27 21:19:28", "2022-07-27 21:19:28", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/SWTXVr8L0eE?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Kashyap plans to make another sequel, Gangs of Wasseypur 1.5 and has incorporated Zeishan Quadri as the director of the third part.</p>\n<!-- /wp:paragraph -->", "Gangs of Wasseypur", "", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2022-07-27 21:19:28", "2022-07-27 21:19:28", "", "56", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=335", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2022-07-27 21:19:32", "2022-07-27 21:19:32", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/QUnXv6R2HI8?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "Wild Tales", "", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2022-07-27 21:19:32", "2022-07-27 21:19:32", "", "57", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=336", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2022-07-27 21:19:34", "2022-07-27 21:19:34", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2022-07-27 21:19:34", "2022-07-27 21:19:34", "", "58", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=337", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2022-07-27 21:19:37", "2022-07-27 21:19:37", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/PYQy3Wsid6I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2022-07-27 21:19:37", "2022-07-27 21:19:37", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=338", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2022-07-27 21:19:39", "2022-07-27 21:19:39", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/J-BaKfl1Ms4?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2022-07-27 21:19:39", "2022-07-27 21:19:39", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=339", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2022-07-27 21:19:41", "2022-07-27 21:19:41", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/JbfkuN_MpvQ?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.</p>\n<!-- /wp:paragraph -->", "In Order Of Disappearance", "", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2022-07-27 21:19:41", "2022-07-27 21:19:41", "", "70", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=340", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("341", "1", "2022-07-27 21:19:42", "2022-07-27 21:19:42", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/8F6tSorwYqw?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-27 21:19:42", "2022-07-27 21:19:42", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=341", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2022-07-27 21:19:44", "2022-07-27 21:19:44", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/PI8XBKb6DQk?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined</p>\n<!-- /wp:paragraph -->", "Ex Machina", "", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2022-07-27 21:19:44", "2022-07-27 21:19:44", "", "80", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=342", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2022-07-27 21:20:01", "2022-07-27 21:20:01", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>\'</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.</p>\n<!-- /wp:paragraph -->", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-07-27 21:20:01", "2022-07-27 21:20:01", "", "90", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=343", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2022-07-27 23:07:14", "2022-07-27 23:07:14", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-starter-2022", "", "", "2022-07-27 23:07:14", "2022-07-27 23:07:14", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-global-styles-starter-2022/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("346", "1", "2022-07-29 22:04:48", "2022-07-29 22:04:48", "a:8:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:4:\"post\";}}}s:8:\"position\";s:15:\"acf_after_title\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"show_in_rest\";i:0;}", "Movie Trailers", "movie-trailers", "publish", "closed", "closed", "", "group_62e458b46a4d9", "", "", "2022-08-04 15:34:19", "2022-08-04 15:34:19", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field-group&#038;p=346", "0", "acf-field-group", "", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2022-07-29 22:04:48", "2022-07-29 22:04:48", "a:7:{s:4:\"type\";s:6:\"oembed\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:1;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:5:\"width\";s:0:\"\";s:6:\"height\";s:0:\"\";}", "Movie Trailer", "movie_trailer", "publish", "closed", "closed", "", "field_62e458be41e95", "", "", "2022-07-29 22:14:18", "2022-07-29 22:14:18", "", "346", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field&#038;p=347", "0", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2022-07-29 22:05:16", "2022-07-29 22:05:16", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/PYQy3Wsid6I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2022-07-29 22:05:16", "2022-07-29 22:05:16", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=348", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2022-07-30 21:50:37", "2022-07-30 21:50:37", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ELIMeemx-FI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>\'</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.</p>\n<!-- /wp:paragraph -->", "Ida", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-07-30 21:50:37", "2022-07-30 21:50:37", "", "90", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=349", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("351", "1", "2022-07-30 21:52:45", "2022-07-30 21:52:45", "<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Ida (Polish: [ˈida]) is a 2013 drama film directed by Paweł Pawlikowski and written by Pawlikowski and Rebecca Lenkiewicz. Set in Poland in 1962, it follows a young woman on the verge of taking vows as a Catholic nun. Orphaned as an infant during the German occupation of World War II, she must meet her aunt, a former Communist state prosecutor and only surviving relative, who tells her that her parents were Jewish. The two women embark on a road trip into the Polish countryside to learn the fate of their relatives.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Called a \"compact masterpiece\" and an \"eerily beautiful road movie\", the film has also been said to \"contain a cosmos of guilt, violence and pain\", even if certain historical events (German occupation of Poland, the Holocaust and Stalinism) remain unsaid: \"none of this is stated, but all of it is built, so to speak, into the atmosphere: the country feels dead, the population sparse\".</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Ida won the 2015 Academy Award for Best Foreign Language Film, becoming the first Polish film to do so. It had earlier been selected as Best Film of 2014 by the European Film Academy and as Best Film Not in the English Language of 2014 by the British Academy of Film and Television Arts (BAFTA). In 2016, the film was named as the 55th best film of the 21st century, from a poll of 177 film critics from around the world</p>\n<!-- /wp:paragraph -->", "Ida", "In 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-07-30 21:52:45", "2022-07-30 21:52:45", "", "90", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=351", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("352", "1", "2022-07-30 21:52:54", "2022-07-30 21:52:54", "<!-- wp:paragraph -->\n<p>Ida (Polish: [ˈida]) is a 2013 drama film directed by Paweł Pawlikowski and written by Pawlikowski and Rebecca Lenkiewicz. Set in Poland in 1962, it follows a young woman on the verge of taking vows as a Catholic nun. Orphaned as an infant during the German occupation of World War II, she must meet her aunt, a former Communist state prosecutor and only surviving relative, who tells her that her parents were Jewish. The two women embark on a road trip into the Polish countryside to learn the fate of their relatives.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Called a \"compact masterpiece\" and an \"eerily beautiful road movie\", the film has also been said to \"contain a cosmos of guilt, violence and pain\", even if certain historical events (German occupation of Poland, the Holocaust and Stalinism) remain unsaid: \"none of this is stated, but all of it is built, so to speak, into the atmosphere: the country feels dead, the population sparse\".</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Ida won the 2015 Academy Award for Best Foreign Language Film, becoming the first Polish film to do so. It had earlier been selected as Best Film of 2014 by the European Film Academy and as Best Film Not in the English Language of 2014 by the British Academy of Film and Television Arts (BAFTA). In 2016, the film was named as the 55th best film of the 21st century, from a poll of 177 film critics from around the world</p>\n<!-- /wp:paragraph -->", "Ida", "In 1962, Anna is about to take vows as a nun when she learns from her only relative that she is Jewish. Both women embark on a journey to discover their family story and where they belong.", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-07-30 21:52:54", "2022-07-30 21:52:54", "", "90", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=352", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("353", "1", "2022-07-30 21:54:23", "2022-07-30 21:54:23", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/tj0SMgg9Jqg?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>A Russian fisherman (Alexey Serebryakov) fights back when a corrupt mayor tries to seize possession of his ancestral home.</p>\n<!-- /wp:paragraph -->", "Leviathan", "", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-07-30 21:54:23", "2022-07-30 21:54:23", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=353", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("355", "1", "2022-07-30 22:00:47", "2022-07-30 22:00:47", "<!-- wp:paragraph -->\n<p>Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>According to Zvyagintsev, the story of Marvin Heemeyer\'s 2004 rampage through a small US town using a modified bulldozer inspired him. A similar concept was adapted into a Russian setting.[5] The character development of the protagonist parallels a biblical figure Job and the story of Naboth\'s Vineyard.[6][7] The producer Alexander Rodnyansky has said: \"It deals with some of the most important social issues of contemporary Russia while never becoming an artist\'s sermon or a public statement; it is a story of love and tragedy experienced by ordinary people\".[8] Critics noted the film as being formidable,[9][10] dealing with quirks of fate, power and money.[9]</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival.[11] Zvyagintsev and Negin won the award for Best Screenplay.[12] The film was judged the best film of the year at the 2014 BFI London Film Festival and the 45th International Film Festival of India. It won the Best Foreign Language Film award at the 72nd Golden Globe Awards.[13] and the Asia Pacific Screen Award for Best Feature Film in 2014.[14] It was also nominated for an Academy Award for Best Foreign Language Film at the 87th Academy Awards. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.</p>\n<!-- /wp:paragraph -->", "Leviathan", "Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.\n", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-07-30 22:00:47", "2022-07-30 22:00:47", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=355", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2022-07-30 22:00:48", "2022-07-30 22:00:48", "<!-- wp:paragraph -->\n<p>Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>According to Zvyagintsev, the story of Marvin Heemeyer\'s 2004 rampage through a small US town using a modified bulldozer inspired him. A similar concept was adapted into a Russian setting.[5] The character development of the protagonist parallels a biblical figure Job and the story of Naboth\'s Vineyard.[6][7] The producer Alexander Rodnyansky has said: \"It deals with some of the most important social issues of contemporary Russia while never becoming an artist\'s sermon or a public statement; it is a story of love and tragedy experienced by ordinary people\".[8] Critics noted the film as being formidable,[9][10] dealing with quirks of fate, power and money.[9]</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival.[11] Zvyagintsev and Negin won the award for Best Screenplay.[12] The film was judged the best film of the year at the 2014 BFI London Film Festival and the 45th International Film Festival of India. It won the Best Foreign Language Film award at the 72nd Golden Globe Awards.[13] and the Asia Pacific Screen Award for Best Feature Film in 2014.[14] It was also nominated for an Academy Award for Best Foreign Language Film at the 87th Academy Awards. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.</p>\n<!-- /wp:paragraph -->", "Leviathan", "Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.\n", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-07-30 22:00:48", "2022-07-30 22:00:48", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=356", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2022-07-30 22:01:48", "2022-07-30 22:01:48", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/zLtlahx8zek?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.</p>\n<!-- /wp:paragraph -->", "13 Assassins", "In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2022-07-30 22:01:48", "2022-07-30 22:01:48", "", "84", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=358", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2022-07-30 22:01:50", "2022-07-30 22:01:50", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/zLtlahx8zek?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.</p>\n<!-- /wp:paragraph -->", "13 Assassins", "In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2022-07-30 22:01:50", "2022-07-30 22:01:50", "", "84", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=359", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("360", "1", "2022-07-30 22:02:06", "2022-07-30 22:02:06", "<!-- wp:paragraph -->\n<p>In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.</p>\n<!-- /wp:paragraph -->", "13 Assassins", "In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2022-07-30 22:02:06", "2022-07-30 22:02:06", "", "84", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=360", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("361", "1", "2022-07-30 22:02:07", "2022-07-30 22:02:07", "<!-- wp:paragraph -->\n<p>In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.</p>\n<!-- /wp:paragraph -->", "13 Assassins", "In this remake of a 1963 film based on historical events, Shinzaemon Shimada (Koji Yakusho) leads a team of assassins in 19th-century Japan to eliminate the ruthless Lord Naritsugu Matsudaira (Goro Inagaki), who is wreaking havoc against his own people. Hired secretly by a government official hoping to end Matsudaira\'s reign of terror, Shimada recruits the best samurai in Japan and then sets a trap for the lord\'s large contingent of faithful bodyguards.", "inherit", "closed", "closed", "", "84-revision-v1", "", "", "2022-07-30 22:02:07", "2022-07-30 22:02:07", "", "84", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=361", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("363", "1", "2022-07-30 22:03:12", "2022-07-30 22:03:12", "<!-- wp:paragraph -->\n<p>Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined</p>\n<!-- /wp:paragraph -->", "Ex Machina", "Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2022-07-30 22:03:12", "2022-07-30 22:03:12", "", "80", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=363", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("364", "1", "2022-07-30 22:03:14", "2022-07-30 22:03:14", "<!-- wp:paragraph -->\n<p>Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined</p>\n<!-- /wp:paragraph -->", "Ex Machina", "Caleb Smith (Domhnall Gleeson) a programmer at a huge Internet company, wins a contest that enables him to spend a week at the private estate of Nathan Bateman (Oscar Isaac), his firm\'s brilliant CEO. When he arrives, Caleb learns that he has been chosen to be the human component in a Turing test to determine the capabilities and consciousness of Ava (Alicia Vikander), a beautiful robot. However, it soon becomes evident that Ava is far more self-aware and deceptive than either man imagined", "inherit", "closed", "closed", "", "80-revision-v1", "", "", "2022-07-30 22:03:14", "2022-07-30 22:03:14", "", "80", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=364", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("365", "1", "2022-07-30 22:03:57", "2022-07-30 22:03:57", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-30 22:03:57", "2022-07-30 22:03:57", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=365", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("366", "1", "2022-07-30 22:03:59", "2022-07-30 22:03:59", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-30 22:03:59", "2022-07-30 22:03:59", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=366", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("367", "1", "2022-07-30 22:04:21", "2022-07-30 22:04:21", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-30 22:04:21", "2022-07-30 22:04:21", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=367", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("368", "1", "2022-07-30 22:04:23", "2022-07-30 22:04:23", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-30 22:04:23", "2022-07-30 22:04:23", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=368", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2022-07-30 22:05:11", "2022-07-30 22:05:11", "<!-- wp:paragraph -->\n<p>The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. At Cannes, Hou won the award for Best Director. It was released in China and Hong Kong on 27 August, and a day later in Taiwan on 28 August 2015. It was selected as the Taiwanese entry for the Best Foreign Language Film at the 88th Academy Awards but it was not nominated.</p>\n<!-- /wp:paragraph -->", "The Assassin", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2022-07-30 22:05:11", "2022-07-30 22:05:11", "", "74", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=369", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2022-07-30 22:05:13", "2022-07-30 22:05:13", "<!-- wp:paragraph -->\n<p>The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. At Cannes, Hou won the award for Best Director. It was released in China and Hong Kong on 27 August, and a day later in Taiwan on 28 August 2015. It was selected as the Taiwanese entry for the Best Foreign Language Film at the 88th Academy Awards but it was not nominated.</p>\n<!-- /wp:paragraph -->", "The Assassin", "", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2022-07-30 22:05:13", "2022-07-30 22:05:13", "", "74", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=370", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2022-07-30 22:05:38", "2022-07-30 22:05:38", "<!-- wp:paragraph -->\n<p>The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. At Cannes, Hou won the award for Best Director. It was released in China and Hong Kong on 27 August, and a day later in Taiwan on 28 August 2015. It was selected as the Taiwanese entry for the Best Foreign Language Film at the 88th Academy Awards but it was not nominated.</p>\n<!-- /wp:paragraph -->", "The Assassin", "The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. ", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2022-07-30 22:05:38", "2022-07-30 22:05:38", "", "74", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=371", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2022-07-30 22:05:41", "2022-07-30 22:05:41", "<!-- wp:paragraph -->\n<p>The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. At Cannes, Hou won the award for Best Director. It was released in China and Hong Kong on 27 August, and a day later in Taiwan on 28 August 2015. It was selected as the Taiwanese entry for the Best Foreign Language Film at the 88th Academy Awards but it was not nominated.</p>\n<!-- /wp:paragraph -->", "The Assassin", "The Assassin (Chinese: 刺客聶隱娘; pinyin: Cìkè Niè Yǐnniáng; or: The Assassin Niè Yǐnniáng) is a 2015 martial arts film directed by Taiwanese director Hou Hsiao-Hsien. A Taiwan/China/Hong Kong co-production, it was an official selection in the main competition section at the 2015 Cannes Film Festival. ", "inherit", "closed", "closed", "", "74-revision-v1", "", "", "2022-07-30 22:05:41", "2022-07-30 22:05:41", "", "74", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=372", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("374", "1", "2022-07-30 22:06:59", "2022-07-30 22:06:59", "<!-- wp:paragraph -->\n<p>Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.</p>\n<!-- /wp:paragraph -->", "In Order Of Disappearance", "Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2022-07-30 22:06:59", "2022-07-30 22:06:59", "", "70", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=374", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("375", "1", "2022-07-30 22:07:00", "2022-07-30 22:07:00", "<!-- wp:paragraph -->\n<p>Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.</p>\n<!-- /wp:paragraph -->", "In Order Of Disappearance", "Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2022-07-30 22:07:00", "2022-07-30 22:07:00", "", "70", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=375", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("377", "1", "2022-07-30 22:09:17", "2022-07-30 22:09:17", "<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. ", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2022-07-30 22:09:17", "2022-07-30 22:09:17", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=377", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("378", "1", "2022-07-30 22:09:19", "2022-07-30 22:09:19", "<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. ", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2022-07-30 22:09:19", "2022-07-30 22:09:19", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=378", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("379", "1", "2022-07-30 22:09:43", "2022-07-30 22:09:43", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/PYQy3Wsid6I?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2022-07-30 22:09:43", "2022-07-30 22:09:43", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=379", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("380", "1", "2022-07-30 22:11:11", "2022-07-30 22:11:11", "<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2022-07-30 22:11:11", "2022-07-30 22:11:11", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=380", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("381", "1", "2022-07-30 22:11:30", "2022-07-30 22:11:30", "<!-- wp:paragraph -->\n<p>Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Leviathan", "Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.\n", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-07-30 22:11:30", "2022-07-30 22:11:30", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=381", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("382", "1", "2022-07-30 22:11:32", "2022-07-30 22:11:32", "<!-- wp:paragraph -->\n<p>Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->", "Leviathan", "Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.\n", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-07-30 22:11:32", "2022-07-30 22:11:32", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=382", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2022-07-30 22:13:31", "2022-07-30 22:13:31", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2022-07-30 22:13:31", "2022-07-30 22:13:31", "", "58", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=383", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("384", "1", "2022-07-30 22:13:33", "2022-07-30 22:13:33", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/ZQAwEByenGM?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2022-07-30 22:13:33", "2022-07-30 22:13:33", "", "58", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=384", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("385", "1", "2022-07-30 22:13:38", "2022-07-30 22:13:38", "<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2022-07-30 22:13:38", "2022-07-30 22:13:38", "", "58", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=385", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("386", "1", "2022-07-30 22:13:39", "2022-07-30 22:13:39", "<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2022-07-30 22:13:39", "2022-07-30 22:13:39", "", "58", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=386", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2022-07-30 22:14:24", "2022-07-30 22:14:24", "<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "Wild Tales", "<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2022-07-30 22:14:24", "2022-07-30 22:14:24", "", "57", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=388", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("389", "1", "2022-07-30 22:14:26", "2022-07-30 22:14:26", "<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "Wild Tales", "<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2022-07-30 22:14:26", "2022-07-30 22:14:26", "", "57", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=389", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2022-07-30 22:15:37", "2022-07-30 22:15:37", "<!-- wp:paragraph -->\n<p>Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Kashyap plans to make another sequel, Gangs of Wasseypur 1.5 and has incorporated Zeishan Quadri as the director of the third part.</p>\n<!-- /wp:paragraph -->", "Gangs of Wasseypur", "Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2022-07-30 22:15:37", "2022-07-30 22:15:37", "", "56", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=391", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2022-07-30 22:15:39", "2022-07-30 22:15:39", "<!-- wp:paragraph -->\n<p>Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Kashyap plans to make another sequel, Gangs of Wasseypur 1.5 and has incorporated Zeishan Quadri as the director of the third part.</p>\n<!-- /wp:paragraph -->", "Gangs of Wasseypur", "Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2022-07-30 22:15:39", "2022-07-30 22:15:39", "", "56", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=392", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("394", "1", "2022-07-30 22:16:29", "2022-07-30 22:16:29", "", "Taxi", "Shooting almost entirely within a cab circling the streets of Tehran, the great director Jafar Panahi (Offside, This Is Not a Film) offers a multilayered mosaic of life in today\'s Iran.", "inherit", "closed", "closed", "", "55-revision-v1", "", "", "2022-07-30 22:16:29", "2022-07-30 22:16:29", "", "55", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=394", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2022-07-30 22:16:31", "2022-07-30 22:16:31", "", "Taxi", "Shooting almost entirely within a cab circling the streets of Tehran, the great director Jafar Panahi (Offside, This Is Not a Film) offers a multilayered mosaic of life in today\'s Iran.", "inherit", "closed", "closed", "", "55-revision-v1", "", "", "2022-07-30 22:16:31", "2022-07-30 22:16:31", "", "55", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=395", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2022-07-30 22:17:32", "2022-07-30 22:17:32", "<!-- wp:paragraph -->\n<p>This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.</p>\n<!-- /wp:paragraph -->", "This Is Not A Film", "This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2022-07-30 22:17:32", "2022-07-30 22:17:32", "", "54", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=397", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2022-07-30 22:17:34", "2022-07-30 22:17:34", "<!-- wp:paragraph -->\n<p>This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.</p>\n<!-- /wp:paragraph -->", "This Is Not A Film", "This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2022-07-30 22:17:34", "2022-07-30 22:17:34", "", "54", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=398", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2022-07-30 22:18:52", "2022-07-30 22:18:52", "<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->", "Hero", "<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.</p>\n<!-- /wp:paragraph -->", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2022-07-30 22:18:52", "2022-07-30 22:18:52", "", "52", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=400", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2022-07-30 22:18:54", "2022-07-30 22:18:54", "<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->", "Hero", "<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project[2] and the highest-grossing motion picture in Chinese film history.</p>\n<!-- /wp:paragraph -->", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2022-07-30 22:18:54", "2022-07-30 22:18:54", "", "52", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=401", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("403", "1", "2022-07-30 22:20:07", "2022-07-30 22:20:07", "<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->", "Brooklyn", "Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2022-07-30 22:20:07", "2022-07-30 22:20:07", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=403", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("404", "1", "2022-07-30 22:20:09", "2022-07-30 22:20:09", "<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->", "Brooklyn", "Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2022-07-30 22:20:09", "2022-07-30 22:20:09", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=404", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("405", "1", "2022-07-30 22:20:41", "2022-07-30 22:20:41", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-07-30 22:20:41", "2022-07-30 22:20:41", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=405", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2022-07-30 22:20:43", "2022-07-30 22:20:43", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-07-30 22:20:43", "2022-07-30 22:20:43", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=406", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("407", "1", "2022-07-30 22:21:22", "2022-07-30 22:21:22", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. ", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-07-30 22:21:22", "2022-07-30 22:21:22", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=407", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("408", "1", "2022-07-30 22:21:24", "2022-07-30 22:21:24", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. ", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-07-30 22:21:24", "2022-07-30 22:21:24", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=408", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2022-07-30 22:21:33", "2022-07-30 22:21:33", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. ", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-07-30 22:21:33", "2022-07-30 22:21:33", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=409", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2022-07-30 22:22:42", "2022-07-30 22:22:42", "<!-- wp:paragraph -->\n<p>Timbuktu is a 2014 French-Mauritanian drama film directed by Abderrahmane Sissako. It was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film looks at the brief occupation of Timbuktu, Mali by Ansar Dine. Parts of the film were influenced by a 2012 public stoning of an unmarried couple in Aguelhok. It was shot in Oualata, a town in south-east Mauritania.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The city of Timbuktu is under the occupation of extremist Islamists bearing a jihadist black flag. Kidane is a cattle herder who lives outside of the city. One day, one of his cows accidentally damages the net of a fisherman. The enraged fisherman kills the cow. Kidane confronts the fisherman and accidentally shoots him dead. The jihadists arrest Kidane and, per sharia law, demand a blood money payment of 40 cattle to the fisherman\'s family. As Kidane has only seven cattle, he is sentenced to death. His wife shows up at his execution with a pistol, and as they run to each other the husband attempts to stop her. The executioners gun them both down.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Throughout the film there are subsidiary scenes showing the reaction of the population to the jihadists\' rule, which are portrayed as absurd. A female fishmonger must wear gloves even when selling fish. Music is banned; a woman is sentenced to 40 lashes for singing, and 40 lashes for being in the same room as a man not of her family. A couple are buried up to their necks in sand and stoned to death for adultery. Young men play football with an imaginary ball as sports are banned. A local imam tries to curb the jihadists\' excesses with sermons.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The failure of the occupiers to live up to their own rules is hinted at, for instance when one of them is seen smoking a cigarette. Another group of jihadists from France spend their days talking about their favorite football teams.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Characters speak in Tamasheq, Bambara, Arabic, French, and on a few occasions English. The mobile phone is an important means of communication.</p>\n<!-- /wp:paragraph -->", "Timbuktu", "Timbuktu is a 2014 French-Mauritanian drama film directed by Abderrahmane Sissako. It was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2022-07-30 22:22:42", "2022-07-30 22:22:42", "", "44", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=411", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2022-07-30 22:22:44", "2022-07-30 22:22:44", "<!-- wp:paragraph -->\n<p>Timbuktu is a 2014 French-Mauritanian drama film directed by Abderrahmane Sissako. It was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film looks at the brief occupation of Timbuktu, Mali by Ansar Dine. Parts of the film were influenced by a 2012 public stoning of an unmarried couple in Aguelhok. It was shot in Oualata, a town in south-east Mauritania.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The city of Timbuktu is under the occupation of extremist Islamists bearing a jihadist black flag. Kidane is a cattle herder who lives outside of the city. One day, one of his cows accidentally damages the net of a fisherman. The enraged fisherman kills the cow. Kidane confronts the fisherman and accidentally shoots him dead. The jihadists arrest Kidane and, per sharia law, demand a blood money payment of 40 cattle to the fisherman\'s family. As Kidane has only seven cattle, he is sentenced to death. His wife shows up at his execution with a pistol, and as they run to each other the husband attempts to stop her. The executioners gun them both down.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Throughout the film there are subsidiary scenes showing the reaction of the population to the jihadists\' rule, which are portrayed as absurd. A female fishmonger must wear gloves even when selling fish. Music is banned; a woman is sentenced to 40 lashes for singing, and 40 lashes for being in the same room as a man not of her family. A couple are buried up to their necks in sand and stoned to death for adultery. Young men play football with an imaginary ball as sports are banned. A local imam tries to curb the jihadists\' excesses with sermons.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The failure of the occupiers to live up to their own rules is hinted at, for instance when one of them is seen smoking a cigarette. Another group of jihadists from France spend their days talking about their favorite football teams.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Characters speak in Tamasheq, Bambara, Arabic, French, and on a few occasions English. The mobile phone is an important means of communication.</p>\n<!-- /wp:paragraph -->", "Timbuktu", "Timbuktu is a 2014 French-Mauritanian drama film directed by Abderrahmane Sissako. It was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2022-07-30 22:22:44", "2022-07-30 22:22:44", "", "44", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=412", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("414", "1", "2022-07-30 22:24:16", "2022-07-30 22:24:16", "<!-- wp:paragraph -->\n<p>Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Much of the film subsequently takes place in Joel\'s mind, during this memory erasure procedure. As his memories are erased, he tries to evade the erasing effects of the procedure by hiding Clementine in remote parts of his subconscious. Joel finds himself revisiting them in reverse. Upon seeing happier times of love with Clementine from earlier in their relationship, he struggles to preserve at least some memory of her and his love for her. Despite his efforts to either hide the memories or wake up and stop the process, the memories are slowly erased. He comes to the last remaining memory of Clementine, the day he had first met her at a beach house in Montauk. As this memory disintegrates around them, she tells him, \"Meet me in Montauk.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Separate, but related, story arcs, which revolve around the employees of Lacuna, are revealed during Joel\'s memory erasure. Patrick, one of the Lacuna technicians performing the erasure, uses Joel\'s memories and mannerisms to seduce Clementine. Mary, the Lacuna receptionist, is dating the other memory-erasing technician, Stan. During Joel\'s memory wipe, Mary discovers she had previously had an affair with Dr. Howard Mierzwiak, the married doctor who heads the company, and had agreed to have this erased from her memory when Dr. Mierzwiak\'s wife found out. On learning this, she asks Stan whether he knew about this, to which he claims that he didn\'t. Mary then quits her job and steals the company\'s records, and mails the two former clients their records from Lacuna.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film returns to the present, after Joel and Clementine have met aboard the train. They both come upon their Lacuna records later that day, and react with shock and bewilderment, because they have no clear memory of having known each other, let alone having had a relationship and having had their memories erased. Joel beckons Clementine to start over; Clementine initially resists, pointing out it could go the same way. Joel accepts this, and they decide to attempt a relationship anyway, starting their life together anew.</p>\n<!-- /wp:paragraph -->", "Eternal Sunshine of the Spotless Mind", "Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2022-07-30 22:24:16", "2022-07-30 22:24:16", "", "42", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=414", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("415", "1", "2022-07-30 22:24:18", "2022-07-30 22:24:18", "<!-- wp:paragraph -->\n<p>Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Much of the film subsequently takes place in Joel\'s mind, during this memory erasure procedure. As his memories are erased, he tries to evade the erasing effects of the procedure by hiding Clementine in remote parts of his subconscious. Joel finds himself revisiting them in reverse. Upon seeing happier times of love with Clementine from earlier in their relationship, he struggles to preserve at least some memory of her and his love for her. Despite his efforts to either hide the memories or wake up and stop the process, the memories are slowly erased. He comes to the last remaining memory of Clementine, the day he had first met her at a beach house in Montauk. As this memory disintegrates around them, she tells him, \"Meet me in Montauk.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Separate, but related, story arcs, which revolve around the employees of Lacuna, are revealed during Joel\'s memory erasure. Patrick, one of the Lacuna technicians performing the erasure, uses Joel\'s memories and mannerisms to seduce Clementine. Mary, the Lacuna receptionist, is dating the other memory-erasing technician, Stan. During Joel\'s memory wipe, Mary discovers she had previously had an affair with Dr. Howard Mierzwiak, the married doctor who heads the company, and had agreed to have this erased from her memory when Dr. Mierzwiak\'s wife found out. On learning this, she asks Stan whether he knew about this, to which he claims that he didn\'t. Mary then quits her job and steals the company\'s records, and mails the two former clients their records from Lacuna.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film returns to the present, after Joel and Clementine have met aboard the train. They both come upon their Lacuna records later that day, and react with shock and bewilderment, because they have no clear memory of having known each other, let alone having had a relationship and having had their memories erased. Joel beckons Clementine to start over; Clementine initially resists, pointing out it could go the same way. Joel accepts this, and they decide to attempt a relationship anyway, starting their life together anew.</p>\n<!-- /wp:paragraph -->", "Eternal Sunshine of the Spotless Mind", "Shy, soft-spoken Joel Barish and the unrestrained free-spirit Clementine Kruczynski begin a relationship on a Long Island Rail Road train from Montauk, New York to Rockville Centre. They are almost immediately drawn to each other despite their different personalities, though both had felt the need to travel to Montauk that day. Although they do not realize it at the time, Joel and Clementine are, in fact, former lovers, now separated after having spent two years together. After a fight, Clementine had hired the New York City firm Lacuna, Inc. to erase all of her memories of their relationship. Upon discovering this from his friends Rob and Carrie, Joel was devastated and decided to undergo the procedure himself, a process that takes place while he sleeps.", "inherit", "closed", "closed", "", "42-revision-v1", "", "", "2022-07-30 22:24:18", "2022-07-30 22:24:18", "", "42", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=415", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("416", "1", "2022-07-30 22:25:18", "2022-07-30 22:25:18", "<!-- wp:paragraph -->\n<p>Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Anomalisa was nominated for an Academy Award for Best Animated Feature (the first R-rated film to be nominated), a Golden Globe Award for Best Animated Feature Film, and five Annie Awards. It became the first animated film to win the Grand Jury Prize at the 72nd Venice International Film Festival, after premiering at the Telluride Film Festival on 4 September 2015.</p>\n<!-- /wp:paragraph -->", "Anomalisa", "Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2022-07-30 22:25:18", "2022-07-30 22:25:18", "", "35", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=416", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2022-07-30 22:25:20", "2022-07-30 22:25:20", "<!-- wp:paragraph -->\n<p>Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Anomalisa was nominated for an Academy Award for Best Animated Feature (the first R-rated film to be nominated), a Golden Globe Award for Best Animated Feature Film, and five Annie Awards. It became the first animated film to win the Grand Jury Prize at the 72nd Venice International Film Festival, after premiering at the Telluride Film Festival on 4 September 2015.</p>\n<!-- /wp:paragraph -->", "Anomalisa", "Anomalisa is a 2015 American stop motion comedy-drama film directed and produced by Charlie Kaufman and Duke Johnson, based on Kaufman\'s 2005 play Anomalisa. It was released on 30 December 2015, by Paramount Pictures. The film follows a lonely customer service expert (voiced by David Thewlis) who perceives everyone (Tom Noonan) as identical until he meets a unique woman (Jennifer Jason Leigh) in a Cincinnati hotel.", "inherit", "closed", "closed", "", "35-revision-v1", "", "", "2022-07-30 22:25:20", "2022-07-30 22:25:20", "", "35", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=417", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("419", "1", "2022-07-30 22:26:40", "2022-07-30 22:26:40", "<!-- wp:paragraph -->\n<p>Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Blue is among Kieślowski\'s most celebrated works.</p>\n<!-- /wp:paragraph -->", "Blue", "Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2022-07-30 22:26:40", "2022-07-30 22:26:40", "", "34", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=419", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2022-07-30 22:26:42", "2022-07-30 22:26:42", "<!-- wp:paragraph -->\n<p>Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Blue is among Kieślowski\'s most celebrated works.</p>\n<!-- /wp:paragraph -->", "Blue", "Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2022-07-30 22:26:42", "2022-07-30 22:26:42", "", "34", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=420", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2022-07-30 22:27:20", "2022-07-30 22:27:20", "<!-- wp:paragraph -->\n<p>Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Blue is among Kieślowski\'s most celebrated works.</p>\n<!-- /wp:paragraph -->", "Blue", "Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2022-07-30 22:27:20", "2022-07-30 22:27:20", "", "34", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=421", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2022-07-30 22:28:13", "2022-07-30 22:28:13", "<!-- wp:paragraph -->\n<p>Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Red was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.</p>\n<!-- /wp:paragraph -->", "Red", "Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film, which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2022-07-30 22:28:13", "2022-07-30 22:28:13", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=422", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("423", "1", "2022-07-30 22:28:15", "2022-07-30 22:28:15", "<!-- wp:paragraph -->\n<p>Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Red was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.</p>\n<!-- /wp:paragraph -->", "Red", "Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film, which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2022-07-30 22:28:15", "2022-07-30 22:28:15", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=423", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2022-07-30 22:28:30", "2022-07-30 22:28:30", "<!-- wp:paragraph -->\n<p>Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Red was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.</p>\n<!-- /wp:paragraph -->", "Red", "Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film, which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2022-07-30 22:28:30", "2022-07-30 22:28:30", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=424", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("426", "1", "2022-07-30 22:29:36", "2022-07-30 22:29:36", "<!-- wp:paragraph -->\n<p>I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation. It was shown in 12 cinemas in Quebec and 60 in France.</p>\n<!-- /wp:paragraph -->", "I Killed My Mother", "I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2022-07-30 22:29:36", "2022-07-30 22:29:36", "", "30", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=426", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("427", "1", "2022-07-30 22:29:38", "2022-07-30 22:29:38", "<!-- wp:paragraph -->\n<p>I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation. It was shown in 12 cinemas in Quebec and 60 in France.</p>\n<!-- /wp:paragraph -->", "I Killed My Mother", "I Killed My Mother (French: J\'ai tué ma mère) is a 2009 Quebec biographical drama film written and directed by Xavier Dolan. The film attracted international press attention when it won three awards from the Director\'s Fortnight program at the 2009 Cannes Film Festival. After being shown, the film received a standing ovation", "inherit", "closed", "closed", "", "30-revision-v1", "", "", "2022-07-30 22:29:38", "2022-07-30 22:29:38", "", "30", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=427", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("428", "1", "2022-07-30 22:31:08", "2022-07-30 22:31:08", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Q9LVLCYvqSI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "\n\n\n\n0:09 / 3:13\n\n\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n1,779,893 viewsJul 17, 2014\n\n8K\n\nDISLIKE\n\nSHARE\n\nDOWNLOAD\n\nCLIP\n\nSAVE\n\n\nRotten Tomatoes Indie\n2.14M subscribers\nSubscribe to TRAILERS: http://bit.ly/sxaw6h\nSubscribe to COMING SOON: http://bit.ly/H2vZUn\nSubscribe to INDIE & FILM FESTIVALS: http://bit.ly/1wbkfYg\nLike us on FACEBOOK: http://goo.gl/dHs73\nFollow us on TWITTER: http://bit.ly/1ghOWmt\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n\n\nA widowed single mother, raising her violent son alone, finds new hope when a mysterious neighbor inserts herself into their household.\nWatch on YouTube\n\nMommy\nDrama • 2014 • 2 hr 18 min\nFrench audio\nA feisty widowed single mom finds herself burdened with the full-time custody of her explosive 15-year-old ADHD son. As they try to make ends meet and struggle with their unpredictable ménage, the peculiar, new girl across the street, Kyla, benevolently offers her help. Together, they find a new sense of balance, and hope is regained.", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-30 22:31:08", "2022-07-30 22:31:08", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=428", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("429", "1", "2022-07-30 22:31:10", "2022-07-30 22:31:10", "<!-- wp:html -->\n<div style=\"position: relative; height: 0; padding-bottom: 56.25%;\"><iframe style=\"position: absolute; width: 100%; height: 100%; left: 0;\" src=\"https://www.youtube.com/embed/Q9LVLCYvqSI?ecver=2\" width=\"640\" height=\"360\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></div>\n<!-- /wp:html -->\n\n<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "\n\n\n\n0:09 / 3:13\n\n\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n1,779,893 viewsJul 17, 2014\n\n8K\n\nDISLIKE\n\nSHARE\n\nDOWNLOAD\n\nCLIP\n\nSAVE\n\n\nRotten Tomatoes Indie\n2.14M subscribers\nSubscribe to TRAILERS: http://bit.ly/sxaw6h\nSubscribe to COMING SOON: http://bit.ly/H2vZUn\nSubscribe to INDIE & FILM FESTIVALS: http://bit.ly/1wbkfYg\nLike us on FACEBOOK: http://goo.gl/dHs73\nFollow us on TWITTER: http://bit.ly/1ghOWmt\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n\n\nA widowed single mother, raising her violent son alone, finds new hope when a mysterious neighbor inserts herself into their household.\nWatch on YouTube\n\nMommy\nDrama • 2014 • 2 hr 18 min\nFrench audio\nA feisty widowed single mom finds herself burdened with the full-time custody of her explosive 15-year-old ADHD son. As they try to make ends meet and struggle with their unpredictable ménage, the peculiar, new girl across the street, Kyla, benevolently offers her help. Together, they find a new sense of balance, and hope is regained.", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-30 22:31:10", "2022-07-30 22:31:10", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=429", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("430", "1", "2022-07-30 22:31:16", "2022-07-30 22:31:16", "<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "\n\n\n\n0:09 / 3:13\n\n\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n1,779,893 viewsJul 17, 2014\n\n8K\n\nDISLIKE\n\nSHARE\n\nDOWNLOAD\n\nCLIP\n\nSAVE\n\n\nRotten Tomatoes Indie\n2.14M subscribers\nSubscribe to TRAILERS: http://bit.ly/sxaw6h\nSubscribe to COMING SOON: http://bit.ly/H2vZUn\nSubscribe to INDIE & FILM FESTIVALS: http://bit.ly/1wbkfYg\nLike us on FACEBOOK: http://goo.gl/dHs73\nFollow us on TWITTER: http://bit.ly/1ghOWmt\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n\n\nA widowed single mother, raising her violent son alone, finds new hope when a mysterious neighbor inserts herself into their household.\nWatch on YouTube\n\nMommy\nDrama • 2014 • 2 hr 18 min\nFrench audio\nA feisty widowed single mom finds herself burdened with the full-time custody of her explosive 15-year-old ADHD son. As they try to make ends meet and struggle with their unpredictable ménage, the peculiar, new girl across the street, Kyla, benevolently offers her help. Together, they find a new sense of balance, and hope is regained.", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-30 22:31:16", "2022-07-30 22:31:16", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=430", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("431", "1", "2022-07-30 22:31:18", "2022-07-30 22:31:18", "<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "\n\n\n\n0:09 / 3:13\n\n\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n1,779,893 viewsJul 17, 2014\n\n8K\n\nDISLIKE\n\nSHARE\n\nDOWNLOAD\n\nCLIP\n\nSAVE\n\n\nRotten Tomatoes Indie\n2.14M subscribers\nSubscribe to TRAILERS: http://bit.ly/sxaw6h\nSubscribe to COMING SOON: http://bit.ly/H2vZUn\nSubscribe to INDIE & FILM FESTIVALS: http://bit.ly/1wbkfYg\nLike us on FACEBOOK: http://goo.gl/dHs73\nFollow us on TWITTER: http://bit.ly/1ghOWmt\nMommy Official International Trailer 1 (2014) - Xavier Dolan Drama HD\n\n\nA widowed single mother, raising her violent son alone, finds new hope when a mysterious neighbor inserts herself into their household.\nWatch on YouTube\n\nMommy\nDrama • 2014 • 2 hr 18 min\nFrench audio\nA feisty widowed single mom finds herself burdened with the full-time custody of her explosive 15-year-old ADHD son. As they try to make ends meet and struggle with their unpredictable ménage, the peculiar, new girl across the street, Kyla, benevolently offers her help. Together, they find a new sense of balance, and hope is regained.", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-30 22:31:18", "2022-07-30 22:31:18", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=431", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("434", "1", "2022-07-30 22:36:20", "2022-07-30 22:36:20", "<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "Set in contemporary Iran, A Separation is a compelling drama about the dissolution of a marriage. Simin wants to leave Iran with her husband Nader and daughter Termeh. Simin sues for divorce when Nader refuses to leave behind his Alzheimer-suffering father. Her request having failed, Simin returns to her parents\' home, but Termeh decides to stay with Nader. When Nader hires a young woman to assist with his father in his wife\'s absence, he hopes that his life will return to a normal state. However, when he discovers that the new maid has been lying to him, he realizes that there is more on the line than just his marriage.", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2022-07-30 22:36:20", "2022-07-30 22:36:20", "", "13", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=434", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("435", "1", "2022-07-30 22:36:22", "2022-07-30 22:36:22", "<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "Set in contemporary Iran, A Separation is a compelling drama about the dissolution of a marriage. Simin wants to leave Iran with her husband Nader and daughter Termeh. Simin sues for divorce when Nader refuses to leave behind his Alzheimer-suffering father. Her request having failed, Simin returns to her parents\' home, but Termeh decides to stay with Nader. When Nader hires a young woman to assist with his father in his wife\'s absence, he hopes that his life will return to a normal state. However, when he discovers that the new maid has been lying to him, he realizes that there is more on the line than just his marriage.", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2022-07-30 22:36:22", "2022-07-30 22:36:22", "", "13", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=435", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("436", "1", "2022-07-30 22:36:50", "2022-07-30 22:36:50", "<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "Set in contemporary Iran, A Separation is a compelling drama about the dissolution of a marriage. Simin wants to leave Iran with her husband Nader and daughter Termeh. Simin sues for divorce when Nader refuses to leave behind his Alzheimer-suffering father. Her request having failed, Simin returns to her parents\' home, but Termeh decides to stay with Nader. When Nader hires a young woman to assist with his father in his wife\'s absence, he hopes that his life will return to a normal state. However, when he discovers that the new maid has been lying to him, he realizes that there is more on the line than just his marriage.", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2022-07-30 22:36:50", "2022-07-30 22:36:50", "", "13", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=436", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("438", "1", "2022-07-30 22:39:08", "2022-07-30 22:39:08", "<!-- wp:paragraph -->\n<p>The Handmaiden (Hangul: 아가씨; RR: Agassi; lit. \"Lady\") is a 2016 South Korean erotic psychological thriller film directed by Park Chan-wook and starring Kim Min-hee, Kim Tae-ri, Ha Jung-woo and Cho Jin-woong. It is inspired from the novel Fingersmith by Welsh writer Sarah Waters, with the setting changed from Victorian era Britain to Korea under Japanese colonial rule.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival. It was released in South Korea on 1 June 2016, and received critical acclaim.</p>\n<!-- /wp:paragraph -->", "The Handmaiden", "From PARK Chan-wook, the celebrated director of OLDBOY, LADY VENGEANCE and STOKER, comes a ravishing new crime drama. PARK presents a gripping tale of two women - a young Japanese Lady living on a secluded estate, and a Korean woman who is hired to serve as her new handmaiden, but is secretly plotting with a conman to defraud her of a large inheritance.", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2022-07-30 22:39:08", "2022-07-30 22:39:08", "", "23", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=438", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("439", "1", "2022-07-30 22:39:10", "2022-07-30 22:39:10", "<!-- wp:paragraph -->\n<p>The Handmaiden (Hangul: 아가씨; RR: Agassi; lit. \"Lady\") is a 2016 South Korean erotic psychological thriller film directed by Park Chan-wook and starring Kim Min-hee, Kim Tae-ri, Ha Jung-woo and Cho Jin-woong. It is inspired from the novel Fingersmith by Welsh writer Sarah Waters, with the setting changed from Victorian era Britain to Korea under Japanese colonial rule.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival. It was released in South Korea on 1 June 2016, and received critical acclaim.</p>\n<!-- /wp:paragraph -->", "The Handmaiden", "From PARK Chan-wook, the celebrated director of OLDBOY, LADY VENGEANCE and STOKER, comes a ravishing new crime drama. PARK presents a gripping tale of two women - a young Japanese Lady living on a secluded estate, and a Korean woman who is hired to serve as her new handmaiden, but is secretly plotting with a conman to defraud her of a large inheritance.", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2022-07-30 22:39:10", "2022-07-30 22:39:10", "", "23", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=439", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("441", "1", "2022-07-30 22:40:41", "2022-07-30 22:40:41", "<!-- wp:paragraph -->\n<p>Manchester by the Sea is a 2016 American drama film written and directed by Kenneth Lonergan and starring Casey Affleck, Michelle Williams, Kyle Chandler, and Lucas Hedges. The plot follows a man who looks after his teenage nephew after his brother dies.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film premiered at the Sundance Film Festival on January 23, 2016 and was soon picked up by Amazon Studios for distribution. It began a limited release on November 18, 2016, before going wide on December 16, 2016. The film has grossed over $72 million worldwide on an $8.5 million budget.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Manchester by the Sea received critical acclaim upon its release and was regarded as among the best films of 2016. Critics praised in particular Affleck\'s performance, as well as Lonergan\'s direction and screenplay. At the 89th Academy Awards, the film received six nominations: Best Picture, Best Director, Best Actor (Affleck), Best Supporting Actor (Hedges), Best Supporting Actress (Williams) and Best Original Screenplay, winning for Best Original Screenplay and Best Actor. It also won the Golden Globe Award for Best Actor and was nominated in four more categories.</p>\n<!-- /wp:paragraph -->", "Manchester By The Sea", "Manchester By The Sea tells the story of Lee Chandler, after his brother\'s death, Lee is named guardian to his 16-year-old nephew, Patrick. This forces him to return to his hometown and confront his past.", "inherit", "closed", "closed", "", "12-revision-v1", "", "", "2022-07-30 22:40:41", "2022-07-30 22:40:41", "", "12", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=441", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("442", "1", "2022-07-30 22:40:43", "2022-07-30 22:40:43", "<!-- wp:paragraph -->\n<p>Manchester by the Sea is a 2016 American drama film written and directed by Kenneth Lonergan and starring Casey Affleck, Michelle Williams, Kyle Chandler, and Lucas Hedges. The plot follows a man who looks after his teenage nephew after his brother dies.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film premiered at the Sundance Film Festival on January 23, 2016 and was soon picked up by Amazon Studios for distribution. It began a limited release on November 18, 2016, before going wide on December 16, 2016. The film has grossed over $72 million worldwide on an $8.5 million budget.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Manchester by the Sea received critical acclaim upon its release and was regarded as among the best films of 2016. Critics praised in particular Affleck\'s performance, as well as Lonergan\'s direction and screenplay. At the 89th Academy Awards, the film received six nominations: Best Picture, Best Director, Best Actor (Affleck), Best Supporting Actor (Hedges), Best Supporting Actress (Williams) and Best Original Screenplay, winning for Best Original Screenplay and Best Actor. It also won the Golden Globe Award for Best Actor and was nominated in four more categories.</p>\n<!-- /wp:paragraph -->", "Manchester By The Sea", "Manchester By The Sea tells the story of Lee Chandler, after his brother\'s death, Lee is named guardian to his 16-year-old nephew, Patrick. This forces him to return to his hometown and confront his past.", "inherit", "closed", "closed", "", "12-revision-v1", "", "", "2022-07-30 22:40:43", "2022-07-30 22:40:43", "", "12", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=442", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2022-07-30 22:41:58", "2022-07-30 22:41:58", "<!-- wp:paragraph -->\n<p>I, Daniel Blake is a 2016 British-French-German drama film directed by Ken Loach and written by Loach\'s frequent collaborator Paul Laverty. It stars Dave Johns as Daniel Blake, who is denied employment and support allowance despite his doctor finding him unfit to work. Hayley Squires co-stars as Katie, a struggling single mother whom Daniel befriends.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film won the Palme d\'Or at the 2016 Cannes Film Festival and the Prix du public at the 2016 Locarno International Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Widower Daniel Blake, a 59-year-old joiner living in Newcastle, has had a heart attack at work. Though his cardiologist has advised him not to return to work, Daniel is deemed fit to do so after a work capability assessment and denied employment and support allowance. He is frustrated to learn that his doctor was not contacted about the decision, and applies for an appeal, a process he finds difficult because he is not computer literate.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Daniel befriends a single mother, Katie, after she is sanctioned for arriving late for a jobcentre appointment. Katie and her children have moved to Newcastle from a London homeless persons\' hostel, with no affordable accommodation available in the capital. Daniel helps the family by repairing objects, teaching them how to heat rooms without electricity, and crafting wooden toys for the children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>During a visit to a food bank, Katie is overcome by hunger and breaks down. After she is caught shoplifting, a security guard offers her work as an escort. Daniel surprises her at the brothel, where he begs her to give up the job, but she tearfully insists she has no choice to feed her children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>As a condition for receiving jobseeker\'s allowance, Daniel searches for work on an industrial estate. He is offered a job in a scrapyard, but has to turn it down for health reasons. When Daniel\'s work coach tells him he must work harder to find a job, Daniel spraypaints \"I, Daniel Blake, demand my appeal date before I starve\" on the building. He earns the support of passersby, including other benefits claimants, but is arrested and given a police warning. Daniel sells most of his belongings and becomes withdrawn.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On the day of Daniel\'s appeal, Katie accompanies him to court. A welfare adviser tells Daniel that his case looks sound. On glimpsing the judge and doctor who will decide his case, Daniel becomes anxious and visits the lavatory, where he suffers a fatal heart attack. At his \"pauper\'s funeral\", Katie reads the eulogy, including a speech Daniel had intended to read at his appeal. Daniel\'s speech describes his feelings about how the welfare system failed him, treating him like a number and not a man who was proud to say he had paid his dues to society.</p>\n<!-- /wp:paragraph -->", "I, Daniel Blake", "A carpenter recovering from a heart attack befriends a single mother and her two kids as together they battle the national health care system. “Perceptive and funny…intensely moving.” [The Independent]", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2022-07-30 22:41:58", "2022-07-30 22:41:58", "", "11", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=444", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2022-07-30 22:41:59", "2022-07-30 22:41:59", "<!-- wp:paragraph -->\n<p>I, Daniel Blake is a 2016 British-French-German drama film directed by Ken Loach and written by Loach\'s frequent collaborator Paul Laverty. It stars Dave Johns as Daniel Blake, who is denied employment and support allowance despite his doctor finding him unfit to work. Hayley Squires co-stars as Katie, a struggling single mother whom Daniel befriends.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film won the Palme d\'Or at the 2016 Cannes Film Festival and the Prix du public at the 2016 Locarno International Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Widower Daniel Blake, a 59-year-old joiner living in Newcastle, has had a heart attack at work. Though his cardiologist has advised him not to return to work, Daniel is deemed fit to do so after a work capability assessment and denied employment and support allowance. He is frustrated to learn that his doctor was not contacted about the decision, and applies for an appeal, a process he finds difficult because he is not computer literate.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Daniel befriends a single mother, Katie, after she is sanctioned for arriving late for a jobcentre appointment. Katie and her children have moved to Newcastle from a London homeless persons\' hostel, with no affordable accommodation available in the capital. Daniel helps the family by repairing objects, teaching them how to heat rooms without electricity, and crafting wooden toys for the children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>During a visit to a food bank, Katie is overcome by hunger and breaks down. After she is caught shoplifting, a security guard offers her work as an escort. Daniel surprises her at the brothel, where he begs her to give up the job, but she tearfully insists she has no choice to feed her children.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>As a condition for receiving jobseeker\'s allowance, Daniel searches for work on an industrial estate. He is offered a job in a scrapyard, but has to turn it down for health reasons. When Daniel\'s work coach tells him he must work harder to find a job, Daniel spraypaints \"I, Daniel Blake, demand my appeal date before I starve\" on the building. He earns the support of passersby, including other benefits claimants, but is arrested and given a police warning. Daniel sells most of his belongings and becomes withdrawn.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On the day of Daniel\'s appeal, Katie accompanies him to court. A welfare adviser tells Daniel that his case looks sound. On glimpsing the judge and doctor who will decide his case, Daniel becomes anxious and visits the lavatory, where he suffers a fatal heart attack. At his \"pauper\'s funeral\", Katie reads the eulogy, including a speech Daniel had intended to read at his appeal. Daniel\'s speech describes his feelings about how the welfare system failed him, treating him like a number and not a man who was proud to say he had paid his dues to society.</p>\n<!-- /wp:paragraph -->", "I, Daniel Blake", "A carpenter recovering from a heart attack befriends a single mother and her two kids as together they battle the national health care system. “Perceptive and funny…intensely moving.” [The Independent]", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2022-07-30 22:41:59", "2022-07-30 22:41:59", "", "11", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=445", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("447", "1", "2022-07-30 22:44:17", "2022-07-30 22:44:17", "<!-- wp:paragraph -->\n<p>Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The starting point for the script was the ensemble cast of friends and previous collaborators Jarmusch had conceived characters for, while the tripartite formal structure of the film was inspired by his study of literary forms. Cinematographer Robby Müller and musician John Lurie were among the many contributors who had been involved in earlier Jarmusch projects and returned to work on the film. Mystery Train\'s US$2.8 million budget (financed by Japanese conglomerate JVC) was considerable compared to what the director had enjoyed before, and allowed him the freedom to rehearse many unscripted background scenes. It was the first of Jarmusch\'s feature films to depart from his trademark black-and-white photography, though the use of color was tightly controlled to conform with the director\'s intuitive sense of the film\'s aesthetic.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Mystery Train was released theatrically by Orion Classics under a restricted rating in the United States, where it grossed over $1.5 million. It enjoyed critical acclaim on the film festival circuit, and like the director\'s earlier films premiered at the New York Film Festival and was shown in competition at Cannes, where Jarmusch was awarded the Best Artistic Achievement Award. The film was also shown in the Edinburgh, London, Midnight Sun, Telluride, and Toronto film festivals, and was nominated in six categories at the Independent Spirit Awards. Critical reaction was overwhelmingly positive, with reviewers praising the structure, humor, and characters of the film, though there was criticism that the director had not been sufficiently adventurous.</p>\n<!-- /wp:paragraph -->", "Mystery Train", "Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2022-07-30 22:44:17", "2022-07-30 22:44:17", "", "10", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=447", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("448", "1", "2022-07-30 22:44:19", "2022-07-30 22:44:19", "<!-- wp:paragraph -->\n<p>Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The starting point for the script was the ensemble cast of friends and previous collaborators Jarmusch had conceived characters for, while the tripartite formal structure of the film was inspired by his study of literary forms. Cinematographer Robby Müller and musician John Lurie were among the many contributors who had been involved in earlier Jarmusch projects and returned to work on the film. Mystery Train\'s US$2.8 million budget (financed by Japanese conglomerate JVC) was considerable compared to what the director had enjoyed before, and allowed him the freedom to rehearse many unscripted background scenes. It was the first of Jarmusch\'s feature films to depart from his trademark black-and-white photography, though the use of color was tightly controlled to conform with the director\'s intuitive sense of the film\'s aesthetic.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Mystery Train was released theatrically by Orion Classics under a restricted rating in the United States, where it grossed over $1.5 million. It enjoyed critical acclaim on the film festival circuit, and like the director\'s earlier films premiered at the New York Film Festival and was shown in competition at Cannes, where Jarmusch was awarded the Best Artistic Achievement Award. The film was also shown in the Edinburgh, London, Midnight Sun, Telluride, and Toronto film festivals, and was nominated in six categories at the Independent Spirit Awards. Critical reaction was overwhelmingly positive, with reviewers praising the structure, humor, and characters of the film, though there was criticism that the director had not been sufficiently adventurous.</p>\n<!-- /wp:paragraph -->", "Mystery Train", "Mystery Train is a 1989 independent anthology film written and directed by Jim Jarmusch and set in Memphis, Tennessee. The film comprises a triptych of stories involving foreign protagonists unfolding over the course of the same night. \"Far From Yokohama\" features a Japanese couple (Youki Kudoh and Masatoshi Nagase) on a blues pilgrimage, \"A Ghost\" focuses on an Italian widow (Nicoletta Braschi) stranded in the city overnight, and \"Lost in Space\" follows the misadventures of a newly single and unemployed Englishman (Joe Strummer) and his companions (Rick Aviles and Steve Buscemi). They are linked by a run-down flophouse overseen by a night clerk (Screamin\' Jay Hawkins) and his disheveled bellboy (Cinqué Lee), a scene featuring Elvis Presley\'s \"Blue Moon\", and a gunshot.", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2022-07-30 22:44:19", "2022-07-30 22:44:19", "", "10", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=448", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("450", "1", "2022-07-30 22:45:07", "2022-07-30 22:45:07", "<!-- wp:paragraph -->\n<p>Only Lovers Left Alive is a 2013 internationally co-produced vampire film written and directed by Jim Jarmusch, and starring Tilda Swinton, Tom Hiddleston, Mia Wasikowska, Anton Yelchin, Jeffrey Wright, Slimane Dazi, and John Hurt. A co-production of the United Kingdom and Germany, the film was nominated for the Palme d\'Or at the 2013 Cannes Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Married for centuries and now living half a world apart, two vampires wake as the sun goes down. Adam sits holding a lute, in his cluttered Detroit Victorian, as Eve wakes up in her bedroom in Tangier, surrounded by books. Rather than feeding on humans, they are like addicts, dependent on local suppliers of the \"good stuff\"; fearing contamination from blood poisoned by the degradation of the environment. Adam visits a local blood bank in the dead of night, masquerading as \"Dr. Faust\", paying \"Dr. Watson\" for his coveted O negative, while Eve relies on their old friend Christopher Marlowe, who faked his death in 1593 and now lives under the protection of a local man.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After influencing the careers of countless famous musicians and scientists, Adam has become withdrawn and suicidal. His desire to connect through his music is at odds with the danger of recognition as well as his contempt for the corrupt and foolish humans he refers to as \"zombies.\" He spends his days recording his compositions on outdated studio equipment and lamenting the state of the modern world whilst collecting vintage instruments. He pays Ian, a naive human \"rock and roll kid,\" to procure vintage guitars and other assorted curiosities, including a custom-made, wooden bullet with a brass casing. Having acquired substantial scientific knowledge over the years, the vampire has managed to build contraptions to power both his home and vintage sports car with technology originally pioneered by Nikola Tesla. His reclusive nature adds to his mystique as a musician and composer, and he is horrified when some intrepid fans turn up on his doorstep. Ian promises to discreetly spread rumors about Adam living elsewhere to draw them away.</p>\n<!-- /wp:paragraph -->", "Only Lovers Left Alive", "The tale of two fragile and sensitive vampires, Adam (Tom Hiddleston) and Eve (Tilda Swinton), who have been lovers for centuries. Both are cultured intellectuals with an all-embracing passion for music, literature and science, who have evolved to a level where they no longer kill for sustenance, but still retain their innate wildness. Their love story has endured several centuries but their debauched idyll is threatened by the uninvited arrival of Eve\'s carefree little sister Ava (Mia Wasikowska) who hasn\'t yet learned to tame her wilder instincts. Driven by sensual photography, trance-like music, and droll humor, Jim Jarmusch\'s Only Lovers Left Alive is a meditation on art, science, and the mysteries of everlasting love.", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2022-07-30 22:45:07", "2022-07-30 22:45:07", "", "9", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=450", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("451", "1", "2022-07-30 22:45:09", "2022-07-30 22:45:09", "<!-- wp:paragraph -->\n<p>Only Lovers Left Alive is a 2013 internationally co-produced vampire film written and directed by Jim Jarmusch, and starring Tilda Swinton, Tom Hiddleston, Mia Wasikowska, Anton Yelchin, Jeffrey Wright, Slimane Dazi, and John Hurt. A co-production of the United Kingdom and Germany, the film was nominated for the Palme d\'Or at the 2013 Cannes Film Festival.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Married for centuries and now living half a world apart, two vampires wake as the sun goes down. Adam sits holding a lute, in his cluttered Detroit Victorian, as Eve wakes up in her bedroom in Tangier, surrounded by books. Rather than feeding on humans, they are like addicts, dependent on local suppliers of the \"good stuff\"; fearing contamination from blood poisoned by the degradation of the environment. Adam visits a local blood bank in the dead of night, masquerading as \"Dr. Faust\", paying \"Dr. Watson\" for his coveted O negative, while Eve relies on their old friend Christopher Marlowe, who faked his death in 1593 and now lives under the protection of a local man.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After influencing the careers of countless famous musicians and scientists, Adam has become withdrawn and suicidal. His desire to connect through his music is at odds with the danger of recognition as well as his contempt for the corrupt and foolish humans he refers to as \"zombies.\" He spends his days recording his compositions on outdated studio equipment and lamenting the state of the modern world whilst collecting vintage instruments. He pays Ian, a naive human \"rock and roll kid,\" to procure vintage guitars and other assorted curiosities, including a custom-made, wooden bullet with a brass casing. Having acquired substantial scientific knowledge over the years, the vampire has managed to build contraptions to power both his home and vintage sports car with technology originally pioneered by Nikola Tesla. His reclusive nature adds to his mystique as a musician and composer, and he is horrified when some intrepid fans turn up on his doorstep. Ian promises to discreetly spread rumors about Adam living elsewhere to draw them away.</p>\n<!-- /wp:paragraph -->", "Only Lovers Left Alive", "The tale of two fragile and sensitive vampires, Adam (Tom Hiddleston) and Eve (Tilda Swinton), who have been lovers for centuries. Both are cultured intellectuals with an all-embracing passion for music, literature and science, who have evolved to a level where they no longer kill for sustenance, but still retain their innate wildness. Their love story has endured several centuries but their debauched idyll is threatened by the uninvited arrival of Eve\'s carefree little sister Ava (Mia Wasikowska) who hasn\'t yet learned to tame her wilder instincts. Driven by sensual photography, trance-like music, and droll humor, Jim Jarmusch\'s Only Lovers Left Alive is a meditation on art, science, and the mysteries of everlasting love.", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2022-07-30 22:45:09", "2022-07-30 22:45:09", "", "9", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=451", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("453", "1", "2022-07-30 22:47:36", "2022-07-30 22:47:36", "<!-- wp:paragraph -->\n<p>Paterson is a 2016 drama film written and directed by Jim Jarmusch. The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm Dog Award. The film was released in Germany on November 17, 2016, by K5 International. It was then released in France on December 21, 2016, by Le Pacte, and released in the United States on December 28, 2016, by Amazon Studios and Bleecker Street.</p>\n<!-- /wp:paragraph -->", "Paterson", "The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.\nIt was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm D\'or  Award. ", "inherit", "closed", "closed", "", "8-revision-v1", "", "", "2022-07-30 22:47:36", "2022-07-30 22:47:36", "", "8", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=453", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("454", "1", "2022-07-30 22:47:38", "2022-07-30 22:47:38", "<!-- wp:paragraph -->\n<p>Paterson is a 2016 drama film written and directed by Jim Jarmusch. The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm Dog Award. The film was released in Germany on November 17, 2016, by K5 International. It was then released in France on December 21, 2016, by Le Pacte, and released in the United States on December 28, 2016, by Amazon Studios and Bleecker Street.</p>\n<!-- /wp:paragraph -->", "Paterson", "The film stars Adam Driver as a bus driver and aspiring poet named Paterson and Golshifteh Farahani as his live-in romantic partner who dreams of being a country music star and opening a cupcake business.\nIt was selected to compete for the Palme d\'Or at the 2016 Cannes Film Festival, where it won the Palm D\'or  Award. ", "inherit", "closed", "closed", "", "8-revision-v1", "", "", "2022-07-30 22:47:38", "2022-07-30 22:47:38", "", "8", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=454", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("456", "1", "2022-07-30 22:48:54", "2022-07-30 22:48:54", "<!-- wp:paragraph -->\n<p>Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.</p>\n<!-- /wp:paragraph -->", "Hana-bi", "Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2022-07-30 22:48:54", "2022-07-30 22:48:54", "", "7", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=456", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("457", "1", "2022-07-30 22:48:56", "2022-07-30 22:48:56", "<!-- wp:paragraph -->\n<p>Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.</p>\n<!-- /wp:paragraph -->", "Hana-bi", "Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2022-07-30 22:48:56", "2022-07-30 22:48:56", "", "7", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=457", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("459", "1", "2022-07-30 22:49:59", "2022-07-30 22:49:59", "<!-- wp:paragraph -->\n<p>Chungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai. The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.</p>\n<!-- /wp:paragraph -->", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2022-07-30 22:49:59", "2022-07-30 22:49:59", "", "6", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=459", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("460", "1", "2022-07-30 22:50:01", "2022-07-30 22:50:01", "<!-- wp:paragraph -->\n<p>Chungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai. The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.</p>\n<!-- /wp:paragraph -->", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2022-07-30 22:50:01", "2022-07-30 22:50:01", "", "6", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=460", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("462", "1", "2022-07-30 22:50:33", "2022-07-30 22:50:33", "<!-- wp:paragraph -->\n<p>Chungking Express is a 1994 Hong Kong drama film written and directed by Wong Kar-wai. The film consists of two stories told in sequence, each about a lovesick Hong Kong policeman mulling over his relationship with a woman. The first story stars Takeshi Kaneshiro as a cop who is obsessed with the break-up of his relationship with a woman named May and his platonic encounter with a mysterious drug smuggler (Brigitte Lin). The second stars Tony Leung as a police officer who is roused from his gloom over the loss of his flight attendant girlfriend (Valerie Chow) by the attentions of a quirky snack bar worker (Faye Wong). The film depicts a paradox in that even though the characters live in densely packed Hong Kong, they are mostly lonely and live in their own inner worlds.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Chinese title translates to \"Chungking Forest/Jungle\", referring to the metaphoric concrete jungle of the city, as well as to Chungking Mansions in Tsim Sha Tsui, where much of the first part of the movie is set. The English title refers to Chungking Mansions and the Midnight Express food stall where Faye works.</p>\n<!-- /wp:paragraph -->", "Chungking Express", "", "inherit", "closed", "closed", "", "6-revision-v1", "", "", "2022-07-30 22:50:33", "2022-07-30 22:50:33", "", "6", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=462", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("463", "1", "2022-07-30 22:51:14", "2022-07-30 22:51:14", "<!-- wp:html -->\n\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n</div>\n<!-- /wp:html -->", "2046", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-30 22:51:14", "2022-07-30 22:51:14", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=463", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("464", "1", "2022-07-30 22:51:50", "2022-07-30 22:51:50", "<!-- wp:html -->\n\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n</div>\n<!-- /wp:html -->", "2046", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-30 22:51:50", "2022-07-30 22:51:50", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=464", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("465", "1", "2022-07-30 22:52:32", "2022-07-30 22:52:32", "<!-- wp:html -->\n\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n</div>\n<!-- /wp:html -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-30 22:52:32", "2022-07-30 22:52:32", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=465", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("466", "1", "2022-07-30 22:52:34", "2022-07-30 22:52:34", "<!-- wp:html -->\n\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n</div>\n<!-- /wp:html -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-30 22:52:34", "2022-07-30 22:52:34", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=466", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("467", "1", "2022-07-31 00:30:36", "2022-07-31 00:30:36", "<!-- wp:html -->\n\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n</div>\n<!-- /wp:html -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-31 00:30:36", "2022-07-31 00:30:36", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=467", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("468", "1", "2022-07-31 01:37:06", "2022-07-31 01:37:06", "<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "ommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-31 01:37:06", "2022-07-31 01:37:06", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=468", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("469", "1", "2022-07-31 01:37:16", "2022-07-31 01:37:16", "<!-- wp:paragraph -->\n<p>Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story continues Dolan\'s themes in mother-son relationships in his films, as well as his collaboration with Dorval and Clément. Inspiration for this particular story was drawn from Dolan\'s discovery of Pilon and the music of Ludovico Einaudi. It was shot in Quebec in an unconventional aspect ratio.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film debuted at the Cannes Film Festival, where it won the Jury Prize. It became a financial and critical success. Mommy went on to win numerous other awards, among them nine Canadian Screen Awards, including Best Motion Picture.</p>\n<!-- /wp:paragraph -->", "Mommy", "Mommy is a 2014 Canadian drama film directed by Xavier Dolan and starring Anne Dorval, Antoine-Olivier Pilon and Suzanne Clément. The story concerns a mother with a sometimes-violent teenage son, struggling to control his behaviour in a hypothetical future in which parents have the legal option to commit troubled youth to public hospitals.", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-07-31 01:37:16", "2022-07-31 01:37:16", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=469", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("470", "1", "2022-07-31 18:48:58", "2022-07-31 18:48:58", "a:8:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:6:\"notice\";}}}s:8:\"position\";s:4:\"side\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";a:9:{i:0;s:7:\"excerpt\";i:1;s:10:\"discussion\";i:2;s:8:\"comments\";i:3;s:6:\"author\";i:4;s:6:\"format\";i:5;s:15:\"page_attributes\";i:6;s:14:\"featured_image\";i:7;s:4:\"tags\";i:8;s:15:\"send-trackbacks\";}s:11:\"description\";s:0:\"\";s:12:\"show_in_rest\";i:0;}", "Notice Meta", "notice-meta", "publish", "closed", "closed", "", "group_62e6cdac71be9", "", "", "2022-08-01 15:21:55", "2022-08-01 15:21:55", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field-group&#038;p=470", "0", "acf-field-group", "", "0");
INSERT INTO `wp_posts` VALUES("471", "1", "2022-07-31 18:48:58", "2022-07-31 18:48:58", "a:12:{s:4:\"type\";s:5:\"radio\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:1;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:2:{s:13:\"Added Showing\";s:13:\"Added Showing\";s:12:\"Cancellation\";s:12:\"Cancellation\";}s:10:\"allow_null\";i:0;s:12:\"other_choice\";i:0;s:13:\"default_value\";s:0:\"\";s:6:\"layout\";s:10:\"horizontal\";s:13:\"return_format\";s:5:\"label\";s:17:\"save_other_choice\";i:0;}", "Notice Type", "notice_type", "publish", "closed", "closed", "", "field_62e6ce04dde77", "", "", "2022-08-01 00:47:15", "2022-08-01 00:47:15", "", "470", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=acf-field&#038;p=471", "0", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("473", "1", "2022-07-31 18:55:37", "2022-07-31 18:55:37", "<ul>\r\n 	<li><strong>Monday June 21</strong> 11:30am, B018</li>\r\n 	<li><strong>Wednesday June 23</strong>, 2:30pm, A247</li>\r\n 	<li><strong>Sunday June 13</strong> 2:15am, A110</li>\r\n</ul>", "Mother", "", "publish", "closed", "closed", "", "mother", "", "", "2022-08-01 15:34:50", "2022-08-01 15:34:50", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=notice&#038;p=473", "0", "notice", "", "0");
INSERT INTO `wp_posts` VALUES("474", "1", "2022-07-31 18:57:35", "2022-07-31 18:57:35", "<ul>\r\n 	<li><strong>Monday June 14</strong> 10:30am, B014</li>\r\n 	<li><strong>Wednesday June 16</strong>, 2:30pm, A247</li>\r\n 	<li><strong>Sunday June 20</strong> 2:15am, A110</li>\r\n</ul>", "Timbuktu", "", "publish", "closed", "closed", "", "timbuktu", "", "", "2022-08-01 15:34:24", "2022-08-01 15:34:24", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=notice&#038;p=474", "0", "notice", "", "0");
INSERT INTO `wp_posts` VALUES("475", "1", "2022-07-31 19:07:55", "2022-07-31 19:07:55", "&nbsp;\n<ul>\n 	<li><strong>Tuesday June 15</strong> 10:30am, B014</li>\n 	<li><strong>Thursday June 17</strong>, 2:30pm, A247</li>\n 	<li><strong>Sunday June 20</strong> 2:15am, A110</li>\n</ul>", "Facing Ali", "", "inherit", "closed", "closed", "", "254-autosave-v1", "", "", "2022-07-31 19:07:55", "2022-07-31 19:07:55", "", "254", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=475", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("476", "1", "2022-07-31 22:44:40", "2022-07-31 22:44:40", "<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "Documentary about Muhammad Ali  as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes , Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2022-07-31 22:44:40", "2022-07-31 22:44:40", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=476", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("478", "1", "2022-07-31 22:46:10", "2022-07-31 22:46:10", "<!-- wp:paragraph -->\n<p>Facing Ali is a 2009 documentary directed by Pete McCormack about Muhammad Ali (born Cassius Marcellus Clay, Jr. in Louisville, Kentucky) as told from the perspectives of some of the notable opponents he faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes (a former sparring partner of Ali), Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Production is credited to Canadian producer Derik Murray and his company, Network Entertainment, Lions Gate Entertainment, and Spike Sports in association with Muhammad Ali Enterprises.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The fighters discuss their bouts against Muhammad Ali as well as their own lives and careers; Ali\'s fights against other opponents; his conversion to Islam and the assumption of the name Muhammad Ali; his relationship with the Nation of Islam organization (frequently referred to as the \"black Muslims\"), its leader, Elijah Muhammad (who bestowed Ali with his new name after he was briefly called Cassius X), and the Nation of Islam\'s most prominent minister, Malcolm X; Ali\'s refusal to be inducted into the United States Army to serve in the ongoing Vietnam War in 1967 on moral and religious grounds; the decision by the New York State Athletic Commission to strip him of his championship; his legal case and his reinstatement after the favorable June 28, 1970 decision by the Supreme Court of the United States. The Justices decided 8-0 (with Thurgood Marshall abstaining), that \"... for the reasons stated, that the Department [of Justice] was simply wrong as a matter of law in advising that the petitioner\'s beliefs were not religiously based and were not sincerely held\".</p>\n<!-- /wp:paragraph -->", "Facing Ali", "The perspectives of some of the notable opponents Muhammad Ali faced during his career: George Chuvalo, Sir Henry Cooper, George Foreman, \"Smokin\'\" Joe Frazier, Larry Holmes, Ron Lyle, Ken Norton, Earnie Shavers, Leon Spinks and Ernie Terrell.", "inherit", "closed", "closed", "", "59-revision-v1", "", "", "2022-07-31 22:46:10", "2022-07-31 22:46:10", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=478", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("479", "1", "2022-07-31 23:56:21", "2022-07-31 23:56:21", "<!-- wp:paragraph -->\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n<!-- /wp:paragraph -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a 2000 Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-31 23:56:21", "2022-07-31 23:56:21", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=479", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("481", "1", "2022-07-31 23:57:02", "2022-07-31 23:57:02", "<!-- wp:paragraph -->\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n<!-- /wp:paragraph -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\".", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-07-31 23:57:02", "2022-07-31 23:57:02", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=481", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("482", "1", "2022-07-31 23:58:35", "2022-07-31 23:58:35", "<!-- wp:paragraph -->\n<p>Gangs of Wasseypur (stylised as Gangs of वासेपुर) is a 2012 Indian two-part crime film co-written, produced and directed by Anurag Kashyap. Centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. Its story spans from the early 1940s to the 2000\'s. Both parts were originally shot as a single film measuring a total of 319 minutes and screened at the 2012 Cannes Directors\' Fortnight but since no Indian theatre would volunteer to screen a five plus hour film, it was divided into two parts for the Indian market.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Kashyap plans to make another sequel, Gangs of Wasseypur 1.5 and has incorporated Zeishan Quadri as the director of the third part.</p>\n<!-- /wp:paragraph -->", "Gangs of Wasseypur", "Gangs of Wasseypur (stylised as Gangs of वासेपुर) is centered on the coal mafia of Dhanbad, and the underlying power struggles, politics and vengeance between three crime families, the film features an ensemble cast with Manoj Bajpai, Nawazuddin Siddiqui, Huma Qureshi, Richa Chadda and Tigmanshu Dhulia in the major roles. ", "inherit", "closed", "closed", "", "56-revision-v1", "", "", "2022-07-31 23:58:35", "2022-07-31 23:58:35", "", "56", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=482", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("483", "1", "2022-07-31 23:59:10", "2022-07-31 23:59:10", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-31 23:59:10", "2022-07-31 23:59:10", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=483", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("484", "1", "2022-07-31 23:59:43", "2022-07-31 23:59:43", "<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). N.J., disgruntled with his current job, attempts to court the favor of a prominent video game company while Ting-Ting and Yang-Yang contend with the various trials of youth, all while caring for N.J.\'s mother-in-law, who lies in a coma.</p>\n<!-- /wp:paragraph -->", "Yi Yi", "Set in Taiwan, the film follows the lives of the Jian family from the alternating perspectives of the three main family members: father N.J. (Nien-Jen Wu), teenage daughter Ting-Ting (Kelly Lee) and young son Yang-Yang (Jonathan Chang). who lies in a coma.", "inherit", "closed", "closed", "", "78-revision-v1", "", "", "2022-07-31 23:59:43", "2022-07-31 23:59:43", "", "78", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=484", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("485", "1", "2022-08-01 00:00:51", "2022-08-01 00:00:51", "<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->", "Brooklyn", "Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. Soon, however, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2022-08-01 00:00:51", "2022-08-01 00:00:51", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=485", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("486", "1", "2022-08-01 00:02:24", "2022-08-01 00:02:24", "<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. The initial shackles of homesickness quickly diminish as a fresh romance sweeps Eilis into the intoxicating charm of love. But soon, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.</p>\n<!-- /wp:paragraph -->", "Brooklyn", "Young Irish immigrant Eilis Lace (Saoirse Ronan) navigates her way through 1950s Brooklyn. Lured by the promise of America, Eilis departs Ireland and the comfort of her mother\'s home for the shores of New York City. Soon, however, her past disrupts her new vivacity, and Eilis must choose between two countries and the lives that exist within.", "inherit", "closed", "closed", "", "50-revision-v1", "", "", "2022-08-01 00:02:24", "2022-08-01 00:02:24", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=486", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("488", "1", "2022-08-01 00:05:15", "2022-08-01 00:05:15", "<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero is a 2002 Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Hero was first released in China on 24 October 2002. At that time, it was the most expensive project and the highest-grossing motion picture in Chinese film history.[citation needed] Miramax Films owned the American market distribution rights, but delayed the release of the film for nearly two years. It was finally presented by Quentin Tarantino to American theaters on 27 August 2004.</p>\n<!-- /wp:paragraph -->", "Hero", "Hero is a Chinese wuxia film directed by Zhang Yimou. Starring Jet Li as the nameless protagonist, the film is based on the story of Jing Ke\'s assassination attempt on the King of Qin in 227 BC. Until recently, it was the most expensive project and the highest-grossing motion picture in Chinese film history.", "inherit", "closed", "closed", "", "52-revision-v1", "", "", "2022-08-01 00:05:15", "2022-08-01 00:05:15", "", "52", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=488", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("489", "1", "2022-08-01 00:06:20", "2022-08-01 00:06:20", "<!-- wp:paragraph -->\n<p>Hana-bi (はなび HANA-BI), released in the United States as Fireworks, is a 1997 Japanese film written, directed and edited by Takeshi Kitano, who also stars in it. The film\'s score was composed by Joe Hisaishi in his fourth collaboration with Kitano. Hana-bi (花火 Hanabi) is the Japanese word for \"fireworks.\"</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.</p>\n<!-- /wp:paragraph -->", "Hana-bi", "Hana-bi (はなび HANA-BI), released in the United States and Canada as Fireworks, is a directed by Takeshi Kitano, who also stars in it. The unexpected international success of Hana-bi, coupled with Sonatine\'s critical acclaim, established Kitano as one of the foremost Japanese filmmakers of his time.", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2022-08-01 00:06:20", "2022-08-01 00:06:20", "", "7", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=489", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("490", "1", "2022-08-01 00:07:12", "2022-08-01 00:07:12", "<!-- wp:paragraph -->\n<p>In the Mood for Love (Chinese: <span lang=\"zh-Hant\">花樣年華</span>) is a Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title, meaning \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love – derives from a song of the same name by Zhou Xuan from a 1946 film. The English title derives from the song, \"I\'m in the Mood for Love\". Wong had planned to name the film Secrets, until listening to the song late in post-production.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the Mood for Love premiered on 20 May 2000, at the 2000 Cannes Film Festival, where it was nominated for the Palme d\'Or and Leung was awarded Best Actor. It is frequently listed as one of the greatest films of the 2000s. The movie forms the second part of an informal trilogy: The first part was Days of Being Wild&nbsp;(released in 1990) and the last part was 2046 (released in 2004).</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The story takes place in Hong Kong in 1962. Chow Mo-wan (Tony Leung), a journalist, rents a room in an apartment of a building on the same day as Su Li-zhen (Maggie Cheung), a secretary from a shipping company. They become next-door neighbours. Each has a spouse who works and often leaves them alone on overtime shifts. Despite the presence of a friendly Shanghainese landlady, Mrs. Suen, and bustling, mahjong-playing neighbours, Chow and Su often find themselves alone in their rooms. Their lives continue to intersect in everyday situations: a recurring motif is the loneliness of eating alone. The film documents the leads\' chance encounters, each making their individual trek to the street noodle stall.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow and Su each nurse suspicions about their own spouse\'s fidelity; each comes to the conclusion that their spouses have been seeing each other. Su wonders aloud how their spouses\' affair might have begun. Su and Chow re-enact what they imagine might have happened.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Chow soon invites Su to help him write a martial arts serial for the papers. Their neighbours begin to take notice of Su\'s prolonged absences. In the context of a socially conservative 1960s\' Hong Kong, friendships between men and women bear scrutiny. Chow rents a hotel room away from the apartment where he and Su can work together without attracting attention. The relationship between Chow and Su is platonic, as there is the suggestion that they would be degraded if they stooped to the level of their spouses. As time passes, however, they acknowledge that they have developed feelings for each other. Chow leaves Hong Kong for a job in Singapore. He asks Su to go with him; Chow waits for her at the hotel room and then leaves. She can be seen rushing down the stairs of her apartment, only to arrive at the empty hotel room, too late to join Chow.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next year, Su goes to Singapore and visits Chow\'s apartment. She calls Chow, who is working for a Singaporean newspaper, but she remains silent when Chow picks up. Later, Chow realises she has visited his apartment after seeing a lipstick-stained cigarette butt in his ashtray. While dining with a friend, Chow relays a story about how in older times, when a person had a secret that could not be shared, they would instead go atop a mountain, make a hollow in a tree, whisper the secret into that hollow and cover it with mud.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Three years later, Su visits her former landlady, Mrs. Suen. Mrs. Suen is about to emigrate to the United States, and Su inquires about whether the apartment is available for rent. Some time later, Chow returns to visit his landlords, the Koos. He finds they have emigrated to the <a title=\"Philippines\" href=\"https://en.wikipedia.org/wiki/Philippines\">Philippines</a>. He asks about the Suen family next door, and the new owner tells him a woman and her son are now living next door. He leaves without realising Su is the lady living next door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film ends at <a title=\"Siem Reap\" href=\"https://en.wikipedia.org/wiki/Siem_Reap\">Siem Reap</a>, Cambodia, where Chow is seen visiting the <a title=\"Angkor Wat\" href=\"https://en.wikipedia.org/wiki/Angkor_Wat\">Angkor Wat</a>. At the site of a ruined monastery, he whispers for some time into a hollow in a ruined wall, before plugging the hollow with mud.</p>\n<!-- /wp:paragraph -->", "2046", "In the Mood for Love (Chinese: 花樣年華) is a Hong Kong film directed by Wong Kar-wai, starring Maggie Cheung and Tony Leung. The film\'s original Chinese title means \"the age of blossoms\" or \"the flowery years\" – Chinese metaphor for the fleeting time of youth, beauty and love.", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2022-08-01 00:07:12", "2022-08-01 00:07:12", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=490", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("492", "1", "2022-08-01 00:08:47", "2022-08-01 00:08:47", "<!-- wp:paragraph -->\n<p>Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. While grieving he learns the local drug gang is behind the crime. He hunts down the two killers and kills both of them, but not before they confess. Based on this information, he goes after their boss. But a retaliation killing by the local boss puts him in the crossfire between two rival gangs: one local, one \"imported\" from Serbia.</p>\n<!-- /wp:paragraph -->", "In Order Of Disappearance", "Nils (Stellan Skarsgård) is a snow plough driver somewhere in Norway. He learns that his son has died, supposedly of a heroin overdose. Nils knows his son was no addict but does not know what happened. But he soon finds out by taking on the local drug gang.", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2022-08-01 00:08:47", "2022-08-01 00:08:47", "", "70", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=492", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("493", "1", "2022-08-01 00:09:24", "2022-08-01 00:09:24", "<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "\'71 is a  British historical thriller film set in Northern Ireland. It tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. ", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2022-08-01 00:09:24", "2022-08-01 00:09:24", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=493", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("494", "1", "2022-08-01 00:09:35", "2022-08-01 00:09:35", "<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "\'71 is a  British historical thriller film set in Northern Ireland. It tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. ", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2022-08-01 00:09:35", "2022-08-01 00:09:35", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=494", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("496", "1", "2022-08-01 00:11:33", "2022-08-01 00:11:33", "<!-- wp:paragraph -->\n<p>In Seraing, an industrial town near Liège, Belgium, Sandra is a young wife and mother, who works in a small solar-panel factory. She suffers a nervous breakdown and is forced to take time off from her job. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. Sandra later returns to work and discovers that her fate rests in the hands of her 16 co-workers, and she must visit each of them over the course of a weekend to persuade them to reject the monetary bonus. However, most of the co-workers need the proposed bonus for their own families and Sandra faces an uphill battle to keep her job before the crucial vote on Monday morning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In the final scene, the factory workers have a second ballot, in which eight vote for her to keep the job, and eight vote to keep the bonus. As a result, Sandra will not keep her position.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>However, the manager of the factory calls her into his office and agrees to give her the job of one of the others, a contract worker who voted in her favour. She turns it down – she now has the confidence to start anew, and pursue a new life for herself.</p>\n<!-- /wp:paragraph -->", "Two Days, One Night", "In Seraing, Belgium, factory worker Sandra suffers a nervous breakdown. During her absence, her colleagues realise they are able to cover her shifts by working slightly longer hours and the management proposes a €1,000 bonus to all staff if they agree to make Sandra redundant. ", "inherit", "closed", "closed", "", "48-revision-v1", "", "", "2022-08-01 00:11:33", "2022-08-01 00:11:33", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=496", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("498", "1", "2022-08-01 00:13:37", "2022-08-01 00:13:37", "<!-- wp:paragraph -->\n<p>Three Colours: Blue (French: Trois couleurs : Bleu) is a 1993 French drama film directed and co-written by Polish filmmaker Krzysztof Kieślowski. Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity; it is followed by White and Red. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Set in Paris, the film is about a woman whose husband and child are killed in a car accident. Suddenly set free from her familial bonds, she attempts to cut herself off from everything and live in isolation from her former ties, but finds that she can\'t free herself from human connections.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Blue is among Kieślowski\'s most celebrated works.</p>\n<!-- /wp:paragraph -->", "Blue", "Blue is the first of three films that comprise the Three Colours trilogy, themed on the French Revolutionary ideals of liberty, equality, and fraternity. According to Kieślowski, the subject of the film is liberty, specifically emotional liberty, rather than its social or political meaning.", "inherit", "closed", "closed", "", "34-revision-v1", "", "", "2022-08-01 00:13:37", "2022-08-01 00:13:37", "", "34", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=498", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("499", "1", "2022-08-01 00:14:41", "2022-08-01 00:14:41", "<!-- wp:paragraph -->\n<p>Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Red was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.</p>\n<!-- /wp:paragraph -->", "Red", "Red s the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals. Kieślowski\'s final film, Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2022-08-01 00:14:41", "2022-08-01 00:14:41", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=499", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("501", "1", "2022-08-01 00:15:54", "2022-08-01 00:15:54", "<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy anthology film composed of six standalone shorts, all written and directed by Damián Szifron, united by a common theme of violence and vengeance.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It stars an ensemble cast consisting of Ricardo Darín, Oscar Martínez, Leonardo Sbaraglia, Érica Rivas, Rita Cortese, Julieta Zylberberg, and Darío Grandinetti, and was co-produced by Agustín Almodóvar and Pedro Almodóvar. The film\'s musical score was composed by Gustavo Santaolalla. It was nominated for the Best Foreign Language Film at the 87th Academy Awards, won the Best Film Not in the English Language at the 69th British Academy Film Awards, and also won the Best Ibero-American Film at the 2nd Platino Awards.</p>\n<!-- /wp:paragraph -->", "Wild Tales", "Wild Tales (Spanish: Relatos salvajes) is a 2014 Argentine black comedy composed of six standalone shorts united by a common theme of violence and vengeance. It was nominated for the Best Foreign Language Film at the 87th Academy Awards.", "inherit", "closed", "closed", "", "57-revision-v1", "", "", "2022-08-01 00:15:54", "2022-08-01 00:15:54", "", "57", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=501", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("502", "1", "2022-08-01 00:27:49", "2022-08-01 00:27:49", "<!-- wp:paragraph -->\n<p>Leviathan (Russian: Левиафан, Leviafan) is a  Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>According to Zvyagintsev, the story of Marvin Heemeyer\'s 2004 rampage through a small US town using a modified bulldozer inspired him. A similar concept was adapted into a Russian setting. The character development of the protagonist parallels a biblical figure Job and the story of Naboth\'s Vineyard. The producer Alexander Rodnyansky has said: \"It deals with some of the most important social issues of contemporary Russia while never becoming an artist\'s sermon or a public statement; it is a story of love and tragedy experienced by ordinary people\". Critics noted the film as being formidable, dealing with quirks of fate, power and money</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film was selected to compete for the Palme d\'Or in the main competition section at the 2014 Cannes Film Festival. Zvyagintsev and Negin won the award for Best Screenplay. The film was judged the best film of the year at the 2014 BFI London Film Festival and the 45th International Film Festival of India. It won the Best Foreign Language Film award at the 72nd Golden Globe Awards. and the Asia Pacific Screen Award for Best Feature Film in 2014. It was also nominated for an Academy Award for Best Foreign Language Film at the 87th Academy Awards. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.</p>\n<!-- /wp:paragraph -->", "Leviathan", "Leviathan (Russian: Левиафан, Leviafan) is a 2014 Russian drama film directed by Andrey Zvyagintsev, co-written by Zvyagintsev and Oleg Negin, and starring Aleksei Serebryakov, Elena Lyadova, and Vladimir Vdovichenkov. It was picked as the 47th greatest film since 2000 in a 2016 critics\' poll by BBC.\n", "inherit", "closed", "closed", "", "89-revision-v1", "", "", "2022-08-01 00:27:49", "2022-08-01 00:27:49", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=502", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("503", "1", "2022-08-01 15:20:42", "2022-08-01 15:20:42", "The June 18th Industry Panel is <strong>postponed</strong>.\r\n\r\nA new date will be announced soon.", "Industry Panel", "", "publish", "closed", "closed", "", "industry-panel", "", "", "2022-08-01 15:20:42", "2022-08-01 15:20:42", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=notice&#038;p=503", "0", "notice", "", "0");
INSERT INTO `wp_posts` VALUES("504", "1", "2022-08-02 00:13:24", "2022-08-02 00:13:24", "Owing to technical problems, the Friday night showing of <strong>Ida</strong> has been cancelled.", "Ida (Friday Midnight)", "", "publish", "closed", "closed", "", "ida-friday-midnight-show", "", "", "2022-08-02 00:15:25", "2022-08-02 00:15:25", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=notice&#038;p=504", "0", "notice", "", "0");
INSERT INTO `wp_posts` VALUES("505", "1", "2022-08-02 03:51:49", "2022-08-02 03:51:49", "<!-- wp:paragraph -->\n<p>Three Colors: Red (French: Trois couleurs : Rouge) is a 1994 film co-written, produced, and directed by Polish filmmaker Krzysztof Kieślowski. It is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals; it is preceded by Blue and White. Kieślowski had announced that this would be his final film,[1] which proved true with the director\'s sudden death in 1996. Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Red was highly acclaimed, and was nominated for three Academy Awards, including Best Director for Kieślowski. It was also selected as the Swiss entry for the Best Foreign Language Film at the 67th Academy Awards, but was disqualified for not being a majority-Swiss production.</p>\n<!-- /wp:paragraph -->", "Red", "Red is the final film of The Three Colors Trilogy, which examines the French Revolutionary ideals. Kieślowski\'s final film, Red is about fraternity, which it examines by showing characters whose lives gradually become closely interconnected, with bonds forming between two characters who appear to have little in common.", "inherit", "closed", "closed", "", "33-revision-v1", "", "", "2022-08-02 03:51:49", "2022-08-02 03:51:49", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=505", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("506", "1", "2022-08-02 06:20:02", "2022-08-02 06:20:02", "<!-- wp:paragraph -->\n<p>Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s&nbsp;title.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Think David Mamet’s House of Games (1987) colliding with The Usual Suspects (1995) and you will have some idea of the multiple plot twists and narrative turns that Bielinsky orchestrates. The film&nbsp;spurred a number of remakes – including the&nbsp;LA-set Criminal (2004) and the Hindi-language Bluffmaster! (2005) – but neither have the edge or panache of the original.&nbsp;Bielinsky made only one other film, the austere The Aura (2005), before his death in&nbsp;2006.</p>\n<!-- /wp:paragraph -->", "Nine Queens", "Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s title. ", "publish", "open", "open", "", "nine-queens", "", "", "2022-08-02 22:22:15", "2022-08-02 22:22:15", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=506", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("507", "1", "2022-08-02 06:20:02", "2022-08-02 06:20:02", "<!-- wp:paragraph -->\n<p>Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s&nbsp;title.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Think David Mamet’s House of Games (1987) colliding with The Usual Suspects (1995) and you will have some idea of the multiple plot twists and narrative turns that Bielinsky orchestrates. The film&nbsp;spurred a number of remakes – including the&nbsp;LA-set Criminal (2004) and the Hindi-language Bluffmaster! (2005) – but neither have the edge or panache of the original.&nbsp;Bielinsky made only one other film, the austere The Aura (2005), before his death in&nbsp;2006.</p>\n<!-- /wp:paragraph -->", "Nine Queens", "Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s title. ", "inherit", "closed", "closed", "", "506-revision-v1", "", "", "2022-08-02 06:20:02", "2022-08-02 06:20:02", "", "506", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=507", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("508", "1", "2022-08-02 06:20:04", "2022-08-02 06:20:04", "<!-- wp:paragraph -->\n<p>Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s&nbsp;title.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Think David Mamet’s House of Games (1987) colliding with The Usual Suspects (1995) and you will have some idea of the multiple plot twists and narrative turns that Bielinsky orchestrates. The film&nbsp;spurred a number of remakes – including the&nbsp;LA-set Criminal (2004) and the Hindi-language Bluffmaster! (2005) – but neither have the edge or panache of the original.&nbsp;Bielinsky made only one other film, the austere The Aura (2005), before his death in&nbsp;2006.</p>\n<!-- /wp:paragraph -->", "Nine Queens", "Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s title. ", "inherit", "closed", "closed", "", "506-revision-v1", "", "", "2022-08-02 06:20:04", "2022-08-02 06:20:04", "", "506", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=508", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("509", "1", "2022-08-02 06:30:10", "2022-08-02 06:30:10", "<!-- wp:paragraph -->\n<p>Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s&nbsp;title.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Think David Mamet’s House of Games (1987) colliding with The Usual Suspects (1995) and you will have some idea of the multiple plot twists and narrative turns that Bielinsky orchestrates. The film&nbsp;spurred a number of remakes – including the&nbsp;LA-set Criminal (2004) and the Hindi-language Bluffmaster! (2005) – but neither have the edge or panache of the original.&nbsp;Bielinsky made only one other film, the austere The Aura (2005), before his death in&nbsp;2006.</p>\n<!-- /wp:paragraph -->", "Nine Queens", "Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s title. ", "inherit", "closed", "closed", "", "506-revision-v1", "", "", "2022-08-02 06:30:10", "2022-08-02 06:30:10", "", "506", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=509", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("510", "1", "2022-08-02 06:31:33", "2022-08-02 06:31:33", "<!-- wp:paragraph -->\n<p>Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s&nbsp;title.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Think David Mamet’s House of Games (1987) colliding with The Usual Suspects (1995) and you will have some idea of the multiple plot twists and narrative turns that Bielinsky orchestrates. The film&nbsp;spurred a number of remakes – including the&nbsp;LA-set Criminal (2004) and the Hindi-language Bluffmaster! (2005) – but neither have the edge or panache of the original.&nbsp;Bielinsky made only one other film, the austere The Aura (2005), before his death in&nbsp;2006.</p>\n<!-- /wp:paragraph -->", "Nine Queens", "Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s title. ", "inherit", "closed", "closed", "", "506-revision-v1", "", "", "2022-08-02 06:31:33", "2022-08-02 06:31:33", "", "506", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=510", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("511", "1", "2022-08-02 06:36:25", "2022-08-02 06:36:25", "<!-- wp:paragraph -->\n<p>Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s&nbsp;title.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Think David Mamet’s House of Games (1987) colliding with The Usual Suspects (1995) and you will have some idea of the multiple plot twists and narrative turns that Bielinsky orchestrates. The film&nbsp;spurred a number of remakes – including the&nbsp;LA-set Criminal (2004) and the Hindi-language Bluffmaster! (2005) – but neither have the edge or panache of the original.&nbsp;Bielinsky made only one other film, the austere The Aura (2005), before his death in&nbsp;2006.</p>\n<!-- /wp:paragraph -->", "Nine Queens", "Made as the nation was entering economic freefall, Fabián Bielinsky’s debut feature interlinked capitalism and criminality to compelling effect in a high-action heist thriller. Ricardo Darín and Gastón Pauls (both terrific) play two Buenos Aires con artists who conspire to scam a stamp collector by selling him a rare sheet of stamps – the nine queens of the film’s title. ", "inherit", "closed", "closed", "", "506-revision-v1", "", "", "2022-08-02 06:36:25", "2022-08-02 06:36:25", "", "506", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=511", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("512", "1", "2022-08-02 06:42:11", "2022-08-02 06:42:11", "<!-- wp:paragraph -->\n<p>Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\"The film is dead simple in its visual execution, except for some symbolic flourishes that will either jar with you or make you feel there\'s a mysterious resonance you can\'t quite pinpoint... But it was the most accomplished mainstream film in competition at this year\'s Berlinale, and as Marina, transgender performer Daniela Vega gave one of the most fascinating performances to be seen here, shifting moods... from shot to shot with mercurial fluidity. Fantástica, for sure.\" [Film Comment]</p>\n<!-- /wp:paragraph -->", "A Fantastic Woman", "Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.", "publish", "open", "open", "", "a-fantastic-woman", "", "", "2023-03-08 20:07:14", "2023-03-08 20:07:14", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=512", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("513", "1", "2022-08-02 06:42:11", "2022-08-02 06:42:11", "<!-- wp:paragraph -->\n<p>Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\"The film is dead simple in its visual execution, except for some symbolic flourishes that will either jar with you or make you feel there\'s a mysterious resonance you can\'t quite pinpoint... But it was the most accomplished mainstream film in competition at this year\'s Berlinale, and as Marina, transgender performer Daniela Vega gave one of the most fascinating performances to be seen here, shifting moods... from shot to shot with mercurial fluidity. Fantástica, for sure.\" [Film Comment]</p>\n<!-- /wp:paragraph -->", "A Fantastic Woman", "Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.", "inherit", "closed", "closed", "", "512-revision-v1", "", "", "2022-08-02 06:42:11", "2022-08-02 06:42:11", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=513", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("514", "1", "2022-08-02 06:42:13", "2022-08-02 06:42:13", "<!-- wp:paragraph -->\n<p>Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\"The film is dead simple in its visual execution, except for some symbolic flourishes that will either jar with you or make you feel there\'s a mysterious resonance you can\'t quite pinpoint... But it was the most accomplished mainstream film in competition at this year\'s Berlinale, and as Marina, transgender performer Daniela Vega gave one of the most fascinating performances to be seen here, shifting moods... from shot to shot with mercurial fluidity. Fantástica, for sure.\" [Film Comment]</p>\n<!-- /wp:paragraph -->", "A Fantastic Woman", "Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.", "inherit", "closed", "closed", "", "512-revision-v1", "", "", "2022-08-02 06:42:13", "2022-08-02 06:42:13", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=514", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("515", "1", "2022-08-02 22:21:21", "2022-08-02 22:21:21", "", "image-w1280", "", "inherit", "open", "closed", "", "image-w1280", "", "", "2022-08-02 22:21:21", "2022-08-02 22:21:21", "", "506", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2022/08/image-w1280.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("516", "1", "2022-08-02 22:21:58", "2022-08-02 22:21:58", "", "fantastic", "", "inherit", "open", "closed", "", "fantastic", "", "", "2022-08-02 22:21:58", "2022-08-02 22:21:58", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2022/08/fantastic.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("517", "1", "2022-08-02 22:25:03", "2022-08-02 22:25:03", "", "fantasticwoman-resize", "", "inherit", "open", "closed", "", "fantasticwoman-resize", "", "", "2022-08-02 22:25:03", "2022-08-02 22:25:03", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2022/08/fantasticwoman-resize.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("518", "1", "2022-08-02 22:27:19", "2022-08-02 22:27:19", "", "fantasticwoman-resize", "", "inherit", "open", "closed", "", "fantasticwoman-resize-2", "", "", "2022-08-02 22:27:19", "2022-08-02 22:27:19", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2022/08/fantasticwoman-resize-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("519", "1", "2022-08-03 00:01:23", "2022-08-03 00:01:23", "", "2046-1", "", "inherit", "open", "closed", "", "2046-1", "", "", "2022-08-03 00:01:23", "2022-08-03 00:01:23", "", "5", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/2046-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("520", "1", "2022-08-03 00:06:38", "2022-08-03 00:06:38", "", "wildtales", "", "inherit", "open", "closed", "", "wildtales", "", "", "2022-08-03 00:06:38", "2022-08-03 00:06:38", "", "57", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/wildtales.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("523", "1", "2022-08-03 00:22:02", "2022-08-03 00:22:02", "<!-- wp:paragraph -->\n<p>Directed by Abderrahmane Sissako, Timbuktu was selected to compete for the Palme d\'Or at the 2014 Cannes Film Festival. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards, and has been nominated for the BAFTA Award for Best Film Not in the English Language at the 69th British Academy Film Awards. It won Best Film at the 11th Africa Movie Academy Awards.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The film looks at the brief occupation of Timbuktu, Mali by Ansar Dine. Parts of the film were influenced by a 2012 public stoning of an unmarried couple in Aguelhok. It was shot in Oualata, a town in south-east Mauritania.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The city of Timbuktu is under the occupation of extremist Islamists bearing a jihadist black flag. Kidane is a cattle herder who lives outside of the city. One day, one of his cows accidentally damages the net of a fisherman. The enraged fisherman kills the cow. Kidane confronts the fisherman and accidentally shoots him dead. The jihadists arrest Kidane and, per sharia law, demand a blood money payment of 40 cattle to the fisherman\'s family. As Kidane has only seven cattle, he is sentenced to death. His wife shows up at his execution with a pistol, and as they run to each other the husband attempts to stop her. The executioners gun them both down.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Throughout the film there are subsidiary scenes showing the reaction of the population to the jihadists\' rule, which are portrayed as absurd. A female fishmonger must wear gloves even when selling fish. Music is banned; a woman is sentenced to 40 lashes for singing, and 40 lashes for being in the same room as a man not of her family. A couple are buried up to their necks in sand and stoned to death for adultery. Young men play football with an imaginary ball as sports are banned. A local imam tries to curb the jihadists\' excesses with sermons.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The failure of the occupiers to live up to their own rules is hinted at, for instance when one of them is seen smoking a cigarette. Another group of jihadists from France spend their days talking about their favorite football teams.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Characters speak in Tamasheq, Bambara, Arabic, French, and on a few occasions English. The mobile phone is an important means of communication.</p>\n<!-- /wp:paragraph -->", "Timbuktu", "Directed by Abderrahmane Sissako, Timbuktu was selected to compete for the 2014 Palme d\'Or. At Cannes, it won the Prize of the Ecumenical Jury and the François Chalais Prize. It was nominated for the Academy Award for Best Foreign Language Film at the 87th Academy Awards.", "inherit", "closed", "closed", "", "44-revision-v1", "", "", "2022-08-03 00:22:02", "2022-08-03 00:22:02", "", "44", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=523", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("524", "1", "2022-08-03 00:23:04", "2022-08-03 00:23:04", "<!-- wp:paragraph -->\n<p>This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary film by Jafar Panahi and Mojtaba Mirtahmasb. It was released on 28 September 2011 in France, distributed by Kanibal Films Distribution. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. It was specially screened at the 2011 Cannes Film Festival and later at the New York Film Festival, and others. It also took part in the International Competition of the 27th Warsaw International Film Festival.</p>\n<!-- /wp:paragraph -->", "This Is Not A Film", "This Is Not a Film (Persian: In film nist - این فیلم نیست‎‎) is an Iranian documentary by Jafar Panahi and Mojtaba Mirtahmasb. The film was smuggled from Iran to Cannes in a flash drive hidden inside a birthday cake. ", "inherit", "closed", "closed", "", "54-revision-v1", "", "", "2022-08-03 00:23:04", "2022-08-03 00:23:04", "", "54", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=524", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("526", "1", "2022-08-03 00:25:33", "2022-08-03 00:25:33", "<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "A compelling drama about the dissolution of a marriage, A Separation focuses on an Iranian middle-class couple, the disappointment and desperation suffered by their daughter due to their egotistical disputes and separation, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease.", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2022-08-03 00:25:33", "2022-08-03 00:25:33", "", "13", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=526", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("528", "1", "2022-08-03 00:26:29", "2022-08-03 00:26:29", "<!-- wp:paragraph -->\n<p>A Separation (Persian: جدایی نادر از سیمین‎‎ Jodaí-e Nadér az Simín, \"The Separation of Nader from Simin\") is a 2011 Iranian drama film written and directed by Asghar Farhadi, starring Leila Hatami, Peyman Moaadi, Shahab Hosseini, Sareh Bayat, and Sarina Farhadi. It focuses on an Iranian middle-class couple who separate, the disappointment and desperation suffered by their daughter due to the egotistical disputes and separation of her parents, and the conflicts that arise when the husband hires a lower-class caregiver for his elderly father, who suffers from Alzheimer\'s disease. A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. It received the Golden Bear for Best Film and the Silver Bears for Best Actress and Best Actor at the 61st Berlin International Film Festival, becoming the first Iranian film to win the Golden Bear. It also won the Golden Globe for Best Foreign Language Film. The film was nominated for the Academy Award for Best Original Screenplay, making it the first non-English film in five years to achieve this</p>\n<!-- /wp:paragraph -->", "A Separation", "A compelling drama about the dissolution of a marriage, A Separation won the Academy Award for Best Foreign Language Film in 2012, becoming the first Iranian film to win the award. ", "inherit", "closed", "closed", "", "13-revision-v1", "", "", "2022-08-03 00:26:29", "2022-08-03 00:26:29", "", "13", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=528", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("529", "1", "2022-08-03 00:27:55", "2022-08-03 00:27:55", "<!-- wp:paragraph -->\n<p>Dekalog (pronounced [dɛˈkalɔg], also known as Dekalog: The Ten Commandments and The Decalogue) is a 1989 Polish television drama series directed by Krzysztof Kieślowski and co-written by Kieślowski with Krzysztof Piesiewicz, with music by Zbigniew Preisner. It consists of ten one-hour films, inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The series is Kieślowski\'s most acclaimed work, has been said to be \"the best dramatic work ever done specifically for television\" and has won numerous international awards, though it was not widely released outside Europe until the late 1990s.</p>\n<!-- /wp:paragraph -->", "Dekalog", "Dekalog. a 1989 Polish television drama series directed by Krzysztof Kieślowski, consists of ten one-hour films inspired by the Ten Commandments. Each short film explores one or several moral or ethical issues faced by characters living in an austere apartment block in modern Poland.", "inherit", "closed", "closed", "", "58-revision-v1", "", "", "2022-08-03 00:27:55", "2022-08-03 00:27:55", "", "58", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=529", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("530", "1", "2022-08-03 00:55:14", "2022-08-03 00:55:14", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-start-pedalmania", "", "", "2022-08-03 00:55:14", "2022-08-03 00:55:14", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-global-styles-start-pedalmania/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("531", "1", "2022-08-03 17:42:05", "2022-08-03 17:42:05", "", "i-killed-my-mother", "", "inherit", "open", "closed", "", "i-killed-my-mother-3", "", "", "2022-08-03 17:42:05", "2022-08-03 17:42:05", "", "30", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/i-killed-my-mother.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("532", "1", "2022-08-03 17:46:59", "2022-08-03 17:46:59", "", "facing-ali", "", "inherit", "open", "closed", "", "facing-ali-3", "", "", "2022-08-03 17:46:59", "2022-08-03 17:46:59", "", "59", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/facing-ali.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("533", "1", "2022-08-03 17:59:38", "2022-08-03 17:59:38", "", "brooklyn2", "", "inherit", "open", "closed", "", "brooklyn2", "", "", "2022-08-03 17:59:38", "2022-08-03 17:59:38", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/brooklyn2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("534", "1", "2022-08-03 17:59:39", "2022-08-03 17:59:39", "", "brooklyn", "", "inherit", "open", "closed", "", "brooklyn-3", "", "", "2022-08-03 17:59:39", "2022-08-03 17:59:39", "", "50", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/brooklyn.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("535", "1", "2022-08-03 18:04:25", "2022-08-03 18:04:25", "", "13Assassins", "", "inherit", "open", "closed", "", "13assassins", "", "", "2022-08-03 18:04:25", "2022-08-03 18:04:25", "", "84", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/13Assassins.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("536", "1", "2022-08-03 18:08:15", "2022-08-03 18:08:15", "", "hana-bi", "", "inherit", "open", "closed", "", "hana-bi-3", "", "", "2022-08-03 18:08:15", "2022-08-03 18:08:15", "", "7", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/hana-bi.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("537", "1", "2022-08-03 18:15:46", "2022-08-03 18:15:46", "", "hero2", "", "inherit", "open", "closed", "", "hero2", "", "", "2022-08-03 18:15:46", "2022-08-03 18:15:46", "", "52", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/hero2.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("538", "1", "2022-08-03 18:20:24", "2022-08-03 18:20:24", "", "handmaiden", "", "inherit", "open", "closed", "", "handmaiden", "", "", "2022-08-03 18:20:24", "2022-08-03 18:20:24", "", "23", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/handmaiden.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("539", "1", "2022-08-03 18:24:13", "2022-08-03 18:24:13", "", "assassin-1", "", "inherit", "open", "closed", "", "assassin-1", "", "", "2022-08-03 18:24:13", "2022-08-03 18:24:13", "", "74", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/assassin-1.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("540", "1", "2022-08-03 18:28:23", "2022-08-03 18:28:23", "", "ida", "", "inherit", "open", "closed", "", "ida-3", "", "", "2022-08-03 18:28:23", "2022-08-03 18:28:23", "", "90", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/ida-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("542", "1", "2022-08-03 18:44:11", "2022-08-03 18:44:11", "", "leviathan-1", "", "inherit", "open", "closed", "", "leviathan-1", "", "", "2022-08-03 18:44:11", "2022-08-03 18:44:11", "", "89", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/leviathan-1.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("543", "1", "2022-08-03 18:47:54", "2022-08-03 18:47:54", "", "in-order-2", "", "inherit", "open", "closed", "", "in-order-2", "", "", "2022-08-03 18:47:54", "2022-08-03 18:47:54", "", "70", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/in-order-2.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("544", "1", "2022-08-03 18:51:22", "2022-08-03 18:51:22", "", "71-move", "", "inherit", "open", "closed", "", "71-move", "", "", "2022-08-03 18:51:22", "2022-08-03 18:51:22", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/71-move.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("545", "1", "2022-08-03 18:59:40", "2022-08-03 18:59:40", "", "twodaysonenight", "", "inherit", "open", "closed", "", "twodaysonenight", "", "", "2022-08-03 18:59:40", "2022-08-03 18:59:40", "", "48", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/twodaysonenight.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("546", "1", "2022-08-03 19:03:45", "2022-08-03 19:03:45", "", "mommy", "", "inherit", "open", "closed", "", "mommy-3", "", "", "2022-08-03 19:03:45", "2022-08-03 19:03:45", "", "29", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2017/03/mommy-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("547", "1", "2022-08-03 19:22:38", "2022-08-03 19:22:38", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "publish", "open", "open", "", "rrr", "", "", "2023-03-08 21:52:13", "2023-03-08 21:52:13", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=547", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("548", "1", "2022-08-03 19:22:38", "2022-08-03 19:22:38", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "inherit", "closed", "closed", "", "547-revision-v1", "", "", "2022-08-03 19:22:38", "2022-08-03 19:22:38", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=548", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("549", "1", "2022-08-03 19:22:39", "2022-08-03 19:22:39", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "inherit", "closed", "closed", "", "547-revision-v1", "", "", "2022-08-03 19:22:39", "2022-08-03 19:22:39", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=549", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("550", "1", "2022-08-03 19:23:19", "2022-08-03 19:23:19", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "inherit", "closed", "closed", "", "547-revision-v1", "", "", "2022-08-03 19:23:19", "2022-08-03 19:23:19", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=550", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("552", "1", "2022-08-03 19:23:53", "2022-08-03 19:23:53", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "inherit", "closed", "closed", "", "547-revision-v1", "", "", "2022-08-03 19:23:53", "2022-08-03 19:23:53", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=552", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("553", "1", "2022-08-03 19:32:55", "2022-08-03 19:32:55", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "inherit", "closed", "closed", "", "547-revision-v1", "", "", "2022-08-03 19:32:55", "2022-08-03 19:32:55", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=553", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("554", "1", "2022-08-03 19:35:11", "2022-08-03 19:35:11", "", "rrr", "", "inherit", "open", "closed", "", "rrr-2", "", "", "2022-08-03 19:35:11", "2022-08-03 19:35:11", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2022/08/rrr.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("555", "1", "2022-08-03 19:54:14", "2022-08-03 19:54:14", "<!-- wp:paragraph -->\n<p>RRR is a 2022 Indian Telugu-language epic action drama film directed by S. S. Rajamouli who wrote the film with V. Vijayendra Prasad. It is produced by D. V. V. Danayya of DVV Entertainment. The film stars N. T. Rama Rao Jr., Ram Charan, Ajay Devgn, Alia Bhatt, Shriya Saran, Samuthirakani, Ray Stevenson, Alison Doody, and Olivia Morris. It is a fictional story about two real-life Indian revolutionaries, Alluri Sitarama Raju (Charan) and Komaram Bheem (Rama Rao), and their fight against the British Raj. Set in 1920, the plot explores the undocumented period in their lives when both the revolutionaries chose to go into obscurity before they began the fight for their country.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Rajamouli came across stories about the lives of Rama Raju and Bheem and connected the coincidences between them, imagining what would have happened had they met, and been friends. The film was formally announced in March 2018. Principal photography of the film began in November 2018 in Hyderabad which continued until August 2021, owing to delays caused by the COVID-19 pandemic. The film was shot extensively across India, with a few sequences in Ukraine and Bulgaria. The film\'s soundtrack and background score is composed by M. M. Keeravani with cinematography by K. K. Senthil Kumar and editing by A. Sreekar Prasad. Sabu Cyril is the film\'s production designer whilst V. Srinivas Mohan supervised the visual effects.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Made on a budget of ₹550 crore (US$69 million), RRR is the most expensive Indian film to date. The film was initially scheduled for theatrical release on 30 July 2020, which was postponed multiple times due to production delays and the pandemic. RRR was released theatrically on 25 March 2022, and opened to positive reviews from critics with praise for the performances, particularly Rama Rao and Charan, and screenplay by Rajamouli. With ₹240 crore (US$30 million) worldwide on its first day, RRR broke the record for the highest opening-day collection earned by an Indian film. RRR emerged as the highest-grossing film in its home market of Andhra Pradesh and Telangana, grossing over ₹400 crore (US$50 million) and surpassing Rajamouli\'s previous film Baahubali 2. The film grossed ₹1,150–1,200 crore (US$150–160 million) worldwide, setting several box office records for an Indian film, including the second-highest-grossing film in India and the third-highest-grossing Indian film until it was surpassed by K.G.F: Chapter 2 (2022) during its theatrical run.</p>\n<!-- /wp:paragraph -->", "RRR", "RRR is a fictional story about real-life Indian revolutionaries, Alluri Sitarama Raju and Komaram Bheem, and their fight against the British Raj. Set in 1920, the plot explores the undocumented period when both chose to go into obscurity before they began the fight for their country.", "inherit", "closed", "closed", "", "547-autosave-v1", "", "", "2022-08-03 19:54:14", "2022-08-03 19:54:14", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=555", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("556", "1", "2022-08-03 19:54:50", "2022-08-03 19:54:50", "<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\'71 is a 2014 British historical thriller film set in Northern Ireland, written by Gregory Burke and directed by Yann Demange. It stars Jack O\'Connell, Sean Harris, David Wilmot, Richard Dormer, Paul Anderson and Charlie Murphy, and tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. Filming began on location in Blackburn, Lancashire, in April 2013 and continued in Sheffield and Liverpool. The film was funded by the British Film Institute, Film4, Creative Scotland and Screen Yorkshire. The film had its premiere in the competition section of the 64th Berlin International Film Festival, held in February 2014.</p>\n<!-- /wp:paragraph -->", "71", "\'71 is a  British historical thriller film set in Northern Ireland. It tells the story of a British soldier who becomes separated from his unit during a riot in Belfast at the height of the Troubles in 1971. ", "inherit", "closed", "closed", "", "69-autosave-v1", "", "", "2022-08-03 19:54:50", "2022-08-03 19:54:50", "", "69", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=556", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("557", "1", "2022-08-04 01:11:45", "2022-08-04 01:11:45", "", "blue", "", "inherit", "open", "closed", "", "blue-3", "", "", "2022-08-04 01:11:45", "2022-08-04 01:11:45", "", "34", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2015/03/blue.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("558", "1", "2022-08-04 01:12:39", "2022-08-04 01:12:39", "", "red", "", "inherit", "open", "closed", "", "red-3", "", "", "2022-08-04 01:12:39", "2022-08-04 01:12:39", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2014/03/red.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("560", "1", "2022-08-04 01:13:42", "2022-08-04 01:13:42", "", "red2", "", "inherit", "open", "closed", "", "red2", "", "", "2022-08-04 01:13:42", "2022-08-04 01:13:42", "", "33", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2014/03/red2.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("561", "1", "2022-08-04 14:40:18", "2022-08-04 14:40:18", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentyone", "", "", "2022-08-04 14:40:18", "2022-08-04 14:40:18", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-global-styles-twentytwentyone/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("562", "1", "2022-08-04 15:02:11", "2022-08-04 15:02:11", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-imaginaryfilmfestival-canonical-2022", "", "", "2022-08-04 15:02:11", "2022-08-04 15:02:11", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-global-styles-imaginaryfilmfestival-canonical-2022/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("568", "1", "2023-03-06 19:06:31", "2023-03-06 19:06:31", "", "banshees-1920", "", "inherit", "open", "closed", "", "banshees-1920", "", "", "2023-03-06 19:06:31", "2023-03-06 19:06:31", "", "547", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2022/08/banshees-1920.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("569", "1", "2023-03-06 19:09:45", "2023-03-06 19:09:45", "<!-- wp:paragraph -->\n<p>At the tail end of the Irish Civil War in 1923, on the fictional Irish isle of Inisherin, folk musician Colm Doherty abruptly begins ignoring his lifelong friend and drinking buddy Pádraic Súilleabháin. Pádraic, though \"nice\" and well liked by the islanders, is too dull for Colm, who wishes to spend the remainder of his life composing music and doing things for which he will be remembered. Pádraic\'s life is destabilised by the loss of one of his few friends; as Pádraic grows increasingly distressed at the rejection, Colm becomes more resistant to his old friend\'s attempts to speak to him. Colm eventually gives Pádraic an ultimatum: every time Pádraic bothers him or tries to talk with him, Colm will cut off one of his own left fingers with a pair of sheep shears.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The local Garda, Peadar, beats his troubled son Dominic severely, and Pádraic and his sister Siobhán take Dominic in for a short time. While delivering milk to the market, Peadar insults Pádraic, who retaliates by making public the fact that he beats his son. Peadar knocks him to the ground. Having witnessed this, Colm puts Pádraic back in his wagon and drives him home; the two do not speak.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Though Siobhán and Dominic attempt to defuse the pair\'s escalating battle, their efforts prove fruitless. Pádraic drunkenly confronts Colm in the pub over his lack of \"niceness\", also confronting Peadar over the fact that he molests Dominic. Colm remarks that this is the most interesting Pádraic has been, and mutters: \"I think I like him again now.\" The next morning, not remembering what he has said, Pádraic attempts to apologise to Colm but the conversation goes badly and Colm responds by cutting off one of his fingers and throwing it at Pádraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After Pádraic sees Colm meeting with a fiddler from the mainland, Pádraic tricks the fiddler into returning home by lying about his father being hit by a bread van. As the tensions worsen, local elder Mrs. McCormick warns Pádraic that death will come to the island soon. Meanwhile, Siobhán gently rejects Dominic\'s romantic advances.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pádraic tells Dominic about what he did to the fiddler, and Dominic says that Pádraic is no longer nice. Pádraic becomes convinced that this will make him interesting enough for Colm, and he visits Colm to reprimand him for behaving so badly. Colm reveals that he has finished composing his song, which he calls \"The Banshees of Inisherin\". The two appear to be on the point of reconciling when, before leaving for the pub, Pádraic mentions that he lied to the fiddler to get him off the island. Instead of meeting Pádraic at the pub, Colm cuts off his remaining left fingers and throws them at Padraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Sick of life on the island, Siobhán moves to the mainland for a job in a library. Pádraic comes home to find his pet donkey Jenny has choked on one of Colm\'s fingers and died. He confronts Colm and warns him he will burn his house down the next day at 2:00 p.m., regardless of whether Colm is in it. The next day Pádraic sets fire to Colm\'s house as promised, but not before taking Colm\'s dog Sammy, who is outside the house, with him. Pádraic looks in a window and sees Colm calmly sitting inside the burning building. Peadar goes to Pádraic\'s house, planning to beat him. He is diverted away by Mrs. McCormick, who leads him to Dominic\'s corpse floating in the nearby lake.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next morning, Pádraic, with Sammy, finds Colm standing on the beach beside his burnt-out house. Colm apologises for the donkey\'s death and suggests destroying the house has ended their feud, but Pádraic informs him that it only would have ended if he had stayed inside the house. When Colm wonders if the Civil War has ended, Pádraic replies that he believes it may be a good thing that there are some things that cannot be moved on from. As Pádraic turns to leave, Colm thanks him for looking after Sammy; \"Any time\", Pádraic responds. Unbeknownst to them, Mrs. McCormick is watching them from a distance by Colm\'s burned cottage.</p>\n<!-- /wp:paragraph -->", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "publish", "open", "open", "", "the-banshees-of-inisherin", "", "", "2023-03-08 21:03:14", "2023-03-08 21:03:14", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=569", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("571", "1", "2023-03-06 19:15:30", "2023-03-06 19:15:30", "", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:15:30", "2023-03-06 19:15:30", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=571", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("572", "1", "2023-03-06 19:15:31", "2023-03-06 19:15:31", "", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:15:31", "2023-03-06 19:15:31", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=572", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("574", "1", "2023-03-06 19:16:02", "2023-03-06 19:16:02", "", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:16:02", "2023-03-06 19:16:02", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=574", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("575", "1", "2023-03-06 19:16:44", "2023-03-06 19:16:44", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "268-revision-v1", "", "", "2023-03-06 19:16:44", "2023-03-06 19:16:44", "", "268", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=575", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("576", "1", "2023-03-06 19:17:17", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-03-06 19:17:17", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=576", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("578", "1", "2023-03-06 19:19:53", "2023-03-06 19:19:53", "", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:19:53", "2023-03-06 19:19:53", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=578", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("580", "1", "2023-03-06 19:22:32", "2023-03-06 19:22:32", "<!-- wp:paragraph -->\n<p>At the tail end of the Irish Civil War in 1923, on the fictional Irish isle of Inisherin, folk musician Colm Doherty abruptly begins ignoring his lifelong friend and drinking buddy Pádraic Súilleabháin. Pádraic, though \"nice\" and well liked by the islanders, is too dull for Colm, who wishes to spend the remainder of his life composing music and doing things for which he will be remembered. Pádraic\'s life is destabilised by the loss of one of his few friends; as Pádraic grows increasingly distressed at the rejection, Colm becomes more resistant to his old friend\'s attempts to speak to him. Colm eventually gives Pádraic an ultimatum: every time Pádraic bothers him or tries to talk with him, Colm will cut off one of his own left fingers with a pair of sheep shears.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The local Garda, Peadar, beats his troubled son Dominic severely, and Pádraic and his sister Siobhán take Dominic in for a short time. While delivering milk to the market, Peadar insults Pádraic, who retaliates by making public the fact that he beats his son. Peadar knocks him to the ground. Having witnessed this, Colm puts Pádraic back in his wagon and drives him home; the two do not speak.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Though Siobhán and Dominic attempt to defuse the pair\'s escalating battle, their efforts prove fruitless. Pádraic drunkenly confronts Colm in the pub over his lack of \"niceness\", also confronting Peadar over the fact that he molests Dominic. Colm remarks that this is the most interesting Pádraic has been, and mutters: \"I think I like him again now.\" The next morning, not remembering what he has said, Pádraic attempts to apologise to Colm but the conversation goes badly and Colm responds by cutting off one of his fingers and throwing it at Pádraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After Pádraic sees Colm meeting with a fiddler from the mainland, Pádraic tricks the fiddler into returning home by lying about his father being hit by a bread van. As the tensions worsen, local elder Mrs. McCormick warns Pádraic that death will come to the island soon. Meanwhile, Siobhán gently rejects Dominic\'s romantic advances.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pádraic tells Dominic about what he did to the fiddler, and Dominic says that Pádraic is no longer nice. Pádraic becomes convinced that this will make him interesting enough for Colm, and he visits Colm to reprimand him for behaving so badly. Colm reveals that he has finished composing his song, which he calls \"The Banshees of Inisherin\". The two appear to be on the point of reconciling when, before leaving for the pub, Pádraic mentions that he lied to the fiddler to get him off the island. Instead of meeting Pádraic at the pub, Colm cuts off his remaining left fingers and throws them at Padraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Sick of life on the island, Siobhán moves to the mainland for a job in a library. Pádraic comes home to find his pet donkey Jenny has choked on one of Colm\'s fingers and died. He confronts Colm and warns him he will burn his house down the next day at 2:00 p.m., regardless of whether Colm is in it. The next day Pádraic sets fire to Colm\'s house as promised, but not before taking Colm\'s dog Sammy, who is outside the house, with him. Pádraic looks in a window and sees Colm calmly sitting inside the burning building. Peadar goes to Pádraic\'s house, planning to beat him. He is diverted away by Mrs. McCormick, who leads him to Dominic\'s corpse floating in the nearby lake.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next morning, Pádraic, with Sammy, finds Colm standing on the beach beside his burnt-out house. Colm apologises for the donkey\'s death and suggests destroying the house has ended their feud, but Pádraic informs him that it only would have ended if he had stayed inside the house. When Colm wonders if the Civil War has ended, Pádraic replies that he believes it may be a good thing that there are some things that cannot be moved on from. As Pádraic turns to leave, Colm thanks him for looking after Sammy; \"Any time\", Pádraic responds. Unbeknownst to them, Mrs. McCormick is watching them from a distance by Colm\'s burned cottage.</p>\n<!-- /wp:paragraph -->", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:22:32", "2023-03-06 19:22:32", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=580", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("581", "1", "2023-03-06 19:22:33", "2023-03-06 19:22:33", "<!-- wp:paragraph -->\n<p>At the tail end of the Irish Civil War in 1923, on the fictional Irish isle of Inisherin, folk musician Colm Doherty abruptly begins ignoring his lifelong friend and drinking buddy Pádraic Súilleabháin. Pádraic, though \"nice\" and well liked by the islanders, is too dull for Colm, who wishes to spend the remainder of his life composing music and doing things for which he will be remembered. Pádraic\'s life is destabilised by the loss of one of his few friends; as Pádraic grows increasingly distressed at the rejection, Colm becomes more resistant to his old friend\'s attempts to speak to him. Colm eventually gives Pádraic an ultimatum: every time Pádraic bothers him or tries to talk with him, Colm will cut off one of his own left fingers with a pair of sheep shears.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The local Garda, Peadar, beats his troubled son Dominic severely, and Pádraic and his sister Siobhán take Dominic in for a short time. While delivering milk to the market, Peadar insults Pádraic, who retaliates by making public the fact that he beats his son. Peadar knocks him to the ground. Having witnessed this, Colm puts Pádraic back in his wagon and drives him home; the two do not speak.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Though Siobhán and Dominic attempt to defuse the pair\'s escalating battle, their efforts prove fruitless. Pádraic drunkenly confronts Colm in the pub over his lack of \"niceness\", also confronting Peadar over the fact that he molests Dominic. Colm remarks that this is the most interesting Pádraic has been, and mutters: \"I think I like him again now.\" The next morning, not remembering what he has said, Pádraic attempts to apologise to Colm but the conversation goes badly and Colm responds by cutting off one of his fingers and throwing it at Pádraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After Pádraic sees Colm meeting with a fiddler from the mainland, Pádraic tricks the fiddler into returning home by lying about his father being hit by a bread van. As the tensions worsen, local elder Mrs. McCormick warns Pádraic that death will come to the island soon. Meanwhile, Siobhán gently rejects Dominic\'s romantic advances.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pádraic tells Dominic about what he did to the fiddler, and Dominic says that Pádraic is no longer nice. Pádraic becomes convinced that this will make him interesting enough for Colm, and he visits Colm to reprimand him for behaving so badly. Colm reveals that he has finished composing his song, which he calls \"The Banshees of Inisherin\". The two appear to be on the point of reconciling when, before leaving for the pub, Pádraic mentions that he lied to the fiddler to get him off the island. Instead of meeting Pádraic at the pub, Colm cuts off his remaining left fingers and throws them at Padraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Sick of life on the island, Siobhán moves to the mainland for a job in a library. Pádraic comes home to find his pet donkey Jenny has choked on one of Colm\'s fingers and died. He confronts Colm and warns him he will burn his house down the next day at 2:00 p.m., regardless of whether Colm is in it. The next day Pádraic sets fire to Colm\'s house as promised, but not before taking Colm\'s dog Sammy, who is outside the house, with him. Pádraic looks in a window and sees Colm calmly sitting inside the burning building. Peadar goes to Pádraic\'s house, planning to beat him. He is diverted away by Mrs. McCormick, who leads him to Dominic\'s corpse floating in the nearby lake.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next morning, Pádraic, with Sammy, finds Colm standing on the beach beside his burnt-out house. Colm apologises for the donkey\'s death and suggests destroying the house has ended their feud, but Pádraic informs him that it only would have ended if he had stayed inside the house. When Colm wonders if the Civil War has ended, Pádraic replies that he believes it may be a good thing that there are some things that cannot be moved on from. As Pádraic turns to leave, Colm thanks him for looking after Sammy; \"Any time\", Pádraic responds. Unbeknownst to them, Mrs. McCormick is watching them from a distance by Colm\'s burned cottage.</p>\n<!-- /wp:paragraph -->", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:22:33", "2023-03-06 19:22:33", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=581", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("582", "1", "2023-03-06 19:22:50", "2023-03-06 19:22:50", "<!-- wp:paragraph -->\n<p>At the tail end of the Irish Civil War in 1923, on the fictional Irish isle of Inisherin, folk musician Colm Doherty abruptly begins ignoring his lifelong friend and drinking buddy Pádraic Súilleabháin. Pádraic, though \"nice\" and well liked by the islanders, is too dull for Colm, who wishes to spend the remainder of his life composing music and doing things for which he will be remembered. Pádraic\'s life is destabilised by the loss of one of his few friends; as Pádraic grows increasingly distressed at the rejection, Colm becomes more resistant to his old friend\'s attempts to speak to him. Colm eventually gives Pádraic an ultimatum: every time Pádraic bothers him or tries to talk with him, Colm will cut off one of his own left fingers with a pair of sheep shears.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The local Garda, Peadar, beats his troubled son Dominic severely, and Pádraic and his sister Siobhán take Dominic in for a short time. While delivering milk to the market, Peadar insults Pádraic, who retaliates by making public the fact that he beats his son. Peadar knocks him to the ground. Having witnessed this, Colm puts Pádraic back in his wagon and drives him home; the two do not speak.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Though Siobhán and Dominic attempt to defuse the pair\'s escalating battle, their efforts prove fruitless. Pádraic drunkenly confronts Colm in the pub over his lack of \"niceness\", also confronting Peadar over the fact that he molests Dominic. Colm remarks that this is the most interesting Pádraic has been, and mutters: \"I think I like him again now.\" The next morning, not remembering what he has said, Pádraic attempts to apologise to Colm but the conversation goes badly and Colm responds by cutting off one of his fingers and throwing it at Pádraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After Pádraic sees Colm meeting with a fiddler from the mainland, Pádraic tricks the fiddler into returning home by lying about his father being hit by a bread van. As the tensions worsen, local elder Mrs. McCormick warns Pádraic that death will come to the island soon. Meanwhile, Siobhán gently rejects Dominic\'s romantic advances.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pádraic tells Dominic about what he did to the fiddler, and Dominic says that Pádraic is no longer nice. Pádraic becomes convinced that this will make him interesting enough for Colm, and he visits Colm to reprimand him for behaving so badly. Colm reveals that he has finished composing his song, which he calls \"The Banshees of Inisherin\". The two appear to be on the point of reconciling when, before leaving for the pub, Pádraic mentions that he lied to the fiddler to get him off the island. Instead of meeting Pádraic at the pub, Colm cuts off his remaining left fingers and throws them at Padraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Sick of life on the island, Siobhán moves to the mainland for a job in a library. Pádraic comes home to find his pet donkey Jenny has choked on one of Colm\'s fingers and died. He confronts Colm and warns him he will burn his house down the next day at 2:00 p.m., regardless of whether Colm is in it. The next day Pádraic sets fire to Colm\'s house as promised, but not before taking Colm\'s dog Sammy, who is outside the house, with him. Pádraic looks in a window and sees Colm calmly sitting inside the burning building. Peadar goes to Pádraic\'s house, planning to beat him. He is diverted away by Mrs. McCormick, who leads him to Dominic\'s corpse floating in the nearby lake.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next morning, Pádraic, with Sammy, finds Colm standing on the beach beside his burnt-out house. Colm apologises for the donkey\'s death and suggests destroying the house has ended their feud, but Pádraic informs him that it only would have ended if he had stayed inside the house. When Colm wonders if the Civil War has ended, Pádraic replies that he believes it may be a good thing that there are some things that cannot be moved on from. As Pádraic turns to leave, Colm thanks him for looking after Sammy; \"Any time\", Pádraic responds. Unbeknownst to them, Mrs. McCormick is watching them from a distance by Colm\'s burned cottage.</p>\n<!-- /wp:paragraph -->", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:22:50", "2023-03-06 19:22:50", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=582", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("583", "1", "2023-03-06 19:23:03", "2023-03-06 19:23:03", "<!-- wp:paragraph -->\n<p>At the tail end of the Irish Civil War in 1923, on the fictional Irish isle of Inisherin, folk musician Colm Doherty abruptly begins ignoring his lifelong friend and drinking buddy Pádraic Súilleabháin. Pádraic, though \"nice\" and well liked by the islanders, is too dull for Colm, who wishes to spend the remainder of his life composing music and doing things for which he will be remembered. Pádraic\'s life is destabilised by the loss of one of his few friends; as Pádraic grows increasingly distressed at the rejection, Colm becomes more resistant to his old friend\'s attempts to speak to him. Colm eventually gives Pádraic an ultimatum: every time Pádraic bothers him or tries to talk with him, Colm will cut off one of his own left fingers with a pair of sheep shears.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The local Garda, Peadar, beats his troubled son Dominic severely, and Pádraic and his sister Siobhán take Dominic in for a short time. While delivering milk to the market, Peadar insults Pádraic, who retaliates by making public the fact that he beats his son. Peadar knocks him to the ground. Having witnessed this, Colm puts Pádraic back in his wagon and drives him home; the two do not speak.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Though Siobhán and Dominic attempt to defuse the pair\'s escalating battle, their efforts prove fruitless. Pádraic drunkenly confronts Colm in the pub over his lack of \"niceness\", also confronting Peadar over the fact that he molests Dominic. Colm remarks that this is the most interesting Pádraic has been, and mutters: \"I think I like him again now.\" The next morning, not remembering what he has said, Pádraic attempts to apologise to Colm but the conversation goes badly and Colm responds by cutting off one of his fingers and throwing it at Pádraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After Pádraic sees Colm meeting with a fiddler from the mainland, Pádraic tricks the fiddler into returning home by lying about his father being hit by a bread van. As the tensions worsen, local elder Mrs. McCormick warns Pádraic that death will come to the island soon. Meanwhile, Siobhán gently rejects Dominic\'s romantic advances.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pádraic tells Dominic about what he did to the fiddler, and Dominic says that Pádraic is no longer nice. Pádraic becomes convinced that this will make him interesting enough for Colm, and he visits Colm to reprimand him for behaving so badly. Colm reveals that he has finished composing his song, which he calls \"The Banshees of Inisherin\". The two appear to be on the point of reconciling when, before leaving for the pub, Pádraic mentions that he lied to the fiddler to get him off the island. Instead of meeting Pádraic at the pub, Colm cuts off his remaining left fingers and throws them at Padraic\'s door.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Sick of life on the island, Siobhán moves to the mainland for a job in a library. Pádraic comes home to find his pet donkey Jenny has choked on one of Colm\'s fingers and died. He confronts Colm and warns him he will burn his house down the next day at 2:00 p.m., regardless of whether Colm is in it. The next day Pádraic sets fire to Colm\'s house as promised, but not before taking Colm\'s dog Sammy, who is outside the house, with him. Pádraic looks in a window and sees Colm calmly sitting inside the burning building. Peadar goes to Pádraic\'s house, planning to beat him. He is diverted away by Mrs. McCormick, who leads him to Dominic\'s corpse floating in the nearby lake.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The next morning, Pádraic, with Sammy, finds Colm standing on the beach beside his burnt-out house. Colm apologises for the donkey\'s death and suggests destroying the house has ended their feud, but Pádraic informs him that it only would have ended if he had stayed inside the house. When Colm wonders if the Civil War has ended, Pádraic replies that he believes it may be a good thing that there are some things that cannot be moved on from. As Pádraic turns to leave, Colm thanks him for looking after Sammy; \"Any time\", Pádraic responds. Unbeknownst to them, Mrs. McCormick is watching them from a distance by Colm\'s burned cottage.</p>\n<!-- /wp:paragraph -->", "The Banshees of Inisherin", "The Banshees of Inisherin is a 2022 black tragicomedy film directed, written, and co-produced by Martin McDonagh. Set on a remote island off the west coast of Ireland, the film stars Colin Farrell and Brendan Gleeson as two lifelong friends who find themselves at an impasse when one abruptly ends their relationship, with alarming consequences for both of them; Kerry Condon and Barry Keoghan also star. It reunites Farrell and Gleeson, who previously worked together on McDonagh\'s directorial debut, In Bruges (2008).", "inherit", "closed", "closed", "", "569-revision-v1", "", "", "2023-03-06 19:23:03", "2023-03-06 19:23:03", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=583", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("585", "1", "2023-03-06 19:38:14", "2023-03-06 19:38:14", "", "banshees-2200", "", "inherit", "open", "closed", "", "banshees-2200-2", "", "", "2023-03-06 19:38:14", "2023-03-06 19:38:14", "", "569", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2023/03/banshees-2200.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("586", "1", "2023-03-08 18:11:46", "2023-03-08 18:11:46", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentythree", "", "", "2023-03-09 06:40:29", "2023-03-09 06:40:29", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-global-styles-twentytwentythree/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("592", "1", "2023-03-08 18:27:13", "2023-03-08 18:27:13", "", "IFF-Logo-2023", "", "inherit", "open", "closed", "", "iff-logo-2023", "", "", "2023-03-08 18:27:13", "2023-03-08 18:27:13", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2023/03/IFF-Logo-2023.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("595", "1", "2023-03-08 18:33:18", "2023-03-08 18:33:18", "", "IFF-Logo-2023-800px", "", "inherit", "open", "closed", "", "iff-logo-2023-800px", "", "", "2023-03-08 18:33:18", "2023-03-08 18:33:18", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2023/03/IFF-Logo-2023-800px.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("598", "1", "2023-03-08 18:43:57", "2023-03-08 18:43:57", "<!-- wp:navigation-link {\"label\":\"Canada\",\"type\":\"category\",\"description\":\"\",\"id\":4,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/canada/\",\"title\":\"canada\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Europe\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/europe/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"America\",\"type\":\"category\",\"id\":6,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/america/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Asia\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/asia/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"India\",\"type\":\"category\",\"id\":8,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/india/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Navigation", "", "publish", "closed", "closed", "", "navigation", "", "", "2023-03-08 20:59:19", "2023-03-08 20:59:19", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/navigation/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("599", "1", "2023-03-08 18:45:41", "2023-03-08 18:45:41", "<!-- wp:navigation-link {\"label\":\"Canada\",\"type\":\"category\",\"description\":\"\",\"id\":4,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/canada/\",\"title\":\"canada\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Europe\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/europe/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"America\",\"type\":\"category\",\"id\":6,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/america/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Asia\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/asia/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Navigation", "", "inherit", "closed", "closed", "", "598-revision-v1", "", "", "2023-03-08 18:45:41", "2023-03-08 18:45:41", "", "598", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=599", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("607", "1", "2023-03-08 19:17:52", "2023-03-08 19:17:52", "{\"settings\":{\"layout\":{\"contentSize\":\"400px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 19:17:52", "2023-03-08 19:17:52", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=607", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("608", "1", "2023-03-08 19:18:17", "2023-03-08 19:18:17", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 19:18:17", "2023-03-08 19:18:17", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=608", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("610", "1", "2023-03-08 19:18:56", "2023-03-08 19:18:56", "{\"styles\":{\"spacing\":{\"blockGap\":\"1.5rem\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 19:18:56", "2023-03-08 19:18:56", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=610", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("611", "1", "2023-03-08 19:22:15", "2023-03-08 19:22:15", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"}}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 19:22:15", "2023-03-08 19:22:15", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=611", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("613", "1", "2023-03-08 19:22:25", "2023-03-08 19:22:25", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 19:22:25", "2023-03-08 19:22:25", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=613", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("618", "1", "2023-03-08 19:45:18", "0000-00-00 00:00:00", "{\"genesis-custom-blocks\\/example-block\":{\"name\":\"example-block\",\"title\":\"Example Block\",\"icon\":\"genesis_custom_blocks\",\"category\":{\"slug\":\"text\",\"title\":\"Text\",\"icon\":null},\"keywords\":[\"sample\",\"tutorial\",\"template\"],\"fields\":{\"title\":{\"name\":\"title\",\"label\":\"Title\",\"control\":\"text\",\"type\":\"string\",\"location\":\"editor\",\"order\":0,\"help\":\"The primary display text\",\"default\":\"\",\"placeholder\":\"\",\"maxlength\":null},\"description\":{\"name\":\"description\",\"label\":\"Description\",\"control\":\"textarea\",\"type\":\"string\",\"location\":\"editor\",\"order\":1,\"help\":\"\",\"default\":\"\",\"placeholder\":\"\",\"maxlength\":null,\"number_rows\":4},\"button-text\":{\"name\":\"button-text\",\"label\":\"Button Text\",\"control\":\"text\",\"type\":\"string\",\"location\":\"editor\",\"order\":2,\"help\":\"A Call-to-Action\",\"default\":\"\",\"placeholder\":\"\",\"maxlength\":null},\"button-link\":{\"name\":\"button-link\",\"label\":\"Button Link\",\"control\":\"url\",\"type\":\"string\",\"location\":\"editor\",\"order\":3,\"help\":\"The destination URL\",\"default\":\"\",\"placeholder\":\"\"}}}}", "Example Block", "", "draft", "closed", "closed", "", "example-block", "", "", "2023-03-08 19:45:18", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=618", "0", "genesis_custom_block", "", "0");
INSERT INTO `wp_posts` VALUES("619", "1", "2023-03-08 19:47:42", "2023-03-08 19:47:42", "{\"genesis-custom-blocks/movie-info\":{\"name\":\"movie-info\",\"title\":\"Movie Info\",\"excluded\":[\"page\"],\"icon\":\"pets\",\"category\":{\"icon\":null,\"slug\":\"text\",\"title\":\"Text\"},\"keywords\":[],\"fields\":{\"movie-country\":{\"location\":\"editor\",\"width\":\"50\",\"help\":\"\",\"default\":\"\",\"placeholder\":\"\",\"maxlength\":\"\",\"name\":\"movie-country\",\"label\":\"Country\",\"control\":\"text\",\"type\":\"string\",\"order\":0},\"movie-director\":{\"location\":\"editor\",\"width\":\"50\",\"help\":\"\",\"default\":\"\",\"placeholder\":\"\",\"maxlength\":\"\",\"name\":\"movie-director\",\"label\":\"Director\",\"control\":\"text\",\"type\":\"string\",\"order\":1}},\"templateMarkup\":\"{{director}}\\n{{country-1}}\",\"previewAttributes\":{\"movie-country\":\"aasdfasd\",\"movie-director\":\"asdfasdf\"}}}", "Movie Info", "", "publish", "closed", "closed", "", "movie-info", "", "", "2023-03-08 20:04:44", "2023-03-08 20:04:44", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=genesis_custom_block&#038;p=619", "0", "genesis_custom_block", "", "0");
INSERT INTO `wp_posts` VALUES("620", "1", "2023-03-08 19:53:42", "2023-03-08 19:53:42", "<!-- wp:genesis-custom-blocks/movie-info {\"country-1\":\"Chile\",\"director\":\"Some Director\"} /-->\n\n<!-- wp:paragraph -->\n<p>Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\"The film is dead simple in its visual execution, except for some symbolic flourishes that will either jar with you or make you feel there\'s a mysterious resonance you can\'t quite pinpoint... But it was the most accomplished mainstream film in competition at this year\'s Berlinale, and as Marina, transgender performer Daniela Vega gave one of the most fascinating performances to be seen here, shifting moods... from shot to shot with mercurial fluidity. Fantástica, for sure.\" [Film Comment]</p>\n<!-- /wp:paragraph -->", "A Fantastic Woman", "Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.", "inherit", "closed", "closed", "", "512-revision-v1", "", "", "2023-03-08 19:53:42", "2023-03-08 19:53:42", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=620", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("621", "1", "2023-03-08 20:07:10", "2023-03-08 20:07:10", "<!-- wp:paragraph -->\n<p>Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>\"The film is dead simple in its visual execution, except for some symbolic flourishes that will either jar with you or make you feel there\'s a mysterious resonance you can\'t quite pinpoint... But it was the most accomplished mainstream film in competition at this year\'s Berlinale, and as Marina, transgender performer Daniela Vega gave one of the most fascinating performances to be seen here, shifting moods... from shot to shot with mercurial fluidity. Fantástica, for sure.\" [Film Comment]</p>\n<!-- /wp:paragraph -->", "A Fantastic Woman", "Marina, a transgender nightclub singer, comes under suspicion when her much older lover Orlando suddenly dies. After being harassed and threatened by her late boyfriend’s vengeful relatives and the police, she must defend her rights as both Orlando’s partner and as a human being.", "inherit", "closed", "closed", "", "512-revision-v1", "", "", "2023-03-08 20:07:10", "2023-03-08 20:07:10", "", "512", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=621", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("622", "1", "2023-03-08 20:08:12", "2023-03-08 20:08:12", "", "Post", "", "publish", "closed", "closed", "", "post", "", "", "2023-03-08 20:11:34", "2023-03-08 20:11:34", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=_pods_pod&#038;p=622", "0", "_pods_pod", "", "0");
INSERT INTO `wp_posts` VALUES("623", "1", "2023-03-08 20:08:15", "2023-03-08 20:08:15", "", "More Fields", "", "publish", "closed", "closed", "", "more_fields", "", "", "2023-03-08 20:11:34", "2023-03-08 20:11:34", "", "622", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=_pods_group&#038;p=623", "0", "_pods_group", "", "0");
INSERT INTO `wp_posts` VALUES("624", "1", "2023-03-08 20:09:02", "2023-03-08 20:09:02", "", "Pods Movie Data", "", "publish", "closed", "closed", "", "pods_movie_data", "", "", "2023-03-08 20:11:34", "2023-03-08 20:11:34", "", "622", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=_pods_group&#038;p=624", "1", "_pods_group", "", "0");
INSERT INTO `wp_posts` VALUES("625", "1", "2023-03-08 20:09:26", "2023-03-08 20:09:26", "", "Pods Movie Country", "", "publish", "closed", "closed", "", "pods_movie_country", "", "", "2023-03-08 20:11:34", "2023-03-08 20:11:34", "", "622", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=_pods_field&#038;p=625", "0", "_pods_field", "", "0");
INSERT INTO `wp_posts` VALUES("626", "1", "2023-03-08 20:10:56", "2023-03-08 20:10:56", "", "Pods Movie Director", "", "publish", "closed", "closed", "", "pods_movie_director", "", "", "2023-03-08 20:11:34", "2023-03-08 20:11:34", "", "622", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?post_type=_pods_field&#038;p=626", "1", "_pods_field", "", "0");
INSERT INTO `wp_posts` VALUES("627", "1", "2023-03-08 20:17:01", "2023-03-08 20:17:01", "", "Pods Testing", "", "trash", "open", "open", "", "pods-testing__trashed", "", "", "2023-03-08 20:30:31", "2023-03-08 20:30:31", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=627", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("628", "1", "2023-03-08 20:13:04", "2023-03-08 20:13:04", "{{unknown}}", "", "", "publish", "closed", "closed", "", "002534c0ee410af5ff2d0a13c6fcf47d", "", "", "2023-03-08 20:13:04", "2023-03-08 20:13:04", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/002534c0ee410af5ff2d0a13c6fcf47d/", "0", "oembed_cache", "", "0");
INSERT INTO `wp_posts` VALUES("629", "1", "2023-03-08 20:17:01", "2023-03-08 20:17:01", "", "Pods Testing", "", "inherit", "closed", "closed", "", "627-revision-v1", "", "", "2023-03-08 20:17:01", "2023-03-08 20:17:01", "", "627", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=629", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("630", "1", "2023-03-08 20:17:04", "2023-03-08 20:17:04", "", "Pods Testing", "", "inherit", "closed", "closed", "", "627-revision-v1", "", "", "2023-03-08 20:17:04", "2023-03-08 20:17:04", "", "627", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=630", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("631", "1", "2023-03-08 20:17:16", "2023-03-08 20:17:16", "", "Pods Testing", "", "inherit", "closed", "closed", "", "627-autosave-v1", "", "", "2023-03-08 20:17:16", "2023-03-08 20:17:16", "", "627", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=631", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("634", "1", "2023-03-08 20:43:02", "2023-03-08 20:43:02", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 20:43:02", "2023-03-08 20:43:02", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=634", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("636", "1", "2023-03-08 20:47:01", "2023-03-08 20:47:01", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"1rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%);padding-top:1rem;padding-right:2%;padding-bottom:1rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598,\"style\":{\"spacing\":{\"blockGap\":\"8px\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "publish", "closed", "closed", "", "logo-main-menu", "", "", "2023-03-09 04:49:21", "2023-03-09 04:49:21", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/logo-main-menu/", "0", "wp_block", "", "0");
INSERT INTO `wp_posts` VALUES("641", "1", "2023-03-08 20:58:15", "2023-03-08 20:58:15", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"1rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%);padding-top:1rem;padding-right:2%;padding-bottom:1rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-08 20:58:15", "2023-03-08 20:58:15", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=641", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("642", "1", "2023-03-08 20:59:19", "2023-03-08 20:59:19", "<!-- wp:navigation-link {\"label\":\"Canada\",\"type\":\"category\",\"description\":\"\",\"id\":4,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/canada/\",\"title\":\"canada\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Europe\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/europe/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"America\",\"type\":\"category\",\"id\":6,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/america/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Asia\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/asia/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"India\",\"type\":\"category\",\"id\":8,\"url\":\"http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/category/india/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Navigation", "", "inherit", "closed", "closed", "", "598-revision-v1", "", "", "2023-03-08 20:59:19", "2023-03-08 20:59:19", "", "598", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=642", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("653", "1", "2023-03-08 21:10:56", "2023-03-08 21:10:56", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 21:10:56", "2023-03-08 21:10:56", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=653", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("654", "1", "2023-03-08 21:11:28", "2023-03-08 21:11:28", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 21:11:28", "2023-03-08 21:11:28", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=654", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("659", "1", "2023-03-08 21:15:42", "2023-03-08 21:15:42", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"}},\"typography\":{\"fontSize\":\"var:preset|font-size|small\",\"lineHeight\":\"1.5\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 21:15:42", "2023-03-08 21:15:42", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=659", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("660", "1", "2023-03-08 21:16:10", "2023-03-08 21:16:10", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"}},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 21:16:10", "2023-03-08 21:16:10", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=660", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("665", "1", "2023-03-08 21:29:15", "2023-03-08 21:29:15", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"8.29rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 21:29:15", "2023-03-08 21:29:15", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=665", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("667", "1", "2023-03-08 21:29:23", "2023-03-08 21:29:23", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1.5rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 21:29:23", "2023-03-08 21:29:23", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=667", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("682", "1", "2023-03-08 22:26:49", "2023-03-08 22:26:49", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"1.5rem\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1.5rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 22:26:49", "2023-03-08 22:26:49", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=682", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("683", "1", "2023-03-08 22:33:45", "2023-03-08 22:33:45", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"1.5rem\"}},\"core\\/query-title\":{\"typography\":{\"fontSize\":\"var:preset|font-size|small\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1.5rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 22:33:45", "2023-03-08 22:33:45", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=683", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("695", "1", "2023-03-08 22:48:18", "2023-03-08 22:48:18", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/query-title\":{\"typography\":{\"fontSize\":\"var:preset|font-size|small\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1.5rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 22:48:18", "2023-03-08 22:48:18", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=695", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("696", "1", "2023-03-08 22:49:15", "2023-03-08 22:49:15", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1.5rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 22:49:15", "2023-03-08 22:49:15", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=696", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("697", "1", "2023-03-08 22:53:31", "2023-03-08 22:53:31", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1.5rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-08 22:53:31", "2023-03-08 22:53:31", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=697", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("698", "1", "2023-03-09 00:56:32", "2023-03-09 00:56:32", "<!-- wp:paragraph -->\n<p>Pathaan is a 2023 Indian Hindi-language action thriller film directed by Siddharth Anand and written by Shridhar Raghavan and Abbas Tyrewala, from a story by Anand. The fourth installment in the YRF Spy Universe, it stars Shah Rukh Khan, Deepika Padukone, John Abraham, Dimple Kapadia, and Ashutosh Rana. In the film, Pathaan (Khan), an exiled RAW agent, works with ISI agent Rubina Mohsin (Padukone) to take down Jim (Abraham), a former RAW agent planning to spread a deadly lab-generated virus across India.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Produced by Aditya Chopra of Yash Raj Films,[5] principal photography for Pathaan began in November 2020 in Mumbai. The film was shot over various locations in India, Afghanistan, Spain, UAE, Turkey, Russia, Italy and France. Two songs were composed by the duo Vishal–Shekhar, while Sanchit Balhara and Ankit Balhara provided the score. The film was made on an estimated production budget of ₹225 crore (US$28 million) with a further ₹15 crore (US$1.9 million) spent on print and advertising. Against the norm, pre-release publicity was limited with no media interaction or public events.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pathaan was theatrically released in India on 25 January 2023, coinciding with the Republic Day weekend. It received positive reviews from critics, with praise for its action, music, background score and performances of Khan, Padukone and Abraham. The film has grossed ₹1,033.67 crore (US$130 million)worldwide, becoming the highest-grossing Indian film of 2023, the second-highest-grossing Hindi film of all time, the fourth-highest-grossing film in India, the fifth-highest-grossing Indian film of all time, the seventh highest grossing film of 2023, the highest-grossing film of YRF Spy Universe and set several other box-office records in India and for a Hindi-language film.</p>\n<!-- /wp:paragraph -->", "Pathaan", "In 2019, the Indian Government revokes Article 370, which grants special status for Jammu and Kashmir. The news impacts a cancer-ridden Pakistani army general, Qadir, who decides to exact vengeance against India. He signs a contract with Jim, who leads \"Outfit X\", a private terrorist organization. Meanwhile, Pathaan, a former RAW agent, and his senior officer, Nandini Grewal, open a unit dubbed the \"Joint Operations and Covert Research\" (JOCR) unit, to recruit former RAW agents who were forced to retire due to past trauma or injury, but want to serve the country.", "publish", "open", "open", "", "pathaan", "", "", "2023-03-09 04:49:41", "2023-03-09 04:49:41", "", "0", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=698", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("699", "1", "2023-03-09 00:53:08", "2023-03-09 00:53:08", "", "pathaan-1200-675", "", "inherit", "open", "closed", "", "pathaan-1200-675", "", "", "2023-03-09 00:53:08", "2023-03-09 00:53:08", "", "698", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2023/03/pathaan-1200-675.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("700", "1", "2023-03-09 00:53:09", "2023-03-09 00:53:09", "", "pathaan-alternate", "", "inherit", "open", "closed", "", "pathaan-alternate", "", "", "2023-03-09 00:53:09", "2023-03-09 00:53:09", "", "698", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/wp-content/uploads/2023/03/pathaan-alternate.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("701", "1", "2023-03-09 00:56:32", "2023-03-09 00:56:32", "<!-- wp:paragraph -->\n<p>Pathaan is a 2023 Indian Hindi-language action thriller film directed by Siddharth Anand and written by Shridhar Raghavan and Abbas Tyrewala, from a story by Anand. The fourth installment in the YRF Spy Universe, it stars Shah Rukh Khan, Deepika Padukone, John Abraham, Dimple Kapadia, and Ashutosh Rana. In the film, Pathaan (Khan), an exiled RAW agent, works with ISI agent Rubina Mohsin (Padukone) to take down Jim (Abraham), a former RAW agent planning to spread a deadly lab-generated virus across India.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Produced by Aditya Chopra of Yash Raj Films,[5] principal photography for Pathaan began in November 2020 in Mumbai. The film was shot over various locations in India, Afghanistan, Spain, UAE, Turkey, Russia, Italy and France. Two songs were composed by the duo Vishal–Shekhar, while Sanchit Balhara and Ankit Balhara provided the score. The film was made on an estimated production budget of ₹225 crore (US$28 million) with a further ₹15 crore (US$1.9 million) spent on print and advertising. Against the norm, pre-release publicity was limited with no media interaction or public events.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pathaan was theatrically released in India on 25 January 2023, coinciding with the Republic Day weekend. It received positive reviews from critics, with praise for its action, music, background score and performances of Khan, Padukone and Abraham. The film has grossed ₹1,033.67 crore (US$130 million)worldwide, becoming the highest-grossing Indian film of 2023, the second-highest-grossing Hindi film of all time, the fourth-highest-grossing film in India, the fifth-highest-grossing Indian film of all time, the seventh highest grossing film of 2023, the highest-grossing film of YRF Spy Universe and set several other box-office records in India and for a Hindi-language film.</p>\n<!-- /wp:paragraph -->", "Pathaan", "In 2019, the Indian Government revokes Article 370, which grants special status for Jammu and Kashmir. The news impacts a cancer-ridden Pakistani army general, Qadir, who decides to exact vengeance against India. He signs a contract with Jim, who leads \"Outfit X\", a private terrorist organization. Meanwhile, Pathaan, a former RAW agent, and his senior officer, Nandini Grewal, open a unit dubbed the \"Joint Operations and Covert Research\" (JOCR) unit, to recruit former RAW agents who were forced to retire due to past trauma or injury, but want to serve the country.", "inherit", "closed", "closed", "", "698-revision-v1", "", "", "2023-03-09 00:56:32", "2023-03-09 00:56:32", "", "698", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=701", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("702", "1", "2023-03-09 00:56:32", "2023-03-09 00:56:32", "<!-- wp:paragraph -->\n<p>Pathaan is a 2023 Indian Hindi-language action thriller film directed by Siddharth Anand and written by Shridhar Raghavan and Abbas Tyrewala, from a story by Anand. The fourth installment in the YRF Spy Universe, it stars Shah Rukh Khan, Deepika Padukone, John Abraham, Dimple Kapadia, and Ashutosh Rana. In the film, Pathaan (Khan), an exiled RAW agent, works with ISI agent Rubina Mohsin (Padukone) to take down Jim (Abraham), a former RAW agent planning to spread a deadly lab-generated virus across India.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Produced by Aditya Chopra of Yash Raj Films,[5] principal photography for Pathaan began in November 2020 in Mumbai. The film was shot over various locations in India, Afghanistan, Spain, UAE, Turkey, Russia, Italy and France. Two songs were composed by the duo Vishal–Shekhar, while Sanchit Balhara and Ankit Balhara provided the score. The film was made on an estimated production budget of ₹225 crore (US$28 million) with a further ₹15 crore (US$1.9 million) spent on print and advertising. Against the norm, pre-release publicity was limited with no media interaction or public events.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pathaan was theatrically released in India on 25 January 2023, coinciding with the Republic Day weekend. It received positive reviews from critics, with praise for its action, music, background score and performances of Khan, Padukone and Abraham. The film has grossed ₹1,033.67 crore (US$130 million)worldwide, becoming the highest-grossing Indian film of 2023, the second-highest-grossing Hindi film of all time, the fourth-highest-grossing film in India, the fifth-highest-grossing Indian film of all time, the seventh highest grossing film of 2023, the highest-grossing film of YRF Spy Universe and set several other box-office records in India and for a Hindi-language film.</p>\n<!-- /wp:paragraph -->", "Pathaan", "In 2019, the Indian Government revokes Article 370, which grants special status for Jammu and Kashmir. The news impacts a cancer-ridden Pakistani army general, Qadir, who decides to exact vengeance against India. He signs a contract with Jim, who leads \"Outfit X\", a private terrorist organization. Meanwhile, Pathaan, a former RAW agent, and his senior officer, Nandini Grewal, open a unit dubbed the \"Joint Operations and Covert Research\" (JOCR) unit, to recruit former RAW agents who were forced to retire due to past trauma or injury, but want to serve the country.", "inherit", "closed", "closed", "", "698-revision-v1", "", "", "2023-03-09 00:56:32", "2023-03-09 00:56:32", "", "698", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=702", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("703", "1", "2023-03-09 00:56:54", "2023-03-09 00:56:54", "<!-- wp:paragraph -->\n<p>Pathaan is a 2023 Indian Hindi-language action thriller film directed by Siddharth Anand and written by Shridhar Raghavan and Abbas Tyrewala, from a story by Anand. The fourth installment in the YRF Spy Universe, it stars Shah Rukh Khan, Deepika Padukone, John Abraham, Dimple Kapadia, and Ashutosh Rana. In the film, Pathaan (Khan), an exiled RAW agent, works with ISI agent Rubina Mohsin (Padukone) to take down Jim (Abraham), a former RAW agent planning to spread a deadly lab-generated virus across India.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Produced by Aditya Chopra of Yash Raj Films,[5] principal photography for Pathaan began in November 2020 in Mumbai. The film was shot over various locations in India, Afghanistan, Spain, UAE, Turkey, Russia, Italy and France. Two songs were composed by the duo Vishal–Shekhar, while Sanchit Balhara and Ankit Balhara provided the score. The film was made on an estimated production budget of ₹225 crore (US$28 million) with a further ₹15 crore (US$1.9 million) spent on print and advertising. Against the norm, pre-release publicity was limited with no media interaction or public events.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pathaan was theatrically released in India on 25 January 2023, coinciding with the Republic Day weekend. It received positive reviews from critics, with praise for its action, music, background score and performances of Khan, Padukone and Abraham. The film has grossed ₹1,033.67 crore (US$130 million)worldwide, becoming the highest-grossing Indian film of 2023, the second-highest-grossing Hindi film of all time, the fourth-highest-grossing film in India, the fifth-highest-grossing Indian film of all time, the seventh highest grossing film of 2023, the highest-grossing film of YRF Spy Universe and set several other box-office records in India and for a Hindi-language film.</p>\n<!-- /wp:paragraph -->", "Pathaan", "In 2019, the Indian Government revokes Article 370, which grants special status for Jammu and Kashmir. The news impacts a cancer-ridden Pakistani army general, Qadir, who decides to exact vengeance against India. He signs a contract with Jim, who leads \"Outfit X\", a private terrorist organization. Meanwhile, Pathaan, a former RAW agent, and his senior officer, Nandini Grewal, open a unit dubbed the \"Joint Operations and Covert Research\" (JOCR) unit, to recruit former RAW agents who were forced to retire due to past trauma or injury, but want to serve the country.", "inherit", "closed", "closed", "", "698-revision-v1", "", "", "2023-03-09 00:56:54", "2023-03-09 00:56:54", "", "698", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=703", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("704", "1", "2023-03-09 03:06:12", "2023-03-09 03:06:12", "<!-- wp:paragraph -->\n<p>Pathaan is a 2023 Indian Hindi-language action thriller film directed by Siddharth Anand and written by Shridhar Raghavan and Abbas Tyrewala, from a story by Anand. The fourth installment in the YRF Spy Universe, it stars Shah Rukh Khan, Deepika Padukone, John Abraham, Dimple Kapadia, and Ashutosh Rana. In the film, Pathaan (Khan), an exiled RAW agent, works with ISI agent Rubina Mohsin (Padukone) to take down Jim (Abraham), a former RAW agent planning to spread a deadly lab-generated virus across India.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Produced by Aditya Chopra of Yash Raj Films,[5] principal photography for Pathaan began in November 2020 in Mumbai. The film was shot over various locations in India, Afghanistan, Spain, UAE, Turkey, Russia, Italy and France. Two songs were composed by the duo Vishal–Shekhar, while Sanchit Balhara and Ankit Balhara provided the score. The film was made on an estimated production budget of ₹225 crore (US$28 million) with a further ₹15 crore (US$1.9 million) spent on print and advertising. Against the norm, pre-release publicity was limited with no media interaction or public events.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Pathaan was theatrically released in India on 25 January 2023, coinciding with the Republic Day weekend. It received positive reviews from critics, with praise for its action, music, background score and performances of Khan, Padukone and Abraham. The film has grossed ₹1,033.67 crore (US$130 million)worldwide, becoming the highest-grossing Indian film of 2023, the second-highest-grossing Hindi film of all time, the fourth-highest-grossing film in India, the fifth-highest-grossing Indian film of all time, the seventh highest grossing film of 2023, the highest-grossing film of YRF Spy Universe and set several other box-office records in India and for a Hindi-language film.</p>\n<!-- /wp:paragraph -->", "Pathaan", "In 2019, the Indian Government revokes Article 370, which grants special status for Jammu and Kashmir. The news impacts a cancer-ridden Pakistani army general, Qadir, who decides to exact vengeance against India. He signs a contract with Jim, who leads \"Outfit X\", a private terrorist organization. Meanwhile, Pathaan, a former RAW agent, and his senior officer, Nandini Grewal, open a unit dubbed the \"Joint Operations and Covert Research\" (JOCR) unit, to recruit former RAW agents who were forced to retire due to past trauma or injury, but want to serve the country.", "inherit", "closed", "closed", "", "698-revision-v1", "", "", "2023-03-09 03:06:12", "2023-03-09 03:06:12", "", "698", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=704", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("720", "1", "2023-03-09 03:28:16", "2023-03-09 03:28:16", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}},\"core\\/term-description\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"0rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 03:28:16", "2023-03-09 03:28:16", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=720", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("721", "1", "2023-03-09 03:29:03", "2023-03-09 03:29:03", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}},\"core\\/term-description\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"8.86rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 03:29:03", "2023-03-09 03:29:03", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=721", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("722", "1", "2023-03-09 03:29:37", "2023-03-09 03:29:37", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}},\"core\\/term-description\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"1rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 03:29:37", "2023-03-09 03:29:37", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=722", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("741", "1", "2023-03-09 03:47:38", "2023-03-09 03:47:38", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"9rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%);padding-top:1rem;padding-right:2%;padding-bottom:9rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 03:47:38", "2023-03-09 03:47:38", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=741", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("742", "1", "2023-03-09 03:52:26", "2023-03-09 03:52:26", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"9rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%);padding-top:1rem;padding-right:2%;padding-bottom:9rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 03:52:26", "2023-03-09 03:52:26", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=742", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("754", "1", "2023-03-09 04:40:15", "2023-03-09 04:40:15", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}},\"core\\/term-description\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"0rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 04:40:15", "2023-03-09 04:40:15", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=754", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("755", "1", "2023-03-09 04:41:27", "2023-03-09 04:41:27", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"9rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%);padding-top:1rem;padding-right:2%;padding-bottom:9rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598,\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 04:41:27", "2023-03-09 04:41:27", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=755", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("756", "1", "2023-03-09 04:42:07", "2023-03-09 04:42:07", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"9rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%);padding-top:1rem;padding-right:2%;padding-bottom:9rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598,\"style\":{\"spacing\":{\"blockGap\":\"0.5rem\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 04:42:07", "2023-03-09 04:42:07", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=756", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("757", "1", "2023-03-09 04:43:09", "2023-03-09 04:43:09", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"left\":\"2%\",\"bottom\":\"3rem\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 75%,rgb(211,223,234) 75%);padding-top:1rem;padding-right:2%;padding-bottom:3rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598,\"style\":{\"spacing\":{\"blockGap\":\"0.5rem\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 04:43:09", "2023-03-09 04:43:09", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=757", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("758", "1", "2023-03-09 04:44:43", "2023-03-09 04:44:43", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"left\":\"2%\",\"bottom\":\"3rem\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 58%,rgb(211,223,234) 59%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 58%,rgb(211,223,234) 59%);padding-top:1rem;padding-right:2%;padding-bottom:3rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598,\"style\":{\"spacing\":{\"blockGap\":\"0.5rem\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 04:44:43", "2023-03-09 04:44:43", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=758", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("760", "1", "2023-03-09 04:49:21", "2023-03-09 04:49:21", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"1rem\",\"right\":\"2%\",\"bottom\":\"1rem\",\"left\":\"2%\"}},\"color\":{\"gradient\":\"linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%)\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group has-background\" style=\"background:linear-gradient(0deg,rgb(255,255,255) 47%,rgb(211,223,234) 49%);padding-top:1rem;padding-right:2%;padding-bottom:1rem;padding-left:2%\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo {\"width\":174,\"shouldSyncIcon\":true} /-->\n\n<!-- wp:navigation {\"ref\":598,\"style\":{\"spacing\":{\"blockGap\":\"8px\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Logo + Main Menu", "", "inherit", "closed", "closed", "", "636-revision-v1", "", "", "2023-03-09 04:49:21", "2023-03-09 04:49:21", "", "636", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=760", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("786", "1", "2023-03-09 05:50:01", "2023-03-09 05:50:01", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}},\"core\\/term-description\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"core\\/button\":{\"color\":{\"background\":\"var:preset|color|cyan-bluish-gray\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"var(--wp--preset--spacing--30)\",\"bottom\":\"0px\",\"left\":\"var(--wp--preset--spacing--30)\"},\"blockGap\":\"0rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 05:50:01", "2023-03-09 05:50:01", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=786", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("804", "1", "2023-03-09 06:28:26", "2023-03-09 06:28:26", "{\"styles\":{\"blocks\":{\"core\\/image\":{\"border\":{\"top\":{\"style\":\"solid\",\"width\":\"12px\"},\"right\":{\"style\":\"solid\",\"width\":\"12px\"},\"bottom\":{\"style\":\"solid\",\"width\":\"12px\"},\"left\":{\"style\":\"solid\",\"width\":\"12px\"},\"radius\":\"20px\"}},\"core\\/heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|source-serif-pro\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"core\\/post-title\":{\"typography\":{\"fontSize\":\"5rem\"}},\"core\\/term-description\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"core\\/button\":{\"color\":{\"background\":\"var:preset|color|cyan-bluish-gray\"}}},\"spacing\":{\"padding\":{\"top\":\"0px\",\"right\":\"2%\",\"bottom\":\"0px\",\"left\":\"2%\"},\"blockGap\":\"0rem\"},\"typography\":{\"fontSize\":\"var:preset|font-size|medium\",\"lineHeight\":\"1.5\",\"fontFamily\":\"var:preset|font-family|source-serif-pro\"}},\"settings\":{\"color\":{\"palette\":{\"theme\":[{\"color\":\"#ffffff\",\"name\":\"Base\",\"slug\":\"base\"},{\"color\":\"#000000\",\"name\":\"Contrast\",\"slug\":\"contrast\"},{\"color\":\"#ff69b4\",\"name\":\"Primary\",\"slug\":\"primary\"},{\"color\":\"#0ca1a1\",\"name\":\"Secondary\",\"slug\":\"secondary\"},{\"color\":\"#F6F6F6\",\"name\":\"Tertiary\",\"slug\":\"tertiary\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 06:28:26", "2023-03-09 06:28:26", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=804", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("805", "1", "2023-03-09 06:40:29", "2023-03-09 06:40:29", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "586-revision-v1", "", "", "2023-03-09 06:40:29", "2023-03-09 06:40:29", "", "586", "http://localhost:8888/CanonicalExercises-FSE/ImaginaryFilmFestival-2023-UpdatedContentStarter/?p=805", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("5", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("5", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("5", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("6", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("6", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("6", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("7", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("7", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("7", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("8", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("8", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("8", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("9", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("9", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("9", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("10", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("10", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("10", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("11", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("11", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("11", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("12", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("12", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("12", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("13", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("13", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("13", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("29", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("29", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("29", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("29", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("30", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("30", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("30", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("30", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("33", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("34", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("34", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("34", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("35", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("35", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("35", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("42", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("42", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("42", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("44", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("44", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("44", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("48", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("48", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("48", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("50", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("50", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("50", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("50", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("50", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("52", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("52", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("52", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("54", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("54", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("54", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("55", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("55", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("55", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("56", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("56", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("56", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("56", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("57", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("58", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("58", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("58", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("59", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("59", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("59", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("59", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("69", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("69", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("69", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("70", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("70", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("70", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("74", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("78", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("78", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("78", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("80", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("80", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("80", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("84", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("84", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("84", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("89", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("89", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("89", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("90", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("90", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("90", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("190", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("191", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("192", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("193", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("194", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("195", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("196", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("197", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("201", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("202", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("204", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("205", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("206", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("207", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("268", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("344", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("506", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("512", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("530", "21", "0");
INSERT INTO `wp_term_relationships` VALUES("547", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("547", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("547", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("547", "20", "0");
INSERT INTO `wp_term_relationships` VALUES("561", "22", "0");
INSERT INTO `wp_term_relationships` VALUES("562", "23", "0");
INSERT INTO `wp_term_relationships` VALUES("569", "24", "0");
INSERT INTO `wp_term_relationships` VALUES("586", "26", "0");
INSERT INTO `wp_term_relationships` VALUES("627", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("698", "8", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "Takashi Miike: “As a filmmaker, you\'ve got to have a nose for what\'s going on culturally. You have to feel it. It doesn\'t have to be manga or music, but you need some kind of antenna.”", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "A famous study of Canadian film is called \"Weird Sex and Snowshows and Other Canadian Film Phenomena.\" \r\n\r\n(We just thought that we would put that out there....)", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "Mike Leigh: \"I feel very much ideologically, politically if you like, and emotionally part of the European cinema.\"", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "category", "Fifty reels of film were banned in British Columbia in 1914, due to ”an unnecessary display of U.S. flags” which put it as the third most common reason behind infidelity and seduction.", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "category", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "category", "For a number of years the Indian film industry has ranked first in the world in terms of annual film output.", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "category", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "category", "Abderrahmane Sissako: “...a believer who does not tolerate the beliefs of another believer is not a believer either.”", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "nav_menu", "", "0", "8");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "nav_menu", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "nav_menu", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "post_tag", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "post_tag", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "post_tag", "", "0", "33");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "post_tag", "", "0", "37");
INSERT INTO `wp_term_taxonomy` VALUES("21", "21", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("22", "22", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("23", "23", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("24", "24", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("25", "25", "wp_template_part_area", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("26", "26", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("27", "27", "wp_template_part_area", "", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("3", "Asia", "asia", "0");
INSERT INTO `wp_terms` VALUES("4", "Canada", "canada", "0");
INSERT INTO `wp_terms` VALUES("5", "Europe", "europe", "0");
INSERT INTO `wp_terms` VALUES("6", "America", "america", "0");
INSERT INTO `wp_terms` VALUES("7", "South America", "south-america", "0");
INSERT INTO `wp_terms` VALUES("8", "India", "india", "0");
INSERT INTO `wp_terms` VALUES("9", "Middle East", "middle-east", "0");
INSERT INTO `wp_terms` VALUES("10", "Africa", "africa", "0");
INSERT INTO `wp_terms` VALUES("11", "Main Menu", "main-menu", "0");
INSERT INTO `wp_terms` VALUES("12", "Header Sidebar Menu", "header-sidebar-menu", "0");
INSERT INTO `wp_terms` VALUES("13", "Social", "social", "0");
INSERT INTO `wp_terms` VALUES("14", "regular definition", "regular-definition", "0");
INSERT INTO `wp_terms` VALUES("15", "contact", "contact", "0");
INSERT INTO `wp_terms` VALUES("16", "high definition", "high-definition", "0");
INSERT INTO `wp_terms` VALUES("17", "twentytwentytwo", "twentytwentytwo", "0");
INSERT INTO `wp_terms` VALUES("18", "North America", "north-america", "0");
INSERT INTO `wp_terms` VALUES("19", "starter-2022", "starter-2022", "0");
INSERT INTO `wp_terms` VALUES("20", "trailer", "trailer", "0");
INSERT INTO `wp_terms` VALUES("21", "start-pedalmania", "start-pedalmania", "0");
INSERT INTO `wp_terms` VALUES("22", "twentytwentyone", "twentytwentyone", "0");
INSERT INTO `wp_terms` VALUES("23", "ImaginaryFilmFestival-Canonical-2022", "imaginaryfilmfestival-canonical-2022", "0");
INSERT INTO `wp_terms` VALUES("24", "Spotlight", "spotlight", "0");
INSERT INTO `wp_terms` VALUES("25", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("26", "twentytwentythree", "twentytwentythree", "0");
INSERT INTO `wp_terms` VALUES("27", "footer", "footer", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("10", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("11", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp496_privacy");
INSERT INTO `wp_usermeta` VALUES("13", "1", "show_welcome_panel", "0");
INSERT INTO `wp_usermeta` VALUES("15", "1", "wp_dashboard_quick_press_last_post_id", "576");
INSERT INTO `wp_usermeta` VALUES("16", "1", "wp_user-settings", "editor=tinymce&libraryContent=browse&posts_list_mode=list&hidetb=1");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_user-settings-time", "1490277167");
INSERT INTO `wp_usermeta` VALUES("19", "1", "meta-box-order_post", "a:4:{s:6:\"normal\";s:23:\"acf-group_62e458b46a4d9\";s:8:\"advanced\";s:23:\"acf-group_627c753fa8489\";s:4:\"side\";s:0:\"\";s:15:\"acf_after_title\";s:0:\"\";}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "screen_layout_post", "2");
INSERT INTO `wp_usermeta` VALUES("21", "1", "edit_post_per_page", "100");
INSERT INTO `wp_usermeta` VALUES("22", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:15:\"title-attribute\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "metaboxhidden_nav-menus", "a:2:{i:0;s:20:\"add-post-type-nf_sub\";i:1;s:12:\"add-post_tag\";}");
INSERT INTO `wp_usermeta` VALUES("26", "1", "wp_nf_form_preview_3", "a:4:{s:2:\"id\";i:3;s:8:\"settings\";a:19:{s:10:\"objectType\";s:12:\"Form Setting\";s:10:\"editActive\";s:0:\"\";s:5:\"title\";s:18:\"Event Registration\";s:3:\"key\";s:0:\"\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:10:\"show_title\";s:1:\"1\";s:14:\"clear_complete\";s:1:\"1\";s:13:\"hide_complete\";s:1:\"1\";s:17:\"default_label_pos\";s:5:\"above\";s:13:\"wrapper_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:10:\"add_submit\";s:1:\"0\";s:9:\"logged_in\";s:0:\"\";s:17:\"not_logged_in_msg\";s:0:\"\";s:16:\"sub_limit_number\";s:0:\"\";s:13:\"sub_limit_msg\";s:0:\"\";s:12:\"calculations\";a:0:{}s:15:\"formContentData\";a:12:{i:0;s:23:\"event_intro_description\";i:1;s:2:\"hr\";i:2;s:9:\"firstname\";i:3;s:8:\"lastname\";i:4;s:5:\"email\";i:5;s:7:\"textbox\";i:6;s:4:\"hr_1\";i:7;s:37:\"how_many_friends_will_you_bring_along\";i:8;s:21:\"any_food_requirements\";i:9;s:15:\"preferred_drink\";i:10;s:4:\"hr_2\";i:11;s:8:\"register\";}s:8:\"currency\";s:0:\"\";}s:6:\"fields\";a:12:{i:9;a:1:{s:8:\"settings\";a:11:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"1\";s:5:\"label\";s:23:\"Event Intro Description\";s:3:\"key\";s:23:\"event_intro_description\";s:4:\"type\";s:4:\"html\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:7:\"default\";s:281:\"<p>If you would like to take part in the <b>Langara College Imaginary Film Festival</b>, please fill in your details in this Event Registration Form below and you will be automatically registered. Event registration must be completed at least seven (7) days prior to the event.</p>\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}}i:14;a:1:{s:8:\"settings\";a:10:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"2\";s:5:\"label\";s:7:\"Divider\";s:3:\"key\";s:2:\"hr\";s:4:\"type\";s:2:\"hr\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}}i:15;a:1:{s:8:\"settings\";a:17:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"3\";s:5:\"label\";s:10:\"First Name\";s:3:\"key\";s:9:\"firstname\";s:4:\"type\";s:9:\"firstname\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:15:\"container_class\";s:14:\"one-half first\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}}i:16;a:1:{s:8:\"settings\";a:17:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"4\";s:5:\"label\";s:9:\"Last Name\";s:3:\"key\";s:8:\"lastname\";s:4:\"type\";s:8:\"lastname\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:15:\"container_class\";s:8:\"one-half\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}}i:17;a:1:{s:8:\"settings\";a:17:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"5\";s:5:\"label\";s:5:\"Email\";s:3:\"key\";s:5:\"email\";s:4:\"type\";s:5:\"email\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"default\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:15:\"container_class\";s:14:\"one-half first\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}}i:18;a:1:{s:8:\"settings\";a:25:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"6\";s:5:\"label\";s:5:\"Phone\";s:3:\"key\";s:7:\"textbox\";s:4:\"type\";s:7:\"textbox\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:11:\"placeholder\";s:0:\"\";s:7:\"default\";s:0:\"\";s:15:\"container_class\";s:8:\"one-half\";s:13:\"element_class\";s:0:\"\";s:11:\"input_limit\";s:0:\"\";s:16:\"input_limit_type\";s:10:\"characters\";s:15:\"input_limit_msg\";s:17:\"Character(s) left\";s:10:\"manual_key\";s:0:\"\";s:13:\"disable_input\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";s:28:\"disable_browser_autocomplete\";s:0:\"\";s:4:\"mask\";s:0:\"\";s:11:\"custom_mask\";s:0:\"\";}}i:19;a:1:{s:8:\"settings\";a:10:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"7\";s:5:\"label\";s:7:\"Divider\";s:3:\"key\";s:4:\"hr_1\";s:4:\"type\";s:2:\"hr\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}}i:20;a:1:{s:8:\"settings\";a:16:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"8\";s:5:\"label\";s:38:\"How many friends will you bring along?\";s:3:\"key\";s:37:\"how_many_friends_will_you_bring_along\";s:4:\"type\";s:10:\"listselect\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"options\";a:5:{i:0;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"0\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"None\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"1\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"2\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"3\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:4;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"4\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"Four\";s:5:\"value\";s:4:\"four\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}}i:21;a:1:{s:8:\"settings\";a:16:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:1:\"9\";s:5:\"label\";s:22:\"Any food requirements?\";s:3:\"key\";s:21:\"any_food_requirements\";s:4:\"type\";s:9:\"listradio\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"options\";a:4:{i:0;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:5:\"Vegan\";s:5:\"value\";s:5:\"vegan\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:10:\"Vegetarian\";s:5:\"value\";s:10:\"vegetarian\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"1\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";s:1:\"2\";s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:11:\"Gluten Free\";s:5:\"value\";s:9:\"no-gluten\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:4:\"None\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";s:1:\"3\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}s:15:\"container_class\";s:14:\"one-half first\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}}i:10;a:1:{s:8:\"settings\";a:16:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:2:\"10\";s:5:\"label\";s:16:\"Preferred drink?\";s:3:\"key\";s:15:\"preferred_drink\";s:4:\"type\";s:9:\"listradio\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:9:\"label_pos\";s:7:\"default\";s:8:\"required\";s:1:\"1\";s:7:\"options\";a:7:{i:0;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:10:\"White wine\";s:5:\"value\";s:10:\"white-wine\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:1;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:8:\"Red wine\";s:5:\"value\";s:8:\"red-wine\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:1;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:2;a:7:{s:6:\"errors\";a:0:{}s:5:\"label\";s:4:\"Beer\";s:5:\"value\";s:4:\"beer\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:5:\"order\";i:2;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:3;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:3;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:5:\"Water\";s:5:\"value\";s:5:\"water\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:4;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:4;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:4:\"Coke\";s:5:\"value\";s:4:\"coke\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:5;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:5;s:3:\"new\";b:0;s:7:\"options\";a:0:{}s:5:\"label\";s:5:\"Juice\";s:5:\"value\";s:5:\"juice\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}i:6;a:9:{s:6:\"errors\";a:0:{}s:5:\"order\";i:6;s:3:\"new\";s:0:\"\";s:7:\"options\";a:0:{}s:5:\"label\";s:13:\"No Preference\";s:5:\"value\";s:4:\"none\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";s:1:\"0\";s:12:\"settingModel\";a:10:{s:8:\"settings\";b:0;s:15:\"hide_merge_tags\";b:0;s:5:\"error\";b:0;s:4:\"name\";s:7:\"options\";s:4:\"type\";s:15:\"option-repeater\";s:5:\"label\";s:159:\"Options <a href=\"#\" class=\"nf-add-new\">Add New</a> <a href=\"#\" class=\"extra nf-open-import-tooltip\"><i class=\"fa fa-sign-in\" aria-hidden=\"true\"></i> Import</a>\";s:5:\"width\";s:4:\"full\";s:5:\"group\";s:0:\"\";s:5:\"value\";a:3:{i:0;a:5:{s:5:\"label\";s:3:\"One\";s:5:\"value\";s:3:\"one\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:0;}i:1;a:5:{s:5:\"label\";s:3:\"Two\";s:5:\"value\";s:3:\"two\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:1;}i:2;a:5:{s:5:\"label\";s:5:\"Three\";s:5:\"value\";s:5:\"three\";s:4:\"calc\";s:0:\"\";s:8:\"selected\";i:0;s:5:\"order\";i:2;}}s:7:\"columns\";a:4:{s:5:\"label\";a:2:{s:6:\"header\";s:5:\"Label\";s:7:\"default\";s:0:\"\";}s:5:\"value\";a:2:{s:6:\"header\";s:5:\"Value\";s:7:\"default\";s:0:\"\";}s:4:\"calc\";a:2:{s:6:\"header\";s:10:\"Calc Value\";s:7:\"default\";s:0:\"\";}s:8:\"selected\";a:2:{s:6:\"header\";s:45:\"<span class=\"dashicons dashicons-yes\"></span>\";s:7:\"default\";i:0;}}}}}s:15:\"container_class\";s:8:\"one-half\";s:13:\"element_class\";s:0:\"\";s:11:\"admin_label\";s:0:\"\";s:9:\"help_text\";s:0:\"\";s:9:\"desc_text\";s:0:\"\";}}i:11;a:1:{s:8:\"settings\";a:10:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:2:\"11\";s:5:\"label\";s:7:\"Divider\";s:3:\"key\";s:4:\"hr_2\";s:4:\"type\";s:2:\"hr\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}}i:13;a:1:{s:8:\"settings\";a:11:{s:10:\"objectType\";s:5:\"Field\";s:12:\"objectDomain\";s:6:\"fields\";s:10:\"editActive\";b:0;s:5:\"order\";s:2:\"13\";s:5:\"label\";s:8:\"Register\";s:3:\"key\";s:8:\"register\";s:4:\"type\";s:6:\"submit\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:16:\"processing_label\";s:10:\"Processing\";s:15:\"container_class\";s:0:\"\";s:13:\"element_class\";s:0:\"\";}}}s:7:\"actions\";a:4:{i:11;a:1:{s:8:\"settings\";a:25:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:4:\"save\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"label\";s:15:\"Save Submission\";s:5:\"order\";s:1:\"3\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}}i:12;a:1:{s:8:\"settings\";a:27:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:14:\"successmessage\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"label\";s:15:\"Success Message\";s:7:\"message\";s:42:\"Your form has been successfully submitted.\";s:5:\"order\";s:1:\"1\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:2:\"to\";s:0:\"\";s:13:\"email_subject\";s:0:\"\";s:13:\"email_message\";s:0:\"\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:12:\"redirect_url\";s:0:\"\";s:11:\"success_msg\";s:47:\"<p>Thank you for registering for our event.</p>\";s:19:\"email_message_plain\";s:0:\"\";}}i:10;a:1:{s:8:\"settings\";a:26:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"label\";s:24:\"Admin Email Notification\";s:2:\"to\";s:20:\"{system:admin_email}\";s:7:\"subject\";s:22:\"Ninja Forms Submission\";s:7:\"message\";s:18:\"{field:all_fields}\";s:5:\"order\";s:1:\"2\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:13:\"email_subject\";s:62:\"New Event Registration from {field:firstname} {field:lastname}\";s:13:\"email_message\";s:67:\"<p>Registration details are below:</p><p>{field:all_fields}<br></p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:0:\"\";s:8:\"reply_to\";s:13:\"{field:email}\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}}i:9;a:1:{s:8:\"settings\";a:26:{s:5:\"title\";s:0:\"\";s:3:\"key\";s:0:\"\";s:4:\"type\";s:5:\"email\";s:6:\"active\";s:1:\"1\";s:10:\"created_at\";s:19:\"2016-08-28 16:16:05\";s:10:\"objectType\";s:6:\"Action\";s:12:\"objectDomain\";s:7:\"actions\";s:10:\"editActive\";b:0;s:5:\"label\";s:23:\"User Email Confirmation\";s:2:\"to\";s:13:\"{field:email}\";s:7:\"subject\";s:22:\"Ninja Forms Submission\";s:7:\"message\";s:18:\"{field:all_fields}\";s:5:\"order\";s:1:\"2\";s:16:\"payment_gateways\";s:0:\"\";s:13:\"payment_total\";s:0:\"\";s:3:\"tag\";s:0:\"\";s:13:\"email_subject\";s:39:\"Thank you for registering for our event\";s:13:\"email_message\";s:72:\"<p>Your registration details are below:</p><p>{field:all_fields}<br></p>\";s:9:\"from_name\";s:0:\"\";s:12:\"from_address\";s:20:\"{system:admin_email}\";s:8:\"reply_to\";s:0:\"\";s:12:\"email_format\";s:4:\"html\";s:2:\"cc\";s:0:\"\";s:3:\"bcc\";s:0:\"\";s:10:\"attach_csv\";s:0:\"\";s:19:\"email_message_plain\";s:0:\"\";}}}}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "community-events-location", "a:1:{s:2:\"ip\";s:2:\"::\";}");
INSERT INTO `wp_usermeta` VALUES("28", "1", "nav_menu_recently_edited", "11");
INSERT INTO `wp_usermeta` VALUES("29", "1", "closedpostboxes_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("30", "1", "metaboxhidden_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("31", "2", "nickname", "test");
INSERT INTO `wp_usermeta` VALUES("32", "2", "first_name", "test");
INSERT INTO `wp_usermeta` VALUES("33", "2", "last_name", "test");
INSERT INTO `wp_usermeta` VALUES("34", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("35", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("36", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("37", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("38", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("39", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("40", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("41", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("42", "2", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("43", "2", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("44", "2", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("46", "2", "wp_dashboard_quick_press_last_post_id", "563");
INSERT INTO `wp_usermeta` VALUES("47", "2", "wp_user-settings", "libraryContent=browse");
INSERT INTO `wp_usermeta` VALUES("48", "2", "wp_user-settings-time", "1659627689");
INSERT INTO `wp_usermeta` VALUES("50", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("51", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("52", "1", "wp_persisted_preferences", "a:5:{s:14:\"core/edit-post\";a:15:{s:12:\"welcomeGuide\";b:0;s:16:\"hiddenBlockTypes\";a:0:{}s:10:\"editorMode\";s:6:\"visual\";s:24:\"preferredStyleVariations\";a:0:{}s:14:\"inactivePanels\";a:1:{i:0;s:16:\"discussion-panel\";}s:10:\"openPanels\";a:5:{i:0;s:23:\"taxonomy-panel-post_tag\";i:1;s:9:\"post-link\";i:2;s:14:\"featured-image\";i:3;s:12:\"post-excerpt\";i:4;s:23:\"taxonomy-panel-category\";}s:23:\"isPublishSidebarEnabled\";b:0;s:9:\"focusMode\";b:1;s:14:\"fullscreenMode\";b:0;s:11:\"pinnedItems\";a:1:{s:32:\"kadence-control/kadence-controls\";b:1;}s:26:\"isComplementaryAreaVisible\";b:1;s:20:\"welcomeGuideTemplate\";b:0;s:30:\"disableEditorsKitColorsFormats\";b:1;s:33:\"disableEditorsKitHighlightFormats\";b:1;s:21:\"showListViewByDefault\";b:1;}s:17:\"core/edit-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:26:\"isComplementaryAreaVisible\";b:1;}s:22:\"core/customize-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:12:\"fixedToolbar\";b:0;}s:14:\"core/edit-site\";a:7:{s:12:\"welcomeGuide\";b:0;s:18:\"welcomeGuideStyles\";b:0;s:12:\"fixedToolbar\";b:0;s:9:\"focusMode\";b:0;s:10:\"editorMode\";s:6:\"visual\";s:26:\"isComplementaryAreaVisible\";b:1;s:21:\"showListViewByDefault\";b:1;}s:9:\"_modified\";s:24:\"2023-03-09T06:40:55.952Z\";}");
INSERT INTO `wp_usermeta` VALUES("55", "1", "session_tokens", "a:1:{s:64:\"aaad38a854e724ad5fe5b3c1bd4eb9b03dfd6f631e7137ea6abfcc5bf718bc40\";a:4:{s:10:\"expiration\";i:1678516595;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/110.0.0.0 Safari/537.36\";s:5:\"login\";i:1678343795;}}");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BF9FLLGTf3ZES.OTFCk0BKju/iYQzM1", "kevinmcmillan", "kmcmillan@langara.ca", "", "2017-03-19 18:01:51", "", "0", "kevinmcmillan");
INSERT INTO `wp_users` VALUES("2", "test", "$P$B93F1SSXVykh7pMkgTYcRYX75tuz5i/", "test", "slkewjt@lkdsjflj.ca", "", "2022-08-04 15:08:43", "1659625723:$P$BPWVINxEIffg0mOoBAU3c.QvJSD8Zh1", "0", "test test");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-03-09 06:43:23*/
/* DUPLICATOR_MYSQLDUMP_EOF */
